#include <kdecore_includes.h>

#include <smoke.h>
#include <kdecore_smoke.h>

namespace __smokekdecore {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAboutLicense
      switch(to) {
        case 2: return (void*)(KAboutLicense*)xptr;
        default: return xptr;
      }
    case 3:   //KAboutPerson
      switch(to) {
        case 3: return (void*)(KAboutPerson*)xptr;
        default: return xptr;
      }
    case 4:   //KAuth::Action
      switch(to) {
        case 4: return (void*)(KAuth::Action*)xptr;
        default: return xptr;
      }
    case 5:   //KAuth::ActionReply
      switch(to) {
        case 5: return (void*)(KAuth::ActionReply*)xptr;
        default: return xptr;
      }
    case 6:   //KAuth::ActionWatcher
      switch(to) {
        case 166: return (void*)(QObject*)(KAuth::ActionWatcher*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)xptr;
        default: return xptr;
      }
    case 8:   //KAutoSaveFile
      switch(to) {
        case 150: return (void*)(QFile*)(KAutoSaveFile*)xptr;
        case 155: return (void*)(QIODevice*)(KAutoSaveFile*)xptr;
        case 166: return (void*)(QObject*)(KAutoSaveFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)xptr;
        default: return xptr;
      }
    case 9:   //KAutostart
      switch(to) {
        case 166: return (void*)(QObject*)(KAutostart*)xptr;
        case 9: return (void*)(KAutostart*)xptr;
        default: return xptr;
      }
    case 10:   //KCalendarSystem
      switch(to) {
        case 10: return (void*)(KCalendarSystem*)xptr;
        default: return xptr;
      }
    case 11:   //KCalendarSystemPrivate
      switch(to) {
        case 11: return (void*)(KCalendarSystemPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //KCharMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KCharMacroExpander*)xptr;
        case 12: return (void*)(KCharMacroExpander*)xptr;
        default: return xptr;
      }
    case 13:   //KCharsets
      switch(to) {
        case 13: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 14:   //KCmdLineArgs
      switch(to) {
        case 14: return (void*)(KCmdLineArgs*)xptr;
        default: return xptr;
      }
    case 15:   //KCmdLineOptions
      switch(to) {
        case 15: return (void*)(KCmdLineOptions*)xptr;
        default: return xptr;
      }
    case 17:   //KComponentData
      switch(to) {
        case 17: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 18:   //KCompositeJob
      switch(to) {
        case 62: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 166: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 18: return (void*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 19:   //KCompositeJobPrivate
      switch(to) {
        case 19: return (void*)(KCompositeJobPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //KConfig
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfig*)xptr;
        case 20: return (void*)(KConfig*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfig*)xptr;
        default: return xptr;
      }
    case 21:   //KConfigBase
      switch(to) {
        case 21: return (void*)(KConfigBase*)xptr;
        case 22: return (void*)(KConfigGroup*)(KConfigBase*)xptr;
        case 20: return (void*)(KConfig*)(KConfigBase*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfigBase*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 22:   //KConfigGroup
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 22: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 23:   //KConfigPrivate
      switch(to) {
        case 23: return (void*)(KConfigPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //KConfigSkeletonItem
      switch(to) {
        case 24: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 25:   //KCoreConfigSkeleton
      switch(to) {
        case 166: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 26:   //KCoreConfigSkeleton::ItemBool
      switch(to) {
        case 26: return (void*)(KCoreConfigSkeleton::ItemBool*)xptr;
        default: return xptr;
      }
    case 27:   //KCoreConfigSkeleton::ItemDateTime
      switch(to) {
        case 27: return (void*)(KCoreConfigSkeleton::ItemDateTime*)xptr;
        default: return xptr;
      }
    case 28:   //KCoreConfigSkeleton::ItemDouble
      switch(to) {
        case 28: return (void*)(KCoreConfigSkeleton::ItemDouble*)xptr;
        default: return xptr;
      }
    case 29:   //KCoreConfigSkeleton::ItemEnum
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        default: return xptr;
      }
    case 30:   //KCoreConfigSkeleton::ItemEnum::Choice
      switch(to) {
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice*)xptr;
        default: return xptr;
      }
    case 31:   //KCoreConfigSkeleton::ItemEnum::Choice2
      switch(to) {
        case 31: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice2*)xptr;
        default: return xptr;
      }
    case 32:   //KCoreConfigSkeleton::ItemInt
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)(KCoreConfigSkeleton::ItemInt*)xptr;
        default: return xptr;
      }
    case 33:   //KCoreConfigSkeleton::ItemIntList
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemIntList*)xptr;
        default: return xptr;
      }
    case 34:   //KCoreConfigSkeleton::ItemLongLong
      switch(to) {
        case 34: return (void*)(KCoreConfigSkeleton::ItemLongLong*)xptr;
        default: return xptr;
      }
    case 35:   //KCoreConfigSkeleton::ItemPassword
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        default: return xptr;
      }
    case 36:   //KCoreConfigSkeleton::ItemPath
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPath*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)xptr;
        default: return xptr;
      }
    case 37:   //KCoreConfigSkeleton::ItemPathList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        default: return xptr;
      }
    case 38:   //KCoreConfigSkeleton::ItemPoint
      switch(to) {
        case 38: return (void*)(KCoreConfigSkeleton::ItemPoint*)xptr;
        default: return xptr;
      }
    case 39:   //KCoreConfigSkeleton::ItemProperty
      switch(to) {
        case 39: return (void*)(KCoreConfigSkeleton::ItemProperty*)xptr;
        default: return xptr;
      }
    case 40:   //KCoreConfigSkeleton::ItemRect
      switch(to) {
        case 40: return (void*)(KCoreConfigSkeleton::ItemRect*)xptr;
        default: return xptr;
      }
    case 41:   //KCoreConfigSkeleton::ItemSize
      switch(to) {
        case 41: return (void*)(KCoreConfigSkeleton::ItemSize*)xptr;
        default: return xptr;
      }
    case 42:   //KCoreConfigSkeleton::ItemString
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)(KCoreConfigSkeleton::ItemString*)xptr;
        default: return xptr;
      }
    case 43:   //KCoreConfigSkeleton::ItemStringList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        default: return xptr;
      }
    case 44:   //KCoreConfigSkeleton::ItemUInt
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemUInt*)xptr;
        default: return xptr;
      }
    case 45:   //KCoreConfigSkeleton::ItemULongLong
      switch(to) {
        case 45: return (void*)(KCoreConfigSkeleton::ItemULongLong*)xptr;
        default: return xptr;
      }
    case 46:   //KCoreConfigSkeleton::ItemUrl
      switch(to) {
        case 46: return (void*)(KCoreConfigSkeleton::ItemUrl*)xptr;
        default: return xptr;
      }
    case 47:   //KCoreConfigSkeleton::ItemUrlList
      switch(to) {
        case 47: return (void*)(KCoreConfigSkeleton::ItemUrlList*)xptr;
        default: return xptr;
      }
    case 48:   //KCurrencyCode
      switch(to) {
        case 48: return (void*)(KCurrencyCode*)xptr;
        default: return xptr;
      }
    case 50:   //KDEDModule
      switch(to) {
        case 166: return (void*)(QObject*)(KDEDModule*)xptr;
        case 50: return (void*)(KDEDModule*)xptr;
        default: return xptr;
      }
    case 51:   //KDEPluginVerificationData
      switch(to) {
        case 51: return (void*)(KDEPluginVerificationData*)xptr;
        default: return xptr;
      }
    case 52:   //KDateTime
      switch(to) {
        case 52: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 53:   //KDateTime::Spec
      switch(to) {
        case 53: return (void*)(KDateTime::Spec*)xptr;
        default: return xptr;
      }
    case 54:   //KDebug
      switch(to) {
        case 54: return (void*)(KDebug*)xptr;
        default: return xptr;
      }
    case 55:   //KDebugTag
      switch(to) {
        case 55: return (void*)(KDebugTag*)xptr;
        default: return xptr;
      }
    case 56:   //KDesktopFile
      switch(to) {
        case 20: return (void*)(KConfig*)(KDesktopFile*)xptr;
        case 21: return (void*)(KConfigBase*)(KDesktopFile*)xptr;
        case 56: return (void*)(KDesktopFile*)xptr;
        default: return xptr;
      }
    case 57:   //KEncodingDetector
      switch(to) {
        case 57: return (void*)(KEncodingDetector*)xptr;
        default: return xptr;
      }
    case 58:   //KEncodingProber
      switch(to) {
        case 58: return (void*)(KEncodingProber*)xptr;
        default: return xptr;
      }
    case 59:   //KFilterBase
      switch(to) {
        case 59: return (void*)(KFilterBase*)xptr;
        default: return xptr;
      }
    case 60:   //KFilterDev
      switch(to) {
        case 155: return (void*)(QIODevice*)(KFilterDev*)xptr;
        case 166: return (void*)(QObject*)(KFilterDev*)xptr;
        case 60: return (void*)(KFilterDev*)xptr;
        default: return xptr;
      }
    case 62:   //KJob
      switch(to) {
        case 166: return (void*)(QObject*)(KJob*)xptr;
        case 62: return (void*)(KJob*)xptr;
        case 18: return (void*)(KCompositeJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 63:   //KJobPrivate
      switch(to) {
        case 63: return (void*)(KJobPrivate*)xptr;
        default: return xptr;
      }
    case 64:   //KJobTrackerInterface
      switch(to) {
        case 166: return (void*)(QObject*)(KJobTrackerInterface*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 65:   //KJobUiDelegate
      switch(to) {
        case 166: return (void*)(QObject*)(KJobUiDelegate*)xptr;
        case 65: return (void*)(KJobUiDelegate*)xptr;
        default: return xptr;
      }
    case 66:   //KLibLoader
      switch(to) {
        case 166: return (void*)(QObject*)(KLibLoader*)xptr;
        case 66: return (void*)(KLibLoader*)xptr;
        default: return xptr;
      }
    case 67:   //KLibrary
      switch(to) {
        case 158: return (void*)(QLibrary*)(KLibrary*)xptr;
        case 166: return (void*)(QObject*)(KLibrary*)xptr;
        case 67: return (void*)(KLibrary*)xptr;
        default: return xptr;
      }
    case 68:   //KLocalSocket
      switch(to) {
        case 180: return (void*)(QTcpSocket*)(KLocalSocket*)xptr;
        case 133: return (void*)(QAbstractSocket*)(KLocalSocket*)xptr;
        case 155: return (void*)(QIODevice*)(KLocalSocket*)xptr;
        case 166: return (void*)(QObject*)(KLocalSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)xptr;
        default: return xptr;
      }
    case 69:   //KLocalSocketServer
      switch(to) {
        case 166: return (void*)(QObject*)(KLocalSocketServer*)xptr;
        case 69: return (void*)(KLocalSocketServer*)xptr;
        default: return xptr;
      }
    case 70:   //KLocale
      switch(to) {
        case 70: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 71:   //KLocalizedString
      switch(to) {
        case 71: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 72:   //KLockFile
      switch(to) {
        case 174: return (void*)(QSharedData*)(KLockFile*)xptr;
        case 72: return (void*)(KLockFile*)xptr;
        default: return xptr;
      }
    case 73:   //KMD5
      switch(to) {
        case 73: return (void*)(KMD5*)xptr;
        default: return xptr;
      }
    case 75:   //KMacroExpanderBase
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)xptr;
        case 12: return (void*)(KCharMacroExpander*)(KMacroExpanderBase*)xptr;
        case 130: return (void*)(KWordMacroExpander*)(KMacroExpanderBase*)xptr;
        default: return xptr;
      }
    case 77:   //KMessageHandler
      switch(to) {
        case 77: return (void*)(KMessageHandler*)xptr;
        default: return xptr;
      }
    case 78:   //KMimeType
      switch(to) {
        case 96: return (void*)(KServiceType*)(KMimeType*)xptr;
        case 105: return (void*)(KSycocaEntry*)(KMimeType*)xptr;
        case 174: return (void*)(QSharedData*)(KMimeType*)xptr;
        case 78: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 79:   //KMimeTypePrivate
      switch(to) {
        case 79: return (void*)(KMimeTypePrivate*)xptr;
        default: return xptr;
      }
    case 80:   //KMimeTypeTrader
      switch(to) {
        case 80: return (void*)(KMimeTypeTrader*)xptr;
        default: return xptr;
      }
    case 81:   //KParts::Part
      switch(to) {
        case 81: return (void*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 82:   //KPluginFactory
      switch(to) {
        case 166: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 82: return (void*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 83:   //KPluginFactoryPrivate
      switch(to) {
        case 83: return (void*)(KPluginFactoryPrivate*)xptr;
        default: return xptr;
      }
    case 84:   //KPluginInfo
      switch(to) {
        case 84: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 85:   //KPluginLoader
      switch(to) {
        case 167: return (void*)(QPluginLoader*)(KPluginLoader*)xptr;
        case 166: return (void*)(QObject*)(KPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)xptr;
        default: return xptr;
      }
    case 86:   //KProcess
      switch(to) {
        case 170: return (void*)(QProcess*)(KProcess*)xptr;
        case 155: return (void*)(QIODevice*)(KProcess*)xptr;
        case 166: return (void*)(QObject*)(KProcess*)xptr;
        case 86: return (void*)(KProcess*)xptr;
        default: return xptr;
      }
    case 87:   //KProcessPrivate
      switch(to) {
        case 87: return (void*)(KProcessPrivate*)xptr;
        default: return xptr;
      }
    case 88:   //KProtocolInfo
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KProtocolInfo*)xptr;
        case 174: return (void*)(QSharedData*)(KProtocolInfo*)xptr;
        case 88: return (void*)(KProtocolInfo*)xptr;
        default: return xptr;
      }
    case 89:   //KProtocolInfo::ExtraField
      switch(to) {
        case 89: return (void*)(KProtocolInfo::ExtraField*)xptr;
        default: return xptr;
      }
    case 91:   //KRandomSequence
      switch(to) {
        case 91: return (void*)(KRandomSequence*)xptr;
        default: return xptr;
      }
    case 92:   //KSaveFile
      switch(to) {
        case 150: return (void*)(QFile*)(KSaveFile*)xptr;
        case 155: return (void*)(QIODevice*)(KSaveFile*)xptr;
        case 166: return (void*)(QObject*)(KSaveFile*)xptr;
        case 92: return (void*)(KSaveFile*)xptr;
        default: return xptr;
      }
    case 93:   //KService
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KService*)xptr;
        case 174: return (void*)(QSharedData*)(KService*)xptr;
        case 93: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 94:   //KServiceAction
      switch(to) {
        case 94: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 95:   //KServiceGroup
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KServiceGroup*)xptr;
        case 174: return (void*)(QSharedData*)(KServiceGroup*)xptr;
        case 95: return (void*)(KServiceGroup*)xptr;
        default: return xptr;
      }
    case 96:   //KServiceType
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KServiceType*)xptr;
        case 174: return (void*)(QSharedData*)(KServiceType*)xptr;
        case 96: return (void*)(KServiceType*)xptr;
        case 78: return (void*)(KMimeType*)(KServiceType*)xptr;
        default: return xptr;
      }
    case 97:   //KServiceTypePrivate
      switch(to) {
        case 97: return (void*)(KServiceTypePrivate*)xptr;
        default: return xptr;
      }
    case 98:   //KServiceTypeTrader
      switch(to) {
        case 98: return (void*)(KServiceTypeTrader*)xptr;
        default: return xptr;
      }
    case 99:   //KSharedConfig
      switch(to) {
        case 20: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 21: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 174: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 102:   //KStandardDirs
      switch(to) {
        case 102: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 104:   //KSycoca
      switch(to) {
        case 166: return (void*)(QObject*)(KSycoca*)xptr;
        case 104: return (void*)(KSycoca*)xptr;
        default: return xptr;
      }
    case 105:   //KSycocaEntry
      switch(to) {
        case 174: return (void*)(QSharedData*)(KSycocaEntry*)xptr;
        case 105: return (void*)(KSycocaEntry*)xptr;
        case 88: return (void*)(KProtocolInfo*)(KSycocaEntry*)xptr;
        case 96: return (void*)(KServiceType*)(KSycocaEntry*)xptr;
        case 93: return (void*)(KService*)(KSycocaEntry*)xptr;
        case 95: return (void*)(KServiceGroup*)(KSycocaEntry*)xptr;
        case 78: return (void*)(KMimeType*)(KSycocaEntry*)xptr;
        default: return xptr;
      }
    case 106:   //KSycocaEntryPrivate
      switch(to) {
        case 106: return (void*)(KSycocaEntryPrivate*)xptr;
        default: return xptr;
      }
    case 107:   //KSycocaFactory
      switch(to) {
        case 107: return (void*)(KSycocaFactory*)xptr;
        default: return xptr;
      }
    case 108:   //KSycocaFactoryList
      switch(to) {
        case 108: return (void*)(KSycocaFactoryList*)xptr;
        default: return xptr;
      }
    case 109:   //KSystemTimeZone
      switch(to) {
        case 115: return (void*)(KTimeZone*)(KSystemTimeZone*)xptr;
        case 109: return (void*)(KSystemTimeZone*)xptr;
        default: return xptr;
      }
    case 110:   //KSystemTimeZoneBackend
      switch(to) {
        case 119: return (void*)(KTimeZoneBackend*)(KSystemTimeZoneBackend*)xptr;
        case 110: return (void*)(KSystemTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 111:   //KSystemTimeZoneSource
      switch(to) {
        case 121: return (void*)(KTimeZoneSource*)(KSystemTimeZoneSource*)xptr;
        case 111: return (void*)(KSystemTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 112:   //KSystemTimeZones
      switch(to) {
        case 166: return (void*)(QObject*)(KSystemTimeZones*)xptr;
        case 112: return (void*)(KSystemTimeZones*)xptr;
        default: return xptr;
      }
    case 113:   //KTempDir
      switch(to) {
        case 113: return (void*)(KTempDir*)xptr;
        default: return xptr;
      }
    case 114:   //KTemporaryFile
      switch(to) {
        case 181: return (void*)(QTemporaryFile*)(KTemporaryFile*)xptr;
        case 150: return (void*)(QFile*)(KTemporaryFile*)xptr;
        case 155: return (void*)(QIODevice*)(KTemporaryFile*)xptr;
        case 166: return (void*)(QObject*)(KTemporaryFile*)xptr;
        case 114: return (void*)(KTemporaryFile*)xptr;
        default: return xptr;
      }
    case 115:   //KTimeZone
      switch(to) {
        case 115: return (void*)(KTimeZone*)xptr;
        case 109: return (void*)(KSystemTimeZone*)(KTimeZone*)xptr;
        case 124: return (void*)(KTzfileTimeZone*)(KTimeZone*)xptr;
        default: return xptr;
      }
    case 116:   //KTimeZone::LeapSeconds
      switch(to) {
        case 116: return (void*)(KTimeZone::LeapSeconds*)xptr;
        default: return xptr;
      }
    case 117:   //KTimeZone::Phase
      switch(to) {
        case 117: return (void*)(KTimeZone::Phase*)xptr;
        default: return xptr;
      }
    case 118:   //KTimeZone::Transition
      switch(to) {
        case 118: return (void*)(KTimeZone::Transition*)xptr;
        default: return xptr;
      }
    case 119:   //KTimeZoneBackend
      switch(to) {
        case 119: return (void*)(KTimeZoneBackend*)xptr;
        case 125: return (void*)(KTzfileTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        case 110: return (void*)(KSystemTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 120:   //KTimeZoneData
      switch(to) {
        case 120: return (void*)(KTimeZoneData*)xptr;
        default: return xptr;
      }
    case 121:   //KTimeZoneSource
      switch(to) {
        case 121: return (void*)(KTimeZoneSource*)xptr;
        case 126: return (void*)(KTzfileTimeZoneSource*)(KTimeZoneSource*)xptr;
        case 111: return (void*)(KSystemTimeZoneSource*)(KTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 122:   //KTimeZones
      switch(to) {
        case 122: return (void*)(KTimeZones*)xptr;
        default: return xptr;
      }
    case 123:   //KToolInvocation
      switch(to) {
        case 166: return (void*)(QObject*)(KToolInvocation*)xptr;
        case 123: return (void*)(KToolInvocation*)xptr;
        default: return xptr;
      }
    case 124:   //KTzfileTimeZone
      switch(to) {
        case 115: return (void*)(KTimeZone*)(KTzfileTimeZone*)xptr;
        case 124: return (void*)(KTzfileTimeZone*)xptr;
        default: return xptr;
      }
    case 125:   //KTzfileTimeZoneBackend
      switch(to) {
        case 119: return (void*)(KTimeZoneBackend*)(KTzfileTimeZoneBackend*)xptr;
        case 125: return (void*)(KTzfileTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 126:   //KTzfileTimeZoneSource
      switch(to) {
        case 121: return (void*)(KTimeZoneSource*)(KTzfileTimeZoneSource*)xptr;
        case 126: return (void*)(KTzfileTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 127:   //KUrl
      switch(to) {
        case 189: return (void*)(QUrl*)(KUrl*)xptr;
        case 127: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 128:   //KUser
      switch(to) {
        case 128: return (void*)(KUser*)xptr;
        default: return xptr;
      }
    case 129:   //KUserGroup
      switch(to) {
        case 129: return (void*)(KUserGroup*)xptr;
        default: return xptr;
      }
    case 130:   //KWordMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KWordMacroExpander*)xptr;
        case 130: return (void*)(KWordMacroExpander*)xptr;
        default: return xptr;
      }
    case 131:   //OrgKdeKLauncherInterface
      switch(to) {
        case 139: return (void*)(QDBusAbstractInterface*)(OrgKdeKLauncherInterface*)xptr;
        case 166: return (void*)(QObject*)(OrgKdeKLauncherInterface*)xptr;
        case 131: return (void*)(OrgKdeKLauncherInterface*)xptr;
        default: return xptr;
      }
    case 132:   //QAbstractFileEngine
      switch(to) {
        case 132: return (void*)(QAbstractFileEngine*)xptr;
        default: return xptr;
      }
    case 133:   //QAbstractSocket
      switch(to) {
        case 155: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 166: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 133: return (void*)(QAbstractSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 134:   //QBitArray
      switch(to) {
        case 134: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 135:   //QBool
      switch(to) {
        case 135: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 136:   //QByteArray
      switch(to) {
        case 136: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 137:   //QChar
      switch(to) {
        case 137: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 138:   //QChildEvent
      switch(to) {
        case 149: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 138: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QDBusAbstractInterface
      switch(to) {
        case 166: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 139: return (void*)(QDBusAbstractInterface*)xptr;
        case 131: return (void*)(OrgKdeKLauncherInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 140:   //QDBusArgument
      switch(to) {
        case 140: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 141:   //QDBusConnection
      switch(to) {
        case 141: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 142:   //QDBusObjectPath
      switch(to) {
        case 142: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 143:   //QDBusSignature
      switch(to) {
        case 143: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 144:   //QDBusVariant
      switch(to) {
        case 191: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 144: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 145:   //QDataStream
      switch(to) {
        case 145: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 146:   //QDate
      switch(to) {
        case 146: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 147:   //QDateTime
      switch(to) {
        case 147: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 148:   //QEasingCurve
      switch(to) {
        case 148: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 149:   //QEvent
      switch(to) {
        case 149: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QFile
      switch(to) {
        case 155: return (void*)(QIODevice*)(QFile*)xptr;
        case 166: return (void*)(QObject*)(QFile*)xptr;
        case 150: return (void*)(QFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QFile*)xptr;
        case 92: return (void*)(KSaveFile*)(QFile*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QFile*)xptr;
        default: return xptr;
      }
    case 151:   //QFileInfo
      switch(to) {
        case 151: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 153:   //QHashDummyValue
      switch(to) {
        case 153: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 154:   //QHostAddress
      switch(to) {
        case 154: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 155:   //QIODevice
      switch(to) {
        case 166: return (void*)(QObject*)(QIODevice*)xptr;
        case 155: return (void*)(QIODevice*)xptr;
        case 68: return (void*)(KLocalSocket*)(QIODevice*)xptr;
        case 60: return (void*)(KFilterDev*)(QIODevice*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QIODevice*)xptr;
        case 92: return (void*)(KSaveFile*)(QIODevice*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QIODevice*)xptr;
        case 86: return (void*)(KProcess*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 156:   //QIncompatibleFlag
      switch(to) {
        case 156: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 157:   //QLatin1String
      switch(to) {
        case 157: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 158:   //QLibrary
      switch(to) {
        case 166: return (void*)(QObject*)(QLibrary*)xptr;
        case 158: return (void*)(QLibrary*)xptr;
        case 67: return (void*)(KLibrary*)(QLibrary*)xptr;
        default: return xptr;
      }
    case 159:   //QLine
      switch(to) {
        case 159: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 160:   //QLineF
      switch(to) {
        case 160: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 161:   //QLocale
      switch(to) {
        case 161: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 162:   //QMargins
      switch(to) {
        case 162: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 163:   //QMetaObject
      switch(to) {
        case 163: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 164:   //QMimeData
      switch(to) {
        case 166: return (void*)(QObject*)(QMimeData*)xptr;
        case 164: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 165:   //QNetworkProxy
      switch(to) {
        case 165: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 166:   //QObject
      switch(to) {
        case 166: return (void*)(QObject*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)(QObject*)xptr;
        case 18: return (void*)(KCompositeJob*)(QObject*)xptr;
        case 85: return (void*)(KPluginLoader*)(QObject*)xptr;
        case 68: return (void*)(KLocalSocket*)(QObject*)xptr;
        case 62: return (void*)(KJob*)(QObject*)xptr;
        case 69: return (void*)(KLocalSocketServer*)(QObject*)xptr;
        case 195: return (void*)(Sonnet::BackgroundChecker*)(QObject*)xptr;
        case 9: return (void*)(KAutostart*)(QObject*)xptr;
        case 66: return (void*)(KLibLoader*)(QObject*)xptr;
        case 60: return (void*)(KFilterDev*)(QObject*)xptr;
        case 82: return (void*)(KPluginFactory*)(QObject*)xptr;
        case 112: return (void*)(KSystemTimeZones*)(QObject*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)(QObject*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QObject*)xptr;
        case 123: return (void*)(KToolInvocation*)(QObject*)xptr;
        case 131: return (void*)(OrgKdeKLauncherInterface*)(QObject*)xptr;
        case 67: return (void*)(KLibrary*)(QObject*)xptr;
        case 92: return (void*)(KSaveFile*)(QObject*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)(QObject*)xptr;
        case 65: return (void*)(KJobUiDelegate*)(QObject*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QObject*)xptr;
        case 50: return (void*)(KDEDModule*)(QObject*)xptr;
        case 104: return (void*)(KSycoca*)(QObject*)xptr;
        case 86: return (void*)(KProcess*)(QObject*)xptr;
        default: return xptr;
      }
    case 167:   //QPluginLoader
      switch(to) {
        case 166: return (void*)(QObject*)(QPluginLoader*)xptr;
        case 167: return (void*)(QPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)(QPluginLoader*)xptr;
        default: return xptr;
      }
    case 168:   //QPoint
      switch(to) {
        case 168: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 169:   //QPointF
      switch(to) {
        case 169: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 170:   //QProcess
      switch(to) {
        case 155: return (void*)(QIODevice*)(QProcess*)xptr;
        case 166: return (void*)(QObject*)(QProcess*)xptr;
        case 170: return (void*)(QProcess*)xptr;
        case 86: return (void*)(KProcess*)(QProcess*)xptr;
        default: return xptr;
      }
    case 171:   //QRect
      switch(to) {
        case 171: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 172:   //QRectF
      switch(to) {
        case 172: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 173:   //QRegExp
      switch(to) {
        case 173: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 174:   //QSharedData
      switch(to) {
        case 174: return (void*)(QSharedData*)xptr;
        case 88: return (void*)(KProtocolInfo*)(QSharedData*)xptr;
        case 96: return (void*)(KServiceType*)(QSharedData*)xptr;
        case 93: return (void*)(KService*)(QSharedData*)xptr;
        case 72: return (void*)(KLockFile*)(QSharedData*)xptr;
        case 105: return (void*)(KSycocaEntry*)(QSharedData*)xptr;
        case 99: return (void*)(KSharedConfig*)(QSharedData*)xptr;
        case 95: return (void*)(KServiceGroup*)(QSharedData*)xptr;
        case 78: return (void*)(KMimeType*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 175:   //QSize
      switch(to) {
        case 175: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 176:   //QSizeF
      switch(to) {
        case 176: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 177:   //QString::Null
      switch(to) {
        case 177: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 178:   //QStringRef
      switch(to) {
        case 178: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 179:   //QTcpServer
      switch(to) {
        case 166: return (void*)(QObject*)(QTcpServer*)xptr;
        case 179: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 180:   //QTcpSocket
      switch(to) {
        case 133: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 155: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 166: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 180: return (void*)(QTcpSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 181:   //QTemporaryFile
      switch(to) {
        case 150: return (void*)(QFile*)(QTemporaryFile*)xptr;
        case 155: return (void*)(QIODevice*)(QTemporaryFile*)xptr;
        case 166: return (void*)(QObject*)(QTemporaryFile*)xptr;
        case 181: return (void*)(QTemporaryFile*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QTemporaryFile*)xptr;
        default: return xptr;
      }
    case 182:   //QTextCodec
      switch(to) {
        case 182: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 183:   //QTextDecoder
      switch(to) {
        case 183: return (void*)(QTextDecoder*)xptr;
        default: return xptr;
      }
    case 184:   //QTextStream
      switch(to) {
        case 184: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 185:   //QTextStreamManipulator
      switch(to) {
        case 185: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 186:   //QTime
      switch(to) {
        case 186: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 187:   //QTimerEvent
      switch(to) {
        case 149: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 187: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 188:   //QUdpSocket
      switch(to) {
        case 188: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 189:   //QUrl
      switch(to) {
        case 189: return (void*)(QUrl*)xptr;
        case 127: return (void*)(KUrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 190:   //QUuid
      switch(to) {
        case 190: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 191:   //QVariant
      switch(to) {
        case 191: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 192:   //QVariantComparisonHelper
      switch(to) {
        case 192: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 193:   //QWidget
      switch(to) {
        case 193: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 195:   //Sonnet::BackgroundChecker
      switch(to) {
        case 166: return (void*)(QObject*)(Sonnet::BackgroundChecker*)xptr;
        case 195: return (void*)(Sonnet::BackgroundChecker*)xptr;
        default: return xptr;
      }
    case 196:   //Sonnet::Speller
      switch(to) {
        case 196: return (void*)(Sonnet::Speller*)xptr;
        default: return xptr;
      }
    case 197:   //group
      switch(to) {
        case 197: return (void*)(group*)xptr;
        default: return xptr;
      }
    case 198:   //kndbgstream
      switch(to) {
        case 198: return (void*)(kndbgstream*)xptr;
        default: return xptr;
      }
    case 199:   //passwd
      switch(to) {
        case 199: return (void*)(passwd*)xptr;
        default: return xptr;
      }
    case 200:   //std::bidirectional_iterator_tag
      switch(to) {
        case 200: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 201:   //std::random_access_iterator_tag
      switch(to) {
        case 201: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    166, 0,	// 1: QObject
    150, 0,	// 3: QFile
    75, 0,	// 5: KMacroExpanderBase
    62, 0,	// 7: KJob
    21, 0,	// 9: KConfigBase
    0, 0,	// 11: KConfigSkeletonGenericItem
    32, 0,	// 13: KCoreConfigSkeleton::ItemInt
    42, 0,	// 15: KCoreConfigSkeleton::ItemString
    43, 0,	// 17: KCoreConfigSkeleton::ItemStringList
    20, 0,	// 19: KConfig
    155, 0,	// 21: QIODevice
    158, 0,	// 23: QLibrary
    180, 0,	// 25: QTcpSocket
    174, 0,	// 27: QSharedData
    96, 0,	// 29: KServiceType
    167, 0,	// 31: QPluginLoader
    170, 0,	// 33: QProcess
    105, 0,	// 35: KSycocaEntry
    20, 174, 0,	// 37: KConfig, QSharedData
    115, 0,	// 40: KTimeZone
    119, 0,	// 42: KTimeZoneBackend
    121, 0,	// 44: KTimeZoneSource
    181, 0,	// 46: QTemporaryFile
    189, 0,	// 48: QUrl
    139, 0,	// 50: QDBusAbstractInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_KAutostart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KShell(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KServiceGroup(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilterBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLockFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KStandardDirs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAboutData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCalendarSystem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__ActionReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDateTime(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCurrencyCode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCmdLineArgs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingProber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSycoca(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCoreConfigSkeleton__ItemString(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo__ExtraField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingDetector(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KGlobal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KComponentData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Sonnet__Speller(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAboutData(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutLicense(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutPerson(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionReply(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuthorized(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutoSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutostart(Smoke::Index, void*, Smoke::Stack);
void xcall_KCalendarSystem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharsets(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineArgs(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineOptions(Smoke::Index, void*, Smoke::Stack);
void xcall_KCodecs(Smoke::Index, void*, Smoke::Stack);
void xcall_KComponentData(Smoke::Index, void*, Smoke::Stack);
void xcall_KCompositeJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigSkeletonItem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemBool(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDouble(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice2(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemIntList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemLongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPassword(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPath(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPathList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemRect(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemSize(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemString(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemStringList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemULongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrlList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCurrencyCode(Smoke::Index, void*, Smoke::Stack);
void xcall_KDE(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEDModule(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEPluginVerificationData(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime__Spec(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebug(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebugTag(Smoke::Index, void*, Smoke::Stack);
void xcall_KDesktopFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingDetector(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingProber(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterDev(Smoke::Index, void*, Smoke::Stack);
void xcall_KGlobal(Smoke::Index, void*, Smoke::Stack);
void xcall_KJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobTrackerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobUiDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibrary(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocketServer(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocale(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalizedString(Smoke::Index, void*, Smoke::Stack);
void xcall_KLockFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KMD5(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpanderBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessageHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KProcess(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo__ExtraField(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandom(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandomSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_KSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KService(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceAction(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceType(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KSharedConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KShell(Smoke::Index, void*, Smoke::Stack);
void xcall_KSocketFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KStandardDirs(Smoke::Index, void*, Smoke::Stack);
void xcall_KStringHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycoca(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycocaEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KTempDir(Smoke::Index, void*, Smoke::Stack);
void xcall_KTemporaryFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__LeapSeconds(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Phase(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Transition(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneData(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KToolInvocation(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KUser(Smoke::Index, void*, Smoke::Stack);
void xcall_KUserGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KWordMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_OrgKdeKLauncherInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__BackgroundChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__Speller(Smoke::Index, void*, Smoke::Stack);
void xcall_kndbgstream(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", false, 0, xcall_KAboutData, xenum_KAboutData, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutData) },	//1
    { "KAboutLicense", false, 0, xcall_KAboutLicense, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutLicense) },	//2
    { "KAboutPerson", false, 0, xcall_KAboutPerson, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutPerson) },	//3
    { "KAuth::Action", false, 0, xcall_KAuth__Action, xenum_KAuth__Action, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAuth::Action) },	//4
    { "KAuth::ActionReply", false, 0, xcall_KAuth__ActionReply, xenum_KAuth__ActionReply, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAuth::ActionReply) },	//5
    { "KAuth::ActionWatcher", false, 1, xcall_KAuth__ActionWatcher, 0, Smoke::cf_virtual, sizeof(KAuth::ActionWatcher) },	//6
    { "KAuthorized", false, 0, xcall_KAuthorized, 0, Smoke::cf_namespace, 0 },	//7
    { "KAutoSaveFile", false, 3, xcall_KAutoSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutoSaveFile) },	//8
    { "KAutostart", false, 1, xcall_KAutostart, xenum_KAutostart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutostart) },	//9
    { "KCalendarSystem", false, 0, xcall_KCalendarSystem, xenum_KCalendarSystem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCalendarSystem) },	//10
    { "KCalendarSystemPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "KCharMacroExpander", false, 5, xcall_KCharMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharMacroExpander) },	//12
    { "KCharsets", false, 0, xcall_KCharsets, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharsets) },	//13
    { "KCmdLineArgs", false, 0, xcall_KCmdLineArgs, xenum_KCmdLineArgs, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineArgs) },	//14
    { "KCmdLineOptions", false, 0, xcall_KCmdLineOptions, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineOptions) },	//15
    { "KCodecs", false, 0, xcall_KCodecs, 0, Smoke::cf_namespace, 0 },	//16
    { "KComponentData", false, 0, xcall_KComponentData, xenum_KComponentData, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KComponentData) },	//17
    { "KCompositeJob", false, 7, xcall_KCompositeJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCompositeJob) },	//18
    { "KCompositeJobPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "KConfig", false, 9, xcall_KConfig, xenum_KConfig, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KConfig) },	//20
    { "KConfigBase", false, 0, xcall_KConfigBase, xenum_KConfigBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigBase) },	//21
    { "KConfigGroup", false, 9, xcall_KConfigGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigGroup) },	//22
    { "KConfigPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "KConfigSkeletonItem", false, 0, xcall_KConfigSkeletonItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigSkeletonItem) },	//24
    { "KCoreConfigSkeleton", false, 1, xcall_KCoreConfigSkeleton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCoreConfigSkeleton) },	//25
    { "KCoreConfigSkeleton::ItemBool", false, 11, xcall_KCoreConfigSkeleton__ItemBool, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemBool) },	//26
    { "KCoreConfigSkeleton::ItemDateTime", false, 11, xcall_KCoreConfigSkeleton__ItemDateTime, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDateTime) },	//27
    { "KCoreConfigSkeleton::ItemDouble", false, 11, xcall_KCoreConfigSkeleton__ItemDouble, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDouble) },	//28
    { "KCoreConfigSkeleton::ItemEnum", false, 13, xcall_KCoreConfigSkeleton__ItemEnum, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum) },	//29
    { "KCoreConfigSkeleton::ItemEnum::Choice", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice) },	//30
    { "KCoreConfigSkeleton::ItemEnum::Choice2", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice2) },	//31
    { "KCoreConfigSkeleton::ItemInt", false, 11, xcall_KCoreConfigSkeleton__ItemInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemInt) },	//32
    { "KCoreConfigSkeleton::ItemIntList", false, 11, xcall_KCoreConfigSkeleton__ItemIntList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemIntList) },	//33
    { "KCoreConfigSkeleton::ItemLongLong", false, 11, xcall_KCoreConfigSkeleton__ItemLongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemLongLong) },	//34
    { "KCoreConfigSkeleton::ItemPassword", false, 15, xcall_KCoreConfigSkeleton__ItemPassword, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPassword) },	//35
    { "KCoreConfigSkeleton::ItemPath", false, 15, xcall_KCoreConfigSkeleton__ItemPath, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPath) },	//36
    { "KCoreConfigSkeleton::ItemPathList", false, 17, xcall_KCoreConfigSkeleton__ItemPathList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPathList) },	//37
    { "KCoreConfigSkeleton::ItemPoint", false, 11, xcall_KCoreConfigSkeleton__ItemPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPoint) },	//38
    { "KCoreConfigSkeleton::ItemProperty", false, 11, xcall_KCoreConfigSkeleton__ItemProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemProperty) },	//39
    { "KCoreConfigSkeleton::ItemRect", false, 11, xcall_KCoreConfigSkeleton__ItemRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemRect) },	//40
    { "KCoreConfigSkeleton::ItemSize", false, 11, xcall_KCoreConfigSkeleton__ItemSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemSize) },	//41
    { "KCoreConfigSkeleton::ItemString", false, 11, xcall_KCoreConfigSkeleton__ItemString, xenum_KCoreConfigSkeleton__ItemString, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemString) },	//42
    { "KCoreConfigSkeleton::ItemStringList", false, 11, xcall_KCoreConfigSkeleton__ItemStringList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemStringList) },	//43
    { "KCoreConfigSkeleton::ItemUInt", false, 11, xcall_KCoreConfigSkeleton__ItemUInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUInt) },	//44
    { "KCoreConfigSkeleton::ItemULongLong", false, 11, xcall_KCoreConfigSkeleton__ItemULongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemULongLong) },	//45
    { "KCoreConfigSkeleton::ItemUrl", false, 11, xcall_KCoreConfigSkeleton__ItemUrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrl) },	//46
    { "KCoreConfigSkeleton::ItemUrlList", false, 11, xcall_KCoreConfigSkeleton__ItemUrlList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrlList) },	//47
    { "KCurrencyCode", false, 0, xcall_KCurrencyCode, xenum_KCurrencyCode, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCurrencyCode) },	//48
    { "KDE", false, 0, xcall_KDE, 0, Smoke::cf_namespace, 0 },	//49
    { "KDEDModule", false, 1, xcall_KDEDModule, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDEDModule) },	//50
    { "KDEPluginVerificationData", false, 0, xcall_KDEPluginVerificationData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDEPluginVerificationData) },	//51
    { "KDateTime", false, 0, xcall_KDateTime, xenum_KDateTime, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime) },	//52
    { "KDateTime::Spec", false, 0, xcall_KDateTime__Spec, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime::Spec) },	//53
    { "KDebug", false, 0, xcall_KDebug, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebug) },	//54
    { "KDebugTag", false, 0, xcall_KDebugTag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebugTag) },	//55
    { "KDesktopFile", false, 19, xcall_KDesktopFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDesktopFile) },	//56
    { "KEncodingDetector", false, 0, xcall_KEncodingDetector, xenum_KEncodingDetector, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingDetector) },	//57
    { "KEncodingProber", false, 0, xcall_KEncodingProber, xenum_KEncodingProber, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingProber) },	//58
    { "KFilterBase", false, 0, xcall_KFilterBase, xenum_KFilterBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilterBase) },	//59
    { "KFilterDev", false, 21, xcall_KFilterDev, 0, Smoke::cf_virtual, sizeof(KFilterDev) },	//60
    { "KGlobal", false, 0, xcall_KGlobal, xenum_KGlobal, Smoke::cf_namespace, 0 },	//61
    { "KJob", false, 1, xcall_KJob, xenum_KJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJob) },	//62
    { "KJobPrivate", true, 0, 0, 0, 0, 0 },	//63
    { "KJobTrackerInterface", false, 1, xcall_KJobTrackerInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobTrackerInterface) },	//64
    { "KJobUiDelegate", false, 1, xcall_KJobUiDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobUiDelegate) },	//65
    { "KLibLoader", false, 1, xcall_KLibLoader, xenum_KLibLoader, Smoke::cf_virtual, sizeof(KLibLoader) },	//66
    { "KLibrary", false, 23, xcall_KLibrary, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLibrary) },	//67
    { "KLocalSocket", false, 25, xcall_KLocalSocket, xenum_KLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocket) },	//68
    { "KLocalSocketServer", false, 1, xcall_KLocalSocketServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocketServer) },	//69
    { "KLocale", false, 0, xcall_KLocale, xenum_KLocale, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KLocale) },	//70
    { "KLocalizedString", false, 0, xcall_KLocalizedString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLocalizedString) },	//71
    { "KLockFile", false, 27, xcall_KLockFile, xenum_KLockFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLockFile) },	//72
    { "KMD5", false, 0, xcall_KMD5, 0, Smoke::cf_constructor, sizeof(KMD5) },	//73
    { "KMacroExpander", false, 0, xcall_KMacroExpander, 0, Smoke::cf_namespace, 0 },	//74
    { "KMacroExpanderBase", false, 0, xcall_KMacroExpanderBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMacroExpanderBase) },	//75
    { "KMessage", false, 0, xcall_KMessage, xenum_KMessage, Smoke::cf_namespace, 0 },	//76
    { "KMessageHandler", false, 0, xcall_KMessageHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMessageHandler) },	//77
    { "KMimeType", false, 29, xcall_KMimeType, xenum_KMimeType, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KMimeType) },	//78
    { "KMimeTypePrivate", true, 0, 0, 0, 0, 0 },	//79
    { "KMimeTypeTrader", false, 0, xcall_KMimeTypeTrader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KMimeTypeTrader) },	//80
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//81
    { "KPluginFactory", false, 1, xcall_KPluginFactory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginFactory) },	//82
    { "KPluginFactoryPrivate", true, 0, 0, 0, 0, 0 },	//83
    { "KPluginInfo", false, 0, xcall_KPluginInfo, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KPluginInfo) },	//84
    { "KPluginLoader", false, 31, xcall_KPluginLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginLoader) },	//85
    { "KProcess", false, 33, xcall_KProcess, xenum_KProcess, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProcess) },	//86
    { "KProcessPrivate", true, 0, 0, 0, 0, 0 },	//87
    { "KProtocolInfo", false, 35, xcall_KProtocolInfo, xenum_KProtocolInfo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProtocolInfo) },	//88
    { "KProtocolInfo::ExtraField", false, 0, xcall_KProtocolInfo__ExtraField, xenum_KProtocolInfo__ExtraField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KProtocolInfo::ExtraField) },	//89
    { "KRandom", false, 0, xcall_KRandom, 0, Smoke::cf_namespace, 0 },	//90
    { "KRandomSequence", false, 0, xcall_KRandomSequence, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KRandomSequence) },	//91
    { "KSaveFile", false, 3, xcall_KSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSaveFile) },	//92
    { "KService", false, 35, xcall_KService, xenum_KService, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KService) },	//93
    { "KServiceAction", false, 0, xcall_KServiceAction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KServiceAction) },	//94
    { "KServiceGroup", false, 35, xcall_KServiceGroup, xenum_KServiceGroup, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceGroup) },	//95
    { "KServiceType", false, 35, xcall_KServiceType, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceType) },	//96
    { "KServiceTypePrivate", true, 0, 0, 0, 0, 0 },	//97
    { "KServiceTypeTrader", false, 0, xcall_KServiceTypeTrader, 0, 0, sizeof(KServiceTypeTrader) },	//98
    { "KSharedConfig", false, 37, xcall_KSharedConfig, 0, Smoke::cf_virtual, sizeof(KSharedConfig) },	//99
    { "KShell", false, 0, xcall_KShell, xenum_KShell, Smoke::cf_namespace, 0 },	//100
    { "KSocketFactory", false, 0, xcall_KSocketFactory, 0, Smoke::cf_namespace, 0 },	//101
    { "KStandardDirs", false, 0, xcall_KStandardDirs, xenum_KStandardDirs, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KStandardDirs) },	//102
    { "KStringHandler", false, 0, xcall_KStringHandler, 0, Smoke::cf_namespace, 0 },	//103
    { "KSycoca", false, 1, xcall_KSycoca, xenum_KSycoca, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycoca) },	//104
    { "KSycocaEntry", false, 27, xcall_KSycocaEntry, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycocaEntry) },	//105
    { "KSycocaEntryPrivate", true, 0, 0, 0, 0, 0 },	//106
    { "KSycocaFactory", true, 0, 0, 0, 0, 0 },	//107
    { "KSycocaFactoryList", true, 0, 0, 0, 0, 0 },	//108
    { "KSystemTimeZone", false, 40, xcall_KSystemTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZone) },	//109
    { "KSystemTimeZoneBackend", false, 42, xcall_KSystemTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneBackend) },	//110
    { "KSystemTimeZoneSource", false, 44, xcall_KSystemTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneSource) },	//111
    { "KSystemTimeZones", false, 1, xcall_KSystemTimeZones, 0, Smoke::cf_virtual, sizeof(KSystemTimeZones) },	//112
    { "KTempDir", false, 0, xcall_KTempDir, 0, Smoke::cf_constructor, sizeof(KTempDir) },	//113
    { "KTemporaryFile", false, 46, xcall_KTemporaryFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTemporaryFile) },	//114
    { "KTimeZone", false, 0, xcall_KTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZone) },	//115
    { "KTimeZone::LeapSeconds", false, 0, xcall_KTimeZone__LeapSeconds, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::LeapSeconds) },	//116
    { "KTimeZone::Phase", false, 0, xcall_KTimeZone__Phase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Phase) },	//117
    { "KTimeZone::Transition", false, 0, xcall_KTimeZone__Transition, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Transition) },	//118
    { "KTimeZoneBackend", false, 0, xcall_KTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneBackend) },	//119
    { "KTimeZoneData", false, 0, xcall_KTimeZoneData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneData) },	//120
    { "KTimeZoneSource", false, 0, xcall_KTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneSource) },	//121
    { "KTimeZones", false, 0, xcall_KTimeZones, 0, Smoke::cf_constructor, sizeof(KTimeZones) },	//122
    { "KToolInvocation", false, 1, xcall_KToolInvocation, 0, Smoke::cf_virtual, sizeof(KToolInvocation) },	//123
    { "KTzfileTimeZone", false, 40, xcall_KTzfileTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZone) },	//124
    { "KTzfileTimeZoneBackend", false, 42, xcall_KTzfileTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneBackend) },	//125
    { "KTzfileTimeZoneSource", false, 44, xcall_KTzfileTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneSource) },	//126
    { "KUrl", false, 48, xcall_KUrl, xenum_KUrl, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUrl) },	//127
    { "KUser", false, 0, xcall_KUser, xenum_KUser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUser) },	//128
    { "KUserGroup", false, 0, xcall_KUserGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUserGroup) },	//129
    { "KWordMacroExpander", false, 5, xcall_KWordMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KWordMacroExpander) },	//130
    { "OrgKdeKLauncherInterface", false, 50, xcall_OrgKdeKLauncherInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(OrgKdeKLauncherInterface) },	//131
    { "QAbstractFileEngine", true, 0, 0, 0, 0, 0 },	//132
    { "QAbstractSocket", true, 0, 0, 0, 0, 0 },	//133
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//134
    { "QBool", true, 0, 0, 0, 0, 0 },	//135
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//136
    { "QChar", true, 0, 0, 0, 0, 0 },	//137
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QDBusAbstractInterface", true, 0, 0, 0, 0, 0 },	//139
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//140
    { "QDBusConnection", true, 0, 0, 0, 0, 0 },	//141
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//142
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//143
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//144
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//145
    { "QDate", true, 0, 0, 0, 0, 0 },	//146
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//147
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//148
    { "QEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QFile", true, 0, 0, 0, 0, 0 },	//150
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//151
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//152
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//153
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//154
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//155
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//156
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//157
    { "QLibrary", true, 0, 0, 0, 0, 0 },	//158
    { "QLine", true, 0, 0, 0, 0, 0 },	//159
    { "QLineF", true, 0, 0, 0, 0, 0 },	//160
    { "QLocale", true, 0, 0, 0, 0, 0 },	//161
    { "QMargins", true, 0, 0, 0, 0, 0 },	//162
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//163
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//164
    { "QNetworkProxy", true, 0, 0, 0, 0, 0 },	//165
    { "QObject", true, 0, 0, 0, 0, 0 },	//166
    { "QPluginLoader", true, 0, 0, 0, 0, 0 },	//167
    { "QPoint", true, 0, 0, 0, 0, 0 },	//168
    { "QPointF", true, 0, 0, 0, 0, 0 },	//169
    { "QProcess", true, 0, 0, 0, 0, 0 },	//170
    { "QRect", true, 0, 0, 0, 0, 0 },	//171
    { "QRectF", true, 0, 0, 0, 0, 0 },	//172
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//173
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//174
    { "QSize", true, 0, 0, 0, 0, 0 },	//175
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//176
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//177
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//178
    { "QTcpServer", true, 0, 0, 0, 0, 0 },	//179
    { "QTcpSocket", true, 0, 0, 0, 0, 0 },	//180
    { "QTemporaryFile", true, 0, 0, 0, 0, 0 },	//181
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//182
    { "QTextDecoder", true, 0, 0, 0, 0, 0 },	//183
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//184
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//185
    { "QTime", true, 0, 0, 0, 0, 0 },	//186
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//187
    { "QUdpSocket", true, 0, 0, 0, 0, 0 },	//188
    { "QUrl", true, 0, 0, 0, 0, 0 },	//189
    { "QUuid", true, 0, 0, 0, 0, 0 },	//190
    { "QVariant", true, 0, 0, 0, 0, 0 },	//191
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//192
    { "QWidget", true, 0, 0, 0, 0, 0 },	//193
    { "Sonnet", false, 0, xcall_Sonnet, 0, Smoke::cf_namespace, 0 },	//194
    { "Sonnet::BackgroundChecker", false, 1, xcall_Sonnet__BackgroundChecker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Sonnet::BackgroundChecker) },	//195
    { "Sonnet::Speller", false, 0, xcall_Sonnet__Speller, xenum_Sonnet__Speller, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Sonnet::Speller) },	//196
    { "group", true, 0, 0, 0, 0, 0 },	//197
    { "kndbgstream", false, 0, xcall_kndbgstream, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(kndbgstream) },	//198
    { "passwd", true, 0, 0, 0, 0, 0 },	//199
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//200
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//201
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DatabaseType", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "FILE*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//2
    { "FileNameUsedForCopying", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "KAboutData&", 1, Smoke::t_class|Smoke::tf_ref },	//4
    { "KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KAboutData::LicenseKey", 1, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KAboutData::NameFormat", 1, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KAboutLicense", 2, Smoke::t_class|Smoke::tf_stack },	//8
    { "KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref },	//9
    { "KAboutLicense*", 2, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref },	//11
    { "KAboutPerson*", 3, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref },	//13
    { "KAuth::Action*", 4, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KAuth::Action::AuthStatus", 4, Smoke::t_enum|Smoke::tf_stack },	//15
    { "KAuth::ActionReply", 5, Smoke::t_class|Smoke::tf_stack },	//16
    { "KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref },	//17
    { "KAuth::ActionReply*", 5, Smoke::t_class|Smoke::tf_ptr },	//18
    { "KAuth::ActionReply::Error", 5, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KAuth::ActionReply::Type", 5, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KAuth::ActionWatcher*", 6, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KAutoSaveFile*", 8, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KAutostart*", 9, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KAutostart::Condition", 9, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KAutostart::StartPhase", 9, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KCalendarSystem::MonthNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KCalendarSystem::StringFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KCalendarSystem::WeekDayNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KCalendarSystemPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//30
    { "KCharMacroExpander*", 12, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KCharsets*", 13, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KCmdLineArgs*", 14, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KCmdLineArgs::StdCmdLineArg", 14, Smoke::t_enum|Smoke::tf_stack },	//34
    { "KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref },	//35
    { "KCmdLineOptions*", 15, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KComponentData", 17, Smoke::t_class|Smoke::tf_stack },	//37
    { "KComponentData&", 17, Smoke::t_class|Smoke::tf_ref },	//38
    { "KComponentData*", 17, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KComponentData::MainComponentRegistration", 17, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KCompositeJob*", 18, Smoke::t_class|Smoke::tf_ptr },	//41
    { "KCompositeJobPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//42
    { "KConfig*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KConfig::OpenFlag", 20, Smoke::t_enum|Smoke::tf_stack },	//44
    { "KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KConfigBase::AccessMode", 21, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KConfigBase::WriteConfigFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//47
    { "KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack },	//48
    { "KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref },	//49
    { "KConfigGroup*", 22, Smoke::t_class|Smoke::tf_ptr },	//50
    { "KConfigPrivate&", 23, Smoke::t_class|Smoke::tf_ref },	//51
    { "KConfigSkeletonItem*", 24, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KCoreConfigSkeleton*", 25, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KCoreConfigSkeleton::ItemBool*", 26, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KCoreConfigSkeleton::ItemDateTime*", 27, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KCoreConfigSkeleton::ItemDouble*", 28, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KCoreConfigSkeleton::ItemEnum*", 29, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KCoreConfigSkeleton::ItemEnum::Choice*", 30, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KCoreConfigSkeleton::ItemEnum::Choice2*", 31, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KCoreConfigSkeleton::ItemInt*", 32, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KCoreConfigSkeleton::ItemIntList*", 33, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KCoreConfigSkeleton::ItemLongLong*", 34, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KCoreConfigSkeleton::ItemPassword*", 35, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KCoreConfigSkeleton::ItemPath*", 36, Smoke::t_class|Smoke::tf_ptr },	//64
    { "KCoreConfigSkeleton::ItemPathList*", 37, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KCoreConfigSkeleton::ItemPoint*", 38, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KCoreConfigSkeleton::ItemProperty*", 39, Smoke::t_class|Smoke::tf_ptr },	//67
    { "KCoreConfigSkeleton::ItemRect*", 40, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KCoreConfigSkeleton::ItemSize*", 41, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KCoreConfigSkeleton::ItemString*", 42, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KCoreConfigSkeleton::ItemString::Type", 42, Smoke::t_enum|Smoke::tf_stack },	//71
    { "KCoreConfigSkeleton::ItemStringList*", 43, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KCoreConfigSkeleton::ItemUInt*", 44, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KCoreConfigSkeleton::ItemULongLong*", 45, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KCoreConfigSkeleton::ItemUrl*", 46, Smoke::t_class|Smoke::tf_ptr },	//75
    { "KCoreConfigSkeleton::ItemUrlList*", 47, Smoke::t_class|Smoke::tf_ptr },	//76
    { "KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref },	//77
    { "KCurrencyCode*", 48, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KCurrencyCode::CurrencyStatus", 48, Smoke::t_enum|Smoke::tf_stack },	//79
    { "KDEDModule*", 50, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KDEPluginVerificationData*", 51, Smoke::t_class|Smoke::tf_ptr },	//81
    { "KDateTime", 52, Smoke::t_class|Smoke::tf_stack },	//82
    { "KDateTime&", 52, Smoke::t_class|Smoke::tf_ref },	//83
    { "KDateTime*", 52, Smoke::t_class|Smoke::tf_ptr },	//84
    { "KDateTime::Comparison", 52, Smoke::t_enum|Smoke::tf_stack },	//85
    { "KDateTime::Spec", 53, Smoke::t_class|Smoke::tf_stack },	//86
    { "KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref },	//87
    { "KDateTime::Spec*", 53, Smoke::t_class|Smoke::tf_ptr },	//88
    { "KDateTime::SpecType", 52, Smoke::t_enum|Smoke::tf_stack },	//89
    { "KDateTime::TimeFormat", 52, Smoke::t_enum|Smoke::tf_stack },	//90
    { "KDebug*", 54, Smoke::t_class|Smoke::tf_ptr },	//91
    { "KDebugTag*", 55, Smoke::t_class|Smoke::tf_ptr },	//92
    { "KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KEncodingDetector*", 57, Smoke::t_class|Smoke::tf_ptr },	//94
    { "KEncodingDetector::AutoDetectScript", 57, Smoke::t_enum|Smoke::tf_stack },	//95
    { "KEncodingDetector::EncodingChoiceSource", 57, Smoke::t_enum|Smoke::tf_stack },	//96
    { "KEncodingProber*", 58, Smoke::t_class|Smoke::tf_ptr },	//97
    { "KEncodingProber::ProberState", 58, Smoke::t_enum|Smoke::tf_stack },	//98
    { "KEncodingProber::ProberType", 58, Smoke::t_enum|Smoke::tf_stack },	//99
    { "KFilterBase*", 59, Smoke::t_class|Smoke::tf_ptr },	//100
    { "KFilterBase::FilterFlags", 59, Smoke::t_enum|Smoke::tf_stack },	//101
    { "KFilterBase::Result", 59, Smoke::t_enum|Smoke::tf_stack },	//102
    { "KGlobal::CopyCatalogs", 61, Smoke::t_enum|Smoke::tf_stack },	//103
    { "KJob*", 62, Smoke::t_class|Smoke::tf_ptr },	//104
    { "KJob::Capability", 62, Smoke::t_enum|Smoke::tf_stack },	//105
    { "KJob::KillVerbosity", 62, Smoke::t_enum|Smoke::tf_stack },	//106
    { "KJob::Unit", 62, Smoke::t_enum|Smoke::tf_stack },	//107
    { "KJobPrivate&", 63, Smoke::t_class|Smoke::tf_ref },	//108
    { "KJobTrackerInterface*", 64, Smoke::t_class|Smoke::tf_ptr },	//109
    { "KJobUiDelegate*", 65, Smoke::t_class|Smoke::tf_ptr },	//110
    { "KLibLoader*", 66, Smoke::t_class|Smoke::tf_ptr },	//111
    { "KLibLoader::ComponentLoadingError", 66, Smoke::t_enum|Smoke::tf_stack },	//112
    { "KLibrary*", 67, Smoke::t_class|Smoke::tf_ptr },	//113
    { "KLocalSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//114
    { "KLocalSocket::LocalSocketType", 68, Smoke::t_enum|Smoke::tf_stack },	//115
    { "KLocalSocketServer*", 69, Smoke::t_class|Smoke::tf_ptr },	//116
    { "KLocale&", 70, Smoke::t_class|Smoke::tf_ref },	//117
    { "KLocale*", 70, Smoke::t_class|Smoke::tf_ptr },	//118
    { "KLocale::BinarySizeUnits", 70, Smoke::t_enum|Smoke::tf_stack },	//119
    { "KLocale::BinaryUnitDialect", 70, Smoke::t_enum|Smoke::tf_stack },	//120
    { "KLocale::CalendarSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//121
    { "KLocale::DateFormat", 70, Smoke::t_enum|Smoke::tf_stack },	//122
    { "KLocale::DateTimeComponent", 70, Smoke::t_enum|Smoke::tf_stack },	//123
    { "KLocale::DateTimeComponentFormat", 70, Smoke::t_enum|Smoke::tf_stack },	//124
    { "KLocale::DateTimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//125
    { "KLocale::DateTimeFormatStandard", 70, Smoke::t_enum|Smoke::tf_stack },	//126
    { "KLocale::DateTimeParseMode", 70, Smoke::t_enum|Smoke::tf_stack },	//127
    { "KLocale::DigitSet", 70, Smoke::t_enum|Smoke::tf_stack },	//128
    { "KLocale::MeasureSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//129
    { "KLocale::ReadDateFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//130
    { "KLocale::ReadTimeFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//131
    { "KLocale::SignPosition", 70, Smoke::t_enum|Smoke::tf_stack },	//132
    { "KLocale::TimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//133
    { "KLocale::TimeProcessingOption", 70, Smoke::t_enum|Smoke::tf_stack },	//134
    { "KLocale::WeekNumberSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//135
    { "KLocalizedString", 71, Smoke::t_class|Smoke::tf_stack },	//136
    { "KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref },	//137
    { "KLocalizedString*", 71, Smoke::t_class|Smoke::tf_ptr },	//138
    { "KLockFile*", 72, Smoke::t_class|Smoke::tf_ptr },	//139
    { "KLockFile::LockFlag", 72, Smoke::t_enum|Smoke::tf_stack },	//140
    { "KLockFile::LockResult", 72, Smoke::t_enum|Smoke::tf_stack },	//141
    { "KMD5*", 73, Smoke::t_class|Smoke::tf_ptr },	//142
    { "KMacroExpanderBase*", 75, Smoke::t_class|Smoke::tf_ptr },	//143
    { "KMessage::MessageType", 76, Smoke::t_enum|Smoke::tf_stack },	//144
    { "KMessageHandler*", 77, Smoke::t_class|Smoke::tf_ptr },	//145
    { "KMimeType*", 78, Smoke::t_class|Smoke::tf_ptr },	//146
    { "KMimeType::FindByNameOption", 78, Smoke::t_enum|Smoke::tf_stack },	//147
    { "KMimeTypePrivate&", 79, Smoke::t_class|Smoke::tf_ref },	//148
    { "KMimeTypeTrader*", 80, Smoke::t_class|Smoke::tf_ptr },	//149
    { "KParts::Part*", 81, Smoke::t_class|Smoke::tf_ptr },	//150
    { "KPluginFactory*", 82, Smoke::t_class|Smoke::tf_ptr },	//151
    { "KPluginFactoryPrivate&", 83, Smoke::t_class|Smoke::tf_ref },	//152
    { "KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref },	//153
    { "KPluginInfo*", 84, Smoke::t_class|Smoke::tf_ptr },	//154
    { "KPluginLoader*", 85, Smoke::t_class|Smoke::tf_ptr },	//155
    { "KProcess&", 86, Smoke::t_class|Smoke::tf_ref },	//156
    { "KProcess*", 86, Smoke::t_class|Smoke::tf_ptr },	//157
    { "KProcess::OutputChannelMode", 86, Smoke::t_enum|Smoke::tf_stack },	//158
    { "KProcessPrivate*", 87, Smoke::t_class|Smoke::tf_ptr },	//159
    { "KProtocolInfo*", 88, Smoke::t_class|Smoke::tf_ptr },	//160
    { "KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref },	//161
    { "KProtocolInfo::ExtraField*", 89, Smoke::t_class|Smoke::tf_ptr },	//162
    { "KProtocolInfo::ExtraField::Type", 89, Smoke::t_enum|Smoke::tf_stack },	//163
    { "KProtocolInfo::FileNameUsedForCopying", 88, Smoke::t_enum|Smoke::tf_stack },	//164
    { "KProtocolInfo::Type", 88, Smoke::t_enum|Smoke::tf_stack },	//165
    { "KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref },	//166
    { "KRandomSequence*", 91, Smoke::t_class|Smoke::tf_ptr },	//167
    { "KSaveFile*", 92, Smoke::t_class|Smoke::tf_ptr },	//168
    { "KService*", 93, Smoke::t_class|Smoke::tf_ptr },	//169
    { "KService::DBusStartupType", 93, Smoke::t_enum|Smoke::tf_stack },	//170
    { "KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref },	//171
    { "KServiceAction*", 94, Smoke::t_class|Smoke::tf_ptr },	//172
    { "KServiceGroup*", 95, Smoke::t_class|Smoke::tf_ptr },	//173
    { "KServiceGroup::EntriesOption", 95, Smoke::t_enum|Smoke::tf_stack },	//174
    { "KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr },	//175
    { "KServiceTypePrivate&", 97, Smoke::t_class|Smoke::tf_ref },	//176
    { "KServiceTypeTrader*", 98, Smoke::t_class|Smoke::tf_ptr },	//177
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "KSharedPtr<KServiceGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "KSharedPtr<KServiceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "KShell::Errors", 100, Smoke::t_enum|Smoke::tf_stack },	//183
    { "KShell::Errors*", 100, Smoke::t_enum|Smoke::tf_ptr },	//184
    { "KShell::Option", 100, Smoke::t_enum|Smoke::tf_stack },	//185
    { "KStandardDirs*", 102, Smoke::t_class|Smoke::tf_ptr },	//186
    { "KStandardDirs::SearchOption", 102, Smoke::t_enum|Smoke::tf_stack },	//187
    { "KSycoca*", 104, Smoke::t_class|Smoke::tf_ptr },	//188
    { "KSycoca::DatabaseType", 104, Smoke::t_enum|Smoke::tf_stack },	//189
    { "KSycocaEntry*", 105, Smoke::t_class|Smoke::tf_ptr },	//190
    { "KSycocaEntryPrivate&", 106, Smoke::t_class|Smoke::tf_ref },	//191
    { "KSycocaFactory*", 107, Smoke::t_class|Smoke::tf_ptr },	//192
    { "KSycocaFactoryId", 152, Smoke::t_enum|Smoke::tf_stack },	//193
    { "KSycocaFactoryList*", 108, Smoke::t_class|Smoke::tf_ptr },	//194
    { "KSycocaType", 152, Smoke::t_enum|Smoke::tf_stack },	//195
    { "KSycocaType&", 152, Smoke::t_enum|Smoke::tf_ref },	//196
    { "KSystemTimeZone*", 109, Smoke::t_class|Smoke::tf_ptr },	//197
    { "KSystemTimeZoneBackend*", 110, Smoke::t_class|Smoke::tf_ptr },	//198
    { "KSystemTimeZoneSource*", 111, Smoke::t_class|Smoke::tf_ptr },	//199
    { "KTempDir*", 113, Smoke::t_class|Smoke::tf_ptr },	//200
    { "KTemporaryFile*", 114, Smoke::t_class|Smoke::tf_ptr },	//201
    { "KTimeZone", 115, Smoke::t_class|Smoke::tf_stack },	//202
    { "KTimeZone&", 115, Smoke::t_class|Smoke::tf_ref },	//203
    { "KTimeZone*", 115, Smoke::t_class|Smoke::tf_ptr },	//204
    { "KTimeZone::LeapSeconds", 116, Smoke::t_class|Smoke::tf_stack },	//205
    { "KTimeZone::LeapSeconds&", 116, Smoke::t_class|Smoke::tf_ref },	//206
    { "KTimeZone::LeapSeconds*", 116, Smoke::t_class|Smoke::tf_ptr },	//207
    { "KTimeZone::Phase", 117, Smoke::t_class|Smoke::tf_stack },	//208
    { "KTimeZone::Phase&", 117, Smoke::t_class|Smoke::tf_ref },	//209
    { "KTimeZone::Phase*", 117, Smoke::t_class|Smoke::tf_ptr },	//210
    { "KTimeZone::Transition&", 118, Smoke::t_class|Smoke::tf_ref },	//211
    { "KTimeZone::Transition*", 118, Smoke::t_class|Smoke::tf_ptr },	//212
    { "KTimeZoneBackend&", 119, Smoke::t_class|Smoke::tf_ref },	//213
    { "KTimeZoneBackend*", 119, Smoke::t_class|Smoke::tf_ptr },	//214
    { "KTimeZoneData&", 120, Smoke::t_class|Smoke::tf_ref },	//215
    { "KTimeZoneData*", 120, Smoke::t_class|Smoke::tf_ptr },	//216
    { "KTimeZoneSource*", 121, Smoke::t_class|Smoke::tf_ptr },	//217
    { "KTimeZones*", 122, Smoke::t_class|Smoke::tf_ptr },	//218
    { "KToolInvocation*", 123, Smoke::t_class|Smoke::tf_ptr },	//219
    { "KTzfileTimeZone*", 124, Smoke::t_class|Smoke::tf_ptr },	//220
    { "KTzfileTimeZoneBackend*", 125, Smoke::t_class|Smoke::tf_ptr },	//221
    { "KTzfileTimeZoneSource*", 126, Smoke::t_class|Smoke::tf_ptr },	//222
    { "KUrl", 127, Smoke::t_class|Smoke::tf_stack },	//223
    { "KUrl&", 127, Smoke::t_class|Smoke::tf_ref },	//224
    { "KUrl*", 127, Smoke::t_class|Smoke::tf_ptr },	//225
    { "KUrl::AdjustPathOption", 127, Smoke::t_enum|Smoke::tf_stack },	//226
    { "KUrl::CleanPathOption", 127, Smoke::t_enum|Smoke::tf_stack },	//227
    { "KUrl::DirectoryOption", 127, Smoke::t_enum|Smoke::tf_stack },	//228
    { "KUrl::EncodedPathAndQueryOption", 127, Smoke::t_enum|Smoke::tf_stack },	//229
    { "KUrl::EqualsOption", 127, Smoke::t_enum|Smoke::tf_stack },	//230
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//231
    { "KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref },	//232
    { "KUrl::MimeDataFlags", 127, Smoke::t_enum|Smoke::tf_stack },	//233
    { "KUrl::QueryItemsOption", 127, Smoke::t_enum|Smoke::tf_stack },	//234
    { "KUser&", 128, Smoke::t_class|Smoke::tf_ref },	//235
    { "KUser*", 128, Smoke::t_class|Smoke::tf_ptr },	//236
    { "KUser::UIDMode", 128, Smoke::t_enum|Smoke::tf_stack },	//237
    { "KUser::UserProperty", 128, Smoke::t_enum|Smoke::tf_stack },	//238
    { "KUserGroup&", 129, Smoke::t_class|Smoke::tf_ref },	//239
    { "KUserGroup*", 129, Smoke::t_class|Smoke::tf_ptr },	//240
    { "KWordMacroExpander*", 130, Smoke::t_class|Smoke::tf_ptr },	//241
    { "OrgKdeKLauncherInterface*", 131, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QAbstractFileEngine*", 132, Smoke::t_class|Smoke::tf_ptr },	//243
    { "QAbstractFileEngine::FileFlag", 132, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QAbstractSocket::SocketError", 133, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QBitArray", 134, Smoke::t_class|Smoke::tf_stack },	//246
    { "QBitArray&", 134, Smoke::t_class|Smoke::tf_ref },	//247
    { "QBool", 135, Smoke::t_class|Smoke::tf_stack },	//248
    { "QByteArray", 136, Smoke::t_class|Smoke::tf_stack },	//249
    { "QByteArray&", 136, Smoke::t_class|Smoke::tf_ref },	//250
    { "QChar", 137, Smoke::t_class|Smoke::tf_stack },	//251
    { "QChar&", 137, Smoke::t_class|Smoke::tf_ref },	//252
    { "QChildEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//253
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QDBusArgument&", 140, Smoke::t_class|Smoke::tf_ref },	//255
    { "QDBusConnection::RegisterOption", 141, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QDBusConnection::VirtualObjectRegisterOption", 141, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QDBusObjectPath", 142, Smoke::t_class|Smoke::tf_stack },	//258
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "QDBusReply<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "QDBusServiceWatcher::WatchModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QDataStream&", 145, Smoke::t_class|Smoke::tf_ref },	//263
    { "QDataStream*", 145, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QDataStream*&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//265
    { "QDate", 146, Smoke::t_class|Smoke::tf_stack },	//266
    { "QDate&", 146, Smoke::t_class|Smoke::tf_ref },	//267
    { "QDateTime", 147, Smoke::t_class|Smoke::tf_stack },	//268
    { "QDateTime&", 147, Smoke::t_class|Smoke::tf_ref },	//269
    { "QDir::Filter", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QDir::SortFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QEasingCurve&", 148, Smoke::t_class|Smoke::tf_ref },	//273
    { "QEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QFile::FileError", 150, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QFile::Permission", 150, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QFlags<KAutostart::Condition>", 0, Smoke::t_uint|Smoke::tf_stack },	//278
    { "QFlags<KCmdLineArgs::StdCmdLineArg>", 0, Smoke::t_uint|Smoke::tf_stack },	//279
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//280
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//281
    { "QFlags<KCurrencyCode::CurrencyStatus>", 0, Smoke::t_uint|Smoke::tf_stack },	//282
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//283
    { "QFlags<KLocale::DateTimeComponent>", 0, Smoke::t_uint|Smoke::tf_stack },	//284
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//285
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//286
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//287
    { "QFlags<KLockFile::LockFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//288
    { "QFlags<KServiceGroup::EntriesOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//289
    { "QFlags<KShell::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//290
    { "QFlags<KStandardDirs::SearchOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//291
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//292
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//293
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//294
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//295
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//296
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//297
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//298
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//299
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//304
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//305
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//306
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//307
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//308
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//309
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//310
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//311
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//312
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//313
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//314
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//315
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//316
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//317
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//318
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//319
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//320
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//321
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//322
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//323
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//324
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//325
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//326
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//327
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//328
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//329
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//330
    { "QHostAddress&", 154, Smoke::t_class|Smoke::tf_ref },	//331
    { "QHostAddress::SpecialAddress", 154, Smoke::t_enum|Smoke::tf_stack },	//332
    { "QIODevice&", 155, Smoke::t_class|Smoke::tf_ref },	//333
    { "QIODevice*", 155, Smoke::t_class|Smoke::tf_ptr },	//334
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//335
    { "QIODevice::OpenModeFlag", 155, Smoke::t_enum|Smoke::tf_stack },	//336
    { "QIncompatibleFlag", 156, Smoke::t_class|Smoke::tf_stack },	//337
    { "QLibrary::LoadHint", 158, Smoke::t_enum|Smoke::tf_stack },	//338
    { "QLine&", 159, Smoke::t_class|Smoke::tf_ref },	//339
    { "QLineF&", 160, Smoke::t_class|Smoke::tf_ref },	//340
    { "QList<KAboutLicense>", 0, Smoke::t_voidp|Smoke::tf_stack },	//341
    { "QList<KAboutPerson>", 0, Smoke::t_voidp|Smoke::tf_stack },	//342
    { "QList<KAuth::Action>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//343
    { "QList<KAutoSaveFile*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//344
    { "QList<KConfigSkeletonItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//345
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice2>", 0, Smoke::t_voidp|Smoke::tf_stack },	//346
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//347
    { "QList<KLocale::CalendarSystem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//348
    { "QList<KLocale::DigitSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//350
    { "QList<KProtocolInfo::ExtraField>", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//352
    { "QList<KSharedPtr<KMimeType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//353
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref },	//355
    { "QList<KSharedPtr<KServiceGroup> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//356
    { "QList<KSharedPtr<KServiceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//357
    { "QList<KSharedPtr<KSycocaEntry> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//358
    { "QList<KTimeZone::LeapSeconds>", 0, Smoke::t_voidp|Smoke::tf_stack },	//359
    { "QList<KTimeZone::Phase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//360
    { "QList<KTimeZone::Transition>", 0, Smoke::t_voidp|Smoke::tf_stack },	//361
    { "QList<KUser>", 0, Smoke::t_voidp|Smoke::tf_stack },	//362
    { "QList<KUserGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//363
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//364
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//365
    { "QList<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//366
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//367
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//369
    { "QLocale&", 161, Smoke::t_class|Smoke::tf_ref },	//370
    { "QLocale::NumberOption", 161, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//372
    { "QMap<QString,QVariant::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//373
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//374
    { "QMetaObject::Call", 163, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QMimeData*", 164, Smoke::t_class|Smoke::tf_ptr },	//376
    { "QNetworkProxy", 165, Smoke::t_class|Smoke::tf_stack },	//377
    { "QNetworkProxy::Capability", 165, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QObject*", 166, Smoke::t_class|Smoke::tf_ptr },	//379
    { "QPair<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//380
    { "QPoint&", 168, Smoke::t_class|Smoke::tf_ref },	//381
    { "QPointF&", 169, Smoke::t_class|Smoke::tf_ref },	//382
    { "QRect&", 171, Smoke::t_class|Smoke::tf_ref },	//383
    { "QRectF&", 172, Smoke::t_class|Smoke::tf_ref },	//384
    { "QRegExp&", 173, Smoke::t_class|Smoke::tf_ref },	//385
    { "QSize&", 175, Smoke::t_class|Smoke::tf_ref },	//386
    { "QSizeF&", 176, Smoke::t_class|Smoke::tf_ref },	//387
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//388
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//389
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//390
    { "QString::Null", 177, Smoke::t_class|Smoke::tf_stack },	//391
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//393
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//394
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//395
    { "QTcpServer*", 179, Smoke::t_class|Smoke::tf_ptr },	//396
    { "QTcpSocket*", 180, Smoke::t_class|Smoke::tf_ptr },	//397
    { "QTextCodec*", 182, Smoke::t_class|Smoke::tf_ptr },	//398
    { "QTextCodec::ConversionFlag", 182, Smoke::t_enum|Smoke::tf_stack },	//399
    { "QTextDecoder*", 183, Smoke::t_class|Smoke::tf_ptr },	//400
    { "QTextStream&", 184, Smoke::t_class|Smoke::tf_ref },	//401
    { "QTextStream&(*)(QTextStream&)", 184, Smoke::t_class|Smoke::tf_ref },	//402
    { "QTextStream::NumberFlag", 184, Smoke::t_enum|Smoke::tf_stack },	//403
    { "QTextStreamManipulator", 185, Smoke::t_class|Smoke::tf_stack },	//404
    { "QTime", 186, Smoke::t_class|Smoke::tf_stack },	//405
    { "QTime&", 186, Smoke::t_class|Smoke::tf_ref },	//406
    { "QTimerEvent*", 187, Smoke::t_class|Smoke::tf_ptr },	//407
    { "QUdpSocket*", 188, Smoke::t_class|Smoke::tf_ptr },	//408
    { "QUrl&", 189, Smoke::t_class|Smoke::tf_ref },	//409
    { "QUrl::FormattingOption", 189, Smoke::t_enum|Smoke::tf_stack },	//410
    { "QUuid&", 190, Smoke::t_class|Smoke::tf_ref },	//411
    { "QVariant", 191, Smoke::t_class|Smoke::tf_stack },	//412
    { "QVariant&", 191, Smoke::t_class|Smoke::tf_ref },	//413
    { "QVariant::Type", 191, Smoke::t_enum|Smoke::tf_stack },	//414
    { "QVariant::Type&", 191, Smoke::t_enum|Smoke::tf_ref },	//415
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//416
    { "QVector<KService::ServiceTypeAndPreference>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//417
    { "QWidget*", 193, Smoke::t_class|Smoke::tf_ptr },	//418
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//419
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//420
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//421
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//422
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//423
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//424
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//425
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//426
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//427
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//428
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//429
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//430
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//431
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//432
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//433
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//434
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//435
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//442
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//443
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//444
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//445
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//446
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//447
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//448
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//449
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//450
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//451
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//452
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//453
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//454
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//455
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//456
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//457
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//458
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//459
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//460
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//461
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//462
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//463
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//464
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//465
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//466
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//467
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//468
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//469
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//470
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//471
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//472
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//473
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//474
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//475
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//476
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//477
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//478
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//479
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//480
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//481
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//482
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//483
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//484
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//485
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//486
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//487
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//488
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//489
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//490
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//491
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//492
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//493
    { "QtMsgType", 152, Smoke::t_enum|Smoke::tf_stack },	//494
    { "QtValidLicenseForActiveQtModule", 152, Smoke::t_enum|Smoke::tf_stack },	//495
    { "QtValidLicenseForCoreModule", 152, Smoke::t_enum|Smoke::tf_stack },	//496
    { "QtValidLicenseForDBusModule", 152, Smoke::t_enum|Smoke::tf_stack },	//497
    { "QtValidLicenseForDeclarativeModule", 152, Smoke::t_enum|Smoke::tf_stack },	//498
    { "QtValidLicenseForGuiModule", 152, Smoke::t_enum|Smoke::tf_stack },	//499
    { "QtValidLicenseForHelpModule", 152, Smoke::t_enum|Smoke::tf_stack },	//500
    { "QtValidLicenseForMultimediaModule", 152, Smoke::t_enum|Smoke::tf_stack },	//501
    { "QtValidLicenseForNetworkModule", 152, Smoke::t_enum|Smoke::tf_stack },	//502
    { "QtValidLicenseForOpenGLModule", 152, Smoke::t_enum|Smoke::tf_stack },	//503
    { "QtValidLicenseForOpenVGModule", 152, Smoke::t_enum|Smoke::tf_stack },	//504
    { "QtValidLicenseForQt3SupportLightModule", 152, Smoke::t_enum|Smoke::tf_stack },	//505
    { "QtValidLicenseForQt3SupportModule", 152, Smoke::t_enum|Smoke::tf_stack },	//506
    { "QtValidLicenseForScriptModule", 152, Smoke::t_enum|Smoke::tf_stack },	//507
    { "QtValidLicenseForScriptToolsModule", 152, Smoke::t_enum|Smoke::tf_stack },	//508
    { "QtValidLicenseForSqlModule", 152, Smoke::t_enum|Smoke::tf_stack },	//509
    { "QtValidLicenseForSvgModule", 152, Smoke::t_enum|Smoke::tf_stack },	//510
    { "QtValidLicenseForTestModule", 152, Smoke::t_enum|Smoke::tf_stack },	//511
    { "QtValidLicenseForXmlModule", 152, Smoke::t_enum|Smoke::tf_stack },	//512
    { "QtValidLicenseForXmlPatternsModule", 152, Smoke::t_enum|Smoke::tf_stack },	//513
    { "Sonnet::BackgroundChecker*", 195, Smoke::t_class|Smoke::tf_ptr },	//514
    { "Sonnet::Speller", 196, Smoke::t_class|Smoke::tf_stack },	//515
    { "Sonnet::Speller&", 196, Smoke::t_class|Smoke::tf_ref },	//516
    { "Sonnet::Speller*", 196, Smoke::t_class|Smoke::tf_ptr },	//517
    { "Sonnet::Speller::Attribute", 196, Smoke::t_enum|Smoke::tf_stack },	//518
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//519
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//520
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//521
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//522
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//523
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//524
    { "const KAboutData&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//525
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//526
    { "const KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//527
    { "const KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//528
    { "const KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//529
    { "const KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//530
    { "const KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//531
    { "const KCharMacroExpander&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//532
    { "const KCharsets&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//533
    { "const KCmdLineArgs&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//534
    { "const KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//535
    { "const KComponentData&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//536
    { "const KConfig*", 20, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//537
    { "const KConfigBase&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//538
    { "const KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//539
    { "const KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//540
    { "const KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//541
    { "const KConfigSkeletonItem&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//542
    { "const KCoreConfigSkeleton::ItemBool&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//543
    { "const KCoreConfigSkeleton::ItemDateTime&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const KCoreConfigSkeleton::ItemDouble&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//545
    { "const KCoreConfigSkeleton::ItemEnum&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const KCoreConfigSkeleton::ItemEnum::Choice&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//547
    { "const KCoreConfigSkeleton::ItemEnum::Choice2&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//548
    { "const KCoreConfigSkeleton::ItemInt&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const KCoreConfigSkeleton::ItemIntList&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//550
    { "const KCoreConfigSkeleton::ItemLongLong&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//551
    { "const KCoreConfigSkeleton::ItemPassword&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const KCoreConfigSkeleton::ItemPath&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//553
    { "const KCoreConfigSkeleton::ItemPathList&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//554
    { "const KCoreConfigSkeleton::ItemPoint&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const KCoreConfigSkeleton::ItemProperty&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//556
    { "const KCoreConfigSkeleton::ItemRect&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const KCoreConfigSkeleton::ItemSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//558
    { "const KCoreConfigSkeleton::ItemString&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//559
    { "const KCoreConfigSkeleton::ItemStringList&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const KCoreConfigSkeleton::ItemUInt&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const KCoreConfigSkeleton::ItemULongLong&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//562
    { "const KCoreConfigSkeleton::ItemUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//563
    { "const KCoreConfigSkeleton::ItemUrlList&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//564
    { "const KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const KDEPluginVerificationData&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const KDateTime&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const KDebug&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const KDebugTag&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//571
    { "const KEncodingDetector&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const KEncodingProber&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//573
    { "const KLocale&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const KLocale*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//575
    { "const KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//576
    { "const KLockFile&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const KMacroExpanderBase&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//578
    { "const KMessageHandler&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//579
    { "const KMimeTypeTrader&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//580
    { "const KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//581
    { "const KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const KService&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//584
    { "const KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//585
    { "const KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//586
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//587
    { "const KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//588
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const KSharedPtr<KSycocaEntry>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//590
    { "const KSystemTimeZone&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//591
    { "const KSystemTimeZoneBackend&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//592
    { "const KSystemTimeZoneSource&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const KTimeZone&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//594
    { "const KTimeZone*", 115, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//595
    { "const KTimeZone::LeapSeconds&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//596
    { "const KTimeZone::Phase&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//597
    { "const KTimeZone::Transition&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//598
    { "const KTimeZone::Transition*", 118, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//599
    { "const KTimeZone::Transition**", 118, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//600
    { "const KTimeZoneBackend&", 119, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//601
    { "const KTimeZoneData&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//602
    { "const KTimeZoneData*", 120, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//603
    { "const KTimeZoneSource&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//604
    { "const KTimeZones*", 122, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//605
    { "const KTzfileTimeZone&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//606
    { "const KTzfileTimeZoneBackend&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//607
    { "const KTzfileTimeZoneSource&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//608
    { "const KUrl&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//609
    { "const KUrl::CleanPathOption&", 127, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//610
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//611
    { "const KUser&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//612
    { "const KUserGroup&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//613
    { "const KWordMacroExpander&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//614
    { "const QBitArray&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//615
    { "const QByteArray", 136, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//616
    { "const QByteArray&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//617
    { "const QChar&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//618
    { "const QDBusArgument&", 140, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//619
    { "const QDBusConnection&", 141, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//620
    { "const QDBusObjectPath&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//621
    { "const QDBusSignature&", 143, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//622
    { "const QDBusVariant&", 144, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//623
    { "const QDate", 146, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//624
    { "const QDate&", 146, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//625
    { "const QDateTime&", 147, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//626
    { "const QEasingCurve&", 148, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//627
    { "const QFileInfo&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//628
    { "const QFlags<KUrl::DirectoryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//629
    { "const QFlags<KUrl::EncodedPathAndQueryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//630
    { "const QFlags<KUrl::EqualsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//631
    { "const QFlags<KUrl::QueryItemsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//632
    { "const QHash<QChar,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//633
    { "const QHash<QChar,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//634
    { "const QHash<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//635
    { "const QHash<QString,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//636
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//637
    { "const QHashDummyValue&", 153, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//638
    { "const QHostAddress&", 154, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//639
    { "const QLatin1String&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//640
    { "const QLine&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//641
    { "const QLineF&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//642
    { "const QList<KAuth::Action>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//643
    { "const QList<KCatalogName>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//644
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//645
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//646
    { "const QList<KJob*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//647
    { "const QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//648
    { "const QList<KTimeZone::LeapSeconds>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//649
    { "const QList<KTimeZone::Phase>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//650
    { "const QList<KTimeZone::Transition>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//651
    { "const QList<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//652
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//653
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//654
    { "const QLocale&", 161, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//655
    { "const QMap<QString,KTimeZone>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//656
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//657
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//658
    { "const QMargins&", 162, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//659
    { "const QMetaObject&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//660
    { "const QMetaObject*", 163, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//661
    { "const QObject*", 166, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//662
    { "const QPair<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//663
    { "const QPoint", 168, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//664
    { "const QPoint&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//665
    { "const QPointF", 169, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//666
    { "const QPointF&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//667
    { "const QRect&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//668
    { "const QRectF&", 172, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//669
    { "const QRegExp&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//670
    { "const QSize", 175, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//671
    { "const QSize&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//672
    { "const QSizeF", 176, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//673
    { "const QSizeF&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//674
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//675
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//676
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//677
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//678
    { "const QStringRef&", 178, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//679
    { "const QTime&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//680
    { "const QUrl&", 189, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//681
    { "const QUuid&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//682
    { "const QVariant&", 191, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//683
    { "const QVariant::Type", 191, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//684
    { "const QVariantComparisonHelper&", 192, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//685
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//686
    { "const Sonnet::Speller&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//687
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//688
    { "const float", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//689
    { "const group*", 197, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//690
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//691
    { "const kndbgstream&", 198, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//692
    { "const passwd*", 199, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//693
    { "const time_t", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//694
    { "const unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//695
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//696
    { "const unsigned char[64]", 0, Smoke::t_uchar|Smoke::tf_stack|Smoke::tf_const },	//697
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//698
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//699
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//700
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//701
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//702
    { "gid_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//703
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//704
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//705
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//706
    { "kndbgstream*", 198, Smoke::t_class|Smoke::tf_ptr },	//707
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//708
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//709
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//710
    { "mode_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//711
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//712
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//713
    { "qulonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//714
    { "std::bidirectional_iterator_tag", 200, Smoke::t_class|Smoke::tf_stack },	//715
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//716
    { "std::random_access_iterator_tag", 201, Smoke::t_class|Smoke::tf_stack },	//717
    { "time_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//718
    { "uid_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//719
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//720
    { "unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref },	//721
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//722
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//723
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//724
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//725
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//726
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//727
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//728
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//729
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//730
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//731
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    617, 617, 576, 617, 576, 6, 576, 576, 617, 617, 0,	//1  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    525, 0,	//12  const KAboutData&
    576, 576, 617, 617, 0,	//14  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    576, 576, 617, 617, 617, 0,	//19  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&
    576, 576, 0,	//25  const KLocalizedString&, const KLocalizedString&
    576, 0,	//28  const KLocalizedString&
    676, 0,	//30  const QString&
    617, 0,	//32  const QByteArray&
    683, 0,	//34  const QVariant&
    6, 0,	//36  KAboutData::LicenseKey
    7, 0,	//38  KAboutData::NameFormat
    617, 617, 576, 617, 0,	//40  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    617, 617, 576, 617, 576, 0,	//45  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    617, 617, 576, 617, 576, 6, 0,	//51  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey
    617, 617, 576, 617, 576, 6, 576, 0,	//58  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&
    617, 617, 576, 617, 576, 6, 576, 576, 0,	//66  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&
    617, 617, 576, 617, 576, 6, 576, 576, 617, 0,	//75  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&
    576, 576, 617, 0,	//85  const KLocalizedString&, const KLocalizedString&, const QByteArray&
    527, 0,	//89  const KAboutLicense&
    528, 0,	//91  const KAboutPerson&
    529, 0,	//93  const KAuth::Action&
    676, 676, 0,	//95  const QString&, const QString&
    658, 0,	//98  const QMap<QString,QVariant>&
    676, 683, 0,	//100  const QString&, const QVariant&
    519, 0,	//103  bool
    643, 343, 676, 0,	//105  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&
    643, 343, 676, 418, 0,	//109  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*
    418, 0,	//114  QWidget*
    20, 0,	//116  KAuth::ActionReply::Type
    704, 0,	//118  int
    530, 0,	//120  const KAuth::ActionReply&
    688, 0,	//122  const char*
    688, 688, 0,	//124  const char*, const char*
    688, 688, 704, 0,	//127  const char*, const char*, int
    375, 704, 730, 0,	//131  QMetaObject::Call, int, void**
    686, 0,	//135  const QVariantMap&
    676, 609, 609, 0,	//137  const QString&, const KUrl&, const KUrl&
    677, 0,	//141  const QStringList&
    609, 379, 0,	//143  const KUrl&, QObject*
    379, 0,	//146  QObject*
    609, 0,	//148  const KUrl&
    306, 0,	//150  QFlags<QIODevice::OpenModeFlag>
    609, 676, 0,	//152  const KUrl&, const QString&
    676, 379, 0,	//155  const QString&, QObject*
    676, 278, 0,	//158  const QString&, QFlags<KAutostart::Condition>
    25, 0,	//161  KAutostart::StartPhase
    676, 575, 0,	//163  const QString&, const KLocale*
    676, 182, 575, 0,	//166  const QString&, KSharedPtr<KSharedConfig>, const KLocale*
    121, 575, 0,	//170  KLocale::CalendarSystem, const KLocale*
    121, 182, 575, 0,	//173  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*
    121, 0,	//177  KLocale::CalendarSystem
    575, 0,	//179  const KLocale*
    588, 575, 0,	//181  const KSharedPtr<KSharedConfig>, const KLocale*
    704, 704, 704, 0,	//184  int, int, int
    704, 704, 0,	//188  int, int
    676, 704, 704, 704, 0,	//191  const QString&, int, int, int
    625, 0,	//196  const QDate&
    267, 704, 704, 704, 0,	//198  QDate&, int, int, int
    267, 704, 704, 0,	//203  QDate&, int, int
    267, 388, 704, 704, 704, 0,	//207  QDate&, QString, int, int, int
    624, 706, 706, 706, 0,	//213  const QDate, int*, int*, int*
    625, 28, 0,	//218  const QDate&, KCalendarSystem::StringFormat
    625, 704, 0,	//221  const QDate&, int
    625, 625, 706, 706, 706, 706, 0,	//224  const QDate&, const QDate&, int*, int*, int*, int*
    625, 625, 0,	//231  const QDate&, const QDate&
    625, 135, 0,	//234  const QDate&, KLocale::WeekNumberSystem
    704, 135, 0,	//237  int, KLocale::WeekNumberSystem
    625, 706, 0,	//240  const QDate&, int*
    625, 135, 706, 0,	//243  const QDate&, KLocale::WeekNumberSystem, int*
    704, 704, 27, 0,	//247  int, int, KCalendarSystem::MonthNameFormat
    625, 27, 0,	//251  const QDate&, KCalendarSystem::MonthNameFormat
    704, 29, 0,	//254  int, KCalendarSystem::WeekDayNameFormat
    625, 29, 0,	//257  const QDate&, KCalendarSystem::WeekDayNameFormat
    676, 705, 0,	//260  const QString&, int&
    625, 122, 0,	//263  const QDate&, KLocale::DateFormat
    625, 676, 126, 0,	//266  const QDate&, const QString&, KLocale::DateTimeFormatStandard
    625, 676, 128, 126, 0,	//270  const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard
    625, 123, 124, 135, 0,	//275  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem
    676, 521, 0,	//280  const QString&, bool*
    676, 130, 521, 0,	//283  const QString&, KLocale::ReadDateFlags, bool*
    676, 676, 521, 0,	//287  const QString&, const QString&, bool*
    676, 676, 521, 126, 0,	//291  const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard
    704, 705, 705, 705, 0,	//296  int, int&, int&, int&
    704, 704, 704, 705, 0,	//301  int, int, int, int&
    30, 588, 575, 0,	//306  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*
    676, 182, 0,	//310  const QString&, KSharedPtr<KSharedConfig>
    121, 182, 0,	//313  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>
    588, 0,	//316  const KSharedPtr<KSharedConfig>
    625, 676, 0,	//318  const QDate&, const QString&
    625, 676, 128, 0,	//321  const QDate&, const QString&, KLocale::DigitSet
    625, 123, 0,	//325  const QDate&, KLocale::DateTimeComponent
    625, 123, 124, 0,	//328  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat
    676, 130, 0,	//332  const QString&, KLocale::ReadDateFlags
    30, 0,	//335  KCalendarSystemPrivate&
    30, 588, 0,	//337  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>
    251, 0,	//340  QChar
    676, 704, 394, 0,	//342  const QString&, int, QStringList&
    251, 394, 0,	//346  QChar, QStringList&
    532, 0,	//349  const KCharMacroExpander&
    676, 520, 0,	//351  const QString&, bool&
    618, 0,	//354  const QChar&
    533, 0,	//356  const KCharsets&
    704, 524, 617, 617, 576, 617, 576, 279, 0,	//358  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>
    704, 524, 526, 279, 0,	//367  int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>
    526, 0,	//372  const KAboutData*
    279, 0,	//374  QFlags<KCmdLineArgs::StdCmdLineArg>
    535, 576, 617, 617, 0,	//376  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&
    263, 0,	//381  QDataStream&
    535, 576, 617, 0,	//383  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&
    534, 0,	//387  const KCmdLineArgs&
    704, 524, 617, 617, 576, 617, 0,	//389  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    704, 524, 617, 617, 576, 617, 576, 0,	//396  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    704, 524, 526, 0,	//404  int, char**, const KAboutData*
    535, 0,	//408  const KCmdLineOptions&
    535, 576, 0,	//410  const KCmdLineOptions&, const KLocalizedString&
    617, 576, 617, 0,	//413  const QByteArray&, const KLocalizedString&, const QByteArray&
    617, 576, 0,	//417  const QByteArray&, const KLocalizedString&
    617, 250, 0,	//420  const QByteArray&, QByteArray&
    617, 519, 0,	//423  const QByteArray&, bool
    617, 250, 519, 0,	//426  const QByteArray&, QByteArray&, bool
    536, 0,	//430  const KComponentData&
    617, 617, 40, 0,	//432  const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration
    525, 40, 0,	//436  const KAboutData&, KComponentData::MainComponentRegistration
    526, 40, 0,	//439  const KAboutData*, KComponentData::MainComponentRegistration
    617, 617, 0,	//442  const QByteArray&, const QByteArray&
    104, 0,	//445  KJob*
    104, 676, 676, 0,	//447  KJob*, const QString&, const QString&
    42, 379, 0,	//451  KCompositeJobPrivate&, QObject*
    676, 280, 688, 0,	//454  const QString&, QFlags<KConfig::OpenFlag>, const char*
    536, 676, 280, 688, 0,	//458  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*
    676, 676, 688, 0,	//463  const QString&, const QString&, const char*
    676, 43, 0,	//467  const QString&, KConfig*
    617, 281, 0,	//470  const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    51, 0,	//473  KConfigPrivate&
    676, 280, 0,	//475  const QString&, QFlags<KConfig::OpenFlag>
    536, 676, 0,	//478  const KComponentData&, const QString&
    536, 676, 280, 0,	//481  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>
    676, 281, 0,	//485  const QString&, QFlags<KConfigBase::WriteConfigFlag>
    688, 281, 0,	//488  const char*, QFlags<KConfigBase::WriteConfigFlag>
    538, 0,	//491  const KConfigBase&
    45, 676, 0,	//493  KConfigBase*, const QString&
    45, 688, 0,	//496  KConfigBase*, const char*
    539, 676, 0,	//499  const KConfigBase*, const QString&
    539, 688, 0,	//502  const KConfigBase*, const char*
    589, 676, 0,	//505  const KSharedPtr<KSharedConfig>&, const QString&
    589, 688, 0,	//508  const KSharedPtr<KSharedConfig>&, const char*
    541, 0,	//511  const KConfigGroup&
    45, 281, 0,	//513  KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>
    281, 0,	//516  QFlags<KConfigBase::WriteConfigFlag>
    688, 683, 0,	//518  const char*, const QVariant&
    688, 676, 0,	//521  const char*, const QString&
    676, 688, 0,	//524  const QString&, const char*
    676, 653, 0,	//527  const QString&, const QList<QVariant>&
    688, 653, 0,	//530  const char*, const QList<QVariant>&
    676, 677, 0,	//533  const QString&, const QStringList&
    688, 677, 0,	//536  const char*, const QStringList&
    676, 683, 281, 0,	//539  const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    688, 683, 281, 0,	//543  const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    676, 676, 281, 0,	//547  const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    688, 676, 281, 0,	//551  const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    676, 617, 281, 0,	//555  const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    688, 617, 281, 0,	//559  const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    676, 688, 281, 0,	//563  const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>
    688, 688, 281, 0,	//567  const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>
    676, 677, 281, 0,	//571  const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    688, 677, 281, 0,	//575  const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    676, 653, 281, 0,	//579  const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    688, 653, 281, 0,	//583  const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    45, 0,	//587  KConfigBase*
    676, 617, 0,	//589  const QString&, const QByteArray&
    688, 617, 0,	//592  const char*, const QByteArray&
    43, 0,	//595  KConfig*
    542, 0,	//597  const KConfigSkeletonItem&
    182, 379, 0,	//599  KSharedPtr<KSharedConfig>, QObject*
    52, 676, 0,	//602  KConfigSkeletonItem*, const QString&
    676, 389, 676, 676, 0,	//605  const QString&, QString&, const QString&, const QString&
    676, 413, 683, 676, 0,	//610  const QString&, QVariant&, const QVariant&, const QString&
    676, 520, 519, 676, 0,	//615  const QString&, bool&, bool, const QString&
    676, 705, 704, 676, 0,	//620  const QString&, int&, int, const QString&
    676, 723, 722, 676, 0,	//625  const QString&, unsigned int&, unsigned int, const QString&
    676, 710, 709, 676, 0,	//630  const QString&, long long&, long long, const QString&
    676, 726, 725, 676, 0,	//635  const QString&, unsigned long long&, unsigned long long, const QString&
    676, 701, 700, 676, 0,	//640  const QString&, double&, double, const QString&
    676, 383, 668, 676, 0,	//645  const QString&, QRect&, const QRect&, const QString&
    676, 381, 665, 676, 0,	//650  const QString&, QPoint&, const QPoint&, const QString&
    676, 386, 672, 676, 0,	//655  const QString&, QSize&, const QSize&, const QString&
    676, 269, 626, 676, 0,	//660  const QString&, QDateTime&, const QDateTime&, const QString&
    676, 394, 677, 676, 0,	//665  const QString&, QStringList&, const QStringList&, const QString&
    676, 369, 654, 676, 0,	//670  const QString&, QList<int>&, const QList<int>&, const QString&
    182, 0,	//675  KSharedPtr<KSharedConfig>
    52, 0,	//677  KConfigSkeletonItem*
    676, 389, 0,	//679  const QString&, QString&
    676, 389, 676, 0,	//682  const QString&, QString&, const QString&
    676, 413, 0,	//686  const QString&, QVariant&
    676, 413, 683, 0,	//689  const QString&, QVariant&, const QVariant&
    676, 520, 519, 0,	//693  const QString&, bool&, bool
    676, 705, 704, 0,	//697  const QString&, int&, int
    676, 723, 0,	//701  const QString&, unsigned int&
    676, 723, 722, 0,	//704  const QString&, unsigned int&, unsigned int
    676, 710, 0,	//708  const QString&, long long&
    676, 710, 709, 0,	//711  const QString&, long long&, long long
    676, 726, 0,	//715  const QString&, unsigned long long&
    676, 726, 725, 0,	//718  const QString&, unsigned long long&, unsigned long long
    676, 701, 0,	//722  const QString&, double&
    676, 701, 700, 0,	//725  const QString&, double&, double
    676, 383, 0,	//729  const QString&, QRect&
    676, 383, 668, 0,	//732  const QString&, QRect&, const QRect&
    676, 381, 0,	//736  const QString&, QPoint&
    676, 381, 665, 0,	//739  const QString&, QPoint&, const QPoint&
    676, 386, 0,	//743  const QString&, QSize&
    676, 386, 672, 0,	//746  const QString&, QSize&, const QSize&
    676, 269, 0,	//750  const QString&, QDateTime&
    676, 269, 626, 0,	//753  const QString&, QDateTime&, const QDateTime&
    676, 394, 0,	//757  const QString&, QStringList&
    676, 394, 677, 0,	//760  const QString&, QStringList&, const QStringList&
    676, 369, 0,	//764  const QString&, QList<int>&
    676, 369, 654, 0,	//767  const QString&, QList<int>&, const QList<int>&
    676, 676, 520, 519, 0,	//771  const QString&, const QString&, bool&, bool
    543, 0,	//776  const KCoreConfigSkeleton::ItemBool&
    676, 676, 520, 0,	//778  const QString&, const QString&, bool&
    676, 676, 269, 626, 0,	//782  const QString&, const QString&, QDateTime&, const QDateTime&
    544, 0,	//787  const KCoreConfigSkeleton::ItemDateTime&
    676, 676, 269, 0,	//789  const QString&, const QString&, QDateTime&
    676, 676, 701, 700, 0,	//793  const QString&, const QString&, double&, double
    700, 0,	//798  double
    545, 0,	//800  const KCoreConfigSkeleton::ItemDouble&
    676, 676, 701, 0,	//802  const QString&, const QString&, double&
    676, 676, 705, 646, 704, 0,	//806  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int
    676, 676, 705, 645, 704, 0,	//812  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int
    546, 0,	//818  const KCoreConfigSkeleton::ItemEnum&
    676, 676, 705, 646, 0,	//820  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&
    676, 676, 705, 645, 0,	//825  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&
    547, 0,	//830  const KCoreConfigSkeleton::ItemEnum::Choice&
    548, 0,	//832  const KCoreConfigSkeleton::ItemEnum::Choice2&
    676, 676, 705, 704, 0,	//834  const QString&, const QString&, int&, int
    549, 0,	//839  const KCoreConfigSkeleton::ItemInt&
    676, 676, 705, 0,	//841  const QString&, const QString&, int&
    676, 676, 369, 654, 0,	//845  const QString&, const QString&, QList<int>&, const QList<int>&
    550, 0,	//850  const KCoreConfigSkeleton::ItemIntList&
    676, 676, 369, 0,	//852  const QString&, const QString&, QList<int>&
    676, 676, 710, 709, 0,	//856  const QString&, const QString&, long long&, long long
    709, 0,	//861  long long
    551, 0,	//863  const KCoreConfigSkeleton::ItemLongLong&
    676, 676, 710, 0,	//865  const QString&, const QString&, long long&
    676, 676, 389, 676, 0,	//869  const QString&, const QString&, QString&, const QString&
    552, 0,	//874  const KCoreConfigSkeleton::ItemPassword&
    676, 676, 389, 0,	//876  const QString&, const QString&, QString&
    553, 0,	//880  const KCoreConfigSkeleton::ItemPath&
    676, 676, 394, 677, 0,	//882  const QString&, const QString&, QStringList&, const QStringList&
    554, 0,	//887  const KCoreConfigSkeleton::ItemPathList&
    676, 676, 394, 0,	//889  const QString&, const QString&, QStringList&
    676, 676, 381, 665, 0,	//893  const QString&, const QString&, QPoint&, const QPoint&
    555, 0,	//898  const KCoreConfigSkeleton::ItemPoint&
    676, 676, 381, 0,	//900  const QString&, const QString&, QPoint&
    676, 676, 413, 683, 0,	//904  const QString&, const QString&, QVariant&, const QVariant&
    556, 0,	//909  const KCoreConfigSkeleton::ItemProperty&
    676, 676, 413, 0,	//911  const QString&, const QString&, QVariant&
    676, 676, 383, 668, 0,	//915  const QString&, const QString&, QRect&, const QRect&
    557, 0,	//920  const KCoreConfigSkeleton::ItemRect&
    676, 676, 383, 0,	//922  const QString&, const QString&, QRect&
    676, 676, 386, 672, 0,	//926  const QString&, const QString&, QSize&, const QSize&
    558, 0,	//931  const KCoreConfigSkeleton::ItemSize&
    676, 676, 386, 0,	//933  const QString&, const QString&, QSize&
    676, 676, 389, 676, 71, 0,	//937  const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type
    559, 0,	//943  const KCoreConfigSkeleton::ItemString&
    560, 0,	//945  const KCoreConfigSkeleton::ItemStringList&
    676, 676, 723, 722, 0,	//947  const QString&, const QString&, unsigned int&, unsigned int
    722, 0,	//952  unsigned int
    561, 0,	//954  const KCoreConfigSkeleton::ItemUInt&
    676, 676, 723, 0,	//956  const QString&, const QString&, unsigned int&
    676, 676, 726, 725, 0,	//960  const QString&, const QString&, unsigned long long&, unsigned long long
    725, 0,	//965  unsigned long long
    562, 0,	//967  const KCoreConfigSkeleton::ItemULongLong&
    676, 676, 726, 0,	//969  const QString&, const QString&, unsigned long long&
    676, 676, 224, 609, 0,	//973  const QString&, const QString&, KUrl&, const KUrl&
    563, 0,	//978  const KCoreConfigSkeleton::ItemUrl&
    676, 676, 224, 0,	//980  const QString&, const QString&, KUrl&
    676, 676, 232, 611, 0,	//984  const QString&, const QString&, KUrl::List&, const KUrl::List&
    564, 0,	//989  const KCoreConfigSkeleton::ItemUrlList&
    676, 676, 232, 0,	//991  const QString&, const QString&, KUrl::List&
    628, 676, 0,	//995  const QFileInfo&, const QString&
    565, 0,	//998  const KCurrencyCode&
    676, 282, 0,	//1000  const QString&, QFlags<KCurrencyCode::CurrencyStatus>
    282, 0,	//1003  QFlags<KCurrencyCode::CurrencyStatus>
    628, 0,	//1005  const QFileInfo&
    676, 711, 0,	//1007  const QString&, mode_t
    676, 704, 711, 0,	//1010  const QString&, int, mode_t
    676, 704, 0,	//1014  const QString&, int
    80, 0,	//1017  KDEDModule*
    712, 0,	//1019  qlonglong
    621, 0,	//1021  const QDBusObjectPath&
    566, 0,	//1023  const KDEPluginVerificationData&
    720, 0,	//1025  unsigned char
    625, 568, 0,	//1027  const QDate&, const KDateTime::Spec&
    625, 680, 568, 0,	//1030  const QDate&, const QTime&, const KDateTime::Spec&
    626, 568, 0,	//1034  const QDateTime&, const KDateTime::Spec&
    626, 0,	//1037  const QDateTime&
    567, 0,	//1039  const KDateTime&
    594, 0,	//1041  const KTimeZone&
    568, 0,	//1043  const KDateTime::Spec&
    680, 0,	//1045  const QTime&
    90, 0,	//1047  KDateTime::TimeFormat
    676, 90, 521, 0,	//1049  const QString&, KDateTime::TimeFormat, bool*
    676, 676, 605, 519, 0,	//1053  const QString&, const QString&, const KTimeZones*, bool
    625, 680, 0,	//1058  const QDate&, const QTime&
    676, 90, 0,	//1061  const QString&, KDateTime::TimeFormat
    676, 676, 605, 0,	//1064  const QString&, const QString&, const KTimeZones*
    89, 704, 0,	//1068  KDateTime::SpecType, int
    89, 0,	//1071  KDateTime::SpecType
    494, 688, 704, 688, 0,	//1073  QtMsgType, const char*, int, const char*
    494, 519, 704, 519, 0,	//1078  QtMsgType, bool, int, bool
    519, 704, 0,	//1083  bool, int
    569, 0,	//1086  const KDebug&
    494, 0,	//1088  QtMsgType
    494, 688, 0,	//1090  QtMsgType, const char*
    494, 688, 704, 0,	//1093  QtMsgType, const char*, int
    570, 0,	//1097  const KDebugTag&
    398, 96, 95, 0,	//1099  QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript
    688, 96, 0,	//1103  const char*, KEncodingDetector::EncodingChoiceSource
    95, 0,	//1106  KEncodingDetector::AutoDetectScript
    688, 704, 0,	//1108  const char*, int
    523, 704, 0,	//1111  char*, int
    572, 0,	//1114  const KEncodingDetector&
    398, 96, 0,	//1116  QTextCodec*, KEncodingDetector::EncodingChoiceSource
    99, 0,	//1119  KEncodingProber::ProberType
    573, 0,	//1121  const KEncodingProber&
    334, 519, 0,	//1123  QIODevice*, bool
    523, 722, 0,	//1126  char*, unsigned int
    688, 722, 0,	//1129  const char*, unsigned int
    101, 0,	//1132  KFilterBase::FilterFlags
    334, 0,	//1134  QIODevice*
    676, 676, 519, 0,	//1136  const QString&, const QString&, bool
    334, 676, 519, 0,	//1140  QIODevice*, const QString&, bool
    523, 709, 0,	//1144  char*, long long
    688, 709, 0,	//1147  const char*, long long
    334, 676, 0,	//1150  QIODevice*, const QString&
    118, 103, 0,	//1153  KLocale*, KGlobal::CopyCatalogs
    118, 0,	//1156  KLocale*
    662, 660, 0,	//1158  const QObject*, const QMetaObject&
    110, 0,	//1161  KJobUiDelegate*
    106, 0,	//1163  KJob::KillVerbosity
    283, 0,	//1165  QFlags<KJob::Capability>
    107, 0,	//1167  KJob::Unit
    104, 676, 663, 663, 0,	//1169  KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&
    107, 725, 0,	//1174  KJob::Unit, unsigned long long
    724, 0,	//1177  unsigned long
    725, 725, 0,	//1179  unsigned long long, unsigned long long
    108, 379, 0,	//1182  KJobPrivate&, QObject*
    104, 676, 0,	//1185  KJob*, const QString&
    104, 676, 663, 0,	//1188  KJob*, const QString&, const QPair<QString,QString>&
    104, 107, 714, 0,	//1192  KJob*, KJob::Unit, qulonglong
    104, 724, 0,	//1196  KJob*, unsigned long
    676, 307, 0,	//1199  const QString&, QFlags<QLibrary::LoadHint>
    676, 536, 0,	//1202  const QString&, const KComponentData&
    676, 536, 379, 0,	//1205  const QString&, const KComponentData&, QObject*
    676, 704, 536, 379, 0,	//1209  const QString&, int, const KComponentData&, QObject*
    676, 704, 536, 0,	//1214  const QString&, int, const KComponentData&
    676, 306, 0,	//1218  const QString&, QFlags<QIODevice::OpenModeFlag>
    676, 115, 306, 0,	//1221  const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>
    676, 713, 335, 0,	//1225  const QString&, quint16, QIODevice::OpenMode
    676, 115, 0,	//1229  const QString&, KLocalSocket::LocalSocketType
    704, 521, 0,	//1232  int, bool*
    676, 676, 676, 43, 0,	//1235  const QString&, const QString&, const QString&, KConfig*
    574, 0,	//1240  const KLocale&
    688, 688, 390, 390, 0,	//1242  const char*, const char*, QString*, QString*
    688, 390, 390, 0,	//1247  const char*, QString*, QString*
    688, 688, 688, 390, 390, 0,	//1251  const char*, const char*, const char*, QString*, QString*
    688, 688, 688, 724, 390, 390, 0,	//1257  const char*, const char*, const char*, unsigned long, QString*, QString*
    688, 688, 724, 390, 390, 0,	//1264  const char*, const char*, unsigned long, QString*, QString*
    688, 688, 688, 688, 724, 390, 390, 0,	//1270  const char*, const char*, const char*, const char*, unsigned long, QString*, QString*
    128, 519, 0,	//1278  KLocale::DigitSet, bool
    700, 676, 704, 0,	//1281  double, const QString&, int
    700, 704, 0,	//1285  double, int
    676, 519, 704, 0,	//1288  const QString&, bool, int
    708, 0,	//1292  long
    700, 704, 120, 119, 0,	//1294  double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits
    120, 0,	//1299  KLocale::BinaryUnitDialect
    626, 122, 519, 0,	//1301  const QDateTime&, KLocale::DateFormat, bool
    567, 122, 285, 0,	//1305  const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>
    680, 519, 519, 0,	//1309  const QTime&, bool, bool
    680, 286, 0,	//1313  const QTime&, QFlags<KLocale::TimeFormatOption>
    680, 124, 0,	//1316  const QTime&, KLocale::DateTimeComponentFormat
    135, 0,	//1319  KLocale::WeekNumberSystem
    676, 131, 521, 0,	//1321  const QString&, KLocale::ReadTimeFlags, bool*
    676, 521, 286, 287, 0,	//1325  const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>
    128, 0,	//1330  KLocale::DigitSet
    132, 0,	//1332  KLocale::SignPosition
    129, 0,	//1334  KLocale::MeasureSystem
    688, 688, 688, 0,	//1336  const char*, const char*, const char*
    676, 389, 389, 389, 389, 0,	//1340  const QString&, QString&, QString&, QString&, QString&
    676, 128, 519, 0,	//1346  const QString&, KLocale::DigitSet, bool
    676, 676, 676, 0,	//1350  const QString&, const QString&, const QString&
    700, 676, 0,	//1354  double, const QString&
    676, 519, 0,	//1357  const QString&, bool
    700, 704, 120, 0,	//1360  double, int, KLocale::BinaryUnitDialect
    626, 122, 0,	//1364  const QDateTime&, KLocale::DateFormat
    567, 122, 0,	//1367  const KDateTime&, KLocale::DateFormat
    680, 519, 0,	//1370  const QTime&, bool
    676, 131, 0,	//1373  const QString&, KLocale::ReadTimeFlags
    676, 521, 286, 0,	//1376  const QString&, bool*, QFlags<KLocale::TimeFormatOption>
    676, 128, 0,	//1380  const QString&, KLocale::DigitSet
    575, 676, 0,	//1383  const KLocale*, const QString&
    704, 704, 704, 618, 0,	//1386  int, int, int, const QChar&
    722, 704, 704, 618, 0,	//1391  unsigned int, int, int, const QChar&
    708, 704, 704, 618, 0,	//1396  long, int, int, const QChar&
    724, 704, 704, 618, 0,	//1401  unsigned long, int, int, const QChar&
    709, 704, 704, 618, 0,	//1406  long long, int, int, const QChar&
    725, 704, 704, 618, 0,	//1411  unsigned long long, int, int, const QChar&
    700, 704, 522, 704, 618, 0,	//1416  double, int, char, int, const QChar&
    251, 704, 618, 0,	//1422  QChar, int, const QChar&
    676, 704, 618, 0,	//1426  const QString&, int, const QChar&
    677, 644, 0,	//1430  const QStringList&, const QList<KCatalogName>&
    722, 704, 0,	//1433  unsigned int, int
    722, 704, 704, 0,	//1436  unsigned int, int, int
    708, 704, 0,	//1440  long, int
    708, 704, 704, 0,	//1443  long, int, int
    724, 704, 0,	//1447  unsigned long, int
    724, 704, 704, 0,	//1450  unsigned long, int, int
    709, 704, 0,	//1454  long long, int
    709, 704, 704, 0,	//1457  long long, int, int
    725, 704, 0,	//1461  unsigned long long, int
    725, 704, 704, 0,	//1464  unsigned long long, int, int
    700, 704, 522, 0,	//1468  double, int, char
    700, 704, 522, 704, 0,	//1472  double, int, char, int
    251, 704, 0,	//1477  QChar, int
    288, 0,	//1480  QFlags<KLockFile::LockFlag>
    705, 389, 389, 0,	//1482  int&, QString&, QString&
    577, 0,	//1486  const KLockFile&
    696, 704, 0,	//1488  const unsigned char*, int
    333, 0,	//1491  QIODevice&
    721, 0,	//1493  unsigned char(&)[16]
    250, 0,	//1495  QByteArray&
    695, 0,	//1497  const unsigned char(&)[16]
    697, 0,	//1499  const unsigned char[64]
    696, 0,	//1501  const unsigned char*
    676, 633, 251, 0,	//1503  const QString&, const QHash<QChar,QString>&, QChar
    676, 633, 0,	//1507  const QString&, const QHash<QChar,QString>&
    676, 636, 251, 0,	//1510  const QString&, const QHash<QString,QStringList>&, QChar
    676, 636, 0,	//1514  const QString&, const QHash<QString,QStringList>&
    676, 634, 251, 0,	//1517  const QString&, const QHash<QChar,QStringList>&, QChar
    676, 634, 0,	//1521  const QString&, const QHash<QChar,QStringList>&
    676, 635, 251, 0,	//1524  const QString&, const QHash<QString,QString>&, QChar
    676, 635, 0,	//1528  const QString&, const QHash<QString,QString>&
    389, 0,	//1531  QString&
    389, 705, 0,	//1533  QString&, int&
    578, 0,	//1536  const KMacroExpanderBase&
    145, 0,	//1538  KMessageHandler*
    144, 676, 676, 0,	//1540  KMessage::MessageType, const QString&, const QString&
    144, 676, 0,	//1544  KMessage::MessageType, const QString&
    579, 0,	//1547  const KMessageHandler&
    609, 711, 0,	//1549  const KUrl&, mode_t
    676, 147, 0,	//1552  const QString&, KMimeType::FindByNameOption
    609, 711, 519, 519, 706, 0,	//1555  const KUrl&, mode_t, bool, bool, int*
    676, 711, 519, 706, 0,	//1561  const QString&, mode_t, bool, int*
    617, 706, 0,	//1566  const QByteArray&, int*
    676, 617, 711, 706, 0,	//1569  const QString&, const QByteArray&, mode_t, int*
    334, 706, 0,	//1574  QIODevice*, int*
    676, 334, 711, 706, 0,	//1577  const QString&, QIODevice*, mode_t, int*
    676, 706, 0,	//1582  const QString&, int*
    263, 704, 0,	//1585  QDataStream&, int
    148, 0,	//1588  KMimeTypePrivate&
    148, 676, 676, 0,	//1590  KMimeTypePrivate&, const QString&, const QString&
    609, 711, 519, 0,	//1594  const KUrl&, mode_t, bool
    609, 711, 519, 519, 0,	//1598  const KUrl&, mode_t, bool, bool
    676, 711, 519, 0,	//1603  const QString&, mode_t, bool
    676, 617, 711, 0,	//1607  const QString&, const QByteArray&, mode_t
    676, 334, 0,	//1611  const QString&, QIODevice*
    676, 334, 711, 0,	//1614  const QString&, QIODevice*, mode_t
    580, 0,	//1618  const KMimeTypeTrader&
    688, 688, 379, 0,	//1620  const char*, const char*, QObject*
    525, 379, 0,	//1624  const KAboutData&, QObject*
    526, 379, 0,	//1627  const KAboutData*, QObject*
    379, 688, 677, 0,	//1630  QObject*, const char*, const QStringList&
    152, 379, 0,	//1634  KPluginFactoryPrivate&, QObject*
    653, 0,	//1637  const QList<QVariant>&
    418, 379, 688, 677, 0,	//1639  QWidget*, QObject*, const char*, const QStringList&
    688, 418, 379, 653, 676, 0,	//1644  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    379, 688, 0,	//1650  QObject*, const char*
    152, 0,	//1653  KPluginFactoryPrivate&
    587, 0,	//1655  const KSharedPtr<KService>
    648, 541, 0,	//1657  const QList<KSharedPtr<KService> >&, const KConfigGroup&
    677, 541, 0,	//1660  const QStringList&, const KConfigGroup&
    676, 541, 0,	//1663  const QString&, const KConfigGroup&
    48, 0,	//1666  KConfigGroup
    581, 0,	//1668  const KPluginInfo&
    648, 0,	//1670  const QList<KSharedPtr<KService> >&
    584, 536, 379, 0,	//1672  const KService&, const KComponentData&, QObject*
    584, 0,	//1676  const KService&
    584, 536, 0,	//1678  const KService&, const KComponentData&
    158, 0,	//1681  KProcess::OutputChannelMode
    676, 677, 704, 0,	//1683  const QString&, const QStringList&, int
    677, 704, 0,	//1687  const QStringList&, int
    159, 379, 0,	//1690  KProcessPrivate*, QObject*
    165, 0,	//1693  KProtocolInfo::Type
    676, 163, 0,	//1695  const QString&, KProtocolInfo::ExtraField::Type
    582, 0,	//1698  const KProtocolInfo::ExtraField&
    163, 0,	//1700  KProtocolInfo::ExtraField::Type
    583, 0,	//1702  const KRandomSequence&
    676, 676, 676, 698, 0,	//1704  const QString&, const QString&, const QString&, const unsigned int
    571, 0,	//1709  const KDesktopFile*
    586, 0,	//1711  const KServiceType*
    676, 414, 0,	//1713  const QString&, QVariant::Type
    519, 676, 390, 678, 0,	//1716  bool, const QString&, QString*, const QStringList*
    519, 676, 0,	//1721  bool, const QString&
    519, 676, 390, 0,	//1724  bool, const QString&, QString*
    676, 676, 676, 676, 519, 0,	//1728  const QString&, const QString&, const QString&, const QString&, bool
    585, 0,	//1734  const KServiceAction&
    676, 676, 676, 676, 0,	//1736  const QString&, const QString&, const QString&, const QString&
    263, 704, 519, 0,	//1741  QDataStream&, int, bool
    519, 519, 519, 519, 0,	//1745  bool, bool, bool, bool
    519, 519, 0,	//1750  bool, bool
    289, 0,	//1753  QFlags<KServiceGroup::EntriesOption>
    590, 0,	//1755  const KSharedPtr<KSycocaEntry>&
    519, 519, 519, 0,	//1757  bool, bool, bool
    93, 0,	//1761  KDesktopFile*
    176, 0,	//1763  KServiceTypePrivate&
    176, 676, 676, 0,	//1765  KServiceTypePrivate&, const QString&, const QString&
    355, 676, 0,	//1769  QList<KSharedPtr<KService> >&, const QString&
    676, 290, 184, 0,	//1772  const QString&, QFlags<KShell::Option>, KShell::Errors*
    676, 290, 0,	//1776  const QString&, QFlags<KShell::Option>
    676, 676, 727, 379, 0,	//1779  const QString&, const QString&, unsigned short, QObject*
    676, 676, 727, 0,	//1784  const QString&, const QString&, unsigned short
    681, 704, 379, 0,	//1788  const QUrl&, int, QObject*
    681, 0,	//1792  const QUrl&
    681, 704, 0,	//1794  const QUrl&, int
    676, 639, 727, 379, 0,	//1797  const QString&, const QHostAddress&, unsigned short, QObject*
    676, 639, 0,	//1802  const QString&, const QHostAddress&
    676, 639, 727, 0,	//1805  const QString&, const QHostAddress&, unsigned short
    397, 676, 676, 727, 0,	//1809  QTcpSocket*, const QString&, const QString&, unsigned short
    681, 379, 0,	//1814  const QUrl&, QObject*
    676, 676, 727, 704, 379, 0,	//1817  const QString&, const QString&, unsigned short, int, QObject*
    676, 676, 727, 704, 0,	//1823  const QString&, const QString&, unsigned short, int
    397, 681, 0,	//1828  QTcpSocket*, const QUrl&
    676, 676, 379, 0,	//1831  const QString&, const QString&, QObject*
    397, 681, 704, 0,	//1835  QTcpSocket*, const QUrl&, int
    397, 676, 676, 727, 704, 0,	//1839  QTcpSocket*, const QString&, const QString&, unsigned short, int
    688, 676, 519, 0,	//1845  const char*, const QString&, bool
    688, 688, 676, 519, 0,	//1849  const char*, const char*, const QString&, bool
    688, 688, 688, 519, 0,	//1854  const char*, const char*, const char*, bool
    688, 676, 291, 0,	//1859  const char*, const QString&, QFlags<KStandardDirs::SearchOption>
    688, 676, 291, 394, 0,	//1863  const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&
    676, 676, 291, 0,	//1868  const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    394, 676, 676, 291, 0,	//1872  QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    688, 676, 536, 0,	//1877  const char*, const QString&, const KComponentData&
    688, 676, 519, 536, 0,	//1881  const char*, const QString&, bool, const KComponentData&
    688, 688, 676, 0,	//1886  const char*, const char*, const QString&
    394, 676, 0,	//1890  QStringList&, const QString&
    394, 676, 676, 0,	//1893  QStringList&, const QString&, const QString&
    676, 676, 704, 0,	//1897  const QString&, const QString&, int
    676, 676, 428, 0,	//1901  const QString&, const QString&, Qt::CaseSensitivity
    618, 676, 704, 0,	//1905  const QChar&, const QString&, int
    618, 676, 0,	//1909  const QChar&, const QString&
    670, 676, 704, 0,	//1912  const QRegExp&, const QString&, int
    670, 676, 0,	//1916  const QRegExp&, const QString&
    704, 196, 0,	//1919  int, KSycocaType&
    193, 0,	//1922  KSycocaFactoryId
    1, 0,	//1924  DatabaseType
    192, 0,	//1926  KSycocaFactory*
    264, 0,	//1928  QDataStream*
    195, 0,	//1930  KSycocaType
    263, 389, 0,	//1932  QDataStream&, QString&
    263, 394, 0,	//1935  QDataStream&, QStringList&
    191, 0,	//1938  KSycocaEntryPrivate&
    199, 676, 676, 702, 702, 676, 0,	//1940  KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    591, 0,	//1947  const KSystemTimeZone&
    199, 676, 0,	//1949  KSystemTimeZoneSource*, const QString&
    199, 676, 676, 0,	//1952  KSystemTimeZoneSource*, const QString&, const QString&
    199, 676, 676, 702, 0,	//1956  KSystemTimeZoneSource*, const QString&, const QString&, float
    199, 676, 676, 702, 702, 0,	//1961  KSystemTimeZoneSource*, const QString&, const QString&, float, float
    595, 626, 706, 0,	//1967  const KTimeZone*, const QDateTime&, int*
    595, 626, 0,	//1971  const KTimeZone*, const QDateTime&
    595, 718, 0,	//1974  const KTimeZone*, time_t
    592, 0,	//1977  const KSystemTimeZoneBackend&
    593, 0,	//1979  const KSystemTimeZoneSource&
    594, 626, 0,	//1981  const KTimeZone&, const QDateTime&
    626, 521, 0,	//1984  const QDateTime&, bool*
    479, 0,	//1987  Qt::TimeSpec
    626, 706, 0,	//1989  const QDateTime&, int*
    718, 0,	//1992  time_t
    626, 626, 0,	//1994  const QDateTime&, const QDateTime&
    626, 600, 521, 0,	//1997  const QDateTime&, const KTimeZone::Transition**, bool*
    626, 706, 521, 0,	//2001  const QDateTime&, int*, bool*
    597, 626, 626, 0,	//2005  const KTimeZone::Phase&, const QDateTime&, const QDateTime&
    214, 0,	//2009  KTimeZoneBackend*
    216, 217, 0,	//2011  KTimeZoneData*, KTimeZoneSource*
    626, 600, 0,	//2014  const QDateTime&, const KTimeZone::Transition**
    597, 0,	//2017  const KTimeZone::Phase&
    597, 626, 0,	//2019  const KTimeZone::Phase&, const QDateTime&
    216, 0,	//2022  KTimeZoneData*
    626, 704, 676, 0,	//2024  const QDateTime&, int, const QString&
    596, 0,	//2028  const KTimeZone::LeapSeconds&
    626, 704, 0,	//2030  const QDateTime&, int
    704, 617, 519, 676, 0,	//2033  int, const QByteArray&, bool, const QString&
    704, 652, 519, 676, 0,	//2038  int, const QList<QByteArray>&, bool, const QString&
    704, 617, 519, 0,	//2043  int, const QByteArray&, bool
    704, 652, 519, 0,	//2047  int, const QList<QByteArray>&, bool
    626, 597, 0,	//2051  const QDateTime&, const KTimeZone::Phase&
    598, 0,	//2054  const KTimeZone::Transition&
    601, 0,	//2056  const KTimeZoneBackend&
    595, 0,	//2058  const KTimeZone*
    217, 676, 676, 702, 702, 676, 0,	//2060  KTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    217, 676, 0,	//2067  KTimeZoneSource*, const QString&
    217, 676, 676, 0,	//2070  KTimeZoneSource*, const QString&, const QString&
    217, 676, 676, 702, 0,	//2074  KTimeZoneSource*, const QString&, const QString&, float
    217, 676, 676, 702, 702, 0,	//2079  KTimeZoneSource*, const QString&, const QString&, float, float
    602, 0,	//2085  const KTimeZoneData&
    650, 704, 0,	//2087  const QList<KTimeZone::Phase>&, int
    651, 0,	//2090  const QList<KTimeZone::Transition>&
    649, 0,	//2092  const QList<KTimeZone::LeapSeconds>&
    604, 0,	//2094  const KTimeZoneSource&
    676, 676, 617, 0,	//2096  const QString&, const QString&, const QByteArray&
    609, 617, 519, 0,	//2100  const KUrl&, const QByteArray&, bool
    676, 676, 676, 676, 676, 676, 677, 617, 0,	//2104  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&
    676, 676, 390, 390, 706, 617, 519, 0,	//2113  const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool
    676, 677, 390, 390, 706, 617, 519, 0,	//2121  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool
    676, 677, 390, 706, 617, 0,	//2129  const QString&, const QStringList&, QString*, int*, const QByteArray&
    394, 250, 0,	//2135  QStringList&, QByteArray&
    609, 617, 0,	//2138  const KUrl&, const QByteArray&
    676, 676, 676, 676, 676, 0,	//2141  const QString&, const QString&, const QString&, const QString&, const QString&
    676, 676, 676, 676, 676, 676, 0,	//2147  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&
    676, 676, 676, 676, 676, 676, 677, 0,	//2154  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&
    676, 676, 390, 0,	//2162  const QString&, const QString&, QString*
    676, 676, 390, 390, 0,	//2166  const QString&, const QString&, QString*, QString*
    676, 676, 390, 390, 706, 0,	//2171  const QString&, const QString&, QString*, QString*, int*
    676, 676, 390, 390, 706, 617, 0,	//2177  const QString&, const QString&, QString*, QString*, int*, const QByteArray&
    676, 677, 390, 0,	//2184  const QString&, const QStringList&, QString*
    676, 677, 390, 390, 0,	//2188  const QString&, const QStringList&, QString*, QString*
    676, 677, 390, 390, 706, 0,	//2193  const QString&, const QStringList&, QString*, QString*, int*
    676, 677, 390, 390, 706, 617, 0,	//2199  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&
    676, 677, 390, 706, 0,	//2206  const QString&, const QStringList&, QString*, int*
    222, 676, 676, 702, 702, 676, 0,	//2211  KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    606, 0,	//2218  const KTzfileTimeZone&
    222, 676, 0,	//2220  KTzfileTimeZoneSource*, const QString&
    222, 676, 676, 0,	//2223  KTzfileTimeZoneSource*, const QString&, const QString&
    222, 676, 676, 702, 0,	//2227  KTzfileTimeZoneSource*, const QString&, const QString&, float
    222, 676, 676, 702, 702, 0,	//2232  KTzfileTimeZoneSource*, const QString&, const QString&, float, float
    607, 0,	//2238  const KTzfileTimeZoneBackend&
    608, 0,	//2240  const KTzfileTimeZoneSource&
    226, 0,	//2242  KUrl::AdjustPathOption
    610, 0,	//2244  const KUrl::CleanPathOption&
    226, 630, 0,	//2246  KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&
    632, 0,	//2249  const QFlags<KUrl::QueryItemsOption>&
    629, 0,	//2251  const QFlags<KUrl::DirectoryOption>&
    609, 519, 0,	//2253  const KUrl&, bool
    609, 631, 0,	//2256  const KUrl&, const QFlags<KUrl::EqualsOption>&
    611, 0,	//2259  const KUrl::List&
    376, 657, 233, 0,	//2261  QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags
    609, 609, 0,	//2265  const KUrl&, const KUrl&
    376, 0,	//2268  QMimeData*
    376, 657, 0,	//2270  QMimeData*, const QMap<QString,QString>&
    237, 0,	//2273  KUser::UIDMode
    719, 0,	//2275  uid_t
    693, 0,	//2277  const passwd*
    612, 0,	//2279  const KUser&
    238, 0,	//2281  KUser::UserProperty
    703, 0,	//2283  gid_t
    690, 0,	//2285  const group*
    613, 0,	//2287  const KUserGroup&
    614, 0,	//2289  const KWordMacroExpander&
    676, 676, 620, 379, 0,	//2291  const QString&, const QString&, const QDBusConnection&, QObject*
    676, 677, 677, 676, 0,	//2296  const QString&, const QStringList&, const QStringList&, const QString&
    676, 677, 677, 676, 389, 389, 705, 0,	//2301  const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&
    676, 676, 676, 389, 0,	//2309  const QString&, const QString&, const QString&, QString&
    676, 677, 677, 676, 519, 389, 389, 705, 0,	//2314  const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&
    676, 676, 620, 0,	//2323  const QString&, const QString&, const QDBusConnection&
    615, 615, 0,	//2327  const QBitArray&, const QBitArray&
    439, 704, 0,	//2330  Qt::DockWidgetArea, int
    24, 278, 0,	//2333  KAutostart::Condition, QFlags<KAutostart::Condition>
    665, 700, 0,	//2336  const QPoint&, double
    700, 667, 0,	//2339  double, const QPointF&
    463, 323, 0,	//2342  Qt::MouseButton, QFlags<Qt::MouseButton>
    659, 659, 0,	//2345  const QMargins&, const QMargins&
    332, 639, 0,	//2348  QHostAddress::SpecialAddress, const QHostAddress&
    700, 674, 0,	//2351  double, const QSizeF&
    24, 24, 0,	//2354  KAutostart::Condition, KAutostart::Condition
    271, 704, 0,	//2357  QDir::SortFlag, int
    452, 704, 0,	//2360  Qt::InputMethodHint, int
    125, 125, 0,	//2363  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    79, 282, 0,	//2366  KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>
    668, 668, 0,	//2369  const QRect&, const QRect&
    672, 672, 0,	//2372  const QSize&, const QSize&
    399, 399, 0,	//2375  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    270, 301, 0,	//2378  QDir::Filter, QFlags<QDir::Filter>
    263, 585, 0,	//2381  QDataStream&, const KServiceAction&
    255, 669, 0,	//2384  QDBusArgument&, const QRectF&
    275, 304, 0,	//2387  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    489, 328, 0,	//2390  Qt::WindowState, QFlags<Qt::WindowState>
    674, 700, 0,	//2393  const QSizeF&, double
    263, 641, 0,	//2396  QDataStream&, const QLine&
    270, 704, 0,	//2399  QDir::Filter, int
    688, 640, 0,	//2402  const char*, const QLatin1String&
    674, 674, 0,	//2405  const QSizeF&, const QSizeF&
    133, 286, 0,	//2408  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    640, 679, 0,	//2411  const QLatin1String&, const QStringRef&
    463, 463, 0,	//2414  Qt::MouseButton, Qt::MouseButton
    227, 292, 0,	//2417  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    227, 227, 0,	//2420  KUrl::CleanPathOption, KUrl::CleanPathOption
    683, 685, 0,	//2423  const QVariant&, const QVariantComparisonHelper&
    248, 248, 0,	//2426  QBool, QBool
    47, 704, 0,	//2429  KConfigBase::WriteConfigFlag, int
    419, 314, 0,	//2432  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    391, 391, 0,	//2435  QString::Null, QString::Null
    105, 105, 0,	//2438  KJob::Capability, KJob::Capability
    619, 413, 0,	//2441  const QDBusArgument&, QVariant&
    263, 171, 0,	//2444  QDataStream&, KServiceAction&
    263, 669, 0,	//2447  QDataStream&, const QRectF&
    263, 370, 0,	//2450  QDataStream&, QLocale&
    251, 676, 0,	//2453  QChar, const QString&
    336, 306, 0,	//2456  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    270, 270, 0,	//2459  QDir::Filter, QDir::Filter
    263, 617, 0,	//2462  QDataStream&, const QByteArray&
    622, 622, 0,	//2465  const QDBusSignature&, const QDBusSignature&
    255, 641, 0,	//2468  QDBusArgument&, const QLine&
    480, 480, 0,	//2471  Qt::ToolBarArea, Qt::ToolBarArea
    234, 704, 0,	//2474  KUrl::QueryItemsOption, int
    441, 704, 0,	//2477  Qt::DropAction, int
    263, 677, 0,	//2480  QDataStream&, const QStringList&
    229, 229, 0,	//2483  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    44, 280, 0,	//2486  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    244, 244, 0,	//2489  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    419, 419, 0,	//2492  Qt::AlignmentFlag, Qt::AlignmentFlag
    272, 704, 0,	//2495  QDirIterator::IteratorFlag, int
    263, 670, 0,	//2498  QDataStream&, const QRegExp&
    410, 704, 0,	//2501  QUrl::FormattingOption, int
    617, 688, 0,	//2504  const QByteArray&, const char*
    272, 303, 0,	//2507  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    228, 228, 0,	//2510  KUrl::DirectoryOption, KUrl::DirectoryOption
    439, 315, 0,	//2513  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    228, 293, 0,	//2516  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    263, 639, 0,	//2519  QDataStream&, const QHostAddress&
    465, 465, 0,	//2522  Qt::Orientation, Qt::Orientation
    480, 704, 0,	//2525  Qt::ToolBarArea, int
    263, 382, 0,	//2528  QDataStream&, QPointF&
    461, 704, 0,	//2531  Qt::MatchFlag, int
    619, 387, 0,	//2534  const QDBusArgument&, QSizeF&
    446, 446, 0,	//2537  Qt::GestureFlag, Qt::GestureFlag
    263, 267, 0,	//2540  QDataStream&, QDate&
    336, 336, 0,	//2543  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    522, 617, 0,	//2546  char, const QByteArray&
    275, 704, 0,	//2549  QEventLoop::ProcessEventsFlag, int
    262, 262, 0,	//2552  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    34, 279, 0,	//2555  KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>
    619, 269, 0,	//2558  const QDBusArgument&, QDateTime&
    185, 185, 0,	//2561  KShell::Option, KShell::Option
    263, 411, 0,	//2564  QDataStream&, QUuid&
    140, 704, 0,	//2567  KLockFile::LockFlag, int
    263, 250, 0,	//2570  QDataStream&, QByteArray&
    263, 413, 0,	//2573  QDataStream&, QVariant&
    263, 385, 0,	//2576  QDataStream&, QRegExp&
    667, 667, 0,	//2579  const QPointF&, const QPointF&
    123, 284, 0,	//2582  KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>
    621, 621, 0,	//2585  const QDBusObjectPath&, const QDBusObjectPath&
    679, 679, 0,	//2588  const QStringRef&, const QStringRef&
    277, 704, 0,	//2591  QFile::Permission, int
    251, 251, 0,	//2594  QChar, QChar
    256, 256, 0,	//2597  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    34, 704, 0,	//2600  KCmdLineArgs::StdCmdLineArg, int
    125, 704, 0,	//2603  KLocale::DateTimeFormatOption, int
    403, 312, 0,	//2606  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    263, 247, 0,	//2609  QDataStream&, QBitArray&
    667, 700, 0,	//2612  const QPointF&, double
    229, 704, 0,	//2615  KUrl::EncodedPathAndQueryOption, int
    619, 382, 0,	//2618  const QDBusArgument&, QPointF&
    185, 704, 0,	//2621  KShell::Option, int
    244, 297, 0,	//2624  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    263, 625, 0,	//2627  QDataStream&, const QDate&
    257, 299, 0,	//2630  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    623, 623, 0,	//2633  const QDBusVariant&, const QDBusVariant&
    523, 0,	//2636  char*
    461, 322, 0,	//2638  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    255, 625, 0,	//2641  QDBusArgument&, const QDate&
    446, 704, 0,	//2644  Qt::GestureFlag, int
    185, 290, 0,	//2647  KShell::Option, QFlags<KShell::Option>
    187, 291, 0,	//2650  KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>
    399, 704, 0,	//2653  QTextCodec::ConversionFlag, int
    458, 321, 0,	//2656  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    24, 704, 0,	//2659  KAutostart::Condition, int
    461, 461, 0,	//2662  Qt::MatchFlag, Qt::MatchFlag
    676, 391, 0,	//2665  const QString&, QString::Null
    338, 704, 0,	//2668  QLibrary::LoadHint, int
    263, 387, 0,	//2671  QDataStream&, QSizeF&
    79, 79, 0,	//2674  KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus
    667, 0,	//2677  const QPointF&
    455, 455, 0,	//2679  Qt::ItemFlag, Qt::ItemFlag
    617, 676, 0,	//2682  const QByteArray&, const QString&
    490, 329, 0,	//2685  Qt::WindowType, QFlags<Qt::WindowType>
    455, 320, 0,	//2688  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    483, 327, 0,	//2691  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    676, 522, 0,	//2694  const QString&, char
    187, 187, 0,	//2697  KStandardDirs::SearchOption, KStandardDirs::SearchOption
    263, 681, 0,	//2700  QDataStream&, const QUrl&
    263, 331, 0,	//2703  QDataStream&, QHostAddress&
    619, 340, 0,	//2706  const QDBusArgument&, QLineF&
    263, 683, 0,	//2709  QDataStream&, const QVariant&
    263, 339, 0,	//2712  QDataStream&, QLine&
    105, 704, 0,	//2715  KJob::Capability, int
    458, 458, 0,	//2718  Qt::KeyboardModifier, Qt::KeyboardModifier
    419, 704, 0,	//2721  Qt::AlignmentFlag, int
    458, 704, 0,	//2724  Qt::KeyboardModifier, int
    619, 406, 0,	//2727  const QDBusArgument&, QTime&
    455, 704, 0,	//2730  Qt::ItemFlag, int
    134, 134, 0,	//2733  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    450, 318, 0,	//2736  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    255, 667, 0,	//2739  QDBusArgument&, const QPointF&
    665, 665, 0,	//2742  const QPoint&, const QPoint&
    392, 704, 0,	//2745  QString::SectionFlag, int
    490, 704, 0,	//2748  Qt::WindowType, int
    679, 676, 0,	//2751  const QStringRef&, const QString&
    640, 640, 0,	//2754  const QLatin1String&, const QLatin1String&
    638, 638, 0,	//2757  const QHashDummyValue&, const QHashDummyValue&
    230, 230, 0,	//2760  KUrl::EqualsOption, KUrl::EqualsOption
    410, 410, 0,	//2763  QUrl::FormattingOption, QUrl::FormattingOption
    483, 704, 0,	//2766  Qt::TouchPointState, int
    679, 688, 0,	//2769  const QStringRef&, const char*
    401, 402, 0,	//2772  QTextStream&, QTextStream&(*)(QTextStream&)
    227, 704, 0,	//2775  KUrl::CleanPathOption, int
    263, 273, 0,	//2778  QDataStream&, QEasingCurve&
    187, 704, 0,	//2781  KStandardDirs::SearchOption, int
    234, 234, 0,	//2784  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    47, 47, 0,	//2787  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    44, 704, 0,	//2790  KConfig::OpenFlag, int
    263, 642, 0,	//2793  QDataStream&, const QLineF&
    277, 305, 0,	//2796  QFile::Permission, QFlags<QFile::Permission>
    263, 667, 0,	//2799  QDataStream&, const QPointF&
    665, 702, 0,	//2802  const QPoint&, float
    371, 704, 0,	//2805  QLocale::NumberOption, int
    133, 133, 0,	//2808  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    676, 679, 0,	//2811  const QString&, const QStringRef&
    79, 704, 0,	//2814  KCurrencyCode::CurrencyStatus, int
    230, 704, 0,	//2817  KUrl::EqualsOption, int
    688, 679, 0,	//2820  const char*, const QStringRef&
    463, 704, 0,	//2823  Qt::MouseButton, int
    263, 386, 0,	//2826  QDataStream&, QSize&
    452, 452, 0,	//2829  Qt::InputMethodHint, Qt::InputMethodHint
    272, 272, 0,	//2832  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    255, 672, 0,	//2835  QDBusArgument&, const QSize&
    134, 287, 0,	//2838  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    403, 403, 0,	//2841  QTextStream::NumberFlag, QTextStream::NumberFlag
    263, 415, 0,	//2844  QDataStream&, QVariant::Type&
    477, 325, 0,	//2847  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    679, 640, 0,	//2850  const QStringRef&, const QLatin1String&
    263, 674, 0,	//2853  QDataStream&, const QSizeF&
    480, 326, 0,	//2856  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    230, 295, 0,	//2859  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    134, 704, 0,	//2862  KLocale::TimeProcessingOption, int
    619, 383, 0,	//2865  const QDBusArgument&, QRect&
    522, 676, 0,	//2868  char, const QString&
    338, 338, 0,	//2871  QLibrary::LoadHint, QLibrary::LoadHint
    257, 704, 0,	//2874  QDBusConnection::VirtualObjectRegisterOption, int
    489, 489, 0,	//2877  Qt::WindowState, Qt::WindowState
    378, 704, 0,	//2880  QNetworkProxy::Capability, int
    410, 313, 0,	//2883  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    669, 669, 0,	//2886  const QRectF&, const QRectF&
    700, 672, 0,	//2889  double, const QSize&
    277, 277, 0,	//2892  QFile::Permission, QFile::Permission
    378, 309, 0,	//2895  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    255, 668, 0,	//2898  QDBusArgument&, const QRect&
    263, 615, 0,	//2901  QDataStream&, const QBitArray&
    256, 298, 0,	//2904  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    700, 665, 0,	//2907  double, const QPoint&
    263, 665, 0,	//2910  QDataStream&, const QPoint&
    263, 582, 0,	//2913  QDataStream&, const KProtocolInfo::ExtraField&
    617, 522, 0,	//2916  const QByteArray&, char
    262, 300, 0,	//2919  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    140, 288, 0,	//2922  KLockFile::LockFlag, QFlags<KLockFile::LockFlag>
    262, 704, 0,	//2925  QDBusServiceWatcher::WatchModeFlag, int
    271, 302, 0,	//2928  QDir::SortFlag, QFlags<QDir::SortFlag>
    392, 310, 0,	//2931  QString::SectionFlag, QFlags<QString::SectionFlag>
    263, 672, 0,	//2934  QDataStream&, const QSize&
    125, 285, 0,	//2937  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    263, 384, 0,	//2940  QDataStream&, QRectF&
    255, 658, 0,	//2943  QDBusArgument&, const QMap<QString,QVariant>&
    399, 311, 0,	//2946  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    263, 618, 0,	//2949  QDataStream&, const QChar&
    519, 248, 0,	//2952  bool, QBool
    234, 296, 0,	//2955  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    248, 519, 0,	//2958  QBool, bool
    489, 704, 0,	//2961  Qt::WindowState, int
    255, 626, 0,	//2964  QDBusArgument&, const QDateTime&
    619, 384, 0,	//2967  const QDBusArgument&, QRectF&
    263, 668, 0,	//2970  QDataStream&, const QRect&
    228, 704, 0,	//2973  KUrl::DirectoryOption, int
    439, 439, 0,	//2976  Qt::DockWidgetArea, Qt::DockWidgetArea
    371, 308, 0,	//2979  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    123, 123, 0,	//2982  KLocale::DateTimeComponent, KLocale::DateTimeComponent
    490, 490, 0,	//2985  Qt::WindowType, Qt::WindowType
    672, 700, 0,	//2988  const QSize&, double
    391, 676, 0,	//2991  QString::Null, const QString&
    271, 271, 0,	//2994  QDir::SortFlag, QDir::SortFlag
    452, 319, 0,	//2997  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    44, 44, 0,	//3000  KConfig::OpenFlag, KConfig::OpenFlag
    263, 381, 0,	//3003  QDataStream&, QPoint&
    263, 269, 0,	//3006  QDataStream&, QDateTime&
    255, 674, 0,	//3009  QDBusArgument&, const QSizeF&
    255, 653, 0,	//3012  QDBusArgument&, const QList<QVariant>&
    263, 680, 0,	//3015  QDataStream&, const QTime&
    257, 257, 0,	//3018  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    255, 637, 0,	//3021  QDBusArgument&, const QHash<QString,QVariant>&
    34, 34, 0,	//3024  KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg
    255, 642, 0,	//3027  QDBusArgument&, const QLineF&
    263, 682, 0,	//3030  QDataStream&, const QUuid&
    401, 404, 0,	//3033  QTextStream&, QTextStreamManipulator
    133, 704, 0,	//3036  KLocale::TimeFormatOption, int
    619, 381, 0,	//3039  const QDBusArgument&, QPoint&
    392, 392, 0,	//3042  QString::SectionFlag, QString::SectionFlag
    403, 704, 0,	//3045  QTextStream::NumberFlag, int
    336, 704, 0,	//3048  QIODevice::OpenModeFlag, int
    704, 665, 0,	//3051  int, const QPoint&
    446, 317, 0,	//3054  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    665, 0,	//3057  const QPoint&
    263, 161, 0,	//3059  QDataStream&, KProtocolInfo::ExtraField&
    255, 665, 0,	//3062  QDBusArgument&, const QPoint&
    229, 294, 0,	//3065  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    263, 676, 0,	//3068  QDataStream&, const QString&
    263, 627, 0,	//3071  QDataStream&, const QEasingCurve&
    263, 252, 0,	//3074  QDataStream&, QChar&
    477, 477, 0,	//3077  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    255, 680, 0,	//3080  QDBusArgument&, const QTime&
    47, 281, 0,	//3083  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    275, 275, 0,	//3086  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    263, 383, 0,	//3089  QDataStream&, QRect&
    244, 704, 0,	//3092  QAbstractFileEngine::FileFlag, int
    123, 704, 0,	//3095  KLocale::DateTimeComponent, int
    450, 704, 0,	//3098  Qt::ImageConversionFlag, int
    263, 684, 0,	//3101  QDataStream&, const QVariant::Type
    263, 340, 0,	//3104  QDataStream&, QLineF&
    619, 339, 0,	//3107  const QDBusArgument&, QLine&
    483, 483, 0,	//3110  Qt::TouchPointState, Qt::TouchPointState
    477, 704, 0,	//3113  Qt::TextInteractionFlag, int
    256, 704, 0,	//3116  QDBusConnection::RegisterOption, int
    105, 283, 0,	//3119  KJob::Capability, QFlags<KJob::Capability>
    263, 626, 0,	//3122  QDataStream&, const QDateTime&
    263, 406, 0,	//3125  QDataStream&, QTime&
    140, 140, 0,	//3128  KLockFile::LockFlag, KLockFile::LockFlag
    665, 704, 0,	//3131  const QPoint&, int
    450, 450, 0,	//3134  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    441, 316, 0,	//3137  Qt::DropAction, QFlags<Qt::DropAction>
    441, 441, 0,	//3140  Qt::DropAction, Qt::DropAction
    465, 704, 0,	//3143  Qt::Orientation, int
    619, 267, 0,	//3146  const QDBusArgument&, QDate&
    378, 378, 0,	//3149  QNetworkProxy::Capability, QNetworkProxy::Capability
    702, 665, 0,	//3152  float, const QPoint&
    263, 409, 0,	//3155  QDataStream&, QUrl&
    338, 307, 0,	//3158  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    676, 251, 0,	//3161  const QString&, QChar
    465, 324, 0,	//3164  Qt::Orientation, QFlags<Qt::Orientation>
    619, 386, 0,	//3167  const QDBusArgument&, QSize&
    371, 371, 0,	//3170  QLocale::NumberOption, QLocale::NumberOption
    263, 655, 0,	//3173  QDataStream&, const QLocale&
    274, 0,	//3176  QEvent*
    379, 274, 0,	//3178  QObject*, QEvent*
    407, 0,	//3181  QTimerEvent*
    253, 0,	//3183  QChildEvent*
    687, 379, 0,	//3185  const Sonnet::Speller&, QObject*
    687, 0,	//3188  const Sonnet::Speller&
    704, 676, 676, 0,	//3190  int, const QString&, const QString&
    518, 519, 0,	//3194  Sonnet::Speller::Attribute, bool
    518, 0,	//3197  Sonnet::Speller::Attribute
    692, 0,	//3199  const kndbgstream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbortError",	//1
    "AbortOnMeta",	//2
    "AbstractUnixSocket",	//3
    "Action",	//4
    "Action#",	//5
    "Action$",	//6
    "Action$$",	//7
    "ActionReply",	//8
    "ActionReply#",	//9
    "ActionReply$",	//10
    "ActiveCurrency",	//11
    "AddTrailingSlash",	//12
    "AddressInUseError",	//13
    "After",	//14
    "AfterMoney",	//15
    "AfterQuantityMoney",	//16
    "AllowEmptyPath",	//17
    "AllowSeparators",	//18
    "Append",	//19
    "AppendTrailingSlash",	//20
    "Applications",	//21
    "Arabic",	//22
    "ArabicDigits",	//23
    "ArabicIndicDigits",	//24
    "AtEnd",	//25
    "AtStart",	//26
    "AuthRequired",	//27
    "AuthorizationDenied",	//28
    "AuthorizationDeniedReply",	//29
    "Authorized",	//30
    "AutoCloseHandle",	//31
    "AutoDetectedEncoding",	//32
    "AvoidEmptyPath",	//33
    "BOM",	//34
    "BackgroundChecker",	//35
    "BackgroundChecker#",	//36
    "BackgroundChecker##",	//37
    "BadQuoting",	//38
    "Baltic",	//39
    "BaseDesktop",	//40
    "Before",	//41
    "BeforeMoney",	//42
    "BeforeQuantityMoney",	//43
    "BengaliDigits",	//44
    "BoundState",	//45
    "Bytes",	//46
    "CascadeConfig",	//47
    "CaseInsensitiveKeys",	//48
    "CentralEuropean",	//49
    "CheckAll",	//50
    "CheckCommand",	//51
    "CheckCondition",	//52
    "CheckUppercase",	//53
    "ChineseSimplified",	//54
    "ChineseTraditional",	//55
    "Choice",	//56
    "Choice#",	//57
    "Choice2",	//58
    "Choice2#",	//59
    "ClockTime",	//60
    "ClosingState",	//61
    "CmdLineArgKDE",	//62
    "CmdLineArgNone",	//63
    "CmdLineArgQt",	//64
    "CmdLineArgsMask",	//65
    "CompareWithoutFragment",	//66
    "CompareWithoutTrailingSlash",	//67
    "ConnectedState",	//68
    "ConnectingState",	//69
    "ConnectionRefusedError",	//70
    "CopticCalendar",	//71
    "CopyError",	//72
    "CrashExit",	//73
    "Crashed",	//74
    "Cyrillic",	//75
    "DBusError",	//76
    "DBusErrorReply",	//77
    "DBusMulti",	//78
    "DBusNone",	//79
    "DBusUnique",	//80
    "DBusWait",	//81
    "DatagramTooLargeError",	//82
    "DateTime",	//83
    "Day",	//84
    "DayName",	//85
    "DayOfWeek",	//86
    "DayOfWeekName",	//87
    "DayOfYear",	//88
    "DayOfYearName",	//89
    "DayPeriod",	//90
    "DayPeriodHour",	//91
    "DaysInMonth",	//92
    "DaysInWeek",	//93
    "DaysInYear",	//94
    "DefaultBinaryDialect",	//95
    "DefaultBinaryUnits",	//96
    "DefaultComponentFormat",	//97
    "DefaultEncoding",	//98
    "DefaultMimeDataFlags",	//99
    "DefaultWeekNumber",	//100
    "Denied",	//101
    "DesktopServices",	//102
    "DevenagariDigits",	//103
    "Directories",	//104
    "DisplayName",	//105
    "DoCopyCatalogs",	//106
    "DontCloseHandle",	//107
    "DontCopyCatalogs",	//108
    "DontResolveAlias",	//109
    "EasternArabicIndicDigits",	//110
    "EmitResult",	//111
    "EncodingFromHTTPHeader",	//112
    "EncodingFromMetaTag",	//113
    "EncodingFromXMLHeader",	//114
    "End",	//115
    "EndsAt",	//116
    "Equal",	//117
    "EraName",	//118
    "EraYear",	//119
    "ErrNoComponent",	//120
    "ErrNoFactory",	//121
    "ErrNoLibrary",	//122
    "ErrNoServiceFound",	//123
    "ErrServiceProvidesNoLibrary",	//124
    "Error",	//125
    "EthiopianCalendar",	//126
    "ExcludeNoDisplay",	//127
    "ExeGroup",	//128
    "ExeOther",	//129
    "ExeOwner",	//130
    "ExeUser",	//131
    "ExtraField",	//132
    "ExtraField#",	//133
    "ExtraField$$",	//134
    "FailedToStart",	//135
    "FancyLongDate",	//136
    "FancyShortDate",	//137
    "Fatal",	//138
    "FatalError",	//139
    "Files",	//140
    "FirstFullWeek",	//141
    "FirstPartialWeek",	//142
    "ForceFlag",	//143
    "ForwardedChannels",	//144
    "FoundIt",	//145
    "FoundMeta",	//146
    "FromUrl",	//147
    "FullConfig",	//148
    "FullName",	//149
    "Global",	//150
    "GlobalDatabase",	//151
    "Greek",	//152
    "GregorianCalendar",	//153
    "GujaratiDigits",	//154
    "GurmukhiDigits",	//155
    "Hebrew",	//156
    "HebrewCalendar",	//157
    "HelperBusy",	//158
    "HelperBusyReply",	//159
    "HelperError",	//160
    "HelperErrorReply",	//161
    "HomePhone",	//162
    "HostLookupState",	//163
    "HostNotFoundError",	//164
    "Hour",	//165
    "IECBinaryDialect",	//166
    "IPv4Protocol",	//167
    "IPv6Protocol",	//168
    "ISODate",	//169
    "IgnoreExecBit",	//170
    "IgnoreTrailingSlash",	//171
    "Imperial",	//172
    "IncludeGlobals",	//173
    "IndianNationalCalendar",	//174
    "Information",	//175
    "Inside",	//176
    "Invalid",	//177
    "InvalidAction",	//178
    "InvalidActionReply",	//179
    "InvalidOffset",	//180
    "InvalidTime_t",	//181
    "IslamicCivilCalendar",	//182
    "IsoDate",	//183
    "IsoFormat",	//184
    "IsoOrdinalDate",	//185
    "IsoOrdinalFormat",	//186
    "IsoWeekDate",	//187
    "IsoWeekFormat",	//188
    "IsoWeekNumber",	//189
    "ItemBool",	//190
    "ItemBool#",	//191
    "ItemBool$$$",	//192
    "ItemBool$$$$",	//193
    "ItemDateTime",	//194
    "ItemDateTime#",	//195
    "ItemDateTime$$#",	//196
    "ItemDateTime$$##",	//197
    "ItemDouble",	//198
    "ItemDouble#",	//199
    "ItemDouble$$$",	//200
    "ItemDouble$$$$",	//201
    "ItemEnum",	//202
    "ItemEnum#",	//203
    "ItemEnum$$$?",	//204
    "ItemEnum$$$?$",	//205
    "ItemInt",	//206
    "ItemInt#",	//207
    "ItemInt$$$",	//208
    "ItemInt$$$$",	//209
    "ItemIntList",	//210
    "ItemIntList#",	//211
    "ItemIntList$$?",	//212
    "ItemIntList$$??",	//213
    "ItemLongLong",	//214
    "ItemLongLong#",	//215
    "ItemLongLong$$$",	//216
    "ItemLongLong$$$$",	//217
    "ItemPassword",	//218
    "ItemPassword#",	//219
    "ItemPassword$$$",	//220
    "ItemPassword$$$$",	//221
    "ItemPath",	//222
    "ItemPath#",	//223
    "ItemPath$$$",	//224
    "ItemPath$$$$",	//225
    "ItemPathList",	//226
    "ItemPathList#",	//227
    "ItemPathList$$?",	//228
    "ItemPathList$$??",	//229
    "ItemPoint",	//230
    "ItemPoint#",	//231
    "ItemPoint$$#",	//232
    "ItemPoint$$##",	//233
    "ItemProperty",	//234
    "ItemProperty#",	//235
    "ItemProperty$$#",	//236
    "ItemProperty$$##",	//237
    "ItemRect",	//238
    "ItemRect#",	//239
    "ItemRect$$#",	//240
    "ItemRect$$##",	//241
    "ItemSize",	//242
    "ItemSize#",	//243
    "ItemSize$$#",	//244
    "ItemSize$$##",	//245
    "ItemString",	//246
    "ItemString#",	//247
    "ItemString$$$",	//248
    "ItemString$$$$",	//249
    "ItemString$$$$$",	//250
    "ItemStringList",	//251
    "ItemStringList#",	//252
    "ItemStringList$$?",	//253
    "ItemStringList$$??",	//254
    "ItemUInt",	//255
    "ItemUInt#",	//256
    "ItemUInt$$$",	//257
    "ItemUInt$$$$",	//258
    "ItemULongLong",	//259
    "ItemULongLong#",	//260
    "ItemULongLong$$$",	//261
    "ItemULongLong$$$$",	//262
    "ItemUrl",	//263
    "ItemUrl#",	//264
    "ItemUrl$$#",	//265
    "ItemUrl$$##",	//266
    "ItemUrlList",	//267
    "ItemUrlList#",	//268
    "ItemUrlList$$?",	//269
    "ItemUrlList$$??",	//270
    "JEDECBinaryDialect",	//271
    "JalaliCalendar",	//272
    "Japanese",	//273
    "JapaneseCalendar",	//274
    "JulianCalendar",	//275
    "JulianDay",	//276
    "KAboutData",	//277
    "KAboutData#",	//278
    "KAboutData####",	//279
    "KAboutData#####",	//280
    "KAboutData#####$",	//281
    "KAboutData#####$#",	//282
    "KAboutData#####$##",	//283
    "KAboutData#####$###",	//284
    "KAboutData#####$####",	//285
    "KAboutLicense",	//286
    "KAboutLicense#",	//287
    "KAboutPerson",	//288
    "KAboutPerson#",	//289
    "KAboutPerson##",	//290
    "KAboutPerson###",	//291
    "KAboutPerson####",	//292
    "KAboutPerson#####",	//293
    "KAuthError",	//294
    "KAutoSaveFile",	//295
    "KAutoSaveFile#",	//296
    "KAutoSaveFile##",	//297
    "KAutostart",	//298
    "KAutostart$",	//299
    "KAutostart$#",	//300
    "KCalendarSystem",	//301
    "KCalendarSystem#",	//302
    "KCalendarSystem#?",	//303
    "KCalendarSystem#?#",	//304
    "KCalendarSystem?",	//305
    "KCalendarSystem?#",	//306
    "KCharMacroExpander",	//307
    "KCharMacroExpander#",	//308
    "KCharsets",	//309
    "KCharsets#",	//310
    "KCmdLineArgs",	//311
    "KCmdLineArgs#",	//312
    "KCmdLineArgs###",	//313
    "KCmdLineOptions",	//314
    "KCmdLineOptions#",	//315
    "KComponentData",	//316
    "KComponentData#",	//317
    "KComponentData##",	//318
    "KComponentData##$",	//319
    "KComponentData#$",	//320
    "KCompositeJob",	//321
    "KCompositeJob#",	//322
    "KCompositeJob##",	//323
    "KConfig",	//324
    "KConfig#",	//325
    "KConfig#$",	//326
    "KConfig#$$",	//327
    "KConfig#$$$",	//328
    "KConfig$",	//329
    "KConfig$$",	//330
    "KConfig$$$",	//331
    "KConfigBase",	//332
    "KConfigBase#",	//333
    "KConfigGroup",	//334
    "KConfigGroup#",	//335
    "KConfigGroup#$",	//336
    "KConfigGroup?$",	//337
    "KConfigSkeletonItem",	//338
    "KConfigSkeletonItem#",	//339
    "KConfigSkeletonItem$$",	//340
    "KCoreConfigSkeleton",	//341
    "KCoreConfigSkeleton$",	//342
    "KCoreConfigSkeleton$#",	//343
    "KCoreConfigSkeleton?",	//344
    "KCoreConfigSkeleton?#",	//345
    "KCurrencyCode",	//346
    "KCurrencyCode#",	//347
    "KCurrencyCode#$",	//348
    "KCurrencyCode$",	//349
    "KCurrencyCode$$",	//350
    "KDEDModule",	//351
    "KDEDModule#",	//352
    "KDEPluginVerificationData",	//353
    "KDEPluginVerificationData#",	//354
    "KDEVersion",	//355
    "KDEVersionString",	//356
    "KDateTime",	//357
    "KDateTime#",	//358
    "KDateTime##",	//359
    "KDateTime###",	//360
    "KDebug",	//361
    "KDebug#",	//362
    "KDebug$",	//363
    "KDebug$$",	//364
    "KDebug$$$",	//365
    "KDebug$$$$",	//366
    "KDebugTag",	//367
    "KDebugTag#",	//368
    "KDesktopFile",	//369
    "KDesktopFile$",	//370
    "KDesktopFile$$",	//371
    "KEncodingDetector",	//372
    "KEncodingDetector#",	//373
    "KEncodingDetector#$",	//374
    "KEncodingDetector#$$",	//375
    "KEncodingProber",	//376
    "KEncodingProber#",	//377
    "KEncodingProber$",	//378
    "KFilterBase",	//379
    "KJob",	//380
    "KJob#",	//381
    "KJob##",	//382
    "KJobTrackerInterface",	//383
    "KJobTrackerInterface#",	//384
    "KJobUiDelegate",	//385
    "KLibrary",	//386
    "KLibrary#",	//387
    "KLibrary$",	//388
    "KLibrary$#",	//389
    "KLibrary$##",	//390
    "KLibrary$$",	//391
    "KLibrary$$#",	//392
    "KLibrary$$##",	//393
    "KLocalSocket",	//394
    "KLocalSocket#",	//395
    "KLocalSocketServer",	//396
    "KLocalSocketServer#",	//397
    "KLocale",	//398
    "KLocale#",	//399
    "KLocale$",	//400
    "KLocale$$",	//401
    "KLocale$$$",	//402
    "KLocale$$$#",	//403
    "KLocale$?",	//404
    "KLocalizedString",	//405
    "KLocalizedString#",	//406
    "KLockFile",	//407
    "KLockFile#",	//408
    "KLockFile$",	//409
    "KLockFile$#",	//410
    "KMD5",	//411
    "KMD5#",	//412
    "KMD5$",	//413
    "KMD5$$",	//414
    "KMacroExpanderBase",	//415
    "KMacroExpanderBase#",	//416
    "KMessageHandler",	//417
    "KMessageHandler#",	//418
    "KMimeType",	//419
    "KMimeType#",	//420
    "KMimeType#$",	//421
    "KMimeType#$$",	//422
    "KMimeType$$$",	//423
    "KMimeTypeTrader",	//424
    "KMimeTypeTrader#",	//425
    "KPluginFactory",	//426
    "KPluginFactory#",	//427
    "KPluginFactory##",	//428
    "KPluginFactory$",	//429
    "KPluginFactory$$",	//430
    "KPluginFactory$$#",	//431
    "KPluginInfo",	//432
    "KPluginInfo#",	//433
    "KPluginInfo$",	//434
    "KPluginInfo$$",	//435
    "KPluginInfo?",	//436
    "KPluginLoader",	//437
    "KPluginLoader#",	//438
    "KPluginLoader##",	//439
    "KPluginLoader###",	//440
    "KPluginLoader$",	//441
    "KPluginLoader$#",	//442
    "KPluginLoader$##",	//443
    "KProcess",	//444
    "KProcess#",	//445
    "KProcess##",	//446
    "KProtocolInfo",	//447
    "KProtocolInfo#$",	//448
    "KRandomSequence",	//449
    "KRandomSequence#",	//450
    "KRandomSequence$",	//451
    "KST_CTimeInfo",	//452
    "KST_KCustom",	//453
    "KST_KDEDesktopMimeType",	//454
    "KST_KFolderMimeType",	//455
    "KST_KImageIO",	//456
    "KST_KImageIOFormat",	//457
    "KST_KMimeType",	//458
    "KST_KMimeTypeEntry",	//459
    "KST_KMimeTypeFactory",	//460
    "KST_KProtocolInfo",	//461
    "KST_KProtocolInfoFactory",	//462
    "KST_KService",	//463
    "KST_KServiceFactory",	//464
    "KST_KServiceGroup",	//465
    "KST_KServiceGroupFactory",	//466
    "KST_KServiceSeparator",	//467
    "KST_KServiceType",	//468
    "KST_KServiceTypeFactory",	//469
    "KST_KSycocaEntry",	//470
    "KSaveFile",	//471
    "KSaveFile$",	//472
    "KSaveFile$#",	//473
    "KService",	//474
    "KService#",	//475
    "KService#$",	//476
    "KService$",	//477
    "KService$$$",	//478
    "KServiceAction",	//479
    "KServiceAction#",	//480
    "KServiceAction$$$$",	//481
    "KServiceAction$$$$$",	//482
    "KServiceGroup",	//483
    "KServiceGroup#$$",	//484
    "KServiceGroup$",	//485
    "KServiceGroup$$",	//486
    "KServiceType",	//487
    "KServiceType#",	//488
    "KServiceType#$",	//489
    "KServiceType#$$",	//490
    "KStandardDirs",	//491
    "KSycoca",	//492
    "KSycoca$",	//493
    "KSycocaEntry",	//494
    "KSycocaEntry#",	//495
    "KSystemTimeZone",	//496
    "KSystemTimeZone#",	//497
    "KSystemTimeZone#$",	//498
    "KSystemTimeZone#$$",	//499
    "KSystemTimeZone#$$$",	//500
    "KSystemTimeZone#$$$$",	//501
    "KSystemTimeZone#$$$$$",	//502
    "KSystemTimeZoneBackend",	//503
    "KSystemTimeZoneBackend#",	//504
    "KSystemTimeZoneBackend#$$$$$",	//505
    "KSystemTimeZoneSource",	//506
    "KSystemTimeZoneSource#",	//507
    "KTempDir",	//508
    "KTempDir$",	//509
    "KTempDir$$",	//510
    "KTemporaryFile",	//511
    "KTemporaryFile#",	//512
    "KTimeZone",	//513
    "KTimeZone#",	//514
    "KTimeZone$",	//515
    "KTimeZoneBackend",	//516
    "KTimeZoneBackend#",	//517
    "KTimeZoneBackend#$",	//518
    "KTimeZoneBackend#$$",	//519
    "KTimeZoneBackend#$$$",	//520
    "KTimeZoneBackend#$$$$",	//521
    "KTimeZoneBackend#$$$$$",	//522
    "KTimeZoneBackend$",	//523
    "KTimeZoneData",	//524
    "KTimeZoneData#",	//525
    "KTimeZoneSource",	//526
    "KTimeZoneSource#",	//527
    "KTimeZoneSource$",	//528
    "KTimeZones",	//529
    "KTzfileTimeZone",	//530
    "KTzfileTimeZone#",	//531
    "KTzfileTimeZone#$",	//532
    "KTzfileTimeZone#$$",	//533
    "KTzfileTimeZone#$$$",	//534
    "KTzfileTimeZone#$$$$",	//535
    "KTzfileTimeZone#$$$$$",	//536
    "KTzfileTimeZoneBackend",	//537
    "KTzfileTimeZoneBackend#",	//538
    "KTzfileTimeZoneBackend#$$$$$",	//539
    "KTzfileTimeZoneSource",	//540
    "KTzfileTimeZoneSource#",	//541
    "KTzfileTimeZoneSource$",	//542
    "KUrl",	//543
    "KUrl#",	//544
    "KUrl#$",	//545
    "KUrl$",	//546
    "KUser",	//547
    "KUser#",	//548
    "KUser$",	//549
    "KUser?",	//550
    "KUserGroup",	//551
    "KUserGroup#",	//552
    "KUserGroup$",	//553
    "KUserGroup?",	//554
    "KWordMacroExpander",	//555
    "KWordMacroExpander#",	//556
    "KannadaDigits",	//557
    "KdeFormat",	//558
    "KeepAliveOption",	//559
    "KeepDirSeparators",	//560
    "KhmerDigits",	//561
    "Killable",	//562
    "KilledJobError",	//563
    "Korean",	//564
    "LastBinaryDialect",	//565
    "LeapSeconds",	//566
    "LeapSeconds#",	//567
    "LeapSeconds#$",	//568
    "LeapSeconds#$$",	//569
    "LeaveTrailingSlash",	//570
    "LiberalParsing",	//571
    "License_Artistic",	//572
    "License_BSD",	//573
    "License_Custom",	//574
    "License_File",	//575
    "License_GPL",	//576
    "License_GPL_V2",	//577
    "License_GPL_V3",	//578
    "License_LGPL",	//579
    "License_LGPL_V2",	//580
    "License_LGPL_V3",	//581
    "License_QPL",	//582
    "License_QPL_V1_0",	//583
    "License_Unknown",	//584
    "LicensedActiveQt",	//585
    "LicensedCore",	//586
    "LicensedDBus",	//587
    "LicensedDeclarative",	//588
    "LicensedGui",	//589
    "LicensedHelp",	//590
    "LicensedMultimedia",	//591
    "LicensedNetwork",	//592
    "LicensedOpenGL",	//593
    "LicensedOpenVG",	//594
    "LicensedQt3Support",	//595
    "LicensedQt3SupportLight",	//596
    "LicensedScript",	//597
    "LicensedScriptTools",	//598
    "LicensedSql",	//599
    "LicensedSvg",	//600
    "LicensedTest",	//601
    "LicensedXml",	//602
    "LicensedXmlPatterns",	//603
    "ListeningState",	//604
    "LocalDatabase",	//605
    "LocalDate",	//606
    "LocalZone",	//607
    "Localized",	//608
    "LockError",	//609
    "LockFail",	//610
    "LockOK",	//611
    "LockStale",	//612
    "LongDate",	//613
    "LongDayName",	//614
    "LongFormat",	//615
    "LongName",	//616
    "LongNamePossessive",	//617
    "LongNumber",	//618
    "LowDelayOption",	//619
    "MalayalamDigits",	//620
    "MergedChannels",	//621
    "Metric",	//622
    "MetricBinaryDialect",	//623
    "Millisecond",	//624
    "MinguoCalendar",	//625
    "Minute",	//626
    "Month",	//627
    "MonthName",	//628
    "MonthsInYear",	//629
    "MulticastLoopbackOption",	//630
    "MulticastTtlOption",	//631
    "Name",	//632
    "NarrowDayName",	//633
    "NarrowName",	//634
    "NetworkError",	//635
    "NoAccess",	//636
    "NoBlockFlag",	//637
    "NoCapabilities",	//638
    "NoCascade",	//639
    "NoConditions",	//640
    "NoDuplicates",	//641
    "NoError",	//642
    "NoGlobals",	//643
    "NoHeaders",	//644
    "NoOptions",	//645
    "NoResponder",	//646
    "NoResponderReply",	//647
    "NoSearchOptions",	//648
    "NoSuchAction",	//649
    "NoSuchActionReply",	//650
    "NoTextExport",	//651
    "None",	//652
    "Normal",	//653
    "NormalExit",	//654
    "NormalFormat",	//655
    "NorthernSaami",	//656
    "NotMe",	//657
    "NotOpen",	//658
    "NotRunning",	//659
    "ObeyTrailingSlash",	//660
    "ObsoleteCurrency",	//661
    "OffsetFromUTC",	//662
    "OffsetFromUTC$",	//663
    "Ok",	//664
    "OnlyStderrChannel",	//665
    "OnlyStdoutChannel",	//666
    "OpenError",	//667
    "OrgKdeKLauncherInterface",	//668
    "OrgKdeKLauncherInterface$$#",	//669
    "OrgKdeKLauncherInterface$$##",	//670
    "OriyaDigits",	//671
    "Other",	//672
    "Outside",	//673
    "ParensAround",	//674
    "Password",	//675
    "Path",	//676
    "PermissionsError",	//677
    "PermitEmptyPath",	//678
    "Persistent",	//679
    "Phase",	//680
    "Phase#",	//681
    "Phase$#$",	//682
    "Phase$#$$",	//683
    "Phase$?$",	//684
    "Phase$?$$",	//685
    "PluginVerificationDataVersion",	//686
    "PositionError",	//687
    "PosixFormat",	//688
    "Probing",	//689
    "ProcessNonStrict",	//690
    "ProcessStrict",	//691
    "ProxyAuthenticationRequiredError",	//692
    "ProxyConnectionClosedError",	//693
    "ProxyConnectionRefusedError",	//694
    "ProxyConnectionTimeoutError",	//695
    "ProxyNotFoundError",	//696
    "ProxyProtocolError",	//697
    "QDateCalendar",	//698
    "Q_COMPLEX_TYPE",	//699
    "Q_DUMMY_TYPE",	//700
    "Q_MOVABLE_TYPE",	//701
    "Q_PRIMITIVE_TYPE",	//702
    "Q_STATIC_TYPE",	//703
    "QtCriticalMsg",	//704
    "QtDebugMsg",	//705
    "QtFatalMsg",	//706
    "QtSystemMsg",	//707
    "QtTextDate",	//708
    "QtWarningMsg",	//709
    "Quietly",	//710
    "RFC3339Date",	//711
    "RFCDate",	//712
    "RFCDateDay",	//713
    "ReadError",	//714
    "ReadGroup",	//715
    "ReadOnly",	//716
    "ReadOther",	//717
    "ReadOwner",	//718
    "ReadUser",	//719
    "ReadWrite",	//720
    "Recursive",	//721
    "RegisterAsMainComponent",	//722
    "RemoteHostClosedError",	//723
    "RemoveError",	//724
    "RemoveTrailingSlash",	//725
    "RenameError",	//726
    "Reserved",	//727
    "ResizeError",	//728
    "ResolveAliases",	//729
    "ResourceError",	//730
    "RoomNumber",	//731
    "Running",	//732
    "Second",	//733
    "Seconds",	//734
    "SemiautomaticDetection",	//735
    "SeparateChannels",	//736
    "ShortDate",	//737
    "ShortDayName",	//738
    "ShortFormat",	//739
    "ShortName",	//740
    "ShortNamePossessive",	//741
    "ShortNumber",	//742
    "SimpleConfig",	//743
    "SimpleWeek",	//744
    "SimplifyDirSeparators",	//745
    "SkipMainComponentRegistration",	//746
    "SkipRunTogether",	//747
    "SocketAccessError",	//748
    "SocketAddressNotAvailableError",	//749
    "SocketResourceError",	//750
    "SocketTimeoutError",	//751
    "Sorry",	//752
    "SortByGenericName",	//753
    "SortEntries",	//754
    "SouthEasternEurope",	//755
    "Spec",	//756
    "Spec#",	//757
    "Spec$",	//758
    "Spec$$",	//759
    "Speller",	//760
    "Speller#",	//761
    "Speller$",	//762
    "SslHandshakeFailedError",	//763
    "StandardError",	//764
    "StandardOutput",	//765
    "Starting",	//766
    "StartsAt",	//767
    "String",	//768
    "Success",	//769
    "SuccessReply",	//770
    "Suspendable",	//771
    "SuspendedCurrency",	//772
    "T_ERROR",	//773
    "T_FILESYSTEM",	//774
    "T_NONE",	//775
    "T_STREAM",	//776
    "TamilDigits",	//777
    "TcpSocket",	//778
    "TeluguDigits",	//779
    "Text",	//780
    "Thai",	//781
    "ThaiCalendar",	//782
    "ThaiDigits",	//783
    "TildeExpand",	//784
    "TimeDefault",	//785
    "TimeDuration",	//786
    "TimeFoldHours",	//787
    "TimeOutError",	//788
    "TimeWithoutAmPm",	//789
    "TimeWithoutSeconds",	//790
    "TimeZone",	//791
    "Timedout",	//792
    "Timezone",	//793
    "TimezoneName",	//794
    "Transition",	//795
    "Transition#",	//796
    "Transition##",	//797
    "Truncate",	//798
    "Turkish",	//799
    "UNKNOWN",	//800
    "UTC",	//801
    "UdpSocket",	//802
    "Unbuffered",	//803
    "UnconnectedState",	//804
    "UnfinishedSocketOperationError",	//805
    "Unicode",	//806
    "UnicodeFormat",	//807
    "UnitByte",	//808
    "UnitExaByte",	//809
    "UnitGigaByte",	//810
    "UnitKiloByte",	//811
    "UnitLastUnit",	//812
    "UnitMegaByte",	//813
    "UnitPetaByte",	//814
    "UnitTeraByte",	//815
    "UnitYottaByte",	//816
    "UnitZettaByte",	//817
    "Universal",	//818
    "UnixSocket",	//819
    "UnixTime",	//820
    "UnknownError",	//821
    "UnknownLocalSocketType",	//822
    "UnknownNetworkLayerProtocol",	//823
    "UnknownSocketError",	//824
    "UnknownSocketType",	//825
    "UnspecifiedError",	//826
    "UnsupportedSocketOperationError",	//827
    "UseEffectiveUID",	//828
    "UseRealUserID",	//829
    "UserCancelled",	//830
    "UserCancelledReply",	//831
    "UserChosenEncoding",	//832
    "UserDefinedError",	//833
    "Warning",	//834
    "Week",	//835
    "WeekYear",	//836
    "WeeksInYear",	//837
    "WesternEuropean",	//838
    "WithHeaders",	//839
    "WithSeconds",	//840
    "WithoutSeconds",	//841
    "WorkPhone",	//842
    "WriteError",	//843
    "WriteGroup",	//844
    "WriteOnly",	//845
    "WriteOther",	//846
    "WriteOwner",	//847
    "WriteUser",	//848
    "Year",	//849
    "YearInEra",	//850
    "YearName",	//851
    "_k_accessServiceTypes",	//852
    "abbreviation",	//853
    "abbreviation#",	//854
    "abbreviations",	//855
    "abort",	//856
    "aboutData",	//857
    "aboutTranslationTeam",	//858
    "absoluteFilePath",	//859
    "absoluteFilePath?",	//860
    "access",	//861
    "access$$",	//862
    "accessMode",	//863
    "action",	//864
    "actionGroup",	//865
    "actionGroup$",	//866
    "actionPerformed",	//867
    "actionPerformed#",	//868
    "actionStarted",	//869
    "actions",	//870
    "activeComponent",	//871
    "add",	//872
    "add#",	//873
    "add##",	//874
    "add###",	//875
    "addArgument",	//876
    "addArgument$#",	//877
    "addAuthor",	//878
    "addAuthor#",	//879
    "addAuthor##",	//880
    "addAuthor###",	//881
    "addAuthor####",	//882
    "addAuthor#####",	//883
    "addCmdLineOptions",	//884
    "addCmdLineOptions#",	//885
    "addCmdLineOptions##",	//886
    "addCmdLineOptions###",	//887
    "addCmdLineOptions####",	//888
    "addConfigSources",	//889
    "addConfigSources?",	//890
    "addCredit",	//891
    "addCredit#",	//892
    "addCredit##",	//893
    "addCredit###",	//894
    "addCredit####",	//895
    "addCredit#####",	//896
    "addCustomized",	//897
    "addCustomized#",	//898
    "addData",	//899
    "addData$#",	//900
    "addDays",	//901
    "addDays#$",	//902
    "addDays$",	//903
    "addEntry",	//904
    "addEntry?",	//905
    "addFactory",	//906
    "addFactory#",	//907
    "addItem",	//908
    "addItem#",	//909
    "addItem#$",	//910
    "addItemBool",	//911
    "addItemBool$$",	//912
    "addItemBool$$$",	//913
    "addItemBool$$$$",	//914
    "addItemDateTime",	//915
    "addItemDateTime$#",	//916
    "addItemDateTime$##",	//917
    "addItemDateTime$##$",	//918
    "addItemDouble",	//919
    "addItemDouble$$",	//920
    "addItemDouble$$$",	//921
    "addItemDouble$$$$",	//922
    "addItemInt",	//923
    "addItemInt$$",	//924
    "addItemInt$$$",	//925
    "addItemInt$$$$",	//926
    "addItemInt64",	//927
    "addItemInt64$$",	//928
    "addItemInt64$$$",	//929
    "addItemInt64$$$$",	//930
    "addItemIntList",	//931
    "addItemIntList$?",	//932
    "addItemIntList$??",	//933
    "addItemIntList$??$",	//934
    "addItemLongLong",	//935
    "addItemLongLong$$",	//936
    "addItemLongLong$$$",	//937
    "addItemLongLong$$$$",	//938
    "addItemPassword",	//939
    "addItemPassword$$",	//940
    "addItemPassword$$$",	//941
    "addItemPassword$$$$",	//942
    "addItemPath",	//943
    "addItemPath$$",	//944
    "addItemPath$$$",	//945
    "addItemPath$$$$",	//946
    "addItemPoint",	//947
    "addItemPoint$#",	//948
    "addItemPoint$##",	//949
    "addItemPoint$##$",	//950
    "addItemProperty",	//951
    "addItemProperty$#",	//952
    "addItemProperty$##",	//953
    "addItemProperty$##$",	//954
    "addItemRect",	//955
    "addItemRect$#",	//956
    "addItemRect$##",	//957
    "addItemRect$##$",	//958
    "addItemSize",	//959
    "addItemSize$#",	//960
    "addItemSize$##",	//961
    "addItemSize$##$",	//962
    "addItemString",	//963
    "addItemString$$",	//964
    "addItemString$$$",	//965
    "addItemString$$$$",	//966
    "addItemStringList",	//967
    "addItemStringList$?",	//968
    "addItemStringList$??",	//969
    "addItemStringList$??$",	//970
    "addItemUInt",	//971
    "addItemUInt$$",	//972
    "addItemUInt$$$",	//973
    "addItemUInt$$$$",	//974
    "addItemUInt64",	//975
    "addItemUInt64$$",	//976
    "addItemUInt64$$$",	//977
    "addItemUInt64$$$$",	//978
    "addItemULongLong",	//979
    "addItemULongLong$$",	//980
    "addItemULongLong$$$",	//981
    "addItemULongLong$$$$",	//982
    "addLicense",	//983
    "addLicense$",	//984
    "addLicenseText",	//985
    "addLicenseText#",	//986
    "addLicenseTextFile",	//987
    "addLicenseTextFile$",	//988
    "addMSecs",	//989
    "addMSecs$",	//990
    "addMonths",	//991
    "addMonths#$",	//992
    "addMonths$",	//993
    "addPath",	//994
    "addPath$",	//995
    "addPrefix",	//996
    "addPrefix$",	//997
    "addQueryItem",	//998
    "addQueryItem$$",	//999
    "addResourceDir",	//1000
    "addResourceDir$$",	//1001
    "addResourceDir$$$",	//1002
    "addResourceType",	//1003
    "addResourceType$$",	//1004
    "addResourceType$$$",	//1005
    "addResourceType$$$$",	//1006
    "addSecs",	//1007
    "addSecs$",	//1008
    "addStdCmdLineOptions",	//1009
    "addStdCmdLineOptions$",	//1010
    "addSubjob",	//1011
    "addSubjob#",	//1012
    "addTempFileOption",	//1013
    "addToAllowedEnvironments",	//1014
    "addToAllowedEnvironments$",	//1015
    "addToExcludedEnvironments",	//1016
    "addToExcludedEnvironments$",	//1017
    "addToPersonal",	//1018
    "addToPersonal$",	//1019
    "addToSession",	//1020
    "addToSession$",	//1021
    "addWordToPersonal",	//1022
    "addWordToPersonal$",	//1023
    "addXdgConfigPrefix",	//1024
    "addXdgConfigPrefix$",	//1025
    "addXdgDataPrefix",	//1026
    "addXdgDataPrefix$",	//1027
    "addYears",	//1028
    "addYears#$",	//1029
    "addYears$",	//1030
    "adjustPath",	//1031
    "adjustPath$",	//1032
    "allArguments",	//1033
    "allCountriesList",	//1034
    "allCurrencyCodesList",	//1035
    "allCurrencyCodesList$",	//1036
    "allDigitSetsList",	//1037
    "allGroupNames",	//1038
    "allGroups",	//1039
    "allLanguagesList",	//1040
    "allMimeTypes",	//1041
    "allParentMimeTypes",	//1042
    "allResourceDirs",	//1043
    "allServiceTypes",	//1044
    "allServices",	//1045
    "allStaleFiles",	//1046
    "allStaleFiles$",	//1047
    "allTypes",	//1048
    "allUserNames",	//1049
    "allUsers",	//1050
    "allowAsDefault",	//1051
    "allowInline",	//1052
    "allowMultipleFiles",	//1053
    "allowUrlAction",	//1054
    "allowUrlAction$##",	//1055
    "allowedEnvironments",	//1056
    "analyze",	//1057
    "analyze$$",	//1058
    "appName",	//1059
    "applyConstraints",	//1060
    "applyConstraints?$",	//1061
    "applyShortYearWindow",	//1062
    "applyShortYearWindow$",	//1063
    "archiveMimeTypes",	//1064
    "arg",	//1065
    "arg$",	//1066
    "arguments",	//1067
    "atEnd",	//1068
    "author",	//1069
    "authorize",	//1070
    "authorize$",	//1071
    "authorizeControlModule",	//1072
    "authorizeControlModule$",	//1073
    "authorizeControlModules",	//1074
    "authorizeControlModules?",	//1075
    "authorizeKAction",	//1076
    "authorizeKAction$",	//1077
    "authorizeUrlAction",	//1078
    "authorizeUrlAction$##",	//1079
    "authors",	//1080
    "autoDetectLanguage",	//1081
    "autoRemove",	//1082
    "autoStart",	//1083
    "autoStart$",	//1084
    "autoStart0Done",	//1085
    "autoStart1Done",	//1086
    "autoStart2Done",	//1087
    "autostarts",	//1088
    "autostarts$",	//1089
    "autostarts$$",	//1090
    "availableBackends",	//1091
    "availableDictionaries",	//1092
    "availableEncodingNames",	//1093
    "availableLanguageNames",	//1094
    "availableLanguages",	//1095
    "backupFile",	//1096
    "backupFile$",	//1097
    "backupFile$$",	//1098
    "base64Decode",	//1099
    "base64Decode#",	//1100
    "base64Decode##",	//1101
    "base64Digest",	//1102
    "base64Encode",	//1103
    "base64Encode#",	//1104
    "base64Encode##",	//1105
    "base64Encode##$",	//1106
    "base64Encode#$",	//1107
    "baseGroup",	//1108
    "baseGroup$",	//1109
    "baseGroupName",	//1110
    "binaryUnitDialect",	//1111
    "bugAddress",	//1112
    "byKeyword",	//1113
    "byKeyword$",	//1114
    "bytesAvailable",	//1115
    "bytesToWrite",	//1116
    "calcResourceHash",	//1117
    "calcResourceHash$$",	//1118
    "calcResourceHash$$$",	//1119
    "calendar",	//1120
    "calendarLabel",	//1121
    "calendarLabel$",	//1122
    "calendarLabel$#",	//1123
    "calendarSystem",	//1124
    "calendarSystem$",	//1125
    "calendarSystemForCalendarType",	//1126
    "calendarSystemForCalendarType$",	//1127
    "calendarSystems",	//1128
    "calendarSystemsList",	//1129
    "calendarType",	//1130
    "calendarType$",	//1131
    "canDeleteRecursive",	//1132
    "canReadLine",	//1133
    "canRenameFromFile",	//1134
    "canRenameToFile",	//1135
    "capabilities",	//1136
    "capabilities$",	//1137
    "caption",	//1138
    "capwords",	//1139
    "capwords$",	//1140
    "capwords?",	//1141
    "catalogName",	//1142
    "categories",	//1143
    "category",	//1144
    "cd",	//1145
    "cd$",	//1146
    "changeGroup",	//1147
    "changeGroup$",	//1148
    "changeLanguage",	//1149
    "changeLanguage$",	//1150
    "charsets",	//1151
    "checkAccess",	//1152
    "checkAccess$$",	//1153
    "checkAllowedEnvironment",	//1154
    "checkAllowedEnvironment$",	//1155
    "checkAndSuggest",	//1156
    "checkAndSuggest$?",	//1157
    "checkForHeldSlave",	//1158
    "checkForHeldSlave$",	//1159
    "checkUpdate",	//1160
    "checkUpdate$$",	//1161
    "checkWord",	//1162
    "checkWord$",	//1163
    "childCount",	//1164
    "childEvent",	//1165
    "childGroup",	//1166
    "childGroup$",	//1167
    "chmod",	//1168
    "chmod$?",	//1169
    "choices",	//1170
    "choices2",	//1171
    "cleanPath",	//1172
    "cleanPath$",	//1173
    "clear",	//1174
    "clearEnvironment",	//1175
    "clearProgram",	//1176
    "clearSubjobs",	//1177
    "clone",	//1178
    "close",	//1179
    "cmp",	//1180
    "cmp#",	//1181
    "cmp#$",	//1182
    "codecForEncoding",	//1183
    "codecForName",	//1184
    "codecForName$",	//1185
    "codecForName$$",	//1186
    "command",	//1187
    "commandToCheck",	//1188
    "comment",	//1189
    "comment#",	//1190
    "compare",	//1191
    "compare#",	//1192
    "componentData",	//1193
    "componentName",	//1194
    "compress",	//1195
    "compress$",	//1196
    "confidence",	//1197
    "config",	//1198
    "config$",	//1199
    "configChanged",	//1200
    "connectNotify",	//1201
    "connectToHost",	//1202
    "connectToHost#",	//1203
    "connectToHost##",	//1204
    "connectToHost#$$$",	//1205
    "connectToHost$$$",	//1206
    "connectToHost$$$#",	//1207
    "connectToHostImplementation",	//1208
    "connectToHostImplementation$$$",	//1209
    "connectToPath",	//1210
    "connectToPath$",	//1211
    "connectToPath$$",	//1212
    "connectToPath$$$",	//1213
    "continueChecking",	//1214
    "convert",	//1215
    "convert##",	//1216
    "convertDigits",	//1217
    "convertDigits$$",	//1218
    "convertDigits$$$",	//1219
    "copyCatalogsTo",	//1220
    "copyCatalogsTo#",	//1221
    "copyTo",	//1222
    "copyTo#",	//1223
    "copyTo#$",	//1224
    "copyTo$",	//1225
    "copyTo$#",	//1226
    "copyrightStatement",	//1227
    "count",	//1228
    "countriesUsingCurrency",	//1229
    "country",	//1230
    "countryCode",	//1231
    "countryCodeToName",	//1232
    "countryCodeToName$",	//1233
    "countryDivisionCode",	//1234
    "create",	//1235
    "create#",	//1236
    "create#$",	//1237
    "create#$?",	//1238
    "create$",	//1239
    "create$#",	//1240
    "create$##?$",	//1241
    "create$$",	//1242
    "create$?",	//1243
    "create$?#",	//1244
    "createObject",	//1245
    "createObject#$?",	//1246
    "createPartObject",	//1247
    "createPartObject##$?",	//1248
    "credits",	//1249
    "csqueeze",	//1250
    "csqueeze$",	//1251
    "csqueeze$$",	//1252
    "currency",	//1253
    "currencyCode",	//1254
    "currencyCodeList",	//1255
    "currencyCodeToName",	//1256
    "currencyCodeToName$",	//1257
    "currencyCodeToName$$",	//1258
    "currencySymbol",	//1259
    "currentContext",	//1260
    "currentDateTime",	//1261
    "currentDateTime#",	//1262
    "currentGroup",	//1263
    "currentLocalDate",	//1264
    "currentLocalDateTime",	//1265
    "currentLocalTime",	//1266
    "currentOffset",	//1267
    "currentOffset$",	//1268
    "currentUtcDateTime",	//1269
    "customAuthorPlainText",	//1270
    "customAuthorRichText",	//1271
    "customAuthorTextEnabled",	//1272
    "customEvent",	//1273
    "cwd",	//1274
    "data",	//1275
    "data$",	//1276
    "dataVersion",	//1277
    "databaseChanged",	//1278
    "databaseChanged?",	//1279
    "datagramSocket",	//1280
    "datagramSocket$$",	//1281
    "datagramSocket$$#",	//1282
    "date",	//1283
    "dateDifference",	//1284
    "dateDifference##$$$$",	//1285
    "dateFormat",	//1286
    "dateFormatShort",	//1287
    "dateIntroduced",	//1288
    "dateMonthNamePossessive",	//1289
    "dateSuspended",	//1290
    "dateTime",	//1291
    "dateTimeDigitSet",	//1292
    "dateToJulianDay",	//1293
    "dateToJulianDay$$$$",	//1294
    "dateWithdrawn",	//1295
    "day",	//1296
    "day#",	//1297
    "dayOfWeek",	//1298
    "dayOfWeek#",	//1299
    "dayOfWeekString",	//1300
    "dayOfWeekString#",	//1301
    "dayOfYear",	//1302
    "dayOfYear#",	//1303
    "dayOfYearString",	//1304
    "dayOfYearString#",	//1305
    "dayOfYearString#$",	//1306
    "dayPeriodText",	//1307
    "dayPeriodText#",	//1308
    "dayPeriodText#$",	//1309
    "dayString",	//1310
    "dayString#",	//1311
    "dayString#$",	//1312
    "dayStringToInteger",	//1313
    "dayStringToInteger$$",	//1314
    "daysDifference",	//1315
    "daysDifference##",	//1316
    "daysInMonth",	//1317
    "daysInMonth#",	//1318
    "daysInMonth$$",	//1319
    "daysInMonthString",	//1320
    "daysInMonthString#",	//1321
    "daysInMonthString#$",	//1322
    "daysInWeek",	//1323
    "daysInWeek#",	//1324
    "daysInWeekString",	//1325
    "daysInWeekString#",	//1326
    "daysInYear",	//1327
    "daysInYear#",	//1328
    "daysInYear$",	//1329
    "daysInYearString",	//1330
    "daysInYearString#",	//1331
    "daysInYearString#$",	//1332
    "daysTo",	//1333
    "daysTo#",	//1334
    "dbusStartupType",	//1335
    "decimalPlaces",	//1336
    "decimalSymbol",	//1337
    "decode",	//1338
    "decode#",	//1339
    "decode$$",	//1340
    "decodeRFC2047String",	//1341
    "decodeRFC2047String$",	//1342
    "decodeWithBuffering",	//1343
    "decodeWithBuffering$$",	//1344
    "decode_string",	//1345
    "decode_string$",	//1346
    "decodedInvalidCharacters",	//1347
    "decoder",	//1348
    "defaultClient",	//1349
    "defaultCountry",	//1350
    "defaultCurrencyCode",	//1351
    "defaultLanguage",	//1352
    "defaultLanguageName",	//1353
    "defaultMimeType",	//1354
    "defaultMimeTypePtr",	//1355
    "defaultOffers",	//1356
    "defaultOffers$",	//1357
    "defaultOffers$$",	//1358
    "defaultSymbol",	//1359
    "defaults",	//1360
    "deleteEntry",	//1361
    "deleteEntry$",	//1362
    "deleteEntry$$",	//1363
    "deleteGroup",	//1364
    "deleteGroup#",	//1365
    "deleteGroup#$",	//1366
    "deleteGroup$",	//1367
    "deleteGroup$$",	//1368
    "deleteGroupImpl",	//1369
    "deleteGroupImpl#",	//1370
    "deleteGroupImpl#$",	//1371
    "dependencies",	//1372
    "deref",	//1373
    "description",	//1374
    "description#$",	//1375
    "description#$?",	//1376
    "description#$??",	//1377
    "descriptionForEncoding",	//1378
    "descriptionForEncoding$",	//1379
    "descriptiveEncodingNames",	//1380
    "deserialize",	//1381
    "deserialize#",	//1382
    "desktopEntryName",	//1383
    "desktopEntryPath",	//1384
    "desktopGroup",	//1385
    "detach",	//1386
    "details",	//1387
    "detectLanguage",	//1388
    "detectLanguage$",	//1389
    "determineMimetypeFromExtension",	//1390
    "determineMimetypeFromExtension$",	//1391
    "device",	//1392
    "device#$",	//1393
    "device#$$",	//1394
    "deviceForFile",	//1395
    "deviceForFile$",	//1396
    "deviceForFile$$",	//1397
    "deviceForFile$$$",	//1398
    "digitSet",	//1399
    "digitSetToName",	//1400
    "digitSetToName$",	//1401
    "digitSetToName$$",	//1402
    "directory",	//1403
    "directory#",	//1404
    "directoryEntryPath",	//1405
    "dirs",	//1406
    "disableAutoRebuild",	//1407
    "disconnectFromHostImplementation",	//1408
    "disconnectFromPath",	//1409
    "disconnectNotify",	//1410
    "doKill",	//1411
    "doResume",	//1412
    "doSuspend",	//1413
    "docPath",	//1414
    "docPath$",	//1415
    "done",	//1416
    "earliestValidDate",	//1417
    "earlyAuthorize",	//1418
    "email",	//1419
    "emailAddress",	//1420
    "emitPercent",	//1421
    "emitPercent$$",	//1422
    "emitResult",	//1423
    "emitSpeed",	//1424
    "emitSpeed$",	//1425
    "enable_i18n",	//1426
    "encode_string",	//1427
    "encode_string$",	//1428
    "encode_string_no_slash",	//1429
    "encode_string_no_slash$",	//1430
    "encodedHtmlRef",	//1431
    "encodedPathAndQuery",	//1432
    "encodedPathAndQuery$",	//1433
    "encodedPathAndQuery$#",	//1434
    "encoding",	//1435
    "encodingChoiceSource",	//1436
    "encodingForName",	//1437
    "encodingForName$",	//1438
    "encodingMib",	//1439
    "encodingName",	//1440
    "encodingsByScript",	//1441
    "endParseBlock",	//1442
    "entries",	//1443
    "entries$",	//1444
    "entries$$",	//1445
    "entries$$$",	//1446
    "entries$$$$",	//1447
    "entryMap",	//1448
    "entryMap$",	//1449
    "entryPath",	//1450
    "epoch",	//1451
    "equals",	//1452
    "equals#",	//1453
    "equals##",	//1454
    "equivalentTo",	//1455
    "equivalentTo#",	//1456
    "eraName",	//1457
    "eraName#",	//1458
    "eraName#$",	//1459
    "eraYear",	//1460
    "eraYear#",	//1461
    "eraYear#$",	//1462
    "error",	//1463
    "errorCode",	//1464
    "errorDescription",	//1465
    "errorString",	//1466
    "errorString$",	//1467
    "errorText",	//1468
    "errorsIfUtf8",	//1469
    "errorsIfUtf8$$",	//1470
    "escapeChar",	//1471
    "event",	//1472
    "eventFilter",	//1473
    "excludedEnvironments",	//1474
    "exec",	//1475
    "exec$",	//1476
    "exec_blind",	//1477
    "exec_blind$?",	//1478
    "exec_blind$??$",	//1479
    "execute",	//1480
    "execute$",	//1481
    "execute$?",	//1482
    "execute$?$",	//1483
    "execute?",	//1484
    "execute?$",	//1485
    "executeActions",	//1486
    "executeActions??$",	//1487
    "executeActions??$#",	//1488
    "executesAsync",	//1489
    "exists",	//1490
    "exists$",	//1491
    "exists_ext",	//1492
    "exists_ext$$",	//1493
    "expandEscapedMacro",	//1494
    "expandEscapedMacro$$?",	//1495
    "expandMacro",	//1496
    "expandMacro#?",	//1497
    "expandMacro$?",	//1498
    "expandMacros",	//1499
    "expandMacros$",	//1500
    "expandMacros$?",	//1501
    "expandMacros$?#",	//1502
    "expandMacrosShellQuote",	//1503
    "expandMacrosShellQuote$",	//1504
    "expandMacrosShellQuote$$",	//1505
    "expandMacrosShellQuote$?",	//1506
    "expandMacrosShellQuote$?#",	//1507
    "expandPlainMacro",	//1508
    "expandPlainMacro$$?",	//1509
    "extraFields",	//1510
    "extraFields#",	//1511
    "extractKnownExtension",	//1512
    "extractKnownExtension$",	//1513
    "faceIconPath",	//1514
    "factories",	//1515
    "factory",	//1516
    "factory$",	//1517
    "factory$$",	//1518
    "failed",	//1519
    "favIconForUrl",	//1520
    "favIconForUrl#",	//1521
    "feed",	//1522
    "feed#",	//1523
    "feed$$",	//1524
    "fetchMoreText",	//1525
    "fileEncoding",	//1526
    "fileEncodingMib",	//1527
    "fileEngine",	//1528
    "fileName",	//1529
    "fileName#",	//1530
    "fileNameUsedForCopying",	//1531
    "filterFlags",	//1532
    "finalize",	//1533
    "findAllExe",	//1534
    "findAllExe?$",	//1535
    "findAllExe?$$",	//1536
    "findAllExe?$$$",	//1537
    "findAllResources",	//1538
    "findAllResources$",	//1539
    "findAllResources$$",	//1540
    "findAllResources$$$",	//1541
    "findAllResources$$$?",	//1542
    "findByContent",	//1543
    "findByContent#",	//1544
    "findByContent#$",	//1545
    "findByFileContent",	//1546
    "findByFileContent$",	//1547
    "findByFileContent$$",	//1548
    "findByNameAndContent",	//1549
    "findByNameAndContent$#",	//1550
    "findByNameAndContent$#?",	//1551
    "findByNameAndContent$#?$",	//1552
    "findByPath",	//1553
    "findByPath$",	//1554
    "findByPath$?",	//1555
    "findByPath$?$",	//1556
    "findByPath$?$$",	//1557
    "findByUrl",	//1558
    "findByUrl#",	//1559
    "findByUrl#?",	//1560
    "findByUrl#?$",	//1561
    "findByUrl#?$$",	//1562
    "findByUrl#?$$$",	//1563
    "findDirectChild_helper",	//1564
    "findDirectChild_helper##",	//1565
    "findDirs",	//1566
    "findDirs$$",	//1567
    "findEntry",	//1568
    "findEntry$$",	//1569
    "findExe",	//1570
    "findExe$",	//1571
    "findExe$$",	//1572
    "findExe$$$",	//1573
    "findFactory",	//1574
    "findFactory$",	//1575
    "findFilterByFileName",	//1576
    "findFilterByFileName$",	//1577
    "findFilterByMimeType",	//1578
    "findFilterByMimeType$",	//1579
    "findItem",	//1580
    "findItem$",	//1581
    "findLibrary",	//1582
    "findLibrary$",	//1583
    "findLibrary$#",	//1584
    "findResource",	//1585
    "findResource$$",	//1586
    "findResourceDir",	//1587
    "findResourceDir$$",	//1588
    "finished",	//1589
    "finished#",	//1590
    "finishedCurrentFeed",	//1591
    "firstDayOfMonth",	//1592
    "firstDayOfMonth#",	//1593
    "firstDayOfMonth$$",	//1594
    "firstDayOfYear",	//1595
    "firstDayOfYear#",	//1596
    "firstDayOfYear$",	//1597
    "flagError",	//1598
    "flush",	//1599
    "fopen",	//1600
    "fopen$$",	//1601
    "forceGlobal",	//1602
    "formatByteSize",	//1603
    "formatByteSize$",	//1604
    "formatByteSize$$",	//1605
    "formatByteSize$$$",	//1606
    "formatByteSize$$$$",	//1607
    "formatDate",	//1608
    "formatDate#",	//1609
    "formatDate#$",	//1610
    "formatDate#$$",	//1611
    "formatDate#$$$",	//1612
    "formatDateTime",	//1613
    "formatDateTime#",	//1614
    "formatDateTime#$",	//1615
    "formatDateTime#$$",	//1616
    "formatDuration",	//1617
    "formatDuration$",	//1618
    "formatLocaleTime",	//1619
    "formatLocaleTime#",	//1620
    "formatLocaleTime#$",	//1621
    "formatLong",	//1622
    "formatLong$",	//1623
    "formatMoney",	//1624
    "formatMoney$",	//1625
    "formatMoney$$",	//1626
    "formatMoney$$$",	//1627
    "formatNumber",	//1628
    "formatNumber$",	//1629
    "formatNumber$$",	//1630
    "formatNumber$$$",	//1631
    "formatTime",	//1632
    "formatTime#",	//1633
    "formatTime#$",	//1634
    "formatTime#$$",	//1635
    "fracDigits",	//1636
    "from8Bit",	//1637
    "from8Bit$",	//1638
    "fromEntity",	//1639
    "fromEntity$",	//1640
    "fromEntity$$",	//1641
    "fromFiles",	//1642
    "fromFiles?",	//1643
    "fromFiles?#",	//1644
    "fromKPartsInstanceName",	//1645
    "fromKPartsInstanceName$",	//1646
    "fromKPartsInstanceName$#",	//1647
    "fromMimeDataByteArray",	//1648
    "fromMimeDataByteArray#",	//1649
    "fromPath",	//1650
    "fromPath$",	//1651
    "fromPathOrUrl",	//1652
    "fromPathOrUrl$",	//1653
    "fromServices",	//1654
    "fromServices?",	//1655
    "fromServices?#",	//1656
    "fromString",	//1657
    "fromString$",	//1658
    "fromString$$",	//1659
    "fromString$$#",	//1660
    "fromString$$#$",	//1661
    "fromString$$$",	//1662
    "fromTime_t",	//1663
    "fromTime_t?",	//1664
    "fullLicense",	//1665
    "fullName",	//1666
    "genericName",	//1667
    "getBool",	//1668
    "getDate",	//1669
    "getDate#$$$",	//1670
    "getDouble",	//1671
    "getLockInfo",	//1672
    "getLockInfo$$$",	//1673
    "getLong",	//1674
    "getLong$",	//1675
    "getOption",	//1676
    "getOption#",	//1677
    "getOptionList",	//1678
    "getOptionList#",	//1679
    "gid",	//1680
    "group",	//1681
    "group#",	//1682
    "group$",	//1683
    "groupEntries",	//1684
    "groupEntries$",	//1685
    "groupImpl",	//1686
    "groupImpl#",	//1687
    "groupList",	//1688
    "groupNames",	//1689
    "groups",	//1690
    "hasActionGroup",	//1691
    "hasActionGroup$",	//1692
    "hasApplicationType",	//1693
    "hasAutoDetectionForScript",	//1694
    "hasAutoDetectionForScript$",	//1695
    "hasDefault",	//1696
    "hasDefault$",	//1697
    "hasDeviceType",	//1698
    "hasGroup",	//1699
    "hasGroup#",	//1700
    "hasGroup$",	//1701
    "hasGroupImpl",	//1702
    "hasGroupImpl#",	//1703
    "hasHTMLRef",	//1704
    "hasHelper",	//1705
    "hasHost",	//1706
    "hasKey",	//1707
    "hasKey$",	//1708
    "hasLinkType",	//1709
    "hasLocale",	//1710
    "hasMainComponent",	//1711
    "hasMimeType",	//1712
    "hasMimeType#",	//1713
    "hasMimeType$",	//1714
    "hasMimeTypeType",	//1715
    "hasNullOutput",	//1716
    "hasNullOutput$$$$",	//1717
    "hasNullOutputQtDebugMsg",	//1718
    "hasNullOutputQtDebugMsg$",	//1719
    "hasNullOutputQtDebugMsg$$",	//1720
    "hasPass",	//1721
    "hasPath",	//1722
    "hasPendingConnections",	//1723
    "hasRef",	//1724
    "hasServiceType",	//1725
    "hasServiceType$",	//1726
    "hasSubUrl",	//1727
    "hasSubjobs",	//1728
    "hasSubunits",	//1729
    "hasSubunitsInCirculation",	//1730
    "hasTransitions",	//1731
    "hasTransitions#",	//1732
    "hasUser",	//1733
    "helperID",	//1734
    "hexDigest",	//1735
    "hexDigest#",	//1736
    "homeDir",	//1737
    "homepage",	//1738
    "htmlRef",	//1739
    "i18n",	//1740
    "i18n$",	//1741
    "i18nc",	//1742
    "i18nc$$",	//1743
    "icon",	//1744
    "icon$",	//1745
    "iconName",	//1746
    "iconName#",	//1747
    "iconNameForUrl",	//1748
    "iconNameForUrl#",	//1749
    "iconNameForUrl#?",	//1750
    "inBufferAvailable",	//1751
    "inBufferEmpty",	//1752
    "inContext",	//1753
    "inContext$$",	//1754
    "incomingConnection",	//1755
    "incomingConnection$",	//1756
    "infoMessage",	//1757
    "infoMessage#$",	//1758
    "infoMessage#$$",	//1759
    "inherits",	//1760
    "inherits$",	//1761
    "init",	//1762
    "init#",	//1763
    "init$",	//1764
    "init$?#",	//1765
    "init$?####",	//1766
    "init$?#####",	//1767
    "init$?#####$",	//1768
    "init$?#$",	//1769
    "initialPreference",	//1770
    "inlineAlias",	//1771
    "inlineValue",	//1772
    "insertCatalog",	//1773
    "insertCatalog$",	//1774
    "installPath",	//1775
    "installPath$",	//1776
    "installedLanguages",	//1777
    "internalBugAddress",	//1778
    "internalProgramName",	//1779
    "internalVersion",	//1780
    "invokeBrowser",	//1781
    "invokeBrowser$",	//1782
    "invokeBrowser$#",	//1783
    "invokeHelp",	//1784
    "invokeHelp$",	//1785
    "invokeHelp$$",	//1786
    "invokeHelp$$#",	//1787
    "invokeMailer",	//1788
    "invokeMailer#",	//1789
    "invokeMailer##",	//1790
    "invokeMailer##$",	//1791
    "invokeMailer$$",	//1792
    "invokeMailer$$#",	//1793
    "invokeMailer$$$$$",	//1794
    "invokeMailer$$$$$$",	//1795
    "invokeMailer$$$$$$?",	//1796
    "invokeMailer$$$$$$?#",	//1797
    "invokeTerminal",	//1798
    "invokeTerminal$",	//1799
    "invokeTerminal$$",	//1800
    "invokeTerminal$$#",	//1801
    "is",	//1802
    "is$",	//1803
    "isApplication",	//1804
    "isApplicationTranslatedInto",	//1805
    "isApplicationTranslatedInto$",	//1806
    "isAuthorizedDesktopFile",	//1807
    "isAuthorizedDesktopFile$",	//1808
    "isAutoDelete",	//1809
    "isAutoErrorHandlingEnabled",	//1810
    "isAutoWarningHandlingEnabled",	//1811
    "isAvailable",	//1812
    "isBinaryData",	//1813
    "isBinaryData$",	//1814
    "isBufferBinaryData",	//1815
    "isBufferBinaryData#",	//1816
    "isBuilding",	//1817
    "isChanged",	//1818
    "isChanged$",	//1819
    "isClockTime",	//1820
    "isConfigWritable",	//1821
    "isConfigWritable$",	//1822
    "isCorrect",	//1823
    "isCorrect$",	//1824
    "isDateOnly",	//1825
    "isDefault",	//1826
    "isDeleted",	//1827
    "isDerived",	//1828
    "isDesktopFile",	//1829
    "isDesktopFile$",	//1830
    "isDst",	//1831
    "isDst#?",	//1832
    "isDst?",	//1833
    "isDstAtUtc",	//1834
    "isDstAtUtc#",	//1835
    "isDstAtUtc##",	//1836
    "isEmpty",	//1837
    "isEntryImmutable",	//1838
    "isEntryImmutable$",	//1839
    "isEqual",	//1840
    "isEqual#",	//1841
    "isFilterProtocol",	//1842
    "isFilterProtocol#",	//1843
    "isFilterProtocol$",	//1844
    "isGroupImmutable",	//1845
    "isGroupImmutable#",	//1846
    "isGroupImmutable$",	//1847
    "isGroupImmutableImpl",	//1848
    "isGroupImmutableImpl#",	//1849
    "isHelperProtocol",	//1850
    "isHelperProtocol#",	//1851
    "isHelperProtocol$",	//1852
    "isHidden",	//1853
    "isImmutable",	//1854
    "isImmutable$",	//1855
    "isKnownProtocol",	//1856
    "isKnownProtocol#",	//1857
    "isKnownProtocol$",	//1858
    "isLeapYear",	//1859
    "isLeapYear#",	//1860
    "isLeapYear$",	//1861
    "isListening",	//1862
    "isLoaded",	//1863
    "isLocalFile",	//1864
    "isLocalZone",	//1865
    "isLocked",	//1866
    "isLunar",	//1867
    "isLunisolar",	//1868
    "isMisspelled",	//1869
    "isMisspelled$",	//1870
    "isNull",	//1871
    "isOffsetFromUtc",	//1872
    "isParentOf",	//1873
    "isParentOf#",	//1874
    "isPluginEnabled",	//1875
    "isPluginEnabledByDefault",	//1876
    "isProleptic",	//1877
    "isRelativeUrl",	//1878
    "isRelativeUrl$",	//1879
    "isRestrictedResource",	//1880
    "isRestrictedResource$",	//1881
    "isRestrictedResource$$",	//1882
    "isSecondOccurrence",	//1883
    "isSeparator",	//1884
    "isSequential",	//1885
    "isServiceRegistered",	//1886
    "isServiceRegistered$",	//1887
    "isSet",	//1888
    "isSet#",	//1889
    "isSimulated",	//1890
    "isSolar",	//1891
    "isSuperUser",	//1892
    "isSuspended",	//1893
    "isTempFileSet",	//1894
    "isTimeZoneDaemonAvailable",	//1895
    "isType",	//1896
    "isType$",	//1897
    "isUtc",	//1898
    "isUtf8",	//1899
    "isUtf8$",	//1900
    "isValid",	//1901
    "isValid#",	//1902
    "isValid$",	//1903
    "isValid$$",	//1904
    "isValid$$$",	//1905
    "isValid$$$$",	//1906
    "isValidIsoWeekDate",	//1907
    "isValidIsoWeekDate$$$",	//1908
    "isoCurrencyCode",	//1909
    "isoCurrencyCodeNumeric",	//1910
    "isoName",	//1911
    "items",	//1912
    "job",	//1913
    "join",	//1914
    "join?",	//1915
    "joinArgs",	//1916
    "joinArgs?",	//1917
    "julianDayToDate",	//1918
    "julianDayToDate$$$$",	//1919
    "kAsciiToLower",	//1920
    "kAsciiToLower$",	//1921
    "kAsciiToUpper",	//1922
    "kAsciiToUpper$",	//1923
    "kBacktrace",	//1924
    "kBacktrace$",	//1925
    "kClearDebugConfig",	//1926
    "kRealBacktrace",	//1927
    "kRealBacktrace$",	//1928
    "kapplication_hook",	//1929
    "kapplication_hook?#",	//1930
    "kasciistricmp",	//1931
    "kasciistricmp$$",	//1932
    "kcmServices",	//1933
    "kdBacktrace",	//1934
    "kdBacktrace$",	//1935
    "kde_default",	//1936
    "kde_default$",	//1937
    "kdeinitExec",	//1938
    "kdeinitExec$",	//1939
    "kdeinitExec$?",	//1940
    "kdeinitExec$?$",	//1941
    "kdeinitExec$?$$",	//1942
    "kdeinitExec$?$$#",	//1943
    "kdeinitExecWait",	//1944
    "kdeinitExecWait$",	//1945
    "kdeinitExecWait$?",	//1946
    "kdeinitExecWait$?$",	//1947
    "kdeinitExecWait$?$$",	//1948
    "kdeinitExecWait$?$$#",	//1949
    "kdeinit_exec",	//1950
    "kdeinit_exec$??$$$$",	//1951
    "kdeinit_exec_wait",	//1952
    "kdeinit_exec_wait$??$$$$",	//1953
    "key",	//1954
    "keyList",	//1955
    "keywords",	//1956
    "kfsstnd_prefixes",	//1957
    "kfsstnd_xdg_conf_prefixes",	//1958
    "kfsstnd_xdg_data_prefixes",	//1959
    "ki18n",	//1960
    "ki18n$",	//1961
    "ki18nc",	//1962
    "ki18nc$$",	//1963
    "ki18ncp",	//1964
    "ki18ncp$$$",	//1965
    "ki18np",	//1966
    "ki18np$$",	//1967
    "kill",	//1968
    "kill$",	//1969
    "klauncher",	//1970
    "kndbgstream",	//1971
    "kndbgstream#",	//1972
    "label",	//1973
    "langLookup",	//1974
    "langLookup$",	//1975
    "langLookup$$",	//1976
    "language",	//1977
    "languageCodeToName",	//1978
    "languageCodeToName$",	//1979
    "languageForEncoding",	//1980
    "languageForEncoding$",	//1981
    "languageList",	//1982
    "lastDayOfMonth",	//1983
    "lastDayOfMonth#",	//1984
    "lastDayOfMonth$$",	//1985
    "lastDayOfYear",	//1986
    "lastDayOfYear#",	//1987
    "lastDayOfYear$",	//1988
    "lastErrorMessage",	//1989
    "latestValidDate",	//1990
    "latitude",	//1991
    "layoutInfo",	//1992
    "leapSecondChange",	//1993
    "leapSecondChange#",	//1994
    "leapSecondChanges",	//1995
    "leapSeconds",	//1996
    "library",	//1997
    "library$",	//1998
    "library$$",	//1999
    "license",	//2000
    "licenseName",	//2001
    "licenseName$",	//2002
    "licenses",	//2003
    "listen",	//2004
    "listen$",	//2005
    "listen$#",	//2006
    "listen$#$",	//2007
    "listen$#$#",	//2008
    "listen$$",	//2009
    "load",	//2010
    "load#",	//2011
    "loadAppArgs",	//2012
    "loadAppArgs#",	//2013
    "local",	//2014
    "localPath",	//2015
    "localSocketType",	//2016
    "locale",	//2017
    "localizedFilePath",	//2018
    "localizedFilePath$",	//2019
    "localkdedir",	//2020
    "localxdgconfdir",	//2021
    "localxdgdatadir",	//2022
    "locate",	//2023
    "locate$$",	//2024
    "locate$$#",	//2025
    "locateLocal",	//2026
    "locateLocal$",	//2027
    "locateLocal$$",	//2028
    "locateLocal$$#",	//2029
    "locateLocal$$$",	//2030
    "locateLocal$$$#",	//2031
    "location",	//2032
    "lock",	//2033
    "lock$",	//2034
    "loginName",	//2035
    "longitude",	//2036
    "lsqueeze",	//2037
    "lsqueeze$",	//2038
    "lsqueeze$$",	//2039
    "mGroup",	//2040
    "mKey",	//2041
    "mName",	//2042
    "m_bAutoDel",	//2043
    "m_canCopyFromFile",	//2044
    "m_canCopyToFile",	//2045
    "m_config",	//2046
    "m_defaultMimetype",	//2047
    "m_determineMimetypeFromExtension",	//2048
    "m_dev",	//2049
    "m_exec",	//2050
    "m_icon",	//2051
    "m_inputType",	//2052
    "m_isHelperProtocol",	//2053
    "m_isSourceProtocol",	//2054
    "m_listing",	//2055
    "m_maxSlaves",	//2056
    "m_name",	//2057
    "m_outputType",	//2058
    "m_str_deprecated",	//2059
    "m_supportsDeleting",	//2060
    "m_supportsLinking",	//2061
    "m_supportsListing",	//2062
    "m_supportsMakeDir",	//2063
    "m_supportsMoving",	//2064
    "m_supportsOpening",	//2065
    "m_supportsReading",	//2066
    "m_supportsWriting",	//2067
    "mainComponent",	//2068
    "mainExtension",	//2069
    "makeDir",	//2070
    "makeDir$",	//2071
    "makeDir$$",	//2072
    "makeURL",	//2073
    "makeURL#",	//2074
    "managedFile",	//2075
    "markAsClean",	//2076
    "matchFileName",	//2077
    "matchFileName$$",	//2078
    "maxPendingConnections",	//2079
    "maxSlaves",	//2080
    "maxSlaves$",	//2081
    "maxSlavesPerHost",	//2082
    "maxSlavesPerHost$",	//2083
    "maxValue",	//2084
    "measureSystem",	//2085
    "menuId",	//2086
    "message",	//2087
    "message$$",	//2088
    "message$$$",	//2089
    "metaObject",	//2090
    "mimeType",	//2091
    "mimeType$",	//2092
    "mimeType$$",	//2093
    "minValue",	//2094
    "misspelling",	//2095
    "misspelling$$",	//2096
    "mkdir",	//2097
    "mkdir$?",	//2098
    "mode",	//2099
    "modulate",	//2100
    "modulate$",	//2101
    "moduleDeleted",	//2102
    "moduleDeleted#",	//2103
    "moduleName",	//2104
    "moduleRegistered",	//2105
    "moduleRegistered#",	//2106
    "monetaryDecimalPlaces",	//2107
    "monetaryDecimalSymbol",	//2108
    "monetaryDigitSet",	//2109
    "monetaryThousandsSeparator",	//2110
    "month",	//2111
    "month#",	//2112
    "monthName",	//2113
    "monthName#",	//2114
    "monthName#$",	//2115
    "monthName$$",	//2116
    "monthName$$$",	//2117
    "monthString",	//2118
    "monthString#",	//2119
    "monthString#$",	//2120
    "monthStringToInteger",	//2121
    "monthStringToInteger$$",	//2122
    "monthsDifference",	//2123
    "monthsDifference##",	//2124
    "monthsInYear",	//2125
    "monthsInYear#",	//2126
    "monthsInYear$",	//2127
    "monthsInYearString",	//2128
    "monthsInYearString#",	//2129
    "monthsInYearString#$",	//2130
    "name",	//2131
    "name$",	//2132
    "nameForProberType",	//2133
    "nameForProberType$",	//2134
    "nameForScript",	//2135
    "nameForScript$",	//2136
    "naturalCompare",	//2137
    "naturalCompare$$",	//2138
    "naturalCompare$$$",	//2139
    "negativeMonetarySignPosition",	//2140
    "negativePrefixCurrencySymbol",	//2141
    "negativeSign",	//2142
    "newConnection",	//2143
    "newServicePath",	//2144
    "newServicePath$$",	//2145
    "newServicePath$$$",	//2146
    "newServicePath$$$?",	//2147
    "nextPendingConnection",	//2148
    "noDisplay",	//2149
    "notifyCatalogsUpdated",	//2150
    "notifyCatalogsUpdated??",	//2151
    "nounDeclension",	//2152
    "numberedBackupFile",	//2153
    "numberedBackupFile$",	//2154
    "numberedBackupFile$$",	//2155
    "numberedBackupFile$$$",	//2156
    "numberedBackupFile$$$$",	//2157
    "objectCreated",	//2158
    "objectCreated#",	//2159
    "obscure",	//2160
    "obscure$",	//2161
    "ocsProviderUrl",	//2162
    "ocsUsername",	//2163
    "offset",	//2164
    "offset#?",	//2165
    "offset?",	//2166
    "offsetAtUtc",	//2167
    "offsetAtUtc#",	//2168
    "offsetAtUtc##",	//2169
    "offsetAtZoneTime",	//2170
    "offsetAtZoneTime#",	//2171
    "offsetAtZoneTime##$",	//2172
    "offsetAtZoneTime#$",	//2173
    "open",	//2174
    "open$",	//2175
    "open$$",	//2176
    "open$$?",	//2177
    "openConfig",	//2178
    "openConfig#",	//2179
    "openConfig#$",	//2180
    "openConfig#$$",	//2181
    "openConfig#$$$",	//2182
    "openConfig$",	//2183
    "openConfig$$",	//2184
    "openConfig$$$",	//2185
    "operator QVariant",	//2186
    "operator!=",	//2187
    "operator!=#",	//2188
    "operator!=##",	//2189
    "operator!=#$",	//2190
    "operator!=$",	//2191
    "operator!=$#",	//2192
    "operator!=$$",	//2193
    "operator&",	//2194
    "operator&##",	//2195
    "operator*",	//2196
    "operator*#$",	//2197
    "operator*$#",	//2198
    "operator+",	//2199
    "operator+##",	//2200
    "operator+#$",	//2201
    "operator+$#",	//2202
    "operator+$$",	//2203
    "operator-",	//2204
    "operator-#",	//2205
    "operator-##",	//2206
    "operator/",	//2207
    "operator/#$",	//2208
    "operator<",	//2209
    "operator<#",	//2210
    "operator<##",	//2211
    "operator<#$",	//2212
    "operator<$#",	//2213
    "operator<$$",	//2214
    "operator<<",	//2215
    "operator<<##",	//2216
    "operator<<#$",	//2217
    "operator<<#?",	//2218
    "operator<<$",	//2219
    "operator<<?",	//2220
    "operator<=",	//2221
    "operator<=#",	//2222
    "operator<=##",	//2223
    "operator<=#$",	//2224
    "operator<=$#",	//2225
    "operator<=$$",	//2226
    "operator=",	//2227
    "operator=#",	//2228
    "operator=$",	//2229
    "operator==",	//2230
    "operator==#",	//2231
    "operator==##",	//2232
    "operator==#$",	//2233
    "operator==$",	//2234
    "operator==$#",	//2235
    "operator==$$",	//2236
    "operator>",	//2237
    "operator>#",	//2238
    "operator>##",	//2239
    "operator>#$",	//2240
    "operator>$#",	//2241
    "operator>$$",	//2242
    "operator>=",	//2243
    "operator>=#",	//2244
    "operator>=##",	//2245
    "operator>=#$",	//2246
    "operator>=$#",	//2247
    "operator>=$$",	//2248
    "operator>>",	//2249
    "operator>>##",	//2250
    "operator>>#$",	//2251
    "operator>>#?",	//2252
    "operator^",	//2253
    "operator^##",	//2254
    "operator|",	//2255
    "operator|##",	//2256
    "operator|$$",	//2257
    "organizationDomain",	//2258
    "otherText",	//2259
    "outBufferAvailable",	//2260
    "outBufferFull",	//2261
    "outOfRange",	//2262
    "outputChannelMode",	//2263
    "pageSize",	//2264
    "parent",	//2265
    "parentApp",	//2266
    "parentMimeType",	//2267
    "parentMimeTypes",	//2268
    "parentServiceType",	//2269
    "parentType",	//2270
    "parentWidget",	//2271
    "parse",	//2272
    "parse#",	//2273
    "parsedArgs",	//2274
    "parsedArgs#",	//2275
    "pass",	//2276
    "path",	//2277
    "path$",	//2278
    "pathOrUrl",	//2279
    "pathOrUrl$",	//2280
    "patterns",	//2281
    "peerPath",	//2282
    "percent",	//2283
    "percent#$",	//2284
    "perlSplit",	//2285
    "perlSplit#$",	//2286
    "perlSplit#$$",	//2287
    "perlSplit$$",	//2288
    "perlSplit$$$",	//2289
    "phase",	//2290
    "phases",	//2291
    "pid",	//2292
    "pluginKeyword",	//2293
    "pluginName",	//2294
    "pluginVersion",	//2295
    "populateMimeData",	//2296
    "populateMimeData#",	//2297
    "populateMimeData#?",	//2298
    "populateMimeData#?$",	//2299
    "pos",	//2300
    "positiveMonetarySignPosition",	//2301
    "positivePrefixCurrencySymbol",	//2302
    "positiveSign",	//2303
    "preProcessWrap",	//2304
    "preProcessWrap$",	//2305
    "preferredService",	//2306
    "preferredService$",	//2307
    "preferredService$$",	//2308
    "prettyFormatDuration",	//2309
    "prettyFormatDuration$",	//2310
    "prettyUrl",	//2311
    "prettyUrl$",	//2312
    "previousUtcOffset",	//2313
    "proberType",	//2314
    "proberTypeForName",	//2315
    "proberTypeForName$",	//2316
    "processNull",	//2317
    "processNull$$",	//2318
    "processedAmount",	//2319
    "processedAmount#$$",	//2320
    "processedAmount$",	//2321
    "productName",	//2322
    "program",	//2323
    "programIconName",	//2324
    "programLogo",	//2325
    "programName",	//2326
    "progressStep",	//2327
    "progressStep$",	//2328
    "progressStep?",	//2329
    "property",	//2330
    "property$",	//2331
    "property$$",	//2332
    "propertyDef",	//2333
    "propertyDef$",	//2334
    "propertyDefNames",	//2335
    "propertyDefs",	//2336
    "propertyNames",	//2337
    "protocol",	//2338
    "protocolClass",	//2339
    "protocolClass$",	//2340
    "protocols",	//2341
    "proxiedBy",	//2342
    "proxiedBy$",	//2343
    "proxyForConnection",	//2344
    "proxyForConnection$$",	//2345
    "proxyForDatagram",	//2346
    "proxyForDatagram$$",	//2347
    "proxyForListening",	//2348
    "proxyForListening$",	//2349
    "qtArgc",	//2350
    "qtArgv",	//2351
    "qt_metacall",	//2352
    "qt_metacall$$?",	//2353
    "qt_metacast",	//2354
    "qt_metacast$",	//2355
    "query",	//2356
    "query$",	//2357
    "query$$",	//2358
    "query$$$",	//2359
    "queryItem",	//2360
    "queryItem$",	//2361
    "queryItems",	//2362
    "queryItems#",	//2363
    "quoteArg",	//2364
    "quoteArg$",	//2365
    "quotedPrintableDecode",	//2366
    "quotedPrintableDecode#",	//2367
    "quotedPrintableDecode##",	//2368
    "quotedPrintableEncode",	//2369
    "quotedPrintableEncode#",	//2370
    "quotedPrintableEncode##$",	//2371
    "quotedPrintableEncode#$",	//2372
    "random",	//2373
    "randomString",	//2374
    "randomString$",	//2375
    "rawDigest",	//2376
    "rawDigest$",	//2377
    "rcsBackupFile",	//2378
    "rcsBackupFile$",	//2379
    "rcsBackupFile$$",	//2380
    "rcsBackupFile$$$",	//2381
    "read",	//2382
    "read#$",	//2383
    "read#?",	//2384
    "readActions",	//2385
    "readComment",	//2386
    "readConfig",	//2387
    "readConfig#",	//2388
    "readData",	//2389
    "readData$$",	//2390
    "readDate",	//2391
    "readDate$",	//2392
    "readDate$$",	//2393
    "readDate$$$",	//2394
    "readDate$$$$",	//2395
    "readDefault",	//2396
    "readDefault#",	//2397
    "readDefaults",	//2398
    "readDevice",	//2399
    "readDocPath",	//2400
    "readEntry",	//2401
    "readEntry$",	//2402
    "readEntry$#",	//2403
    "readEntry$$",	//2404
    "readEntry$?",	//2405
    "readEntryUntranslated",	//2406
    "readEntryUntranslated$",	//2407
    "readEntryUntranslated$$",	//2408
    "readError",	//2409
    "readGenericName",	//2410
    "readHeader",	//2411
    "readIcon",	//2412
    "readImmutability",	//2413
    "readImmutability#",	//2414
    "readLineData",	//2415
    "readLocaleTime",	//2416
    "readLocaleTime$",	//2417
    "readLocaleTime$$",	//2418
    "readLocaleTime$$$",	//2419
    "readLocaleTime$$$$",	//2420
    "readMoney",	//2421
    "readMoney$",	//2422
    "readMoney$$",	//2423
    "readName",	//2424
    "readNumber",	//2425
    "readNumber$",	//2426
    "readNumber$$",	//2427
    "readPath",	//2428
    "readPathEntry",	//2429
    "readPathEntry$$",	//2430
    "readPathEntry$?",	//2431
    "readTime",	//2432
    "readTime$",	//2433
    "readTime$$",	//2434
    "readTime$$$",	//2435
    "readType",	//2436
    "readUrl",	//2437
    "readXdgListEntry",	//2438
    "readXdgListEntry$",	//2439
    "readXdgListEntry$?",	//2440
    "readZone",	//2441
    "readZone$",	//2442
    "realCurrentLocalDateTime",	//2443
    "realFilePath",	//2444
    "realFilePath$",	//2445
    "realLocalZone",	//2446
    "realPath",	//2447
    "realPath$",	//2448
    "ref",	//2449
    "registerArea",	//2450
    "registerArea#",	//2451
    "registerArea#$",	//2452
    "registerJob",	//2453
    "registerJob#",	//2454
    "relPath",	//2455
    "relativeLocation",	//2456
    "relativeLocation$$",	//2457
    "relativePath",	//2458
    "relativePath$$",	//2459
    "relativePath$$$",	//2460
    "relativeUrl",	//2461
    "relativeUrl##",	//2462
    "releaseLock",	//2463
    "remove",	//2464
    "remove#",	//2465
    "remove$",	//2466
    "removeAcceleratorMarker",	//2467
    "removeAcceleratorMarker$",	//2468
    "removeCatalog",	//2469
    "removeCatalog$",	//2470
    "removeDir",	//2471
    "removeDir$",	//2472
    "removeFromAllowedEnvironments",	//2473
    "removeFromAllowedEnvironments$",	//2474
    "removeFromExcludedEnvironments",	//2475
    "removeFromExcludedEnvironments$",	//2476
    "removeSubjob",	//2477
    "removeSubjob#",	//2478
    "rename",	//2479
    "rename$$",	//2480
    "reparent",	//2481
    "reparent#",	//2482
    "reparent#$",	//2483
    "reparseConfiguration",	//2484
    "replace",	//2485
    "replace$$$",	//2486
    "requestHoldSlave",	//2487
    "requestHoldSlave$$",	//2488
    "requestSlave",	//2489
    "requestSlave$$$$",	//2490
    "reset",	//2491
    "resetDecoder",	//2492
    "resolveEntities",	//2493
    "resolveEntities$",	//2494
    "resolveFunction",	//2495
    "resolveFunction$",	//2496
    "resolveSymbol",	//2497
    "resolveSymbol$",	//2498
    "resource",	//2499
    "resourceDirs",	//2500
    "resourceDirs$",	//2501
    "restore",	//2502
    "restore#",	//2503
    "resume",	//2504
    "resumed",	//2505
    "resumed#",	//2506
    "revertToDefault",	//2507
    "revertToDefault$",	//2508
    "root",	//2509
    "rsqueeze",	//2510
    "rsqueeze$",	//2511
    "rsqueeze$$",	//2512
    "save",	//2513
    "save#",	//2514
    "saveAppArgs",	//2515
    "saveAppArgs#",	//2516
    "saveLocation",	//2517
    "saveLocation$",	//2518
    "saveLocation$$",	//2519
    "saveLocation$$$",	//2520
    "scriptForName",	//2521
    "scriptForName$",	//2522
    "secsTo",	//2523
    "secsTo#",	//2524
    "secsTo_long",	//2525
    "secsTo_long#",	//2526
    "seek",	//2527
    "seek$",	//2528
    "self",	//2529
    "serialized",	//2530
    "serverError",	//2531
    "service",	//2532
    "serviceByDesktopName",	//2533
    "serviceByDesktopName$",	//2534
    "serviceByDesktopPath",	//2535
    "serviceByDesktopPath$",	//2536
    "serviceByMenuId",	//2537
    "serviceByMenuId$",	//2538
    "serviceByName",	//2539
    "serviceByName$",	//2540
    "serviceByStorageId",	//2541
    "serviceByStorageId$",	//2542
    "serviceEntries",	//2543
    "serviceEntries$",	//2544
    "serviceOffersOffset",	//2545
    "serviceType",	//2546
    "serviceType$",	//2547
    "serviceTypes",	//2548
    "setAboutData",	//2549
    "setAboutData#",	//2550
    "setActiveCatalog",	//2551
    "setActiveCatalog$",	//2552
    "setActiveComponent",	//2553
    "setActiveComponent#",	//2554
    "setAllowInline",	//2555
    "setAllowInline$",	//2556
    "setAllowQuit",	//2557
    "setAllowQuit$",	//2558
    "setAllowedEnvironments",	//2559
    "setAllowedEnvironments?",	//2560
    "setAppName",	//2561
    "setAppName#",	//2562
    "setArguments",	//2563
    "setArguments?",	//2564
    "setAttribute",	//2565
    "setAttribute$",	//2566
    "setAttribute$$",	//2567
    "setAutoDelete",	//2568
    "setAutoDelete$",	//2569
    "setAutoDetectLanguage",	//2570
    "setAutoDetectLanguage$",	//2571
    "setAutoErrorHandlingEnabled",	//2572
    "setAutoErrorHandlingEnabled$",	//2573
    "setAutoRemove",	//2574
    "setAutoRemove$",	//2575
    "setAutoWarningHandlingEnabled",	//2576
    "setAutoWarningHandlingEnabled$",	//2577
    "setAutostarts",	//2578
    "setAutostarts$",	//2579
    "setBinaryUnitDialect",	//2580
    "setBinaryUnitDialect$",	//2581
    "setBugAddress",	//2582
    "setBugAddress#",	//2583
    "setCalendar",	//2584
    "setCalendar$",	//2585
    "setCalendarSystem",	//2586
    "setCalendarSystem$",	//2587
    "setCapabilities",	//2588
    "setCapabilities$",	//2589
    "setCatalogName",	//2590
    "setCatalogName#",	//2591
    "setCommand",	//2592
    "setCommand$",	//2593
    "setCommandToCheck",	//2594
    "setCommandToCheck$",	//2595
    "setComponentData",	//2596
    "setComponentData#",	//2597
    "setConfig",	//2598
    "setConfig#",	//2599
    "setConfigName",	//2600
    "setConfigName$",	//2601
    "setCopyrightStatement",	//2602
    "setCopyrightStatement#",	//2603
    "setCountry",	//2604
    "setCountry$#",	//2605
    "setCountryDivisionCode",	//2606
    "setCountryDivisionCode$",	//2607
    "setCurrencyCode",	//2608
    "setCurrencyCode$",	//2609
    "setCurrencySymbol",	//2610
    "setCurrencySymbol$",	//2611
    "setCurrentGroup",	//2612
    "setCurrentGroup$",	//2613
    "setCustomAuthorText",	//2614
    "setCustomAuthorText##",	//2615
    "setCwd",	//2616
    "setCwd#",	//2617
    "setData",	//2618
    "setData#",	//2619
    "setData##",	//2620
    "setData?",	//2621
    "setDataVersion",	//2622
    "setDataVersion$",	//2623
    "setDate",	//2624
    "setDate#",	//2625
    "setDate#$$",	//2626
    "setDate#$$$",	//2627
    "setDate#$$$$",	//2628
    "setDateFormat",	//2629
    "setDateFormat$",	//2630
    "setDateFormatShort",	//2631
    "setDateFormatShort$",	//2632
    "setDateIsoWeek",	//2633
    "setDateIsoWeek#$$$",	//2634
    "setDateMonthNamePossessive",	//2635
    "setDateMonthNamePossessive$",	//2636
    "setDateOnly",	//2637
    "setDateOnly$",	//2638
    "setDateTime",	//2639
    "setDateTime#",	//2640
    "setDateTimeDigitSet",	//2641
    "setDateTimeDigitSet$",	//2642
    "setDecimalPlaces",	//2643
    "setDecimalPlaces$",	//2644
    "setDecimalSymbol",	//2645
    "setDecimalSymbol$",	//2646
    "setDefault",	//2647
    "setDefaultClient",	//2648
    "setDefaultClient$",	//2649
    "setDefaultLanguage",	//2650
    "setDefaultLanguage$",	//2651
    "setDefaults",	//2652
    "setDeleted",	//2653
    "setDeleted$",	//2654
    "setDetails",	//2655
    "setDetails$",	//2656
    "setDevice",	//2657
    "setDevice#",	//2658
    "setDevice#$",	//2659
    "setDigitSet",	//2660
    "setDigitSet$",	//2661
    "setDirectory",	//2662
    "setDirectory$",	//2663
    "setEncodedPathAndQuery",	//2664
    "setEncodedPathAndQuery$",	//2665
    "setEncoding",	//2666
    "setEncoding$",	//2667
    "setEncoding$$",	//2668
    "setEnv",	//2669
    "setEnv$$",	//2670
    "setEnv$$$",	//2671
    "setError",	//2672
    "setError$",	//2673
    "setErrorCode",	//2674
    "setErrorCode$",	//2675
    "setErrorDescription",	//2676
    "setErrorDescription$",	//2677
    "setErrorText",	//2678
    "setErrorText$",	//2679
    "setEscapeChar",	//2680
    "setEscapeChar#",	//2681
    "setExcludedEnvironments",	//2682
    "setExcludedEnvironments?",	//2683
    "setExecutesAsync",	//2684
    "setExecutesAsync$",	//2685
    "setFileEncoding",	//2686
    "setFileEncoding$",	//2687
    "setFileName",	//2688
    "setFileName$",	//2689
    "setFileName$#",	//2690
    "setFilterFlags",	//2691
    "setFilterFlags$",	//2692
    "setForceGlobal",	//2693
    "setForceGlobal$",	//2694
    "setFracDigits",	//2695
    "setFracDigits$",	//2696
    "setFromStringDefault",	//2697
    "setFromStringDefault#",	//2698
    "setGroup",	//2699
    "setGroup$",	//2700
    "setHTMLRef",	//2701
    "setHTMLRef$",	//2702
    "setHasYear0",	//2703
    "setHasYear0$",	//2704
    "setHelperID",	//2705
    "setHelperID$",	//2706
    "setHomepage",	//2707
    "setHomepage#",	//2708
    "setInBuffer",	//2709
    "setInBuffer$$",	//2710
    "setInlineAlias",	//2711
    "setInlineAlias$",	//2712
    "setInlineValue",	//2713
    "setInlineValue$",	//2714
    "setKDEVersion",	//2715
    "setKDEVersion$",	//2716
    "setKDEVersionString",	//2717
    "setKDEVersionString$",	//2718
    "setKey",	//2719
    "setKey$",	//2720
    "setLabel",	//2721
    "setLabel$",	//2722
    "setLanguage",	//2723
    "setLanguage$",	//2724
    "setLanguage$#",	//2725
    "setLanguage?",	//2726
    "setLaunchEnv",	//2727
    "setLaunchEnv$$",	//2728
    "setLayoutInfo",	//2729
    "setLayoutInfo?",	//2730
    "setLeapSecondChanges",	//2731
    "setLeapSecondChanges?",	//2732
    "setLicense",	//2733
    "setLicense$",	//2734
    "setLicenseText",	//2735
    "setLicenseText#",	//2736
    "setLicenseTextFile",	//2737
    "setLicenseTextFile$",	//2738
    "setLocalZone",	//2739
    "setLocalZone#",	//2740
    "setLocale",	//2741
    "setLocale#",	//2742
    "setLocale#$",	//2743
    "setLocale$",	//2744
    "setMGroup",	//2745
    "setMGroup$",	//2746
    "setMKey",	//2747
    "setMKey$",	//2748
    "setMName",	//2749
    "setMName$",	//2750
    "setM_bAutoDel",	//2751
    "setM_bAutoDel$",	//2752
    "setM_canCopyFromFile",	//2753
    "setM_canCopyFromFile$",	//2754
    "setM_canCopyToFile",	//2755
    "setM_canCopyToFile$",	//2756
    "setM_config",	//2757
    "setM_config$",	//2758
    "setM_defaultMimetype",	//2759
    "setM_defaultMimetype$",	//2760
    "setM_determineMimetypeFromExtension",	//2761
    "setM_determineMimetypeFromExtension$",	//2762
    "setM_dev",	//2763
    "setM_dev#",	//2764
    "setM_exec",	//2765
    "setM_exec$",	//2766
    "setM_icon",	//2767
    "setM_icon$",	//2768
    "setM_inputType",	//2769
    "setM_inputType$",	//2770
    "setM_isHelperProtocol",	//2771
    "setM_isHelperProtocol$",	//2772
    "setM_isSourceProtocol",	//2773
    "setM_isSourceProtocol$",	//2774
    "setM_listing",	//2775
    "setM_listing?",	//2776
    "setM_maxSlaves",	//2777
    "setM_maxSlaves$",	//2778
    "setM_name",	//2779
    "setM_name$",	//2780
    "setM_outputType",	//2781
    "setM_outputType$",	//2782
    "setM_str_deprecated",	//2783
    "setM_str_deprecated#",	//2784
    "setM_supportsDeleting",	//2785
    "setM_supportsDeleting$",	//2786
    "setM_supportsLinking",	//2787
    "setM_supportsLinking$",	//2788
    "setM_supportsListing",	//2789
    "setM_supportsListing$",	//2790
    "setM_supportsMakeDir",	//2791
    "setM_supportsMakeDir$",	//2792
    "setM_supportsMoving",	//2793
    "setM_supportsMoving$",	//2794
    "setM_supportsOpening",	//2795
    "setM_supportsOpening$",	//2796
    "setM_supportsReading",	//2797
    "setM_supportsReading$",	//2798
    "setM_supportsWriting",	//2799
    "setM_supportsWriting$",	//2800
    "setMainCatalog",	//2801
    "setMainCatalog$",	//2802
    "setManagedFile",	//2803
    "setManagedFile#",	//2804
    "setMaxDaysInWeek",	//2805
    "setMaxDaysInWeek$",	//2806
    "setMaxMonthsInYear",	//2807
    "setMaxMonthsInYear$",	//2808
    "setMaxPendingConnections",	//2809
    "setMaxPendingConnections$",	//2810
    "setMaxValue",	//2811
    "setMaxValue$",	//2812
    "setMeasureSystem",	//2813
    "setMeasureSystem$",	//2814
    "setMenuId",	//2815
    "setMenuId$",	//2816
    "setMessageHandler",	//2817
    "setMessageHandler#",	//2818
    "setMinValue",	//2819
    "setMinValue$",	//2820
    "setModuleName",	//2821
    "setModuleName$",	//2822
    "setMonetaryDecimalPlaces",	//2823
    "setMonetaryDecimalPlaces$",	//2824
    "setMonetaryDecimalSymbol",	//2825
    "setMonetaryDecimalSymbol$",	//2826
    "setMonetaryDigitSet",	//2827
    "setMonetaryDigitSet$",	//2828
    "setMonetaryThousandsSeparator",	//2829
    "setMonetaryThousandsSeparator$",	//2830
    "setName",	//2831
    "setName$",	//2832
    "setNegativeMonetarySignPosition",	//2833
    "setNegativeMonetarySignPosition$",	//2834
    "setNegativePrefixCurrencySymbol",	//2835
    "setNegativePrefixCurrencySymbol$",	//2836
    "setNegativeSign",	//2837
    "setNegativeSign$",	//2838
    "setNextOpenMode",	//2839
    "setNextOpenMode$",	//2840
    "setOcsProvider",	//2841
    "setOcsProvider#",	//2842
    "setOrganizationDomain",	//2843
    "setOrganizationDomain#",	//2844
    "setOrigFileName",	//2845
    "setOrigFileName#",	//2846
    "setOtherText",	//2847
    "setOtherText#",	//2848
    "setOutBuffer",	//2849
    "setOutBuffer$$",	//2850
    "setOutputChannelMode",	//2851
    "setOutputChannelMode$",	//2852
    "setPageSize",	//2853
    "setPageSize$",	//2854
    "setParentWidget",	//2855
    "setParentWidget#",	//2856
    "setPass",	//2857
    "setPass$",	//2858
    "setPath",	//2859
    "setPath$",	//2860
    "setPercent",	//2861
    "setPercent$",	//2862
    "setPhases",	//2863
    "setPhases?$",	//2864
    "setPluginEnabled",	//2865
    "setPluginEnabled$",	//2866
    "setPositiveMonetarySignPosition",	//2867
    "setPositiveMonetarySignPosition$",	//2868
    "setPositivePrefixCurrencySymbol",	//2869
    "setPositivePrefixCurrencySymbol$",	//2870
    "setPositiveSign",	//2871
    "setPositiveSign$",	//2872
    "setPrefix",	//2873
    "setPrefix$",	//2874
    "setProberType",	//2875
    "setProberType$",	//2876
    "setProcessedAmount",	//2877
    "setProcessedAmount$$",	//2878
    "setProductName",	//2879
    "setProductName#",	//2880
    "setProgram",	//2881
    "setProgram$",	//2882
    "setProgram$?",	//2883
    "setProgram?",	//2884
    "setProgramIconName",	//2885
    "setProgramIconName$",	//2886
    "setProgramLogo",	//2887
    "setProgramLogo#",	//2888
    "setProgramName",	//2889
    "setProgramName#",	//2890
    "setProperty",	//2891
    "setProperty#",	//2892
    "setProtocol",	//2893
    "setProtocol$",	//2894
    "setQuery",	//2895
    "setQuery$",	//2896
    "setReadDefaults",	//2897
    "setReadDefaults$",	//2898
    "setRef",	//2899
    "setRef$",	//2900
    "setSecondOccurrence",	//2901
    "setSecondOccurrence$",	//2902
    "setSeed",	//2903
    "setSeed$",	//2904
    "setServiceOffersOffset",	//2905
    "setServiceOffersOffset$",	//2906
    "setSharedConfig",	//2907
    "setSharedConfig?",	//2908
    "setShellCommand",	//2909
    "setShellCommand$",	//2910
    "setShortDescription",	//2911
    "setShortDescription#",	//2912
    "setShowEmptyMenu",	//2913
    "setShowEmptyMenu$",	//2914
    "setShowInlineHeader",	//2915
    "setShowInlineHeader$",	//2916
    "setSimulatedSystemTime",	//2917
    "setSimulatedSystemTime#",	//2918
    "setSkipHeaders",	//2919
    "setSpeller",	//2920
    "setSpeller#",	//2921
    "setStaleTime",	//2922
    "setStaleTime$",	//2923
    "setStartPhase",	//2924
    "setStartPhase$",	//2925
    "setSuffix",	//2926
    "setSuffix$",	//2927
    "setTerminal",	//2928
    "setTerminal$",	//2929
    "setTerminalOptions",	//2930
    "setTerminalOptions$",	//2931
    "setText",	//2932
    "setText$",	//2933
    "setThousandsSeparator",	//2934
    "setThousandsSeparator$",	//2935
    "setTime",	//2936
    "setTime#",	//2937
    "setTimeFormat",	//2938
    "setTimeFormat$",	//2939
    "setTimeSpec",	//2940
    "setTimeSpec#",	//2941
    "setTime_t",	//2942
    "setTime_t$",	//2943
    "setToolTip",	//2944
    "setToolTip$",	//2945
    "setTotalAmount",	//2946
    "setTotalAmount$$",	//2947
    "setTransitions",	//2948
    "setTransitions?",	//2949
    "setTranslator",	//2950
    "setTranslator##",	//2951
    "setType",	//2952
    "setType#",	//2953
    "setType$",	//2954
    "setType$$",	//2955
    "setUiDelegate",	//2956
    "setUiDelegate#",	//2957
    "setUser",	//2958
    "setUser$",	//2959
    "setVersion",	//2960
    "setVersion#",	//2961
    "setVisibleName",	//2962
    "setVisibleName$",	//2963
    "setWeekDayOfPray",	//2964
    "setWeekDayOfPray$",	//2965
    "setWeekNumberSystem",	//2966
    "setWeekNumberSystem$",	//2967
    "setWeekStartDay",	//2968
    "setWeekStartDay$",	//2969
    "setWhatsThis",	//2970
    "setWhatsThis$",	//2971
    "setWorkingWeekEndDay",	//2972
    "setWorkingWeekEndDay$",	//2973
    "setWorkingWeekStartDay",	//2974
    "setWorkingWeekStartDay$",	//2975
    "setYMD",	//2976
    "setYMD#$$$",	//2977
    "setupChildProcess",	//2978
    "setupTranslations",	//2979
    "sharedMimeInfoVersion",	//2980
    "shell",	//2981
    "shortDescription",	//2982
    "shortYearWindowStartYear",	//2983
    "showEmptyMenu",	//2984
    "showErrorMessage",	//2985
    "showFilePreview",	//2986
    "showFilePreview$",	//2987
    "showInKDE",	//2988
    "showInlineHeader",	//2989
    "simpleBackupFile",	//2990
    "simpleBackupFile$",	//2991
    "simpleBackupFile$$",	//2992
    "simpleBackupFile$$$",	//2993
    "size",	//2994
    "slotEngineDone",	//2995
    "slotInfoMessage",	//2996
    "slotInfoMessage#$$",	//2997
    "slotResult",	//2998
    "slotResult#",	//2999
    "slotWarning",	//3000
    "slotWarning#$$",	//3001
    "sortOrder",	//3002
    "source",	//3003
    "speed",	//3004
    "speed#$",	//3005
    "speller",	//3006
    "split",	//3007
    "split#",	//3008
    "split$",	//3009
    "splitArgs",	//3010
    "splitArgs$",	//3011
    "splitArgs$$",	//3012
    "splitArgs$$$",	//3013
    "splitLocale",	//3014
    "splitLocale$$$$$",	//3015
    "staleFiles",	//3016
    "staleFiles#",	//3017
    "staleFiles#$",	//3018
    "staleTime",	//3019
    "start",	//3020
    "startAfter",	//3021
    "startDetached",	//3022
    "startDetached$",	//3023
    "startDetached$?",	//3024
    "startDetached?",	//3025
    "startParseBlock",	//3026
    "startPhase",	//3027
    "startServiceByDesktopName",	//3028
    "startServiceByDesktopName$",	//3029
    "startServiceByDesktopName$$",	//3030
    "startServiceByDesktopName$$$",	//3031
    "startServiceByDesktopName$$$$",	//3032
    "startServiceByDesktopName$$$$$",	//3033
    "startServiceByDesktopName$$$$$#",	//3034
    "startServiceByDesktopName$$$$$#$",	//3035
    "startServiceByDesktopName$?",	//3036
    "startServiceByDesktopName$?$",	//3037
    "startServiceByDesktopName$?$$",	//3038
    "startServiceByDesktopName$?$$$",	//3039
    "startServiceByDesktopName$?$$$#",	//3040
    "startServiceByDesktopName$?$$$#$",	//3041
    "startServiceByDesktopPath",	//3042
    "startServiceByDesktopPath$",	//3043
    "startServiceByDesktopPath$$",	//3044
    "startServiceByDesktopPath$$$",	//3045
    "startServiceByDesktopPath$$$$",	//3046
    "startServiceByDesktopPath$$$$$",	//3047
    "startServiceByDesktopPath$$$$$#",	//3048
    "startServiceByDesktopPath$$$$$#$",	//3049
    "startServiceByDesktopPath$?",	//3050
    "startServiceByDesktopPath$?$",	//3051
    "startServiceByDesktopPath$?$$",	//3052
    "startServiceByDesktopPath$?$$$",	//3053
    "startServiceByDesktopPath$?$$$#",	//3054
    "startServiceByDesktopPath$?$$$#$",	//3055
    "startServiceByName",	//3056
    "startServiceByName$",	//3057
    "startServiceByName$$",	//3058
    "startServiceByName$$$",	//3059
    "startServiceByName$$$$",	//3060
    "startServiceByName$$$$$",	//3061
    "startServiceByName$$$$$#",	//3062
    "startServiceByName$$$$$#$",	//3063
    "startServiceByName$?",	//3064
    "startServiceByName$?$",	//3065
    "startServiceByName$?$$",	//3066
    "startServiceByName$?$$$",	//3067
    "startServiceByName$?$$$#",	//3068
    "startServiceByName$?$$$#$",	//3069
    "start_service_by_desktop_name",	//3070
    "start_service_by_desktop_name$??$$$$$",	//3071
    "start_service_by_desktop_path",	//3072
    "start_service_by_desktop_path$??$$$$$",	//3073
    "start_service_by_name",	//3074
    "start_service_by_name$??$$$$$",	//3075
    "state",	//3076
    "staticInterfaceName",	//3077
    "staticMetaObject",	//3078
    "staticQString",	//3079
    "staticQString$",	//3080
    "status",	//3081
    "statusChanged",	//3082
    "statusChanged$",	//3083
    "stop",	//3084
    "stop$",	//3085
    "storageId",	//3086
    "storeReplacement",	//3087
    "storeReplacement$$",	//3088
    "stream",	//3089
    "stringListToVariantList",	//3090
    "stringListToVariantList?",	//3091
    "subjobs",	//3092
    "subs",	//3093
    "subs#",	//3094
    "subs#$",	//3095
    "subs#$#",	//3096
    "subs$",	//3097
    "subs$$",	//3098
    "subs$$#",	//3099
    "subs$$$",	//3100
    "subs$$$#",	//3101
    "subs$$$$",	//3102
    "subs$$$$#",	//3103
    "substituteUid",	//3104
    "subunitSymbol",	//3105
    "subunitsPerUnit",	//3106
    "succeeded",	//3107
    "suggest",	//3108
    "suggest$",	//3109
    "suppressGenericNames",	//3110
    "suspend",	//3111
    "suspended",	//3112
    "suspended#",	//3113
    "swapDefault",	//3114
    "sycocaType",	//3115
    "symbolList",	//3116
    "sync",	//3117
    "synchronousConnectToHost",	//3118
    "synchronousConnectToHost#",	//3119
    "synchronousConnectToHost##",	//3120
    "synchronousConnectToHost##$",	//3121
    "synchronousConnectToHost#$",	//3122
    "synchronousConnectToHost#$#",	//3123
    "synchronousConnectToHost#$$$",	//3124
    "synchronousConnectToHost#$$$$",	//3125
    "synchronousConnectToHost$$$",	//3126
    "synchronousConnectToHost$$$$",	//3127
    "synchronousConnectToHost$$$$#",	//3128
    "systemPaths",	//3129
    "systemPaths$",	//3130
    "tagUrls",	//3131
    "tagUrls$",	//3132
    "task",	//3133
    "terminal",	//3134
    "terminalOptions",	//3135
    "terminate",	//3136
    "testAttribute",	//3137
    "testAttribute$",	//3138
    "text",	//3139
    "thousandsSeparator",	//3140
    "tildeExpand",	//3141
    "tildeExpand$",	//3142
    "time",	//3143
    "timeFormat",	//3144
    "timeSpec",	//3145
    "timeStamp",	//3146
    "timeType",	//3147
    "timeZone",	//3148
    "timeZones",	//3149
    "timerEvent",	//3150
    "toClockTime",	//3151
    "toEntity",	//3152
    "toEntity#",	//3153
    "toLocalFile",	//3154
    "toLocalFile$",	//3155
    "toLocalZone",	//3156
    "toMimeDataString",	//3157
    "toOffsetFromUtc",	//3158
    "toOffsetFromUtc$",	//3159
    "toString",	//3160
    "toString#",	//3161
    "toString#$",	//3162
    "toString$",	//3163
    "toTimeSpec",	//3164
    "toTimeSpec#",	//3165
    "toTime_t",	//3166
    "toTime_t#",	//3167
    "toUtc",	//3168
    "toUtc#",	//3169
    "toZone",	//3170
    "toZone#",	//3171
    "toZoneTime",	//3172
    "toZoneTime#",	//3173
    "toZoneTime#$",	//3174
    "toolTip",	//3175
    "totalAmount",	//3176
    "totalAmount#$$",	//3177
    "totalAmount$",	//3178
    "tr",	//3179
    "tr$",	//3180
    "tr$$",	//3181
    "tr$$$",	//3182
    "tr2i18n",	//3183
    "tr2i18n$",	//3184
    "tr2i18n$$",	//3185
    "trUtf8",	//3186
    "trUtf8$",	//3187
    "trUtf8$$",	//3188
    "trUtf8$$$",	//3189
    "transform",	//3190
    "transform$",	//3191
    "transition",	//3192
    "transition#",	//3193
    "transition#?",	//3194
    "transition#?$",	//3195
    "transitionIndex",	//3196
    "transitionIndex#",	//3197
    "transitionIndex#$",	//3198
    "transitionIndex#$$",	//3199
    "transitionTimes",	//3200
    "transitionTimes#",	//3201
    "transitionTimes##",	//3202
    "transitionTimes###",	//3203
    "transitions",	//3204
    "transitions#",	//3205
    "transitions##",	//3206
    "translateInternalProgramName",	//3207
    "translateQt",	//3208
    "translateQt$$$",	//3209
    "translateRaw",	//3210
    "translateRaw$$$",	//3211
    "translateRaw$$$$",	//3212
    "translateRaw$$$$$",	//3213
    "translateRaw$$$$$$",	//3214
    "translateRawFrom",	//3215
    "translateRawFrom$$$$",	//3216
    "translateRawFrom$$$$$",	//3217
    "translateRawFrom$$$$$$",	//3218
    "translateRawFrom$$$$$$$",	//3219
    "translators",	//3220
    "tryExec",	//3221
    "type",	//3222
    "uiDelegate",	//3223
    "uid",	//3224
    "umask",	//3225
    "unambiguousSymbol",	//3226
    "uncompress",	//3227
    "unlink",	//3228
    "unload",	//3229
    "unloadLibrary",	//3230
    "unloadLibrary$",	//3231
    "unlock",	//3232
    "unregisterJob",	//3233
    "unregisterJob#",	//3234
    "unsetCustomAuthorText",	//3235
    "unsetEnv",	//3236
    "unsetEnv$",	//3237
    "untranslatedGenericName",	//3238
    "upUrl",	//3239
    "update",	//3240
    "update#",	//3241
    "update$",	//3242
    "update$$",	//3243
    "updateBase",	//3244
    "updateBase#",	//3245
    "updateSignature",	//3246
    "url",	//3247
    "url$",	//3248
    "usage",	//3249
    "usage#",	//3250
    "usageError",	//3251
    "usageError$",	//3252
    "use12Clock",	//3253
    "useDefaults",	//3254
    "useDefaults$",	//3255
    "useTranscript",	//3256
    "useZoneParse",	//3257
    "user",	//3258
    "userNames",	//3259
    "userSpecifiedIconName",	//3260
    "username",	//3261
    "users",	//3262
    "usrReadConfig",	//3263
    "usrSetDefaults",	//3264
    "usrUseDefaults",	//3265
    "usrUseDefaults$",	//3266
    "usrWriteConfig",	//3267
    "utc",	//3268
    "utcOffset",	//3269
    "utcOffsets",	//3270
    "uudecode",	//3271
    "uudecode#",	//3272
    "uudecode##",	//3273
    "uuencode",	//3274
    "uuencode#",	//3275
    "uuencode##",	//3276
    "variantListToStringList",	//3277
    "variantListToStringList?",	//3278
    "verify",	//3279
    "verify#",	//3280
    "verify$",	//3281
    "version",	//3282
    "versionMajor",	//3283
    "versionMinor",	//3284
    "versionRelease",	//3285
    "versionString",	//3286
    "visibleName",	//3287
    "visuallyOrdered",	//3288
    "waitForBytesWritten",	//3289
    "waitForNewConnection",	//3290
    "waitForNewConnection$",	//3291
    "waitForNewConnection$$",	//3292
    "waitForReadyRead",	//3293
    "waitForSlave",	//3294
    "waitForSlave$",	//3295
    "warning",	//3296
    "warning#$",	//3297
    "warning#$$",	//3298
    "watcher",	//3299
    "watcher$",	//3300
    "webAddress",	//3301
    "website",	//3302
    "week",	//3303
    "week#",	//3304
    "week#$",	//3305
    "week#$$",	//3306
    "weekDayName",	//3307
    "weekDayName#",	//3308
    "weekDayName#$",	//3309
    "weekDayName$",	//3310
    "weekDayName$$",	//3311
    "weekDayOfPray",	//3312
    "weekNumber",	//3313
    "weekNumber#",	//3314
    "weekNumber#$",	//3315
    "weekNumberString",	//3316
    "weekNumberString#",	//3317
    "weekNumberString#$",	//3318
    "weekNumberSystem",	//3319
    "weekStartDay",	//3320
    "weeksInYear",	//3321
    "weeksInYear#",	//3322
    "weeksInYear#$",	//3323
    "weeksInYear$",	//3324
    "weeksInYear$$",	//3325
    "weeksInYearString",	//3326
    "weeksInYearString#",	//3327
    "weeksInYearString#$",	//3328
    "whatsThis",	//3329
    "windowRegistered",	//3330
    "windowRegistered$",	//3331
    "windowUnregistered",	//3332
    "windowUnregistered$",	//3333
    "workingWeekEndDay",	//3334
    "workingWeekStartDay",	//3335
    "writeConfig",	//3336
    "writeConfig#",	//3337
    "writeData",	//3338
    "writeData$$",	//3339
    "writeEntry",	//3340
    "writeEntry$#",	//3341
    "writeEntry$#$",	//3342
    "writeEntry$$",	//3343
    "writeEntry$$$",	//3344
    "writeEntry$?",	//3345
    "writeEntry$?$",	//3346
    "writeHeader",	//3347
    "writeHeader#",	//3348
    "writePathEntry",	//3349
    "writePathEntry$$",	//3350
    "writePathEntry$$$",	//3351
    "writePathEntry$?",	//3352
    "writePathEntry$?$",	//3353
    "writeXdgListEntry",	//3354
    "writeXdgListEntry$?",	//3355
    "writeXdgListEntry$?$",	//3356
    "year",	//3357
    "year#",	//3358
    "yearInEra",	//3359
    "yearInEra#",	//3360
    "yearInEraString",	//3361
    "yearInEraString#",	//3362
    "yearInEraString#$",	//3363
    "yearString",	//3364
    "yearString#",	//3365
    "yearString#$",	//3366
    "yearStringToInteger",	//3367
    "yearStringToInteger$$",	//3368
    "yearsDifference",	//3369
    "yearsDifference##",	//3370
    "zone",	//3371
    "zone$",	//3372
    "zoneinfoDir",	//3373
    "zones",	//3374
    "~Action",	//3375
    "~ActionReply",	//3376
    "~ActionWatcher",	//3377
    "~BackgroundChecker",	//3378
    "~Choice",	//3379
    "~Choice2",	//3380
    "~ExtraField",	//3381
    "~ItemBool",	//3382
    "~ItemDateTime",	//3383
    "~ItemDouble",	//3384
    "~ItemEnum",	//3385
    "~ItemInt",	//3386
    "~ItemIntList",	//3387
    "~ItemLongLong",	//3388
    "~ItemPassword",	//3389
    "~ItemPath",	//3390
    "~ItemPathList",	//3391
    "~ItemPoint",	//3392
    "~ItemProperty",	//3393
    "~ItemRect",	//3394
    "~ItemSize",	//3395
    "~ItemString",	//3396
    "~ItemStringList",	//3397
    "~ItemUInt",	//3398
    "~ItemULongLong",	//3399
    "~ItemUrl",	//3400
    "~ItemUrlList",	//3401
    "~KAboutData",	//3402
    "~KAboutLicense",	//3403
    "~KAboutPerson",	//3404
    "~KAutoSaveFile",	//3405
    "~KAutostart",	//3406
    "~KCalendarSystem",	//3407
    "~KCharMacroExpander",	//3408
    "~KCharsets",	//3409
    "~KCmdLineArgs",	//3410
    "~KCmdLineOptions",	//3411
    "~KComponentData",	//3412
    "~KCompositeJob",	//3413
    "~KConfig",	//3414
    "~KConfigBase",	//3415
    "~KConfigGroup",	//3416
    "~KConfigSkeletonItem",	//3417
    "~KCoreConfigSkeleton",	//3418
    "~KCurrencyCode",	//3419
    "~KDEDModule",	//3420
    "~KDEPluginVerificationData",	//3421
    "~KDateTime",	//3422
    "~KDebug",	//3423
    "~KDebugTag",	//3424
    "~KDesktopFile",	//3425
    "~KEncodingDetector",	//3426
    "~KEncodingProber",	//3427
    "~KFilterBase",	//3428
    "~KFilterDev",	//3429
    "~KJob",	//3430
    "~KJobTrackerInterface",	//3431
    "~KJobUiDelegate",	//3432
    "~KLibrary",	//3433
    "~KLocalSocket",	//3434
    "~KLocalSocketServer",	//3435
    "~KLocale",	//3436
    "~KLocalizedString",	//3437
    "~KLockFile",	//3438
    "~KMD5",	//3439
    "~KMacroExpanderBase",	//3440
    "~KMessageHandler",	//3441
    "~KMimeType",	//3442
    "~KMimeTypeTrader",	//3443
    "~KPluginFactory",	//3444
    "~KPluginInfo",	//3445
    "~KPluginLoader",	//3446
    "~KProcess",	//3447
    "~KProtocolInfo",	//3448
    "~KRandomSequence",	//3449
    "~KSaveFile",	//3450
    "~KService",	//3451
    "~KServiceAction",	//3452
    "~KServiceGroup",	//3453
    "~KServiceType",	//3454
    "~KServiceTypeTrader",	//3455
    "~KSharedConfig",	//3456
    "~KStandardDirs",	//3457
    "~KSycoca",	//3458
    "~KSycocaEntry",	//3459
    "~KSystemTimeZone",	//3460
    "~KSystemTimeZoneBackend",	//3461
    "~KSystemTimeZoneSource",	//3462
    "~KSystemTimeZones",	//3463
    "~KTempDir",	//3464
    "~KTemporaryFile",	//3465
    "~KTimeZone",	//3466
    "~KTimeZoneBackend",	//3467
    "~KTimeZoneData",	//3468
    "~KTimeZoneSource",	//3469
    "~KTimeZones",	//3470
    "~KToolInvocation",	//3471
    "~KTzfileTimeZone",	//3472
    "~KTzfileTimeZoneBackend",	//3473
    "~KTzfileTimeZoneSource",	//3474
    "~KUrl",	//3475
    "~KUser",	//3476
    "~KUserGroup",	//3477
    "~KWordMacroExpander",	//3478
    "~LeapSeconds",	//3479
    "~OrgKdeKLauncherInterface",	//3480
    "~Phase",	//3481
    "~Spec",	//3482
    "~Speller",	//3483
    "~Transition",	//3484
    "~kndbgstream",	//3485
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 277, 1, 10, Smoke::mf_ctor, 5, 1},	//1 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 277, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//2 KAboutData::KAboutData(const KAboutData&)
    {1, 2227, 12, 1, 0, 4, 3},	//3 KAboutData::operator=(const KAboutData&)
    {1, 878, 14, 4, 0, 4, 4},	//4 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 878, 19, 5, 0, 4, 5},	//5 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 891, 14, 4, 0, 4, 6},	//6 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 891, 19, 5, 0, 4, 7},	//7 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 2950, 25, 2, 0, 4, 8},	//8 KAboutData::setTranslator(const KLocalizedString&, const KLocalizedString&)
    {1, 2735, 28, 1, 0, 4, 9},	//9 KAboutData::setLicenseText(const KLocalizedString&)
    {1, 985, 28, 1, 0, 4, 10},	//10 KAboutData::addLicenseText(const KLocalizedString&)
    {1, 2737, 30, 1, 0, 4, 11},	//11 KAboutData::setLicenseTextFile(const QString&)
    {1, 987, 30, 1, 0, 4, 12},	//12 KAboutData::addLicenseTextFile(const QString&)
    {1, 2561, 32, 1, 0, 4, 13},	//13 KAboutData::setAppName(const QByteArray&)
    {1, 2889, 28, 1, 0, 4, 14},	//14 KAboutData::setProgramName(const KLocalizedString&)
    {1, 2885, 30, 1, 0, 4, 15},	//15 KAboutData::setProgramIconName(const QString&)
    {1, 2887, 34, 1, 0, 4, 16},	//16 KAboutData::setProgramLogo(const QVariant&)
    {1, 2841, 32, 1, 0, 4, 17},	//17 KAboutData::setOcsProvider(const QByteArray&)
    {1, 2960, 32, 1, 0, 4, 18},	//18 KAboutData::setVersion(const QByteArray&)
    {1, 2911, 28, 1, 0, 4, 19},	//19 KAboutData::setShortDescription(const KLocalizedString&)
    {1, 2590, 32, 1, 0, 4, 20},	//20 KAboutData::setCatalogName(const QByteArray&)
    {1, 2733, 36, 1, 0, 4, 21},	//21 KAboutData::setLicense(KAboutData::LicenseKey)
    {1, 983, 36, 1, 0, 4, 22},	//22 KAboutData::addLicense(KAboutData::LicenseKey)
    {1, 2602, 28, 1, 0, 4, 23},	//23 KAboutData::setCopyrightStatement(const KLocalizedString&)
    {1, 2847, 28, 1, 0, 4, 24},	//24 KAboutData::setOtherText(const KLocalizedString&)
    {1, 2707, 32, 1, 0, 4, 25},	//25 KAboutData::setHomepage(const QByteArray&)
    {1, 2582, 32, 1, 0, 4, 26},	//26 KAboutData::setBugAddress(const QByteArray&)
    {1, 2843, 32, 1, 0, 4, 27},	//27 KAboutData::setOrganizationDomain(const QByteArray&)
    {1, 2879, 32, 1, 0, 4, 28},	//28 KAboutData::setProductName(const QByteArray&)
    {1, 1059, 0, 0, Smoke::mf_const, 388, 29},	//29 KAboutData::appName() const
    {1, 2322, 0, 0, Smoke::mf_const, 388, 30},	//30 KAboutData::productName() const
    {1, 2326, 0, 0, Smoke::mf_const, 388, 31},	//31 KAboutData::programName() const
    {1, 2258, 0, 0, Smoke::mf_const, 388, 32},	//32 KAboutData::organizationDomain() const
    {1, 1779, 0, 0, Smoke::mf_const, 688, 33},	//33 KAboutData::internalProgramName() const
    {1, 3207, 0, 0, Smoke::mf_const, 0, 34},	//34 KAboutData::translateInternalProgramName() const
    {1, 2324, 0, 0, Smoke::mf_const, 388, 35},	//35 KAboutData::programIconName() const
    {1, 2325, 0, 0, Smoke::mf_const, 412, 36},	//36 KAboutData::programLogo() const
    {1, 2162, 0, 0, Smoke::mf_const, 388, 37},	//37 KAboutData::ocsProviderUrl() const
    {1, 3282, 0, 0, Smoke::mf_const, 388, 38},	//38 KAboutData::version() const
    {1, 1780, 0, 0, Smoke::mf_const, 688, 39},	//39 KAboutData::internalVersion() const
    {1, 2982, 0, 0, Smoke::mf_const, 388, 40},	//40 KAboutData::shortDescription() const
    {1, 1142, 0, 0, Smoke::mf_const, 388, 41},	//41 KAboutData::catalogName() const
    {1, 1738, 0, 0, Smoke::mf_const, 388, 42},	//42 KAboutData::homepage() const
    {1, 1112, 0, 0, Smoke::mf_const, 388, 43},	//43 KAboutData::bugAddress() const
    {1, 1778, 0, 0, Smoke::mf_const, 688, 44},	//44 KAboutData::internalBugAddress() const
    {1, 1080, 0, 0, Smoke::mf_const, 342, 45},	//45 KAboutData::authors() const
    {1, 1249, 0, 0, Smoke::mf_const, 342, 46},	//46 KAboutData::credits() const
    {1, 3220, 0, 0, Smoke::mf_const, 342, 47},	//47 KAboutData::translators() const
    {1, 858, 0, 0, Smoke::mf_static, 388, 48},	//48 KAboutData::aboutTranslationTeam()
    {1, 2259, 0, 0, Smoke::mf_const, 388, 49},	//49 KAboutData::otherText() const
    {1, 2000, 0, 0, Smoke::mf_const, 388, 50},	//50 KAboutData::license() const
    {1, 2001, 38, 1, Smoke::mf_const, 388, 51},	//51 KAboutData::licenseName(KAboutData::NameFormat) const
    {1, 2003, 0, 0, Smoke::mf_const, 341, 52},	//52 KAboutData::licenses() const
    {1, 1227, 0, 0, Smoke::mf_const, 388, 53},	//53 KAboutData::copyrightStatement() const
    {1, 1270, 0, 0, Smoke::mf_const, 388, 54},	//54 KAboutData::customAuthorPlainText() const
    {1, 1271, 0, 0, Smoke::mf_const, 388, 55},	//55 KAboutData::customAuthorRichText() const
    {1, 1272, 0, 0, Smoke::mf_const, 519, 56},	//56 KAboutData::customAuthorTextEnabled() const
    {1, 2614, 25, 2, 0, 4, 57},	//57 KAboutData::setCustomAuthorText(const KLocalizedString&, const KLocalizedString&)
    {1, 3235, 0, 0, 0, 4, 58},	//58 KAboutData::unsetCustomAuthorText()
    {1, 277, 40, 4, Smoke::mf_ctor, 5, 59},	//59 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {1, 277, 45, 5, Smoke::mf_ctor, 5, 60},	//60 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {1, 277, 51, 6, Smoke::mf_ctor, 5, 61},	//61 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey)
    {1, 277, 58, 7, Smoke::mf_ctor, 5, 62},	//62 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&)
    {1, 277, 66, 8, Smoke::mf_ctor, 5, 63},	//63 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&)
    {1, 277, 75, 9, Smoke::mf_ctor, 5, 64},	//64 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 878, 28, 1, 0, 4, 65},	//65 KAboutData::addAuthor(const KLocalizedString&)
    {1, 878, 25, 2, 0, 4, 66},	//66 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&)
    {1, 878, 85, 3, 0, 4, 67},	//67 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 891, 28, 1, 0, 4, 68},	//68 KAboutData::addCredit(const KLocalizedString&)
    {1, 891, 25, 2, 0, 4, 69},	//69 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&)
    {1, 891, 85, 3, 0, 4, 70},	//70 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 71},	//71 KAboutData::License_Custom (enum)
    {1, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 72},	//72 KAboutData::License_File (enum)
    {1, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 73},	//73 KAboutData::License_Unknown (enum)
    {1, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 74},	//74 KAboutData::License_GPL (enum)
    {1, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 75},	//75 KAboutData::License_GPL_V2 (enum)
    {1, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 76},	//76 KAboutData::License_LGPL (enum)
    {1, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 77},	//77 KAboutData::License_LGPL_V2 (enum)
    {1, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 78},	//78 KAboutData::License_BSD (enum)
    {1, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 79},	//79 KAboutData::License_Artistic (enum)
    {1, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 80},	//80 KAboutData::License_QPL (enum)
    {1, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 81},	//81 KAboutData::License_QPL_V1_0 (enum)
    {1, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 82},	//82 KAboutData::License_GPL_V3 (enum)
    {1, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 83},	//83 KAboutData::License_LGPL_V3 (enum)
    {1, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 84},	//84 KAboutData::ShortName (enum)
    {1, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 85},	//85 KAboutData::FullName (enum)
    {1, 3402, 0, 0, Smoke::mf_dtor, 0, 86 },	//86 KAboutData::~KAboutData()
    {2, 286, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 1},	//87 KAboutLicense::KAboutLicense(const KAboutLicense&)
    {2, 2227, 89, 1, 0, 9, 2},	//88 KAboutLicense::operator=(const KAboutLicense&)
    {2, 3139, 0, 0, Smoke::mf_const, 388, 3},	//89 KAboutLicense::text() const
    {2, 2131, 38, 1, Smoke::mf_const, 388, 4},	//90 KAboutLicense::name(KAboutData::NameFormat) const
    {2, 1954, 0, 0, Smoke::mf_const, 6, 5},	//91 KAboutLicense::key() const
    {2, 1113, 30, 1, Smoke::mf_static, 8, 6},	//92 KAboutLicense::byKeyword(const QString&)
    {2, 3403, 0, 0, Smoke::mf_dtor, 0, 7 },	//93 KAboutLicense::~KAboutLicense()
    {3, 288, 14, 4, Smoke::mf_ctor, 12, 1},	//94 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {3, 288, 19, 5, Smoke::mf_ctor, 12, 2},	//95 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {3, 288, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 3},	//96 KAboutPerson::KAboutPerson(const KAboutPerson&)
    {3, 2227, 91, 1, 0, 11, 4},	//97 KAboutPerson::operator=(const KAboutPerson&)
    {3, 2131, 0, 0, Smoke::mf_const, 388, 5},	//98 KAboutPerson::name() const
    {3, 3133, 0, 0, Smoke::mf_const, 388, 6},	//99 KAboutPerson::task() const
    {3, 1420, 0, 0, Smoke::mf_const, 388, 7},	//100 KAboutPerson::emailAddress() const
    {3, 3301, 0, 0, Smoke::mf_const, 388, 8},	//101 KAboutPerson::webAddress() const
    {3, 2163, 0, 0, Smoke::mf_const, 388, 9},	//102 KAboutPerson::ocsUsername() const
    {3, 288, 28, 1, Smoke::mf_ctor, 12, 10},	//103 KAboutPerson::KAboutPerson(const KLocalizedString&)
    {3, 288, 25, 2, Smoke::mf_ctor, 12, 11},	//104 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&)
    {3, 288, 85, 3, Smoke::mf_ctor, 12, 12},	//105 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {3, 3404, 0, 0, Smoke::mf_dtor, 0, 13 },	//106 KAboutPerson::~KAboutPerson()
    {4, 4, 0, 0, Smoke::mf_ctor, 14, 1},	//107 KAuth::Action::Action()
    {4, 4, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//108 KAuth::Action::Action(const KAuth::Action&)
    {4, 4, 30, 1, Smoke::mf_ctor, 14, 3},	//109 KAuth::Action::Action(const QString&)
    {4, 4, 95, 2, Smoke::mf_ctor, 14, 4},	//110 KAuth::Action::Action(const QString&, const QString&)
    {4, 2227, 93, 1, 0, 13, 5},	//111 KAuth::Action::operator=(const KAuth::Action&)
    {4, 2230, 93, 1, Smoke::mf_const, 519, 6},	//112 KAuth::Action::operator==(const KAuth::Action&) const
    {4, 2187, 93, 1, Smoke::mf_const, 519, 7},	//113 KAuth::Action::operator!=(const KAuth::Action&) const
    {4, 2131, 0, 0, Smoke::mf_const, 388, 8},	//114 KAuth::Action::name() const
    {4, 2831, 30, 1, 0, 0, 9},	//115 KAuth::Action::setName(const QString&)
    {4, 2655, 30, 1, 0, 0, 10},	//116 KAuth::Action::setDetails(const QString&)
    {4, 1387, 0, 0, Smoke::mf_const, 388, 11},	//117 KAuth::Action::details() const
    {4, 1901, 0, 0, Smoke::mf_const, 519, 12},	//118 KAuth::Action::isValid() const
    {4, 1734, 0, 0, Smoke::mf_const, 388, 13},	//119 KAuth::Action::helperID() const
    {4, 2705, 30, 1, 0, 0, 14},	//120 KAuth::Action::setHelperID(const QString&)
    {4, 1705, 0, 0, Smoke::mf_const, 519, 15},	//121 KAuth::Action::hasHelper() const
    {4, 3299, 0, 0, 0, 21, 16},	//122 KAuth::Action::watcher()
    {4, 2563, 98, 1, 0, 0, 17},	//123 KAuth::Action::setArguments(const QMap<QString,QVariant>&)
    {4, 1067, 0, 0, Smoke::mf_const, 374, 18},	//124 KAuth::Action::arguments() const
    {4, 876, 100, 2, 0, 0, 19},	//125 KAuth::Action::addArgument(const QString&, const QVariant&)
    {4, 1070, 0, 0, Smoke::mf_const, 15, 20},	//126 KAuth::Action::authorize() const
    {4, 1418, 0, 0, Smoke::mf_const, 15, 21},	//127 KAuth::Action::earlyAuthorize() const
    {4, 3081, 0, 0, Smoke::mf_const, 15, 22},	//128 KAuth::Action::status() const
    {4, 1480, 0, 0, Smoke::mf_const, 16, 23},	//129 KAuth::Action::execute() const
    {4, 1480, 30, 1, Smoke::mf_const, 16, 24},	//130 KAuth::Action::execute(const QString&) const
    {4, 2684, 103, 1, 0, 0, 25},	//131 KAuth::Action::setExecutesAsync(bool)
    {4, 1489, 0, 0, Smoke::mf_const, 519, 26},	//132 KAuth::Action::executesAsync() const
    {4, 1486, 105, 3, Smoke::mf_static, 519, 27},	//133 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&)
    {4, 1486, 109, 4, Smoke::mf_static, 519, 28},	//134 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*)
    {4, 3084, 0, 0, 0, 0, 29},	//135 KAuth::Action::stop()
    {4, 3084, 30, 1, 0, 0, 30},	//136 KAuth::Action::stop(const QString&)
    {4, 2855, 114, 1, 0, 0, 31},	//137 KAuth::Action::setParentWidget(QWidget*)
    {4, 2271, 0, 0, Smoke::mf_const, 418, 32},	//138 KAuth::Action::parentWidget() const
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 33},	//139 KAuth::Action::Denied (enum)
    {4, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 34},	//140 KAuth::Action::Error (enum)
    {4, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 35},	//141 KAuth::Action::Invalid (enum)
    {4, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 36},	//142 KAuth::Action::Authorized (enum)
    {4, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 37},	//143 KAuth::Action::AuthRequired (enum)
    {4, 830, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 38},	//144 KAuth::Action::UserCancelled (enum)
    {4, 3375, 0, 0, Smoke::mf_dtor, 0, 39 },	//145 KAuth::Action::~Action()
    {5, 8, 0, 0, Smoke::mf_ctor, 18, 1},	//146 KAuth::ActionReply::ActionReply()
    {5, 8, 116, 1, Smoke::mf_ctor, 18, 2},	//147 KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    {5, 8, 118, 1, Smoke::mf_ctor, 18, 3},	//148 KAuth::ActionReply::ActionReply(int)
    {5, 8, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 4},	//149 KAuth::ActionReply::ActionReply(const KAuth::ActionReply&)
    {5, 2618, 98, 1, 0, 0, 5},	//150 KAuth::ActionReply::setData(const QMap<QString,QVariant>&)
    {5, 1275, 0, 0, Smoke::mf_const, 374, 6},	//151 KAuth::ActionReply::data() const
    {5, 899, 100, 2, 0, 0, 7},	//152 KAuth::ActionReply::addData(const QString&, const QVariant&)
    {5, 3222, 0, 0, Smoke::mf_const, 20, 8},	//153 KAuth::ActionReply::type() const
    {5, 3107, 0, 0, Smoke::mf_const, 519, 9},	//154 KAuth::ActionReply::succeeded() const
    {5, 1519, 0, 0, Smoke::mf_const, 519, 10},	//155 KAuth::ActionReply::failed() const
    {5, 1464, 0, 0, Smoke::mf_const, 704, 11},	//156 KAuth::ActionReply::errorCode() const
    {5, 2674, 118, 1, 0, 0, 12},	//157 KAuth::ActionReply::setErrorCode(int)
    {5, 1465, 0, 0, Smoke::mf_const, 388, 13},	//158 KAuth::ActionReply::errorDescription() const
    {5, 2676, 30, 1, 0, 0, 14},	//159 KAuth::ActionReply::setErrorDescription(const QString&)
    {5, 2530, 0, 0, Smoke::mf_const, 249, 15},	//160 KAuth::ActionReply::serialized() const
    {5, 1381, 32, 1, Smoke::mf_static, 16, 16},	//161 KAuth::ActionReply::deserialize(const QByteArray&)
    {5, 2227, 120, 1, 0, 17, 17},	//162 KAuth::ActionReply::operator=(const KAuth::ActionReply&)
    {5, 2230, 120, 1, Smoke::mf_const, 519, 18},	//163 KAuth::ActionReply::operator==(const KAuth::ActionReply&) const
    {5, 2187, 120, 1, Smoke::mf_const, 519, 19},	//164 KAuth::ActionReply::operator!=(const KAuth::ActionReply&) const
    {5, 770, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 20},	//165 KAuth::ActionReply::SuccessReply() const
    {5, 161, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 21},	//166 KAuth::ActionReply::HelperErrorReply() const
    {5, 647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 22},	//167 KAuth::ActionReply::NoResponderReply() const
    {5, 650, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 23},	//168 KAuth::ActionReply::NoSuchActionReply() const
    {5, 179, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 24},	//169 KAuth::ActionReply::InvalidActionReply() const
    {5, 29, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 25},	//170 KAuth::ActionReply::AuthorizationDeniedReply() const
    {5, 831, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 26},	//171 KAuth::ActionReply::UserCancelledReply() const
    {5, 159, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 27},	//172 KAuth::ActionReply::HelperBusyReply() const
    {5, 77, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 28},	//173 KAuth::ActionReply::DBusErrorReply() const
    {5, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 29},	//174 KAuth::ActionReply::KAuthError (enum)
    {5, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 30},	//175 KAuth::ActionReply::HelperError (enum)
    {5, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 31},	//176 KAuth::ActionReply::Success (enum)
    {5, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 32},	//177 KAuth::ActionReply::NoError (enum)
    {5, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 33},	//178 KAuth::ActionReply::NoResponder (enum)
    {5, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 34},	//179 KAuth::ActionReply::NoSuchAction (enum)
    {5, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 35},	//180 KAuth::ActionReply::InvalidAction (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 36},	//181 KAuth::ActionReply::AuthorizationDenied (enum)
    {5, 830, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 37},	//182 KAuth::ActionReply::UserCancelled (enum)
    {5, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 38},	//183 KAuth::ActionReply::HelperBusy (enum)
    {5, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 39},	//184 KAuth::ActionReply::DBusError (enum)
    {5, 3376, 0, 0, Smoke::mf_dtor, 0, 40 },	//185 KAuth::ActionReply::~ActionReply()
    {6, 2090, 0, 0, Smoke::mf_const, 661, 1},	//186 KAuth::ActionWatcher::metaObject() const
    {6, 2354, 122, 1, 0, 729, 2},	//187 KAuth::ActionWatcher::qt_metacast(const char*)
    {6, 3179, 124, 2, Smoke::mf_static, 388, 3},	//188 KAuth::ActionWatcher::tr(const char*, const char*)
    {6, 3186, 124, 2, Smoke::mf_static, 388, 4},	//189 KAuth::ActionWatcher::trUtf8(const char*, const char*)
    {6, 3179, 127, 3, Smoke::mf_static, 388, 5},	//190 KAuth::ActionWatcher::tr(const char*, const char*, int)
    {6, 3186, 127, 3, Smoke::mf_static, 388, 6},	//191 KAuth::ActionWatcher::trUtf8(const char*, const char*, int)
    {6, 2352, 131, 3, 0, 704, 7},	//192 KAuth::ActionWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {6, 3299, 30, 1, Smoke::mf_static, 21, 8},	//193 KAuth::ActionWatcher::watcher(const QString&)
    {6, 864, 0, 0, Smoke::mf_const, 388, 9},	//194 KAuth::ActionWatcher::action() const
    {6, 869, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//195 KAuth::ActionWatcher::actionStarted()
    {6, 867, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//196 KAuth::ActionWatcher::actionPerformed(const KAuth::ActionReply&)
    {6, 2327, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//197 KAuth::ActionWatcher::progressStep(int)
    {6, 2327, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 KAuth::ActionWatcher::progressStep(const QVariantMap&)
    {6, 3082, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 KAuth::ActionWatcher::statusChanged(int)
    {6, 3179, 122, 1, Smoke::mf_static, 388, 15},	//200 KAuth::ActionWatcher::tr(const char*)
    {6, 3186, 122, 1, Smoke::mf_static, 388, 16},	//201 KAuth::ActionWatcher::trUtf8(const char*)
    {6, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 17},	//202 KAuth::ActionWatcher::staticMetaObject() const
    {6, 3377, 0, 0, Smoke::mf_dtor, 0, 18 },	//203 KAuth::ActionWatcher::~ActionWatcher()
    {7, 1054, 137, 3, Smoke::mf_static, 0, 1},	//204 KAuthorized::allowUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1072, 30, 1, Smoke::mf_static, 519, 2},	//205 KAuthorized::authorizeControlModule(const QString&)
    {7, 1074, 141, 1, Smoke::mf_static, 393, 3},	//206 KAuthorized::authorizeControlModules(const QStringList&)
    {7, 1070, 30, 1, Smoke::mf_static, 519, 4},	//207 KAuthorized::authorize(const QString&)
    {7, 1076, 30, 1, Smoke::mf_static, 519, 5},	//208 KAuthorized::authorizeKAction(const QString&)
    {7, 1078, 137, 3, Smoke::mf_static, 519, 6},	//209 KAuthorized::authorizeUrlAction(const QString&, const KUrl&, const KUrl&)
    {8, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//210 KAutoSaveFile::metaObject() const
    {8, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//211 KAutoSaveFile::qt_metacast(const char*)
    {8, 3179, 124, 2, Smoke::mf_static, 388, 3},	//212 KAutoSaveFile::tr(const char*, const char*)
    {8, 3186, 124, 2, Smoke::mf_static, 388, 4},	//213 KAutoSaveFile::trUtf8(const char*, const char*)
    {8, 3179, 127, 3, Smoke::mf_static, 388, 5},	//214 KAutoSaveFile::tr(const char*, const char*, int)
    {8, 3186, 127, 3, Smoke::mf_static, 388, 6},	//215 KAutoSaveFile::trUtf8(const char*, const char*, int)
    {8, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//216 KAutoSaveFile::qt_metacall(QMetaObject::Call, int, void**)
    {8, 295, 143, 2, Smoke::mf_ctor, 22, 8},	//217 KAutoSaveFile::KAutoSaveFile(const KUrl&, QObject*)
    {8, 295, 146, 1, Smoke::mf_ctor, 22, 9},	//218 KAutoSaveFile::KAutoSaveFile(QObject*)
    {8, 2075, 0, 0, Smoke::mf_const, 223, 10},	//219 KAutoSaveFile::managedFile() const
    {8, 2803, 148, 1, 0, 0, 11},	//220 KAutoSaveFile::setManagedFile(const KUrl&)
    {8, 2463, 0, 0, Smoke::mf_virtual, 0, 12},	//221 KAutoSaveFile::releaseLock()
    {8, 2174, 150, 1, Smoke::mf_virtual, 519, 13},	//222 KAutoSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {8, 3016, 152, 2, Smoke::mf_static, 344, 14},	//223 KAutoSaveFile::staleFiles(const KUrl&, const QString&)
    {8, 1046, 30, 1, Smoke::mf_static, 344, 15},	//224 KAutoSaveFile::allStaleFiles(const QString&)
    {8, 3179, 122, 1, Smoke::mf_static, 388, 16},	//225 KAutoSaveFile::tr(const char*)
    {8, 3186, 122, 1, Smoke::mf_static, 388, 17},	//226 KAutoSaveFile::trUtf8(const char*)
    {8, 295, 148, 1, Smoke::mf_ctor, 22, 18},	//227 KAutoSaveFile::KAutoSaveFile(const KUrl&)
    {8, 295, 0, 0, Smoke::mf_ctor, 22, 19},	//228 KAutoSaveFile::KAutoSaveFile()
    {8, 3016, 148, 1, Smoke::mf_static, 344, 20},	//229 KAutoSaveFile::staleFiles(const KUrl&)
    {8, 1046, 0, 0, Smoke::mf_static, 344, 21},	//230 KAutoSaveFile::allStaleFiles()
    {8, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 22},	//231 KAutoSaveFile::staticMetaObject() const
    {8, 3405, 0, 0, Smoke::mf_dtor, 0, 23 },	//232 KAutoSaveFile::~KAutoSaveFile()
    {9, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//233 KAutostart::metaObject() const
    {9, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//234 KAutostart::qt_metacast(const char*)
    {9, 3179, 124, 2, Smoke::mf_static, 388, 3},	//235 KAutostart::tr(const char*, const char*)
    {9, 3186, 124, 2, Smoke::mf_static, 388, 4},	//236 KAutostart::trUtf8(const char*, const char*)
    {9, 3179, 127, 3, Smoke::mf_static, 388, 5},	//237 KAutostart::tr(const char*, const char*, int)
    {9, 3186, 127, 3, Smoke::mf_static, 388, 6},	//238 KAutostart::trUtf8(const char*, const char*, int)
    {9, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//239 KAutostart::qt_metacall(QMetaObject::Call, int, void**)
    {9, 298, 155, 2, Smoke::mf_ctor, 23, 8},	//240 KAutostart::KAutostart(const QString&, QObject*)
    {9, 2578, 103, 1, 0, 0, 9},	//241 KAutostart::setAutostarts(bool)
    {9, 1088, 158, 2, Smoke::mf_const, 519, 10},	//242 KAutostart::autostarts(const QString&, QFlags<KAutostart::Condition>) const
    {9, 1187, 0, 0, Smoke::mf_const, 388, 11},	//243 KAutostart::command() const
    {9, 2592, 30, 1, 0, 0, 12},	//244 KAutostart::setCommand(const QString&)
    {9, 3287, 0, 0, Smoke::mf_const, 388, 13},	//245 KAutostart::visibleName() const
    {9, 2962, 30, 1, 0, 0, 14},	//246 KAutostart::setVisibleName(const QString&)
    {9, 1886, 30, 1, Smoke::mf_static, 519, 15},	//247 KAutostart::isServiceRegistered(const QString&)
    {9, 1188, 0, 0, Smoke::mf_const, 388, 16},	//248 KAutostart::commandToCheck() const
    {9, 2594, 30, 1, 0, 0, 17},	//249 KAutostart::setCommandToCheck(const QString&)
    {9, 3027, 0, 0, Smoke::mf_const, 25, 18},	//250 KAutostart::startPhase() const
    {9, 2924, 161, 1, 0, 0, 19},	//251 KAutostart::setStartPhase(KAutostart::StartPhase)
    {9, 1056, 0, 0, Smoke::mf_const, 393, 20},	//252 KAutostart::allowedEnvironments() const
    {9, 2559, 141, 1, 0, 0, 21},	//253 KAutostart::setAllowedEnvironments(const QStringList&)
    {9, 1014, 30, 1, 0, 0, 22},	//254 KAutostart::addToAllowedEnvironments(const QString&)
    {9, 2473, 30, 1, 0, 0, 23},	//255 KAutostart::removeFromAllowedEnvironments(const QString&)
    {9, 1474, 0, 0, Smoke::mf_const, 393, 24},	//256 KAutostart::excludedEnvironments() const
    {9, 2682, 141, 1, 0, 0, 25},	//257 KAutostart::setExcludedEnvironments(const QStringList&)
    {9, 1016, 30, 1, 0, 0, 26},	//258 KAutostart::addToExcludedEnvironments(const QString&)
    {9, 2475, 30, 1, 0, 0, 27},	//259 KAutostart::removeFromExcludedEnvironments(const QString&)
    {9, 3021, 0, 0, Smoke::mf_const, 388, 28},	//260 KAutostart::startAfter() const
    {9, 1154, 30, 1, Smoke::mf_const, 519, 29},	//261 KAutostart::checkAllowedEnvironment(const QString&) const
    {9, 3179, 122, 1, Smoke::mf_static, 388, 30},	//262 KAutostart::tr(const char*)
    {9, 3186, 122, 1, Smoke::mf_static, 388, 31},	//263 KAutostart::trUtf8(const char*)
    {9, 298, 0, 0, Smoke::mf_ctor, 23, 32},	//264 KAutostart::KAutostart()
    {9, 298, 30, 1, Smoke::mf_ctor, 23, 33},	//265 KAutostart::KAutostart(const QString&)
    {9, 1088, 0, 0, Smoke::mf_const, 519, 34},	//266 KAutostart::autostarts() const
    {9, 1088, 30, 1, Smoke::mf_const, 519, 35},	//267 KAutostart::autostarts(const QString&) const
    {9, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 36},	//268 KAutostart::staticMetaObject() const
    {9, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 37},	//269 KAutostart::NoConditions (enum)
    {9, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 38},	//270 KAutostart::CheckCommand (enum)
    {9, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 39},	//271 KAutostart::CheckCondition (enum)
    {9, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 40},	//272 KAutostart::CheckAll (enum)
    {9, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 41},	//273 KAutostart::BaseDesktop (enum)
    {9, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 42},	//274 KAutostart::DesktopServices (enum)
    {9, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 43},	//275 KAutostart::Applications (enum)
    {9, 3406, 0, 0, Smoke::mf_dtor, 0, 44 },	//276 KAutostart::~KAutostart()
    {10, 1235, 163, 2, Smoke::mf_static, 26, 1},	//277 KCalendarSystem::create(const QString&, const KLocale*)
    {10, 1235, 166, 3, Smoke::mf_static, 26, 2},	//278 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1235, 170, 2, Smoke::mf_static, 26, 3},	//279 KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    {10, 1235, 173, 3, Smoke::mf_static, 26, 4},	//280 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1128, 0, 0, Smoke::mf_static, 393, 5},	//281 KCalendarSystem::calendarSystems()
    {10, 1129, 0, 0, Smoke::mf_static, 348, 6},	//282 KCalendarSystem::calendarSystemsList()
    {10, 1121, 30, 1, Smoke::mf_static, 388, 7},	//283 KCalendarSystem::calendarLabel(const QString&)
    {10, 1121, 170, 2, Smoke::mf_static, 388, 8},	//284 KCalendarSystem::calendarLabel(KLocale::CalendarSystem, const KLocale*)
    {10, 1126, 30, 1, Smoke::mf_static, 121, 9},	//285 KCalendarSystem::calendarSystemForCalendarType(const QString&)
    {10, 1124, 30, 1, Smoke::mf_static, 121, 10},	//286 KCalendarSystem::calendarSystem(const QString&)
    {10, 1130, 177, 1, Smoke::mf_static, 388, 11},	//287 KCalendarSystem::calendarType(KLocale::CalendarSystem)
    {10, 301, 179, 1, Smoke::mf_ctor, 26, 12},	//288 KCalendarSystem::KCalendarSystem(const KLocale*)
    {10, 301, 181, 2, Smoke::mf_ctor, 26, 13},	//289 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1130, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 388, 14},	//290 KCalendarSystem::calendarType() const [pure virtual]
    {10, 1124, 0, 0, Smoke::mf_const, 121, 15},	//291 KCalendarSystem::calendarSystem() const
    {10, 1121, 0, 0, Smoke::mf_const, 388, 16},	//292 KCalendarSystem::calendarLabel() const
    {10, 1451, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 266, 17},	//293 KCalendarSystem::epoch() const
    {10, 1417, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 266, 18},	//294 KCalendarSystem::earliestValidDate() const
    {10, 1990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 266, 19},	//295 KCalendarSystem::latestValidDate() const
    {10, 1901, 184, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 20},	//296 KCalendarSystem::isValid(int, int, int) const [pure virtual]
    {10, 1901, 188, 2, Smoke::mf_const, 519, 21},	//297 KCalendarSystem::isValid(int, int) const
    {10, 1901, 191, 4, Smoke::mf_const, 519, 22},	//298 KCalendarSystem::isValid(const QString&, int, int, int) const
    {10, 1907, 184, 3, Smoke::mf_const, 519, 23},	//299 KCalendarSystem::isValidIsoWeekDate(int, int, int) const
    {10, 1901, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 24},	//300 KCalendarSystem::isValid(const QDate&) const
    {10, 2624, 198, 4, Smoke::mf_const|Smoke::mf_virtual, 519, 25},	//301 KCalendarSystem::setDate(QDate&, int, int, int) const
    {10, 2624, 203, 3, Smoke::mf_const, 519, 26},	//302 KCalendarSystem::setDate(QDate&, int, int) const
    {10, 2624, 207, 5, Smoke::mf_const, 519, 27},	//303 KCalendarSystem::setDate(QDate&, QString, int, int, int) const
    {10, 2633, 198, 4, Smoke::mf_const, 519, 28},	//304 KCalendarSystem::setDateIsoWeek(QDate&, int, int, int) const
    {10, 2976, 198, 4, Smoke::mf_const|Smoke::mf_virtual, 519, 29},	//305 KCalendarSystem::setYMD(QDate&, int, int, int) const
    {10, 1669, 213, 4, Smoke::mf_const, 0, 30},	//306 KCalendarSystem::getDate(const QDate, int*, int*, int*) const
    {10, 3357, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 31},	//307 KCalendarSystem::year(const QDate&) const
    {10, 2111, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 32},	//308 KCalendarSystem::month(const QDate&) const
    {10, 1296, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 33},	//309 KCalendarSystem::day(const QDate&) const
    {10, 1457, 218, 2, Smoke::mf_const, 388, 34},	//310 KCalendarSystem::eraName(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1460, 218, 2, Smoke::mf_const, 388, 35},	//311 KCalendarSystem::eraYear(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3359, 196, 1, Smoke::mf_const, 704, 36},	//312 KCalendarSystem::yearInEra(const QDate&) const
    {10, 1028, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 266, 37},	//313 KCalendarSystem::addYears(const QDate&, int) const
    {10, 991, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 266, 38},	//314 KCalendarSystem::addMonths(const QDate&, int) const
    {10, 901, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 266, 39},	//315 KCalendarSystem::addDays(const QDate&, int) const
    {10, 1284, 224, 6, Smoke::mf_const, 0, 40},	//316 KCalendarSystem::dateDifference(const QDate&, const QDate&, int*, int*, int*, int*) const
    {10, 3369, 231, 2, Smoke::mf_const, 704, 41},	//317 KCalendarSystem::yearsDifference(const QDate&, const QDate&) const
    {10, 2123, 231, 2, Smoke::mf_const, 704, 42},	//318 KCalendarSystem::monthsDifference(const QDate&, const QDate&) const
    {10, 1315, 231, 2, Smoke::mf_const, 704, 43},	//319 KCalendarSystem::daysDifference(const QDate&, const QDate&) const
    {10, 2125, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 44},	//320 KCalendarSystem::monthsInYear(const QDate&) const
    {10, 2125, 118, 1, Smoke::mf_const, 704, 45},	//321 KCalendarSystem::monthsInYear(int) const
    {10, 3321, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 46},	//322 KCalendarSystem::weeksInYear(const QDate&) const
    {10, 3321, 234, 2, Smoke::mf_const, 704, 47},	//323 KCalendarSystem::weeksInYear(const QDate&, KLocale::WeekNumberSystem) const
    {10, 3321, 118, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 48},	//324 KCalendarSystem::weeksInYear(int) const
    {10, 3321, 237, 2, Smoke::mf_const, 704, 49},	//325 KCalendarSystem::weeksInYear(int, KLocale::WeekNumberSystem) const
    {10, 1327, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 50},	//326 KCalendarSystem::daysInYear(const QDate&) const
    {10, 1327, 118, 1, Smoke::mf_const, 704, 51},	//327 KCalendarSystem::daysInYear(int) const
    {10, 1317, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 52},	//328 KCalendarSystem::daysInMonth(const QDate&) const
    {10, 1317, 188, 2, Smoke::mf_const, 704, 53},	//329 KCalendarSystem::daysInMonth(int, int) const
    {10, 1323, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 54},	//330 KCalendarSystem::daysInWeek(const QDate&) const
    {10, 1302, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 55},	//331 KCalendarSystem::dayOfYear(const QDate&) const
    {10, 1298, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 56},	//332 KCalendarSystem::dayOfWeek(const QDate&) const
    {10, 3313, 240, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 57},	//333 KCalendarSystem::weekNumber(const QDate&, int*) const
    {10, 3303, 240, 2, Smoke::mf_const, 704, 58},	//334 KCalendarSystem::week(const QDate&, int*) const
    {10, 3303, 243, 3, Smoke::mf_const, 704, 59},	//335 KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem, int*) const
    {10, 1859, 118, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 60},	//336 KCalendarSystem::isLeapYear(int) const [pure virtual]
    {10, 1859, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 61},	//337 KCalendarSystem::isLeapYear(const QDate&) const
    {10, 1595, 118, 1, Smoke::mf_const, 266, 62},	//338 KCalendarSystem::firstDayOfYear(int) const
    {10, 1986, 118, 1, Smoke::mf_const, 266, 63},	//339 KCalendarSystem::lastDayOfYear(int) const
    {10, 1595, 196, 1, Smoke::mf_const, 266, 64},	//340 KCalendarSystem::firstDayOfYear(const QDate&) const
    {10, 1986, 196, 1, Smoke::mf_const, 266, 65},	//341 KCalendarSystem::lastDayOfYear(const QDate&) const
    {10, 1592, 188, 2, Smoke::mf_const, 266, 66},	//342 KCalendarSystem::firstDayOfMonth(int, int) const
    {10, 1983, 188, 2, Smoke::mf_const, 266, 67},	//343 KCalendarSystem::lastDayOfMonth(int, int) const
    {10, 1592, 196, 1, Smoke::mf_const, 266, 68},	//344 KCalendarSystem::firstDayOfMonth(const QDate&) const
    {10, 1983, 196, 1, Smoke::mf_const, 266, 69},	//345 KCalendarSystem::lastDayOfMonth(const QDate&) const
    {10, 2113, 247, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 388, 70},	//346 KCalendarSystem::monthName(int, int, KCalendarSystem::MonthNameFormat) const [pure virtual]
    {10, 2113, 251, 2, Smoke::mf_const|Smoke::mf_virtual, 388, 71},	//347 KCalendarSystem::monthName(const QDate&, KCalendarSystem::MonthNameFormat) const
    {10, 3307, 254, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 388, 72},	//348 KCalendarSystem::weekDayName(int, KCalendarSystem::WeekDayNameFormat) const [pure virtual]
    {10, 3307, 257, 2, Smoke::mf_const|Smoke::mf_virtual, 388, 73},	//349 KCalendarSystem::weekDayName(const QDate&, KCalendarSystem::WeekDayNameFormat) const
    {10, 3364, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 388, 74},	//350 KCalendarSystem::yearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2118, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 388, 75},	//351 KCalendarSystem::monthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1310, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 388, 76},	//352 KCalendarSystem::dayString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3361, 218, 2, Smoke::mf_const, 388, 77},	//353 KCalendarSystem::yearInEraString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1304, 218, 2, Smoke::mf_const, 388, 78},	//354 KCalendarSystem::dayOfYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1300, 196, 1, Smoke::mf_const, 388, 79},	//355 KCalendarSystem::dayOfWeekString(const QDate&) const
    {10, 3316, 218, 2, Smoke::mf_const, 388, 80},	//356 KCalendarSystem::weekNumberString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2128, 218, 2, Smoke::mf_const, 388, 81},	//357 KCalendarSystem::monthsInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3326, 218, 2, Smoke::mf_const, 388, 82},	//358 KCalendarSystem::weeksInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1330, 218, 2, Smoke::mf_const, 388, 83},	//359 KCalendarSystem::daysInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1320, 218, 2, Smoke::mf_const, 388, 84},	//360 KCalendarSystem::daysInMonthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1325, 196, 1, Smoke::mf_const, 388, 85},	//361 KCalendarSystem::daysInWeekString(const QDate&) const
    {10, 3367, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 86},	//362 KCalendarSystem::yearStringToInteger(const QString&, int&) const
    {10, 2121, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 87},	//363 KCalendarSystem::monthStringToInteger(const QString&, int&) const
    {10, 1313, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 88},	//364 KCalendarSystem::dayStringToInteger(const QString&, int&) const
    {10, 1608, 263, 2, Smoke::mf_const|Smoke::mf_virtual, 388, 89},	//365 KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    {10, 1608, 266, 3, Smoke::mf_const, 388, 90},	//366 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    {10, 1608, 270, 4, Smoke::mf_const, 388, 91},	//367 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    {10, 1608, 275, 4, Smoke::mf_const, 388, 92},	//368 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    {10, 2391, 280, 2, Smoke::mf_const|Smoke::mf_virtual, 266, 93},	//369 KCalendarSystem::readDate(const QString&, bool*) const
    {10, 2391, 283, 3, Smoke::mf_const|Smoke::mf_virtual, 266, 94},	//370 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {10, 2391, 287, 3, Smoke::mf_const|Smoke::mf_virtual, 266, 95},	//371 KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    {10, 2391, 291, 4, Smoke::mf_const, 266, 96},	//372 KCalendarSystem::readDate(const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard) const
    {10, 2983, 0, 0, Smoke::mf_const, 704, 97},	//373 KCalendarSystem::shortYearWindowStartYear() const
    {10, 1062, 118, 1, Smoke::mf_const, 704, 98},	//374 KCalendarSystem::applyShortYearWindow(int) const
    {10, 3320, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 704, 99},	//375 KCalendarSystem::weekStartDay() const
    {10, 3312, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 704, 100},	//376 KCalendarSystem::weekDayOfPray() const [pure virtual]
    {10, 1867, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 101},	//377 KCalendarSystem::isLunar() const [pure virtual]
    {10, 1868, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 102},	//378 KCalendarSystem::isLunisolar() const [pure virtual]
    {10, 1891, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 103},	//379 KCalendarSystem::isSolar() const [pure virtual]
    {10, 1877, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 104},	//380 KCalendarSystem::isProleptic() const [pure virtual]
    {10, 1918, 296, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 105},	//381 KCalendarSystem::julianDayToDate(int, int&, int&, int&) const [pure virtual]
    {10, 1293, 301, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 106},	//382 KCalendarSystem::dateToJulianDay(int, int, int, int&) const [pure virtual]
    {10, 2017, 0, 0, Smoke::mf_const|Smoke::mf_protected, 575, 107},	//383 KCalendarSystem::locale() const
    {10, 2807, 118, 1, Smoke::mf_protected, 0, 108},	//384 KCalendarSystem::setMaxMonthsInYear(int)
    {10, 2805, 118, 1, Smoke::mf_protected, 0, 109},	//385 KCalendarSystem::setMaxDaysInWeek(int)
    {10, 2703, 103, 1, Smoke::mf_protected, 0, 110},	//386 KCalendarSystem::setHasYear0(bool)
    {10, 301, 306, 3, Smoke::mf_ctor|Smoke::mf_protected, 26, 111},	//387 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1235, 0, 0, Smoke::mf_static, 26, 112},	//388 KCalendarSystem::create()
    {10, 1235, 30, 1, Smoke::mf_static, 26, 113},	//389 KCalendarSystem::create(const QString&)
    {10, 1235, 310, 2, Smoke::mf_static, 26, 114},	//390 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    {10, 1235, 177, 1, Smoke::mf_static, 26, 115},	//391 KCalendarSystem::create(KLocale::CalendarSystem)
    {10, 1235, 313, 2, Smoke::mf_static, 26, 116},	//392 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    {10, 1121, 177, 1, Smoke::mf_static, 388, 117},	//393 KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    {10, 301, 0, 0, Smoke::mf_ctor, 26, 118},	//394 KCalendarSystem::KCalendarSystem()
    {10, 301, 316, 1, Smoke::mf_ctor, 26, 119},	//395 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>)
    {10, 1457, 196, 1, Smoke::mf_const, 388, 120},	//396 KCalendarSystem::eraName(const QDate&) const
    {10, 1460, 196, 1, Smoke::mf_const, 388, 121},	//397 KCalendarSystem::eraYear(const QDate&) const
    {10, 3313, 196, 1, Smoke::mf_const, 704, 122},	//398 KCalendarSystem::weekNumber(const QDate&) const
    {10, 3303, 196, 1, Smoke::mf_const, 704, 123},	//399 KCalendarSystem::week(const QDate&) const
    {10, 3303, 234, 2, Smoke::mf_const, 704, 124},	//400 KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem) const
    {10, 1595, 0, 0, Smoke::mf_const, 266, 125},	//401 KCalendarSystem::firstDayOfYear() const
    {10, 1986, 0, 0, Smoke::mf_const, 266, 126},	//402 KCalendarSystem::lastDayOfYear() const
    {10, 1592, 0, 0, Smoke::mf_const, 266, 127},	//403 KCalendarSystem::firstDayOfMonth() const
    {10, 1983, 0, 0, Smoke::mf_const, 266, 128},	//404 KCalendarSystem::lastDayOfMonth() const
    {10, 2113, 188, 2, Smoke::mf_const, 388, 129},	//405 KCalendarSystem::monthName(int, int) const
    {10, 2113, 196, 1, Smoke::mf_const, 388, 130},	//406 KCalendarSystem::monthName(const QDate&) const
    {10, 3307, 118, 1, Smoke::mf_const, 388, 131},	//407 KCalendarSystem::weekDayName(int) const
    {10, 3307, 196, 1, Smoke::mf_const, 388, 132},	//408 KCalendarSystem::weekDayName(const QDate&) const
    {10, 3364, 196, 1, Smoke::mf_const, 388, 133},	//409 KCalendarSystem::yearString(const QDate&) const
    {10, 2118, 196, 1, Smoke::mf_const, 388, 134},	//410 KCalendarSystem::monthString(const QDate&) const
    {10, 1310, 196, 1, Smoke::mf_const, 388, 135},	//411 KCalendarSystem::dayString(const QDate&) const
    {10, 3361, 196, 1, Smoke::mf_const, 388, 136},	//412 KCalendarSystem::yearInEraString(const QDate&) const
    {10, 1304, 196, 1, Smoke::mf_const, 388, 137},	//413 KCalendarSystem::dayOfYearString(const QDate&) const
    {10, 3316, 196, 1, Smoke::mf_const, 388, 138},	//414 KCalendarSystem::weekNumberString(const QDate&) const
    {10, 2128, 196, 1, Smoke::mf_const, 388, 139},	//415 KCalendarSystem::monthsInYearString(const QDate&) const
    {10, 3326, 196, 1, Smoke::mf_const, 388, 140},	//416 KCalendarSystem::weeksInYearString(const QDate&) const
    {10, 1330, 196, 1, Smoke::mf_const, 388, 141},	//417 KCalendarSystem::daysInYearString(const QDate&) const
    {10, 1320, 196, 1, Smoke::mf_const, 388, 142},	//418 KCalendarSystem::daysInMonthString(const QDate&) const
    {10, 1608, 196, 1, Smoke::mf_const, 388, 143},	//419 KCalendarSystem::formatDate(const QDate&) const
    {10, 1608, 318, 2, Smoke::mf_const, 388, 144},	//420 KCalendarSystem::formatDate(const QDate&, const QString&) const
    {10, 1608, 321, 3, Smoke::mf_const, 388, 145},	//421 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    {10, 1608, 325, 2, Smoke::mf_const, 388, 146},	//422 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    {10, 1608, 328, 3, Smoke::mf_const, 388, 147},	//423 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    {10, 2391, 30, 1, Smoke::mf_const, 266, 148},	//424 KCalendarSystem::readDate(const QString&) const
    {10, 2391, 332, 2, Smoke::mf_const, 266, 149},	//425 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    {10, 2391, 95, 2, Smoke::mf_const, 266, 150},	//426 KCalendarSystem::readDate(const QString&, const QString&) const
    {10, 301, 335, 1, Smoke::mf_ctor|Smoke::mf_protected, 26, 151},	//427 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    {10, 301, 337, 2, Smoke::mf_ctor|Smoke::mf_protected, 26, 152},	//428 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>)
    {10, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 153},	//429 KCalendarSystem::ShortFormat (enum)
    {10, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 154},	//430 KCalendarSystem::LongFormat (enum)
    {10, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 155},	//431 KCalendarSystem::ShortName (enum)
    {10, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 156},	//432 KCalendarSystem::LongName (enum)
    {10, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 157},	//433 KCalendarSystem::ShortNamePossessive (enum)
    {10, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 158},	//434 KCalendarSystem::LongNamePossessive (enum)
    {10, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 159},	//435 KCalendarSystem::NarrowName (enum)
    {10, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 160},	//436 KCalendarSystem::ShortDayName (enum)
    {10, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 161},	//437 KCalendarSystem::LongDayName (enum)
    {10, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 162},	//438 KCalendarSystem::NarrowDayName (enum)
    {10, 3407, 0, 0, Smoke::mf_dtor, 0, 163 },	//439 KCalendarSystem::~KCalendarSystem()
    {12, 307, 340, 1, Smoke::mf_ctor|Smoke::mf_explicit, 31, 1},	//440 KCharMacroExpander::KCharMacroExpander(QChar)
    {12, 1508, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 704, 2},	//441 KCharMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {12, 1494, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 704, 3},	//442 KCharMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {12, 1496, 346, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 4},	//443 KCharMacroExpander::expandMacro(QChar, QStringList&) [pure virtual]
    {12, 307, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 5},	//444 KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    {12, 307, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 31, 6},	//445 KCharMacroExpander::KCharMacroExpander()
    {12, 3408, 0, 0, Smoke::mf_dtor, 0, 7 },	//446 KCharMacroExpander::~KCharMacroExpander()
    {13, 309, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 32, 1},	//447 KCharsets::KCharsets()
    {13, 1184, 30, 1, Smoke::mf_const, 398, 2},	//448 KCharsets::codecForName(const QString&) const
    {13, 1184, 351, 2, Smoke::mf_const, 398, 3},	//449 KCharsets::codecForName(const QString&, bool&) const
    {13, 1639, 30, 1, Smoke::mf_static, 251, 4},	//450 KCharsets::fromEntity(const QString&)
    {13, 1639, 260, 2, Smoke::mf_static, 251, 5},	//451 KCharsets::fromEntity(const QString&, int&)
    {13, 3152, 354, 1, Smoke::mf_static, 388, 6},	//452 KCharsets::toEntity(const QChar&)
    {13, 2493, 30, 1, Smoke::mf_static, 388, 7},	//453 KCharsets::resolveEntities(const QString&)
    {13, 1093, 0, 0, Smoke::mf_const, 393, 8},	//454 KCharsets::availableEncodingNames() const
    {13, 1380, 0, 0, Smoke::mf_const, 393, 9},	//455 KCharsets::descriptiveEncodingNames() const
    {13, 1441, 0, 0, Smoke::mf_const, 366, 10},	//456 KCharsets::encodingsByScript() const
    {13, 1980, 30, 1, Smoke::mf_const, 388, 11},	//457 KCharsets::languageForEncoding(const QString&) const
    {13, 1378, 30, 1, Smoke::mf_const, 388, 12},	//458 KCharsets::descriptionForEncoding(const QString&) const
    {13, 1437, 30, 1, Smoke::mf_const, 388, 13},	//459 KCharsets::encodingForName(const QString&) const
    {13, 309, 356, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 14},	//460 KCharsets::KCharsets(const KCharsets&)
    {13, 3409, 0, 0, Smoke::mf_dtor, 0, 15 },	//461 KCharsets::~KCharsets()
    {14, 1762, 358, 8, Smoke::mf_static, 0, 1},	//462 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1762, 367, 4, Smoke::mf_static, 0, 2},	//463 KCmdLineArgs::init(int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1762, 372, 1, Smoke::mf_static, 0, 3},	//464 KCmdLineArgs::init(const KAboutData*)
    {14, 1009, 374, 1, Smoke::mf_static, 0, 4},	//465 KCmdLineArgs::addStdCmdLineOptions(QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 884, 376, 4, Smoke::mf_static, 0, 5},	//466 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {14, 2274, 32, 1, Smoke::mf_static, 33, 6},	//467 KCmdLineArgs::parsedArgs(const QByteArray&)
    {14, 1274, 0, 0, Smoke::mf_static, 388, 7},	//468 KCmdLineArgs::cwd()
    {14, 1059, 0, 0, Smoke::mf_static, 388, 8},	//469 KCmdLineArgs::appName()
    {14, 3249, 32, 1, Smoke::mf_static, 0, 9},	//470 KCmdLineArgs::usage(const QByteArray&)
    {14, 3251, 30, 1, Smoke::mf_static, 0, 10},	//471 KCmdLineArgs::usageError(const QString&)
    {14, 1426, 0, 0, Smoke::mf_static, 0, 11},	//472 KCmdLineArgs::enable_i18n()
    {14, 1676, 32, 1, Smoke::mf_const, 388, 12},	//473 KCmdLineArgs::getOption(const QByteArray&) const
    {14, 1678, 32, 1, Smoke::mf_const, 393, 13},	//474 KCmdLineArgs::getOptionList(const QByteArray&) const
    {14, 1888, 32, 1, Smoke::mf_const, 519, 14},	//475 KCmdLineArgs::isSet(const QByteArray&) const
    {14, 1228, 0, 0, Smoke::mf_const, 704, 15},	//476 KCmdLineArgs::count() const
    {14, 1065, 118, 1, Smoke::mf_const, 388, 16},	//477 KCmdLineArgs::arg(int) const
    {14, 3247, 118, 1, Smoke::mf_const, 223, 17},	//478 KCmdLineArgs::url(int) const
    {14, 2073, 32, 1, Smoke::mf_static, 223, 18},	//479 KCmdLineArgs::makeURL(const QByteArray&)
    {14, 2616, 32, 1, Smoke::mf_static, 0, 19},	//480 KCmdLineArgs::setCwd(const QByteArray&)
    {14, 1174, 0, 0, 0, 0, 20},	//481 KCmdLineArgs::clear()
    {14, 2491, 0, 0, Smoke::mf_static, 0, 21},	//482 KCmdLineArgs::reset()
    {14, 2012, 381, 1, Smoke::mf_static, 0, 22},	//483 KCmdLineArgs::loadAppArgs(QDataStream&)
    {14, 2515, 381, 1, Smoke::mf_static, 0, 23},	//484 KCmdLineArgs::saveAppArgs(QDataStream&)
    {14, 1013, 0, 0, Smoke::mf_static, 0, 24},	//485 KCmdLineArgs::addTempFileOption()
    {14, 1894, 0, 0, Smoke::mf_static, 519, 25},	//486 KCmdLineArgs::isTempFileSet()
    {14, 2350, 0, 0, Smoke::mf_static, 705, 26},	//487 KCmdLineArgs::qtArgc()
    {14, 2351, 0, 0, Smoke::mf_static, 524, 27},	//488 KCmdLineArgs::qtArgv()
    {14, 1033, 0, 0, Smoke::mf_static, 393, 28},	//489 KCmdLineArgs::allArguments()
    {14, 857, 0, 0, Smoke::mf_static, 526, 29},	//490 KCmdLineArgs::aboutData()
    {14, 311, 383, 3, Smoke::mf_ctor|Smoke::mf_protected, 33, 30},	//491 KCmdLineArgs::KCmdLineArgs(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 311, 387, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 31},	//492 KCmdLineArgs::KCmdLineArgs(const KCmdLineArgs&)
    {14, 1762, 389, 6, Smoke::mf_static, 0, 32},	//493 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {14, 1762, 396, 7, Smoke::mf_static, 0, 33},	//494 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {14, 1762, 404, 3, Smoke::mf_static, 0, 34},	//495 KCmdLineArgs::init(int, char**, const KAboutData*)
    {14, 1009, 0, 0, Smoke::mf_static, 0, 35},	//496 KCmdLineArgs::addStdCmdLineOptions()
    {14, 884, 408, 1, Smoke::mf_static, 0, 36},	//497 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&)
    {14, 884, 410, 2, Smoke::mf_static, 0, 37},	//498 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&)
    {14, 884, 383, 3, Smoke::mf_static, 0, 38},	//499 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 2274, 0, 0, Smoke::mf_static, 33, 39},	//500 KCmdLineArgs::parsedArgs()
    {14, 3249, 0, 0, Smoke::mf_static, 0, 40},	//501 KCmdLineArgs::usage()
    {14, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 41},	//502 KCmdLineArgs::CmdLineArgQt (enum)
    {14, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 42},	//503 KCmdLineArgs::CmdLineArgKDE (enum)
    {14, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 43},	//504 KCmdLineArgs::CmdLineArgsMask (enum)
    {14, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 44},	//505 KCmdLineArgs::CmdLineArgNone (enum)
    {14, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 45},	//506 KCmdLineArgs::Reserved (enum)
    {14, 3410, 0, 0, Smoke::mf_dtor, 0, 46 },	//507 KCmdLineArgs::~KCmdLineArgs()
    {15, 314, 0, 0, Smoke::mf_ctor, 36, 1},	//508 KCmdLineOptions::KCmdLineOptions()
    {15, 314, 408, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//509 KCmdLineOptions::KCmdLineOptions(const KCmdLineOptions&)
    {15, 2227, 408, 1, 0, 35, 3},	//510 KCmdLineOptions::operator=(const KCmdLineOptions&)
    {15, 872, 413, 3, 0, 35, 4},	//511 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&, const QByteArray&)
    {15, 872, 408, 1, 0, 35, 5},	//512 KCmdLineOptions::add(const KCmdLineOptions&)
    {15, 872, 32, 1, 0, 35, 6},	//513 KCmdLineOptions::add(const QByteArray&)
    {15, 872, 417, 2, 0, 35, 7},	//514 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&)
    {15, 3411, 0, 0, Smoke::mf_dtor, 0, 8 },	//515 KCmdLineOptions::~KCmdLineOptions()
    {16, 3274, 420, 2, Smoke::mf_static, 0, 1},	//516 KCodecs::uuencode(const QByteArray&, QByteArray&)
    {16, 1099, 420, 2, Smoke::mf_static, 0, 2},	//517 KCodecs::base64Decode(const QByteArray&, QByteArray&)
    {16, 2366, 420, 2, Smoke::mf_static, 0, 3},	//518 KCodecs::quotedPrintableDecode(const QByteArray&, QByteArray&)
    {16, 2366, 32, 1, Smoke::mf_static, 249, 4},	//519 KCodecs::quotedPrintableDecode(const QByteArray&)
    {16, 2369, 423, 2, Smoke::mf_static, 249, 5},	//520 KCodecs::quotedPrintableEncode(const QByteArray&, bool)
    {16, 2369, 32, 1, Smoke::mf_static, 249, 6},	//521 KCodecs::quotedPrintableEncode(const QByteArray&)
    {16, 3271, 420, 2, Smoke::mf_static, 0, 7},	//522 KCodecs::uudecode(const QByteArray&, QByteArray&)
    {16, 2369, 426, 3, Smoke::mf_static, 0, 8},	//523 KCodecs::quotedPrintableEncode(const QByteArray&, QByteArray&, bool)
    {16, 1103, 426, 3, Smoke::mf_static, 0, 9},	//524 KCodecs::base64Encode(const QByteArray&, QByteArray&, bool)
    {16, 1103, 420, 2, Smoke::mf_static, 0, 10},	//525 KCodecs::base64Encode(const QByteArray&, QByteArray&)
    {16, 1099, 32, 1, Smoke::mf_static, 249, 11},	//526 KCodecs::base64Decode(const QByteArray&)
    {16, 3274, 32, 1, Smoke::mf_static, 249, 12},	//527 KCodecs::uuencode(const QByteArray&)
    {16, 1103, 423, 2, Smoke::mf_static, 249, 13},	//528 KCodecs::base64Encode(const QByteArray&, bool)
    {16, 1103, 32, 1, Smoke::mf_static, 249, 14},	//529 KCodecs::base64Encode(const QByteArray&)
    {16, 3271, 32, 1, Smoke::mf_static, 249, 15},	//530 KCodecs::uudecode(const QByteArray&)
    {16, 1341, 30, 1, Smoke::mf_static, 388, 16},	//531 KCodecs::decodeRFC2047String(const QString&)
    {17, 316, 0, 0, Smoke::mf_ctor, 39, 1},	//532 KComponentData::KComponentData()
    {17, 316, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 2},	//533 KComponentData::KComponentData(const KComponentData&)
    {17, 2227, 430, 1, 0, 38, 3},	//534 KComponentData::operator=(const KComponentData&)
    {17, 2230, 430, 1, Smoke::mf_const, 519, 4},	//535 KComponentData::operator==(const KComponentData&) const
    {17, 2187, 430, 1, Smoke::mf_const, 519, 5},	//536 KComponentData::operator!=(const KComponentData&) const
    {17, 316, 432, 3, Smoke::mf_ctor, 39, 6},	//537 KComponentData::KComponentData(const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration)
    {17, 316, 436, 2, Smoke::mf_ctor, 39, 7},	//538 KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    {17, 316, 439, 2, Smoke::mf_ctor, 39, 8},	//539 KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    {17, 1901, 0, 0, Smoke::mf_const, 519, 9},	//540 KComponentData::isValid() const
    {17, 1406, 0, 0, Smoke::mf_const, 186, 10},	//541 KComponentData::dirs() const
    {17, 1198, 0, 0, Smoke::mf_const, 589, 11},	//542 KComponentData::config() const
    {17, 857, 0, 0, Smoke::mf_const, 526, 12},	//543 KComponentData::aboutData() const
    {17, 2549, 12, 1, 0, 0, 13},	//544 KComponentData::setAboutData(const KAboutData&)
    {17, 1194, 0, 0, Smoke::mf_const, 388, 14},	//545 KComponentData::componentName() const
    {17, 1142, 0, 0, Smoke::mf_const, 388, 15},	//546 KComponentData::catalogName() const
    {17, 2600, 30, 1, Smoke::mf_protected, 0, 16},	//547 KComponentData::setConfigName(const QString&)
    {17, 316, 32, 1, Smoke::mf_ctor, 39, 17},	//548 KComponentData::KComponentData(const QByteArray&)
    {17, 316, 442, 2, Smoke::mf_ctor, 39, 18},	//549 KComponentData::KComponentData(const QByteArray&, const QByteArray&)
    {17, 316, 12, 1, Smoke::mf_ctor, 39, 19},	//550 KComponentData::KComponentData(const KAboutData&)
    {17, 316, 372, 1, Smoke::mf_ctor, 39, 20},	//551 KComponentData::KComponentData(const KAboutData*)
    {17, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 21},	//552 KComponentData::RegisterAsMainComponent (enum)
    {17, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 22},	//553 KComponentData::SkipMainComponentRegistration (enum)
    {17, 3412, 0, 0, Smoke::mf_dtor, 0, 23 },	//554 KComponentData::~KComponentData()
    {18, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//555 KCompositeJob::metaObject() const
    {18, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//556 KCompositeJob::qt_metacast(const char*)
    {18, 3179, 124, 2, Smoke::mf_static, 388, 3},	//557 KCompositeJob::tr(const char*, const char*)
    {18, 3186, 124, 2, Smoke::mf_static, 388, 4},	//558 KCompositeJob::trUtf8(const char*, const char*)
    {18, 3179, 127, 3, Smoke::mf_static, 388, 5},	//559 KCompositeJob::tr(const char*, const char*, int)
    {18, 3186, 127, 3, Smoke::mf_static, 388, 6},	//560 KCompositeJob::trUtf8(const char*, const char*, int)
    {18, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//561 KCompositeJob::qt_metacall(QMetaObject::Call, int, void**)
    {18, 321, 146, 1, Smoke::mf_ctor, 41, 8},	//562 KCompositeJob::KCompositeJob(QObject*)
    {18, 1011, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 9},	//563 KCompositeJob::addSubjob(KJob*)
    {18, 2477, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 10},	//564 KCompositeJob::removeSubjob(KJob*)
    {18, 1728, 0, 0, Smoke::mf_protected, 519, 11},	//565 KCompositeJob::hasSubjobs()
    {18, 3092, 0, 0, Smoke::mf_const|Smoke::mf_protected, 647, 12},	//566 KCompositeJob::subjobs() const
    {18, 1177, 0, 0, Smoke::mf_protected, 0, 13},	//567 KCompositeJob::clearSubjobs()
    {18, 2998, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//568 KCompositeJob::slotResult(KJob*)
    {18, 2996, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//569 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {18, 321, 451, 2, Smoke::mf_ctor|Smoke::mf_protected, 41, 16},	//570 KCompositeJob::KCompositeJob(KCompositeJobPrivate&, QObject*)
    {18, 3179, 122, 1, Smoke::mf_static, 388, 17},	//571 KCompositeJob::tr(const char*)
    {18, 3186, 122, 1, Smoke::mf_static, 388, 18},	//572 KCompositeJob::trUtf8(const char*)
    {18, 321, 0, 0, Smoke::mf_ctor, 41, 19},	//573 KCompositeJob::KCompositeJob()
    {18, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 20},	//574 KCompositeJob::staticMetaObject() const
    {18, 3413, 0, 0, Smoke::mf_dtor, 0, 21 },	//575 KCompositeJob::~KCompositeJob()
    {20, 324, 454, 3, Smoke::mf_ctor, 43, 1},	//576 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 324, 458, 4, Smoke::mf_ctor, 43, 2},	//577 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 324, 463, 3, Smoke::mf_ctor, 43, 3},	//578 KConfig::KConfig(const QString&, const QString&, const char*)
    {20, 1193, 0, 0, Smoke::mf_const, 536, 4},	//579 KConfig::componentData() const
    {20, 2131, 0, 0, Smoke::mf_const, 388, 5},	//580 KConfig::name() const
    {20, 3117, 0, 0, Smoke::mf_virtual, 0, 6},	//581 KConfig::sync()
    {20, 2076, 0, 0, Smoke::mf_virtual, 0, 7},	//582 KConfig::markAsClean()
    {20, 863, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 46, 8},	//583 KConfig::accessMode() const
    {20, 1821, 103, 1, 0, 519, 9},	//584 KConfig::isConfigWritable(bool)
    {20, 1222, 467, 2, Smoke::mf_const, 43, 10},	//585 KConfig::copyTo(const QString&, KConfig*) const
    {20, 1160, 95, 2, 0, 0, 11},	//586 KConfig::checkUpdate(const QString&, const QString&)
    {20, 2484, 0, 0, 0, 0, 12},	//587 KConfig::reparseConfiguration()
    {20, 889, 141, 1, 0, 0, 13},	//588 KConfig::addConfigSources(const QStringList&)
    {20, 2017, 0, 0, Smoke::mf_const, 388, 14},	//589 KConfig::locale() const
    {20, 2741, 30, 1, 0, 519, 15},	//590 KConfig::setLocale(const QString&)
    {20, 2897, 103, 1, 0, 0, 16},	//591 KConfig::setReadDefaults(bool)
    {20, 2398, 0, 0, Smoke::mf_const, 519, 17},	//592 KConfig::readDefaults() const
    {20, 1854, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 18},	//593 KConfig::isImmutable() const
    {20, 2693, 103, 1, 0, 0, 19},	//594 KConfig::setForceGlobal(bool)
    {20, 1602, 0, 0, Smoke::mf_const, 519, 20},	//595 KConfig::forceGlobal() const
    {20, 1688, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 393, 21},	//596 KConfig::groupList() const
    {20, 1448, 30, 1, Smoke::mf_const, 372, 22},	//597 KConfig::entryMap(const QString&) const
    {20, 1702, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 23},	//598 KConfig::hasGroupImpl(const QByteArray&) const
    {20, 1686, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 48, 24},	//599 KConfig::groupImpl(const QByteArray&)
    {20, 1686, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 540, 25},	//600 KConfig::groupImpl(const QByteArray&) const
    {20, 1369, 470, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//601 KConfig::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {20, 1848, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 27},	//602 KConfig::isGroupImmutableImpl(const QByteArray&) const
    {20, 324, 473, 1, Smoke::mf_ctor|Smoke::mf_protected, 43, 28},	//603 KConfig::KConfig(KConfigPrivate&)
    {20, 324, 0, 0, Smoke::mf_ctor, 43, 29},	//604 KConfig::KConfig()
    {20, 324, 30, 1, Smoke::mf_ctor, 43, 30},	//605 KConfig::KConfig(const QString&)
    {20, 324, 475, 2, Smoke::mf_ctor, 43, 31},	//606 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {20, 324, 430, 1, Smoke::mf_ctor, 43, 32},	//607 KConfig::KConfig(const KComponentData&)
    {20, 324, 478, 2, Smoke::mf_ctor, 43, 33},	//608 KConfig::KConfig(const KComponentData&, const QString&)
    {20, 324, 481, 3, Smoke::mf_ctor, 43, 34},	//609 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {20, 324, 95, 2, Smoke::mf_ctor, 43, 35},	//610 KConfig::KConfig(const QString&, const QString&)
    {20, 1222, 30, 1, Smoke::mf_const, 43, 36},	//611 KConfig::copyTo(const QString&) const
    {20, 1448, 0, 0, Smoke::mf_const, 372, 37},	//612 KConfig::entryMap() const
    {20, 1369, 32, 1, Smoke::mf_protected, 0, 38},	//613 KConfig::deleteGroupImpl(const QByteArray&)
    {20, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 39},	//614 KConfig::IncludeGlobals (enum)
    {20, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 40},	//615 KConfig::CascadeConfig (enum)
    {20, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 41},	//616 KConfig::SimpleConfig (enum)
    {20, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 42},	//617 KConfig::NoCascade (enum)
    {20, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 43},	//618 KConfig::NoGlobals (enum)
    {20, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 44},	//619 KConfig::FullConfig (enum)
    {20, 3414, 0, 0, Smoke::mf_dtor, 0, 45 },	//620 KConfig::~KConfig()
    {21, 1688, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 393, 1},	//621 KConfigBase::groupList() const [pure virtual]
    {21, 1699, 30, 1, Smoke::mf_const, 519, 2},	//622 KConfigBase::hasGroup(const QString&) const
    {21, 1699, 122, 1, Smoke::mf_const, 519, 3},	//623 KConfigBase::hasGroup(const char*) const
    {21, 1699, 32, 1, Smoke::mf_const, 519, 4},	//624 KConfigBase::hasGroup(const QByteArray&) const
    {21, 1681, 32, 1, 0, 48, 5},	//625 KConfigBase::group(const QByteArray&)
    {21, 1681, 30, 1, 0, 48, 6},	//626 KConfigBase::group(const QString&)
    {21, 1681, 122, 1, 0, 48, 7},	//627 KConfigBase::group(const char*)
    {21, 1681, 32, 1, Smoke::mf_const, 540, 8},	//628 KConfigBase::group(const QByteArray&) const
    {21, 1681, 30, 1, Smoke::mf_const, 540, 9},	//629 KConfigBase::group(const QString&) const
    {21, 1681, 122, 1, Smoke::mf_const, 540, 10},	//630 KConfigBase::group(const char*) const
    {21, 1364, 470, 2, 0, 0, 11},	//631 KConfigBase::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1364, 485, 2, 0, 0, 12},	//632 KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1364, 488, 2, 0, 0, 13},	//633 KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 3117, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//634 KConfigBase::sync() [pure virtual]
    {21, 2076, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//635 KConfigBase::markAsClean() [pure virtual]
    {21, 863, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 46, 16},	//636 KConfigBase::accessMode() const [pure virtual]
    {21, 1854, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 17},	//637 KConfigBase::isImmutable() const [pure virtual]
    {21, 1845, 32, 1, Smoke::mf_const, 519, 18},	//638 KConfigBase::isGroupImmutable(const QByteArray&) const
    {21, 1845, 30, 1, Smoke::mf_const, 519, 19},	//639 KConfigBase::isGroupImmutable(const QString&) const
    {21, 1845, 122, 1, Smoke::mf_const, 519, 20},	//640 KConfigBase::isGroupImmutable(const char*) const
    {21, 332, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 45, 21},	//641 KConfigBase::KConfigBase()
    {21, 1702, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 22},	//642 KConfigBase::hasGroupImpl(const QByteArray&) const [pure virtual]
    {21, 1686, 32, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 23},	//643 KConfigBase::groupImpl(const QByteArray&) [pure virtual]
    {21, 1686, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 540, 24},	//644 KConfigBase::groupImpl(const QByteArray&) const [pure virtual]
    {21, 1369, 470, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//645 KConfigBase::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>) [pure virtual]
    {21, 1848, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 26},	//646 KConfigBase::isGroupImmutableImpl(const QByteArray&) const [pure virtual]
    {21, 332, 491, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 27},	//647 KConfigBase::KConfigBase(const KConfigBase&)
    {21, 1364, 32, 1, 0, 0, 28},	//648 KConfigBase::deleteGroup(const QByteArray&)
    {21, 1364, 30, 1, 0, 0, 29},	//649 KConfigBase::deleteGroup(const QString&)
    {21, 1364, 122, 1, 0, 0, 30},	//650 KConfigBase::deleteGroup(const char*)
    {21, 1369, 32, 1, Smoke::mf_protected, 0, 31},	//651 KConfigBase::deleteGroupImpl(const QByteArray&)
    {21, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 32},	//652 KConfigBase::Persistent (enum)
    {21, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 33},	//653 KConfigBase::Global (enum)
    {21, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 34},	//654 KConfigBase::Localized (enum)
    {21, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 35},	//655 KConfigBase::Normal (enum)
    {21, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 36},	//656 KConfigBase::NoAccess (enum)
    {21, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 37},	//657 KConfigBase::ReadOnly (enum)
    {21, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 38},	//658 KConfigBase::ReadWrite (enum)
    {21, 3415, 0, 0, Smoke::mf_dtor, 0, 39 },	//659 KConfigBase::~KConfigBase()
    {22, 334, 0, 0, Smoke::mf_ctor, 50, 1},	//660 KConfigGroup::KConfigGroup()
    {22, 334, 493, 2, Smoke::mf_ctor, 50, 2},	//661 KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    {22, 334, 496, 2, Smoke::mf_ctor, 50, 3},	//662 KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    {22, 334, 499, 2, Smoke::mf_ctor, 50, 4},	//663 KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    {22, 334, 502, 2, Smoke::mf_ctor, 50, 5},	//664 KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    {22, 334, 505, 2, Smoke::mf_ctor, 50, 6},	//665 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    {22, 334, 508, 2, Smoke::mf_ctor, 50, 7},	//666 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    {22, 334, 511, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 8},	//667 KConfigGroup::KConfigGroup(const KConfigGroup&)
    {22, 2227, 511, 1, 0, 49, 9},	//668 KConfigGroup::operator=(const KConfigGroup&)
    {22, 1901, 0, 0, Smoke::mf_const, 519, 10},	//669 KConfigGroup::isValid() const
    {22, 2131, 0, 0, Smoke::mf_const, 388, 11},	//670 KConfigGroup::name() const
    {22, 1490, 0, 0, Smoke::mf_const, 519, 12},	//671 KConfigGroup::exists() const
    {22, 3117, 0, 0, Smoke::mf_virtual, 0, 13},	//672 KConfigGroup::sync()
    {22, 2076, 0, 0, Smoke::mf_virtual, 0, 14},	//673 KConfigGroup::markAsClean()
    {22, 863, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 46, 15},	//674 KConfigGroup::accessMode() const
    {22, 1198, 0, 0, 0, 43, 16},	//675 KConfigGroup::config()
    {22, 1198, 0, 0, Smoke::mf_const, 537, 17},	//676 KConfigGroup::config() const
    {22, 1147, 30, 1, 0, 0, 18},	//677 KConfigGroup::changeGroup(const QString&)
    {22, 1147, 122, 1, 0, 0, 19},	//678 KConfigGroup::changeGroup(const char*)
    {22, 1222, 513, 2, Smoke::mf_const, 0, 20},	//679 KConfigGroup::copyTo(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>) const
    {22, 2481, 513, 2, 0, 0, 21},	//680 KConfigGroup::reparent(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2265, 0, 0, Smoke::mf_const, 48, 22},	//681 KConfigGroup::parent() const
    {22, 1688, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 393, 23},	//682 KConfigGroup::groupList() const
    {22, 1955, 0, 0, Smoke::mf_const, 393, 24},	//683 KConfigGroup::keyList() const
    {22, 1364, 516, 1, 0, 0, 25},	//684 KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1364, 470, 2, 0, 0, 26},	//685 KConfigGroup::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1364, 485, 2, 0, 0, 27},	//686 KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1364, 488, 2, 0, 0, 28},	//687 KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2401, 100, 2, Smoke::mf_const, 412, 29},	//688 KConfigGroup::readEntry(const QString&, const QVariant&) const
    {22, 2401, 518, 2, Smoke::mf_const, 412, 30},	//689 KConfigGroup::readEntry(const char*, const QVariant&) const
    {22, 2401, 95, 2, Smoke::mf_const, 388, 31},	//690 KConfigGroup::readEntry(const QString&, const QString&) const
    {22, 2401, 521, 2, Smoke::mf_const, 388, 32},	//691 KConfigGroup::readEntry(const char*, const QString&) const
    {22, 2401, 524, 2, Smoke::mf_const, 388, 33},	//692 KConfigGroup::readEntry(const QString&, const char*) const
    {22, 2401, 124, 2, Smoke::mf_const, 388, 34},	//693 KConfigGroup::readEntry(const char*, const char*) const
    {22, 2401, 527, 2, Smoke::mf_const, 367, 35},	//694 KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    {22, 2401, 530, 2, Smoke::mf_const, 367, 36},	//695 KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    {22, 2401, 533, 2, Smoke::mf_const, 393, 37},	//696 KConfigGroup::readEntry(const QString&, const QStringList&) const
    {22, 2401, 536, 2, Smoke::mf_const, 393, 38},	//697 KConfigGroup::readEntry(const char*, const QStringList&) const
    {22, 2438, 533, 2, Smoke::mf_const, 393, 39},	//698 KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    {22, 2438, 536, 2, Smoke::mf_const, 393, 40},	//699 KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    {22, 2429, 95, 2, Smoke::mf_const, 388, 41},	//700 KConfigGroup::readPathEntry(const QString&, const QString&) const
    {22, 2429, 521, 2, Smoke::mf_const, 388, 42},	//701 KConfigGroup::readPathEntry(const char*, const QString&) const
    {22, 2429, 533, 2, Smoke::mf_const, 393, 43},	//702 KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    {22, 2429, 536, 2, Smoke::mf_const, 393, 44},	//703 KConfigGroup::readPathEntry(const char*, const QStringList&) const
    {22, 2406, 95, 2, Smoke::mf_const, 388, 45},	//704 KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    {22, 2406, 521, 2, Smoke::mf_const, 388, 46},	//705 KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    {22, 3340, 539, 3, 0, 0, 47},	//706 KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 543, 3, 0, 0, 48},	//707 KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 547, 3, 0, 0, 49},	//708 KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 551, 3, 0, 0, 50},	//709 KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 555, 3, 0, 0, 51},	//710 KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 559, 3, 0, 0, 52},	//711 KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 563, 3, 0, 0, 53},	//712 KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 567, 3, 0, 0, 54},	//713 KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 571, 3, 0, 0, 55},	//714 KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 575, 3, 0, 0, 56},	//715 KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 579, 3, 0, 0, 57},	//716 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 583, 3, 0, 0, 58},	//717 KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3354, 571, 3, 0, 0, 59},	//718 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3354, 575, 3, 0, 0, 60},	//719 KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3349, 547, 3, 0, 0, 61},	//720 KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3349, 551, 3, 0, 0, 62},	//721 KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3349, 571, 3, 0, 0, 63},	//722 KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3349, 575, 3, 0, 0, 64},	//723 KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1361, 485, 2, 0, 0, 65},	//724 KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1361, 488, 2, 0, 0, 66},	//725 KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1707, 30, 1, Smoke::mf_const, 519, 67},	//726 KConfigGroup::hasKey(const QString&) const
    {22, 1707, 122, 1, Smoke::mf_const, 519, 68},	//727 KConfigGroup::hasKey(const char*) const
    {22, 1854, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 69},	//728 KConfigGroup::isImmutable() const
    {22, 1838, 30, 1, Smoke::mf_const, 519, 70},	//729 KConfigGroup::isEntryImmutable(const QString&) const
    {22, 1838, 122, 1, Smoke::mf_const, 519, 71},	//730 KConfigGroup::isEntryImmutable(const char*) const
    {22, 2507, 30, 1, 0, 0, 72},	//731 KConfigGroup::revertToDefault(const QString&)
    {22, 2507, 122, 1, 0, 0, 73},	//732 KConfigGroup::revertToDefault(const char*)
    {22, 1696, 30, 1, Smoke::mf_const, 519, 74},	//733 KConfigGroup::hasDefault(const QString&) const
    {22, 1696, 122, 1, Smoke::mf_const, 519, 75},	//734 KConfigGroup::hasDefault(const char*) const
    {22, 1448, 0, 0, Smoke::mf_const, 372, 76},	//735 KConfigGroup::entryMap() const
    {22, 1702, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 77},	//736 KConfigGroup::hasGroupImpl(const QByteArray&) const
    {22, 1686, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 48, 78},	//737 KConfigGroup::groupImpl(const QByteArray&)
    {22, 1686, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 540, 79},	//738 KConfigGroup::groupImpl(const QByteArray&) const
    {22, 1369, 470, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//739 KConfigGroup::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1848, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 81},	//740 KConfigGroup::isGroupImmutableImpl(const QByteArray&) const
    {22, 1222, 587, 1, Smoke::mf_const, 0, 82},	//741 KConfigGroup::copyTo(KConfigBase*) const
    {22, 2481, 587, 1, 0, 0, 83},	//742 KConfigGroup::reparent(KConfigBase*)
    {22, 1364, 0, 0, 0, 0, 84},	//743 KConfigGroup::deleteGroup()
    {22, 1364, 32, 1, 0, 0, 85},	//744 KConfigGroup::deleteGroup(const QByteArray&)
    {22, 1364, 30, 1, 0, 0, 86},	//745 KConfigGroup::deleteGroup(const QString&)
    {22, 1364, 122, 1, 0, 0, 87},	//746 KConfigGroup::deleteGroup(const char*)
    {22, 2401, 30, 1, Smoke::mf_const, 388, 88},	//747 KConfigGroup::readEntry(const QString&) const
    {22, 2401, 122, 1, Smoke::mf_const, 388, 89},	//748 KConfigGroup::readEntry(const char*) const
    {22, 2438, 30, 1, Smoke::mf_const, 393, 90},	//749 KConfigGroup::readXdgListEntry(const QString&) const
    {22, 2438, 122, 1, Smoke::mf_const, 393, 91},	//750 KConfigGroup::readXdgListEntry(const char*) const
    {22, 2406, 30, 1, Smoke::mf_const, 388, 92},	//751 KConfigGroup::readEntryUntranslated(const QString&) const
    {22, 2406, 122, 1, Smoke::mf_const, 388, 93},	//752 KConfigGroup::readEntryUntranslated(const char*) const
    {22, 3340, 100, 2, 0, 0, 94},	//753 KConfigGroup::writeEntry(const QString&, const QVariant&)
    {22, 3340, 518, 2, 0, 0, 95},	//754 KConfigGroup::writeEntry(const char*, const QVariant&)
    {22, 3340, 95, 2, 0, 0, 96},	//755 KConfigGroup::writeEntry(const QString&, const QString&)
    {22, 3340, 521, 2, 0, 0, 97},	//756 KConfigGroup::writeEntry(const char*, const QString&)
    {22, 3340, 589, 2, 0, 0, 98},	//757 KConfigGroup::writeEntry(const QString&, const QByteArray&)
    {22, 3340, 592, 2, 0, 0, 99},	//758 KConfigGroup::writeEntry(const char*, const QByteArray&)
    {22, 3340, 524, 2, 0, 0, 100},	//759 KConfigGroup::writeEntry(const QString&, const char*)
    {22, 3340, 124, 2, 0, 0, 101},	//760 KConfigGroup::writeEntry(const char*, const char*)
    {22, 3340, 533, 2, 0, 0, 102},	//761 KConfigGroup::writeEntry(const QString&, const QStringList&)
    {22, 3340, 536, 2, 0, 0, 103},	//762 KConfigGroup::writeEntry(const char*, const QStringList&)
    {22, 3340, 527, 2, 0, 0, 104},	//763 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    {22, 3340, 530, 2, 0, 0, 105},	//764 KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    {22, 3354, 533, 2, 0, 0, 106},	//765 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    {22, 3354, 536, 2, 0, 0, 107},	//766 KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    {22, 3349, 95, 2, 0, 0, 108},	//767 KConfigGroup::writePathEntry(const QString&, const QString&)
    {22, 3349, 521, 2, 0, 0, 109},	//768 KConfigGroup::writePathEntry(const char*, const QString&)
    {22, 3349, 533, 2, 0, 0, 110},	//769 KConfigGroup::writePathEntry(const QString&, const QStringList&)
    {22, 3349, 536, 2, 0, 0, 111},	//770 KConfigGroup::writePathEntry(const char*, const QStringList&)
    {22, 1361, 30, 1, 0, 0, 112},	//771 KConfigGroup::deleteEntry(const QString&)
    {22, 1361, 122, 1, 0, 0, 113},	//772 KConfigGroup::deleteEntry(const char*)
    {22, 3416, 0, 0, Smoke::mf_dtor, 0, 114 },	//773 KConfigGroup::~KConfigGroup()
    {24, 338, 95, 2, Smoke::mf_ctor, 52, 1},	//774 KConfigSkeletonItem::KConfigSkeletonItem(const QString&, const QString&)
    {24, 2699, 30, 1, 0, 0, 2},	//775 KConfigSkeletonItem::setGroup(const QString&)
    {24, 1681, 0, 0, Smoke::mf_const, 388, 3},	//776 KConfigSkeletonItem::group() const
    {24, 2719, 30, 1, 0, 0, 4},	//777 KConfigSkeletonItem::setKey(const QString&)
    {24, 1954, 0, 0, Smoke::mf_const, 388, 5},	//778 KConfigSkeletonItem::key() const
    {24, 2831, 30, 1, 0, 0, 6},	//779 KConfigSkeletonItem::setName(const QString&)
    {24, 2131, 0, 0, Smoke::mf_const, 388, 7},	//780 KConfigSkeletonItem::name() const
    {24, 2721, 30, 1, 0, 0, 8},	//781 KConfigSkeletonItem::setLabel(const QString&)
    {24, 1973, 0, 0, Smoke::mf_const, 388, 9},	//782 KConfigSkeletonItem::label() const
    {24, 2944, 30, 1, 0, 0, 10},	//783 KConfigSkeletonItem::setToolTip(const QString&)
    {24, 3175, 0, 0, Smoke::mf_const, 388, 11},	//784 KConfigSkeletonItem::toolTip() const
    {24, 2970, 30, 1, 0, 0, 12},	//785 KConfigSkeletonItem::setWhatsThis(const QString&)
    {24, 3329, 0, 0, Smoke::mf_const, 388, 13},	//786 KConfigSkeletonItem::whatsThis() const
    {24, 2387, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//787 KConfigSkeletonItem::readConfig(KConfig*) [pure virtual]
    {24, 3336, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//788 KConfigSkeletonItem::writeConfig(KConfig*) [pure virtual]
    {24, 2396, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//789 KConfigSkeletonItem::readDefault(KConfig*) [pure virtual]
    {24, 2891, 34, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//790 KConfigSkeletonItem::setProperty(const QVariant&) [pure virtual]
    {24, 1840, 34, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 18},	//791 KConfigSkeletonItem::isEqual(const QVariant&) const [pure virtual]
    {24, 2330, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 412, 19},	//792 KConfigSkeletonItem::property() const [pure virtual]
    {24, 2094, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 412, 20},	//793 KConfigSkeletonItem::minValue() const
    {24, 2084, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 412, 21},	//794 KConfigSkeletonItem::maxValue() const
    {24, 2647, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//795 KConfigSkeletonItem::setDefault() [pure virtual]
    {24, 3114, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//796 KConfigSkeletonItem::swapDefault() [pure virtual]
    {24, 1854, 0, 0, Smoke::mf_const, 519, 24},	//797 KConfigSkeletonItem::isImmutable() const
    {24, 2413, 511, 1, Smoke::mf_protected, 0, 25},	//798 KConfigSkeletonItem::readImmutability(const KConfigGroup&)
    {24, 338, 597, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 26},	//799 KConfigSkeletonItem::KConfigSkeletonItem(const KConfigSkeletonItem&)
    {24, 2040, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 27},	//800 KConfigSkeletonItem::mGroup() const
    {24, 2745, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//801 KConfigSkeletonItem::setMGroup(const QString&)
    {24, 2041, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 29},	//802 KConfigSkeletonItem::mKey() const
    {24, 2747, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//803 KConfigSkeletonItem::setMKey(const QString&)
    {24, 2042, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 31},	//804 KConfigSkeletonItem::mName() const
    {24, 2749, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//805 KConfigSkeletonItem::setMName(const QString&)
    {24, 3417, 0, 0, Smoke::mf_dtor, 0, 33 },	//806 KConfigSkeletonItem::~KConfigSkeletonItem()
    {25, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//807 KCoreConfigSkeleton::metaObject() const
    {25, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//808 KCoreConfigSkeleton::qt_metacast(const char*)
    {25, 3179, 124, 2, Smoke::mf_static, 388, 3},	//809 KCoreConfigSkeleton::tr(const char*, const char*)
    {25, 3186, 124, 2, Smoke::mf_static, 388, 4},	//810 KCoreConfigSkeleton::trUtf8(const char*, const char*)
    {25, 3179, 127, 3, Smoke::mf_static, 388, 5},	//811 KCoreConfigSkeleton::tr(const char*, const char*, int)
    {25, 3186, 127, 3, Smoke::mf_static, 388, 6},	//812 KCoreConfigSkeleton::trUtf8(const char*, const char*, int)
    {25, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//813 KCoreConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {25, 341, 155, 2, Smoke::mf_ctor, 53, 8},	//814 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&, QObject*)
    {25, 341, 599, 2, Smoke::mf_ctor, 53, 9},	//815 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>, QObject*)
    {25, 2652, 0, 0, Smoke::mf_virtual, 0, 10},	//816 KCoreConfigSkeleton::setDefaults()
    {25, 2387, 0, 0, Smoke::mf_virtual, 0, 11},	//817 KCoreConfigSkeleton::readConfig()
    {25, 3336, 0, 0, Smoke::mf_virtual, 0, 12},	//818 KCoreConfigSkeleton::writeConfig()
    {25, 2612, 30, 1, 0, 0, 13},	//819 KCoreConfigSkeleton::setCurrentGroup(const QString&)
    {25, 1263, 0, 0, Smoke::mf_const, 388, 14},	//820 KCoreConfigSkeleton::currentGroup() const
    {25, 908, 602, 2, 0, 0, 15},	//821 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*, const QString&)
    {25, 963, 605, 4, 0, 70, 16},	//822 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&, const QString&)
    {25, 939, 605, 4, 0, 63, 17},	//823 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&, const QString&)
    {25, 943, 605, 4, 0, 64, 18},	//824 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&, const QString&)
    {25, 951, 610, 4, 0, 67, 19},	//825 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&, const QString&)
    {25, 911, 615, 4, 0, 54, 20},	//826 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool, const QString&)
    {25, 923, 620, 4, 0, 60, 21},	//827 KCoreConfigSkeleton::addItemInt(const QString&, int&, int, const QString&)
    {25, 971, 625, 4, 0, 73, 22},	//828 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int, const QString&)
    {25, 935, 630, 4, 0, 62, 23},	//829 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long, const QString&)
    {25, 927, 630, 4, 0, 62, 24},	//830 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long, const QString&)
    {25, 979, 635, 4, 0, 74, 25},	//831 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 975, 635, 4, 0, 74, 26},	//832 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 919, 640, 4, 0, 56, 27},	//833 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double, const QString&)
    {25, 955, 645, 4, 0, 68, 28},	//834 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&, const QString&)
    {25, 947, 650, 4, 0, 66, 29},	//835 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&, const QString&)
    {25, 959, 655, 4, 0, 69, 30},	//836 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&, const QString&)
    {25, 915, 660, 4, 0, 55, 31},	//837 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&, const QString&)
    {25, 967, 665, 4, 0, 72, 32},	//838 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&, const QString&)
    {25, 931, 670, 4, 0, 61, 33},	//839 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&, const QString&)
    {25, 1198, 0, 0, 0, 43, 34},	//840 KCoreConfigSkeleton::config()
    {25, 1198, 0, 0, Smoke::mf_const, 537, 35},	//841 KCoreConfigSkeleton::config() const
    {25, 2907, 675, 1, 0, 0, 36},	//842 KCoreConfigSkeleton::setSharedConfig(KSharedPtr<KSharedConfig>)
    {25, 1912, 0, 0, Smoke::mf_const, 345, 37},	//843 KCoreConfigSkeleton::items() const
    {25, 1854, 30, 1, 0, 519, 38},	//844 KCoreConfigSkeleton::isImmutable(const QString&)
    {25, 1854, 30, 1, Smoke::mf_const, 519, 39},	//845 KCoreConfigSkeleton::isImmutable(const QString&) const
    {25, 1580, 30, 1, 0, 52, 40},	//846 KCoreConfigSkeleton::findItem(const QString&)
    {25, 1580, 30, 1, Smoke::mf_const, 52, 41},	//847 KCoreConfigSkeleton::findItem(const QString&) const
    {25, 3254, 103, 1, Smoke::mf_virtual, 519, 42},	//848 KCoreConfigSkeleton::useDefaults(bool)
    {25, 1200, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//849 KCoreConfigSkeleton::configChanged()
    {25, 3265, 103, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 44},	//850 KCoreConfigSkeleton::usrUseDefaults(bool)
    {25, 3264, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//851 KCoreConfigSkeleton::usrSetDefaults()
    {25, 3263, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//852 KCoreConfigSkeleton::usrReadConfig()
    {25, 3267, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//853 KCoreConfigSkeleton::usrWriteConfig()
    {25, 3179, 122, 1, Smoke::mf_static, 388, 48},	//854 KCoreConfigSkeleton::tr(const char*)
    {25, 3186, 122, 1, Smoke::mf_static, 388, 49},	//855 KCoreConfigSkeleton::trUtf8(const char*)
    {25, 341, 0, 0, Smoke::mf_ctor, 53, 50},	//856 KCoreConfigSkeleton::KCoreConfigSkeleton()
    {25, 341, 30, 1, Smoke::mf_ctor, 53, 51},	//857 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&)
    {25, 341, 675, 1, Smoke::mf_ctor, 53, 52},	//858 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>)
    {25, 908, 677, 1, 0, 0, 53},	//859 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*)
    {25, 963, 679, 2, 0, 70, 54},	//860 KCoreConfigSkeleton::addItemString(const QString&, QString&)
    {25, 963, 682, 3, 0, 70, 55},	//861 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&)
    {25, 939, 679, 2, 0, 63, 56},	//862 KCoreConfigSkeleton::addItemPassword(const QString&, QString&)
    {25, 939, 682, 3, 0, 63, 57},	//863 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&)
    {25, 943, 679, 2, 0, 64, 58},	//864 KCoreConfigSkeleton::addItemPath(const QString&, QString&)
    {25, 943, 682, 3, 0, 64, 59},	//865 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&)
    {25, 951, 686, 2, 0, 67, 60},	//866 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&)
    {25, 951, 689, 3, 0, 67, 61},	//867 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&)
    {25, 911, 351, 2, 0, 54, 62},	//868 KCoreConfigSkeleton::addItemBool(const QString&, bool&)
    {25, 911, 693, 3, 0, 54, 63},	//869 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool)
    {25, 923, 260, 2, 0, 60, 64},	//870 KCoreConfigSkeleton::addItemInt(const QString&, int&)
    {25, 923, 697, 3, 0, 60, 65},	//871 KCoreConfigSkeleton::addItemInt(const QString&, int&, int)
    {25, 971, 701, 2, 0, 73, 66},	//872 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&)
    {25, 971, 704, 3, 0, 73, 67},	//873 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int)
    {25, 935, 708, 2, 0, 62, 68},	//874 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&)
    {25, 935, 711, 3, 0, 62, 69},	//875 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long)
    {25, 927, 708, 2, 0, 62, 70},	//876 KCoreConfigSkeleton::addItemInt64(const QString&, long long&)
    {25, 927, 711, 3, 0, 62, 71},	//877 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long)
    {25, 979, 715, 2, 0, 74, 72},	//878 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&)
    {25, 979, 718, 3, 0, 74, 73},	//879 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long)
    {25, 975, 715, 2, 0, 74, 74},	//880 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&)
    {25, 975, 718, 3, 0, 74, 75},	//881 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long)
    {25, 919, 722, 2, 0, 56, 76},	//882 KCoreConfigSkeleton::addItemDouble(const QString&, double&)
    {25, 919, 725, 3, 0, 56, 77},	//883 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double)
    {25, 955, 729, 2, 0, 68, 78},	//884 KCoreConfigSkeleton::addItemRect(const QString&, QRect&)
    {25, 955, 732, 3, 0, 68, 79},	//885 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&)
    {25, 947, 736, 2, 0, 66, 80},	//886 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&)
    {25, 947, 739, 3, 0, 66, 81},	//887 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&)
    {25, 959, 743, 2, 0, 69, 82},	//888 KCoreConfigSkeleton::addItemSize(const QString&, QSize&)
    {25, 959, 746, 3, 0, 69, 83},	//889 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&)
    {25, 915, 750, 2, 0, 55, 84},	//890 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&)
    {25, 915, 753, 3, 0, 55, 85},	//891 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&)
    {25, 967, 757, 2, 0, 72, 86},	//892 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&)
    {25, 967, 760, 3, 0, 72, 87},	//893 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&)
    {25, 931, 764, 2, 0, 61, 88},	//894 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&)
    {25, 931, 767, 3, 0, 61, 89},	//895 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&)
    {25, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 90},	//896 KCoreConfigSkeleton::staticMetaObject() const
    {25, 3418, 0, 0, Smoke::mf_dtor, 0, 91 },	//897 KCoreConfigSkeleton::~KCoreConfigSkeleton()
    {26, 190, 771, 4, Smoke::mf_ctor, 54, 1},	//898 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&, bool)
    {26, 2387, 595, 1, 0, 0, 2},	//899 KCoreConfigSkeleton::ItemBool::readConfig(KConfig*)
    {26, 2891, 34, 1, 0, 0, 3},	//900 KCoreConfigSkeleton::ItemBool::setProperty(const QVariant&)
    {26, 1840, 34, 1, Smoke::mf_const, 519, 4},	//901 KCoreConfigSkeleton::ItemBool::isEqual(const QVariant&) const
    {26, 2330, 0, 0, Smoke::mf_const, 412, 5},	//902 KCoreConfigSkeleton::ItemBool::property() const
    {26, 190, 776, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 6},	//903 KCoreConfigSkeleton::ItemBool::ItemBool(const KCoreConfigSkeleton::ItemBool&)
    {26, 190, 778, 3, Smoke::mf_ctor, 54, 7},	//904 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&)
    {26, 3382, 0, 0, Smoke::mf_dtor, 0, 8 },	//905 KCoreConfigSkeleton::ItemBool::~ItemBool()
    {27, 194, 782, 4, Smoke::mf_ctor, 55, 1},	//906 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&, const QDateTime&)
    {27, 2387, 595, 1, 0, 0, 2},	//907 KCoreConfigSkeleton::ItemDateTime::readConfig(KConfig*)
    {27, 2891, 34, 1, 0, 0, 3},	//908 KCoreConfigSkeleton::ItemDateTime::setProperty(const QVariant&)
    {27, 1840, 34, 1, Smoke::mf_const, 519, 4},	//909 KCoreConfigSkeleton::ItemDateTime::isEqual(const QVariant&) const
    {27, 2330, 0, 0, Smoke::mf_const, 412, 5},	//910 KCoreConfigSkeleton::ItemDateTime::property() const
    {27, 194, 787, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 6},	//911 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const KCoreConfigSkeleton::ItemDateTime&)
    {27, 194, 789, 3, Smoke::mf_ctor, 55, 7},	//912 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&)
    {27, 3383, 0, 0, Smoke::mf_dtor, 0, 8 },	//913 KCoreConfigSkeleton::ItemDateTime::~ItemDateTime()
    {28, 198, 793, 4, Smoke::mf_ctor, 56, 1},	//914 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&, double)
    {28, 2387, 595, 1, 0, 0, 2},	//915 KCoreConfigSkeleton::ItemDouble::readConfig(KConfig*)
    {28, 2891, 34, 1, 0, 0, 3},	//916 KCoreConfigSkeleton::ItemDouble::setProperty(const QVariant&)
    {28, 1840, 34, 1, Smoke::mf_const, 519, 4},	//917 KCoreConfigSkeleton::ItemDouble::isEqual(const QVariant&) const
    {28, 2330, 0, 0, Smoke::mf_const, 412, 5},	//918 KCoreConfigSkeleton::ItemDouble::property() const
    {28, 2094, 0, 0, Smoke::mf_const, 412, 6},	//919 KCoreConfigSkeleton::ItemDouble::minValue() const
    {28, 2084, 0, 0, Smoke::mf_const, 412, 7},	//920 KCoreConfigSkeleton::ItemDouble::maxValue() const
    {28, 2819, 798, 1, 0, 0, 8},	//921 KCoreConfigSkeleton::ItemDouble::setMinValue(double)
    {28, 2811, 798, 1, 0, 0, 9},	//922 KCoreConfigSkeleton::ItemDouble::setMaxValue(double)
    {28, 198, 800, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 10},	//923 KCoreConfigSkeleton::ItemDouble::ItemDouble(const KCoreConfigSkeleton::ItemDouble&)
    {28, 198, 802, 3, Smoke::mf_ctor, 56, 11},	//924 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&)
    {28, 3384, 0, 0, Smoke::mf_dtor, 0, 12 },	//925 KCoreConfigSkeleton::ItemDouble::~ItemDouble()
    {29, 202, 806, 5, Smoke::mf_ctor, 57, 1},	//926 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    {29, 202, 812, 5, Smoke::mf_ctor, 57, 2},	//927 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    {29, 1170, 0, 0, Smoke::mf_const, 347, 3},	//928 KCoreConfigSkeleton::ItemEnum::choices() const
    {29, 1171, 0, 0, Smoke::mf_const, 346, 4},	//929 KCoreConfigSkeleton::ItemEnum::choices2() const
    {29, 2387, 595, 1, 0, 0, 5},	//930 KCoreConfigSkeleton::ItemEnum::readConfig(KConfig*)
    {29, 3336, 595, 1, 0, 0, 6},	//931 KCoreConfigSkeleton::ItemEnum::writeConfig(KConfig*)
    {29, 202, 818, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 7},	//932 KCoreConfigSkeleton::ItemEnum::ItemEnum(const KCoreConfigSkeleton::ItemEnum&)
    {29, 202, 820, 4, Smoke::mf_ctor, 57, 8},	//933 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    {29, 202, 825, 4, Smoke::mf_ctor, 57, 9},	//934 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    {29, 3385, 0, 0, Smoke::mf_dtor, 0, 10 },	//935 KCoreConfigSkeleton::ItemEnum::~ItemEnum()
    {30, 56, 0, 0, Smoke::mf_ctor, 58, 1},	//936 KCoreConfigSkeleton::ItemEnum::Choice::Choice()
    {30, 56, 830, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//937 KCoreConfigSkeleton::ItemEnum::Choice::Choice(const KCoreConfigSkeleton::ItemEnum::Choice&)
    {30, 2131, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 3},	//938 KCoreConfigSkeleton::ItemEnum::Choice::name() const
    {30, 2831, 30, 1, Smoke::mf_attribute, 0, 4},	//939 KCoreConfigSkeleton::ItemEnum::Choice::setName(const QString&)
    {30, 1973, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 5},	//940 KCoreConfigSkeleton::ItemEnum::Choice::label() const
    {30, 2721, 30, 1, Smoke::mf_attribute, 0, 6},	//941 KCoreConfigSkeleton::ItemEnum::Choice::setLabel(const QString&)
    {30, 3329, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 7},	//942 KCoreConfigSkeleton::ItemEnum::Choice::whatsThis() const
    {30, 2970, 30, 1, Smoke::mf_attribute, 0, 8},	//943 KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis(const QString&)
    {30, 3379, 0, 0, Smoke::mf_dtor, 0, 9 },	//944 KCoreConfigSkeleton::ItemEnum::Choice::~Choice()
    {31, 58, 0, 0, Smoke::mf_ctor, 59, 1},	//945 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2()
    {31, 58, 832, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 2},	//946 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2(const KCoreConfigSkeleton::ItemEnum::Choice2&)
    {31, 2131, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 3},	//947 KCoreConfigSkeleton::ItemEnum::Choice2::name() const
    {31, 2831, 30, 1, Smoke::mf_attribute, 0, 4},	//948 KCoreConfigSkeleton::ItemEnum::Choice2::setName(const QString&)
    {31, 1973, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 5},	//949 KCoreConfigSkeleton::ItemEnum::Choice2::label() const
    {31, 2721, 30, 1, Smoke::mf_attribute, 0, 6},	//950 KCoreConfigSkeleton::ItemEnum::Choice2::setLabel(const QString&)
    {31, 3175, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 7},	//951 KCoreConfigSkeleton::ItemEnum::Choice2::toolTip() const
    {31, 2944, 30, 1, Smoke::mf_attribute, 0, 8},	//952 KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip(const QString&)
    {31, 3329, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 9},	//953 KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis() const
    {31, 2970, 30, 1, Smoke::mf_attribute, 0, 10},	//954 KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis(const QString&)
    {31, 3380, 0, 0, Smoke::mf_dtor, 0, 11 },	//955 KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2()
    {32, 206, 834, 4, Smoke::mf_ctor, 60, 1},	//956 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&, int)
    {32, 2387, 595, 1, 0, 0, 2},	//957 KCoreConfigSkeleton::ItemInt::readConfig(KConfig*)
    {32, 2891, 34, 1, 0, 0, 3},	//958 KCoreConfigSkeleton::ItemInt::setProperty(const QVariant&)
    {32, 1840, 34, 1, Smoke::mf_const, 519, 4},	//959 KCoreConfigSkeleton::ItemInt::isEqual(const QVariant&) const
    {32, 2330, 0, 0, Smoke::mf_const, 412, 5},	//960 KCoreConfigSkeleton::ItemInt::property() const
    {32, 2094, 0, 0, Smoke::mf_const, 412, 6},	//961 KCoreConfigSkeleton::ItemInt::minValue() const
    {32, 2084, 0, 0, Smoke::mf_const, 412, 7},	//962 KCoreConfigSkeleton::ItemInt::maxValue() const
    {32, 2819, 118, 1, 0, 0, 8},	//963 KCoreConfigSkeleton::ItemInt::setMinValue(int)
    {32, 2811, 118, 1, 0, 0, 9},	//964 KCoreConfigSkeleton::ItemInt::setMaxValue(int)
    {32, 206, 839, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 10},	//965 KCoreConfigSkeleton::ItemInt::ItemInt(const KCoreConfigSkeleton::ItemInt&)
    {32, 206, 841, 3, Smoke::mf_ctor, 60, 11},	//966 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&)
    {32, 3386, 0, 0, Smoke::mf_dtor, 0, 12 },	//967 KCoreConfigSkeleton::ItemInt::~ItemInt()
    {33, 210, 845, 4, Smoke::mf_ctor, 61, 1},	//968 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&, const QList<int>&)
    {33, 2387, 595, 1, 0, 0, 2},	//969 KCoreConfigSkeleton::ItemIntList::readConfig(KConfig*)
    {33, 2891, 34, 1, 0, 0, 3},	//970 KCoreConfigSkeleton::ItemIntList::setProperty(const QVariant&)
    {33, 1840, 34, 1, Smoke::mf_const, 519, 4},	//971 KCoreConfigSkeleton::ItemIntList::isEqual(const QVariant&) const
    {33, 2330, 0, 0, Smoke::mf_const, 412, 5},	//972 KCoreConfigSkeleton::ItemIntList::property() const
    {33, 210, 850, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 6},	//973 KCoreConfigSkeleton::ItemIntList::ItemIntList(const KCoreConfigSkeleton::ItemIntList&)
    {33, 210, 852, 3, Smoke::mf_ctor, 61, 7},	//974 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&)
    {33, 3387, 0, 0, Smoke::mf_dtor, 0, 8 },	//975 KCoreConfigSkeleton::ItemIntList::~ItemIntList()
    {34, 214, 856, 4, Smoke::mf_ctor, 62, 1},	//976 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&, long long)
    {34, 2387, 595, 1, 0, 0, 2},	//977 KCoreConfigSkeleton::ItemLongLong::readConfig(KConfig*)
    {34, 2891, 34, 1, 0, 0, 3},	//978 KCoreConfigSkeleton::ItemLongLong::setProperty(const QVariant&)
    {34, 1840, 34, 1, Smoke::mf_const, 519, 4},	//979 KCoreConfigSkeleton::ItemLongLong::isEqual(const QVariant&) const
    {34, 2330, 0, 0, Smoke::mf_const, 412, 5},	//980 KCoreConfigSkeleton::ItemLongLong::property() const
    {34, 2094, 0, 0, Smoke::mf_const, 412, 6},	//981 KCoreConfigSkeleton::ItemLongLong::minValue() const
    {34, 2084, 0, 0, Smoke::mf_const, 412, 7},	//982 KCoreConfigSkeleton::ItemLongLong::maxValue() const
    {34, 2819, 861, 1, 0, 0, 8},	//983 KCoreConfigSkeleton::ItemLongLong::setMinValue(long long)
    {34, 2811, 861, 1, 0, 0, 9},	//984 KCoreConfigSkeleton::ItemLongLong::setMaxValue(long long)
    {34, 214, 863, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 10},	//985 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const KCoreConfigSkeleton::ItemLongLong&)
    {34, 214, 865, 3, Smoke::mf_ctor, 62, 11},	//986 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&)
    {34, 3388, 0, 0, Smoke::mf_dtor, 0, 12 },	//987 KCoreConfigSkeleton::ItemLongLong::~ItemLongLong()
    {35, 218, 869, 4, Smoke::mf_ctor, 63, 1},	//988 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&, const QString&)
    {35, 218, 874, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//989 KCoreConfigSkeleton::ItemPassword::ItemPassword(const KCoreConfigSkeleton::ItemPassword&)
    {35, 218, 876, 3, Smoke::mf_ctor, 63, 3},	//990 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&)
    {35, 3389, 0, 0, Smoke::mf_dtor, 0, 4 },	//991 KCoreConfigSkeleton::ItemPassword::~ItemPassword()
    {36, 222, 869, 4, Smoke::mf_ctor, 64, 1},	//992 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&, const QString&)
    {36, 222, 880, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//993 KCoreConfigSkeleton::ItemPath::ItemPath(const KCoreConfigSkeleton::ItemPath&)
    {36, 222, 876, 3, Smoke::mf_ctor, 64, 3},	//994 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&)
    {36, 3390, 0, 0, Smoke::mf_dtor, 0, 4 },	//995 KCoreConfigSkeleton::ItemPath::~ItemPath()
    {37, 226, 882, 4, Smoke::mf_ctor, 65, 1},	//996 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&, const QStringList&)
    {37, 2387, 595, 1, 0, 0, 2},	//997 KCoreConfigSkeleton::ItemPathList::readConfig(KConfig*)
    {37, 3336, 595, 1, 0, 0, 3},	//998 KCoreConfigSkeleton::ItemPathList::writeConfig(KConfig*)
    {37, 226, 887, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 4},	//999 KCoreConfigSkeleton::ItemPathList::ItemPathList(const KCoreConfigSkeleton::ItemPathList&)
    {37, 226, 889, 3, Smoke::mf_ctor, 65, 5},	//1000 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&)
    {37, 3391, 0, 0, Smoke::mf_dtor, 0, 6 },	//1001 KCoreConfigSkeleton::ItemPathList::~ItemPathList()
    {38, 230, 893, 4, Smoke::mf_ctor, 66, 1},	//1002 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&, const QPoint&)
    {38, 2387, 595, 1, 0, 0, 2},	//1003 KCoreConfigSkeleton::ItemPoint::readConfig(KConfig*)
    {38, 2891, 34, 1, 0, 0, 3},	//1004 KCoreConfigSkeleton::ItemPoint::setProperty(const QVariant&)
    {38, 1840, 34, 1, Smoke::mf_const, 519, 4},	//1005 KCoreConfigSkeleton::ItemPoint::isEqual(const QVariant&) const
    {38, 2330, 0, 0, Smoke::mf_const, 412, 5},	//1006 KCoreConfigSkeleton::ItemPoint::property() const
    {38, 230, 898, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//1007 KCoreConfigSkeleton::ItemPoint::ItemPoint(const KCoreConfigSkeleton::ItemPoint&)
    {38, 230, 900, 3, Smoke::mf_ctor, 66, 7},	//1008 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&)
    {38, 3392, 0, 0, Smoke::mf_dtor, 0, 8 },	//1009 KCoreConfigSkeleton::ItemPoint::~ItemPoint()
    {39, 234, 904, 4, Smoke::mf_ctor, 67, 1},	//1010 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&, const QVariant&)
    {39, 2387, 595, 1, 0, 0, 2},	//1011 KCoreConfigSkeleton::ItemProperty::readConfig(KConfig*)
    {39, 2891, 34, 1, 0, 0, 3},	//1012 KCoreConfigSkeleton::ItemProperty::setProperty(const QVariant&)
    {39, 1840, 34, 1, Smoke::mf_const, 519, 4},	//1013 KCoreConfigSkeleton::ItemProperty::isEqual(const QVariant&) const
    {39, 2330, 0, 0, Smoke::mf_const, 412, 5},	//1014 KCoreConfigSkeleton::ItemProperty::property() const
    {39, 234, 909, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 6},	//1015 KCoreConfigSkeleton::ItemProperty::ItemProperty(const KCoreConfigSkeleton::ItemProperty&)
    {39, 234, 911, 3, Smoke::mf_ctor, 67, 7},	//1016 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&)
    {39, 3393, 0, 0, Smoke::mf_dtor, 0, 8 },	//1017 KCoreConfigSkeleton::ItemProperty::~ItemProperty()
    {40, 238, 915, 4, Smoke::mf_ctor, 68, 1},	//1018 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&, const QRect&)
    {40, 2387, 595, 1, 0, 0, 2},	//1019 KCoreConfigSkeleton::ItemRect::readConfig(KConfig*)
    {40, 2891, 34, 1, 0, 0, 3},	//1020 KCoreConfigSkeleton::ItemRect::setProperty(const QVariant&)
    {40, 1840, 34, 1, Smoke::mf_const, 519, 4},	//1021 KCoreConfigSkeleton::ItemRect::isEqual(const QVariant&) const
    {40, 2330, 0, 0, Smoke::mf_const, 412, 5},	//1022 KCoreConfigSkeleton::ItemRect::property() const
    {40, 238, 920, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 6},	//1023 KCoreConfigSkeleton::ItemRect::ItemRect(const KCoreConfigSkeleton::ItemRect&)
    {40, 238, 922, 3, Smoke::mf_ctor, 68, 7},	//1024 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&)
    {40, 3394, 0, 0, Smoke::mf_dtor, 0, 8 },	//1025 KCoreConfigSkeleton::ItemRect::~ItemRect()
    {41, 242, 926, 4, Smoke::mf_ctor, 69, 1},	//1026 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&, const QSize&)
    {41, 2387, 595, 1, 0, 0, 2},	//1027 KCoreConfigSkeleton::ItemSize::readConfig(KConfig*)
    {41, 2891, 34, 1, 0, 0, 3},	//1028 KCoreConfigSkeleton::ItemSize::setProperty(const QVariant&)
    {41, 1840, 34, 1, Smoke::mf_const, 519, 4},	//1029 KCoreConfigSkeleton::ItemSize::isEqual(const QVariant&) const
    {41, 2330, 0, 0, Smoke::mf_const, 412, 5},	//1030 KCoreConfigSkeleton::ItemSize::property() const
    {41, 242, 931, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 6},	//1031 KCoreConfigSkeleton::ItemSize::ItemSize(const KCoreConfigSkeleton::ItemSize&)
    {41, 242, 933, 3, Smoke::mf_ctor, 69, 7},	//1032 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&)
    {41, 3395, 0, 0, Smoke::mf_dtor, 0, 8 },	//1033 KCoreConfigSkeleton::ItemSize::~ItemSize()
    {42, 246, 937, 5, Smoke::mf_ctor, 70, 1},	//1034 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type)
    {42, 3336, 595, 1, 0, 0, 2},	//1035 KCoreConfigSkeleton::ItemString::writeConfig(KConfig*)
    {42, 2387, 595, 1, 0, 0, 3},	//1036 KCoreConfigSkeleton::ItemString::readConfig(KConfig*)
    {42, 2891, 34, 1, 0, 0, 4},	//1037 KCoreConfigSkeleton::ItemString::setProperty(const QVariant&)
    {42, 1840, 34, 1, Smoke::mf_const, 519, 5},	//1038 KCoreConfigSkeleton::ItemString::isEqual(const QVariant&) const
    {42, 2330, 0, 0, Smoke::mf_const, 412, 6},	//1039 KCoreConfigSkeleton::ItemString::property() const
    {42, 246, 943, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 7},	//1040 KCoreConfigSkeleton::ItemString::ItemString(const KCoreConfigSkeleton::ItemString&)
    {42, 246, 876, 3, Smoke::mf_ctor, 70, 8},	//1041 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&)
    {42, 246, 869, 4, Smoke::mf_ctor, 70, 9},	//1042 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&)
    {42, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 10},	//1043 KCoreConfigSkeleton::ItemString::Normal (enum)
    {42, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 11},	//1044 KCoreConfigSkeleton::ItemString::Password (enum)
    {42, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 12},	//1045 KCoreConfigSkeleton::ItemString::Path (enum)
    {42, 3396, 0, 0, Smoke::mf_dtor, 0, 13 },	//1046 KCoreConfigSkeleton::ItemString::~ItemString()
    {43, 251, 882, 4, Smoke::mf_ctor, 72, 1},	//1047 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&, const QStringList&)
    {43, 2387, 595, 1, 0, 0, 2},	//1048 KCoreConfigSkeleton::ItemStringList::readConfig(KConfig*)
    {43, 2891, 34, 1, 0, 0, 3},	//1049 KCoreConfigSkeleton::ItemStringList::setProperty(const QVariant&)
    {43, 1840, 34, 1, Smoke::mf_const, 519, 4},	//1050 KCoreConfigSkeleton::ItemStringList::isEqual(const QVariant&) const
    {43, 2330, 0, 0, Smoke::mf_const, 412, 5},	//1051 KCoreConfigSkeleton::ItemStringList::property() const
    {43, 251, 945, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 6},	//1052 KCoreConfigSkeleton::ItemStringList::ItemStringList(const KCoreConfigSkeleton::ItemStringList&)
    {43, 251, 889, 3, Smoke::mf_ctor, 72, 7},	//1053 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&)
    {43, 3397, 0, 0, Smoke::mf_dtor, 0, 8 },	//1054 KCoreConfigSkeleton::ItemStringList::~ItemStringList()
    {44, 255, 947, 4, Smoke::mf_ctor, 73, 1},	//1055 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&, unsigned int)
    {44, 2387, 595, 1, 0, 0, 2},	//1056 KCoreConfigSkeleton::ItemUInt::readConfig(KConfig*)
    {44, 2891, 34, 1, 0, 0, 3},	//1057 KCoreConfigSkeleton::ItemUInt::setProperty(const QVariant&)
    {44, 1840, 34, 1, Smoke::mf_const, 519, 4},	//1058 KCoreConfigSkeleton::ItemUInt::isEqual(const QVariant&) const
    {44, 2330, 0, 0, Smoke::mf_const, 412, 5},	//1059 KCoreConfigSkeleton::ItemUInt::property() const
    {44, 2094, 0, 0, Smoke::mf_const, 412, 6},	//1060 KCoreConfigSkeleton::ItemUInt::minValue() const
    {44, 2084, 0, 0, Smoke::mf_const, 412, 7},	//1061 KCoreConfigSkeleton::ItemUInt::maxValue() const
    {44, 2819, 952, 1, 0, 0, 8},	//1062 KCoreConfigSkeleton::ItemUInt::setMinValue(unsigned int)
    {44, 2811, 952, 1, 0, 0, 9},	//1063 KCoreConfigSkeleton::ItemUInt::setMaxValue(unsigned int)
    {44, 255, 954, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 10},	//1064 KCoreConfigSkeleton::ItemUInt::ItemUInt(const KCoreConfigSkeleton::ItemUInt&)
    {44, 255, 956, 3, Smoke::mf_ctor, 73, 11},	//1065 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&)
    {44, 3398, 0, 0, Smoke::mf_dtor, 0, 12 },	//1066 KCoreConfigSkeleton::ItemUInt::~ItemUInt()
    {45, 259, 960, 4, Smoke::mf_ctor, 74, 1},	//1067 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&, unsigned long long)
    {45, 2387, 595, 1, 0, 0, 2},	//1068 KCoreConfigSkeleton::ItemULongLong::readConfig(KConfig*)
    {45, 2891, 34, 1, 0, 0, 3},	//1069 KCoreConfigSkeleton::ItemULongLong::setProperty(const QVariant&)
    {45, 1840, 34, 1, Smoke::mf_const, 519, 4},	//1070 KCoreConfigSkeleton::ItemULongLong::isEqual(const QVariant&) const
    {45, 2330, 0, 0, Smoke::mf_const, 412, 5},	//1071 KCoreConfigSkeleton::ItemULongLong::property() const
    {45, 2094, 0, 0, Smoke::mf_const, 412, 6},	//1072 KCoreConfigSkeleton::ItemULongLong::minValue() const
    {45, 2084, 0, 0, Smoke::mf_const, 412, 7},	//1073 KCoreConfigSkeleton::ItemULongLong::maxValue() const
    {45, 2819, 965, 1, 0, 0, 8},	//1074 KCoreConfigSkeleton::ItemULongLong::setMinValue(unsigned long long)
    {45, 2811, 965, 1, 0, 0, 9},	//1075 KCoreConfigSkeleton::ItemULongLong::setMaxValue(unsigned long long)
    {45, 259, 967, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 10},	//1076 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const KCoreConfigSkeleton::ItemULongLong&)
    {45, 259, 969, 3, Smoke::mf_ctor, 74, 11},	//1077 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&)
    {45, 3399, 0, 0, Smoke::mf_dtor, 0, 12 },	//1078 KCoreConfigSkeleton::ItemULongLong::~ItemULongLong()
    {46, 263, 973, 4, Smoke::mf_ctor, 75, 1},	//1079 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&, const KUrl&)
    {46, 3336, 595, 1, 0, 0, 2},	//1080 KCoreConfigSkeleton::ItemUrl::writeConfig(KConfig*)
    {46, 2387, 595, 1, 0, 0, 3},	//1081 KCoreConfigSkeleton::ItemUrl::readConfig(KConfig*)
    {46, 2891, 34, 1, 0, 0, 4},	//1082 KCoreConfigSkeleton::ItemUrl::setProperty(const QVariant&)
    {46, 1840, 34, 1, Smoke::mf_const, 519, 5},	//1083 KCoreConfigSkeleton::ItemUrl::isEqual(const QVariant&) const
    {46, 2330, 0, 0, Smoke::mf_const, 412, 6},	//1084 KCoreConfigSkeleton::ItemUrl::property() const
    {46, 263, 978, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 7},	//1085 KCoreConfigSkeleton::ItemUrl::ItemUrl(const KCoreConfigSkeleton::ItemUrl&)
    {46, 263, 980, 3, Smoke::mf_ctor, 75, 8},	//1086 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&)
    {46, 3400, 0, 0, Smoke::mf_dtor, 0, 9 },	//1087 KCoreConfigSkeleton::ItemUrl::~ItemUrl()
    {47, 267, 984, 4, Smoke::mf_ctor, 76, 1},	//1088 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&, const KUrl::List&)
    {47, 2387, 595, 1, 0, 0, 2},	//1089 KCoreConfigSkeleton::ItemUrlList::readConfig(KConfig*)
    {47, 3336, 595, 1, 0, 0, 3},	//1090 KCoreConfigSkeleton::ItemUrlList::writeConfig(KConfig*)
    {47, 2891, 34, 1, 0, 0, 4},	//1091 KCoreConfigSkeleton::ItemUrlList::setProperty(const QVariant&)
    {47, 1840, 34, 1, Smoke::mf_const, 519, 5},	//1092 KCoreConfigSkeleton::ItemUrlList::isEqual(const QVariant&) const
    {47, 2330, 0, 0, Smoke::mf_const, 412, 6},	//1093 KCoreConfigSkeleton::ItemUrlList::property() const
    {47, 267, 989, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 7},	//1094 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const KCoreConfigSkeleton::ItemUrlList&)
    {47, 267, 991, 3, Smoke::mf_ctor, 76, 8},	//1095 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&)
    {47, 3401, 0, 0, Smoke::mf_dtor, 0, 9 },	//1096 KCoreConfigSkeleton::ItemUrlList::~ItemUrlList()
    {48, 346, 95, 2, Smoke::mf_ctor, 78, 1},	//1097 KCurrencyCode::KCurrencyCode(const QString&, const QString&)
    {48, 346, 995, 2, Smoke::mf_ctor, 78, 2},	//1098 KCurrencyCode::KCurrencyCode(const QFileInfo&, const QString&)
    {48, 346, 998, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 3},	//1099 KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    {48, 2227, 998, 1, 0, 77, 4},	//1100 KCurrencyCode::operator=(const KCurrencyCode&)
    {48, 1909, 0, 0, Smoke::mf_const, 388, 5},	//1101 KCurrencyCode::isoCurrencyCode() const
    {48, 1910, 0, 0, Smoke::mf_const, 388, 6},	//1102 KCurrencyCode::isoCurrencyCodeNumeric() const
    {48, 2131, 0, 0, Smoke::mf_const, 388, 7},	//1103 KCurrencyCode::name() const
    {48, 1911, 0, 0, Smoke::mf_const, 388, 8},	//1104 KCurrencyCode::isoName() const
    {48, 3081, 0, 0, Smoke::mf_const, 79, 9},	//1105 KCurrencyCode::status() const
    {48, 1288, 0, 0, Smoke::mf_const, 266, 10},	//1106 KCurrencyCode::dateIntroduced() const
    {48, 1290, 0, 0, Smoke::mf_const, 266, 11},	//1107 KCurrencyCode::dateSuspended() const
    {48, 1295, 0, 0, Smoke::mf_const, 266, 12},	//1108 KCurrencyCode::dateWithdrawn() const
    {48, 3116, 0, 0, Smoke::mf_const, 393, 13},	//1109 KCurrencyCode::symbolList() const
    {48, 1359, 0, 0, Smoke::mf_const, 388, 14},	//1110 KCurrencyCode::defaultSymbol() const
    {48, 3226, 0, 0, Smoke::mf_const, 388, 15},	//1111 KCurrencyCode::unambiguousSymbol() const
    {48, 1729, 0, 0, Smoke::mf_const, 519, 16},	//1112 KCurrencyCode::hasSubunits() const
    {48, 1730, 0, 0, Smoke::mf_const, 519, 17},	//1113 KCurrencyCode::hasSubunitsInCirculation() const
    {48, 3105, 0, 0, Smoke::mf_const, 388, 18},	//1114 KCurrencyCode::subunitSymbol() const
    {48, 3106, 0, 0, Smoke::mf_const, 704, 19},	//1115 KCurrencyCode::subunitsPerUnit() const
    {48, 1336, 0, 0, Smoke::mf_const, 704, 20},	//1116 KCurrencyCode::decimalPlaces() const
    {48, 1229, 0, 0, Smoke::mf_const, 393, 21},	//1117 KCurrencyCode::countriesUsingCurrency() const
    {48, 1901, 0, 0, Smoke::mf_const, 519, 22},	//1118 KCurrencyCode::isValid() const
    {48, 1901, 1000, 2, Smoke::mf_static, 519, 23},	//1119 KCurrencyCode::isValid(const QString&, QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1035, 1003, 1, Smoke::mf_static, 393, 24},	//1120 KCurrencyCode::allCurrencyCodesList(QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1256, 95, 2, Smoke::mf_static, 388, 25},	//1121 KCurrencyCode::currencyCodeToName(const QString&, const QString&)
    {48, 346, 30, 1, Smoke::mf_ctor, 78, 26},	//1122 KCurrencyCode::KCurrencyCode(const QString&)
    {48, 346, 1005, 1, Smoke::mf_ctor, 78, 27},	//1123 KCurrencyCode::KCurrencyCode(const QFileInfo&)
    {48, 1901, 30, 1, Smoke::mf_static, 519, 28},	//1124 KCurrencyCode::isValid(const QString&)
    {48, 1035, 0, 0, Smoke::mf_static, 393, 29},	//1125 KCurrencyCode::allCurrencyCodesList()
    {48, 1256, 30, 1, Smoke::mf_static, 388, 30},	//1126 KCurrencyCode::currencyCodeToName(const QString&)
    {48, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 31},	//1127 KCurrencyCode::ActiveCurrency (enum)
    {48, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 32},	//1128 KCurrencyCode::SuspendedCurrency (enum)
    {48, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 33},	//1129 KCurrencyCode::ObsoleteCurrency (enum)
    {48, 3419, 0, 0, Smoke::mf_dtor, 0, 34 },	//1130 KCurrencyCode::~KCurrencyCode()
    {49, 1600, 524, 2, Smoke::mf_static, 2, 1},	//1131 KDE::fopen(const QString&, const char*)
    {49, 3284, 0, 0, Smoke::mf_static, 722, 2},	//1132 KDE::versionMinor()
    {49, 3286, 0, 0, Smoke::mf_static, 688, 3},	//1133 KDE::versionString()
    {49, 1168, 1007, 2, Smoke::mf_static, 704, 4},	//1134 KDE::chmod(const QString&, mode_t)
    {49, 2479, 95, 2, Smoke::mf_static, 704, 5},	//1135 KDE::rename(const QString&, const QString&)
    {49, 3285, 0, 0, Smoke::mf_static, 722, 6},	//1136 KDE::versionRelease()
    {49, 3282, 0, 0, Smoke::mf_static, 722, 7},	//1137 KDE::version()
    {49, 2174, 1010, 3, Smoke::mf_static, 704, 8},	//1138 KDE::open(const QString&, int, mode_t)
    {49, 2174, 1014, 2, Smoke::mf_static, 704, 9},	//1139 KDE::open(const QString&, int)
    {49, 861, 1014, 2, Smoke::mf_static, 704, 10},	//1140 KDE::access(const QString&, int)
    {49, 2097, 1007, 2, Smoke::mf_static, 704, 11},	//1141 KDE::mkdir(const QString&, mode_t)
    {49, 3283, 0, 0, Smoke::mf_static, 722, 12},	//1142 KDE::versionMajor()
    {50, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//1143 KDEDModule::metaObject() const
    {50, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//1144 KDEDModule::qt_metacast(const char*)
    {50, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1145 KDEDModule::tr(const char*, const char*)
    {50, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1146 KDEDModule::trUtf8(const char*, const char*)
    {50, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1147 KDEDModule::tr(const char*, const char*, int)
    {50, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1148 KDEDModule::trUtf8(const char*, const char*, int)
    {50, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//1149 KDEDModule::qt_metacall(QMetaObject::Call, int, void**)
    {50, 351, 146, 1, Smoke::mf_ctor, 80, 8},	//1150 KDEDModule::KDEDModule(QObject*)
    {50, 2821, 30, 1, 0, 0, 9},	//1151 KDEDModule::setModuleName(const QString&)
    {50, 2104, 0, 0, Smoke::mf_const, 388, 10},	//1152 KDEDModule::moduleName() const
    {50, 2102, 1017, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1153 KDEDModule::moduleDeleted(KDEDModule*)
    {50, 3330, 1019, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1154 KDEDModule::windowRegistered(qlonglong)
    {50, 3332, 1019, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1155 KDEDModule::windowUnregistered(qlonglong)
    {50, 2105, 1021, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1156 KDEDModule::moduleRegistered(const QDBusObjectPath&)
    {50, 3179, 122, 1, Smoke::mf_static, 388, 15},	//1157 KDEDModule::tr(const char*)
    {50, 3186, 122, 1, Smoke::mf_static, 388, 16},	//1158 KDEDModule::trUtf8(const char*)
    {50, 351, 0, 0, Smoke::mf_ctor, 80, 17},	//1159 KDEDModule::KDEDModule()
    {50, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 18},	//1160 KDEDModule::staticMetaObject() const
    {50, 3420, 0, 0, Smoke::mf_dtor, 0, 19 },	//1161 KDEDModule::~KDEDModule()
    {51, 353, 0, 0, Smoke::mf_ctor, 81, 1},	//1162 KDEPluginVerificationData::KDEPluginVerificationData()
    {51, 353, 1023, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//1163 KDEPluginVerificationData::KDEPluginVerificationData(const KDEPluginVerificationData&)
    {51, 1277, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 720, 3},	//1164 KDEPluginVerificationData::dataVersion() const
    {51, 2622, 1025, 1, Smoke::mf_attribute, 0, 4},	//1165 KDEPluginVerificationData::setDataVersion(unsigned char)
    {51, 355, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 722, 5},	//1166 KDEPluginVerificationData::KDEVersion() const
    {51, 2715, 952, 1, Smoke::mf_attribute, 0, 6},	//1167 KDEPluginVerificationData::setKDEVersion(unsigned int)
    {51, 356, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 688, 7},	//1168 KDEPluginVerificationData::KDEVersionString() const
    {51, 2717, 122, 1, Smoke::mf_attribute, 0, 8},	//1169 KDEPluginVerificationData::setKDEVersionString(const char*)
    {51, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 9},	//1170 KDEPluginVerificationData::PluginVerificationDataVersion (enum)
    {51, 3421, 0, 0, Smoke::mf_dtor, 0, 10 },	//1171 KDEPluginVerificationData::~KDEPluginVerificationData()
    {52, 357, 0, 0, Smoke::mf_ctor, 84, 1},	//1172 KDateTime::KDateTime()
    {52, 357, 1027, 2, Smoke::mf_ctor, 84, 2},	//1173 KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    {52, 357, 1030, 3, Smoke::mf_ctor, 84, 3},	//1174 KDateTime::KDateTime(const QDate&, const QTime&, const KDateTime::Spec&)
    {52, 357, 1034, 2, Smoke::mf_ctor, 84, 4},	//1175 KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    {52, 357, 1037, 1, Smoke::mf_ctor, 84, 5},	//1176 KDateTime::KDateTime(const QDateTime&)
    {52, 357, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 6},	//1177 KDateTime::KDateTime(const KDateTime&)
    {52, 2227, 1039, 1, 0, 83, 7},	//1178 KDateTime::operator=(const KDateTime&)
    {52, 1871, 0, 0, Smoke::mf_const, 519, 8},	//1179 KDateTime::isNull() const
    {52, 1901, 0, 0, Smoke::mf_const, 519, 9},	//1180 KDateTime::isValid() const
    {52, 1825, 0, 0, Smoke::mf_const, 519, 10},	//1181 KDateTime::isDateOnly() const
    {52, 1283, 0, 0, Smoke::mf_const, 266, 11},	//1182 KDateTime::date() const
    {52, 3143, 0, 0, Smoke::mf_const, 405, 12},	//1183 KDateTime::time() const
    {52, 1291, 0, 0, Smoke::mf_const, 268, 13},	//1184 KDateTime::dateTime() const
    {52, 3148, 0, 0, Smoke::mf_const, 202, 14},	//1185 KDateTime::timeZone() const
    {52, 3145, 0, 0, Smoke::mf_const, 86, 15},	//1186 KDateTime::timeSpec() const
    {52, 3147, 0, 0, Smoke::mf_const, 89, 16},	//1187 KDateTime::timeType() const
    {52, 1865, 0, 0, Smoke::mf_const, 519, 17},	//1188 KDateTime::isLocalZone() const
    {52, 1820, 0, 0, Smoke::mf_const, 519, 18},	//1189 KDateTime::isClockTime() const
    {52, 1898, 0, 0, Smoke::mf_const, 519, 19},	//1190 KDateTime::isUtc() const
    {52, 1872, 0, 0, Smoke::mf_const, 519, 20},	//1191 KDateTime::isOffsetFromUtc() const
    {52, 3269, 0, 0, Smoke::mf_const, 704, 21},	//1192 KDateTime::utcOffset() const
    {52, 1883, 0, 0, Smoke::mf_const, 519, 22},	//1193 KDateTime::isSecondOccurrence() const
    {52, 3168, 0, 0, Smoke::mf_const, 82, 23},	//1194 KDateTime::toUtc() const
    {52, 3158, 0, 0, Smoke::mf_const, 82, 24},	//1195 KDateTime::toOffsetFromUtc() const
    {52, 3158, 118, 1, Smoke::mf_const, 82, 25},	//1196 KDateTime::toOffsetFromUtc(int) const
    {52, 3156, 0, 0, Smoke::mf_const, 82, 26},	//1197 KDateTime::toLocalZone() const
    {52, 3151, 0, 0, Smoke::mf_const, 82, 27},	//1198 KDateTime::toClockTime() const
    {52, 3170, 1041, 1, Smoke::mf_const, 82, 28},	//1199 KDateTime::toZone(const KTimeZone&) const
    {52, 3164, 1043, 1, Smoke::mf_const, 82, 29},	//1200 KDateTime::toTimeSpec(const KDateTime::Spec&) const
    {52, 3164, 1039, 1, Smoke::mf_const, 82, 30},	//1201 KDateTime::toTimeSpec(const KDateTime&) const
    {52, 3166, 0, 0, Smoke::mf_const, 722, 31},	//1202 KDateTime::toTime_t() const
    {52, 2942, 861, 1, 0, 0, 32},	//1203 KDateTime::setTime_t(long long)
    {52, 2637, 103, 1, 0, 0, 33},	//1204 KDateTime::setDateOnly(bool)
    {52, 2624, 196, 1, 0, 0, 34},	//1205 KDateTime::setDate(const QDate&)
    {52, 2936, 1045, 1, 0, 0, 35},	//1206 KDateTime::setTime(const QTime&)
    {52, 2639, 1037, 1, 0, 0, 36},	//1207 KDateTime::setDateTime(const QDateTime&)
    {52, 2940, 1043, 1, 0, 0, 37},	//1208 KDateTime::setTimeSpec(const KDateTime::Spec&)
    {52, 2901, 103, 1, 0, 0, 38},	//1209 KDateTime::setSecondOccurrence(bool)
    {52, 989, 861, 1, Smoke::mf_const, 82, 39},	//1210 KDateTime::addMSecs(long long) const
    {52, 1007, 861, 1, Smoke::mf_const, 82, 40},	//1211 KDateTime::addSecs(long long) const
    {52, 901, 118, 1, Smoke::mf_const, 82, 41},	//1212 KDateTime::addDays(int) const
    {52, 991, 118, 1, Smoke::mf_const, 82, 42},	//1213 KDateTime::addMonths(int) const
    {52, 1028, 118, 1, Smoke::mf_const, 82, 43},	//1214 KDateTime::addYears(int) const
    {52, 2523, 1039, 1, Smoke::mf_const, 704, 44},	//1215 KDateTime::secsTo(const KDateTime&) const
    {52, 2525, 1039, 1, Smoke::mf_const, 709, 45},	//1216 KDateTime::secsTo_long(const KDateTime&) const
    {52, 1333, 1039, 1, Smoke::mf_const, 704, 46},	//1217 KDateTime::daysTo(const KDateTime&) const
    {52, 1265, 0, 0, Smoke::mf_static, 82, 47},	//1218 KDateTime::currentLocalDateTime()
    {52, 1269, 0, 0, Smoke::mf_static, 82, 48},	//1219 KDateTime::currentUtcDateTime()
    {52, 1261, 1043, 1, Smoke::mf_static, 82, 49},	//1220 KDateTime::currentDateTime(const KDateTime::Spec&)
    {52, 1264, 0, 0, Smoke::mf_static, 266, 50},	//1221 KDateTime::currentLocalDate()
    {52, 1266, 0, 0, Smoke::mf_static, 405, 51},	//1222 KDateTime::currentLocalTime()
    {52, 3160, 30, 1, Smoke::mf_const, 388, 52},	//1223 KDateTime::toString(const QString&) const
    {52, 3160, 1047, 1, Smoke::mf_const, 388, 53},	//1224 KDateTime::toString(KDateTime::TimeFormat) const
    {52, 1657, 1049, 3, Smoke::mf_static, 82, 54},	//1225 KDateTime::fromString(const QString&, KDateTime::TimeFormat, bool*)
    {52, 1657, 1053, 4, Smoke::mf_static, 82, 55},	//1226 KDateTime::fromString(const QString&, const QString&, const KTimeZones*, bool)
    {52, 2697, 1043, 1, Smoke::mf_static, 0, 56},	//1227 KDateTime::setFromStringDefault(const KDateTime::Spec&)
    {52, 2262, 0, 0, Smoke::mf_const, 519, 57},	//1228 KDateTime::outOfRange() const
    {52, 1191, 1039, 1, Smoke::mf_const, 85, 58},	//1229 KDateTime::compare(const KDateTime&) const
    {52, 2230, 1039, 1, Smoke::mf_const, 519, 59},	//1230 KDateTime::operator==(const KDateTime&) const
    {52, 2187, 1039, 1, Smoke::mf_const, 519, 60},	//1231 KDateTime::operator!=(const KDateTime&) const
    {52, 2209, 1039, 1, Smoke::mf_const, 519, 61},	//1232 KDateTime::operator<(const KDateTime&) const
    {52, 2221, 1039, 1, Smoke::mf_const, 519, 62},	//1233 KDateTime::operator<=(const KDateTime&) const
    {52, 2237, 1039, 1, Smoke::mf_const, 519, 63},	//1234 KDateTime::operator>(const KDateTime&) const
    {52, 2243, 1039, 1, Smoke::mf_const, 519, 64},	//1235 KDateTime::operator>=(const KDateTime&) const
    {52, 1386, 0, 0, 0, 0, 65},	//1236 KDateTime::detach()
    {52, 2917, 1039, 1, Smoke::mf_static, 0, 66},	//1237 KDateTime::setSimulatedSystemTime(const KDateTime&)
    {52, 2443, 0, 0, Smoke::mf_static, 82, 67},	//1238 KDateTime::realCurrentLocalDateTime()
    {52, 357, 196, 1, Smoke::mf_ctor, 84, 68},	//1239 KDateTime::KDateTime(const QDate&)
    {52, 357, 1058, 2, Smoke::mf_ctor, 84, 69},	//1240 KDateTime::KDateTime(const QDate&, const QTime&)
    {52, 3160, 0, 0, Smoke::mf_const, 388, 70},	//1241 KDateTime::toString() const
    {52, 1657, 30, 1, Smoke::mf_static, 82, 71},	//1242 KDateTime::fromString(const QString&)
    {52, 1657, 1061, 2, Smoke::mf_static, 82, 72},	//1243 KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    {52, 1657, 95, 2, Smoke::mf_static, 82, 73},	//1244 KDateTime::fromString(const QString&, const QString&)
    {52, 1657, 1064, 3, Smoke::mf_static, 82, 74},	//1245 KDateTime::fromString(const QString&, const QString&, const KTimeZones*)
    {52, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 75},	//1246 KDateTime::Invalid (enum)
    {52, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 76},	//1247 KDateTime::UTC (enum)
    {52, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 77},	//1248 KDateTime::OffsetFromUTC (enum)
    {52, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 78},	//1249 KDateTime::TimeZone (enum)
    {52, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 79},	//1250 KDateTime::LocalZone (enum)
    {52, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 80},	//1251 KDateTime::ClockTime (enum)
    {52, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 81},	//1252 KDateTime::ISODate (enum)
    {52, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 82},	//1253 KDateTime::RFCDate (enum)
    {52, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 83},	//1254 KDateTime::RFCDateDay (enum)
    {52, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 84},	//1255 KDateTime::QtTextDate (enum)
    {52, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 85},	//1256 KDateTime::LocalDate (enum)
    {52, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 86},	//1257 KDateTime::RFC3339Date (enum)
    {52, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 87},	//1258 KDateTime::Before (enum)
    {52, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 88},	//1259 KDateTime::AtStart (enum)
    {52, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 89},	//1260 KDateTime::Inside (enum)
    {52, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 90},	//1261 KDateTime::AtEnd (enum)
    {52, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 91},	//1262 KDateTime::After (enum)
    {52, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 92},	//1263 KDateTime::Equal (enum)
    {52, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 93},	//1264 KDateTime::Outside (enum)
    {52, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 94},	//1265 KDateTime::StartsAt (enum)
    {52, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 95},	//1266 KDateTime::EndsAt (enum)
    {52, 3422, 0, 0, Smoke::mf_dtor, 0, 96 },	//1267 KDateTime::~KDateTime()
    {53, 756, 0, 0, Smoke::mf_ctor, 88, 1},	//1268 KDateTime::Spec::Spec()
    {53, 756, 1041, 1, Smoke::mf_ctor, 88, 2},	//1269 KDateTime::Spec::Spec(const KTimeZone&)
    {53, 756, 1068, 2, Smoke::mf_ctor, 88, 3},	//1270 KDateTime::Spec::Spec(KDateTime::SpecType, int)
    {53, 756, 1043, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 4},	//1271 KDateTime::Spec::Spec(const KDateTime::Spec&)
    {53, 2227, 1043, 1, 0, 87, 5},	//1272 KDateTime::Spec::operator=(const KDateTime::Spec&)
    {53, 1901, 0, 0, Smoke::mf_const, 519, 6},	//1273 KDateTime::Spec::isValid() const
    {53, 3148, 0, 0, Smoke::mf_const, 202, 7},	//1274 KDateTime::Spec::timeZone() const
    {53, 3222, 0, 0, Smoke::mf_const, 89, 8},	//1275 KDateTime::Spec::type() const
    {53, 1865, 0, 0, Smoke::mf_const, 519, 9},	//1276 KDateTime::Spec::isLocalZone() const
    {53, 1820, 0, 0, Smoke::mf_const, 519, 10},	//1277 KDateTime::Spec::isClockTime() const
    {53, 1898, 0, 0, Smoke::mf_const, 519, 11},	//1278 KDateTime::Spec::isUtc() const
    {53, 1872, 0, 0, Smoke::mf_const, 519, 12},	//1279 KDateTime::Spec::isOffsetFromUtc() const
    {53, 3269, 0, 0, Smoke::mf_const, 704, 13},	//1280 KDateTime::Spec::utcOffset() const
    {53, 2952, 1068, 2, 0, 0, 14},	//1281 KDateTime::Spec::setType(KDateTime::SpecType, int)
    {53, 2952, 1041, 1, 0, 0, 15},	//1282 KDateTime::Spec::setType(const KTimeZone&)
    {53, 2230, 1043, 1, Smoke::mf_const, 519, 16},	//1283 KDateTime::Spec::operator==(const KDateTime::Spec&) const
    {53, 2187, 1043, 1, Smoke::mf_const, 519, 17},	//1284 KDateTime::Spec::operator!=(const KDateTime::Spec&) const
    {53, 1455, 1043, 1, Smoke::mf_const, 519, 18},	//1285 KDateTime::Spec::equivalentTo(const KDateTime::Spec&) const
    {53, 801, 0, 0, Smoke::mf_static, 86, 19},	//1286 KDateTime::Spec::UTC()
    {53, 60, 0, 0, Smoke::mf_static, 86, 20},	//1287 KDateTime::Spec::ClockTime()
    {53, 662, 118, 1, Smoke::mf_static, 86, 21},	//1288 KDateTime::Spec::OffsetFromUTC(int)
    {53, 607, 0, 0, Smoke::mf_static, 86, 22},	//1289 KDateTime::Spec::LocalZone()
    {53, 756, 1071, 1, Smoke::mf_ctor, 88, 23},	//1290 KDateTime::Spec::Spec(KDateTime::SpecType)
    {53, 2952, 1071, 1, 0, 0, 24},	//1291 KDateTime::Spec::setType(KDateTime::SpecType)
    {53, 3482, 0, 0, Smoke::mf_dtor, 0, 25 },	//1292 KDateTime::Spec::~Spec()
    {54, 361, 1073, 4, Smoke::mf_ctor|Smoke::mf_explicit, 91, 1},	//1293 KDebug::KDebug(QtMsgType, const char*, int, const char*)
    {54, 1716, 1078, 4, Smoke::mf_static, 519, 2},	//1294 KDebug::hasNullOutput(QtMsgType, bool, int, bool)
    {54, 1718, 118, 1, Smoke::mf_static, 519, 3},	//1295 KDebug::hasNullOutputQtDebugMsg(int)
    {54, 1718, 1083, 2, Smoke::mf_static, 519, 4},	//1296 KDebug::hasNullOutputQtDebugMsg(bool, int)
    {54, 2450, 423, 2, Smoke::mf_static, 704, 5},	//1297 KDebug::registerArea(const QByteArray&, bool)
    {54, 361, 1086, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 6},	//1298 KDebug::KDebug(const KDebug&)
    {54, 361, 1088, 1, Smoke::mf_ctor|Smoke::mf_explicit, 91, 7},	//1299 KDebug::KDebug(QtMsgType)
    {54, 361, 1090, 2, Smoke::mf_ctor|Smoke::mf_explicit, 91, 8},	//1300 KDebug::KDebug(QtMsgType, const char*)
    {54, 361, 1093, 3, Smoke::mf_ctor|Smoke::mf_explicit, 91, 9},	//1301 KDebug::KDebug(QtMsgType, const char*, int)
    {54, 1718, 0, 0, Smoke::mf_static, 519, 10},	//1302 KDebug::hasNullOutputQtDebugMsg()
    {54, 1718, 103, 1, Smoke::mf_static, 519, 11},	//1303 KDebug::hasNullOutputQtDebugMsg(bool)
    {54, 2450, 32, 1, Smoke::mf_static, 704, 12},	//1304 KDebug::registerArea(const QByteArray&)
    {54, 3423, 0, 0, Smoke::mf_dtor, 0, 13 },	//1305 KDebug::~KDebug()
    {55, 367, 0, 0, Smoke::mf_ctor, 92, 1},	//1306 KDebugTag::KDebugTag()
    {55, 367, 1097, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//1307 KDebugTag::KDebugTag(const KDebugTag&)
    {55, 3424, 0, 0, Smoke::mf_dtor, 0, 3 },	//1308 KDebugTag::~KDebugTag()
    {56, 369, 521, 2, Smoke::mf_ctor, 93, 1},	//1309 KDesktopFile::KDesktopFile(const char*, const QString&)
    {56, 369, 30, 1, Smoke::mf_ctor, 93, 2},	//1310 KDesktopFile::KDesktopFile(const QString&)
    {56, 1829, 30, 1, Smoke::mf_static, 519, 3},	//1311 KDesktopFile::isDesktopFile(const QString&)
    {56, 1807, 30, 1, Smoke::mf_static, 519, 4},	//1312 KDesktopFile::isAuthorizedDesktopFile(const QString&)
    {56, 2026, 30, 1, Smoke::mf_static, 388, 5},	//1313 KDesktopFile::locateLocal(const QString&)
    {56, 1385, 0, 0, Smoke::mf_const, 48, 6},	//1314 KDesktopFile::desktopGroup() const
    {56, 2436, 0, 0, Smoke::mf_const, 388, 7},	//1315 KDesktopFile::readType() const
    {56, 2412, 0, 0, Smoke::mf_const, 388, 8},	//1316 KDesktopFile::readIcon() const
    {56, 2424, 0, 0, Smoke::mf_const, 388, 9},	//1317 KDesktopFile::readName() const
    {56, 2386, 0, 0, Smoke::mf_const, 388, 10},	//1318 KDesktopFile::readComment() const
    {56, 2410, 0, 0, Smoke::mf_const, 388, 11},	//1319 KDesktopFile::readGenericName() const
    {56, 2428, 0, 0, Smoke::mf_const, 388, 12},	//1320 KDesktopFile::readPath() const
    {56, 2399, 0, 0, Smoke::mf_const, 388, 13},	//1321 KDesktopFile::readDevice() const
    {56, 2437, 0, 0, Smoke::mf_const, 388, 14},	//1322 KDesktopFile::readUrl() const
    {56, 2385, 0, 0, Smoke::mf_const, 393, 15},	//1323 KDesktopFile::readActions() const
    {56, 865, 30, 1, 0, 48, 16},	//1324 KDesktopFile::actionGroup(const QString&)
    {56, 865, 30, 1, Smoke::mf_const, 540, 17},	//1325 KDesktopFile::actionGroup(const QString&) const
    {56, 1691, 30, 1, Smoke::mf_const, 519, 18},	//1326 KDesktopFile::hasActionGroup(const QString&) const
    {56, 1709, 0, 0, Smoke::mf_const, 519, 19},	//1327 KDesktopFile::hasLinkType() const
    {56, 1693, 0, 0, Smoke::mf_const, 519, 20},	//1328 KDesktopFile::hasApplicationType() const
    {56, 1715, 0, 0, Smoke::mf_const, 519, 21},	//1329 KDesktopFile::hasMimeTypeType() const
    {56, 1698, 0, 0, Smoke::mf_const, 519, 22},	//1330 KDesktopFile::hasDeviceType() const
    {56, 3221, 0, 0, Smoke::mf_const, 519, 23},	//1331 KDesktopFile::tryExec() const
    {56, 2400, 0, 0, Smoke::mf_const, 388, 24},	//1332 KDesktopFile::readDocPath() const
    {56, 3002, 0, 0, Smoke::mf_const, 393, 25},	//1333 KDesktopFile::sortOrder() const
    {56, 2149, 0, 0, Smoke::mf_const, 519, 26},	//1334 KDesktopFile::noDisplay() const
    {56, 1222, 30, 1, Smoke::mf_const, 93, 27},	//1335 KDesktopFile::copyTo(const QString&) const
    {56, 1529, 0, 0, Smoke::mf_const, 388, 28},	//1336 KDesktopFile::fileName() const
    {56, 2499, 0, 0, Smoke::mf_const, 688, 29},	//1337 KDesktopFile::resource() const
    {56, 3425, 0, 0, Smoke::mf_dtor, 0, 30 },	//1338 KDesktopFile::~KDesktopFile()
    {57, 372, 0, 0, Smoke::mf_ctor, 94, 1},	//1339 KEncodingDetector::KEncodingDetector()
    {57, 372, 1099, 3, Smoke::mf_ctor, 94, 2},	//1340 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript)
    {57, 2666, 1103, 2, 0, 519, 3},	//1341 KEncodingDetector::setEncoding(const char*, KEncodingDetector::EncodingChoiceSource)
    {57, 1435, 0, 0, Smoke::mf_const, 688, 4},	//1342 KEncodingDetector::encoding() const
    {57, 3288, 0, 0, Smoke::mf_const, 519, 5},	//1343 KEncodingDetector::visuallyOrdered() const
    {57, 2570, 1106, 1, 0, 0, 6},	//1344 KEncodingDetector::setAutoDetectLanguage(KEncodingDetector::AutoDetectScript)
    {57, 1081, 0, 0, Smoke::mf_const, 95, 7},	//1345 KEncodingDetector::autoDetectLanguage() const
    {57, 1436, 0, 0, Smoke::mf_const, 96, 8},	//1346 KEncodingDetector::encodingChoiceSource() const
    {57, 1338, 1108, 2, 0, 388, 9},	//1347 KEncodingDetector::decode(const char*, int)
    {57, 1338, 32, 1, 0, 388, 10},	//1348 KEncodingDetector::decode(const QByteArray&)
    {57, 1343, 1108, 2, 0, 388, 11},	//1349 KEncodingDetector::decodeWithBuffering(const char*, int)
    {57, 1347, 0, 0, Smoke::mf_const, 519, 12},	//1350 KEncodingDetector::decodedInvalidCharacters() const
    {57, 2492, 0, 0, 0, 0, 13},	//1351 KEncodingDetector::resetDecoder()
    {57, 1599, 0, 0, 0, 388, 14},	//1352 KEncodingDetector::flush()
    {57, 2521, 30, 1, Smoke::mf_static, 95, 15},	//1353 KEncodingDetector::scriptForName(const QString&)
    {57, 2135, 1106, 1, Smoke::mf_static, 388, 16},	//1354 KEncodingDetector::nameForScript(KEncodingDetector::AutoDetectScript)
    {57, 1694, 1106, 1, Smoke::mf_static, 519, 17},	//1355 KEncodingDetector::hasAutoDetectionForScript(KEncodingDetector::AutoDetectScript)
    {57, 2317, 1111, 2, Smoke::mf_protected, 519, 18},	//1356 KEncodingDetector::processNull(char*, int)
    {57, 1469, 1108, 2, Smoke::mf_protected, 519, 19},	//1357 KEncodingDetector::errorsIfUtf8(const char*, int)
    {57, 1057, 1108, 2, Smoke::mf_protected, 519, 20},	//1358 KEncodingDetector::analyze(const char*, int)
    {57, 1348, 0, 0, Smoke::mf_protected, 400, 21},	//1359 KEncodingDetector::decoder()
    {57, 372, 1114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 22},	//1360 KEncodingDetector::KEncodingDetector(const KEncodingDetector&)
    {57, 372, 1116, 2, Smoke::mf_ctor, 94, 23},	//1361 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource)
    {57, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 24},	//1362 KEncodingDetector::DefaultEncoding (enum)
    {57, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 25},	//1363 KEncodingDetector::AutoDetectedEncoding (enum)
    {57, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 26},	//1364 KEncodingDetector::BOM (enum)
    {57, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 27},	//1365 KEncodingDetector::EncodingFromXMLHeader (enum)
    {57, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 28},	//1366 KEncodingDetector::EncodingFromMetaTag (enum)
    {57, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 29},	//1367 KEncodingDetector::EncodingFromHTTPHeader (enum)
    {57, 832, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 30},	//1368 KEncodingDetector::UserChosenEncoding (enum)
    {57, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 31},	//1369 KEncodingDetector::None (enum)
    {57, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 32},	//1370 KEncodingDetector::SemiautomaticDetection (enum)
    {57, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 33},	//1371 KEncodingDetector::Arabic (enum)
    {57, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 34},	//1372 KEncodingDetector::Baltic (enum)
    {57, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 35},	//1373 KEncodingDetector::CentralEuropean (enum)
    {57, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 36},	//1374 KEncodingDetector::ChineseSimplified (enum)
    {57, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 37},	//1375 KEncodingDetector::ChineseTraditional (enum)
    {57, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 38},	//1376 KEncodingDetector::Cyrillic (enum)
    {57, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 39},	//1377 KEncodingDetector::Greek (enum)
    {57, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 40},	//1378 KEncodingDetector::Hebrew (enum)
    {57, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 41},	//1379 KEncodingDetector::Japanese (enum)
    {57, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 42},	//1380 KEncodingDetector::Korean (enum)
    {57, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 43},	//1381 KEncodingDetector::NorthernSaami (enum)
    {57, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 44},	//1382 KEncodingDetector::SouthEasternEurope (enum)
    {57, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 45},	//1383 KEncodingDetector::Thai (enum)
    {57, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 46},	//1384 KEncodingDetector::Turkish (enum)
    {57, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 47},	//1385 KEncodingDetector::Unicode (enum)
    {57, 838, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 48},	//1386 KEncodingDetector::WesternEuropean (enum)
    {57, 3426, 0, 0, Smoke::mf_dtor, 0, 49 },	//1387 KEncodingDetector::~KEncodingDetector()
    {58, 376, 1119, 1, Smoke::mf_ctor, 97, 1},	//1388 KEncodingProber::KEncodingProber(KEncodingProber::ProberType)
    {58, 2491, 0, 0, 0, 0, 2},	//1389 KEncodingProber::reset()
    {58, 1522, 32, 1, 0, 98, 3},	//1390 KEncodingProber::feed(const QByteArray&)
    {58, 1522, 1108, 2, 0, 98, 4},	//1391 KEncodingProber::feed(const char*, int)
    {58, 3076, 0, 0, Smoke::mf_const, 98, 5},	//1392 KEncodingProber::state() const
    {58, 1440, 0, 0, Smoke::mf_const, 688, 6},	//1393 KEncodingProber::encodingName() const
    {58, 1435, 0, 0, Smoke::mf_const, 249, 7},	//1394 KEncodingProber::encoding() const
    {58, 1197, 0, 0, Smoke::mf_const, 702, 8},	//1395 KEncodingProber::confidence() const
    {58, 2314, 0, 0, Smoke::mf_const, 99, 9},	//1396 KEncodingProber::proberType() const
    {58, 2875, 1119, 1, 0, 0, 10},	//1397 KEncodingProber::setProberType(KEncodingProber::ProberType)
    {58, 2315, 30, 1, Smoke::mf_static, 99, 11},	//1398 KEncodingProber::proberTypeForName(const QString&)
    {58, 2133, 1119, 1, Smoke::mf_static, 388, 12},	//1399 KEncodingProber::nameForProberType(KEncodingProber::ProberType)
    {58, 376, 1121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 13},	//1400 KEncodingProber::KEncodingProber(const KEncodingProber&)
    {58, 376, 0, 0, Smoke::mf_ctor, 97, 14},	//1401 KEncodingProber::KEncodingProber()
    {58, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 15},	//1402 KEncodingProber::FoundIt (enum)
    {58, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 16},	//1403 KEncodingProber::NotMe (enum)
    {58, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 17},	//1404 KEncodingProber::Probing (enum)
    {58, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 18},	//1405 KEncodingProber::None (enum)
    {58, 818, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 19},	//1406 KEncodingProber::Universal (enum)
    {58, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 20},	//1407 KEncodingProber::Arabic (enum)
    {58, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 21},	//1408 KEncodingProber::Baltic (enum)
    {58, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 22},	//1409 KEncodingProber::CentralEuropean (enum)
    {58, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 23},	//1410 KEncodingProber::ChineseSimplified (enum)
    {58, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 24},	//1411 KEncodingProber::ChineseTraditional (enum)
    {58, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 25},	//1412 KEncodingProber::Cyrillic (enum)
    {58, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 26},	//1413 KEncodingProber::Greek (enum)
    {58, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 27},	//1414 KEncodingProber::Hebrew (enum)
    {58, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 28},	//1415 KEncodingProber::Japanese (enum)
    {58, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 29},	//1416 KEncodingProber::Korean (enum)
    {58, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 30},	//1417 KEncodingProber::NorthernSaami (enum)
    {58, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 31},	//1418 KEncodingProber::Other (enum)
    {58, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 32},	//1419 KEncodingProber::SouthEasternEurope (enum)
    {58, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 33},	//1420 KEncodingProber::Thai (enum)
    {58, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 34},	//1421 KEncodingProber::Turkish (enum)
    {58, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 35},	//1422 KEncodingProber::Unicode (enum)
    {58, 838, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 36},	//1423 KEncodingProber::WesternEuropean (enum)
    {58, 3427, 0, 0, Smoke::mf_dtor, 0, 37 },	//1424 KEncodingProber::~KEncodingProber()
    {59, 379, 0, 0, Smoke::mf_ctor, 100, 1},	//1425 KFilterBase::KFilterBase()
    {59, 2657, 1123, 2, 0, 0, 2},	//1426 KFilterBase::setDevice(QIODevice*, bool)
    {59, 1392, 0, 0, 0, 334, 3},	//1427 KFilterBase::device()
    {59, 1762, 118, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//1428 KFilterBase::init(int) [pure virtual]
    {59, 2099, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 704, 5},	//1429 KFilterBase::mode() const [pure virtual]
    {59, 3136, 0, 0, Smoke::mf_virtual, 0, 6},	//1430 KFilterBase::terminate()
    {59, 2491, 0, 0, Smoke::mf_virtual, 0, 7},	//1431 KFilterBase::reset()
    {59, 2411, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 8},	//1432 KFilterBase::readHeader() [pure virtual]
    {59, 3347, 32, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 9},	//1433 KFilterBase::writeHeader(const QByteArray&) [pure virtual]
    {59, 2849, 1126, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//1434 KFilterBase::setOutBuffer(char*, unsigned int) [pure virtual]
    {59, 2709, 1129, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//1435 KFilterBase::setInBuffer(const char*, unsigned int) [pure virtual]
    {59, 1752, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 12},	//1436 KFilterBase::inBufferEmpty() const
    {59, 1751, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 704, 13},	//1437 KFilterBase::inBufferAvailable() const [pure virtual]
    {59, 2261, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 14},	//1438 KFilterBase::outBufferFull() const
    {59, 2260, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 704, 15},	//1439 KFilterBase::outBufferAvailable() const [pure virtual]
    {59, 3227, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 102, 16},	//1440 KFilterBase::uncompress() [pure virtual]
    {59, 1195, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 102, 17},	//1441 KFilterBase::compress(bool) [pure virtual]
    {59, 2691, 1132, 1, 0, 0, 18},	//1442 KFilterBase::setFilterFlags(KFilterBase::FilterFlags)
    {59, 1532, 0, 0, Smoke::mf_const, 101, 19},	//1443 KFilterBase::filterFlags() const
    {59, 1576, 30, 1, Smoke::mf_static, 100, 20},	//1444 KFilterBase::findFilterByFileName(const QString&)
    {59, 1578, 30, 1, Smoke::mf_static, 100, 21},	//1445 KFilterBase::findFilterByMimeType(const QString&)
    {59, 2657, 1134, 1, 0, 0, 22},	//1446 KFilterBase::setDevice(QIODevice*)
    {59, 2049, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 334, 23},	//1447 KFilterBase::m_dev() const
    {59, 2763, 1134, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 24},	//1448 KFilterBase::setM_dev(QIODevice*)
    {59, 2043, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 25},	//1449 KFilterBase::m_bAutoDel() const
    {59, 2751, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 26},	//1450 KFilterBase::setM_bAutoDel(bool)
    {59, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 27},	//1451 KFilterBase::Ok (enum)
    {59, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 28},	//1452 KFilterBase::End (enum)
    {59, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 29},	//1453 KFilterBase::Error (enum)
    {59, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 30},	//1454 KFilterBase::NoHeaders (enum)
    {59, 839, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 31},	//1455 KFilterBase::WithHeaders (enum)
    {59, 3428, 0, 0, Smoke::mf_dtor, 0, 32 },	//1456 KFilterBase::~KFilterBase()
    {60, 2174, 150, 1, 0, 519, 1},	//1457 KFilterDev::open(QFlags<QIODevice::OpenModeFlag>)
    {60, 1179, 0, 0, 0, 0, 2},	//1458 KFilterDev::close()
    {60, 2845, 32, 1, 0, 0, 3},	//1459 KFilterDev::setOrigFileName(const QByteArray&)
    {60, 2919, 0, 0, 0, 0, 4},	//1460 KFilterDev::setSkipHeaders()
    {60, 2527, 861, 1, 0, 519, 5},	//1461 KFilterDev::seek(long long)
    {60, 1068, 0, 0, Smoke::mf_const, 519, 6},	//1462 KFilterDev::atEnd() const
    {60, 1395, 1136, 3, Smoke::mf_static, 334, 7},	//1463 KFilterDev::deviceForFile(const QString&, const QString&, bool)
    {60, 1392, 1140, 3, Smoke::mf_static, 334, 8},	//1464 KFilterDev::device(QIODevice*, const QString&, bool)
    {60, 2389, 1144, 2, Smoke::mf_protected, 709, 9},	//1465 KFilterDev::readData(char*, long long)
    {60, 3338, 1147, 2, Smoke::mf_protected, 709, 10},	//1466 KFilterDev::writeData(const char*, long long)
    {60, 1395, 30, 1, Smoke::mf_static, 334, 11},	//1467 KFilterDev::deviceForFile(const QString&)
    {60, 1395, 95, 2, Smoke::mf_static, 334, 12},	//1468 KFilterDev::deviceForFile(const QString&, const QString&)
    {60, 1392, 1150, 2, Smoke::mf_static, 334, 13},	//1469 KFilterDev::device(QIODevice*, const QString&)
    {60, 3429, 0, 0, Smoke::mf_dtor, 0, 14 },	//1470 KFilterDev::~KFilterDev()
    {61, 2068, 0, 0, Smoke::mf_static, 536, 1},	//1471 KGlobal::mainComponent()
    {61, 3079, 30, 1, Smoke::mf_static, 676, 2},	//1472 KGlobal::staticQString(const QString&)
    {61, 1151, 0, 0, Smoke::mf_static, 32, 3},	//1473 KGlobal::charsets()
    {61, 2557, 103, 1, Smoke::mf_static, 0, 4},	//1474 KGlobal::setAllowQuit(bool)
    {61, 2449, 0, 0, Smoke::mf_static, 0, 5},	//1475 KGlobal::ref()
    {61, 2741, 1153, 2, Smoke::mf_static, 0, 6},	//1476 KGlobal::setLocale(KLocale*, KGlobal::CopyCatalogs)
    {61, 2741, 1156, 1, Smoke::mf_static, 0, 7},	//1477 KGlobal::setLocale(KLocale*)
    {61, 1406, 0, 0, Smoke::mf_static, 186, 8},	//1478 KGlobal::dirs()
    {61, 3225, 0, 0, Smoke::mf_static, 711, 9},	//1479 KGlobal::umask()
    {61, 1138, 0, 0, Smoke::mf_static, 388, 10},	//1480 KGlobal::caption()
    {61, 2017, 0, 0, Smoke::mf_static, 118, 11},	//1481 KGlobal::locale()
    {61, 1773, 30, 1, Smoke::mf_static, 0, 12},	//1482 KGlobal::insertCatalog(const QString&)
    {61, 1198, 0, 0, Smoke::mf_static, 182, 13},	//1483 KGlobal::config()
    {61, 3079, 122, 1, Smoke::mf_static, 676, 14},	//1484 KGlobal::staticQString(const char*)
    {61, 1710, 0, 0, Smoke::mf_static, 519, 15},	//1485 KGlobal::hasLocale()
    {61, 1564, 1158, 2, Smoke::mf_static, 379, 16},	//1486 KGlobal::findDirectChild_helper(const QObject*, const QMetaObject&)
    {61, 871, 0, 0, Smoke::mf_static, 37, 17},	//1487 KGlobal::activeComponent()
    {61, 2553, 430, 1, Smoke::mf_static, 0, 18},	//1488 KGlobal::setActiveComponent(const KComponentData&)
    {61, 1711, 0, 0, Smoke::mf_static, 519, 19},	//1489 KGlobal::hasMainComponent()
    {61, 1373, 0, 0, Smoke::mf_static, 0, 20},	//1490 KGlobal::deref()
    {61, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 21},	//1491 KGlobal::DoCopyCatalogs (enum)
    {61, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 22},	//1492 KGlobal::DontCopyCatalogs (enum)
    {62, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//1493 KJob::metaObject() const
    {62, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//1494 KJob::qt_metacast(const char*)
    {62, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1495 KJob::tr(const char*, const char*)
    {62, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1496 KJob::trUtf8(const char*, const char*)
    {62, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1497 KJob::tr(const char*, const char*, int)
    {62, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1498 KJob::trUtf8(const char*, const char*, int)
    {62, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//1499 KJob::qt_metacall(QMetaObject::Call, int, void**)
    {62, 380, 146, 1, Smoke::mf_ctor, 104, 8},	//1500 KJob::KJob(QObject*)
    {62, 2956, 1161, 1, 0, 0, 9},	//1501 KJob::setUiDelegate(KJobUiDelegate*)
    {62, 3223, 0, 0, Smoke::mf_const, 110, 10},	//1502 KJob::uiDelegate() const
    {62, 1136, 0, 0, Smoke::mf_const, 283, 11},	//1503 KJob::capabilities() const
    {62, 1893, 0, 0, Smoke::mf_const, 519, 12},	//1504 KJob::isSuspended() const
    {62, 3020, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1505 KJob::start() [pure virtual]
    {62, 1968, 1163, 1, Smoke::mf_slot, 519, 14},	//1506 KJob::kill(KJob::KillVerbosity)
    {62, 3111, 0, 0, Smoke::mf_slot, 519, 15},	//1507 KJob::suspend()
    {62, 2504, 0, 0, Smoke::mf_slot, 519, 16},	//1508 KJob::resume()
    {62, 1411, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 519, 17},	//1509 KJob::doKill()
    {62, 1413, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 519, 18},	//1510 KJob::doSuspend()
    {62, 1412, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 519, 19},	//1511 KJob::doResume()
    {62, 2588, 1165, 1, Smoke::mf_protected, 0, 20},	//1512 KJob::setCapabilities(QFlags<KJob::Capability>)
    {62, 1475, 0, 0, 0, 519, 21},	//1513 KJob::exec()
    {62, 1463, 0, 0, Smoke::mf_const, 704, 22},	//1514 KJob::error() const
    {62, 1468, 0, 0, Smoke::mf_const, 388, 23},	//1515 KJob::errorText() const
    {62, 1466, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 388, 24},	//1516 KJob::errorString() const
    {62, 2319, 1167, 1, Smoke::mf_const, 725, 25},	//1517 KJob::processedAmount(KJob::Unit) const
    {62, 3176, 1167, 1, Smoke::mf_const, 725, 26},	//1518 KJob::totalAmount(KJob::Unit) const
    {62, 2283, 0, 0, Smoke::mf_const, 724, 27},	//1519 KJob::percent() const
    {62, 2568, 103, 1, 0, 0, 28},	//1520 KJob::setAutoDelete(bool)
    {62, 1809, 0, 0, Smoke::mf_const, 519, 29},	//1521 KJob::isAutoDelete() const
    {62, 1374, 1169, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1522 KJob::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {62, 1757, 447, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1523 KJob::infoMessage(KJob*, const QString&, const QString&)
    {62, 3296, 447, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1524 KJob::warning(KJob*, const QString&, const QString&)
    {62, 2672, 118, 1, Smoke::mf_protected, 0, 33},	//1525 KJob::setError(int)
    {62, 2678, 30, 1, Smoke::mf_protected, 0, 34},	//1526 KJob::setErrorText(const QString&)
    {62, 2877, 1174, 2, Smoke::mf_protected, 0, 35},	//1527 KJob::setProcessedAmount(KJob::Unit, unsigned long long)
    {62, 2946, 1174, 2, Smoke::mf_protected, 0, 36},	//1528 KJob::setTotalAmount(KJob::Unit, unsigned long long)
    {62, 2861, 1177, 1, Smoke::mf_protected, 0, 37},	//1529 KJob::setPercent(unsigned long)
    {62, 1423, 0, 0, Smoke::mf_protected, 0, 38},	//1530 KJob::emitResult()
    {62, 1421, 1179, 2, Smoke::mf_protected, 0, 39},	//1531 KJob::emitPercent(unsigned long long, unsigned long long)
    {62, 1424, 1177, 1, Smoke::mf_protected, 0, 40},	//1532 KJob::emitSpeed(unsigned long)
    {62, 380, 1182, 2, Smoke::mf_ctor|Smoke::mf_protected, 104, 41},	//1533 KJob::KJob(KJobPrivate&, QObject*)
    {62, 3179, 122, 1, Smoke::mf_static, 388, 42},	//1534 KJob::tr(const char*)
    {62, 3186, 122, 1, Smoke::mf_static, 388, 43},	//1535 KJob::trUtf8(const char*)
    {62, 380, 0, 0, Smoke::mf_ctor, 104, 44},	//1536 KJob::KJob()
    {62, 1968, 0, 0, Smoke::mf_slot, 519, 45},	//1537 KJob::kill()
    {62, 1374, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1538 KJob::description(KJob*, const QString&)
    {62, 1374, 1188, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1539 KJob::description(KJob*, const QString&, const QPair<QString,QString>&)
    {62, 1757, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1540 KJob::infoMessage(KJob*, const QString&)
    {62, 3296, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1541 KJob::warning(KJob*, const QString&)
    {62, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 50},	//1542 KJob::staticMetaObject() const
    {62, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 51},	//1543 KJob::Bytes (enum)
    {62, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 52},	//1544 KJob::Files (enum)
    {62, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 53},	//1545 KJob::Directories (enum)
    {62, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 54},	//1546 KJob::NoCapabilities (enum)
    {62, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 55},	//1547 KJob::Killable (enum)
    {62, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 56},	//1548 KJob::Suspendable (enum)
    {62, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 57},	//1549 KJob::Quietly (enum)
    {62, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 58},	//1550 KJob::EmitResult (enum)
    {62, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 59},	//1551 KJob::NoError (enum)
    {62, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 60},	//1552 KJob::KilledJobError (enum)
    {62, 833, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 61},	//1553 KJob::UserDefinedError (enum)
    {62, 3430, 0, 0, Smoke::mf_dtor, 0, 62 },	//1554 KJob::~KJob()
    {64, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//1555 KJobTrackerInterface::metaObject() const
    {64, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//1556 KJobTrackerInterface::qt_metacast(const char*)
    {64, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1557 KJobTrackerInterface::tr(const char*, const char*)
    {64, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1558 KJobTrackerInterface::trUtf8(const char*, const char*)
    {64, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1559 KJobTrackerInterface::tr(const char*, const char*, int)
    {64, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1560 KJobTrackerInterface::trUtf8(const char*, const char*, int)
    {64, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//1561 KJobTrackerInterface::qt_metacall(QMetaObject::Call, int, void**)
    {64, 383, 146, 1, Smoke::mf_ctor, 109, 8},	//1562 KJobTrackerInterface::KJobTrackerInterface(QObject*)
    {64, 2453, 445, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 9},	//1563 KJobTrackerInterface::registerJob(KJob*)
    {64, 3233, 445, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 10},	//1564 KJobTrackerInterface::unregisterJob(KJob*)
    {64, 1589, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//1565 KJobTrackerInterface::finished(KJob*)
    {64, 3112, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//1566 KJobTrackerInterface::suspended(KJob*)
    {64, 2505, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1567 KJobTrackerInterface::resumed(KJob*)
    {64, 1374, 1169, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1568 KJobTrackerInterface::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {64, 1757, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1569 KJobTrackerInterface::infoMessage(KJob*, const QString&, const QString&)
    {64, 3296, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//1570 KJobTrackerInterface::warning(KJob*, const QString&, const QString&)
    {64, 3176, 1192, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 17},	//1571 KJobTrackerInterface::totalAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2319, 1192, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//1572 KJobTrackerInterface::processedAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2283, 1196, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1573 KJobTrackerInterface::percent(KJob*, unsigned long)
    {64, 3004, 1196, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1574 KJobTrackerInterface::speed(KJob*, unsigned long)
    {64, 3179, 122, 1, Smoke::mf_static, 388, 21},	//1575 KJobTrackerInterface::tr(const char*)
    {64, 3186, 122, 1, Smoke::mf_static, 388, 22},	//1576 KJobTrackerInterface::trUtf8(const char*)
    {64, 383, 0, 0, Smoke::mf_ctor, 109, 23},	//1577 KJobTrackerInterface::KJobTrackerInterface()
    {64, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 24},	//1578 KJobTrackerInterface::staticMetaObject() const
    {64, 3431, 0, 0, Smoke::mf_dtor, 0, 25 },	//1579 KJobTrackerInterface::~KJobTrackerInterface()
    {65, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//1580 KJobUiDelegate::metaObject() const
    {65, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//1581 KJobUiDelegate::qt_metacast(const char*)
    {65, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1582 KJobUiDelegate::tr(const char*, const char*)
    {65, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1583 KJobUiDelegate::trUtf8(const char*, const char*)
    {65, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1584 KJobUiDelegate::tr(const char*, const char*, int)
    {65, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1585 KJobUiDelegate::trUtf8(const char*, const char*, int)
    {65, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//1586 KJobUiDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {65, 385, 0, 0, Smoke::mf_ctor, 110, 8},	//1587 KJobUiDelegate::KJobUiDelegate()
    {65, 1913, 0, 0, Smoke::mf_protected, 104, 9},	//1588 KJobUiDelegate::job()
    {65, 2985, 0, 0, Smoke::mf_virtual, 0, 10},	//1589 KJobUiDelegate::showErrorMessage()
    {65, 2572, 103, 1, 0, 0, 11},	//1590 KJobUiDelegate::setAutoErrorHandlingEnabled(bool)
    {65, 1810, 0, 0, Smoke::mf_const, 519, 12},	//1591 KJobUiDelegate::isAutoErrorHandlingEnabled() const
    {65, 2576, 103, 1, 0, 0, 13},	//1592 KJobUiDelegate::setAutoWarningHandlingEnabled(bool)
    {65, 1811, 0, 0, Smoke::mf_const, 519, 14},	//1593 KJobUiDelegate::isAutoWarningHandlingEnabled() const
    {65, 3000, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1594 KJobUiDelegate::slotWarning(KJob*, const QString&, const QString&)
    {65, 3179, 122, 1, Smoke::mf_static, 388, 16},	//1595 KJobUiDelegate::tr(const char*)
    {65, 3186, 122, 1, Smoke::mf_static, 388, 17},	//1596 KJobUiDelegate::trUtf8(const char*)
    {65, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 18},	//1597 KJobUiDelegate::staticMetaObject() const
    {65, 3432, 0, 0, Smoke::mf_dtor, 0, 19 },	//1598 KJobUiDelegate::~KJobUiDelegate()
    {66, 2090, 0, 0, Smoke::mf_const, 661, 1},	//1599 KLibLoader::metaObject() const
    {66, 2354, 122, 1, 0, 729, 2},	//1600 KLibLoader::qt_metacast(const char*)
    {66, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1601 KLibLoader::tr(const char*, const char*)
    {66, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1602 KLibLoader::trUtf8(const char*, const char*)
    {66, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1603 KLibLoader::tr(const char*, const char*, int)
    {66, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1604 KLibLoader::trUtf8(const char*, const char*, int)
    {66, 2352, 131, 3, 0, 704, 7},	//1605 KLibLoader::qt_metacall(QMetaObject::Call, int, void**)
    {66, 1516, 1199, 2, 0, 151, 8},	//1606 KLibLoader::factory(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1997, 1199, 2, 0, 113, 9},	//1607 KLibLoader::library(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1989, 0, 0, Smoke::mf_const, 388, 10},	//1608 KLibLoader::lastErrorMessage() const
    {66, 3230, 30, 1, 0, 0, 11},	//1609 KLibLoader::unloadLibrary(const QString&)
    {66, 2529, 0, 0, Smoke::mf_static, 111, 12},	//1610 KLibLoader::self()
    {66, 1582, 1202, 2, Smoke::mf_static, 388, 13},	//1611 KLibLoader::findLibrary(const QString&, const KComponentData&)
    {66, 1466, 118, 1, Smoke::mf_static, 388, 14},	//1612 KLibLoader::errorString(int)
    {66, 3179, 122, 1, Smoke::mf_static, 388, 15},	//1613 KLibLoader::tr(const char*)
    {66, 3186, 122, 1, Smoke::mf_static, 388, 16},	//1614 KLibLoader::trUtf8(const char*)
    {66, 1516, 30, 1, 0, 151, 17},	//1615 KLibLoader::factory(const QString&)
    {66, 1997, 30, 1, 0, 113, 18},	//1616 KLibLoader::library(const QString&)
    {66, 1582, 30, 1, Smoke::mf_static, 388, 19},	//1617 KLibLoader::findLibrary(const QString&)
    {66, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 20},	//1618 KLibLoader::staticMetaObject() const
    {66, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 21},	//1619 KLibLoader::ErrNoLibrary (enum)
    {66, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 22},	//1620 KLibLoader::ErrNoFactory (enum)
    {66, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 23},	//1621 KLibLoader::ErrNoComponent (enum)
    {66, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 24},	//1622 KLibLoader::ErrServiceProvidesNoLibrary (enum)
    {66, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 25},	//1623 KLibLoader::ErrNoServiceFound (enum)
    {67, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//1624 KLibrary::metaObject() const
    {67, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//1625 KLibrary::qt_metacast(const char*)
    {67, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1626 KLibrary::tr(const char*, const char*)
    {67, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1627 KLibrary::trUtf8(const char*, const char*)
    {67, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1628 KLibrary::tr(const char*, const char*, int)
    {67, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1629 KLibrary::trUtf8(const char*, const char*, int)
    {67, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//1630 KLibrary::qt_metacall(QMetaObject::Call, int, void**)
    {67, 386, 146, 1, Smoke::mf_ctor, 113, 8},	//1631 KLibrary::KLibrary(QObject*)
    {67, 386, 1205, 3, Smoke::mf_ctor, 113, 9},	//1632 KLibrary::KLibrary(const QString&, const KComponentData&, QObject*)
    {67, 386, 1209, 4, Smoke::mf_ctor, 113, 10},	//1633 KLibrary::KLibrary(const QString&, int, const KComponentData&, QObject*)
    {67, 1516, 122, 1, 0, 151, 11},	//1634 KLibrary::factory(const char*)
    {67, 2497, 122, 1, 0, 729, 12},	//1635 KLibrary::resolveSymbol(const char*)
    {67, 2495, 122, 1, 0, 728, 13},	//1636 KLibrary::resolveFunction(const char*)
    {67, 2688, 1202, 2, 0, 0, 14},	//1637 KLibrary::setFileName(const QString&, const KComponentData&)
    {67, 3229, 0, 0, 0, 519, 15},	//1638 KLibrary::unload()
    {67, 3179, 122, 1, Smoke::mf_static, 388, 16},	//1639 KLibrary::tr(const char*)
    {67, 3186, 122, 1, Smoke::mf_static, 388, 17},	//1640 KLibrary::trUtf8(const char*)
    {67, 386, 0, 0, Smoke::mf_ctor, 113, 18},	//1641 KLibrary::KLibrary()
    {67, 386, 30, 1, Smoke::mf_ctor, 113, 19},	//1642 KLibrary::KLibrary(const QString&)
    {67, 386, 1202, 2, Smoke::mf_ctor, 113, 20},	//1643 KLibrary::KLibrary(const QString&, const KComponentData&)
    {67, 386, 1014, 2, Smoke::mf_ctor, 113, 21},	//1644 KLibrary::KLibrary(const QString&, int)
    {67, 386, 1214, 3, Smoke::mf_ctor, 113, 22},	//1645 KLibrary::KLibrary(const QString&, int, const KComponentData&)
    {67, 1516, 0, 0, 0, 151, 23},	//1646 KLibrary::factory()
    {67, 2688, 30, 1, 0, 0, 24},	//1647 KLibrary::setFileName(const QString&)
    {67, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 25},	//1648 KLibrary::staticMetaObject() const
    {67, 3433, 0, 0, Smoke::mf_dtor, 0, 26 },	//1649 KLibrary::~KLibrary()
    {68, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//1650 KLocalSocket::metaObject() const
    {68, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//1651 KLocalSocket::qt_metacast(const char*)
    {68, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1652 KLocalSocket::tr(const char*, const char*)
    {68, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1653 KLocalSocket::trUtf8(const char*, const char*)
    {68, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1654 KLocalSocket::tr(const char*, const char*, int)
    {68, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1655 KLocalSocket::trUtf8(const char*, const char*, int)
    {68, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//1656 KLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 394, 146, 1, Smoke::mf_ctor, 114, 8},	//1657 KLocalSocket::KLocalSocket(QObject*)
    {68, 1210, 1218, 2, 0, 0, 9},	//1658 KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {68, 1210, 1221, 3, 0, 0, 10},	//1659 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>)
    {68, 1409, 0, 0, 0, 0, 11},	//1660 KLocalSocket::disconnectFromPath()
    {68, 2016, 0, 0, Smoke::mf_const, 115, 12},	//1661 KLocalSocket::localSocketType() const
    {68, 2015, 0, 0, Smoke::mf_const, 388, 13},	//1662 KLocalSocket::localPath() const
    {68, 2282, 0, 0, Smoke::mf_const, 388, 14},	//1663 KLocalSocket::peerPath() const
    {68, 1208, 1225, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//1664 KLocalSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {68, 1408, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1665 KLocalSocket::disconnectFromHostImplementation()
    {68, 3179, 122, 1, Smoke::mf_static, 388, 17},	//1666 KLocalSocket::tr(const char*)
    {68, 3186, 122, 1, Smoke::mf_static, 388, 18},	//1667 KLocalSocket::trUtf8(const char*)
    {68, 394, 0, 0, Smoke::mf_ctor, 114, 19},	//1668 KLocalSocket::KLocalSocket()
    {68, 1210, 30, 1, 0, 0, 20},	//1669 KLocalSocket::connectToPath(const QString&)
    {68, 1210, 1229, 2, 0, 0, 21},	//1670 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    {68, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 22},	//1671 KLocalSocket::staticMetaObject() const
    {68, 819, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 23},	//1672 KLocalSocket::UnixSocket (enum)
    {68, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 24},	//1673 KLocalSocket::AbstractUnixSocket (enum)
    {68, 822, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 25},	//1674 KLocalSocket::UnknownLocalSocketType (enum)
    {68, 3434, 0, 0, Smoke::mf_dtor, 0, 26 },	//1675 KLocalSocket::~KLocalSocket()
    {69, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//1676 KLocalSocketServer::metaObject() const
    {69, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//1677 KLocalSocketServer::qt_metacast(const char*)
    {69, 3179, 124, 2, Smoke::mf_static, 388, 3},	//1678 KLocalSocketServer::tr(const char*, const char*)
    {69, 3186, 124, 2, Smoke::mf_static, 388, 4},	//1679 KLocalSocketServer::trUtf8(const char*, const char*)
    {69, 3179, 127, 3, Smoke::mf_static, 388, 5},	//1680 KLocalSocketServer::tr(const char*, const char*, int)
    {69, 3186, 127, 3, Smoke::mf_static, 388, 6},	//1681 KLocalSocketServer::trUtf8(const char*, const char*, int)
    {69, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//1682 KLocalSocketServer::qt_metacall(QMetaObject::Call, int, void**)
    {69, 396, 146, 1, Smoke::mf_ctor, 116, 8},	//1683 KLocalSocketServer::KLocalSocketServer(QObject*)
    {69, 2004, 1229, 2, 0, 519, 9},	//1684 KLocalSocketServer::listen(const QString&, KLocalSocket::LocalSocketType)
    {69, 1179, 0, 0, 0, 0, 10},	//1685 KLocalSocketServer::close()
    {69, 1862, 0, 0, Smoke::mf_const, 519, 11},	//1686 KLocalSocketServer::isListening() const
    {69, 2809, 118, 1, 0, 0, 12},	//1687 KLocalSocketServer::setMaxPendingConnections(int)
    {69, 2079, 0, 0, Smoke::mf_const, 704, 13},	//1688 KLocalSocketServer::maxPendingConnections() const
    {69, 2016, 0, 0, Smoke::mf_const, 115, 14},	//1689 KLocalSocketServer::localSocketType() const
    {69, 2015, 0, 0, Smoke::mf_const, 388, 15},	//1690 KLocalSocketServer::localPath() const
    {69, 3290, 1232, 2, 0, 519, 16},	//1691 KLocalSocketServer::waitForNewConnection(int, bool*)
    {69, 1723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 17},	//1692 KLocalSocketServer::hasPendingConnections() const
    {69, 2148, 0, 0, Smoke::mf_virtual, 114, 18},	//1693 KLocalSocketServer::nextPendingConnection()
    {69, 2531, 0, 0, Smoke::mf_const, 245, 19},	//1694 KLocalSocketServer::serverError() const
    {69, 1466, 0, 0, Smoke::mf_const, 388, 20},	//1695 KLocalSocketServer::errorString() const
    {69, 1755, 118, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1696 KLocalSocketServer::incomingConnection(int)
    {69, 2143, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1697 KLocalSocketServer::newConnection()
    {69, 3179, 122, 1, Smoke::mf_static, 388, 23},	//1698 KLocalSocketServer::tr(const char*)
    {69, 3186, 122, 1, Smoke::mf_static, 388, 24},	//1699 KLocalSocketServer::trUtf8(const char*)
    {69, 396, 0, 0, Smoke::mf_ctor, 116, 25},	//1700 KLocalSocketServer::KLocalSocketServer()
    {69, 2004, 30, 1, 0, 519, 26},	//1701 KLocalSocketServer::listen(const QString&)
    {69, 3290, 0, 0, 0, 519, 27},	//1702 KLocalSocketServer::waitForNewConnection()
    {69, 3290, 118, 1, 0, 519, 28},	//1703 KLocalSocketServer::waitForNewConnection(int)
    {69, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 29},	//1704 KLocalSocketServer::staticMetaObject() const
    {69, 3435, 0, 0, Smoke::mf_dtor, 0, 30 },	//1705 KLocalSocketServer::~KLocalSocketServer()
    {70, 398, 310, 2, Smoke::mf_ctor, 118, 1},	//1706 KLocale::KLocale(const QString&, KSharedPtr<KSharedConfig>)
    {70, 398, 1235, 4, Smoke::mf_ctor, 118, 2},	//1707 KLocale::KLocale(const QString&, const QString&, const QString&, KConfig*)
    {70, 398, 1240, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 3},	//1708 KLocale::KLocale(const KLocale&)
    {70, 2227, 1240, 1, 0, 117, 4},	//1709 KLocale::operator=(const KLocale&)
    {70, 3215, 1242, 4, Smoke::mf_const, 0, 5},	//1710 KLocale::translateRawFrom(const char*, const char*, QString*, QString*) const
    {70, 3210, 1247, 3, Smoke::mf_const, 0, 6},	//1711 KLocale::translateRaw(const char*, QString*, QString*) const
    {70, 3215, 1251, 5, Smoke::mf_const, 0, 7},	//1712 KLocale::translateRawFrom(const char*, const char*, const char*, QString*, QString*) const
    {70, 3210, 1242, 4, Smoke::mf_const, 0, 8},	//1713 KLocale::translateRaw(const char*, const char*, QString*, QString*) const
    {70, 3215, 1257, 6, Smoke::mf_const, 0, 9},	//1714 KLocale::translateRawFrom(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3210, 1264, 5, Smoke::mf_const, 0, 10},	//1715 KLocale::translateRaw(const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3215, 1270, 7, Smoke::mf_const, 0, 11},	//1716 KLocale::translateRawFrom(const char*, const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3210, 1257, 6, Smoke::mf_const, 0, 12},	//1717 KLocale::translateRaw(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 2666, 118, 1, 0, 519, 13},	//1718 KLocale::setEncoding(int)
    {70, 1400, 1278, 2, Smoke::mf_const, 388, 14},	//1719 KLocale::digitSetToName(KLocale::DigitSet, bool) const
    {70, 1037, 0, 0, Smoke::mf_const, 349, 15},	//1720 KLocale::allDigitSetsList() const
    {70, 1337, 0, 0, Smoke::mf_const, 388, 16},	//1721 KLocale::decimalSymbol() const
    {70, 3140, 0, 0, Smoke::mf_const, 388, 17},	//1722 KLocale::thousandsSeparator() const
    {70, 1399, 0, 0, Smoke::mf_const, 128, 18},	//1723 KLocale::digitSet() const
    {70, 1254, 0, 0, Smoke::mf_const, 388, 19},	//1724 KLocale::currencyCode() const
    {70, 1253, 0, 0, Smoke::mf_const, 78, 20},	//1725 KLocale::currency() const
    {70, 1259, 0, 0, Smoke::mf_const, 388, 21},	//1726 KLocale::currencySymbol() const
    {70, 2108, 0, 0, Smoke::mf_const, 388, 22},	//1727 KLocale::monetaryDecimalSymbol() const
    {70, 2110, 0, 0, Smoke::mf_const, 388, 23},	//1728 KLocale::monetaryThousandsSeparator() const
    {70, 2303, 0, 0, Smoke::mf_const, 388, 24},	//1729 KLocale::positiveSign() const
    {70, 2142, 0, 0, Smoke::mf_const, 388, 25},	//1730 KLocale::negativeSign() const
    {70, 1636, 0, 0, Smoke::mf_const, 704, 26},	//1731 KLocale::fracDigits() const
    {70, 1336, 0, 0, Smoke::mf_const, 704, 27},	//1732 KLocale::decimalPlaces() const
    {70, 2107, 0, 0, Smoke::mf_const, 704, 28},	//1733 KLocale::monetaryDecimalPlaces() const
    {70, 2302, 0, 0, Smoke::mf_const, 519, 29},	//1734 KLocale::positivePrefixCurrencySymbol() const
    {70, 2141, 0, 0, Smoke::mf_const, 519, 30},	//1735 KLocale::negativePrefixCurrencySymbol() const
    {70, 2301, 0, 0, Smoke::mf_const, 132, 31},	//1736 KLocale::positiveMonetarySignPosition() const
    {70, 2140, 0, 0, Smoke::mf_const, 132, 32},	//1737 KLocale::negativeMonetarySignPosition() const
    {70, 2109, 0, 0, Smoke::mf_const, 128, 33},	//1738 KLocale::monetaryDigitSet() const
    {70, 1624, 1281, 3, Smoke::mf_const, 388, 34},	//1739 KLocale::formatMoney(double, const QString&, int) const
    {70, 1628, 1285, 2, Smoke::mf_const, 388, 35},	//1740 KLocale::formatNumber(double, int) const
    {70, 1628, 1288, 3, Smoke::mf_const, 388, 36},	//1741 KLocale::formatNumber(const QString&, bool, int) const
    {70, 1622, 1292, 1, Smoke::mf_const, 388, 37},	//1742 KLocale::formatLong(long) const
    {70, 1603, 798, 1, Smoke::mf_const, 388, 38},	//1743 KLocale::formatByteSize(double) const
    {70, 1603, 1294, 4, Smoke::mf_const, 388, 39},	//1744 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits) const
    {70, 1111, 0, 0, Smoke::mf_const, 120, 40},	//1745 KLocale::binaryUnitDialect() const
    {70, 2580, 1299, 1, 0, 0, 41},	//1746 KLocale::setBinaryUnitDialect(KLocale::BinaryUnitDialect)
    {70, 1617, 1177, 1, Smoke::mf_const, 388, 42},	//1747 KLocale::formatDuration(unsigned long) const
    {70, 2309, 1177, 1, Smoke::mf_const, 388, 43},	//1748 KLocale::prettyFormatDuration(unsigned long) const
    {70, 2152, 0, 0, Smoke::mf_const, 519, 44},	//1749 KLocale::nounDeclension() const
    {70, 1608, 263, 2, Smoke::mf_const, 388, 45},	//1750 KLocale::formatDate(const QDate&, KLocale::DateFormat) const
    {70, 1613, 1301, 3, Smoke::mf_const, 388, 46},	//1751 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    {70, 1613, 1305, 3, Smoke::mf_const, 388, 47},	//1752 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    {70, 1289, 0, 0, Smoke::mf_const, 519, 48},	//1753 KLocale::dateMonthNamePossessive() const
    {70, 1632, 1309, 3, Smoke::mf_const, 388, 49},	//1754 KLocale::formatTime(const QTime&, bool, bool) const
    {70, 1619, 1313, 2, Smoke::mf_const, 388, 50},	//1755 KLocale::formatLocaleTime(const QTime&, QFlags<KLocale::TimeFormatOption>) const
    {70, 1292, 0, 0, Smoke::mf_const, 128, 51},	//1756 KLocale::dateTimeDigitSet() const
    {70, 3253, 0, 0, Smoke::mf_const, 519, 52},	//1757 KLocale::use12Clock() const
    {70, 1307, 1316, 2, Smoke::mf_const, 388, 53},	//1758 KLocale::dayPeriodText(const QTime&, KLocale::DateTimeComponentFormat) const
    {70, 3320, 0, 0, Smoke::mf_const, 704, 54},	//1759 KLocale::weekStartDay() const
    {70, 3335, 0, 0, Smoke::mf_const, 704, 55},	//1760 KLocale::workingWeekStartDay() const
    {70, 3334, 0, 0, Smoke::mf_const, 704, 56},	//1761 KLocale::workingWeekEndDay() const
    {70, 3312, 0, 0, Smoke::mf_const, 704, 57},	//1762 KLocale::weekDayOfPray() const
    {70, 1120, 0, 0, Smoke::mf_const, 531, 58},	//1763 KLocale::calendar() const
    {70, 1130, 0, 0, Smoke::mf_const, 388, 59},	//1764 KLocale::calendarType() const
    {70, 1124, 0, 0, Smoke::mf_const, 121, 60},	//1765 KLocale::calendarSystem() const
    {70, 2584, 30, 1, 0, 0, 61},	//1766 KLocale::setCalendar(const QString&)
    {70, 2586, 177, 1, 0, 0, 62},	//1767 KLocale::setCalendarSystem(KLocale::CalendarSystem)
    {70, 2966, 1319, 1, 0, 0, 63},	//1768 KLocale::setWeekNumberSystem(KLocale::WeekNumberSystem)
    {70, 3319, 0, 0, 0, 135, 64},	//1769 KLocale::weekNumberSystem()
    {70, 3319, 0, 0, Smoke::mf_const, 135, 65},	//1770 KLocale::weekNumberSystem() const
    {70, 2421, 280, 2, Smoke::mf_const, 700, 66},	//1771 KLocale::readMoney(const QString&, bool*) const
    {70, 2425, 280, 2, Smoke::mf_const, 700, 67},	//1772 KLocale::readNumber(const QString&, bool*) const
    {70, 2391, 280, 2, Smoke::mf_const, 266, 68},	//1773 KLocale::readDate(const QString&, bool*) const
    {70, 2391, 287, 3, Smoke::mf_const, 266, 69},	//1774 KLocale::readDate(const QString&, const QString&, bool*) const
    {70, 2391, 283, 3, Smoke::mf_const, 266, 70},	//1775 KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {70, 2432, 280, 2, Smoke::mf_const, 405, 71},	//1776 KLocale::readTime(const QString&, bool*) const
    {70, 2432, 1321, 3, Smoke::mf_const, 405, 72},	//1777 KLocale::readTime(const QString&, KLocale::ReadTimeFlags, bool*) const
    {70, 2416, 1325, 4, Smoke::mf_const, 405, 73},	//1778 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>) const
    {70, 1977, 0, 0, Smoke::mf_const, 388, 74},	//1779 KLocale::language() const
    {70, 1230, 0, 0, Smoke::mf_const, 388, 75},	//1780 KLocale::country() const
    {70, 1234, 0, 0, Smoke::mf_const, 388, 76},	//1781 KLocale::countryDivisionCode() const
    {70, 1982, 0, 0, Smoke::mf_const, 393, 77},	//1782 KLocale::languageList() const
    {70, 1255, 0, 0, Smoke::mf_const, 393, 78},	//1783 KLocale::currencyCodeList() const
    {70, 1435, 0, 0, Smoke::mf_const, 616, 79},	//1784 KLocale::encoding() const
    {70, 1439, 0, 0, Smoke::mf_const, 704, 80},	//1785 KLocale::encodingMib() const
    {70, 1183, 0, 0, Smoke::mf_const, 398, 81},	//1786 KLocale::codecForEncoding() const
    {70, 1527, 0, 0, Smoke::mf_const, 704, 82},	//1787 KLocale::fileEncodingMib() const
    {70, 2629, 30, 1, 0, 0, 83},	//1788 KLocale::setDateFormat(const QString&)
    {70, 2631, 30, 1, 0, 0, 84},	//1789 KLocale::setDateFormatShort(const QString&)
    {70, 2635, 103, 1, 0, 0, 85},	//1790 KLocale::setDateMonthNamePossessive(bool)
    {70, 2938, 30, 1, 0, 0, 86},	//1791 KLocale::setTimeFormat(const QString&)
    {70, 2641, 1330, 1, 0, 0, 87},	//1792 KLocale::setDateTimeDigitSet(KLocale::DigitSet)
    {70, 2968, 118, 1, 0, 0, 88},	//1793 KLocale::setWeekStartDay(int)
    {70, 2974, 118, 1, 0, 0, 89},	//1794 KLocale::setWorkingWeekStartDay(int)
    {70, 2972, 118, 1, 0, 0, 90},	//1795 KLocale::setWorkingWeekEndDay(int)
    {70, 2964, 118, 1, 0, 0, 91},	//1796 KLocale::setWeekDayOfPray(int)
    {70, 1286, 0, 0, Smoke::mf_const, 388, 92},	//1797 KLocale::dateFormat() const
    {70, 1287, 0, 0, Smoke::mf_const, 388, 93},	//1798 KLocale::dateFormatShort() const
    {70, 3144, 0, 0, Smoke::mf_const, 388, 94},	//1799 KLocale::timeFormat() const
    {70, 2645, 30, 1, 0, 0, 95},	//1800 KLocale::setDecimalSymbol(const QString&)
    {70, 2934, 30, 1, 0, 0, 96},	//1801 KLocale::setThousandsSeparator(const QString&)
    {70, 2871, 30, 1, 0, 0, 97},	//1802 KLocale::setPositiveSign(const QString&)
    {70, 2837, 30, 1, 0, 0, 98},	//1803 KLocale::setNegativeSign(const QString&)
    {70, 2660, 1330, 1, 0, 0, 99},	//1804 KLocale::setDigitSet(KLocale::DigitSet)
    {70, 2867, 1332, 1, 0, 0, 100},	//1805 KLocale::setPositiveMonetarySignPosition(KLocale::SignPosition)
    {70, 2833, 1332, 1, 0, 0, 101},	//1806 KLocale::setNegativeMonetarySignPosition(KLocale::SignPosition)
    {70, 2869, 103, 1, 0, 0, 102},	//1807 KLocale::setPositivePrefixCurrencySymbol(bool)
    {70, 2835, 103, 1, 0, 0, 103},	//1808 KLocale::setNegativePrefixCurrencySymbol(bool)
    {70, 2695, 118, 1, 0, 0, 104},	//1809 KLocale::setFracDigits(int)
    {70, 2643, 118, 1, 0, 0, 105},	//1810 KLocale::setDecimalPlaces(int)
    {70, 2823, 118, 1, 0, 0, 106},	//1811 KLocale::setMonetaryDecimalPlaces(int)
    {70, 2829, 30, 1, 0, 0, 107},	//1812 KLocale::setMonetaryThousandsSeparator(const QString&)
    {70, 2825, 30, 1, 0, 0, 108},	//1813 KLocale::setMonetaryDecimalSymbol(const QString&)
    {70, 2608, 30, 1, 0, 0, 109},	//1814 KLocale::setCurrencyCode(const QString&)
    {70, 2610, 30, 1, 0, 0, 110},	//1815 KLocale::setCurrencySymbol(const QString&)
    {70, 2827, 1330, 1, 0, 0, 111},	//1816 KLocale::setMonetaryDigitSet(KLocale::DigitSet)
    {70, 2264, 0, 0, Smoke::mf_const, 704, 112},	//1817 KLocale::pageSize() const
    {70, 2853, 118, 1, 0, 0, 113},	//1818 KLocale::setPageSize(int)
    {70, 2085, 0, 0, Smoke::mf_const, 129, 114},	//1819 KLocale::measureSystem() const
    {70, 2813, 1334, 1, 0, 0, 115},	//1820 KLocale::setMeasureSystem(KLocale::MeasureSystem)
    {70, 1773, 30, 1, 0, 0, 116},	//1821 KLocale::insertCatalog(const QString&)
    {70, 2469, 30, 1, 0, 0, 117},	//1822 KLocale::removeCatalog(const QString&)
    {70, 2551, 30, 1, 0, 0, 118},	//1823 KLocale::setActiveCatalog(const QString&)
    {70, 3208, 1336, 3, Smoke::mf_const, 388, 119},	//1824 KLocale::translateQt(const char*, const char*, const char*) const
    {70, 1040, 0, 0, Smoke::mf_const, 393, 120},	//1825 KLocale::allLanguagesList() const
    {70, 1777, 0, 0, Smoke::mf_const, 393, 121},	//1826 KLocale::installedLanguages() const
    {70, 1978, 30, 1, Smoke::mf_const, 388, 122},	//1827 KLocale::languageCodeToName(const QString&) const
    {70, 1034, 0, 0, Smoke::mf_const, 393, 123},	//1828 KLocale::allCountriesList() const
    {70, 1232, 30, 1, Smoke::mf_const, 388, 124},	//1829 KLocale::countryCodeToName(const QString&) const
    {70, 3014, 1340, 5, Smoke::mf_static, 0, 125},	//1830 KLocale::splitLocale(const QString&, QString&, QString&, QString&, QString&)
    {70, 2801, 122, 1, Smoke::mf_static, 0, 126},	//1831 KLocale::setMainCatalog(const char*)
    {70, 1974, 524, 2, Smoke::mf_static, 388, 127},	//1832 KLocale::langLookup(const QString&, const char*)
    {70, 1352, 0, 0, Smoke::mf_static, 388, 128},	//1833 KLocale::defaultLanguage()
    {70, 1350, 0, 0, Smoke::mf_static, 388, 129},	//1834 KLocale::defaultCountry()
    {70, 1351, 0, 0, Smoke::mf_static, 388, 130},	//1835 KLocale::defaultCurrencyCode()
    {70, 3256, 0, 0, Smoke::mf_const, 519, 131},	//1836 KLocale::useTranscript() const
    {70, 1805, 30, 1, 0, 519, 132},	//1837 KLocale::isApplicationTranslatedInto(const QString&)
    {70, 1220, 1156, 1, 0, 0, 133},	//1838 KLocale::copyCatalogsTo(KLocale*)
    {70, 2604, 467, 2, 0, 519, 134},	//1839 KLocale::setCountry(const QString&, KConfig*)
    {70, 2606, 30, 1, 0, 519, 135},	//1840 KLocale::setCountryDivisionCode(const QString&)
    {70, 2723, 467, 2, 0, 519, 136},	//1841 KLocale::setLanguage(const QString&, KConfig*)
    {70, 2723, 141, 1, 0, 519, 137},	//1842 KLocale::setLanguage(const QStringList&)
    {70, 2018, 30, 1, Smoke::mf_const, 388, 138},	//1843 KLocale::localizedFilePath(const QString&) const
    {70, 2467, 30, 1, Smoke::mf_const, 388, 139},	//1844 KLocale::removeAcceleratorMarker(const QString&) const
    {70, 1217, 1346, 3, Smoke::mf_const, 388, 140},	//1845 KLocale::convertDigits(const QString&, KLocale::DigitSet, bool) const
    {70, 2484, 0, 0, 0, 0, 141},	//1846 KLocale::reparseConfiguration()
    {70, 398, 30, 1, Smoke::mf_ctor, 118, 142},	//1847 KLocale::KLocale(const QString&)
    {70, 398, 95, 2, Smoke::mf_ctor, 118, 143},	//1848 KLocale::KLocale(const QString&, const QString&)
    {70, 398, 1350, 3, Smoke::mf_ctor, 118, 144},	//1849 KLocale::KLocale(const QString&, const QString&, const QString&)
    {70, 1400, 1330, 1, Smoke::mf_const, 388, 145},	//1850 KLocale::digitSetToName(KLocale::DigitSet) const
    {70, 1624, 798, 1, Smoke::mf_const, 388, 146},	//1851 KLocale::formatMoney(double) const
    {70, 1624, 1354, 2, Smoke::mf_const, 388, 147},	//1852 KLocale::formatMoney(double, const QString&) const
    {70, 1628, 798, 1, Smoke::mf_const, 388, 148},	//1853 KLocale::formatNumber(double) const
    {70, 1628, 30, 1, Smoke::mf_const, 388, 149},	//1854 KLocale::formatNumber(const QString&) const
    {70, 1628, 1357, 2, Smoke::mf_const, 388, 150},	//1855 KLocale::formatNumber(const QString&, bool) const
    {70, 1603, 1285, 2, Smoke::mf_const, 388, 151},	//1856 KLocale::formatByteSize(double, int) const
    {70, 1603, 1360, 3, Smoke::mf_const, 388, 152},	//1857 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect) const
    {70, 1608, 196, 1, Smoke::mf_const, 388, 153},	//1858 KLocale::formatDate(const QDate&) const
    {70, 1613, 1037, 1, Smoke::mf_const, 388, 154},	//1859 KLocale::formatDateTime(const QDateTime&) const
    {70, 1613, 1364, 2, Smoke::mf_const, 388, 155},	//1860 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    {70, 1613, 1039, 1, Smoke::mf_const, 388, 156},	//1861 KLocale::formatDateTime(const KDateTime&) const
    {70, 1613, 1367, 2, Smoke::mf_const, 388, 157},	//1862 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    {70, 1632, 1045, 1, Smoke::mf_const, 388, 158},	//1863 KLocale::formatTime(const QTime&) const
    {70, 1632, 1370, 2, Smoke::mf_const, 388, 159},	//1864 KLocale::formatTime(const QTime&, bool) const
    {70, 1619, 1045, 1, Smoke::mf_const, 388, 160},	//1865 KLocale::formatLocaleTime(const QTime&) const
    {70, 1307, 1045, 1, Smoke::mf_const, 388, 161},	//1866 KLocale::dayPeriodText(const QTime&) const
    {70, 2421, 30, 1, Smoke::mf_const, 700, 162},	//1867 KLocale::readMoney(const QString&) const
    {70, 2425, 30, 1, Smoke::mf_const, 700, 163},	//1868 KLocale::readNumber(const QString&) const
    {70, 2391, 30, 1, Smoke::mf_const, 266, 164},	//1869 KLocale::readDate(const QString&) const
    {70, 2391, 95, 2, Smoke::mf_const, 266, 165},	//1870 KLocale::readDate(const QString&, const QString&) const
    {70, 2391, 332, 2, Smoke::mf_const, 266, 166},	//1871 KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    {70, 2432, 30, 1, Smoke::mf_const, 405, 167},	//1872 KLocale::readTime(const QString&) const
    {70, 2432, 1373, 2, Smoke::mf_const, 405, 168},	//1873 KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    {70, 2416, 30, 1, Smoke::mf_const, 405, 169},	//1874 KLocale::readLocaleTime(const QString&) const
    {70, 2416, 280, 2, Smoke::mf_const, 405, 170},	//1875 KLocale::readLocaleTime(const QString&, bool*) const
    {70, 2416, 1376, 3, Smoke::mf_const, 405, 171},	//1876 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>) const
    {70, 1974, 30, 1, Smoke::mf_static, 388, 172},	//1877 KLocale::langLookup(const QString&)
    {70, 1217, 1380, 2, Smoke::mf_const, 388, 173},	//1878 KLocale::convertDigits(const QString&, KLocale::DigitSet) const
    {70, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 174},	//1879 KLocale::ParensAround (enum)
    {70, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 175},	//1880 KLocale::BeforeQuantityMoney (enum)
    {70, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 176},	//1881 KLocale::AfterQuantityMoney (enum)
    {70, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 177},	//1882 KLocale::BeforeMoney (enum)
    {70, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 178},	//1883 KLocale::AfterMoney (enum)
    {70, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 179},	//1884 KLocale::ArabicDigits (enum)
    {70, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 180},	//1885 KLocale::ArabicIndicDigits (enum)
    {70, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 181},	//1886 KLocale::EasternArabicIndicDigits (enum)
    {70, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 182},	//1887 KLocale::DevenagariDigits (enum)
    {70, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 183},	//1888 KLocale::BengaliDigits (enum)
    {70, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 184},	//1889 KLocale::GujaratiDigits (enum)
    {70, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 185},	//1890 KLocale::GurmukhiDigits (enum)
    {70, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 186},	//1891 KLocale::KannadaDigits (enum)
    {70, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 187},	//1892 KLocale::KhmerDigits (enum)
    {70, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 188},	//1893 KLocale::MalayalamDigits (enum)
    {70, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 189},	//1894 KLocale::OriyaDigits (enum)
    {70, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 190},	//1895 KLocale::TamilDigits (enum)
    {70, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 191},	//1896 KLocale::TeluguDigits (enum)
    {70, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 192},	//1897 KLocale::ThaiDigits (enum)
    {70, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 193},	//1898 KLocale::DefaultBinaryUnits (enum)
    {70, 808, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 194},	//1899 KLocale::UnitByte (enum)
    {70, 811, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 195},	//1900 KLocale::UnitKiloByte (enum)
    {70, 813, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 196},	//1901 KLocale::UnitMegaByte (enum)
    {70, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 197},	//1902 KLocale::UnitGigaByte (enum)
    {70, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 198},	//1903 KLocale::UnitTeraByte (enum)
    {70, 814, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 199},	//1904 KLocale::UnitPetaByte (enum)
    {70, 809, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 200},	//1905 KLocale::UnitExaByte (enum)
    {70, 817, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 201},	//1906 KLocale::UnitZettaByte (enum)
    {70, 816, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 202},	//1907 KLocale::UnitYottaByte (enum)
    {70, 812, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 203},	//1908 KLocale::UnitLastUnit (enum)
    {70, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 204},	//1909 KLocale::DefaultBinaryDialect (enum)
    {70, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 205},	//1910 KLocale::IECBinaryDialect (enum)
    {70, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 206},	//1911 KLocale::JEDECBinaryDialect (enum)
    {70, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 207},	//1912 KLocale::MetricBinaryDialect (enum)
    {70, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 208},	//1913 KLocale::LastBinaryDialect (enum)
    {70, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 209},	//1914 KLocale::QDateCalendar (enum)
    {70, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 210},	//1915 KLocale::CopticCalendar (enum)
    {70, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 211},	//1916 KLocale::EthiopianCalendar (enum)
    {70, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 212},	//1917 KLocale::GregorianCalendar (enum)
    {70, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 213},	//1918 KLocale::HebrewCalendar (enum)
    {70, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 214},	//1919 KLocale::IslamicCivilCalendar (enum)
    {70, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 215},	//1920 KLocale::IndianNationalCalendar (enum)
    {70, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 216},	//1921 KLocale::JalaliCalendar (enum)
    {70, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 217},	//1922 KLocale::JapaneseCalendar (enum)
    {70, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 218},	//1923 KLocale::JulianCalendar (enum)
    {70, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 219},	//1924 KLocale::MinguoCalendar (enum)
    {70, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 220},	//1925 KLocale::ThaiCalendar (enum)
    {70, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 221},	//1926 KLocale::DefaultWeekNumber (enum)
    {70, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 222},	//1927 KLocale::IsoWeekNumber (enum)
    {70, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 223},	//1928 KLocale::FirstFullWeek (enum)
    {70, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 224},	//1929 KLocale::FirstPartialWeek (enum)
    {70, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 225},	//1930 KLocale::SimpleWeek (enum)
    {70, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 226},	//1931 KLocale::KdeFormat (enum)
    {70, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 227},	//1932 KLocale::PosixFormat (enum)
    {70, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 228},	//1933 KLocale::UnicodeFormat (enum)
    {70, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 229},	//1934 KLocale::LiberalParsing (enum)
    {70, 849, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 230},	//1935 KLocale::Year (enum)
    {70, 851, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 231},	//1936 KLocale::YearName (enum)
    {70, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 232},	//1937 KLocale::Month (enum)
    {70, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 233},	//1938 KLocale::MonthName (enum)
    {70, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 234},	//1939 KLocale::Day (enum)
    {70, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 235},	//1940 KLocale::DayName (enum)
    {70, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 236},	//1941 KLocale::JulianDay (enum)
    {70, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 237},	//1942 KLocale::EraName (enum)
    {70, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 238},	//1943 KLocale::EraYear (enum)
    {70, 850, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 239},	//1944 KLocale::YearInEra (enum)
    {70, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 240},	//1945 KLocale::DayOfYear (enum)
    {70, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 241},	//1946 KLocale::DayOfYearName (enum)
    {70, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 242},	//1947 KLocale::DayOfWeek (enum)
    {70, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 243},	//1948 KLocale::DayOfWeekName (enum)
    {70, 835, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 244},	//1949 KLocale::Week (enum)
    {70, 836, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 245},	//1950 KLocale::WeekYear (enum)
    {70, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 246},	//1951 KLocale::MonthsInYear (enum)
    {70, 837, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 247},	//1952 KLocale::WeeksInYear (enum)
    {70, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 248},	//1953 KLocale::DaysInYear (enum)
    {70, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 249},	//1954 KLocale::DaysInMonth (enum)
    {70, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 250},	//1955 KLocale::DaysInWeek (enum)
    {70, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 251},	//1956 KLocale::Hour (enum)
    {70, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 252},	//1957 KLocale::Minute (enum)
    {70, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 253},	//1958 KLocale::Second (enum)
    {70, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 254},	//1959 KLocale::Millisecond (enum)
    {70, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 255},	//1960 KLocale::DayPeriod (enum)
    {70, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 256},	//1961 KLocale::DayPeriodHour (enum)
    {70, 793, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 257},	//1962 KLocale::Timezone (enum)
    {70, 794, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 258},	//1963 KLocale::TimezoneName (enum)
    {70, 820, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 259},	//1964 KLocale::UnixTime (enum)
    {70, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 260},	//1965 KLocale::DefaultComponentFormat (enum)
    {70, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 261},	//1966 KLocale::ShortNumber (enum)
    {70, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 262},	//1967 KLocale::LongNumber (enum)
    {70, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 263},	//1968 KLocale::NarrowName (enum)
    {70, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 264},	//1969 KLocale::ShortName (enum)
    {70, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 265},	//1970 KLocale::LongName (enum)
    {70, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 266},	//1971 KLocale::ShortDate (enum)
    {70, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 267},	//1972 KLocale::LongDate (enum)
    {70, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 268},	//1973 KLocale::FancyShortDate (enum)
    {70, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 269},	//1974 KLocale::FancyLongDate (enum)
    {70, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 270},	//1975 KLocale::IsoDate (enum)
    {70, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 271},	//1976 KLocale::IsoWeekDate (enum)
    {70, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 272},	//1977 KLocale::IsoOrdinalDate (enum)
    {70, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 273},	//1978 KLocale::TimeZone (enum)
    {70, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 274},	//1979 KLocale::Seconds (enum)
    {70, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 275},	//1980 KLocale::TimeDefault (enum)
    {70, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 276},	//1981 KLocale::TimeWithoutSeconds (enum)
    {70, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 277},	//1982 KLocale::TimeWithoutAmPm (enum)
    {70, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 278},	//1983 KLocale::TimeDuration (enum)
    {70, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 279},	//1984 KLocale::TimeFoldHours (enum)
    {70, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 280},	//1985 KLocale::NormalFormat (enum)
    {70, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 281},	//1986 KLocale::ShortFormat (enum)
    {70, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 282},	//1987 KLocale::IsoFormat (enum)
    {70, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 283},	//1988 KLocale::IsoWeekFormat (enum)
    {70, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 284},	//1989 KLocale::IsoOrdinalFormat (enum)
    {70, 840, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 285},	//1990 KLocale::WithSeconds (enum)
    {70, 841, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 286},	//1991 KLocale::WithoutSeconds (enum)
    {70, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 287},	//1992 KLocale::ProcessStrict (enum)
    {70, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 288},	//1993 KLocale::ProcessNonStrict (enum)
    {70, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 289},	//1994 KLocale::Metric (enum)
    {70, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 290},	//1995 KLocale::Imperial (enum)
    {70, 3436, 0, 0, Smoke::mf_dtor, 0, 291 },	//1996 KLocale::~KLocale()
    {71, 405, 0, 0, Smoke::mf_ctor, 138, 1},	//1997 KLocalizedString::KLocalizedString()
    {71, 405, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 2},	//1998 KLocalizedString::KLocalizedString(const KLocalizedString&)
    {71, 2227, 28, 1, 0, 137, 3},	//1999 KLocalizedString::operator=(const KLocalizedString&)
    {71, 3160, 0, 0, Smoke::mf_const, 388, 4},	//2000 KLocalizedString::toString() const
    {71, 3160, 30, 1, Smoke::mf_const, 388, 5},	//2001 KLocalizedString::toString(const QString&) const
    {71, 3160, 179, 1, Smoke::mf_const, 388, 6},	//2002 KLocalizedString::toString(const KLocale*) const
    {71, 3160, 1383, 2, Smoke::mf_const, 388, 7},	//2003 KLocalizedString::toString(const KLocale*, const QString&) const
    {71, 1837, 0, 0, Smoke::mf_const, 519, 8},	//2004 KLocalizedString::isEmpty() const
    {71, 3093, 1386, 4, Smoke::mf_const, 136, 9},	//2005 KLocalizedString::subs(int, int, int, const QChar&) const
    {71, 3093, 1391, 4, Smoke::mf_const, 136, 10},	//2006 KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    {71, 3093, 1396, 4, Smoke::mf_const, 136, 11},	//2007 KLocalizedString::subs(long, int, int, const QChar&) const
    {71, 3093, 1401, 4, Smoke::mf_const, 136, 12},	//2008 KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    {71, 3093, 1406, 4, Smoke::mf_const, 136, 13},	//2009 KLocalizedString::subs(long long, int, int, const QChar&) const
    {71, 3093, 1411, 4, Smoke::mf_const, 136, 14},	//2010 KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    {71, 3093, 1416, 5, Smoke::mf_const, 136, 15},	//2011 KLocalizedString::subs(double, int, char, int, const QChar&) const
    {71, 3093, 1422, 3, Smoke::mf_const, 136, 16},	//2012 KLocalizedString::subs(QChar, int, const QChar&) const
    {71, 3093, 1426, 3, Smoke::mf_const, 136, 17},	//2013 KLocalizedString::subs(const QString&, int, const QChar&) const
    {71, 1753, 95, 2, Smoke::mf_const, 136, 18},	//2014 KLocalizedString::inContext(const QString&, const QString&) const
    {71, 2150, 1430, 2, Smoke::mf_static, 0, 19},	//2015 KLocalizedString::notifyCatalogsUpdated(const QStringList&, const QList<KCatalogName>&)
    {71, 3093, 118, 1, Smoke::mf_const, 136, 20},	//2016 KLocalizedString::subs(int) const
    {71, 3093, 188, 2, Smoke::mf_const, 136, 21},	//2017 KLocalizedString::subs(int, int) const
    {71, 3093, 184, 3, Smoke::mf_const, 136, 22},	//2018 KLocalizedString::subs(int, int, int) const
    {71, 3093, 952, 1, Smoke::mf_const, 136, 23},	//2019 KLocalizedString::subs(unsigned int) const
    {71, 3093, 1433, 2, Smoke::mf_const, 136, 24},	//2020 KLocalizedString::subs(unsigned int, int) const
    {71, 3093, 1436, 3, Smoke::mf_const, 136, 25},	//2021 KLocalizedString::subs(unsigned int, int, int) const
    {71, 3093, 1292, 1, Smoke::mf_const, 136, 26},	//2022 KLocalizedString::subs(long) const
    {71, 3093, 1440, 2, Smoke::mf_const, 136, 27},	//2023 KLocalizedString::subs(long, int) const
    {71, 3093, 1443, 3, Smoke::mf_const, 136, 28},	//2024 KLocalizedString::subs(long, int, int) const
    {71, 3093, 1177, 1, Smoke::mf_const, 136, 29},	//2025 KLocalizedString::subs(unsigned long) const
    {71, 3093, 1447, 2, Smoke::mf_const, 136, 30},	//2026 KLocalizedString::subs(unsigned long, int) const
    {71, 3093, 1450, 3, Smoke::mf_const, 136, 31},	//2027 KLocalizedString::subs(unsigned long, int, int) const
    {71, 3093, 861, 1, Smoke::mf_const, 136, 32},	//2028 KLocalizedString::subs(long long) const
    {71, 3093, 1454, 2, Smoke::mf_const, 136, 33},	//2029 KLocalizedString::subs(long long, int) const
    {71, 3093, 1457, 3, Smoke::mf_const, 136, 34},	//2030 KLocalizedString::subs(long long, int, int) const
    {71, 3093, 965, 1, Smoke::mf_const, 136, 35},	//2031 KLocalizedString::subs(unsigned long long) const
    {71, 3093, 1461, 2, Smoke::mf_const, 136, 36},	//2032 KLocalizedString::subs(unsigned long long, int) const
    {71, 3093, 1464, 3, Smoke::mf_const, 136, 37},	//2033 KLocalizedString::subs(unsigned long long, int, int) const
    {71, 3093, 798, 1, Smoke::mf_const, 136, 38},	//2034 KLocalizedString::subs(double) const
    {71, 3093, 1285, 2, Smoke::mf_const, 136, 39},	//2035 KLocalizedString::subs(double, int) const
    {71, 3093, 1468, 3, Smoke::mf_const, 136, 40},	//2036 KLocalizedString::subs(double, int, char) const
    {71, 3093, 1472, 4, Smoke::mf_const, 136, 41},	//2037 KLocalizedString::subs(double, int, char, int) const
    {71, 3093, 340, 1, Smoke::mf_const, 136, 42},	//2038 KLocalizedString::subs(QChar) const
    {71, 3093, 1477, 2, Smoke::mf_const, 136, 43},	//2039 KLocalizedString::subs(QChar, int) const
    {71, 3093, 30, 1, Smoke::mf_const, 136, 44},	//2040 KLocalizedString::subs(const QString&) const
    {71, 3093, 1014, 2, Smoke::mf_const, 136, 45},	//2041 KLocalizedString::subs(const QString&, int) const
    {71, 3437, 0, 0, Smoke::mf_dtor, 0, 46 },	//2042 KLocalizedString::~KLocalizedString()
    {72, 407, 1202, 2, Smoke::mf_ctor, 139, 1},	//2043 KLockFile::KLockFile(const QString&, const KComponentData&)
    {72, 2033, 1480, 1, 0, 141, 2},	//2044 KLockFile::lock(QFlags<KLockFile::LockFlag>)
    {72, 1866, 0, 0, Smoke::mf_const, 519, 3},	//2045 KLockFile::isLocked() const
    {72, 3232, 0, 0, 0, 0, 4},	//2046 KLockFile::unlock()
    {72, 3019, 0, 0, Smoke::mf_const, 704, 5},	//2047 KLockFile::staleTime() const
    {72, 2922, 118, 1, 0, 0, 6},	//2048 KLockFile::setStaleTime(int)
    {72, 1672, 1482, 3, 0, 519, 7},	//2049 KLockFile::getLockInfo(int&, QString&, QString&)
    {72, 407, 1486, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 8},	//2050 KLockFile::KLockFile(const KLockFile&)
    {72, 407, 30, 1, Smoke::mf_ctor, 139, 9},	//2051 KLockFile::KLockFile(const QString&)
    {72, 2033, 0, 0, 0, 141, 10},	//2052 KLockFile::lock()
    {72, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 11},	//2053 KLockFile::LockOK (enum)
    {72, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 12},	//2054 KLockFile::LockFail (enum)
    {72, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 13},	//2055 KLockFile::LockError (enum)
    {72, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 14},	//2056 KLockFile::LockStale (enum)
    {72, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 15},	//2057 KLockFile::NoBlockFlag (enum)
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 16},	//2058 KLockFile::ForceFlag (enum)
    {72, 3438, 0, 0, Smoke::mf_dtor, 0, 17 },	//2059 KLockFile::~KLockFile()
    {73, 411, 0, 0, Smoke::mf_ctor, 142, 1},	//2060 KMD5::KMD5()
    {73, 411, 1108, 2, Smoke::mf_ctor, 142, 2},	//2061 KMD5::KMD5(const char*, int)
    {73, 411, 32, 1, Smoke::mf_ctor, 142, 3},	//2062 KMD5::KMD5(const QByteArray&)
    {73, 3240, 1108, 2, 0, 0, 4},	//2063 KMD5::update(const char*, int)
    {73, 3240, 1488, 2, 0, 0, 5},	//2064 KMD5::update(const unsigned char*, int)
    {73, 3240, 32, 1, 0, 0, 6},	//2065 KMD5::update(const QByteArray&)
    {73, 3240, 1491, 1, 0, 519, 7},	//2066 KMD5::update(QIODevice&)
    {73, 2491, 0, 0, 0, 0, 8},	//2067 KMD5::reset()
    {73, 2376, 0, 0, 0, 695, 9},	//2068 KMD5::rawDigest()
    {73, 2376, 1493, 1, 0, 0, 10},	//2069 KMD5::rawDigest(unsigned char(&)[16])
    {73, 1735, 0, 0, 0, 249, 11},	//2070 KMD5::hexDigest()
    {73, 1735, 1495, 1, 0, 0, 12},	//2071 KMD5::hexDigest(QByteArray&)
    {73, 1102, 0, 0, 0, 249, 13},	//2072 KMD5::base64Digest()
    {73, 3279, 1497, 1, 0, 519, 14},	//2073 KMD5::verify(const unsigned char(&)[16])
    {73, 3279, 32, 1, 0, 519, 15},	//2074 KMD5::verify(const QByteArray&)
    {73, 3190, 1499, 1, Smoke::mf_protected, 0, 16},	//2075 KMD5::transform(const unsigned char[64])
    {73, 1533, 0, 0, Smoke::mf_protected, 0, 17},	//2076 KMD5::finalize()
    {73, 411, 122, 1, Smoke::mf_ctor, 142, 18},	//2077 KMD5::KMD5(const char*)
    {73, 3240, 122, 1, 0, 0, 19},	//2078 KMD5::update(const char*)
    {73, 3240, 1501, 1, 0, 0, 20},	//2079 KMD5::update(const unsigned char*)
    {73, 3439, 0, 0, Smoke::mf_dtor, 0, 21 },	//2080 KMD5::~KMD5()
    {74, 1499, 1503, 3, Smoke::mf_static, 388, 1},	//2081 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1499, 1507, 2, Smoke::mf_static, 388, 2},	//2082 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    {74, 1503, 1503, 3, Smoke::mf_static, 388, 3},	//2083 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1503, 1507, 2, Smoke::mf_static, 388, 4},	//2084 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    {74, 1503, 1510, 3, Smoke::mf_static, 388, 5},	//2085 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1503, 1514, 2, Smoke::mf_static, 388, 6},	//2086 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    {74, 1499, 1517, 3, Smoke::mf_static, 388, 7},	//2087 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1499, 1521, 2, Smoke::mf_static, 388, 8},	//2088 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    {74, 1503, 1524, 3, Smoke::mf_static, 388, 9},	//2089 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1503, 1528, 2, Smoke::mf_static, 388, 10},	//2090 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    {74, 1499, 1510, 3, Smoke::mf_static, 388, 11},	//2091 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1499, 1514, 2, Smoke::mf_static, 388, 12},	//2092 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    {74, 1499, 1524, 3, Smoke::mf_static, 388, 13},	//2093 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1499, 1528, 2, Smoke::mf_static, 388, 14},	//2094 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    {74, 1503, 1517, 3, Smoke::mf_static, 388, 15},	//2095 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1503, 1521, 2, Smoke::mf_static, 388, 16},	//2096 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    {75, 415, 340, 1, Smoke::mf_ctor, 143, 1},	//2097 KMacroExpanderBase::KMacroExpanderBase(QChar)
    {75, 1499, 1531, 1, 0, 0, 2},	//2098 KMacroExpanderBase::expandMacros(QString&)
    {75, 1503, 1533, 2, 0, 519, 3},	//2099 KMacroExpanderBase::expandMacrosShellQuote(QString&, int&)
    {75, 1503, 1531, 1, 0, 519, 4},	//2100 KMacroExpanderBase::expandMacrosShellQuote(QString&)
    {75, 2680, 340, 1, 0, 0, 5},	//2101 KMacroExpanderBase::setEscapeChar(QChar)
    {75, 1471, 0, 0, Smoke::mf_const, 251, 6},	//2102 KMacroExpanderBase::escapeChar() const
    {75, 1508, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 704, 7},	//2103 KMacroExpanderBase::expandPlainMacro(const QString&, int, QStringList&)
    {75, 1494, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 704, 8},	//2104 KMacroExpanderBase::expandEscapedMacro(const QString&, int, QStringList&)
    {75, 415, 1536, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 9},	//2105 KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    {75, 415, 0, 0, Smoke::mf_ctor, 143, 10},	//2106 KMacroExpanderBase::KMacroExpanderBase()
    {75, 3440, 0, 0, Smoke::mf_dtor, 0, 11 },	//2107 KMacroExpanderBase::~KMacroExpanderBase()
    {76, 2817, 1538, 1, Smoke::mf_static, 0, 1},	//2108 KMessage::setMessageHandler(KMessageHandler*)
    {76, 2087, 1540, 3, Smoke::mf_static, 0, 2},	//2109 KMessage::message(KMessage::MessageType, const QString&, const QString&)
    {76, 2087, 1544, 2, Smoke::mf_static, 0, 3},	//2110 KMessage::message(KMessage::MessageType, const QString&)
    {76, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 4},	//2111 KMessage::Error (enum)
    {76, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 5},	//2112 KMessage::Information (enum)
    {76, 834, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 6},	//2113 KMessage::Warning (enum)
    {76, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 7},	//2114 KMessage::Sorry (enum)
    {76, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 8},	//2115 KMessage::Fatal (enum)
    {77, 2087, 1540, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//2116 KMessageHandler::message(KMessage::MessageType, const QString&, const QString&) [pure virtual]
    {77, 417, 0, 0, Smoke::mf_ctor, 145, 2},	//2117 KMessageHandler::KMessageHandler()
    {77, 417, 1547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 3},	//2118 KMessageHandler::KMessageHandler(const KMessageHandler&)
    {77, 3441, 0, 0, Smoke::mf_dtor, 0, 4 },	//2119 KMessageHandler::~KMessageHandler()
    {78, 1746, 148, 1, Smoke::mf_const, 388, 1},	//2120 KMimeType::iconName(const KUrl&) const
    {78, 1748, 1549, 2, Smoke::mf_static, 388, 2},	//2121 KMimeType::iconNameForUrl(const KUrl&, mode_t)
    {78, 1520, 148, 1, Smoke::mf_static, 388, 3},	//2122 KMimeType::favIconForUrl(const KUrl&)
    {78, 1189, 148, 1, Smoke::mf_const, 388, 4},	//2123 KMimeType::comment(const KUrl&) const
    {78, 2281, 0, 0, Smoke::mf_const, 393, 5},	//2124 KMimeType::patterns() const
    {78, 2091, 1552, 2, Smoke::mf_static, 178, 6},	//2125 KMimeType::mimeType(const QString&, KMimeType::FindByNameOption)
    {78, 1558, 1555, 5, Smoke::mf_static, 178, 7},	//2126 KMimeType::findByUrl(const KUrl&, mode_t, bool, bool, int*)
    {78, 1553, 1561, 4, Smoke::mf_static, 178, 8},	//2127 KMimeType::findByPath(const QString&, mode_t, bool, int*)
    {78, 1543, 1566, 2, Smoke::mf_static, 178, 9},	//2128 KMimeType::findByContent(const QByteArray&, int*)
    {78, 1549, 1569, 4, Smoke::mf_static, 178, 10},	//2129 KMimeType::findByNameAndContent(const QString&, const QByteArray&, mode_t, int*)
    {78, 1543, 1574, 2, Smoke::mf_static, 178, 11},	//2130 KMimeType::findByContent(QIODevice*, int*)
    {78, 1549, 1577, 4, Smoke::mf_static, 178, 12},	//2131 KMimeType::findByNameAndContent(const QString&, QIODevice*, mode_t, int*)
    {78, 1546, 1582, 2, Smoke::mf_static, 178, 13},	//2132 KMimeType::findByFileContent(const QString&, int*)
    {78, 1813, 30, 1, Smoke::mf_static, 519, 14},	//2133 KMimeType::isBinaryData(const QString&)
    {78, 1815, 32, 1, Smoke::mf_static, 519, 15},	//2134 KMimeType::isBufferBinaryData(const QByteArray&)
    {78, 1041, 0, 0, Smoke::mf_static, 353, 16},	//2135 KMimeType::allMimeTypes()
    {78, 1354, 0, 0, Smoke::mf_static, 388, 17},	//2136 KMimeType::defaultMimeType()
    {78, 1355, 0, 0, Smoke::mf_static, 178, 18},	//2137 KMimeType::defaultMimeTypePtr()
    {78, 1826, 0, 0, Smoke::mf_const, 519, 19},	//2138 KMimeType::isDefault() const
    {78, 2267, 0, 0, Smoke::mf_const, 388, 20},	//2139 KMimeType::parentMimeType() const
    {78, 2268, 0, 0, Smoke::mf_const, 393, 21},	//2140 KMimeType::parentMimeTypes() const
    {78, 1042, 0, 0, Smoke::mf_const, 393, 22},	//2141 KMimeType::allParentMimeTypes() const
    {78, 1802, 30, 1, Smoke::mf_const, 519, 23},	//2142 KMimeType::is(const QString&) const
    {78, 3260, 0, 0, Smoke::mf_const, 388, 24},	//2143 KMimeType::userSpecifiedIconName() const
    {78, 2069, 0, 0, Smoke::mf_const, 388, 25},	//2144 KMimeType::mainExtension() const
    {78, 1512, 30, 1, Smoke::mf_static, 388, 26},	//2145 KMimeType::extractKnownExtension(const QString&)
    {78, 2077, 95, 2, Smoke::mf_static, 519, 27},	//2146 KMimeType::matchFileName(const QString&, const QString&)
    {78, 2980, 0, 0, Smoke::mf_static, 704, 28},	//2147 KMimeType::sharedMimeInfoVersion()
    {78, 419, 1585, 2, Smoke::mf_ctor|Smoke::mf_protected, 146, 29},	//2148 KMimeType::KMimeType(QDataStream&, int)
    {78, 419, 1350, 3, Smoke::mf_ctor|Smoke::mf_protected, 146, 30},	//2149 KMimeType::KMimeType(const QString&, const QString&, const QString&)
    {78, 419, 1588, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 31},	//2150 KMimeType::KMimeType(KMimeTypePrivate&)
    {78, 419, 1590, 3, Smoke::mf_ctor|Smoke::mf_protected, 146, 32},	//2151 KMimeType::KMimeType(KMimeTypePrivate&, const QString&, const QString&)
    {78, 1746, 0, 0, Smoke::mf_const, 388, 33},	//2152 KMimeType::iconName() const
    {78, 1748, 148, 1, Smoke::mf_static, 388, 34},	//2153 KMimeType::iconNameForUrl(const KUrl&)
    {78, 1189, 0, 0, Smoke::mf_const, 388, 35},	//2154 KMimeType::comment() const
    {78, 2091, 30, 1, Smoke::mf_static, 178, 36},	//2155 KMimeType::mimeType(const QString&)
    {78, 1558, 148, 1, Smoke::mf_static, 178, 37},	//2156 KMimeType::findByUrl(const KUrl&)
    {78, 1558, 1549, 2, Smoke::mf_static, 178, 38},	//2157 KMimeType::findByUrl(const KUrl&, mode_t)
    {78, 1558, 1594, 3, Smoke::mf_static, 178, 39},	//2158 KMimeType::findByUrl(const KUrl&, mode_t, bool)
    {78, 1558, 1598, 4, Smoke::mf_static, 178, 40},	//2159 KMimeType::findByUrl(const KUrl&, mode_t, bool, bool)
    {78, 1553, 30, 1, Smoke::mf_static, 178, 41},	//2160 KMimeType::findByPath(const QString&)
    {78, 1553, 1007, 2, Smoke::mf_static, 178, 42},	//2161 KMimeType::findByPath(const QString&, mode_t)
    {78, 1553, 1603, 3, Smoke::mf_static, 178, 43},	//2162 KMimeType::findByPath(const QString&, mode_t, bool)
    {78, 1543, 32, 1, Smoke::mf_static, 178, 44},	//2163 KMimeType::findByContent(const QByteArray&)
    {78, 1549, 589, 2, Smoke::mf_static, 178, 45},	//2164 KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    {78, 1549, 1607, 3, Smoke::mf_static, 178, 46},	//2165 KMimeType::findByNameAndContent(const QString&, const QByteArray&, mode_t)
    {78, 1543, 1134, 1, Smoke::mf_static, 178, 47},	//2166 KMimeType::findByContent(QIODevice*)
    {78, 1549, 1611, 2, Smoke::mf_static, 178, 48},	//2167 KMimeType::findByNameAndContent(const QString&, QIODevice*)
    {78, 1549, 1614, 3, Smoke::mf_static, 178, 49},	//2168 KMimeType::findByNameAndContent(const QString&, QIODevice*, mode_t)
    {78, 1546, 30, 1, Smoke::mf_static, 178, 50},	//2169 KMimeType::findByFileContent(const QString&)
    {78, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 51},	//2170 KMimeType::DontResolveAlias (enum)
    {78, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 52},	//2171 KMimeType::ResolveAliases (enum)
    {78, 3442, 0, 0, Smoke::mf_dtor, 0, 53 },	//2172 KMimeType::~KMimeType()
    {80, 2356, 1350, 3, Smoke::mf_const, 354, 1},	//2173 KMimeTypeTrader::query(const QString&, const QString&, const QString&) const
    {80, 2306, 95, 2, 0, 179, 2},	//2174 KMimeTypeTrader::preferredService(const QString&, const QString&)
    {80, 2529, 0, 0, Smoke::mf_static, 149, 3},	//2175 KMimeTypeTrader::self()
    {80, 424, 1618, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 4},	//2176 KMimeTypeTrader::KMimeTypeTrader(const KMimeTypeTrader&)
    {80, 2356, 30, 1, Smoke::mf_const, 354, 5},	//2177 KMimeTypeTrader::query(const QString&) const
    {80, 2356, 95, 2, Smoke::mf_const, 354, 6},	//2178 KMimeTypeTrader::query(const QString&, const QString&) const
    {80, 2306, 30, 1, 0, 179, 7},	//2179 KMimeTypeTrader::preferredService(const QString&)
    {80, 3443, 0, 0, Smoke::mf_dtor, 0, 8 },	//2180 KMimeTypeTrader::~KMimeTypeTrader()
    {82, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//2181 KPluginFactory::metaObject() const
    {82, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//2182 KPluginFactory::qt_metacast(const char*)
    {82, 3179, 124, 2, Smoke::mf_static, 388, 3},	//2183 KPluginFactory::tr(const char*, const char*)
    {82, 3186, 124, 2, Smoke::mf_static, 388, 4},	//2184 KPluginFactory::trUtf8(const char*, const char*)
    {82, 3179, 127, 3, Smoke::mf_static, 388, 5},	//2185 KPluginFactory::tr(const char*, const char*, int)
    {82, 3186, 127, 3, Smoke::mf_static, 388, 6},	//2186 KPluginFactory::trUtf8(const char*, const char*, int)
    {82, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//2187 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {82, 426, 1620, 3, Smoke::mf_ctor, 151, 8},	//2188 KPluginFactory::KPluginFactory(const char*, const char*, QObject*)
    {82, 426, 1624, 2, Smoke::mf_ctor, 151, 9},	//2189 KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    {82, 426, 1627, 2, Smoke::mf_ctor, 151, 10},	//2190 KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    {82, 426, 146, 1, Smoke::mf_ctor, 151, 11},	//2191 KPluginFactory::KPluginFactory(QObject*)
    {82, 1193, 0, 0, Smoke::mf_const, 37, 12},	//2192 KPluginFactory::componentData() const
    {82, 1235, 1630, 3, 0, 379, 13},	//2193 KPluginFactory::create(QObject*, const char*, const QStringList&)
    {82, 2158, 146, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2194 KPluginFactory::objectCreated(QObject*)
    {82, 426, 1634, 2, Smoke::mf_ctor|Smoke::mf_protected, 151, 15},	//2195 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    {82, 3090, 141, 1, Smoke::mf_protected, 367, 16},	//2196 KPluginFactory::stringListToVariantList(const QStringList&)
    {82, 3277, 1637, 1, Smoke::mf_protected, 393, 17},	//2197 KPluginFactory::variantListToStringList(const QList<QVariant>&)
    {82, 2979, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2198 KPluginFactory::setupTranslations()
    {82, 1245, 1630, 3, Smoke::mf_protected|Smoke::mf_virtual, 379, 19},	//2199 KPluginFactory::createObject(QObject*, const char*, const QStringList&)
    {82, 1247, 1639, 4, Smoke::mf_protected|Smoke::mf_virtual, 150, 20},	//2200 KPluginFactory::createPartObject(QWidget*, QObject*, const char*, const QStringList&)
    {82, 2596, 430, 1, Smoke::mf_protected, 0, 21},	//2201 KPluginFactory::setComponentData(const KComponentData&)
    {82, 1235, 1644, 5, Smoke::mf_protected|Smoke::mf_virtual, 379, 22},	//2202 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {82, 3179, 122, 1, Smoke::mf_static, 388, 23},	//2203 KPluginFactory::tr(const char*)
    {82, 3186, 122, 1, Smoke::mf_static, 388, 24},	//2204 KPluginFactory::trUtf8(const char*)
    {82, 426, 0, 0, Smoke::mf_ctor, 151, 25},	//2205 KPluginFactory::KPluginFactory()
    {82, 426, 122, 1, Smoke::mf_ctor, 151, 26},	//2206 KPluginFactory::KPluginFactory(const char*)
    {82, 426, 124, 2, Smoke::mf_ctor, 151, 27},	//2207 KPluginFactory::KPluginFactory(const char*, const char*)
    {82, 426, 12, 1, Smoke::mf_ctor, 151, 28},	//2208 KPluginFactory::KPluginFactory(const KAboutData&)
    {82, 426, 372, 1, Smoke::mf_ctor, 151, 29},	//2209 KPluginFactory::KPluginFactory(const KAboutData*)
    {82, 1235, 0, 0, 0, 379, 30},	//2210 KPluginFactory::create()
    {82, 1235, 146, 1, 0, 379, 31},	//2211 KPluginFactory::create(QObject*)
    {82, 1235, 1650, 2, 0, 379, 32},	//2212 KPluginFactory::create(QObject*, const char*)
    {82, 426, 1653, 1, Smoke::mf_ctor|Smoke::mf_protected, 151, 33},	//2213 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    {82, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 34},	//2214 KPluginFactory::staticMetaObject() const
    {82, 3444, 0, 0, Smoke::mf_dtor, 0, 35 },	//2215 KPluginFactory::~KPluginFactory()
    {84, 432, 524, 2, Smoke::mf_ctor, 154, 1},	//2216 KPluginInfo::KPluginInfo(const QString&, const char*)
    {84, 432, 1655, 1, Smoke::mf_ctor, 154, 2},	//2217 KPluginInfo::KPluginInfo(const KSharedPtr<KService>)
    {84, 432, 0, 0, Smoke::mf_ctor, 154, 3},	//2218 KPluginInfo::KPluginInfo()
    {84, 1654, 1657, 2, Smoke::mf_static, 350, 4},	//2219 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&, const KConfigGroup&)
    {84, 1642, 1660, 2, Smoke::mf_static, 350, 5},	//2220 KPluginInfo::fromFiles(const QStringList&, const KConfigGroup&)
    {84, 1645, 1663, 2, Smoke::mf_static, 350, 6},	//2221 KPluginInfo::fromKPartsInstanceName(const QString&, const KConfigGroup&)
    {84, 1853, 0, 0, Smoke::mf_const, 519, 7},	//2222 KPluginInfo::isHidden() const
    {84, 2865, 103, 1, 0, 0, 8},	//2223 KPluginInfo::setPluginEnabled(bool)
    {84, 1875, 0, 0, Smoke::mf_const, 519, 9},	//2224 KPluginInfo::isPluginEnabled() const
    {84, 1876, 0, 0, Smoke::mf_const, 519, 10},	//2225 KPluginInfo::isPluginEnabledByDefault() const
    {84, 2330, 30, 1, Smoke::mf_const, 412, 11},	//2226 KPluginInfo::property(const QString&) const
    {84, 2131, 0, 0, Smoke::mf_const, 388, 12},	//2227 KPluginInfo::name() const
    {84, 1189, 0, 0, Smoke::mf_const, 388, 13},	//2228 KPluginInfo::comment() const
    {84, 1744, 0, 0, Smoke::mf_const, 388, 14},	//2229 KPluginInfo::icon() const
    {84, 1450, 0, 0, Smoke::mf_const, 388, 15},	//2230 KPluginInfo::entryPath() const
    {84, 1069, 0, 0, Smoke::mf_const, 388, 16},	//2231 KPluginInfo::author() const
    {84, 1419, 0, 0, Smoke::mf_const, 388, 17},	//2232 KPluginInfo::email() const
    {84, 1144, 0, 0, Smoke::mf_const, 388, 18},	//2233 KPluginInfo::category() const
    {84, 2294, 0, 0, Smoke::mf_const, 388, 19},	//2234 KPluginInfo::pluginName() const
    {84, 3282, 0, 0, Smoke::mf_const, 388, 20},	//2235 KPluginInfo::version() const
    {84, 3302, 0, 0, Smoke::mf_const, 388, 21},	//2236 KPluginInfo::website() const
    {84, 2000, 0, 0, Smoke::mf_const, 388, 22},	//2237 KPluginInfo::license() const
    {84, 1665, 0, 0, Smoke::mf_const, 8, 23},	//2238 KPluginInfo::fullLicense() const
    {84, 1372, 0, 0, Smoke::mf_const, 393, 24},	//2239 KPluginInfo::dependencies() const
    {84, 2532, 0, 0, Smoke::mf_const, 179, 25},	//2240 KPluginInfo::service() const
    {84, 1933, 0, 0, Smoke::mf_const, 354, 26},	//2241 KPluginInfo::kcmServices() const
    {84, 2598, 511, 1, 0, 0, 27},	//2242 KPluginInfo::setConfig(const KConfigGroup&)
    {84, 1198, 0, 0, Smoke::mf_const, 48, 28},	//2243 KPluginInfo::config() const
    {84, 2513, 1666, 1, 0, 0, 29},	//2244 KPluginInfo::save(KConfigGroup)
    {84, 2010, 511, 1, 0, 0, 30},	//2245 KPluginInfo::load(const KConfigGroup&)
    {84, 1360, 0, 0, 0, 0, 31},	//2246 KPluginInfo::defaults()
    {84, 1901, 0, 0, Smoke::mf_const, 519, 32},	//2247 KPluginInfo::isValid() const
    {84, 432, 1668, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 33},	//2248 KPluginInfo::KPluginInfo(const KPluginInfo&)
    {84, 2227, 1668, 1, 0, 153, 34},	//2249 KPluginInfo::operator=(const KPluginInfo&)
    {84, 2230, 1668, 1, Smoke::mf_const, 519, 35},	//2250 KPluginInfo::operator==(const KPluginInfo&) const
    {84, 2187, 1668, 1, Smoke::mf_const, 519, 36},	//2251 KPluginInfo::operator!=(const KPluginInfo&) const
    {84, 2209, 1668, 1, Smoke::mf_const, 519, 37},	//2252 KPluginInfo::operator<(const KPluginInfo&) const
    {84, 2237, 1668, 1, Smoke::mf_const, 519, 38},	//2253 KPluginInfo::operator>(const KPluginInfo&) const
    {84, 432, 30, 1, Smoke::mf_ctor, 154, 39},	//2254 KPluginInfo::KPluginInfo(const QString&)
    {84, 1654, 1670, 1, Smoke::mf_static, 350, 40},	//2255 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&)
    {84, 1642, 141, 1, Smoke::mf_static, 350, 41},	//2256 KPluginInfo::fromFiles(const QStringList&)
    {84, 1645, 30, 1, Smoke::mf_static, 350, 42},	//2257 KPluginInfo::fromKPartsInstanceName(const QString&)
    {84, 2513, 0, 0, 0, 0, 43},	//2258 KPluginInfo::save()
    {84, 2010, 0, 0, 0, 0, 44},	//2259 KPluginInfo::load()
    {84, 3445, 0, 0, Smoke::mf_dtor, 0, 45 },	//2260 KPluginInfo::~KPluginInfo()
    {85, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//2261 KPluginLoader::metaObject() const
    {85, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//2262 KPluginLoader::qt_metacast(const char*)
    {85, 3179, 124, 2, Smoke::mf_static, 388, 3},	//2263 KPluginLoader::tr(const char*, const char*)
    {85, 3186, 124, 2, Smoke::mf_static, 388, 4},	//2264 KPluginLoader::trUtf8(const char*, const char*)
    {85, 3179, 127, 3, Smoke::mf_static, 388, 5},	//2265 KPluginLoader::tr(const char*, const char*, int)
    {85, 3186, 127, 3, Smoke::mf_static, 388, 6},	//2266 KPluginLoader::trUtf8(const char*, const char*, int)
    {85, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//2267 KPluginLoader::qt_metacall(QMetaObject::Call, int, void**)
    {85, 437, 1205, 3, Smoke::mf_ctor, 155, 8},	//2268 KPluginLoader::KPluginLoader(const QString&, const KComponentData&, QObject*)
    {85, 437, 1672, 3, Smoke::mf_ctor, 155, 9},	//2269 KPluginLoader::KPluginLoader(const KService&, const KComponentData&, QObject*)
    {85, 1516, 0, 0, 0, 151, 10},	//2270 KPluginLoader::factory()
    {85, 2294, 0, 0, Smoke::mf_const|Smoke::mf_property, 388, 11},	//2271 KPluginLoader::pluginName() const
    {85, 2295, 0, 0, Smoke::mf_const, 722, 12},	//2272 KPluginLoader::pluginVersion() const
    {85, 1466, 0, 0, Smoke::mf_const, 388, 13},	//2273 KPluginLoader::errorString() const
    {85, 1863, 0, 0, Smoke::mf_const, 519, 14},	//2274 KPluginLoader::isLoaded() const
    {85, 2010, 0, 0, Smoke::mf_protected, 519, 15},	//2275 KPluginLoader::load()
    {85, 3179, 122, 1, Smoke::mf_static, 388, 16},	//2276 KPluginLoader::tr(const char*)
    {85, 3186, 122, 1, Smoke::mf_static, 388, 17},	//2277 KPluginLoader::trUtf8(const char*)
    {85, 437, 30, 1, Smoke::mf_ctor, 155, 18},	//2278 KPluginLoader::KPluginLoader(const QString&)
    {85, 437, 1202, 2, Smoke::mf_ctor, 155, 19},	//2279 KPluginLoader::KPluginLoader(const QString&, const KComponentData&)
    {85, 437, 1676, 1, Smoke::mf_ctor, 155, 20},	//2280 KPluginLoader::KPluginLoader(const KService&)
    {85, 437, 1678, 2, Smoke::mf_ctor, 155, 21},	//2281 KPluginLoader::KPluginLoader(const KService&, const KComponentData&)
    {85, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 22},	//2282 KPluginLoader::staticMetaObject() const
    {85, 3446, 0, 0, Smoke::mf_dtor, 0, 23 },	//2283 KPluginLoader::~KPluginLoader()
    {86, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//2284 KProcess::metaObject() const
    {86, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//2285 KProcess::qt_metacast(const char*)
    {86, 3179, 124, 2, Smoke::mf_static, 388, 3},	//2286 KProcess::tr(const char*, const char*)
    {86, 3186, 124, 2, Smoke::mf_static, 388, 4},	//2287 KProcess::trUtf8(const char*, const char*)
    {86, 3179, 127, 3, Smoke::mf_static, 388, 5},	//2288 KProcess::tr(const char*, const char*, int)
    {86, 3186, 127, 3, Smoke::mf_static, 388, 6},	//2289 KProcess::trUtf8(const char*, const char*, int)
    {86, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//2290 KProcess::qt_metacall(QMetaObject::Call, int, void**)
    {86, 444, 146, 1, Smoke::mf_ctor, 157, 8},	//2291 KProcess::KProcess(QObject*)
    {86, 2851, 1681, 1, 0, 0, 9},	//2292 KProcess::setOutputChannelMode(KProcess::OutputChannelMode)
    {86, 2263, 0, 0, Smoke::mf_const, 158, 10},	//2293 KProcess::outputChannelMode() const
    {86, 2839, 150, 1, 0, 0, 11},	//2294 KProcess::setNextOpenMode(QFlags<QIODevice::OpenModeFlag>)
    {86, 2669, 1136, 3, 0, 0, 12},	//2295 KProcess::setEnv(const QString&, const QString&, bool)
    {86, 3236, 30, 1, 0, 0, 13},	//2296 KProcess::unsetEnv(const QString&)
    {86, 1175, 0, 0, 0, 0, 14},	//2297 KProcess::clearEnvironment()
    {86, 2881, 533, 2, 0, 0, 15},	//2298 KProcess::setProgram(const QString&, const QStringList&)
    {86, 2881, 141, 1, 0, 0, 16},	//2299 KProcess::setProgram(const QStringList&)
    {86, 2215, 30, 1, 0, 156, 17},	//2300 KProcess::operator<<(const QString&)
    {86, 2215, 141, 1, 0, 156, 18},	//2301 KProcess::operator<<(const QStringList&)
    {86, 1176, 0, 0, 0, 0, 19},	//2302 KProcess::clearProgram()
    {86, 2909, 30, 1, 0, 0, 20},	//2303 KProcess::setShellCommand(const QString&)
    {86, 2323, 0, 0, Smoke::mf_const, 393, 21},	//2304 KProcess::program() const
    {86, 3020, 0, 0, 0, 0, 22},	//2305 KProcess::start()
    {86, 1480, 118, 1, 0, 704, 23},	//2306 KProcess::execute(int)
    {86, 1480, 1683, 3, Smoke::mf_static, 704, 24},	//2307 KProcess::execute(const QString&, const QStringList&, int)
    {86, 1480, 1687, 2, Smoke::mf_static, 704, 25},	//2308 KProcess::execute(const QStringList&, int)
    {86, 3022, 0, 0, 0, 704, 26},	//2309 KProcess::startDetached()
    {86, 3022, 533, 2, Smoke::mf_static, 704, 27},	//2310 KProcess::startDetached(const QString&, const QStringList&)
    {86, 3022, 141, 1, Smoke::mf_static, 704, 28},	//2311 KProcess::startDetached(const QStringList&)
    {86, 2292, 0, 0, Smoke::mf_const, 704, 29},	//2312 KProcess::pid() const
    {86, 444, 1690, 2, Smoke::mf_ctor|Smoke::mf_protected, 157, 30},	//2313 KProcess::KProcess(KProcessPrivate*, QObject*)
    {86, 3179, 122, 1, Smoke::mf_static, 388, 31},	//2314 KProcess::tr(const char*)
    {86, 3186, 122, 1, Smoke::mf_static, 388, 32},	//2315 KProcess::trUtf8(const char*)
    {86, 444, 0, 0, Smoke::mf_ctor, 157, 33},	//2316 KProcess::KProcess()
    {86, 2669, 95, 2, 0, 0, 34},	//2317 KProcess::setEnv(const QString&, const QString&)
    {86, 2881, 30, 1, 0, 0, 35},	//2318 KProcess::setProgram(const QString&)
    {86, 1480, 0, 0, 0, 704, 36},	//2319 KProcess::execute()
    {86, 1480, 30, 1, Smoke::mf_static, 704, 37},	//2320 KProcess::execute(const QString&)
    {86, 1480, 533, 2, Smoke::mf_static, 704, 38},	//2321 KProcess::execute(const QString&, const QStringList&)
    {86, 1480, 141, 1, Smoke::mf_static, 704, 39},	//2322 KProcess::execute(const QStringList&)
    {86, 3022, 30, 1, Smoke::mf_static, 704, 40},	//2323 KProcess::startDetached(const QString&)
    {86, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 41},	//2324 KProcess::staticMetaObject() const
    {86, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 42},	//2325 KProcess::SeparateChannels (enum)
    {86, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 43},	//2326 KProcess::MergedChannels (enum)
    {86, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 44},	//2327 KProcess::ForwardedChannels (enum)
    {86, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 45},	//2328 KProcess::OnlyStdoutChannel (enum)
    {86, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 46},	//2329 KProcess::OnlyStderrChannel (enum)
    {86, 3447, 0, 0, Smoke::mf_dtor, 0, 47 },	//2330 KProcess::~KProcess()
    {88, 2341, 0, 0, Smoke::mf_static, 393, 1},	//2331 KProtocolInfo::protocols()
    {88, 1856, 148, 1, Smoke::mf_static, 519, 2},	//2332 KProtocolInfo::isKnownProtocol(const KUrl&)
    {88, 1856, 30, 1, Smoke::mf_static, 519, 3},	//2333 KProtocolInfo::isKnownProtocol(const QString&)
    {88, 1475, 30, 1, Smoke::mf_static, 388, 4},	//2334 KProtocolInfo::exec(const QString&)
    {88, 1510, 148, 1, Smoke::mf_static, 351, 5},	//2335 KProtocolInfo::extraFields(const KUrl&)
    {88, 1850, 148, 1, Smoke::mf_static, 519, 6},	//2336 KProtocolInfo::isHelperProtocol(const KUrl&)
    {88, 1850, 30, 1, Smoke::mf_static, 519, 7},	//2337 KProtocolInfo::isHelperProtocol(const QString&)
    {88, 1842, 148, 1, Smoke::mf_static, 519, 8},	//2338 KProtocolInfo::isFilterProtocol(const KUrl&)
    {88, 1842, 30, 1, Smoke::mf_static, 519, 9},	//2339 KProtocolInfo::isFilterProtocol(const QString&)
    {88, 1744, 30, 1, Smoke::mf_static, 388, 10},	//2340 KProtocolInfo::icon(const QString&)
    {88, 1198, 30, 1, Smoke::mf_static, 388, 11},	//2341 KProtocolInfo::config(const QString&)
    {88, 2080, 30, 1, Smoke::mf_static, 704, 12},	//2342 KProtocolInfo::maxSlaves(const QString&)
    {88, 2082, 30, 1, Smoke::mf_static, 704, 13},	//2343 KProtocolInfo::maxSlavesPerHost(const QString&)
    {88, 1390, 30, 1, Smoke::mf_static, 519, 14},	//2344 KProtocolInfo::determineMimetypeFromExtension(const QString&)
    {88, 1414, 30, 1, Smoke::mf_static, 388, 15},	//2345 KProtocolInfo::docPath(const QString&)
    {88, 2339, 30, 1, Smoke::mf_static, 388, 16},	//2346 KProtocolInfo::protocolClass(const QString&)
    {88, 2986, 30, 1, Smoke::mf_static, 519, 17},	//2347 KProtocolInfo::showFilePreview(const QString&)
    {88, 1136, 30, 1, Smoke::mf_static, 393, 18},	//2348 KProtocolInfo::capabilities(const QString&)
    {88, 2342, 30, 1, Smoke::mf_static, 388, 19},	//2349 KProtocolInfo::proxiedBy(const QString&)
    {88, 447, 1585, 2, Smoke::mf_ctor, 160, 20},	//2350 KProtocolInfo::KProtocolInfo(QDataStream&, int)
    {88, 1354, 0, 0, Smoke::mf_const, 388, 21},	//2351 KProtocolInfo::defaultMimeType() const
    {88, 1064, 0, 0, Smoke::mf_const, 393, 22},	//2352 KProtocolInfo::archiveMimeTypes() const
    {88, 1134, 0, 0, Smoke::mf_const|Smoke::mf_protected, 519, 23},	//2353 KProtocolInfo::canRenameFromFile() const
    {88, 1135, 0, 0, Smoke::mf_const|Smoke::mf_protected, 519, 24},	//2354 KProtocolInfo::canRenameToFile() const
    {88, 1132, 0, 0, Smoke::mf_const|Smoke::mf_protected, 519, 25},	//2355 KProtocolInfo::canDeleteRecursive() const
    {88, 1531, 0, 0, Smoke::mf_const|Smoke::mf_protected, 3, 26},	//2356 KProtocolInfo::fileNameUsedForCopying() const
    {88, 2057, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 27},	//2357 KProtocolInfo::m_name() const
    {88, 2779, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//2358 KProtocolInfo::setM_name(const QString&)
    {88, 2050, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 29},	//2359 KProtocolInfo::m_exec() const
    {88, 2765, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//2360 KProtocolInfo::setM_exec(const QString&)
    {88, 2052, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 165, 31},	//2361 KProtocolInfo::m_inputType() const
    {88, 2769, 1693, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//2362 KProtocolInfo::setM_inputType(KProtocolInfo::Type)
    {88, 2058, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 165, 33},	//2363 KProtocolInfo::m_outputType() const
    {88, 2781, 1693, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2364 KProtocolInfo::setM_outputType(KProtocolInfo::Type)
    {88, 2055, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 394, 35},	//2365 KProtocolInfo::m_listing() const
    {88, 2775, 141, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 36},	//2366 KProtocolInfo::setM_listing(const QStringList&)
    {88, 2054, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 37},	//2367 KProtocolInfo::m_isSourceProtocol() const
    {88, 2773, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 38},	//2368 KProtocolInfo::setM_isSourceProtocol(bool)
    {88, 2053, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 39},	//2369 KProtocolInfo::m_isHelperProtocol() const
    {88, 2771, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 40},	//2370 KProtocolInfo::setM_isHelperProtocol(bool)
    {88, 2062, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 41},	//2371 KProtocolInfo::m_supportsListing() const
    {88, 2789, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//2372 KProtocolInfo::setM_supportsListing(bool)
    {88, 2066, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 43},	//2373 KProtocolInfo::m_supportsReading() const
    {88, 2797, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//2374 KProtocolInfo::setM_supportsReading(bool)
    {88, 2067, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 45},	//2375 KProtocolInfo::m_supportsWriting() const
    {88, 2799, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 46},	//2376 KProtocolInfo::setM_supportsWriting(bool)
    {88, 2063, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 47},	//2377 KProtocolInfo::m_supportsMakeDir() const
    {88, 2791, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 48},	//2378 KProtocolInfo::setM_supportsMakeDir(bool)
    {88, 2060, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 49},	//2379 KProtocolInfo::m_supportsDeleting() const
    {88, 2785, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//2380 KProtocolInfo::setM_supportsDeleting(bool)
    {88, 2061, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 51},	//2381 KProtocolInfo::m_supportsLinking() const
    {88, 2787, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 52},	//2382 KProtocolInfo::setM_supportsLinking(bool)
    {88, 2064, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 53},	//2383 KProtocolInfo::m_supportsMoving() const
    {88, 2793, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 54},	//2384 KProtocolInfo::setM_supportsMoving(bool)
    {88, 2065, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 55},	//2385 KProtocolInfo::m_supportsOpening() const
    {88, 2795, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 56},	//2386 KProtocolInfo::setM_supportsOpening(bool)
    {88, 2047, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 57},	//2387 KProtocolInfo::m_defaultMimetype() const
    {88, 2759, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 58},	//2388 KProtocolInfo::setM_defaultMimetype(const QString&)
    {88, 2048, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 59},	//2389 KProtocolInfo::m_determineMimetypeFromExtension() const
    {88, 2761, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 60},	//2390 KProtocolInfo::setM_determineMimetypeFromExtension(bool)
    {88, 2051, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 61},	//2391 KProtocolInfo::m_icon() const
    {88, 2767, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 62},	//2392 KProtocolInfo::setM_icon(const QString&)
    {88, 2044, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 63},	//2393 KProtocolInfo::m_canCopyFromFile() const
    {88, 2753, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 64},	//2394 KProtocolInfo::setM_canCopyFromFile(bool)
    {88, 2045, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 65},	//2395 KProtocolInfo::m_canCopyToFile() const
    {88, 2755, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 66},	//2396 KProtocolInfo::setM_canCopyToFile(bool)
    {88, 2046, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 389, 67},	//2397 KProtocolInfo::m_config() const
    {88, 2757, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 68},	//2398 KProtocolInfo::setM_config(const QString&)
    {88, 2056, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 704, 69},	//2399 KProtocolInfo::m_maxSlaves() const
    {88, 2777, 118, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 70},	//2400 KProtocolInfo::setM_maxSlaves(int)
    {88, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 71},	//2401 KProtocolInfo::T_STREAM (enum)
    {88, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 72},	//2402 KProtocolInfo::T_FILESYSTEM (enum)
    {88, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 73},	//2403 KProtocolInfo::T_NONE (enum)
    {88, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 74},	//2404 KProtocolInfo::T_ERROR (enum)
    {88, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 75},	//2405 KProtocolInfo::Name (enum)
    {88, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 76},	//2406 KProtocolInfo::FromUrl (enum)
    {88, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 77},	//2407 KProtocolInfo::DisplayName (enum)
    {88, 3448, 0, 0, Smoke::mf_dtor, 0, 78 },	//2408 KProtocolInfo::~KProtocolInfo()
    {89, 132, 0, 0, Smoke::mf_ctor, 162, 1},	//2409 KProtocolInfo::ExtraField::ExtraField()
    {89, 132, 1695, 2, Smoke::mf_ctor, 162, 2},	//2410 KProtocolInfo::ExtraField::ExtraField(const QString&, KProtocolInfo::ExtraField::Type)
    {89, 132, 1698, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 162, 3},	//2411 KProtocolInfo::ExtraField::ExtraField(const KProtocolInfo::ExtraField&)
    {89, 2131, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 389, 4},	//2412 KProtocolInfo::ExtraField::name() const
    {89, 2831, 30, 1, Smoke::mf_attribute, 0, 5},	//2413 KProtocolInfo::ExtraField::setName(const QString&)
    {89, 3222, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 163, 6},	//2414 KProtocolInfo::ExtraField::type() const
    {89, 2952, 1700, 1, Smoke::mf_attribute, 0, 7},	//2415 KProtocolInfo::ExtraField::setType(KProtocolInfo::ExtraField::Type)
    {89, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 8},	//2416 KProtocolInfo::ExtraField::String (enum)
    {89, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 9},	//2417 KProtocolInfo::ExtraField::DateTime (enum)
    {89, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 10},	//2418 KProtocolInfo::ExtraField::Invalid (enum)
    {89, 3381, 0, 0, Smoke::mf_dtor, 0, 11 },	//2419 KProtocolInfo::ExtraField::~ExtraField()
    {90, 2373, 0, 0, Smoke::mf_static, 704, 1},	//2420 KRandom::random()
    {90, 2374, 118, 1, Smoke::mf_static, 388, 2},	//2421 KRandom::randomString(int)
    {91, 449, 1292, 1, Smoke::mf_ctor, 167, 1},	//2422 KRandomSequence::KRandomSequence(long)
    {91, 449, 1702, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 167, 2},	//2423 KRandomSequence::KRandomSequence(const KRandomSequence&)
    {91, 2227, 1702, 1, 0, 166, 3},	//2424 KRandomSequence::operator=(const KRandomSequence&)
    {91, 2903, 1292, 1, 0, 0, 4},	//2425 KRandomSequence::setSeed(long)
    {91, 1671, 0, 0, 0, 700, 5},	//2426 KRandomSequence::getDouble()
    {91, 1674, 1177, 1, 0, 724, 6},	//2427 KRandomSequence::getLong(unsigned long)
    {91, 1668, 0, 0, 0, 519, 7},	//2428 KRandomSequence::getBool()
    {91, 2100, 118, 1, 0, 0, 8},	//2429 KRandomSequence::modulate(int)
    {91, 449, 0, 0, Smoke::mf_ctor, 167, 9},	//2430 KRandomSequence::KRandomSequence()
    {91, 2903, 0, 0, 0, 0, 10},	//2431 KRandomSequence::setSeed()
    {91, 3449, 0, 0, Smoke::mf_dtor, 0, 11 },	//2432 KRandomSequence::~KRandomSequence()
    {92, 471, 0, 0, Smoke::mf_ctor, 168, 1},	//2433 KSaveFile::KSaveFile()
    {92, 471, 1202, 2, Smoke::mf_ctor, 168, 2},	//2434 KSaveFile::KSaveFile(const QString&, const KComponentData&)
    {92, 2688, 30, 1, 0, 0, 3},	//2435 KSaveFile::setFileName(const QString&)
    {92, 1529, 0, 0, Smoke::mf_const, 388, 4},	//2436 KSaveFile::fileName() const
    {92, 1463, 0, 0, Smoke::mf_const, 276, 5},	//2437 KSaveFile::error() const
    {92, 1466, 0, 0, Smoke::mf_const, 388, 6},	//2438 KSaveFile::errorString() const
    {92, 2174, 150, 1, Smoke::mf_virtual, 519, 7},	//2439 KSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {92, 856, 0, 0, 0, 0, 8},	//2440 KSaveFile::abort()
    {92, 1533, 0, 0, 0, 519, 9},	//2441 KSaveFile::finalize()
    {92, 1096, 95, 2, Smoke::mf_static, 519, 10},	//2442 KSaveFile::backupFile(const QString&, const QString&)
    {92, 2990, 1350, 3, Smoke::mf_static, 519, 11},	//2443 KSaveFile::simpleBackupFile(const QString&, const QString&, const QString&)
    {92, 2153, 1704, 4, Smoke::mf_static, 519, 12},	//2444 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&, const unsigned int)
    {92, 2378, 1350, 3, Smoke::mf_static, 519, 13},	//2445 KSaveFile::rcsBackupFile(const QString&, const QString&, const QString&)
    {92, 471, 30, 1, Smoke::mf_ctor, 168, 14},	//2446 KSaveFile::KSaveFile(const QString&)
    {92, 2174, 0, 0, 0, 519, 15},	//2447 KSaveFile::open()
    {92, 1096, 30, 1, Smoke::mf_static, 519, 16},	//2448 KSaveFile::backupFile(const QString&)
    {92, 2990, 30, 1, Smoke::mf_static, 519, 17},	//2449 KSaveFile::simpleBackupFile(const QString&)
    {92, 2990, 95, 2, Smoke::mf_static, 519, 18},	//2450 KSaveFile::simpleBackupFile(const QString&, const QString&)
    {92, 2153, 30, 1, Smoke::mf_static, 519, 19},	//2451 KSaveFile::numberedBackupFile(const QString&)
    {92, 2153, 95, 2, Smoke::mf_static, 519, 20},	//2452 KSaveFile::numberedBackupFile(const QString&, const QString&)
    {92, 2153, 1350, 3, Smoke::mf_static, 519, 21},	//2453 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&)
    {92, 2378, 30, 1, Smoke::mf_static, 519, 22},	//2454 KSaveFile::rcsBackupFile(const QString&)
    {92, 2378, 95, 2, Smoke::mf_static, 519, 23},	//2455 KSaveFile::rcsBackupFile(const QString&, const QString&)
    {92, 3450, 0, 0, Smoke::mf_dtor, 0, 24 },	//2456 KSaveFile::~KSaveFile()
    {93, 474, 1350, 3, Smoke::mf_ctor, 169, 1},	//2457 KService::KService(const QString&, const QString&, const QString&)
    {93, 474, 30, 1, Smoke::mf_ctor, 169, 2},	//2458 KService::KService(const QString&)
    {93, 474, 1709, 1, Smoke::mf_ctor, 169, 3},	//2459 KService::KService(const KDesktopFile*)
    {93, 474, 1585, 2, Smoke::mf_ctor, 169, 4},	//2460 KService::KService(QDataStream&, int)
    {93, 1804, 0, 0, Smoke::mf_const, 519, 5},	//2461 KService::isApplication() const
    {93, 3222, 0, 0, Smoke::mf_const, 388, 6},	//2462 KService::type() const
    {93, 1475, 0, 0, Smoke::mf_const, 388, 7},	//2463 KService::exec() const
    {93, 1997, 0, 0, Smoke::mf_const, 388, 8},	//2464 KService::library() const
    {93, 1744, 0, 0, Smoke::mf_const, 388, 9},	//2465 KService::icon() const
    {93, 3134, 0, 0, Smoke::mf_const, 519, 10},	//2466 KService::terminal() const
    {93, 3135, 0, 0, Smoke::mf_const, 388, 11},	//2467 KService::terminalOptions() const
    {93, 3104, 0, 0, Smoke::mf_const, 519, 12},	//2468 KService::substituteUid() const
    {93, 3261, 0, 0, Smoke::mf_const, 388, 13},	//2469 KService::username() const
    {93, 1384, 0, 0, Smoke::mf_const, 388, 14},	//2470 KService::desktopEntryPath() const
    {93, 1383, 0, 0, Smoke::mf_const, 388, 15},	//2471 KService::desktopEntryName() const
    {93, 2086, 0, 0, Smoke::mf_const, 388, 16},	//2472 KService::menuId() const
    {93, 3086, 0, 0, Smoke::mf_const, 388, 17},	//2473 KService::storageId() const
    {93, 1335, 0, 0, Smoke::mf_const, 170, 18},	//2474 KService::dbusStartupType() const
    {93, 2277, 0, 0, Smoke::mf_const, 388, 19},	//2475 KService::path() const
    {93, 1189, 0, 0, Smoke::mf_const, 388, 20},	//2476 KService::comment() const
    {93, 1667, 0, 0, Smoke::mf_const, 388, 21},	//2477 KService::genericName() const
    {93, 3238, 0, 0, Smoke::mf_const, 388, 22},	//2478 KService::untranslatedGenericName() const
    {93, 1956, 0, 0, Smoke::mf_const, 393, 23},	//2479 KService::keywords() const
    {93, 1143, 0, 0, Smoke::mf_const, 393, 24},	//2480 KService::categories() const
    {93, 2548, 0, 0, Smoke::mf_const, 393, 25},	//2481 KService::serviceTypes() const
    {93, 1725, 30, 1, Smoke::mf_const, 519, 26},	//2482 KService::hasServiceType(const QString&) const
    {93, 1712, 1711, 1, Smoke::mf_const, 519, 27},	//2483 KService::hasMimeType(const KServiceType*) const
    {93, 1712, 30, 1, Smoke::mf_const, 519, 28},	//2484 KService::hasMimeType(const QString&) const
    {93, 1051, 0, 0, Smoke::mf_const, 519, 29},	//2485 KService::allowAsDefault() const
    {93, 870, 0, 0, Smoke::mf_const, 352, 30},	//2486 KService::actions() const
    {93, 1053, 0, 0, Smoke::mf_const, 519, 31},	//2487 KService::allowMultipleFiles() const
    {93, 1770, 0, 0, Smoke::mf_const, 704, 32},	//2488 KService::initialPreference() const
    {93, 2149, 0, 0, Smoke::mf_const, 519, 33},	//2489 KService::noDisplay() const
    {93, 2988, 0, 0, Smoke::mf_const, 519, 34},	//2490 KService::showInKDE() const
    {93, 2266, 0, 0, Smoke::mf_const, 388, 35},	//2491 KService::parentApp() const
    {93, 2293, 0, 0, Smoke::mf_const, 388, 36},	//2492 KService::pluginKeyword() const
    {93, 1414, 0, 0, Smoke::mf_const, 388, 37},	//2493 KService::docPath() const
    {93, 2330, 1713, 2, Smoke::mf_const, 412, 38},	//2494 KService::property(const QString&, QVariant::Type) const
    {93, 2330, 30, 1, Smoke::mf_const, 412, 39},	//2495 KService::property(const QString&) const
    {93, 2026, 0, 0, Smoke::mf_const, 388, 40},	//2496 KService::locateLocal() const
    {93, 2815, 30, 1, 0, 0, 41},	//2497 KService::setMenuId(const QString&)
    {93, 2928, 103, 1, 0, 0, 42},	//2498 KService::setTerminal(bool)
    {93, 2930, 30, 1, 0, 0, 43},	//2499 KService::setTerminalOptions(const QString&)
    {93, 2539, 30, 1, Smoke::mf_static, 179, 44},	//2500 KService::serviceByName(const QString&)
    {93, 2535, 30, 1, Smoke::mf_static, 179, 45},	//2501 KService::serviceByDesktopPath(const QString&)
    {93, 2533, 30, 1, Smoke::mf_static, 179, 46},	//2502 KService::serviceByDesktopName(const QString&)
    {93, 2537, 30, 1, Smoke::mf_static, 179, 47},	//2503 KService::serviceByMenuId(const QString&)
    {93, 2541, 30, 1, Smoke::mf_static, 179, 48},	//2504 KService::serviceByStorageId(const QString&)
    {93, 1045, 0, 0, Smoke::mf_static, 354, 49},	//2505 KService::allServices()
    {93, 2144, 1716, 4, Smoke::mf_static, 388, 50},	//2506 KService::newServicePath(bool, const QString&, QString*, const QStringList*)
    {93, 852, 0, 0, Smoke::mf_protected, 417, 51},	//2507 KService::_k_accessServiceTypes()
    {93, 2144, 1721, 2, Smoke::mf_static, 388, 52},	//2508 KService::newServicePath(bool, const QString&)
    {93, 2144, 1724, 3, Smoke::mf_static, 388, 53},	//2509 KService::newServicePath(bool, const QString&, QString*)
    {93, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 54},	//2510 KService::DBusNone (enum)
    {93, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 55},	//2511 KService::DBusUnique (enum)
    {93, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 56},	//2512 KService::DBusMulti (enum)
    {93, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 57},	//2513 KService::DBusWait (enum)
    {93, 3451, 0, 0, Smoke::mf_dtor, 0, 58 },	//2514 KService::~KService()
    {94, 479, 1728, 5, Smoke::mf_ctor, 172, 1},	//2515 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&, bool)
    {94, 479, 0, 0, Smoke::mf_ctor, 172, 2},	//2516 KServiceAction::KServiceAction()
    {94, 479, 1734, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 172, 3},	//2517 KServiceAction::KServiceAction(const KServiceAction&)
    {94, 2227, 1734, 1, 0, 171, 4},	//2518 KServiceAction::operator=(const KServiceAction&)
    {94, 2618, 34, 1, 0, 0, 5},	//2519 KServiceAction::setData(const QVariant&)
    {94, 1275, 0, 0, Smoke::mf_const, 412, 6},	//2520 KServiceAction::data() const
    {94, 2131, 0, 0, Smoke::mf_const, 388, 7},	//2521 KServiceAction::name() const
    {94, 3139, 0, 0, Smoke::mf_const, 388, 8},	//2522 KServiceAction::text() const
    {94, 1744, 0, 0, Smoke::mf_const, 388, 9},	//2523 KServiceAction::icon() const
    {94, 1475, 0, 0, Smoke::mf_const, 388, 10},	//2524 KServiceAction::exec() const
    {94, 2149, 0, 0, Smoke::mf_const, 519, 11},	//2525 KServiceAction::noDisplay() const
    {94, 1884, 0, 0, Smoke::mf_const, 519, 12},	//2526 KServiceAction::isSeparator() const
    {94, 479, 1736, 4, Smoke::mf_ctor, 172, 13},	//2527 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&)
    {94, 3452, 0, 0, Smoke::mf_dtor, 0, 14 },	//2528 KServiceAction::~KServiceAction()
    {95, 483, 30, 1, Smoke::mf_ctor, 173, 1},	//2529 KServiceGroup::KServiceGroup(const QString&)
    {95, 483, 95, 2, Smoke::mf_ctor, 173, 2},	//2530 KServiceGroup::KServiceGroup(const QString&, const QString&)
    {95, 483, 1741, 3, Smoke::mf_ctor, 173, 3},	//2531 KServiceGroup::KServiceGroup(QDataStream&, int, bool)
    {95, 2455, 0, 0, Smoke::mf_const, 388, 4},	//2532 KServiceGroup::relPath() const
    {95, 1138, 0, 0, Smoke::mf_const, 388, 5},	//2533 KServiceGroup::caption() const
    {95, 1744, 0, 0, Smoke::mf_const, 388, 6},	//2534 KServiceGroup::icon() const
    {95, 1189, 0, 0, Smoke::mf_const, 388, 7},	//2535 KServiceGroup::comment() const
    {95, 1164, 0, 0, Smoke::mf_const, 704, 8},	//2536 KServiceGroup::childCount() const
    {95, 2149, 0, 0, Smoke::mf_const, 519, 9},	//2537 KServiceGroup::noDisplay() const
    {95, 2984, 0, 0, Smoke::mf_const, 519, 10},	//2538 KServiceGroup::showEmptyMenu() const
    {95, 2913, 103, 1, 0, 0, 11},	//2539 KServiceGroup::setShowEmptyMenu(bool)
    {95, 2989, 0, 0, Smoke::mf_const, 519, 12},	//2540 KServiceGroup::showInlineHeader() const
    {95, 2915, 103, 1, 0, 0, 13},	//2541 KServiceGroup::setShowInlineHeader(bool)
    {95, 1771, 0, 0, Smoke::mf_const, 519, 14},	//2542 KServiceGroup::inlineAlias() const
    {95, 2711, 103, 1, 0, 0, 15},	//2543 KServiceGroup::setInlineAlias(bool)
    {95, 1052, 0, 0, Smoke::mf_const, 519, 16},	//2544 KServiceGroup::allowInline() const
    {95, 2555, 103, 1, 0, 0, 17},	//2545 KServiceGroup::setAllowInline(bool)
    {95, 1772, 0, 0, Smoke::mf_const, 704, 18},	//2546 KServiceGroup::inlineValue() const
    {95, 2713, 118, 1, 0, 0, 19},	//2547 KServiceGroup::setInlineValue(int)
    {95, 3110, 0, 0, Smoke::mf_const, 393, 20},	//2548 KServiceGroup::suppressGenericNames() const
    {95, 2729, 141, 1, 0, 0, 21},	//2549 KServiceGroup::setLayoutInfo(const QStringList&)
    {95, 1992, 0, 0, Smoke::mf_const, 393, 22},	//2550 KServiceGroup::layoutInfo() const
    {95, 1443, 1745, 4, 0, 358, 23},	//2551 KServiceGroup::entries(bool, bool, bool, bool)
    {95, 1443, 1750, 2, 0, 358, 24},	//2552 KServiceGroup::entries(bool, bool)
    {95, 1443, 103, 1, 0, 358, 25},	//2553 KServiceGroup::entries(bool)
    {95, 1684, 1753, 1, 0, 356, 26},	//2554 KServiceGroup::groupEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 2543, 1753, 1, 0, 354, 27},	//2555 KServiceGroup::serviceEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 1110, 0, 0, Smoke::mf_const, 388, 28},	//2556 KServiceGroup::baseGroupName() const
    {95, 1405, 0, 0, Smoke::mf_const, 388, 29},	//2557 KServiceGroup::directoryEntryPath() const
    {95, 1108, 30, 1, Smoke::mf_static, 180, 30},	//2558 KServiceGroup::baseGroup(const QString&)
    {95, 2509, 0, 0, Smoke::mf_static, 180, 31},	//2559 KServiceGroup::root()
    {95, 1681, 30, 1, Smoke::mf_static, 180, 32},	//2560 KServiceGroup::group(const QString&)
    {95, 1166, 30, 1, Smoke::mf_static, 180, 33},	//2561 KServiceGroup::childGroup(const QString&)
    {95, 904, 1755, 1, Smoke::mf_protected, 0, 34},	//2562 KServiceGroup::addEntry(const KSharedPtr<KSycocaEntry>&)
    {95, 1443, 1757, 3, 0, 358, 35},	//2563 KServiceGroup::entries(bool, bool, bool)
    {95, 1443, 0, 0, 0, 358, 36},	//2564 KServiceGroup::entries()
    {95, 1684, 0, 0, 0, 356, 37},	//2565 KServiceGroup::groupEntries()
    {95, 2543, 0, 0, 0, 354, 38},	//2566 KServiceGroup::serviceEntries()
    {95, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 39},	//2567 KServiceGroup::NoOptions (enum)
    {95, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 40},	//2568 KServiceGroup::SortEntries (enum)
    {95, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 41},	//2569 KServiceGroup::ExcludeNoDisplay (enum)
    {95, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 42},	//2570 KServiceGroup::AllowSeparators (enum)
    {95, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 43},	//2571 KServiceGroup::SortByGenericName (enum)
    {95, 3453, 0, 0, Smoke::mf_dtor, 0, 44 },	//2572 KServiceGroup::~KServiceGroup()
    {96, 487, 1761, 1, Smoke::mf_ctor, 175, 1},	//2573 KServiceType::KServiceType(KDesktopFile*)
    {96, 487, 1585, 2, Smoke::mf_ctor, 175, 2},	//2574 KServiceType::KServiceType(QDataStream&, int)
    {96, 1189, 0, 0, Smoke::mf_const, 388, 3},	//2575 KServiceType::comment() const
    {96, 1384, 0, 0, Smoke::mf_const, 388, 4},	//2576 KServiceType::desktopEntryPath() const
    {96, 1828, 0, 0, Smoke::mf_const, 519, 5},	//2577 KServiceType::isDerived() const
    {96, 2269, 0, 0, Smoke::mf_const, 388, 6},	//2578 KServiceType::parentServiceType() const
    {96, 1760, 30, 1, Smoke::mf_const, 519, 7},	//2579 KServiceType::inherits(const QString&) const
    {96, 2333, 30, 1, Smoke::mf_const, 414, 8},	//2580 KServiceType::propertyDef(const QString&) const
    {96, 2335, 0, 0, Smoke::mf_const, 393, 9},	//2581 KServiceType::propertyDefNames() const
    {96, 2336, 0, 0, Smoke::mf_const, 373, 10},	//2582 KServiceType::propertyDefs() const
    {96, 2270, 0, 0, 0, 181, 11},	//2583 KServiceType::parentType()
    {96, 2905, 118, 1, 0, 0, 12},	//2584 KServiceType::setServiceOffersOffset(int)
    {96, 2545, 0, 0, Smoke::mf_const, 704, 13},	//2585 KServiceType::serviceOffersOffset() const
    {96, 2546, 30, 1, Smoke::mf_static, 181, 14},	//2586 KServiceType::serviceType(const QString&)
    {96, 1044, 0, 0, Smoke::mf_static, 357, 15},	//2587 KServiceType::allServiceTypes()
    {96, 487, 1763, 1, Smoke::mf_ctor|Smoke::mf_protected, 175, 16},	//2588 KServiceType::KServiceType(KServiceTypePrivate&)
    {96, 487, 1765, 3, Smoke::mf_ctor|Smoke::mf_protected, 175, 17},	//2589 KServiceType::KServiceType(KServiceTypePrivate&, const QString&, const QString&)
    {96, 3454, 0, 0, Smoke::mf_dtor, 0, 18 },	//2590 KServiceType::~KServiceType()
    {98, 2356, 95, 2, Smoke::mf_const, 354, 1},	//2591 KServiceTypeTrader::query(const QString&, const QString&) const
    {98, 1356, 95, 2, Smoke::mf_const, 354, 2},	//2592 KServiceTypeTrader::defaultOffers(const QString&, const QString&) const
    {98, 2306, 30, 1, Smoke::mf_const, 179, 3},	//2593 KServiceTypeTrader::preferredService(const QString&) const
    {98, 2529, 0, 0, Smoke::mf_static, 177, 4},	//2594 KServiceTypeTrader::self()
    {98, 1060, 1769, 2, Smoke::mf_static, 0, 5},	//2595 KServiceTypeTrader::applyConstraints(QList<KSharedPtr<KService> >&, const QString&)
    {98, 2356, 30, 1, Smoke::mf_const, 354, 6},	//2596 KServiceTypeTrader::query(const QString&) const
    {98, 1356, 30, 1, Smoke::mf_const, 354, 7},	//2597 KServiceTypeTrader::defaultOffers(const QString&) const
    {98, 3455, 0, 0, Smoke::mf_dtor, 0, 8 },	//2598 KServiceTypeTrader::~KServiceTypeTrader()
    {99, 2178, 454, 3, Smoke::mf_static, 182, 1},	//2599 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2178, 458, 4, Smoke::mf_static, 182, 2},	//2600 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2178, 0, 0, Smoke::mf_static, 182, 3},	//2601 KSharedConfig::openConfig()
    {99, 2178, 30, 1, Smoke::mf_static, 182, 4},	//2602 KSharedConfig::openConfig(const QString&)
    {99, 2178, 475, 2, Smoke::mf_static, 182, 5},	//2603 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {99, 2178, 430, 1, Smoke::mf_static, 182, 6},	//2604 KSharedConfig::openConfig(const KComponentData&)
    {99, 2178, 478, 2, Smoke::mf_static, 182, 7},	//2605 KSharedConfig::openConfig(const KComponentData&, const QString&)
    {99, 2178, 481, 3, Smoke::mf_static, 182, 8},	//2606 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {99, 3456, 0, 0, Smoke::mf_dtor, 0, 9 },	//2607 KSharedConfig::~KSharedConfig()
    {100, 1916, 141, 1, Smoke::mf_static, 388, 1},	//2608 KShell::joinArgs(const QStringList&)
    {100, 3141, 30, 1, Smoke::mf_static, 388, 2},	//2609 KShell::tildeExpand(const QString&)
    {100, 2364, 30, 1, Smoke::mf_static, 388, 3},	//2610 KShell::quoteArg(const QString&)
    {100, 3010, 1772, 3, Smoke::mf_static, 393, 4},	//2611 KShell::splitArgs(const QString&, QFlags<KShell::Option>, KShell::Errors*)
    {100, 3010, 30, 1, Smoke::mf_static, 393, 5},	//2612 KShell::splitArgs(const QString&)
    {100, 3010, 1776, 2, Smoke::mf_static, 393, 6},	//2613 KShell::splitArgs(const QString&, QFlags<KShell::Option>)
    {100, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 7},	//2614 KShell::NoOptions (enum)
    {100, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 8},	//2615 KShell::TildeExpand (enum)
    {100, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 9},	//2616 KShell::AbortOnMeta (enum)
    {100, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 10},	//2617 KShell::NoError (enum)
    {100, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 11},	//2618 KShell::BadQuoting (enum)
    {100, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 12},	//2619 KShell::FoundMeta (enum)
    {101, 1202, 1779, 4, Smoke::mf_static, 397, 1},	//2620 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short, QObject*)
    {101, 1202, 1784, 3, Smoke::mf_static, 397, 2},	//2621 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short)
    {101, 3118, 1788, 3, Smoke::mf_static, 397, 3},	//2622 KSocketFactory::synchronousConnectToHost(const QUrl&, int, QObject*)
    {101, 3118, 1792, 1, Smoke::mf_static, 397, 4},	//2623 KSocketFactory::synchronousConnectToHost(const QUrl&)
    {101, 3118, 1794, 2, Smoke::mf_static, 397, 5},	//2624 KSocketFactory::synchronousConnectToHost(const QUrl&, int)
    {101, 2004, 1797, 4, Smoke::mf_static, 396, 6},	//2625 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short, QObject*)
    {101, 2004, 30, 1, Smoke::mf_static, 396, 7},	//2626 KSocketFactory::listen(const QString&)
    {101, 2004, 1802, 2, Smoke::mf_static, 396, 8},	//2627 KSocketFactory::listen(const QString&, const QHostAddress&)
    {101, 2004, 1805, 3, Smoke::mf_static, 396, 9},	//2628 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short)
    {101, 1202, 1809, 4, Smoke::mf_static, 0, 10},	//2629 KSocketFactory::connectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {101, 2348, 30, 1, Smoke::mf_static, 377, 11},	//2630 KSocketFactory::proxyForListening(const QString&)
    {101, 1202, 1814, 2, Smoke::mf_static, 397, 12},	//2631 KSocketFactory::connectToHost(const QUrl&, QObject*)
    {101, 1202, 1792, 1, Smoke::mf_static, 397, 13},	//2632 KSocketFactory::connectToHost(const QUrl&)
    {101, 3118, 1817, 5, Smoke::mf_static, 397, 14},	//2633 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int, QObject*)
    {101, 3118, 1784, 3, Smoke::mf_static, 397, 15},	//2634 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short)
    {101, 3118, 1823, 4, Smoke::mf_static, 397, 16},	//2635 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int)
    {101, 1202, 1828, 2, Smoke::mf_static, 0, 17},	//2636 KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    {101, 1280, 1831, 3, Smoke::mf_static, 408, 18},	//2637 KSocketFactory::datagramSocket(const QString&, const QString&, QObject*)
    {101, 1280, 95, 2, Smoke::mf_static, 408, 19},	//2638 KSocketFactory::datagramSocket(const QString&, const QString&)
    {101, 2344, 95, 2, Smoke::mf_static, 377, 20},	//2639 KSocketFactory::proxyForConnection(const QString&, const QString&)
    {101, 3118, 1835, 3, Smoke::mf_static, 0, 21},	//2640 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&, int)
    {101, 3118, 1828, 2, Smoke::mf_static, 0, 22},	//2641 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&)
    {101, 2346, 95, 2, Smoke::mf_static, 377, 23},	//2642 KSocketFactory::proxyForDatagram(const QString&, const QString&)
    {101, 3118, 1839, 5, Smoke::mf_static, 0, 24},	//2643 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short, int)
    {101, 3118, 1809, 4, Smoke::mf_static, 0, 25},	//2644 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {102, 491, 0, 0, Smoke::mf_ctor, 186, 1},	//2645 KStandardDirs::KStandardDirs()
    {102, 996, 30, 1, 0, 0, 2},	//2646 KStandardDirs::addPrefix(const QString&)
    {102, 1024, 30, 1, 0, 0, 3},	//2647 KStandardDirs::addXdgConfigPrefix(const QString&)
    {102, 1026, 30, 1, 0, 0, 4},	//2648 KStandardDirs::addXdgDataPrefix(const QString&)
    {102, 1003, 1845, 3, 0, 519, 5},	//2649 KStandardDirs::addResourceType(const char*, const QString&, bool)
    {102, 1003, 1849, 4, 0, 519, 6},	//2650 KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    {102, 1003, 1854, 4, 0, 519, 7},	//2651 KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    {102, 1000, 1845, 3, 0, 519, 8},	//2652 KStandardDirs::addResourceDir(const char*, const QString&, bool)
    {102, 1585, 521, 2, Smoke::mf_const, 388, 9},	//2653 KStandardDirs::findResource(const char*, const QString&) const
    {102, 1880, 521, 2, Smoke::mf_const, 519, 10},	//2654 KStandardDirs::isRestrictedResource(const char*, const QString&) const
    {102, 1117, 1859, 3, Smoke::mf_const, 722, 11},	//2655 KStandardDirs::calcResourceHash(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {102, 1566, 521, 2, Smoke::mf_const, 393, 12},	//2656 KStandardDirs::findDirs(const char*, const QString&) const
    {102, 1587, 521, 2, Smoke::mf_const, 388, 13},	//2657 KStandardDirs::findResourceDir(const char*, const QString&) const
    {102, 1538, 1859, 3, Smoke::mf_const, 393, 14},	//2658 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {102, 1538, 1863, 4, Smoke::mf_const, 393, 15},	//2659 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&) const
    {102, 3129, 30, 1, Smoke::mf_static, 393, 16},	//2660 KStandardDirs::systemPaths(const QString&)
    {102, 1570, 1868, 3, Smoke::mf_static, 388, 17},	//2661 KStandardDirs::findExe(const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {102, 1534, 1872, 4, Smoke::mf_static, 704, 18},	//2662 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {102, 897, 595, 1, 0, 519, 19},	//2663 KStandardDirs::addCustomized(KConfig*)
    {102, 2500, 122, 1, Smoke::mf_const, 393, 20},	//2664 KStandardDirs::resourceDirs(const char*) const
    {102, 1048, 0, 0, Smoke::mf_const, 393, 21},	//2665 KStandardDirs::allTypes() const
    {102, 2517, 1845, 3, Smoke::mf_const, 388, 22},	//2666 KStandardDirs::saveLocation(const char*, const QString&, bool) const
    {102, 2456, 521, 2, 0, 388, 23},	//2667 KStandardDirs::relativeLocation(const char*, const QString&)
    {102, 2070, 1014, 2, Smoke::mf_static, 519, 24},	//2668 KStandardDirs::makeDir(const QString&, int)
    {102, 1936, 122, 1, Smoke::mf_static, 388, 25},	//2669 KStandardDirs::kde_default(const char*)
    {102, 1957, 0, 0, 0, 388, 26},	//2670 KStandardDirs::kfsstnd_prefixes()
    {102, 1958, 0, 0, 0, 388, 27},	//2671 KStandardDirs::kfsstnd_xdg_conf_prefixes()
    {102, 1959, 0, 0, 0, 388, 28},	//2672 KStandardDirs::kfsstnd_xdg_data_prefixes()
    {102, 2020, 0, 0, Smoke::mf_const, 388, 29},	//2673 KStandardDirs::localkdedir() const
    {102, 2022, 0, 0, Smoke::mf_const, 388, 30},	//2674 KStandardDirs::localxdgdatadir() const
    {102, 2021, 0, 0, Smoke::mf_const, 388, 31},	//2675 KStandardDirs::localxdgconfdir() const
    {102, 1775, 122, 1, Smoke::mf_static, 388, 32},	//2676 KStandardDirs::installPath(const char*)
    {102, 1490, 30, 1, Smoke::mf_static, 519, 33},	//2677 KStandardDirs::exists(const QString&)
    {102, 1492, 1014, 2, Smoke::mf_static, 519, 34},	//2678 KStandardDirs::exists_ext(const QString&, int)
    {102, 2447, 30, 1, Smoke::mf_static, 388, 35},	//2679 KStandardDirs::realPath(const QString&)
    {102, 2444, 30, 1, Smoke::mf_static, 388, 36},	//2680 KStandardDirs::realFilePath(const QString&)
    {102, 2023, 1877, 3, Smoke::mf_static, 388, 37},	//2681 KStandardDirs::locate(const char*, const QString&, const KComponentData&)
    {102, 2026, 1877, 3, Smoke::mf_static, 388, 38},	//2682 KStandardDirs::locateLocal(const char*, const QString&, const KComponentData&)
    {102, 2026, 1881, 4, Smoke::mf_static, 388, 39},	//2683 KStandardDirs::locateLocal(const char*, const QString&, bool, const KComponentData&)
    {102, 1152, 1014, 2, Smoke::mf_static, 519, 40},	//2684 KStandardDirs::checkAccess(const QString&, int)
    {102, 1003, 521, 2, 0, 519, 41},	//2685 KStandardDirs::addResourceType(const char*, const QString&)
    {102, 1003, 1886, 3, 0, 519, 42},	//2686 KStandardDirs::addResourceType(const char*, const char*, const QString&)
    {102, 1003, 1336, 3, 0, 519, 43},	//2687 KStandardDirs::addResourceType(const char*, const char*, const char*)
    {102, 1000, 521, 2, 0, 519, 44},	//2688 KStandardDirs::addResourceDir(const char*, const QString&)
    {102, 1880, 122, 1, Smoke::mf_const, 519, 45},	//2689 KStandardDirs::isRestrictedResource(const char*) const
    {102, 1117, 521, 2, Smoke::mf_const, 722, 46},	//2690 KStandardDirs::calcResourceHash(const char*, const QString&) const
    {102, 1538, 122, 1, Smoke::mf_const, 393, 47},	//2691 KStandardDirs::findAllResources(const char*) const
    {102, 1538, 521, 2, Smoke::mf_const, 393, 48},	//2692 KStandardDirs::findAllResources(const char*, const QString&) const
    {102, 3129, 0, 0, Smoke::mf_static, 393, 49},	//2693 KStandardDirs::systemPaths()
    {102, 1570, 30, 1, Smoke::mf_static, 388, 50},	//2694 KStandardDirs::findExe(const QString&)
    {102, 1570, 95, 2, Smoke::mf_static, 388, 51},	//2695 KStandardDirs::findExe(const QString&, const QString&)
    {102, 1534, 1890, 2, Smoke::mf_static, 704, 52},	//2696 KStandardDirs::findAllExe(QStringList&, const QString&)
    {102, 1534, 1893, 3, Smoke::mf_static, 704, 53},	//2697 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&)
    {102, 2517, 122, 1, Smoke::mf_const, 388, 54},	//2698 KStandardDirs::saveLocation(const char*) const
    {102, 2517, 521, 2, Smoke::mf_const, 388, 55},	//2699 KStandardDirs::saveLocation(const char*, const QString&) const
    {102, 2070, 30, 1, Smoke::mf_static, 519, 56},	//2700 KStandardDirs::makeDir(const QString&)
    {102, 2023, 521, 2, Smoke::mf_static, 388, 57},	//2701 KStandardDirs::locate(const char*, const QString&)
    {102, 2026, 521, 2, Smoke::mf_static, 388, 58},	//2702 KStandardDirs::locateLocal(const char*, const QString&)
    {102, 2026, 1845, 3, Smoke::mf_static, 388, 59},	//2703 KStandardDirs::locateLocal(const char*, const QString&, bool)
    {102, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 60},	//2704 KStandardDirs::NoSearchOptions (enum)
    {102, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 61},	//2705 KStandardDirs::Recursive (enum)
    {102, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 62},	//2706 KStandardDirs::NoDuplicates (enum)
    {102, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 63},	//2707 KStandardDirs::IgnoreExecBit (enum)
    {102, 3457, 0, 0, Smoke::mf_dtor, 0, 64 },	//2708 KStandardDirs::~KStandardDirs()
    {103, 2285, 1897, 3, Smoke::mf_static, 393, 1},	//2709 KStringHandler::perlSplit(const QString&, const QString&, int)
    {103, 2285, 95, 2, Smoke::mf_static, 393, 2},	//2710 KStringHandler::perlSplit(const QString&, const QString&)
    {103, 2137, 1901, 3, Smoke::mf_static, 704, 3},	//2711 KStringHandler::naturalCompare(const QString&, const QString&, Qt::CaseSensitivity)
    {103, 2137, 95, 2, Smoke::mf_static, 704, 4},	//2712 KStringHandler::naturalCompare(const QString&, const QString&)
    {103, 1637, 122, 1, Smoke::mf_static, 388, 5},	//2713 KStringHandler::from8Bit(const char*)
    {103, 1899, 122, 1, Smoke::mf_static, 519, 6},	//2714 KStringHandler::isUtf8(const char*)
    {103, 2037, 1014, 2, Smoke::mf_static, 388, 7},	//2715 KStringHandler::lsqueeze(const QString&, int)
    {103, 2037, 30, 1, Smoke::mf_static, 388, 8},	//2716 KStringHandler::lsqueeze(const QString&)
    {103, 1139, 30, 1, Smoke::mf_static, 388, 9},	//2717 KStringHandler::capwords(const QString&)
    {103, 1250, 1014, 2, Smoke::mf_static, 388, 10},	//2718 KStringHandler::csqueeze(const QString&, int)
    {103, 1250, 30, 1, Smoke::mf_static, 388, 11},	//2719 KStringHandler::csqueeze(const QString&)
    {103, 2285, 1905, 3, Smoke::mf_static, 393, 12},	//2720 KStringHandler::perlSplit(const QChar&, const QString&, int)
    {103, 2285, 1909, 2, Smoke::mf_static, 393, 13},	//2721 KStringHandler::perlSplit(const QChar&, const QString&)
    {103, 2304, 30, 1, Smoke::mf_static, 388, 14},	//2722 KStringHandler::preProcessWrap(const QString&)
    {103, 2285, 1912, 3, Smoke::mf_static, 393, 15},	//2723 KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    {103, 2285, 1916, 2, Smoke::mf_static, 393, 16},	//2724 KStringHandler::perlSplit(const QRegExp&, const QString&)
    {103, 2160, 30, 1, Smoke::mf_static, 388, 17},	//2725 KStringHandler::obscure(const QString&)
    {103, 1139, 141, 1, Smoke::mf_static, 393, 18},	//2726 KStringHandler::capwords(const QStringList&)
    {103, 2510, 1014, 2, Smoke::mf_static, 388, 19},	//2727 KStringHandler::rsqueeze(const QString&, int)
    {103, 2510, 30, 1, Smoke::mf_static, 388, 20},	//2728 KStringHandler::rsqueeze(const QString&)
    {103, 3131, 30, 1, Smoke::mf_static, 388, 21},	//2729 KStringHandler::tagUrls(const QString&)
    {104, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//2730 KSycoca::metaObject() const
    {104, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//2731 KSycoca::qt_metacast(const char*)
    {104, 3179, 124, 2, Smoke::mf_static, 388, 3},	//2732 KSycoca::tr(const char*, const char*)
    {104, 3186, 124, 2, Smoke::mf_static, 388, 4},	//2733 KSycoca::trUtf8(const char*, const char*)
    {104, 3179, 127, 3, Smoke::mf_static, 388, 5},	//2734 KSycoca::tr(const char*, const char*, int)
    {104, 3186, 127, 3, Smoke::mf_static, 388, 6},	//2735 KSycoca::trUtf8(const char*, const char*, int)
    {104, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//2736 KSycoca::qt_metacall(QMetaObject::Call, int, void**)
    {104, 492, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 188, 8},	//2737 KSycoca::KSycoca(bool)
    {104, 3282, 0, 0, Smoke::mf_static, 704, 9},	//2738 KSycoca::version()
    {104, 1812, 0, 0, Smoke::mf_static, 519, 10},	//2739 KSycoca::isAvailable()
    {104, 1568, 1919, 2, 0, 264, 11},	//2740 KSycoca::findEntry(int, KSycocaType&)
    {104, 1574, 1922, 1, 0, 264, 12},	//2741 KSycoca::findFactory(KSycocaFactoryId)
    {104, 1957, 0, 0, 0, 388, 13},	//2742 KSycoca::kfsstnd_prefixes()
    {104, 859, 1924, 1, Smoke::mf_static, 388, 14},	//2743 KSycoca::absoluteFilePath(DatabaseType)
    {104, 1977, 0, 0, 0, 388, 15},	//2744 KSycoca::language()
    {104, 3146, 0, 0, 0, 722, 16},	//2745 KSycoca::timeStamp()
    {104, 3246, 0, 0, 0, 722, 17},	//2746 KSycoca::updateSignature()
    {104, 1043, 0, 0, 0, 393, 18},	//2747 KSycoca::allResourceDirs()
    {104, 906, 1926, 1, 0, 0, 19},	//2748 KSycoca::addFactory(KSycocaFactory*)
    {104, 1817, 0, 0, Smoke::mf_virtual, 519, 20},	//2749 KSycoca::isBuilding()
    {104, 1407, 0, 0, Smoke::mf_static, 0, 21},	//2750 KSycoca::disableAutoRebuild()
    {104, 1818, 122, 1, Smoke::mf_static, 519, 22},	//2751 KSycoca::isChanged(const char*)
    {104, 1598, 0, 0, Smoke::mf_static, 0, 23},	//2752 KSycoca::flagError()
    {104, 2409, 0, 0, Smoke::mf_static, 519, 24},	//2753 KSycoca::readError()
    {104, 1278, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2754 KSycoca::databaseChanged()
    {104, 1278, 141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2755 KSycoca::databaseChanged(const QStringList&)
    {104, 1515, 0, 0, Smoke::mf_protected, 194, 27},	//2756 KSycoca::factories()
    {104, 3089, 0, 0, Smoke::mf_protected, 265, 28},	//2757 KSycoca::stream()
    {104, 3179, 122, 1, Smoke::mf_static, 388, 29},	//2758 KSycoca::tr(const char*)
    {104, 3186, 122, 1, Smoke::mf_static, 388, 30},	//2759 KSycoca::trUtf8(const char*)
    {104, 859, 0, 0, Smoke::mf_static, 388, 31},	//2760 KSycoca::absoluteFilePath()
    {104, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 32},	//2761 KSycoca::staticMetaObject() const
    {104, 2059, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 264, 33},	//2762 KSycoca::m_str_deprecated() const
    {104, 2783, 1928, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2763 KSycoca::setM_str_deprecated(QDataStream*)
    {104, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 35},	//2764 KSycoca::LocalDatabase (enum)
    {104, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 36},	//2765 KSycoca::GlobalDatabase (enum)
    {104, 3458, 0, 0, Smoke::mf_dtor, 0, 37 },	//2766 KSycoca::~KSycoca()
    {105, 494, 0, 0, Smoke::mf_ctor, 190, 1},	//2767 KSycocaEntry::KSycocaEntry()
    {105, 1896, 1930, 1, Smoke::mf_const, 519, 2},	//2768 KSycocaEntry::isType(KSycocaType) const
    {105, 3115, 0, 0, Smoke::mf_const, 195, 3},	//2769 KSycocaEntry::sycocaType() const
    {105, 2382, 1932, 2, Smoke::mf_static, 0, 4},	//2770 KSycocaEntry::read(QDataStream&, QString&)
    {105, 2382, 1935, 2, Smoke::mf_static, 0, 5},	//2771 KSycocaEntry::read(QDataStream&, QStringList&)
    {105, 2131, 0, 0, Smoke::mf_const, 388, 6},	//2772 KSycocaEntry::name() const
    {105, 1450, 0, 0, Smoke::mf_const, 388, 7},	//2773 KSycocaEntry::entryPath() const
    {105, 3086, 0, 0, Smoke::mf_const, 388, 8},	//2774 KSycocaEntry::storageId() const
    {105, 1901, 0, 0, Smoke::mf_const, 519, 9},	//2775 KSycocaEntry::isValid() const
    {105, 1827, 0, 0, Smoke::mf_const, 519, 10},	//2776 KSycocaEntry::isDeleted() const
    {105, 2330, 30, 1, Smoke::mf_const, 412, 11},	//2777 KSycocaEntry::property(const QString&) const
    {105, 2337, 0, 0, Smoke::mf_const, 393, 12},	//2778 KSycocaEntry::propertyNames() const
    {105, 2653, 103, 1, 0, 0, 13},	//2779 KSycocaEntry::setDeleted(bool)
    {105, 1884, 0, 0, Smoke::mf_const, 519, 14},	//2780 KSycocaEntry::isSeparator() const
    {105, 2164, 0, 0, Smoke::mf_const, 704, 15},	//2781 KSycocaEntry::offset() const
    {105, 2513, 381, 1, 0, 0, 16},	//2782 KSycocaEntry::save(QDataStream&)
    {105, 494, 1938, 1, Smoke::mf_ctor|Smoke::mf_protected, 190, 17},	//2783 KSycocaEntry::KSycocaEntry(KSycocaEntryPrivate&)
    {105, 3459, 0, 0, Smoke::mf_dtor, 0, 18 },	//2784 KSycocaEntry::~KSycocaEntry()
    {109, 496, 1940, 6, Smoke::mf_ctor, 197, 1},	//2785 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {109, 496, 1947, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 197, 2},	//2786 KSystemTimeZone::KSystemTimeZone(const KSystemTimeZone&)
    {109, 496, 1949, 2, Smoke::mf_ctor, 197, 3},	//2787 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&)
    {109, 496, 1952, 3, Smoke::mf_ctor, 197, 4},	//2788 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&)
    {109, 496, 1956, 4, Smoke::mf_ctor, 197, 5},	//2789 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float)
    {109, 496, 1961, 5, Smoke::mf_ctor, 197, 6},	//2790 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float)
    {109, 3460, 0, 0, Smoke::mf_dtor, 0, 7 },	//2791 KSystemTimeZone::~KSystemTimeZone()
    {110, 503, 1940, 6, Smoke::mf_ctor, 198, 1},	//2792 KSystemTimeZoneBackend::KSystemTimeZoneBackend(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {110, 1178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 2},	//2793 KSystemTimeZoneBackend::clone() const
    {110, 3222, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 249, 3},	//2794 KSystemTimeZoneBackend::type() const
    {110, 2170, 1967, 3, Smoke::mf_const|Smoke::mf_virtual, 704, 4},	//2795 KSystemTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {110, 2167, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 5},	//2796 KSystemTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {110, 2164, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 6},	//2797 KSystemTimeZoneBackend::offset(const KTimeZone*, time_t) const
    {110, 1834, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 7},	//2798 KSystemTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {110, 1831, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 8},	//2799 KSystemTimeZoneBackend::isDst(const KTimeZone*, time_t) const
    {110, 503, 1977, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 198, 9},	//2800 KSystemTimeZoneBackend::KSystemTimeZoneBackend(const KSystemTimeZoneBackend&)
    {110, 3461, 0, 0, Smoke::mf_dtor, 0, 10 },	//2801 KSystemTimeZoneBackend::~KSystemTimeZoneBackend()
    {111, 506, 0, 0, Smoke::mf_ctor, 199, 1},	//2802 KSystemTimeZoneSource::KSystemTimeZoneSource()
    {111, 2272, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 2},	//2803 KSystemTimeZoneSource::parse(const KTimeZone&) const
    {111, 3026, 0, 0, Smoke::mf_static, 0, 3},	//2804 KSystemTimeZoneSource::startParseBlock()
    {111, 1442, 0, 0, Smoke::mf_static, 0, 4},	//2805 KSystemTimeZoneSource::endParseBlock()
    {111, 506, 1979, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 199, 5},	//2806 KSystemTimeZoneSource::KSystemTimeZoneSource(const KSystemTimeZoneSource&)
    {111, 3462, 0, 0, Smoke::mf_dtor, 0, 6 },	//2807 KSystemTimeZoneSource::~KSystemTimeZoneSource()
    {112, 2090, 0, 0, Smoke::mf_const, 661, 1},	//2808 KSystemTimeZones::metaObject() const
    {112, 2354, 122, 1, 0, 729, 2},	//2809 KSystemTimeZones::qt_metacast(const char*)
    {112, 3179, 124, 2, Smoke::mf_static, 388, 3},	//2810 KSystemTimeZones::tr(const char*, const char*)
    {112, 3186, 124, 2, Smoke::mf_static, 388, 4},	//2811 KSystemTimeZones::trUtf8(const char*, const char*)
    {112, 3179, 127, 3, Smoke::mf_static, 388, 5},	//2812 KSystemTimeZones::tr(const char*, const char*, int)
    {112, 3186, 127, 3, Smoke::mf_static, 388, 6},	//2813 KSystemTimeZones::trUtf8(const char*, const char*, int)
    {112, 2352, 131, 3, 0, 704, 7},	//2814 KSystemTimeZones::qt_metacall(QMetaObject::Call, int, void**)
    {112, 3149, 0, 0, Smoke::mf_static, 218, 8},	//2815 KSystemTimeZones::timeZones()
    {112, 3374, 0, 0, Smoke::mf_static, 656, 9},	//2816 KSystemTimeZones::zones()
    {112, 3371, 30, 1, Smoke::mf_static, 202, 10},	//2817 KSystemTimeZones::zone(const QString&)
    {112, 2441, 30, 1, Smoke::mf_static, 202, 11},	//2818 KSystemTimeZones::readZone(const QString&)
    {112, 2014, 0, 0, Smoke::mf_static, 202, 12},	//2819 KSystemTimeZones::local()
    {112, 2446, 0, 0, Smoke::mf_static, 202, 13},	//2820 KSystemTimeZones::realLocalZone()
    {112, 2739, 1041, 1, Smoke::mf_static, 0, 14},	//2821 KSystemTimeZones::setLocalZone(const KTimeZone&)
    {112, 1890, 0, 0, Smoke::mf_static, 519, 15},	//2822 KSystemTimeZones::isSimulated()
    {112, 3373, 0, 0, Smoke::mf_static, 388, 16},	//2823 KSystemTimeZones::zoneinfoDir()
    {112, 1895, 0, 0, Smoke::mf_static, 519, 17},	//2824 KSystemTimeZones::isTimeZoneDaemonAvailable()
    {112, 3179, 122, 1, Smoke::mf_static, 388, 18},	//2825 KSystemTimeZones::tr(const char*)
    {112, 3186, 122, 1, Smoke::mf_static, 388, 19},	//2826 KSystemTimeZones::trUtf8(const char*)
    {112, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 20},	//2827 KSystemTimeZones::staticMetaObject() const
    {112, 3463, 0, 0, Smoke::mf_dtor, 0, 21 },	//2828 KSystemTimeZones::~KSystemTimeZones()
    {113, 508, 1014, 2, Smoke::mf_ctor, 200, 1},	//2829 KTempDir::KTempDir(const QString&, int)
    {113, 2574, 103, 1, 0, 0, 2},	//2830 KTempDir::setAutoRemove(bool)
    {113, 1082, 0, 0, Smoke::mf_const, 519, 3},	//2831 KTempDir::autoRemove() const
    {113, 3081, 0, 0, Smoke::mf_const, 704, 4},	//2832 KTempDir::status() const
    {113, 2131, 0, 0, Smoke::mf_const, 388, 5},	//2833 KTempDir::name() const
    {113, 3228, 0, 0, 0, 0, 6},	//2834 KTempDir::unlink()
    {113, 1490, 0, 0, Smoke::mf_const, 519, 7},	//2835 KTempDir::exists() const
    {113, 2471, 30, 1, Smoke::mf_static, 519, 8},	//2836 KTempDir::removeDir(const QString&)
    {113, 1235, 1014, 2, Smoke::mf_protected, 519, 9},	//2837 KTempDir::create(const QString&, int)
    {113, 508, 0, 0, Smoke::mf_ctor, 200, 10},	//2838 KTempDir::KTempDir()
    {113, 508, 30, 1, Smoke::mf_ctor, 200, 11},	//2839 KTempDir::KTempDir(const QString&)
    {113, 3464, 0, 0, Smoke::mf_dtor, 0, 12 },	//2840 KTempDir::~KTempDir()
    {114, 511, 430, 1, Smoke::mf_ctor, 201, 1},	//2841 KTemporaryFile::KTemporaryFile(const KComponentData&)
    {114, 2873, 30, 1, 0, 0, 2},	//2842 KTemporaryFile::setPrefix(const QString&)
    {114, 2926, 30, 1, 0, 0, 3},	//2843 KTemporaryFile::setSuffix(const QString&)
    {114, 511, 0, 0, Smoke::mf_ctor, 201, 4},	//2844 KTemporaryFile::KTemporaryFile()
    {114, 3465, 0, 0, Smoke::mf_dtor, 0, 5 },	//2845 KTemporaryFile::~KTemporaryFile()
    {115, 513, 0, 0, Smoke::mf_ctor, 204, 1},	//2846 KTimeZone::KTimeZone()
    {115, 513, 30, 1, Smoke::mf_ctor, 204, 2},	//2847 KTimeZone::KTimeZone(const QString&)
    {115, 513, 1041, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 3},	//2848 KTimeZone::KTimeZone(const KTimeZone&)
    {115, 2227, 1041, 1, 0, 203, 4},	//2849 KTimeZone::operator=(const KTimeZone&)
    {115, 2230, 1041, 1, Smoke::mf_const, 519, 5},	//2850 KTimeZone::operator==(const KTimeZone&) const
    {115, 2187, 1041, 1, Smoke::mf_const, 519, 6},	//2851 KTimeZone::operator!=(const KTimeZone&) const
    {115, 3222, 0, 0, Smoke::mf_const, 249, 7},	//2852 KTimeZone::type() const
    {115, 1901, 0, 0, Smoke::mf_const, 519, 8},	//2853 KTimeZone::isValid() const
    {115, 2131, 0, 0, Smoke::mf_const, 388, 9},	//2854 KTimeZone::name() const
    {115, 1231, 0, 0, Smoke::mf_const, 388, 10},	//2855 KTimeZone::countryCode() const
    {115, 1991, 0, 0, Smoke::mf_const, 702, 11},	//2856 KTimeZone::latitude() const
    {115, 2036, 0, 0, Smoke::mf_const, 702, 12},	//2857 KTimeZone::longitude() const
    {115, 1189, 0, 0, Smoke::mf_const, 388, 13},	//2858 KTimeZone::comment() const
    {115, 855, 0, 0, Smoke::mf_const, 364, 14},	//2859 KTimeZone::abbreviations() const
    {115, 853, 1037, 1, Smoke::mf_const, 249, 15},	//2860 KTimeZone::abbreviation(const QDateTime&) const
    {115, 3270, 0, 0, Smoke::mf_const, 368, 16},	//2861 KTimeZone::utcOffsets() const
    {115, 1215, 1981, 2, Smoke::mf_const, 268, 17},	//2862 KTimeZone::convert(const KTimeZone&, const QDateTime&) const
    {115, 3168, 1037, 1, Smoke::mf_const, 268, 18},	//2863 KTimeZone::toUtc(const QDateTime&) const
    {115, 3172, 1984, 2, Smoke::mf_const, 268, 19},	//2864 KTimeZone::toZoneTime(const QDateTime&, bool*) const
    {115, 1267, 1987, 1, Smoke::mf_const, 704, 20},	//2865 KTimeZone::currentOffset(Qt::TimeSpec) const
    {115, 2170, 1989, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 21},	//2866 KTimeZone::offsetAtZoneTime(const QDateTime&, int*) const
    {115, 2167, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 22},	//2867 KTimeZone::offsetAtUtc(const QDateTime&) const
    {115, 2164, 1992, 1, Smoke::mf_const|Smoke::mf_virtual, 704, 23},	//2868 KTimeZone::offset(time_t) const
    {115, 1834, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 24},	//2869 KTimeZone::isDstAtUtc(const QDateTime&) const
    {115, 1831, 1992, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 25},	//2870 KTimeZone::isDst(time_t) const
    {115, 2291, 0, 0, Smoke::mf_const, 360, 26},	//2871 KTimeZone::phases() const
    {115, 1731, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 27},	//2872 KTimeZone::hasTransitions() const
    {115, 3204, 1994, 2, Smoke::mf_const, 361, 28},	//2873 KTimeZone::transitions(const QDateTime&, const QDateTime&) const
    {115, 3192, 1997, 3, Smoke::mf_const, 599, 29},	//2874 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {115, 3196, 2001, 3, Smoke::mf_const, 704, 30},	//2875 KTimeZone::transitionIndex(const QDateTime&, int*, bool*) const
    {115, 3200, 2005, 3, Smoke::mf_const, 365, 31},	//2876 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {115, 1995, 0, 0, Smoke::mf_const, 359, 32},	//2877 KTimeZone::leapSecondChanges() const
    {115, 3003, 0, 0, Smoke::mf_const, 217, 33},	//2878 KTimeZone::source() const
    {115, 2272, 0, 0, Smoke::mf_const, 519, 34},	//2879 KTimeZone::parse() const
    {115, 1275, 103, 1, Smoke::mf_const, 603, 35},	//2880 KTimeZone::data(bool) const
    {115, 3244, 1041, 1, 0, 519, 36},	//2881 KTimeZone::updateBase(const KTimeZone&)
    {115, 1663, 1992, 1, Smoke::mf_static, 268, 37},	//2882 KTimeZone::fromTime_t(time_t)
    {115, 3166, 1037, 1, Smoke::mf_static, 718, 38},	//2883 KTimeZone::toTime_t(const QDateTime&)
    {115, 3268, 0, 0, Smoke::mf_static, 202, 39},	//2884 KTimeZone::utc()
    {115, 513, 2009, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 40},	//2885 KTimeZone::KTimeZone(KTimeZoneBackend*)
    {115, 2618, 2011, 2, Smoke::mf_protected, 0, 41},	//2886 KTimeZone::setData(KTimeZoneData*, KTimeZoneSource*)
    {115, 3172, 1037, 1, Smoke::mf_const, 268, 42},	//2887 KTimeZone::toZoneTime(const QDateTime&) const
    {115, 1267, 0, 0, Smoke::mf_const, 704, 43},	//2888 KTimeZone::currentOffset() const
    {115, 2170, 1037, 1, Smoke::mf_const, 704, 44},	//2889 KTimeZone::offsetAtZoneTime(const QDateTime&) const
    {115, 3204, 0, 0, Smoke::mf_const, 361, 45},	//2890 KTimeZone::transitions() const
    {115, 3204, 1037, 1, Smoke::mf_const, 361, 46},	//2891 KTimeZone::transitions(const QDateTime&) const
    {115, 3192, 1037, 1, Smoke::mf_const, 599, 47},	//2892 KTimeZone::transition(const QDateTime&) const
    {115, 3192, 2014, 2, Smoke::mf_const, 599, 48},	//2893 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**) const
    {115, 3196, 1037, 1, Smoke::mf_const, 704, 49},	//2894 KTimeZone::transitionIndex(const QDateTime&) const
    {115, 3196, 1989, 2, Smoke::mf_const, 704, 50},	//2895 KTimeZone::transitionIndex(const QDateTime&, int*) const
    {115, 3200, 2017, 1, Smoke::mf_const, 365, 51},	//2896 KTimeZone::transitionTimes(const KTimeZone::Phase&) const
    {115, 3200, 2019, 2, Smoke::mf_const, 365, 52},	//2897 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {115, 1275, 0, 0, Smoke::mf_const, 603, 53},	//2898 KTimeZone::data() const
    {115, 2618, 2022, 1, Smoke::mf_protected, 0, 54},	//2899 KTimeZone::setData(KTimeZoneData*)
    {115, 180, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 691, 55},	//2900 KTimeZone::InvalidOffset() const
    {115, 181, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 694, 56},	//2901 KTimeZone::InvalidTime_t() const
    {115, 800, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 689, 57},	//2902 KTimeZone::UNKNOWN() const
    {115, 3466, 0, 0, Smoke::mf_dtor, 0, 58 },	//2903 KTimeZone::~KTimeZone()
    {116, 566, 0, 0, Smoke::mf_ctor, 207, 1},	//2904 KTimeZone::LeapSeconds::LeapSeconds()
    {116, 566, 2024, 3, Smoke::mf_ctor, 207, 2},	//2905 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int, const QString&)
    {116, 566, 2028, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 207, 3},	//2906 KTimeZone::LeapSeconds::LeapSeconds(const KTimeZone::LeapSeconds&)
    {116, 2227, 2028, 1, 0, 206, 4},	//2907 KTimeZone::LeapSeconds::operator=(const KTimeZone::LeapSeconds&)
    {116, 2209, 2028, 1, Smoke::mf_const, 519, 5},	//2908 KTimeZone::LeapSeconds::operator<(const KTimeZone::LeapSeconds&) const
    {116, 1901, 0, 0, Smoke::mf_const, 519, 6},	//2909 KTimeZone::LeapSeconds::isValid() const
    {116, 1291, 0, 0, Smoke::mf_const, 268, 7},	//2910 KTimeZone::LeapSeconds::dateTime() const
    {116, 1996, 0, 0, Smoke::mf_const, 704, 8},	//2911 KTimeZone::LeapSeconds::leapSeconds() const
    {116, 1189, 0, 0, Smoke::mf_const, 388, 9},	//2912 KTimeZone::LeapSeconds::comment() const
    {116, 566, 2030, 2, Smoke::mf_ctor, 207, 10},	//2913 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int)
    {116, 3479, 0, 0, Smoke::mf_dtor, 0, 11 },	//2914 KTimeZone::LeapSeconds::~LeapSeconds()
    {117, 680, 0, 0, Smoke::mf_ctor, 210, 1},	//2915 KTimeZone::Phase::Phase()
    {117, 680, 2033, 4, Smoke::mf_ctor, 210, 2},	//2916 KTimeZone::Phase::Phase(int, const QByteArray&, bool, const QString&)
    {117, 680, 2038, 4, Smoke::mf_ctor, 210, 3},	//2917 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool, const QString&)
    {117, 680, 2017, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 210, 4},	//2918 KTimeZone::Phase::Phase(const KTimeZone::Phase&)
    {117, 2227, 2017, 1, 0, 209, 5},	//2919 KTimeZone::Phase::operator=(const KTimeZone::Phase&)
    {117, 2230, 2017, 1, Smoke::mf_const, 519, 6},	//2920 KTimeZone::Phase::operator==(const KTimeZone::Phase&) const
    {117, 2187, 2017, 1, Smoke::mf_const, 519, 7},	//2921 KTimeZone::Phase::operator!=(const KTimeZone::Phase&) const
    {117, 3269, 0, 0, Smoke::mf_const, 704, 8},	//2922 KTimeZone::Phase::utcOffset() const
    {117, 855, 0, 0, Smoke::mf_const, 364, 9},	//2923 KTimeZone::Phase::abbreviations() const
    {117, 1831, 0, 0, Smoke::mf_const, 519, 10},	//2924 KTimeZone::Phase::isDst() const
    {117, 1189, 0, 0, Smoke::mf_const, 388, 11},	//2925 KTimeZone::Phase::comment() const
    {117, 680, 2043, 3, Smoke::mf_ctor, 210, 12},	//2926 KTimeZone::Phase::Phase(int, const QByteArray&, bool)
    {117, 680, 2047, 3, Smoke::mf_ctor, 210, 13},	//2927 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool)
    {117, 3481, 0, 0, Smoke::mf_dtor, 0, 14 },	//2928 KTimeZone::Phase::~Phase()
    {118, 795, 0, 0, Smoke::mf_ctor, 212, 1},	//2929 KTimeZone::Transition::Transition()
    {118, 795, 2051, 2, Smoke::mf_ctor, 212, 2},	//2930 KTimeZone::Transition::Transition(const QDateTime&, const KTimeZone::Phase&)
    {118, 795, 2054, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 212, 3},	//2931 KTimeZone::Transition::Transition(const KTimeZone::Transition&)
    {118, 2227, 2054, 1, 0, 211, 4},	//2932 KTimeZone::Transition::operator=(const KTimeZone::Transition&)
    {118, 3143, 0, 0, Smoke::mf_const, 268, 5},	//2933 KTimeZone::Transition::time() const
    {118, 2290, 0, 0, Smoke::mf_const, 208, 6},	//2934 KTimeZone::Transition::phase() const
    {118, 2209, 2054, 1, Smoke::mf_const, 519, 7},	//2935 KTimeZone::Transition::operator<(const KTimeZone::Transition&) const
    {118, 3484, 0, 0, Smoke::mf_dtor, 0, 8 },	//2936 KTimeZone::Transition::~Transition()
    {119, 516, 0, 0, Smoke::mf_ctor, 214, 1},	//2937 KTimeZoneBackend::KTimeZoneBackend()
    {119, 516, 30, 1, Smoke::mf_ctor, 214, 2},	//2938 KTimeZoneBackend::KTimeZoneBackend(const QString&)
    {119, 516, 2056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 3},	//2939 KTimeZoneBackend::KTimeZoneBackend(const KTimeZoneBackend&)
    {119, 2227, 2056, 1, 0, 213, 4},	//2940 KTimeZoneBackend::operator=(const KTimeZoneBackend&)
    {119, 1178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 5},	//2941 KTimeZoneBackend::clone() const
    {119, 3222, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 249, 6},	//2942 KTimeZoneBackend::type() const
    {119, 2170, 1967, 3, Smoke::mf_const|Smoke::mf_virtual, 704, 7},	//2943 KTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {119, 2167, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 8},	//2944 KTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {119, 2164, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 704, 9},	//2945 KTimeZoneBackend::offset(const KTimeZone*, time_t) const
    {119, 1834, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 10},	//2946 KTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {119, 1831, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 11},	//2947 KTimeZoneBackend::isDst(const KTimeZone*, time_t) const
    {119, 1731, 2058, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 12},	//2948 KTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {119, 516, 2060, 6, Smoke::mf_ctor|Smoke::mf_protected, 214, 13},	//2949 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {119, 516, 2067, 2, Smoke::mf_ctor|Smoke::mf_protected, 214, 14},	//2950 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&)
    {119, 516, 2070, 3, Smoke::mf_ctor|Smoke::mf_protected, 214, 15},	//2951 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&)
    {119, 516, 2074, 4, Smoke::mf_ctor|Smoke::mf_protected, 214, 16},	//2952 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float)
    {119, 516, 2079, 5, Smoke::mf_ctor|Smoke::mf_protected, 214, 17},	//2953 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float)
    {119, 3467, 0, 0, Smoke::mf_dtor, 0, 18 },	//2954 KTimeZoneBackend::~KTimeZoneBackend()
    {120, 524, 0, 0, Smoke::mf_ctor, 216, 1},	//2955 KTimeZoneData::KTimeZoneData()
    {120, 524, 2085, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 216, 2},	//2956 KTimeZoneData::KTimeZoneData(const KTimeZoneData&)
    {120, 2227, 2085, 1, 0, 215, 3},	//2957 KTimeZoneData::operator=(const KTimeZoneData&)
    {120, 1178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 4},	//2958 KTimeZoneData::clone() const
    {120, 855, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 5},	//2959 KTimeZoneData::abbreviations() const
    {120, 853, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 249, 6},	//2960 KTimeZoneData::abbreviation(const QDateTime&) const
    {120, 3270, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 368, 7},	//2961 KTimeZoneData::utcOffsets() const
    {120, 2313, 0, 0, Smoke::mf_const, 704, 8},	//2962 KTimeZoneData::previousUtcOffset() const
    {120, 2291, 0, 0, Smoke::mf_const, 360, 9},	//2963 KTimeZoneData::phases() const
    {120, 1731, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 10},	//2964 KTimeZoneData::hasTransitions() const
    {120, 3204, 1994, 2, Smoke::mf_const, 361, 11},	//2965 KTimeZoneData::transitions(const QDateTime&, const QDateTime&) const
    {120, 3192, 1997, 3, Smoke::mf_const, 599, 12},	//2966 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {120, 3196, 2001, 3, Smoke::mf_const, 704, 13},	//2967 KTimeZoneData::transitionIndex(const QDateTime&, int*, bool*) const
    {120, 3200, 2005, 3, Smoke::mf_const, 365, 14},	//2968 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {120, 1995, 0, 0, Smoke::mf_const, 359, 15},	//2969 KTimeZoneData::leapSecondChanges() const
    {120, 1993, 1037, 1, Smoke::mf_const, 205, 16},	//2970 KTimeZoneData::leapSecondChange(const QDateTime&) const
    {120, 2863, 2087, 2, Smoke::mf_protected, 0, 17},	//2971 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, int)
    {120, 2948, 2090, 1, Smoke::mf_protected, 0, 18},	//2972 KTimeZoneData::setTransitions(const QList<KTimeZone::Transition>&)
    {120, 2731, 2092, 1, Smoke::mf_protected, 0, 19},	//2973 KTimeZoneData::setLeapSecondChanges(const QList<KTimeZone::LeapSeconds>&)
    {120, 3204, 0, 0, Smoke::mf_const, 361, 20},	//2974 KTimeZoneData::transitions() const
    {120, 3204, 1037, 1, Smoke::mf_const, 361, 21},	//2975 KTimeZoneData::transitions(const QDateTime&) const
    {120, 3192, 1037, 1, Smoke::mf_const, 599, 22},	//2976 KTimeZoneData::transition(const QDateTime&) const
    {120, 3192, 2014, 2, Smoke::mf_const, 599, 23},	//2977 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**) const
    {120, 3196, 1037, 1, Smoke::mf_const, 704, 24},	//2978 KTimeZoneData::transitionIndex(const QDateTime&) const
    {120, 3196, 1989, 2, Smoke::mf_const, 704, 25},	//2979 KTimeZoneData::transitionIndex(const QDateTime&, int*) const
    {120, 3200, 2017, 1, Smoke::mf_const, 365, 26},	//2980 KTimeZoneData::transitionTimes(const KTimeZone::Phase&) const
    {120, 3200, 2019, 2, Smoke::mf_const, 365, 27},	//2981 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {120, 3468, 0, 0, Smoke::mf_dtor, 0, 28 },	//2982 KTimeZoneData::~KTimeZoneData()
    {121, 526, 0, 0, Smoke::mf_ctor, 217, 1},	//2983 KTimeZoneSource::KTimeZoneSource()
    {121, 2272, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 2},	//2984 KTimeZoneSource::parse(const KTimeZone&) const
    {121, 3257, 0, 0, Smoke::mf_const, 519, 3},	//2985 KTimeZoneSource::useZoneParse() const
    {121, 526, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 217, 4},	//2986 KTimeZoneSource::KTimeZoneSource(bool)
    {121, 526, 2094, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 5},	//2987 KTimeZoneSource::KTimeZoneSource(const KTimeZoneSource&)
    {121, 3469, 0, 0, Smoke::mf_dtor, 0, 6 },	//2988 KTimeZoneSource::~KTimeZoneSource()
    {122, 529, 0, 0, Smoke::mf_ctor, 218, 1},	//2989 KTimeZones::KTimeZones()
    {122, 3371, 30, 1, Smoke::mf_const, 202, 2},	//2990 KTimeZones::zone(const QString&) const
    {122, 3374, 0, 0, Smoke::mf_const, 656, 3},	//2991 KTimeZones::zones() const
    {122, 872, 1041, 1, 0, 519, 4},	//2992 KTimeZones::add(const KTimeZone&)
    {122, 2464, 1041, 1, 0, 202, 5},	//2993 KTimeZones::remove(const KTimeZone&)
    {122, 2464, 30, 1, 0, 202, 6},	//2994 KTimeZones::remove(const QString&)
    {122, 1174, 0, 0, 0, 0, 7},	//2995 KTimeZones::clear()
    {122, 3470, 0, 0, Smoke::mf_dtor, 0, 8 },	//2996 KTimeZones::~KTimeZones()
    {123, 2090, 0, 0, Smoke::mf_const, 661, 1},	//2997 KToolInvocation::metaObject() const
    {123, 2354, 122, 1, 0, 729, 2},	//2998 KToolInvocation::qt_metacast(const char*)
    {123, 3179, 124, 2, Smoke::mf_static, 388, 3},	//2999 KToolInvocation::tr(const char*, const char*)
    {123, 3186, 124, 2, Smoke::mf_static, 388, 4},	//3000 KToolInvocation::trUtf8(const char*, const char*)
    {123, 3179, 127, 3, Smoke::mf_static, 388, 5},	//3001 KToolInvocation::tr(const char*, const char*, int)
    {123, 3186, 127, 3, Smoke::mf_static, 388, 6},	//3002 KToolInvocation::trUtf8(const char*, const char*, int)
    {123, 2352, 131, 3, 0, 704, 7},	//3003 KToolInvocation::qt_metacall(QMetaObject::Call, int, void**)
    {123, 2529, 0, 0, Smoke::mf_static, 219, 8},	//3004 KToolInvocation::self()
    {123, 1784, 2096, 3, Smoke::mf_static|Smoke::mf_slot, 0, 9},	//3005 KToolInvocation::invokeHelp(const QString&, const QString&, const QByteArray&)
    {123, 1788, 2096, 3, Smoke::mf_static|Smoke::mf_slot, 0, 10},	//3006 KToolInvocation::invokeMailer(const QString&, const QString&, const QByteArray&)
    {123, 1788, 2100, 3, Smoke::mf_static|Smoke::mf_slot, 0, 11},	//3007 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&, bool)
    {123, 1788, 2104, 8, Smoke::mf_static|Smoke::mf_slot, 0, 12},	//3008 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&)
    {123, 1781, 589, 2, Smoke::mf_static|Smoke::mf_slot, 0, 13},	//3009 KToolInvocation::invokeBrowser(const QString&, const QByteArray&)
    {123, 1798, 2096, 3, Smoke::mf_static|Smoke::mf_slot, 0, 14},	//3010 KToolInvocation::invokeTerminal(const QString&, const QString&, const QByteArray&)
    {123, 1970, 0, 0, Smoke::mf_static, 242, 15},	//3011 KToolInvocation::klauncher()
    {123, 3056, 2113, 7, Smoke::mf_static, 704, 16},	//3012 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3056, 2121, 7, Smoke::mf_static, 704, 17},	//3013 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3042, 2113, 7, Smoke::mf_static, 704, 18},	//3014 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3042, 2121, 7, Smoke::mf_static, 704, 19},	//3015 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3028, 2113, 7, Smoke::mf_static, 704, 20},	//3016 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3028, 2121, 7, Smoke::mf_static, 704, 21},	//3017 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 1938, 2129, 5, Smoke::mf_static, 704, 22},	//3018 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {123, 1944, 2129, 5, Smoke::mf_static, 704, 23},	//3019 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {123, 1929, 2135, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3020 KToolInvocation::kapplication_hook(QStringList&, QByteArray&)
    {123, 3179, 122, 1, Smoke::mf_static, 388, 25},	//3021 KToolInvocation::tr(const char*)
    {123, 3186, 122, 1, Smoke::mf_static, 388, 26},	//3022 KToolInvocation::trUtf8(const char*)
    {123, 1784, 0, 0, Smoke::mf_static|Smoke::mf_slot, 0, 27},	//3023 KToolInvocation::invokeHelp()
    {123, 1784, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 28},	//3024 KToolInvocation::invokeHelp(const QString&)
    {123, 1784, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 29},	//3025 KToolInvocation::invokeHelp(const QString&, const QString&)
    {123, 1788, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 30},	//3026 KToolInvocation::invokeMailer(const QString&, const QString&)
    {123, 1788, 148, 1, Smoke::mf_static|Smoke::mf_slot, 0, 31},	//3027 KToolInvocation::invokeMailer(const KUrl&)
    {123, 1788, 2138, 2, Smoke::mf_static|Smoke::mf_slot, 0, 32},	//3028 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&)
    {123, 1788, 2141, 5, Smoke::mf_static|Smoke::mf_slot, 0, 33},	//3029 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&)
    {123, 1788, 2147, 6, Smoke::mf_static|Smoke::mf_slot, 0, 34},	//3030 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&)
    {123, 1788, 2154, 7, Smoke::mf_static|Smoke::mf_slot, 0, 35},	//3031 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&)
    {123, 1781, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 36},	//3032 KToolInvocation::invokeBrowser(const QString&)
    {123, 1798, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 37},	//3033 KToolInvocation::invokeTerminal(const QString&)
    {123, 1798, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 38},	//3034 KToolInvocation::invokeTerminal(const QString&, const QString&)
    {123, 3056, 95, 2, Smoke::mf_static, 704, 39},	//3035 KToolInvocation::startServiceByName(const QString&, const QString&)
    {123, 3056, 2162, 3, Smoke::mf_static, 704, 40},	//3036 KToolInvocation::startServiceByName(const QString&, const QString&, QString*)
    {123, 3056, 2166, 4, Smoke::mf_static, 704, 41},	//3037 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*)
    {123, 3056, 2171, 5, Smoke::mf_static, 704, 42},	//3038 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*)
    {123, 3056, 2177, 6, Smoke::mf_static, 704, 43},	//3039 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {123, 3056, 30, 1, Smoke::mf_static, 704, 44},	//3040 KToolInvocation::startServiceByName(const QString&)
    {123, 3056, 533, 2, Smoke::mf_static, 704, 45},	//3041 KToolInvocation::startServiceByName(const QString&, const QStringList&)
    {123, 3056, 2184, 3, Smoke::mf_static, 704, 46},	//3042 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*)
    {123, 3056, 2188, 4, Smoke::mf_static, 704, 47},	//3043 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*)
    {123, 3056, 2193, 5, Smoke::mf_static, 704, 48},	//3044 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*)
    {123, 3056, 2199, 6, Smoke::mf_static, 704, 49},	//3045 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {123, 3042, 95, 2, Smoke::mf_static, 704, 50},	//3046 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&)
    {123, 3042, 2162, 3, Smoke::mf_static, 704, 51},	//3047 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*)
    {123, 3042, 2166, 4, Smoke::mf_static, 704, 52},	//3048 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*)
    {123, 3042, 2171, 5, Smoke::mf_static, 704, 53},	//3049 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*)
    {123, 3042, 2177, 6, Smoke::mf_static, 704, 54},	//3050 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {123, 3042, 30, 1, Smoke::mf_static, 704, 55},	//3051 KToolInvocation::startServiceByDesktopPath(const QString&)
    {123, 3042, 533, 2, Smoke::mf_static, 704, 56},	//3052 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&)
    {123, 3042, 2184, 3, Smoke::mf_static, 704, 57},	//3053 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*)
    {123, 3042, 2188, 4, Smoke::mf_static, 704, 58},	//3054 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*)
    {123, 3042, 2193, 5, Smoke::mf_static, 704, 59},	//3055 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*)
    {123, 3042, 2199, 6, Smoke::mf_static, 704, 60},	//3056 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {123, 3028, 95, 2, Smoke::mf_static, 704, 61},	//3057 KToolInvocation::startServiceByDesktopName(const QString&, const QString&)
    {123, 3028, 2162, 3, Smoke::mf_static, 704, 62},	//3058 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*)
    {123, 3028, 2166, 4, Smoke::mf_static, 704, 63},	//3059 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*)
    {123, 3028, 2171, 5, Smoke::mf_static, 704, 64},	//3060 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*)
    {123, 3028, 2177, 6, Smoke::mf_static, 704, 65},	//3061 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {123, 3028, 30, 1, Smoke::mf_static, 704, 66},	//3062 KToolInvocation::startServiceByDesktopName(const QString&)
    {123, 3028, 533, 2, Smoke::mf_static, 704, 67},	//3063 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&)
    {123, 3028, 2184, 3, Smoke::mf_static, 704, 68},	//3064 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*)
    {123, 3028, 2188, 4, Smoke::mf_static, 704, 69},	//3065 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*)
    {123, 3028, 2193, 5, Smoke::mf_static, 704, 70},	//3066 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*)
    {123, 3028, 2199, 6, Smoke::mf_static, 704, 71},	//3067 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {123, 1938, 30, 1, Smoke::mf_static, 704, 72},	//3068 KToolInvocation::kdeinitExec(const QString&)
    {123, 1938, 533, 2, Smoke::mf_static, 704, 73},	//3069 KToolInvocation::kdeinitExec(const QString&, const QStringList&)
    {123, 1938, 2184, 3, Smoke::mf_static, 704, 74},	//3070 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*)
    {123, 1938, 2206, 4, Smoke::mf_static, 704, 75},	//3071 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*)
    {123, 1944, 30, 1, Smoke::mf_static, 704, 76},	//3072 KToolInvocation::kdeinitExecWait(const QString&)
    {123, 1944, 533, 2, Smoke::mf_static, 704, 77},	//3073 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&)
    {123, 1944, 2184, 3, Smoke::mf_static, 704, 78},	//3074 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*)
    {123, 1944, 2206, 4, Smoke::mf_static, 704, 79},	//3075 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*)
    {123, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 80},	//3076 KToolInvocation::staticMetaObject() const
    {123, 3471, 0, 0, Smoke::mf_dtor, 0, 81 },	//3077 KToolInvocation::~KToolInvocation()
    {124, 530, 2211, 6, Smoke::mf_ctor, 220, 1},	//3078 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {124, 530, 2218, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 220, 2},	//3079 KTzfileTimeZone::KTzfileTimeZone(const KTzfileTimeZone&)
    {124, 530, 2220, 2, Smoke::mf_ctor, 220, 3},	//3080 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&)
    {124, 530, 2223, 3, Smoke::mf_ctor, 220, 4},	//3081 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&)
    {124, 530, 2227, 4, Smoke::mf_ctor, 220, 5},	//3082 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float)
    {124, 530, 2232, 5, Smoke::mf_ctor, 220, 6},	//3083 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float)
    {124, 3472, 0, 0, Smoke::mf_dtor, 0, 7 },	//3084 KTzfileTimeZone::~KTzfileTimeZone()
    {125, 537, 2211, 6, Smoke::mf_ctor, 221, 1},	//3085 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {125, 1178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 2},	//3086 KTzfileTimeZoneBackend::clone() const
    {125, 3222, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 249, 3},	//3087 KTzfileTimeZoneBackend::type() const
    {125, 1731, 2058, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 4},	//3088 KTzfileTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {125, 537, 2238, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 221, 5},	//3089 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(const KTzfileTimeZoneBackend&)
    {125, 3473, 0, 0, Smoke::mf_dtor, 0, 6 },	//3090 KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend()
    {126, 540, 30, 1, Smoke::mf_ctor, 222, 1},	//3091 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const QString&)
    {126, 2032, 0, 0, Smoke::mf_const, 388, 2},	//3092 KTzfileTimeZoneSource::location() const
    {126, 2272, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 3},	//3093 KTzfileTimeZoneSource::parse(const KTimeZone&) const
    {126, 540, 2240, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 4},	//3094 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const KTzfileTimeZoneSource&)
    {126, 3474, 0, 0, Smoke::mf_dtor, 0, 5 },	//3095 KTzfileTimeZoneSource::~KTzfileTimeZoneSource()
    {127, 543, 0, 0, Smoke::mf_ctor, 225, 1},	//3096 KUrl::KUrl()
    {127, 543, 30, 1, Smoke::mf_ctor, 225, 2},	//3097 KUrl::KUrl(const QString&)
    {127, 543, 122, 1, Smoke::mf_ctor, 225, 3},	//3098 KUrl::KUrl(const char*)
    {127, 543, 32, 1, Smoke::mf_ctor, 225, 4},	//3099 KUrl::KUrl(const QByteArray&)
    {127, 543, 148, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 5},	//3100 KUrl::KUrl(const KUrl&)
    {127, 543, 1792, 1, Smoke::mf_ctor, 225, 6},	//3101 KUrl::KUrl(const QUrl&)
    {127, 543, 152, 2, Smoke::mf_ctor, 225, 7},	//3102 KUrl::KUrl(const KUrl&, const QString&)
    {127, 2338, 0, 0, Smoke::mf_const, 388, 8},	//3103 KUrl::protocol() const
    {127, 2893, 30, 1, 0, 0, 9},	//3104 KUrl::setProtocol(const QString&)
    {127, 3258, 0, 0, Smoke::mf_const, 388, 10},	//3105 KUrl::user() const
    {127, 2958, 30, 1, 0, 0, 11},	//3106 KUrl::setUser(const QString&)
    {127, 1733, 0, 0, Smoke::mf_const, 519, 12},	//3107 KUrl::hasUser() const
    {127, 2276, 0, 0, Smoke::mf_const, 388, 13},	//3108 KUrl::pass() const
    {127, 2857, 30, 1, 0, 0, 14},	//3109 KUrl::setPass(const QString&)
    {127, 1721, 0, 0, Smoke::mf_const, 519, 15},	//3110 KUrl::hasPass() const
    {127, 1706, 0, 0, Smoke::mf_const, 519, 16},	//3111 KUrl::hasHost() const
    {127, 2277, 2242, 1, Smoke::mf_const, 388, 17},	//3112 KUrl::path(KUrl::AdjustPathOption) const
    {127, 3154, 2242, 1, Smoke::mf_const, 388, 18},	//3113 KUrl::toLocalFile(KUrl::AdjustPathOption) const
    {127, 2859, 30, 1, 0, 0, 19},	//3114 KUrl::setPath(const QString&)
    {127, 1722, 0, 0, Smoke::mf_const, 519, 20},	//3115 KUrl::hasPath() const
    {127, 1172, 2244, 1, 0, 0, 21},	//3116 KUrl::cleanPath(const KUrl::CleanPathOption&)
    {127, 1031, 2242, 1, 0, 0, 22},	//3117 KUrl::adjustPath(KUrl::AdjustPathOption)
    {127, 2664, 30, 1, 0, 0, 23},	//3118 KUrl::setEncodedPathAndQuery(const QString&)
    {127, 1432, 2246, 2, Smoke::mf_const, 388, 24},	//3119 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&) const
    {127, 2895, 30, 1, 0, 0, 25},	//3120 KUrl::setQuery(const QString&)
    {127, 2356, 0, 0, Smoke::mf_const, 388, 26},	//3121 KUrl::query() const
    {127, 2449, 0, 0, Smoke::mf_const, 388, 27},	//3122 KUrl::ref() const
    {127, 2899, 30, 1, 0, 0, 28},	//3123 KUrl::setRef(const QString&)
    {127, 1724, 0, 0, Smoke::mf_const, 519, 29},	//3124 KUrl::hasRef() const
    {127, 1739, 0, 0, Smoke::mf_const, 388, 30},	//3125 KUrl::htmlRef() const
    {127, 1431, 0, 0, Smoke::mf_const, 388, 31},	//3126 KUrl::encodedHtmlRef() const
    {127, 2701, 30, 1, 0, 0, 32},	//3127 KUrl::setHTMLRef(const QString&)
    {127, 1704, 0, 0, Smoke::mf_const, 519, 33},	//3128 KUrl::hasHTMLRef() const
    {127, 1864, 0, 0, Smoke::mf_const, 519, 34},	//3129 KUrl::isLocalFile() const
    {127, 2686, 30, 1, 0, 0, 35},	//3130 KUrl::setFileEncoding(const QString&)
    {127, 1526, 0, 0, Smoke::mf_const, 388, 36},	//3131 KUrl::fileEncoding() const
    {127, 1727, 0, 0, Smoke::mf_const, 519, 37},	//3132 KUrl::hasSubUrl() const
    {127, 994, 30, 1, 0, 0, 38},	//3133 KUrl::addPath(const QString&)
    {127, 2362, 2249, 1, Smoke::mf_const, 372, 39},	//3134 KUrl::queryItems(const QFlags<KUrl::QueryItemsOption>&) const
    {127, 2360, 30, 1, Smoke::mf_const, 388, 40},	//3135 KUrl::queryItem(const QString&) const
    {127, 998, 95, 2, 0, 0, 41},	//3136 KUrl::addQueryItem(const QString&, const QString&)
    {127, 2688, 30, 1, 0, 0, 42},	//3137 KUrl::setFileName(const QString&)
    {127, 1529, 2251, 1, Smoke::mf_const, 388, 43},	//3138 KUrl::fileName(const QFlags<KUrl::DirectoryOption>&) const
    {127, 1403, 2251, 1, Smoke::mf_const, 388, 44},	//3139 KUrl::directory(const QFlags<KUrl::DirectoryOption>&) const
    {127, 2662, 30, 1, 0, 0, 45},	//3140 KUrl::setDirectory(const QString&)
    {127, 1145, 30, 1, 0, 519, 46},	//3141 KUrl::cd(const QString&)
    {127, 3247, 2242, 1, Smoke::mf_const, 388, 47},	//3142 KUrl::url(KUrl::AdjustPathOption) const
    {127, 2311, 2242, 1, Smoke::mf_const, 388, 48},	//3143 KUrl::prettyUrl(KUrl::AdjustPathOption) const
    {127, 2279, 0, 0, Smoke::mf_const, 388, 49},	//3144 KUrl::pathOrUrl() const
    {127, 2279, 2242, 1, Smoke::mf_const, 388, 50},	//3145 KUrl::pathOrUrl(KUrl::AdjustPathOption) const
    {127, 3157, 0, 0, Smoke::mf_const, 388, 51},	//3146 KUrl::toMimeDataString() const
    {127, 3239, 0, 0, Smoke::mf_const, 223, 52},	//3147 KUrl::upUrl() const
    {127, 2227, 148, 1, 0, 224, 53},	//3148 KUrl::operator=(const KUrl&)
    {127, 2227, 122, 1, 0, 224, 54},	//3149 KUrl::operator=(const char*)
    {127, 2227, 32, 1, 0, 224, 55},	//3150 KUrl::operator=(const QByteArray&)
    {127, 2227, 30, 1, 0, 224, 56},	//3151 KUrl::operator=(const QString&)
    {127, 2230, 148, 1, Smoke::mf_const, 519, 57},	//3152 KUrl::operator==(const KUrl&) const
    {127, 2230, 30, 1, Smoke::mf_const, 519, 58},	//3153 KUrl::operator==(const QString&) const
    {127, 2187, 148, 1, Smoke::mf_const, 519, 59},	//3154 KUrl::operator!=(const KUrl&) const
    {127, 2187, 30, 1, Smoke::mf_const, 519, 60},	//3155 KUrl::operator!=(const QString&) const
    {127, 2186, 0, 0, Smoke::mf_const, 412, 61},	//3156 KUrl::operator QVariant() const
    {127, 1180, 2253, 2, Smoke::mf_const, 519, 62},	//3157 KUrl::cmp(const KUrl&, bool) const
    {127, 1452, 2256, 2, Smoke::mf_const, 519, 63},	//3158 KUrl::equals(const KUrl&, const QFlags<KUrl::EqualsOption>&) const
    {127, 1873, 148, 1, Smoke::mf_const, 519, 64},	//3159 KUrl::isParentOf(const KUrl&) const
    {127, 3007, 30, 1, Smoke::mf_static, 231, 65},	//3160 KUrl::split(const QString&)
    {127, 3007, 148, 1, Smoke::mf_static, 231, 66},	//3161 KUrl::split(const KUrl&)
    {127, 1914, 2259, 1, Smoke::mf_static, 223, 67},	//3162 KUrl::join(const KUrl::List&)
    {127, 1650, 30, 1, Smoke::mf_static, 223, 68},	//3163 KUrl::fromPath(const QString&)
    {127, 1652, 30, 1, Smoke::mf_static, 223, 69},	//3164 KUrl::fromPathOrUrl(const QString&)
    {127, 1648, 32, 1, Smoke::mf_static, 223, 70},	//3165 KUrl::fromMimeDataByteArray(const QByteArray&)
    {127, 2296, 2261, 3, Smoke::mf_const, 0, 71},	//3166 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags) const
    {127, 1427, 30, 1, Smoke::mf_static, 388, 72},	//3167 KUrl::encode_string(const QString&)
    {127, 1429, 30, 1, Smoke::mf_static, 388, 73},	//3168 KUrl::encode_string_no_slash(const QString&)
    {127, 1345, 30, 1, Smoke::mf_static, 388, 74},	//3169 KUrl::decode_string(const QString&)
    {127, 1878, 30, 1, Smoke::mf_static, 519, 75},	//3170 KUrl::isRelativeUrl(const QString&)
    {127, 2461, 2265, 2, Smoke::mf_static, 388, 76},	//3171 KUrl::relativeUrl(const KUrl&, const KUrl&)
    {127, 2458, 287, 3, Smoke::mf_static, 388, 77},	//3172 KUrl::relativePath(const QString&, const QString&, bool*)
    {127, 2277, 0, 0, Smoke::mf_const, 388, 78},	//3173 KUrl::path() const
    {127, 3154, 0, 0, Smoke::mf_const, 388, 79},	//3174 KUrl::toLocalFile() const
    {127, 1172, 0, 0, 0, 0, 80},	//3175 KUrl::cleanPath()
    {127, 1432, 0, 0, Smoke::mf_const, 388, 81},	//3176 KUrl::encodedPathAndQuery() const
    {127, 1432, 2242, 1, Smoke::mf_const, 388, 82},	//3177 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption) const
    {127, 2362, 0, 0, Smoke::mf_const, 372, 83},	//3178 KUrl::queryItems() const
    {127, 1529, 0, 0, Smoke::mf_const, 388, 84},	//3179 KUrl::fileName() const
    {127, 1403, 0, 0, Smoke::mf_const, 388, 85},	//3180 KUrl::directory() const
    {127, 3247, 0, 0, Smoke::mf_const, 388, 86},	//3181 KUrl::url() const
    {127, 2311, 0, 0, Smoke::mf_const, 388, 87},	//3182 KUrl::prettyUrl() const
    {127, 1180, 148, 1, Smoke::mf_const, 519, 88},	//3183 KUrl::cmp(const KUrl&) const
    {127, 1452, 148, 1, Smoke::mf_const, 519, 89},	//3184 KUrl::equals(const KUrl&) const
    {127, 2296, 2268, 1, Smoke::mf_const, 0, 90},	//3185 KUrl::populateMimeData(QMimeData*) const
    {127, 2296, 2270, 2, Smoke::mf_const, 0, 91},	//3186 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&) const
    {127, 2458, 95, 2, Smoke::mf_static, 388, 92},	//3187 KUrl::relativePath(const QString&, const QString&)
    {127, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 93},	//3188 KUrl::DefaultMimeDataFlags (enum)
    {127, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 94},	//3189 KUrl::NoTextExport (enum)
    {127, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 95},	//3190 KUrl::RemoveTrailingSlash (enum)
    {127, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 96},	//3191 KUrl::LeaveTrailingSlash (enum)
    {127, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 97},	//3192 KUrl::AddTrailingSlash (enum)
    {127, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 98},	//3193 KUrl::SimplifyDirSeparators (enum)
    {127, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 99},	//3194 KUrl::KeepDirSeparators (enum)
    {127, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 100},	//3195 KUrl::PermitEmptyPath (enum)
    {127, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 101},	//3196 KUrl::AvoidEmptyPath (enum)
    {127, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 102},	//3197 KUrl::CaseInsensitiveKeys (enum)
    {127, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 103},	//3198 KUrl::ObeyTrailingSlash (enum)
    {127, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 104},	//3199 KUrl::AppendTrailingSlash (enum)
    {127, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 105},	//3200 KUrl::IgnoreTrailingSlash (enum)
    {127, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 106},	//3201 KUrl::CompareWithoutTrailingSlash (enum)
    {127, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 107},	//3202 KUrl::CompareWithoutFragment (enum)
    {127, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 108},	//3203 KUrl::AllowEmptyPath (enum)
    {127, 3475, 0, 0, Smoke::mf_dtor, 0, 109 },	//3204 KUrl::~KUrl()
    {128, 547, 2273, 1, Smoke::mf_ctor, 236, 1},	//3205 KUser::KUser(KUser::UIDMode)
    {128, 547, 2275, 1, Smoke::mf_ctor, 236, 2},	//3206 KUser::KUser(uid_t)
    {128, 547, 30, 1, Smoke::mf_ctor, 236, 3},	//3207 KUser::KUser(const QString&)
    {128, 547, 122, 1, Smoke::mf_ctor, 236, 4},	//3208 KUser::KUser(const char*)
    {128, 547, 2277, 1, Smoke::mf_ctor, 236, 5},	//3209 KUser::KUser(const passwd*)
    {128, 547, 2279, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 236, 6},	//3210 KUser::KUser(const KUser&)
    {128, 2227, 2279, 1, 0, 235, 7},	//3211 KUser::operator=(const KUser&)
    {128, 2230, 2279, 1, Smoke::mf_const, 519, 8},	//3212 KUser::operator==(const KUser&) const
    {128, 2187, 2279, 1, Smoke::mf_const, 519, 9},	//3213 KUser::operator!=(const KUser&) const
    {128, 1901, 0, 0, Smoke::mf_const, 519, 10},	//3214 KUser::isValid() const
    {128, 3224, 0, 0, Smoke::mf_const, 719, 11},	//3215 KUser::uid() const
    {128, 1680, 0, 0, Smoke::mf_const, 703, 12},	//3216 KUser::gid() const
    {128, 1892, 0, 0, Smoke::mf_const, 519, 13},	//3217 KUser::isSuperUser() const
    {128, 2035, 0, 0, Smoke::mf_const, 388, 14},	//3218 KUser::loginName() const
    {128, 1666, 0, 0, Smoke::mf_const, 388, 15},	//3219 KUser::fullName() const
    {128, 1737, 0, 0, Smoke::mf_const, 388, 16},	//3220 KUser::homeDir() const
    {128, 1514, 0, 0, Smoke::mf_const, 388, 17},	//3221 KUser::faceIconPath() const
    {128, 2981, 0, 0, Smoke::mf_const, 388, 18},	//3222 KUser::shell() const
    {128, 1690, 0, 0, Smoke::mf_const, 363, 19},	//3223 KUser::groups() const
    {128, 1689, 0, 0, Smoke::mf_const, 393, 20},	//3224 KUser::groupNames() const
    {128, 2330, 2281, 1, Smoke::mf_const, 412, 21},	//3225 KUser::property(KUser::UserProperty) const
    {128, 1050, 0, 0, Smoke::mf_static, 362, 22},	//3226 KUser::allUsers()
    {128, 1049, 0, 0, Smoke::mf_static, 393, 23},	//3227 KUser::allUserNames()
    {128, 547, 0, 0, Smoke::mf_ctor, 236, 24},	//3228 KUser::KUser()
    {128, 828, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 25},	//3229 KUser::UseEffectiveUID (enum)
    {128, 829, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 26},	//3230 KUser::UseRealUserID (enum)
    {128, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 27},	//3231 KUser::FullName (enum)
    {128, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 28},	//3232 KUser::RoomNumber (enum)
    {128, 842, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 29},	//3233 KUser::WorkPhone (enum)
    {128, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//3234 KUser::HomePhone (enum)
    {128, 3476, 0, 0, Smoke::mf_dtor, 0, 31 },	//3235 KUser::~KUser()
    {129, 551, 30, 1, Smoke::mf_ctor, 240, 1},	//3236 KUserGroup::KUserGroup(const QString&)
    {129, 551, 122, 1, Smoke::mf_ctor, 240, 2},	//3237 KUserGroup::KUserGroup(const char*)
    {129, 551, 2273, 1, Smoke::mf_ctor, 240, 3},	//3238 KUserGroup::KUserGroup(KUser::UIDMode)
    {129, 551, 2283, 1, Smoke::mf_ctor, 240, 4},	//3239 KUserGroup::KUserGroup(gid_t)
    {129, 551, 2285, 1, Smoke::mf_ctor, 240, 5},	//3240 KUserGroup::KUserGroup(const group*)
    {129, 551, 2287, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 240, 6},	//3241 KUserGroup::KUserGroup(const KUserGroup&)
    {129, 2227, 2287, 1, 0, 239, 7},	//3242 KUserGroup::operator=(const KUserGroup&)
    {129, 2230, 2287, 1, Smoke::mf_const, 519, 8},	//3243 KUserGroup::operator==(const KUserGroup&) const
    {129, 2187, 2287, 1, Smoke::mf_const, 519, 9},	//3244 KUserGroup::operator!=(const KUserGroup&) const
    {129, 1901, 0, 0, Smoke::mf_const, 519, 10},	//3245 KUserGroup::isValid() const
    {129, 1680, 0, 0, Smoke::mf_const, 703, 11},	//3246 KUserGroup::gid() const
    {129, 2131, 0, 0, Smoke::mf_const, 388, 12},	//3247 KUserGroup::name() const
    {129, 3262, 0, 0, Smoke::mf_const, 362, 13},	//3248 KUserGroup::users() const
    {129, 3259, 0, 0, Smoke::mf_const, 393, 14},	//3249 KUserGroup::userNames() const
    {129, 1039, 0, 0, Smoke::mf_static, 363, 15},	//3250 KUserGroup::allGroups()
    {129, 1038, 0, 0, Smoke::mf_static, 393, 16},	//3251 KUserGroup::allGroupNames()
    {129, 551, 0, 0, Smoke::mf_ctor, 240, 17},	//3252 KUserGroup::KUserGroup()
    {129, 3477, 0, 0, Smoke::mf_dtor, 0, 18 },	//3253 KUserGroup::~KUserGroup()
    {130, 555, 340, 1, Smoke::mf_ctor|Smoke::mf_explicit, 241, 1},	//3254 KWordMacroExpander::KWordMacroExpander(QChar)
    {130, 1508, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 704, 2},	//3255 KWordMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {130, 1494, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 704, 3},	//3256 KWordMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {130, 1496, 757, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 4},	//3257 KWordMacroExpander::expandMacro(const QString&, QStringList&) [pure virtual]
    {130, 555, 2289, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 241, 5},	//3258 KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    {130, 555, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 241, 6},	//3259 KWordMacroExpander::KWordMacroExpander()
    {130, 3478, 0, 0, Smoke::mf_dtor, 0, 7 },	//3260 KWordMacroExpander::~KWordMacroExpander()
    {131, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//3261 OrgKdeKLauncherInterface::metaObject() const
    {131, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//3262 OrgKdeKLauncherInterface::qt_metacast(const char*)
    {131, 3179, 124, 2, Smoke::mf_static, 388, 3},	//3263 OrgKdeKLauncherInterface::tr(const char*, const char*)
    {131, 3186, 124, 2, Smoke::mf_static, 388, 4},	//3264 OrgKdeKLauncherInterface::trUtf8(const char*, const char*)
    {131, 3179, 127, 3, Smoke::mf_static, 388, 5},	//3265 OrgKdeKLauncherInterface::tr(const char*, const char*, int)
    {131, 3186, 127, 3, Smoke::mf_static, 388, 6},	//3266 OrgKdeKLauncherInterface::trUtf8(const char*, const char*, int)
    {131, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//3267 OrgKdeKLauncherInterface::qt_metacall(QMetaObject::Call, int, void**)
    {131, 3077, 0, 0, Smoke::mf_static, 688, 8},	//3268 OrgKdeKLauncherInterface::staticInterfaceName()
    {131, 668, 2291, 4, Smoke::mf_ctor, 242, 9},	//3269 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&, QObject*)
    {131, 1083, 0, 0, Smoke::mf_slot, 261, 10},	//3270 OrgKdeKLauncherInterface::autoStart()
    {131, 1083, 118, 1, Smoke::mf_slot, 261, 11},	//3271 OrgKdeKLauncherInterface::autoStart(int)
    {131, 1477, 2296, 4, Smoke::mf_slot, 261, 12},	//3272 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&, const QStringList&, const QString&)
    {131, 1477, 533, 2, Smoke::mf_slot, 261, 13},	//3273 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&)
    {131, 1950, 2301, 7, Smoke::mf_slot, 260, 14},	//3274 OrgKdeKLauncherInterface::kdeinit_exec(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {131, 1952, 2301, 7, Smoke::mf_slot, 260, 15},	//3275 OrgKdeKLauncherInterface::kdeinit_exec_wait(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {131, 2484, 0, 0, Smoke::mf_slot, 261, 16},	//3276 OrgKdeKLauncherInterface::reparseConfiguration()
    {131, 2487, 95, 2, Smoke::mf_slot, 260, 17},	//3277 OrgKdeKLauncherInterface::requestHoldSlave(const QString&, const QString&)
    {131, 2489, 2309, 4, Smoke::mf_slot, 260, 18},	//3278 OrgKdeKLauncherInterface::requestSlave(const QString&, const QString&, const QString&, QString&)
    {131, 2727, 95, 2, Smoke::mf_slot, 261, 19},	//3279 OrgKdeKLauncherInterface::setLaunchEnv(const QString&, const QString&)
    {131, 3070, 2314, 8, Smoke::mf_slot, 260, 20},	//3280 OrgKdeKLauncherInterface::start_service_by_desktop_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {131, 3072, 2314, 8, Smoke::mf_slot, 260, 21},	//3281 OrgKdeKLauncherInterface::start_service_by_desktop_path(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {131, 3074, 2314, 8, Smoke::mf_slot, 260, 22},	//3282 OrgKdeKLauncherInterface::start_service_by_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {131, 3294, 118, 1, Smoke::mf_slot, 261, 23},	//3283 OrgKdeKLauncherInterface::waitForSlave(int)
    {131, 1158, 30, 1, Smoke::mf_slot, 259, 24},	//3284 OrgKdeKLauncherInterface::checkForHeldSlave(const QString&)
    {131, 1085, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3285 OrgKdeKLauncherInterface::autoStart0Done()
    {131, 1086, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//3286 OrgKdeKLauncherInterface::autoStart1Done()
    {131, 1087, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//3287 OrgKdeKLauncherInterface::autoStart2Done()
    {131, 3179, 122, 1, Smoke::mf_static, 388, 28},	//3288 OrgKdeKLauncherInterface::tr(const char*)
    {131, 3186, 122, 1, Smoke::mf_static, 388, 29},	//3289 OrgKdeKLauncherInterface::trUtf8(const char*)
    {131, 668, 2323, 3, Smoke::mf_ctor, 242, 30},	//3290 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&)
    {131, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 31},	//3291 OrgKdeKLauncherInterface::staticMetaObject() const
    {131, 3480, 0, 0, Smoke::mf_dtor, 0, 32 },	//3292 OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface()
    {133, 1115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3293 QAbstractSocket::bytesAvailable() const
    {133, 1116, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3294 QAbstractSocket::bytesToWrite() const
    {133, 1133, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3295 QAbstractSocket::canReadLine() const
    {133, 1179, 0, 0, Smoke::mf_virtual, 0, 0},	//3296 QAbstractSocket::close()
    {133, 1885, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3297 QAbstractSocket::isSequential() const
    {133, 1068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3298 QAbstractSocket::atEnd() const
    {133, 3293, 118, 1, Smoke::mf_virtual, 519, 0},	//3299 QAbstractSocket::waitForReadyRead(int)
    {133, 3289, 118, 1, Smoke::mf_virtual, 519, 0},	//3300 QAbstractSocket::waitForBytesWritten(int)
    {133, 2389, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3301 QAbstractSocket::readData(char*, long long)
    {133, 2415, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3302 QAbstractSocket::readLineData(char*, long long)
    {133, 3338, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3303 QAbstractSocket::writeData(const char*, long long)
    {133, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 12},	//3304 QAbstractSocket::ConnectionRefusedError (enum)
    {133, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 13},	//3305 QAbstractSocket::RemoteHostClosedError (enum)
    {133, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 14},	//3306 QAbstractSocket::HostNotFoundError (enum)
    {133, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 15},	//3307 QAbstractSocket::SocketAccessError (enum)
    {133, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 16},	//3308 QAbstractSocket::SocketResourceError (enum)
    {133, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 17},	//3309 QAbstractSocket::SocketTimeoutError (enum)
    {133, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 18},	//3310 QAbstractSocket::DatagramTooLargeError (enum)
    {133, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 19},	//3311 QAbstractSocket::NetworkError (enum)
    {133, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 20},	//3312 QAbstractSocket::AddressInUseError (enum)
    {133, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 21},	//3313 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {133, 827, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 22},	//3314 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {133, 805, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 23},	//3315 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {133, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 24},	//3316 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {133, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 25},	//3317 QAbstractSocket::SslHandshakeFailedError (enum)
    {133, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 26},	//3318 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {133, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 27},	//3319 QAbstractSocket::ProxyConnectionClosedError (enum)
    {133, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 28},	//3320 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {133, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 29},	//3321 QAbstractSocket::ProxyNotFoundError (enum)
    {133, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 30},	//3322 QAbstractSocket::ProxyProtocolError (enum)
    {133, 824, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 31},	//3323 QAbstractSocket::UnknownSocketError (enum)
    {139, 1201, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3324 QDBusAbstractInterface::connectNotify(const char*)
    {139, 1410, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3325 QDBusAbstractInterface::disconnectNotify(const char*)
    {150, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 0},	//3326 QFile::metaObject() const
    {150, 2354, 122, 1, Smoke::mf_virtual, 729, 0},	//3327 QFile::qt_metacast(const char*)
    {150, 2352, 131, 3, Smoke::mf_virtual, 704, 0},	//3328 QFile::qt_metacall(QMetaObject::Call, int, void**)
    {150, 1885, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3329 QFile::isSequential() const
    {150, 1179, 0, 0, Smoke::mf_virtual, 0, 0},	//3330 QFile::close()
    {150, 2994, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3331 QFile::size() const
    {150, 2300, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3332 QFile::pos() const
    {150, 2527, 861, 1, Smoke::mf_virtual, 519, 0},	//3333 QFile::seek(long long)
    {150, 1068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3334 QFile::atEnd() const
    {150, 1528, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//3335 QFile::fileEngine() const
    {150, 2389, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3336 QFile::readData(char*, long long)
    {150, 3338, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3337 QFile::writeData(const char*, long long)
    {150, 2415, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3338 QFile::readLineData(char*, long long)
    {150, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 14},	//3339 QFile::NoError (enum)
    {150, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 15},	//3340 QFile::ReadError (enum)
    {150, 843, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 16},	//3341 QFile::WriteError (enum)
    {150, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 17},	//3342 QFile::FatalError (enum)
    {150, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 18},	//3343 QFile::ResourceError (enum)
    {150, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 19},	//3344 QFile::OpenError (enum)
    {150, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 20},	//3345 QFile::AbortError (enum)
    {150, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 21},	//3346 QFile::TimeOutError (enum)
    {150, 826, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 22},	//3347 QFile::UnspecifiedError (enum)
    {150, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 23},	//3348 QFile::RemoveError (enum)
    {150, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 24},	//3349 QFile::RenameError (enum)
    {150, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 25},	//3350 QFile::PositionError (enum)
    {150, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 26},	//3351 QFile::ResizeError (enum)
    {150, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 27},	//3352 QFile::PermissionsError (enum)
    {150, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 28},	//3353 QFile::CopyError (enum)
    {150, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 29},	//3354 QFile::ReadOwner (enum)
    {150, 847, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 30},	//3355 QFile::WriteOwner (enum)
    {150, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 31},	//3356 QFile::ExeOwner (enum)
    {150, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 32},	//3357 QFile::ReadUser (enum)
    {150, 848, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 33},	//3358 QFile::WriteUser (enum)
    {150, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 34},	//3359 QFile::ExeUser (enum)
    {150, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 35},	//3360 QFile::ReadGroup (enum)
    {150, 844, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 36},	//3361 QFile::WriteGroup (enum)
    {150, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 37},	//3362 QFile::ExeGroup (enum)
    {150, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 38},	//3363 QFile::ReadOther (enum)
    {150, 846, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 39},	//3364 QFile::WriteOther (enum)
    {150, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 40},	//3365 QFile::ExeOther (enum)
    {152, 1924, 118, 1, Smoke::mf_static, 388, 1},	//3366 QGlobalSpace::kBacktrace(int)
    {152, 1924, 0, 0, Smoke::mf_static, 388, 2},	//3367 QGlobalSpace::kBacktrace()
    {152, 2194, 2327, 2, Smoke::mf_static, 246, 3},	//3368 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {152, 2255, 2330, 2, Smoke::mf_static, 337, 4},	//3369 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {152, 2255, 2333, 2, Smoke::mf_static, 278, 5},	//3370 QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    {152, 2196, 2336, 2, Smoke::mf_static, 664, 6},	//3371 QGlobalSpace::operator*(const QPoint&, double)
    {152, 2196, 2339, 2, Smoke::mf_static, 666, 7},	//3372 QGlobalSpace::operator*(double, const QPointF&)
    {152, 2255, 2342, 2, Smoke::mf_static, 323, 8},	//3373 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {152, 2187, 2345, 2, Smoke::mf_static, 519, 9},	//3374 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {152, 2230, 2348, 2, Smoke::mf_static, 519, 10},	//3375 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {152, 2196, 2351, 2, Smoke::mf_static, 673, 11},	//3376 QGlobalSpace::operator*(double, const QSizeF&)
    {152, 2255, 2354, 2, Smoke::mf_static, 278, 12},	//3377 QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    {152, 2255, 2357, 2, Smoke::mf_static, 337, 13},	//3378 QGlobalSpace::operator|(QDir::SortFlag, int)
    {152, 2255, 2360, 2, Smoke::mf_static, 337, 14},	//3379 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {152, 2255, 2363, 2, Smoke::mf_static, 285, 15},	//3380 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {152, 2255, 2366, 2, Smoke::mf_static, 282, 16},	//3381 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    {152, 2187, 2369, 2, Smoke::mf_static, 519, 17},	//3382 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {152, 2199, 2372, 2, Smoke::mf_static, 671, 18},	//3383 QGlobalSpace::operator+(const QSize&, const QSize&)
    {152, 2255, 2375, 2, Smoke::mf_static, 311, 19},	//3384 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {152, 2255, 2378, 2, Smoke::mf_static, 301, 20},	//3385 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {152, 2215, 2381, 2, Smoke::mf_static, 263, 21},	//3386 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {152, 2215, 2384, 2, Smoke::mf_static, 255, 22},	//3387 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {152, 2255, 2387, 2, Smoke::mf_static, 304, 23},	//3388 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {152, 2230, 2345, 2, Smoke::mf_static, 519, 24},	//3389 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {152, 2255, 2390, 2, Smoke::mf_static, 328, 25},	//3390 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {152, 2196, 2393, 2, Smoke::mf_static, 673, 26},	//3391 QGlobalSpace::operator*(const QSizeF&, double)
    {152, 2215, 2396, 2, Smoke::mf_static, 263, 27},	//3392 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {152, 2255, 2399, 2, Smoke::mf_static, 337, 28},	//3393 QGlobalSpace::operator|(QDir::Filter, int)
    {152, 2237, 2402, 2, Smoke::mf_static, 519, 29},	//3394 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {152, 2204, 2405, 2, Smoke::mf_static, 673, 30},	//3395 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {152, 2255, 2408, 2, Smoke::mf_static, 286, 31},	//3396 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {152, 2243, 442, 2, Smoke::mf_static, 519, 32},	//3397 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {152, 2230, 2411, 2, Smoke::mf_static, 519, 33},	//3398 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {152, 2255, 2414, 2, Smoke::mf_static, 323, 34},	//3399 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {152, 2255, 2417, 2, Smoke::mf_static, 292, 35},	//3400 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {152, 2255, 2420, 2, Smoke::mf_static, 292, 36},	//3401 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {152, 2187, 2423, 2, Smoke::mf_static, 519, 37},	//3402 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {152, 2230, 2426, 2, Smoke::mf_static, 519, 38},	//3403 QGlobalSpace::operator==(QBool, QBool)
    {152, 2255, 2429, 2, Smoke::mf_static, 337, 39},	//3404 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {152, 2255, 2432, 2, Smoke::mf_static, 314, 40},	//3405 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {152, 2230, 2435, 2, Smoke::mf_static, 519, 41},	//3406 QGlobalSpace::operator==(QString::Null, QString::Null)
    {152, 2255, 2438, 2, Smoke::mf_static, 283, 42},	//3407 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {152, 2249, 2441, 2, Smoke::mf_static, 619, 43},	//3408 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {152, 2249, 2444, 2, Smoke::mf_static, 263, 44},	//3409 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {152, 1740, 122, 1, Smoke::mf_static, 388, 45},	//3410 QGlobalSpace::i18n(const char*)
    {152, 2215, 2447, 2, Smoke::mf_static, 263, 46},	//3411 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {152, 2249, 2450, 2, Smoke::mf_static, 263, 47},	//3412 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {152, 2199, 2453, 2, Smoke::mf_static, 675, 48},	//3413 QGlobalSpace::operator+(QChar, const QString&)
    {152, 2255, 2456, 2, Smoke::mf_static, 306, 49},	//3414 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {152, 2255, 2459, 2, Smoke::mf_static, 301, 50},	//3415 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {152, 2215, 2462, 2, Smoke::mf_static, 263, 51},	//3416 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {152, 2209, 2465, 2, Smoke::mf_static, 519, 52},	//3417 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {152, 2215, 2468, 2, Smoke::mf_static, 255, 53},	//3418 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {152, 2255, 2471, 2, Smoke::mf_static, 326, 54},	//3419 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {152, 2255, 2474, 2, Smoke::mf_static, 337, 55},	//3420 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {152, 2199, 2405, 2, Smoke::mf_static, 673, 56},	//3421 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {152, 2230, 2465, 2, Smoke::mf_static, 519, 57},	//3422 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {152, 2255, 2477, 2, Smoke::mf_static, 337, 58},	//3423 QGlobalSpace::operator|(Qt::DropAction, int)
    {152, 2215, 2480, 2, Smoke::mf_static, 263, 59},	//3424 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {152, 2255, 2483, 2, Smoke::mf_static, 294, 60},	//3425 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {152, 2255, 2486, 2, Smoke::mf_static, 280, 61},	//3426 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {152, 2255, 2489, 2, Smoke::mf_static, 297, 62},	//3427 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {152, 2255, 2492, 2, Smoke::mf_static, 314, 63},	//3428 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {152, 2255, 2495, 2, Smoke::mf_static, 337, 64},	//3429 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {152, 2215, 2498, 2, Smoke::mf_static, 263, 65},	//3430 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {152, 2255, 2501, 2, Smoke::mf_static, 337, 66},	//3431 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {152, 2209, 2504, 2, Smoke::mf_static, 519, 67},	//3432 QGlobalSpace::operator<(const QByteArray&, const char*)
    {152, 3183, 124, 2, Smoke::mf_static, 388, 68},	//3433 QGlobalSpace::tr2i18n(const char*, const char*)
    {152, 3183, 122, 1, Smoke::mf_static, 388, 69},	//3434 QGlobalSpace::tr2i18n(const char*)
    {152, 2255, 2507, 2, Smoke::mf_static, 303, 70},	//3435 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {152, 2255, 2510, 2, Smoke::mf_static, 293, 71},	//3436 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {152, 1742, 124, 2, Smoke::mf_static, 388, 72},	//3437 QGlobalSpace::i18nc(const char*, const char*)
    {152, 2255, 2513, 2, Smoke::mf_static, 315, 73},	//3438 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {152, 2255, 2516, 2, Smoke::mf_static, 293, 74},	//3439 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {152, 2215, 2519, 2, Smoke::mf_static, 263, 75},	//3440 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {152, 2255, 2522, 2, Smoke::mf_static, 324, 76},	//3441 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {152, 2255, 2525, 2, Smoke::mf_static, 337, 77},	//3442 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {152, 2249, 2528, 2, Smoke::mf_static, 263, 78},	//3443 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {152, 2255, 2531, 2, Smoke::mf_static, 337, 79},	//3444 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {152, 2199, 524, 2, Smoke::mf_static, 675, 80},	//3445 QGlobalSpace::operator+(const QString&, const char*)
    {152, 2249, 2534, 2, Smoke::mf_static, 619, 81},	//3446 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {152, 2255, 2537, 2, Smoke::mf_static, 317, 82},	//3447 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {152, 2249, 2540, 2, Smoke::mf_static, 263, 83},	//3448 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {152, 2255, 2543, 2, Smoke::mf_static, 306, 84},	//3449 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {152, 2199, 2546, 2, Smoke::mf_static, 616, 85},	//3450 QGlobalSpace::operator+(char, const QByteArray&)
    {152, 2255, 2549, 2, Smoke::mf_static, 337, 86},	//3451 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {152, 2207, 2336, 2, Smoke::mf_static, 664, 87},	//3452 QGlobalSpace::operator/(const QPoint&, double)
    {152, 2255, 2552, 2, Smoke::mf_static, 300, 88},	//3453 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {152, 2255, 2555, 2, Smoke::mf_static, 279, 89},	//3454 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {152, 2199, 521, 2, Smoke::mf_static, 675, 90},	//3455 QGlobalSpace::operator+(const char*, const QString&)
    {152, 2230, 592, 2, Smoke::mf_static, 519, 91},	//3456 QGlobalSpace::operator==(const char*, const QByteArray&)
    {152, 2249, 2558, 2, Smoke::mf_static, 619, 92},	//3457 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {152, 2255, 2561, 2, Smoke::mf_static, 290, 93},	//3458 QGlobalSpace::operator|(KShell::Option, KShell::Option)
    {152, 2249, 2564, 2, Smoke::mf_static, 263, 94},	//3459 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {152, 2255, 2567, 2, Smoke::mf_static, 337, 95},	//3460 QGlobalSpace::operator|(KLockFile::LockFlag, int)
    {152, 2249, 2570, 2, Smoke::mf_static, 263, 96},	//3461 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {152, 2249, 2573, 2, Smoke::mf_static, 263, 97},	//3462 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {152, 2249, 2576, 2, Smoke::mf_static, 263, 98},	//3463 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {152, 2230, 2579, 2, Smoke::mf_static, 519, 99},	//3464 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {152, 2255, 2582, 2, Smoke::mf_static, 284, 100},	//3465 QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    {152, 2221, 521, 2, Smoke::mf_static, 519, 101},	//3466 QGlobalSpace::operator<=(const char*, const QString&)
    {152, 1962, 124, 2, Smoke::mf_static, 136, 102},	//3467 QGlobalSpace::ki18nc(const char*, const char*)
    {152, 2230, 2585, 2, Smoke::mf_static, 519, 103},	//3468 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {152, 2187, 2588, 2, Smoke::mf_static, 519, 104},	//3469 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {152, 2255, 2591, 2, Smoke::mf_static, 337, 105},	//3470 QGlobalSpace::operator|(QFile::Permission, int)
    {152, 2209, 2594, 2, Smoke::mf_static, 519, 106},	//3471 QGlobalSpace::operator<(QChar, QChar)
    {152, 2243, 2402, 2, Smoke::mf_static, 519, 107},	//3472 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {152, 2255, 2597, 2, Smoke::mf_static, 298, 108},	//3473 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {152, 2255, 2600, 2, Smoke::mf_static, 337, 109},	//3474 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    {152, 2255, 2603, 2, Smoke::mf_static, 337, 110},	//3475 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {152, 2255, 2606, 2, Smoke::mf_static, 312, 111},	//3476 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {152, 2249, 2609, 2, Smoke::mf_static, 263, 112},	//3477 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {152, 2196, 2612, 2, Smoke::mf_static, 666, 113},	//3478 QGlobalSpace::operator*(const QPointF&, double)
    {152, 2255, 2615, 2, Smoke::mf_static, 337, 114},	//3479 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {152, 2249, 2618, 2, Smoke::mf_static, 619, 115},	//3480 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {152, 2255, 2621, 2, Smoke::mf_static, 337, 116},	//3481 QGlobalSpace::operator|(KShell::Option, int)
    {152, 2230, 2372, 2, Smoke::mf_static, 519, 117},	//3482 QGlobalSpace::operator==(const QSize&, const QSize&)
    {152, 2255, 2624, 2, Smoke::mf_static, 297, 118},	//3483 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {152, 2215, 2627, 2, Smoke::mf_static, 263, 119},	//3484 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {152, 2255, 2630, 2, Smoke::mf_static, 299, 120},	//3485 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {152, 2230, 2633, 2, Smoke::mf_static, 519, 121},	//3486 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {152, 1922, 2636, 1, Smoke::mf_static, 523, 122},	//3487 QGlobalSpace::kAsciiToUpper(char*)
    {152, 2230, 2402, 2, Smoke::mf_static, 519, 123},	//3488 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {152, 2255, 2638, 2, Smoke::mf_static, 322, 124},	//3489 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {152, 2215, 2641, 2, Smoke::mf_static, 255, 125},	//3490 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {152, 2255, 2644, 2, Smoke::mf_static, 337, 126},	//3491 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {152, 2255, 2647, 2, Smoke::mf_static, 290, 127},	//3492 QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    {152, 2255, 2650, 2, Smoke::mf_static, 291, 128},	//3493 QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    {152, 2187, 442, 2, Smoke::mf_static, 519, 129},	//3494 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {152, 2255, 2653, 2, Smoke::mf_static, 337, 130},	//3495 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {152, 2255, 2656, 2, Smoke::mf_static, 321, 131},	//3496 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {152, 2207, 2393, 2, Smoke::mf_static, 673, 132},	//3497 QGlobalSpace::operator/(const QSizeF&, double)
    {152, 2255, 2659, 2, Smoke::mf_static, 337, 133},	//3498 QGlobalSpace::operator|(KAutostart::Condition, int)
    {152, 2255, 2662, 2, Smoke::mf_static, 322, 134},	//3499 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {152, 2237, 2594, 2, Smoke::mf_static, 519, 135},	//3500 QGlobalSpace::operator>(QChar, QChar)
    {152, 2243, 592, 2, Smoke::mf_static, 519, 136},	//3501 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {152, 2230, 2665, 2, Smoke::mf_static, 519, 137},	//3502 QGlobalSpace::operator==(const QString&, QString::Null)
    {152, 2209, 442, 2, Smoke::mf_static, 519, 138},	//3503 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {152, 2255, 2668, 2, Smoke::mf_static, 337, 139},	//3504 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {152, 2249, 2671, 2, Smoke::mf_static, 263, 140},	//3505 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {152, 2255, 2674, 2, Smoke::mf_static, 282, 141},	//3506 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    {152, 2204, 2677, 1, Smoke::mf_static, 666, 142},	//3507 QGlobalSpace::operator-(const QPointF&)
    {152, 2255, 2679, 2, Smoke::mf_static, 320, 143},	//3508 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {152, 2199, 2682, 2, Smoke::mf_static, 675, 144},	//3509 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {152, 2255, 2685, 2, Smoke::mf_static, 329, 145},	//3510 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {152, 2255, 2688, 2, Smoke::mf_static, 320, 146},	//3511 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {152, 2255, 2691, 2, Smoke::mf_static, 327, 147},	//3512 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {152, 2199, 2694, 2, Smoke::mf_static, 675, 148},	//3513 QGlobalSpace::operator+(const QString&, char)
    {152, 2243, 2588, 2, Smoke::mf_static, 519, 149},	//3514 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {152, 2255, 2697, 2, Smoke::mf_static, 291, 150},	//3515 QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    {152, 2230, 2423, 2, Smoke::mf_static, 519, 151},	//3516 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {152, 2215, 2700, 2, Smoke::mf_static, 263, 152},	//3517 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {152, 2249, 2703, 2, Smoke::mf_static, 263, 153},	//3518 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {152, 1964, 1336, 3, Smoke::mf_static, 136, 154},	//3519 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {152, 2249, 2706, 2, Smoke::mf_static, 619, 155},	//3520 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {152, 2215, 2709, 2, Smoke::mf_static, 263, 156},	//3521 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {152, 2249, 2712, 2, Smoke::mf_static, 263, 157},	//3522 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {152, 2255, 2715, 2, Smoke::mf_static, 337, 158},	//3523 QGlobalSpace::operator|(KJob::Capability, int)
    {152, 2255, 2718, 2, Smoke::mf_static, 321, 159},	//3524 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {152, 2209, 592, 2, Smoke::mf_static, 519, 160},	//3525 QGlobalSpace::operator<(const char*, const QByteArray&)
    {152, 2255, 2721, 2, Smoke::mf_static, 337, 161},	//3526 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {152, 2255, 2724, 2, Smoke::mf_static, 337, 162},	//3527 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {152, 2249, 2727, 2, Smoke::mf_static, 619, 163},	//3528 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {152, 2255, 2730, 2, Smoke::mf_static, 337, 164},	//3529 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {152, 2255, 2733, 2, Smoke::mf_static, 287, 165},	//3530 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {152, 2187, 2372, 2, Smoke::mf_static, 519, 166},	//3531 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {152, 2255, 2736, 2, Smoke::mf_static, 318, 167},	//3532 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {152, 2215, 2739, 2, Smoke::mf_static, 255, 168},	//3533 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {152, 2221, 2504, 2, Smoke::mf_static, 519, 169},	//3534 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {152, 2187, 2742, 2, Smoke::mf_static, 519, 170},	//3535 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {152, 2255, 2745, 2, Smoke::mf_static, 337, 171},	//3536 QGlobalSpace::operator|(QString::SectionFlag, int)
    {152, 2255, 2748, 2, Smoke::mf_static, 337, 172},	//3537 QGlobalSpace::operator|(Qt::WindowType, int)
    {152, 2230, 2751, 2, Smoke::mf_static, 519, 173},	//3538 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {152, 2243, 2754, 2, Smoke::mf_static, 519, 174},	//3539 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {152, 2230, 2757, 2, Smoke::mf_static, 519, 175},	//3540 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {152, 2255, 2760, 2, Smoke::mf_static, 295, 176},	//3541 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {152, 2253, 2327, 2, Smoke::mf_static, 246, 177},	//3542 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {152, 2255, 2763, 2, Smoke::mf_static, 313, 178},	//3543 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {152, 1931, 124, 2, Smoke::mf_static, 704, 179},	//3544 QGlobalSpace::kasciistricmp(const char*, const char*)
    {152, 2255, 2766, 2, Smoke::mf_static, 337, 180},	//3545 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {152, 2209, 2588, 2, Smoke::mf_static, 519, 181},	//3546 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {152, 2187, 2769, 2, Smoke::mf_static, 519, 182},	//3547 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {152, 2249, 2772, 2, Smoke::mf_static, 401, 183},	//3548 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {152, 2187, 592, 2, Smoke::mf_static, 519, 184},	//3549 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {152, 2237, 2588, 2, Smoke::mf_static, 519, 185},	//3550 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {152, 2255, 2775, 2, Smoke::mf_static, 337, 186},	//3551 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {152, 2249, 2778, 2, Smoke::mf_static, 263, 187},	//3552 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {152, 2255, 2781, 2, Smoke::mf_static, 337, 188},	//3553 QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    {152, 2255, 2784, 2, Smoke::mf_static, 296, 189},	//3554 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {152, 2255, 2787, 2, Smoke::mf_static, 281, 190},	//3555 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {152, 2255, 2790, 2, Smoke::mf_static, 337, 191},	//3556 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {152, 2215, 2793, 2, Smoke::mf_static, 263, 192},	//3557 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {152, 2255, 2796, 2, Smoke::mf_static, 305, 193},	//3558 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {152, 2215, 2799, 2, Smoke::mf_static, 263, 194},	//3559 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {152, 2196, 2802, 2, Smoke::mf_static, 664, 195},	//3560 QGlobalSpace::operator*(const QPoint&, float)
    {152, 1934, 118, 1, Smoke::mf_static, 388, 196},	//3561 QGlobalSpace::kdBacktrace(int)
    {152, 1934, 0, 0, Smoke::mf_static, 388, 197},	//3562 QGlobalSpace::kdBacktrace()
    {152, 2255, 2805, 2, Smoke::mf_static, 337, 198},	//3563 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {152, 2255, 2808, 2, Smoke::mf_static, 286, 199},	//3564 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {152, 2199, 95, 2, Smoke::mf_static, 675, 200},	//3565 QGlobalSpace::operator+(const QString&, const QString&)
    {152, 2209, 521, 2, Smoke::mf_static, 519, 201},	//3566 QGlobalSpace::operator<(const char*, const QString&)
    {152, 2187, 521, 2, Smoke::mf_static, 519, 202},	//3567 QGlobalSpace::operator!=(const char*, const QString&)
    {152, 2187, 2504, 2, Smoke::mf_static, 519, 203},	//3568 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {152, 2187, 2811, 2, Smoke::mf_static, 519, 204},	//3569 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {152, 2255, 2814, 2, Smoke::mf_static, 337, 205},	//3570 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    {152, 2255, 2817, 2, Smoke::mf_static, 337, 206},	//3571 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {152, 2237, 442, 2, Smoke::mf_static, 519, 207},	//3572 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {152, 2221, 2402, 2, Smoke::mf_static, 519, 208},	//3573 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {152, 2230, 2742, 2, Smoke::mf_static, 519, 209},	//3574 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {152, 2230, 2820, 2, Smoke::mf_static, 519, 210},	//3575 QGlobalSpace::operator==(const char*, const QStringRef&)
    {152, 2255, 2327, 2, Smoke::mf_static, 246, 211},	//3576 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {152, 2199, 592, 2, Smoke::mf_static, 616, 212},	//3577 QGlobalSpace::operator+(const char*, const QByteArray&)
    {152, 2255, 2823, 2, Smoke::mf_static, 337, 213},	//3578 QGlobalSpace::operator|(Qt::MouseButton, int)
    {152, 2221, 2588, 2, Smoke::mf_static, 519, 214},	//3579 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {152, 2249, 2826, 2, Smoke::mf_static, 263, 215},	//3580 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {152, 2255, 2829, 2, Smoke::mf_static, 319, 216},	//3581 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {152, 2255, 2832, 2, Smoke::mf_static, 303, 217},	//3582 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {152, 2215, 2835, 2, Smoke::mf_static, 255, 218},	//3583 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {152, 2255, 2838, 2, Smoke::mf_static, 287, 219},	//3584 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {152, 2255, 2841, 2, Smoke::mf_static, 312, 220},	//3585 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {152, 2249, 2844, 2, Smoke::mf_static, 263, 221},	//3586 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {152, 2230, 2594, 2, Smoke::mf_static, 519, 222},	//3587 QGlobalSpace::operator==(QChar, QChar)
    {152, 2255, 2847, 2, Smoke::mf_static, 325, 223},	//3588 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {152, 2187, 2751, 2, Smoke::mf_static, 519, 224},	//3589 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {152, 2187, 2850, 2, Smoke::mf_static, 519, 225},	//3590 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {152, 2215, 2853, 2, Smoke::mf_static, 263, 226},	//3591 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {152, 2255, 2856, 2, Smoke::mf_static, 326, 227},	//3592 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {152, 2255, 2859, 2, Smoke::mf_static, 295, 228},	//3593 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {152, 2255, 2862, 2, Smoke::mf_static, 337, 229},	//3594 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {152, 2249, 2865, 2, Smoke::mf_static, 619, 230},	//3595 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {152, 2199, 2868, 2, Smoke::mf_static, 675, 231},	//3596 QGlobalSpace::operator+(char, const QString&)
    {152, 2187, 2411, 2, Smoke::mf_static, 519, 232},	//3597 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {152, 2187, 2594, 2, Smoke::mf_static, 519, 233},	//3598 QGlobalSpace::operator!=(QChar, QChar)
    {152, 2255, 2871, 2, Smoke::mf_static, 307, 234},	//3599 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {152, 2230, 2754, 2, Smoke::mf_static, 519, 235},	//3600 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {152, 2255, 2874, 2, Smoke::mf_static, 337, 236},	//3601 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {152, 2255, 2877, 2, Smoke::mf_static, 328, 237},	//3602 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {152, 2255, 2880, 2, Smoke::mf_static, 337, 238},	//3603 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {152, 2255, 2883, 2, Smoke::mf_static, 313, 239},	//3604 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {152, 2230, 2405, 2, Smoke::mf_static, 519, 240},	//3605 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {152, 2230, 2588, 2, Smoke::mf_static, 519, 241},	//3606 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {152, 2187, 2886, 2, Smoke::mf_static, 519, 242},	//3607 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {152, 2196, 2889, 2, Smoke::mf_static, 671, 243},	//3608 QGlobalSpace::operator*(double, const QSize&)
    {152, 2255, 2892, 2, Smoke::mf_static, 305, 244},	//3609 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {152, 2255, 2895, 2, Smoke::mf_static, 309, 245},	//3610 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {152, 2215, 2898, 2, Smoke::mf_static, 255, 246},	//3611 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {152, 2215, 2901, 2, Smoke::mf_static, 263, 247},	//3612 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {152, 2255, 2904, 2, Smoke::mf_static, 298, 248},	//3613 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {152, 2243, 2504, 2, Smoke::mf_static, 519, 249},	//3614 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {152, 2196, 2907, 2, Smoke::mf_static, 664, 250},	//3615 QGlobalSpace::operator*(double, const QPoint&)
    {152, 1920, 2636, 1, Smoke::mf_static, 523, 251},	//3616 QGlobalSpace::kAsciiToLower(char*)
    {152, 2215, 2910, 2, Smoke::mf_static, 263, 252},	//3617 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {152, 2215, 2913, 2, Smoke::mf_static, 263, 253},	//3618 QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    {152, 2199, 2916, 2, Smoke::mf_static, 616, 254},	//3619 QGlobalSpace::operator+(const QByteArray&, char)
    {152, 2255, 2919, 2, Smoke::mf_static, 300, 255},	//3620 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {152, 2207, 2612, 2, Smoke::mf_static, 666, 256},	//3621 QGlobalSpace::operator/(const QPointF&, double)
    {152, 2243, 2594, 2, Smoke::mf_static, 519, 257},	//3622 QGlobalSpace::operator>=(QChar, QChar)
    {152, 2255, 2922, 2, Smoke::mf_static, 288, 258},	//3623 QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    {152, 2221, 442, 2, Smoke::mf_static, 519, 259},	//3624 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {152, 2255, 2925, 2, Smoke::mf_static, 337, 260},	//3625 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {152, 2255, 2928, 2, Smoke::mf_static, 302, 261},	//3626 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {152, 2187, 2465, 2, Smoke::mf_static, 519, 262},	//3627 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {152, 2221, 2754, 2, Smoke::mf_static, 519, 263},	//3628 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {152, 2255, 2931, 2, Smoke::mf_static, 310, 264},	//3629 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {152, 2215, 2934, 2, Smoke::mf_static, 263, 265},	//3630 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {152, 2237, 592, 2, Smoke::mf_static, 519, 266},	//3631 QGlobalSpace::operator>(const char*, const QByteArray&)
    {152, 2255, 2937, 2, Smoke::mf_static, 285, 267},	//3632 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {152, 2249, 2940, 2, Smoke::mf_static, 263, 268},	//3633 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {152, 2215, 2943, 2, Smoke::mf_static, 255, 269},	//3634 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {152, 2255, 2946, 2, Smoke::mf_static, 311, 270},	//3635 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {152, 2215, 2949, 2, Smoke::mf_static, 263, 271},	//3636 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {152, 2230, 2886, 2, Smoke::mf_static, 519, 272},	//3637 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {152, 2187, 2952, 2, Smoke::mf_static, 519, 273},	//3638 QGlobalSpace::operator!=(bool, QBool)
    {152, 2255, 2955, 2, Smoke::mf_static, 296, 274},	//3639 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {152, 2187, 2958, 2, Smoke::mf_static, 519, 275},	//3640 QGlobalSpace::operator!=(QBool, bool)
    {152, 2255, 2961, 2, Smoke::mf_static, 337, 276},	//3641 QGlobalSpace::operator|(Qt::WindowState, int)
    {152, 2204, 2742, 2, Smoke::mf_static, 664, 277},	//3642 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {152, 2187, 2585, 2, Smoke::mf_static, 519, 278},	//3643 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {152, 2215, 2964, 2, Smoke::mf_static, 255, 279},	//3644 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {152, 2249, 1935, 2, Smoke::mf_static, 263, 280},	//3645 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {152, 2249, 2967, 2, Smoke::mf_static, 619, 281},	//3646 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {152, 2199, 2504, 2, Smoke::mf_static, 616, 282},	//3647 QGlobalSpace::operator+(const QByteArray&, const char*)
    {152, 2215, 2970, 2, Smoke::mf_static, 263, 283},	//3648 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {152, 2187, 2405, 2, Smoke::mf_static, 519, 284},	//3649 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {152, 2221, 592, 2, Smoke::mf_static, 519, 285},	//3650 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {152, 2255, 2973, 2, Smoke::mf_static, 337, 286},	//3651 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {152, 1960, 122, 1, Smoke::mf_static, 136, 287},	//3652 QGlobalSpace::ki18n(const char*)
    {152, 2255, 2976, 2, Smoke::mf_static, 315, 288},	//3653 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {152, 2230, 2811, 2, Smoke::mf_static, 519, 289},	//3654 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {152, 2255, 2979, 2, Smoke::mf_static, 308, 290},	//3655 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {152, 2187, 2754, 2, Smoke::mf_static, 519, 291},	//3656 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {152, 2255, 2982, 2, Smoke::mf_static, 284, 292},	//3657 QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    {152, 2255, 2985, 2, Smoke::mf_static, 329, 293},	//3658 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {152, 2196, 2988, 2, Smoke::mf_static, 671, 294},	//3659 QGlobalSpace::operator*(const QSize&, double)
    {152, 2230, 2991, 2, Smoke::mf_static, 519, 295},	//3660 QGlobalSpace::operator==(QString::Null, const QString&)
    {152, 2255, 2994, 2, Smoke::mf_static, 302, 296},	//3661 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {152, 2209, 2585, 2, Smoke::mf_static, 519, 297},	//3662 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {152, 2255, 2997, 2, Smoke::mf_static, 319, 298},	//3663 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {152, 2255, 3000, 2, Smoke::mf_static, 280, 299},	//3664 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {152, 2249, 3003, 2, Smoke::mf_static, 263, 300},	//3665 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {152, 2230, 2504, 2, Smoke::mf_static, 519, 301},	//3666 QGlobalSpace::operator==(const QByteArray&, const char*)
    {152, 2249, 3006, 2, Smoke::mf_static, 263, 302},	//3667 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {152, 2215, 3009, 2, Smoke::mf_static, 255, 303},	//3668 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {152, 2215, 3012, 2, Smoke::mf_static, 255, 304},	//3669 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {152, 2237, 521, 2, Smoke::mf_static, 519, 305},	//3670 QGlobalSpace::operator>(const char*, const QString&)
    {152, 2215, 3015, 2, Smoke::mf_static, 263, 306},	//3671 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {152, 2255, 3018, 2, Smoke::mf_static, 299, 307},	//3672 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {152, 2215, 3021, 2, Smoke::mf_static, 255, 308},	//3673 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {152, 2237, 2504, 2, Smoke::mf_static, 519, 309},	//3674 QGlobalSpace::operator>(const QByteArray&, const char*)
    {152, 2255, 3024, 2, Smoke::mf_static, 279, 310},	//3675 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    {152, 2209, 2402, 2, Smoke::mf_static, 519, 311},	//3676 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {152, 2215, 3027, 2, Smoke::mf_static, 255, 312},	//3677 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {152, 2199, 2742, 2, Smoke::mf_static, 664, 313},	//3678 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {152, 2215, 3030, 2, Smoke::mf_static, 263, 314},	//3679 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {152, 2221, 2594, 2, Smoke::mf_static, 519, 315},	//3680 QGlobalSpace::operator<=(QChar, QChar)
    {152, 2215, 3033, 2, Smoke::mf_static, 401, 316},	//3681 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {152, 2255, 3036, 2, Smoke::mf_static, 337, 317},	//3682 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {152, 2187, 2991, 2, Smoke::mf_static, 519, 318},	//3683 QGlobalSpace::operator!=(QString::Null, const QString&)
    {152, 2249, 3039, 2, Smoke::mf_static, 619, 319},	//3684 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {152, 2237, 2754, 2, Smoke::mf_static, 519, 320},	//3685 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {152, 1927, 118, 1, Smoke::mf_static, 388, 321},	//3686 QGlobalSpace::kRealBacktrace(int)
    {152, 2255, 3042, 2, Smoke::mf_static, 310, 322},	//3687 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {152, 2255, 3045, 2, Smoke::mf_static, 337, 323},	//3688 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {152, 2187, 2665, 2, Smoke::mf_static, 519, 324},	//3689 QGlobalSpace::operator!=(const QString&, QString::Null)
    {152, 2255, 3048, 2, Smoke::mf_static, 337, 325},	//3690 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {152, 2196, 3051, 2, Smoke::mf_static, 664, 326},	//3691 QGlobalSpace::operator*(int, const QPoint&)
    {152, 2255, 3054, 2, Smoke::mf_static, 317, 327},	//3692 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {152, 2204, 3057, 1, Smoke::mf_static, 664, 328},	//3693 QGlobalSpace::operator-(const QPoint&)
    {152, 2249, 3059, 2, Smoke::mf_static, 263, 329},	//3694 QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    {152, 2215, 3062, 2, Smoke::mf_static, 255, 330},	//3695 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {152, 2255, 3065, 2, Smoke::mf_static, 294, 331},	//3696 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {152, 2249, 1932, 2, Smoke::mf_static, 263, 332},	//3697 QGlobalSpace::operator>>(QDataStream&, QString&)
    {152, 2230, 442, 2, Smoke::mf_static, 519, 333},	//3698 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {152, 2215, 3068, 2, Smoke::mf_static, 263, 334},	//3699 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {152, 2204, 2579, 2, Smoke::mf_static, 666, 335},	//3700 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {152, 2209, 2754, 2, Smoke::mf_static, 519, 336},	//3701 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {152, 2215, 3071, 2, Smoke::mf_static, 263, 337},	//3702 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {152, 2249, 3074, 2, Smoke::mf_static, 263, 338},	//3703 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {152, 2255, 3077, 2, Smoke::mf_static, 325, 339},	//3704 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {152, 2215, 3080, 2, Smoke::mf_static, 255, 340},	//3705 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {152, 2230, 2769, 2, Smoke::mf_static, 519, 341},	//3706 QGlobalSpace::operator==(const QStringRef&, const char*)
    {152, 2187, 2820, 2, Smoke::mf_static, 519, 342},	//3707 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {152, 2199, 442, 2, Smoke::mf_static, 616, 343},	//3708 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {152, 2255, 3083, 2, Smoke::mf_static, 281, 344},	//3709 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {152, 2199, 589, 2, Smoke::mf_static, 675, 345},	//3710 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {152, 2255, 3086, 2, Smoke::mf_static, 304, 346},	//3711 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {152, 2249, 3089, 2, Smoke::mf_static, 263, 347},	//3712 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {152, 2255, 3092, 2, Smoke::mf_static, 337, 348},	//3713 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {152, 2255, 3095, 2, Smoke::mf_static, 337, 349},	//3714 QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    {152, 2255, 3098, 2, Smoke::mf_static, 337, 350},	//3715 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {152, 2230, 521, 2, Smoke::mf_static, 519, 351},	//3716 QGlobalSpace::operator==(const char*, const QString&)
    {152, 2215, 3101, 2, Smoke::mf_static, 263, 352},	//3717 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {152, 2207, 2988, 2, Smoke::mf_static, 671, 353},	//3718 QGlobalSpace::operator/(const QSize&, double)
    {152, 2249, 3104, 2, Smoke::mf_static, 263, 354},	//3719 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {152, 2249, 3107, 2, Smoke::mf_static, 619, 355},	//3720 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {152, 2230, 2952, 2, Smoke::mf_static, 519, 356},	//3721 QGlobalSpace::operator==(bool, QBool)
    {152, 2255, 3110, 2, Smoke::mf_static, 327, 357},	//3722 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {152, 2255, 3113, 2, Smoke::mf_static, 337, 358},	//3723 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {152, 2255, 3116, 2, Smoke::mf_static, 337, 359},	//3724 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {152, 2255, 3119, 2, Smoke::mf_static, 283, 360},	//3725 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {152, 1926, 0, 0, Smoke::mf_static, 0, 361},	//3726 QGlobalSpace::kClearDebugConfig()
    {152, 2243, 521, 2, Smoke::mf_static, 519, 362},	//3727 QGlobalSpace::operator>=(const char*, const QString&)
    {152, 2215, 3122, 2, Smoke::mf_static, 263, 363},	//3728 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {152, 1966, 124, 2, Smoke::mf_static, 136, 364},	//3729 QGlobalSpace::ki18np(const char*, const char*)
    {152, 2249, 3125, 2, Smoke::mf_static, 263, 365},	//3730 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {152, 2255, 3128, 2, Smoke::mf_static, 288, 366},	//3731 QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    {152, 2187, 2579, 2, Smoke::mf_static, 519, 367},	//3732 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {152, 2196, 3131, 2, Smoke::mf_static, 664, 368},	//3733 QGlobalSpace::operator*(const QPoint&, int)
    {152, 2255, 3134, 2, Smoke::mf_static, 318, 369},	//3734 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {152, 2204, 2372, 2, Smoke::mf_static, 671, 370},	//3735 QGlobalSpace::operator-(const QSize&, const QSize&)
    {152, 2255, 3137, 2, Smoke::mf_static, 316, 371},	//3736 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {152, 2255, 3140, 2, Smoke::mf_static, 316, 372},	//3737 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {152, 2255, 3143, 2, Smoke::mf_static, 337, 373},	//3738 QGlobalSpace::operator|(Qt::Orientation, int)
    {152, 2187, 2402, 2, Smoke::mf_static, 519, 374},	//3739 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {152, 2249, 3146, 2, Smoke::mf_static, 619, 375},	//3740 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {152, 2199, 2579, 2, Smoke::mf_static, 666, 376},	//3741 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {152, 2230, 2958, 2, Smoke::mf_static, 519, 377},	//3742 QGlobalSpace::operator==(QBool, bool)
    {152, 2230, 2369, 2, Smoke::mf_static, 519, 378},	//3743 QGlobalSpace::operator==(const QRect&, const QRect&)
    {152, 2255, 3149, 2, Smoke::mf_static, 309, 379},	//3744 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {152, 2196, 3152, 2, Smoke::mf_static, 664, 380},	//3745 QGlobalSpace::operator*(float, const QPoint&)
    {152, 2249, 3155, 2, Smoke::mf_static, 263, 381},	//3746 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {152, 2255, 3158, 2, Smoke::mf_static, 307, 382},	//3747 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {152, 2199, 3161, 2, Smoke::mf_static, 675, 383},	//3748 QGlobalSpace::operator+(const QString&, QChar)
    {152, 2187, 2435, 2, Smoke::mf_static, 519, 384},	//3749 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {152, 2255, 3164, 2, Smoke::mf_static, 324, 385},	//3750 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {152, 2187, 2426, 2, Smoke::mf_static, 519, 386},	//3751 QGlobalSpace::operator!=(QBool, QBool)
    {152, 2215, 2772, 2, Smoke::mf_static, 401, 387},	//3752 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {152, 2230, 2850, 2, Smoke::mf_static, 519, 388},	//3753 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {152, 2249, 3167, 2, Smoke::mf_static, 619, 389},	//3754 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {152, 2255, 3170, 2, Smoke::mf_static, 308, 390},	//3755 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {152, 2215, 3173, 2, Smoke::mf_static, 263, 391},	//3756 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {152, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 392},	//3757 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {152, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 393},	//3758 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {152, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 394},	//3759 QGlobalSpace::Q_STATIC_TYPE (enum)
    {152, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 395},	//3760 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {152, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 708, 396},	//3761 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {152, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 512, 397},	//3762 QGlobalSpace::LicensedXml (enum)
    {152, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 398},	//3763 QGlobalSpace::QtDebugMsg (enum)
    {152, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 399},	//3764 QGlobalSpace::QtWarningMsg (enum)
    {152, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 400},	//3765 QGlobalSpace::QtCriticalMsg (enum)
    {152, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 401},	//3766 QGlobalSpace::QtFatalMsg (enum)
    {152, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 402},	//3767 QGlobalSpace::QtSystemMsg (enum)
    {152, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 403},	//3768 QGlobalSpace::LicensedOpenGL (enum)
    {152, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 506, 404},	//3769 QGlobalSpace::LicensedQt3Support (enum)
    {152, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 504, 405},	//3770 QGlobalSpace::LicensedOpenVG (enum)
    {152, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 502, 406},	//3771 QGlobalSpace::LicensedNetwork (enum)
    {152, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 509, 407},	//3772 QGlobalSpace::LicensedSql (enum)
    {152, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 408},	//3773 QGlobalSpace::KST_KSycocaEntry (enum)
    {152, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 409},	//3774 QGlobalSpace::KST_KService (enum)
    {152, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 410},	//3775 QGlobalSpace::KST_KServiceType (enum)
    {152, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 411},	//3776 QGlobalSpace::KST_KMimeType (enum)
    {152, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 412},	//3777 QGlobalSpace::KST_KFolderMimeType (enum)
    {152, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 413},	//3778 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {152, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 414},	//3779 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {152, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 415},	//3780 QGlobalSpace::KST_KServiceGroup (enum)
    {152, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 416},	//3781 QGlobalSpace::KST_KImageIOFormat (enum)
    {152, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 417},	//3782 QGlobalSpace::KST_KProtocolInfo (enum)
    {152, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 418},	//3783 QGlobalSpace::KST_KServiceSeparator (enum)
    {152, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 419},	//3784 QGlobalSpace::KST_KCustom (enum)
    {152, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 420},	//3785 QGlobalSpace::LicensedCore (enum)
    {152, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 421},	//3786 QGlobalSpace::KST_KServiceFactory (enum)
    {152, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 422},	//3787 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {152, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 423},	//3788 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {152, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 424},	//3789 QGlobalSpace::KST_KImageIO (enum)
    {152, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 425},	//3790 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {152, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 426},	//3791 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {152, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 427},	//3792 QGlobalSpace::KST_CTimeInfo (enum)
    {152, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 510, 428},	//3793 QGlobalSpace::LicensedSvg (enum)
    {152, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 513, 429},	//3794 QGlobalSpace::LicensedXmlPatterns (enum)
    {152, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 430},	//3795 QGlobalSpace::LicensedGui (enum)
    {152, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 498, 431},	//3796 QGlobalSpace::LicensedDeclarative (enum)
    {152, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 495, 432},	//3797 QGlobalSpace::LicensedActiveQt (enum)
    {152, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 497, 433},	//3798 QGlobalSpace::LicensedDBus (enum)
    {152, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 511, 434},	//3799 QGlobalSpace::LicensedTest (enum)
    {152, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 508, 435},	//3800 QGlobalSpace::LicensedScriptTools (enum)
    {152, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 505, 436},	//3801 QGlobalSpace::LicensedQt3SupportLight (enum)
    {152, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 437},	//3802 QGlobalSpace::LicensedScript (enum)
    {152, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 438},	//3803 QGlobalSpace::LicensedMultimedia (enum)
    {152, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 500, 439},	//3804 QGlobalSpace::LicensedHelp (enum)
    {155, 2174, 150, 1, Smoke::mf_virtual, 519, 0},	//3805 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {155, 2300, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3806 QIODevice::pos() const
    {155, 2994, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3807 QIODevice::size() const
    {155, 2527, 861, 1, Smoke::mf_virtual, 519, 0},	//3808 QIODevice::seek(long long)
    {155, 2491, 0, 0, Smoke::mf_virtual, 519, 0},	//3809 QIODevice::reset()
    {155, 1115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3810 QIODevice::bytesAvailable() const
    {155, 1116, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3811 QIODevice::bytesToWrite() const
    {155, 1133, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3812 QIODevice::canReadLine() const
    {155, 3293, 118, 1, Smoke::mf_virtual, 519, 0},	//3813 QIODevice::waitForReadyRead(int)
    {155, 3289, 118, 1, Smoke::mf_virtual, 519, 0},	//3814 QIODevice::waitForBytesWritten(int)
    {155, 2415, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3815 QIODevice::readLineData(char*, long long)
    {155, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 12},	//3816 QIODevice::NotOpen (enum)
    {155, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 13},	//3817 QIODevice::ReadOnly (enum)
    {155, 845, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 14},	//3818 QIODevice::WriteOnly (enum)
    {155, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 15},	//3819 QIODevice::ReadWrite (enum)
    {155, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 16},	//3820 QIODevice::Append (enum)
    {155, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 17},	//3821 QIODevice::Truncate (enum)
    {155, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 18},	//3822 QIODevice::Text (enum)
    {155, 803, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 19},	//3823 QIODevice::Unbuffered (enum)
    {166, 1472, 3176, 1, Smoke::mf_virtual, 519, 0},	//3824 QObject::event(QEvent*)
    {166, 1473, 3178, 2, Smoke::mf_virtual, 519, 0},	//3825 QObject::eventFilter(QObject*, QEvent*)
    {166, 3150, 3181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3826 QObject::timerEvent(QTimerEvent*)
    {166, 1165, 3183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3827 QObject::childEvent(QChildEvent*)
    {166, 1273, 3176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3828 QObject::customEvent(QEvent*)
    {166, 1201, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3829 QObject::connectNotify(const char*)
    {166, 1410, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3830 QObject::disconnectNotify(const char*)
    {170, 3293, 118, 1, Smoke::mf_virtual, 519, 0},	//3831 QProcess::waitForReadyRead(int)
    {170, 3289, 118, 1, Smoke::mf_virtual, 519, 0},	//3832 QProcess::waitForBytesWritten(int)
    {170, 1115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3833 QProcess::bytesAvailable() const
    {170, 1116, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 709, 0},	//3834 QProcess::bytesToWrite() const
    {170, 1885, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3835 QProcess::isSequential() const
    {170, 1133, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3836 QProcess::canReadLine() const
    {170, 1179, 0, 0, Smoke::mf_virtual, 0, 0},	//3837 QProcess::close()
    {170, 1068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3838 QProcess::atEnd() const
    {170, 2978, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3839 QProcess::setupChildProcess()
    {170, 2389, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3840 QProcess::readData(char*, long long)
    {170, 3338, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 709, 0},	//3841 QProcess::writeData(const char*, long long)
    {181, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 0},	//3842 QTemporaryFile::metaObject() const
    {181, 2354, 122, 1, Smoke::mf_virtual, 729, 0},	//3843 QTemporaryFile::qt_metacast(const char*)
    {181, 2352, 131, 3, Smoke::mf_virtual, 704, 0},	//3844 QTemporaryFile::qt_metacall(QMetaObject::Call, int, void**)
    {181, 1528, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//3845 QTemporaryFile::fileEngine() const
    {181, 2174, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 0},	//3846 QTemporaryFile::open(QFlags<QIODevice::OpenModeFlag>)
    {194, 1388, 30, 1, Smoke::mf_static, 388, 1},	//3847 Sonnet::detectLanguage(const QString&)
    {194, 1353, 0, 0, Smoke::mf_static, 388, 2},	//3848 Sonnet::defaultLanguageName()
    {195, 2090, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 661, 1},	//3849 Sonnet::BackgroundChecker::metaObject() const
    {195, 2354, 122, 1, Smoke::mf_virtual, 729, 2},	//3850 Sonnet::BackgroundChecker::qt_metacast(const char*)
    {195, 3179, 124, 2, Smoke::mf_static, 388, 3},	//3851 Sonnet::BackgroundChecker::tr(const char*, const char*)
    {195, 3186, 124, 2, Smoke::mf_static, 388, 4},	//3852 Sonnet::BackgroundChecker::trUtf8(const char*, const char*)
    {195, 3179, 127, 3, Smoke::mf_static, 388, 5},	//3853 Sonnet::BackgroundChecker::tr(const char*, const char*, int)
    {195, 3186, 127, 3, Smoke::mf_static, 388, 6},	//3854 Sonnet::BackgroundChecker::trUtf8(const char*, const char*, int)
    {195, 2352, 131, 3, Smoke::mf_virtual, 704, 7},	//3855 Sonnet::BackgroundChecker::qt_metacall(QMetaObject::Call, int, void**)
    {195, 35, 146, 1, Smoke::mf_ctor, 514, 8},	//3856 Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    {195, 35, 3185, 2, Smoke::mf_ctor, 514, 9},	//3857 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&, QObject*)
    {195, 2932, 30, 1, 0, 0, 10},	//3858 Sonnet::BackgroundChecker::setText(const QString&)
    {195, 3139, 0, 0, Smoke::mf_const, 388, 11},	//3859 Sonnet::BackgroundChecker::text() const
    {195, 1260, 0, 0, Smoke::mf_const, 388, 12},	//3860 Sonnet::BackgroundChecker::currentContext() const
    {195, 3006, 0, 0, Smoke::mf_const, 515, 13},	//3861 Sonnet::BackgroundChecker::speller() const
    {195, 2920, 3188, 1, 0, 0, 14},	//3862 Sonnet::BackgroundChecker::setSpeller(const Sonnet::Speller&)
    {195, 1162, 30, 1, 0, 519, 15},	//3863 Sonnet::BackgroundChecker::checkWord(const QString&)
    {195, 3108, 30, 1, Smoke::mf_const, 393, 16},	//3864 Sonnet::BackgroundChecker::suggest(const QString&) const
    {195, 1022, 30, 1, 0, 519, 17},	//3865 Sonnet::BackgroundChecker::addWordToPersonal(const QString&)
    {195, 2502, 595, 1, 0, 0, 18},	//3866 Sonnet::BackgroundChecker::restore(KConfig*)
    {195, 3020, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//3867 Sonnet::BackgroundChecker::start()
    {195, 3084, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//3868 Sonnet::BackgroundChecker::stop()
    {195, 2485, 3190, 3, Smoke::mf_slot, 0, 21},	//3869 Sonnet::BackgroundChecker::replace(int, const QString&, const QString&)
    {195, 1149, 30, 1, Smoke::mf_slot, 0, 22},	//3870 Sonnet::BackgroundChecker::changeLanguage(const QString&)
    {195, 1214, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//3871 Sonnet::BackgroundChecker::continueChecking()
    {195, 2095, 1014, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3872 Sonnet::BackgroundChecker::misspelling(const QString&, int)
    {195, 1416, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3873 Sonnet::BackgroundChecker::done()
    {195, 1525, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 26},	//3874 Sonnet::BackgroundChecker::fetchMoreText()
    {195, 1591, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//3875 Sonnet::BackgroundChecker::finishedCurrentFeed()
    {195, 2995, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 28},	//3876 Sonnet::BackgroundChecker::slotEngineDone()
    {195, 3179, 122, 1, Smoke::mf_static, 388, 29},	//3877 Sonnet::BackgroundChecker::tr(const char*)
    {195, 3186, 122, 1, Smoke::mf_static, 388, 30},	//3878 Sonnet::BackgroundChecker::trUtf8(const char*)
    {195, 35, 0, 0, Smoke::mf_ctor, 514, 31},	//3879 Sonnet::BackgroundChecker::BackgroundChecker()
    {195, 35, 3188, 1, Smoke::mf_ctor, 514, 32},	//3880 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    {195, 3078, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 660, 33},	//3881 Sonnet::BackgroundChecker::staticMetaObject() const
    {195, 3378, 0, 0, Smoke::mf_dtor, 0, 34 },	//3882 Sonnet::BackgroundChecker::~BackgroundChecker()
    {196, 760, 30, 1, Smoke::mf_ctor, 517, 1},	//3883 Sonnet::Speller::Speller(const QString&)
    {196, 760, 3188, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 517, 2},	//3884 Sonnet::Speller::Speller(const Sonnet::Speller&)
    {196, 2227, 3188, 1, 0, 516, 3},	//3885 Sonnet::Speller::operator=(const Sonnet::Speller&)
    {196, 1901, 0, 0, Smoke::mf_const, 519, 4},	//3886 Sonnet::Speller::isValid() const
    {196, 2723, 30, 1, 0, 0, 5},	//3887 Sonnet::Speller::setLanguage(const QString&)
    {196, 1977, 0, 0, Smoke::mf_const, 388, 6},	//3888 Sonnet::Speller::language() const
    {196, 1823, 30, 1, Smoke::mf_const, 519, 7},	//3889 Sonnet::Speller::isCorrect(const QString&) const
    {196, 1869, 30, 1, Smoke::mf_const, 519, 8},	//3890 Sonnet::Speller::isMisspelled(const QString&) const
    {196, 3108, 30, 1, Smoke::mf_const, 393, 9},	//3891 Sonnet::Speller::suggest(const QString&) const
    {196, 1156, 757, 2, Smoke::mf_const, 519, 10},	//3892 Sonnet::Speller::checkAndSuggest(const QString&, QStringList&) const
    {196, 3087, 95, 2, 0, 519, 11},	//3893 Sonnet::Speller::storeReplacement(const QString&, const QString&)
    {196, 1018, 30, 1, 0, 519, 12},	//3894 Sonnet::Speller::addToPersonal(const QString&)
    {196, 1020, 30, 1, 0, 519, 13},	//3895 Sonnet::Speller::addToSession(const QString&)
    {196, 2513, 595, 1, 0, 0, 14},	//3896 Sonnet::Speller::save(KConfig*)
    {196, 2502, 595, 1, 0, 0, 15},	//3897 Sonnet::Speller::restore(KConfig*)
    {196, 1091, 0, 0, Smoke::mf_const, 393, 16},	//3898 Sonnet::Speller::availableBackends() const
    {196, 1095, 0, 0, Smoke::mf_const, 393, 17},	//3899 Sonnet::Speller::availableLanguages() const
    {196, 1094, 0, 0, Smoke::mf_const, 393, 18},	//3900 Sonnet::Speller::availableLanguageNames() const
    {196, 1092, 0, 0, Smoke::mf_const, 372, 19},	//3901 Sonnet::Speller::availableDictionaries() const
    {196, 2650, 30, 1, 0, 0, 20},	//3902 Sonnet::Speller::setDefaultLanguage(const QString&)
    {196, 1352, 0, 0, Smoke::mf_const, 388, 21},	//3903 Sonnet::Speller::defaultLanguage() const
    {196, 2648, 30, 1, 0, 0, 22},	//3904 Sonnet::Speller::setDefaultClient(const QString&)
    {196, 1349, 0, 0, Smoke::mf_const, 388, 23},	//3905 Sonnet::Speller::defaultClient() const
    {196, 2565, 3194, 2, 0, 0, 24},	//3906 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute, bool)
    {196, 3137, 3197, 1, Smoke::mf_const, 519, 25},	//3907 Sonnet::Speller::testAttribute(Sonnet::Speller::Attribute) const
    {196, 760, 0, 0, Smoke::mf_ctor, 517, 26},	//3908 Sonnet::Speller::Speller()
    {196, 2565, 3197, 1, 0, 0, 27},	//3909 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute)
    {196, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 518, 28},	//3910 Sonnet::Speller::CheckUppercase (enum)
    {196, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 518, 29},	//3911 Sonnet::Speller::SkipRunTogether (enum)
    {196, 3483, 0, 0, Smoke::mf_dtor, 0, 30 },	//3912 Sonnet::Speller::~Speller()
    {198, 1971, 0, 0, Smoke::mf_ctor, 707, 1},	//3913 kndbgstream::kndbgstream()
    {198, 1971, 3199, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 707, 2},	//3914 kndbgstream::kndbgstream(const kndbgstream&)
    {198, 3485, 0, 0, Smoke::mf_dtor, 0, 3 },	//3915 kndbgstream::~kndbgstream()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    96,  // KAboutPerson::KAboutPerson(const KAboutPerson&)
    103,  // KAboutPerson::KAboutPerson(const KLocalizedString&)
    0,
    3856,  // Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    3880,  // Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    0,
    3099,  // KUrl::KUrl(const QByteArray&)
    3100,  // KUrl::KUrl(const KUrl&)
    3101,  // KUrl::KUrl(const QUrl&)
    0,
    3097,  // KUrl::KUrl(const QString&)
    3098,  // KUrl::KUrl(const char*)
    0,
    3148,  // KUrl::operator=(const KUrl&)
    3150,  // KUrl::operator=(const QByteArray&)
    0,
    3149,  // KUrl::operator=(const char*)
    3151,  // KUrl::operator=(const QString&)
    0,
    840,  // KCoreConfigSkeleton::config()
    841,  // KCoreConfigSkeleton::config() const
    0,
    846,  // KCoreConfigSkeleton::findItem(const QString&)
    847,  // KCoreConfigSkeleton::findItem(const QString&) const
    0,
    844,  // KCoreConfigSkeleton::isImmutable(const QString&)
    845,  // KCoreConfigSkeleton::isImmutable(const QString&) const
    0,
    512,  // KCmdLineOptions::add(const KCmdLineOptions&)
    513,  // KCmdLineOptions::add(const QByteArray&)
    0,
    2721,  // KStringHandler::perlSplit(const QChar&, const QString&)
    2724,  // KStringHandler::perlSplit(const QRegExp&, const QString&)
    0,
    2720,  // KStringHandler::perlSplit(const QChar&, const QString&, int)
    2723,  // KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    0,
    3209,  // KUser::KUser(const passwd*)
    3210,  // KUser::KUser(const KUser&)
    0,
    3205,  // KUser::KUser(KUser::UIDMode)
    3207,  // KUser::KUser(const QString&)
    3208,  // KUser::KUser(const char*)
    0,
    1859,  // KLocale::formatDateTime(const QDateTime&) const
    1861,  // KLocale::formatDateTime(const KDateTime&) const
    0,
    1860,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    1862,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    0,
    1751,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    1752,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    0,
    1853,  // KLocale::formatNumber(double) const
    1854,  // KLocale::formatNumber(const QString&) const
    0,
    1740,  // KLocale::formatNumber(double, int) const
    1855,  // KLocale::formatNumber(const QString&, bool) const
    0,
    1773,  // KLocale::readDate(const QString&, bool*) const
    1870,  // KLocale::readDate(const QString&, const QString&) const
    1871,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    0,
    1774,  // KLocale::readDate(const QString&, const QString&, bool*) const
    1775,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    0,
    1776,  // KLocale::readTime(const QString&, bool*) const
    1873,  // KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    0,
    1769,  // KLocale::weekNumberSystem()
    1770,  // KLocale::weekNumberSystem() const
    0,
    2163,  // KMimeType::findByContent(const QByteArray&)
    2166,  // KMimeType::findByContent(QIODevice*)
    0,
    2128,  // KMimeType::findByContent(const QByteArray&, int*)
    2130,  // KMimeType::findByContent(QIODevice*, int*)
    0,
    2164,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    2167,  // KMimeType::findByNameAndContent(const QString&, QIODevice*)
    0,
    2165,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, mode_t)
    2168,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, mode_t)
    0,
    2129,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, mode_t, int*)
    2131,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, mode_t, int*)
    0,
    1176,  // KDateTime::KDateTime(const QDateTime&)
    1177,  // KDateTime::KDateTime(const KDateTime&)
    1239,  // KDateTime::KDateTime(const QDate&)
    0,
    1173,  // KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    1175,  // KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    1240,  // KDateTime::KDateTime(const QDate&, const QTime&)
    0,
    1243,  // KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    1244,  // KDateTime::fromString(const QString&, const QString&)
    0,
    1223,  // KDateTime::toString(const QString&) const
    1224,  // KDateTime::toString(KDateTime::TimeFormat) const
    0,
    1200,  // KDateTime::toTimeSpec(const KDateTime::Spec&) const
    1201,  // KDateTime::toTimeSpec(const KDateTime&) const
    0,
    1658,  // KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    1670,  // KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    0,
    1472,  // KGlobal::staticQString(const QString&)
    1484,  // KGlobal::staticQString(const char*)
    0,
    2649,  // KStandardDirs::addResourceType(const char*, const QString&, bool)
    2686,  // KStandardDirs::addResourceType(const char*, const char*, const QString&)
    2687,  // KStandardDirs::addResourceType(const char*, const char*, const char*)
    0,
    2650,  // KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    2651,  // KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    0,
    218,  // KAutoSaveFile::KAutoSaveFile(QObject*)
    227,  // KAutoSaveFile::KAutoSaveFile(const KUrl&)
    0,
    2065,  // KMD5::update(const QByteArray&)
    2066,  // KMD5::update(QIODevice&)
    0,
    2078,  // KMD5::update(const char*)
    2079,  // KMD5::update(const unsigned char*)
    0,
    2063,  // KMD5::update(const char*, int)
    2064,  // KMD5::update(const unsigned char*, int)
    0,
    2016,  // KLocalizedString::subs(int) const
    2019,  // KLocalizedString::subs(unsigned int) const
    2022,  // KLocalizedString::subs(long) const
    2025,  // KLocalizedString::subs(unsigned long) const
    2028,  // KLocalizedString::subs(long long) const
    2031,  // KLocalizedString::subs(unsigned long long) const
    2034,  // KLocalizedString::subs(double) const
    2040,  // KLocalizedString::subs(const QString&) const
    0,
    2017,  // KLocalizedString::subs(int, int) const
    2020,  // KLocalizedString::subs(unsigned int, int) const
    2023,  // KLocalizedString::subs(long, int) const
    2026,  // KLocalizedString::subs(unsigned long, int) const
    2029,  // KLocalizedString::subs(long long, int) const
    2032,  // KLocalizedString::subs(unsigned long long, int) const
    2035,  // KLocalizedString::subs(double, int) const
    2041,  // KLocalizedString::subs(const QString&, int) const
    0,
    2018,  // KLocalizedString::subs(int, int, int) const
    2021,  // KLocalizedString::subs(unsigned int, int, int) const
    2024,  // KLocalizedString::subs(long, int, int) const
    2027,  // KLocalizedString::subs(unsigned long, int, int) const
    2030,  // KLocalizedString::subs(long long, int, int) const
    2033,  // KLocalizedString::subs(unsigned long long, int, int) const
    2036,  // KLocalizedString::subs(double, int, char) const
    0,
    2005,  // KLocalizedString::subs(int, int, int, const QChar&) const
    2006,  // KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    2007,  // KLocalizedString::subs(long, int, int, const QChar&) const
    2008,  // KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    2009,  // KLocalizedString::subs(long long, int, int, const QChar&) const
    2010,  // KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    0,
    649,  // KConfigBase::deleteGroup(const QString&)
    650,  // KConfigBase::deleteGroup(const char*)
    0,
    632,  // KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    633,  // KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    625,  // KConfigBase::group(const QByteArray&)
    628,  // KConfigBase::group(const QByteArray&) const
    0,
    626,  // KConfigBase::group(const QString&)
    627,  // KConfigBase::group(const char*)
    629,  // KConfigBase::group(const QString&) const
    630,  // KConfigBase::group(const char*) const
    0,
    643,  // KConfigBase::groupImpl(const QByteArray&)
    644,  // KConfigBase::groupImpl(const QByteArray&) const
    0,
    622,  // KConfigBase::hasGroup(const QString&) const
    623,  // KConfigBase::hasGroup(const char*) const
    0,
    639,  // KConfigBase::isGroupImmutable(const QString&) const
    640,  // KConfigBase::isGroupImmutable(const char*) const
    0,
    2848,  // KTimeZone::KTimeZone(const KTimeZone&)
    2885,  // KTimeZone::KTimeZone(KTimeZoneBackend*)
    0,
    2573,  // KServiceType::KServiceType(KDesktopFile*)
    2588,  // KServiceType::KServiceType(KServiceTypePrivate&)
    0,
    1099,  // KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    1123,  // KCurrencyCode::KCurrencyCode(const QFileInfo&)
    0,
    3374,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    3382,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    3402,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    3469,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    3494,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    3531,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    3535,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    3590,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    3597,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    3598,  // QGlobalSpace::operator!=(QChar, QChar)
    3607,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    3627,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    3643,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    3649,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    3656,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    3732,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    3749,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    3751,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    3547,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    3568,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    3589,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    3640,  // QGlobalSpace::operator!=(QBool, bool)
    3683,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    3549,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    3569,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    3638,  // QGlobalSpace::operator!=(bool, QBool)
    3689,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    3707,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    3739,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    3371,  // QGlobalSpace::operator*(const QPoint&, double)
    3391,  // QGlobalSpace::operator*(const QSizeF&, double)
    3478,  // QGlobalSpace::operator*(const QPointF&, double)
    3560,  // QGlobalSpace::operator*(const QPoint&, float)
    3659,  // QGlobalSpace::operator*(const QSize&, double)
    3733,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    3372,  // QGlobalSpace::operator*(double, const QPointF&)
    3376,  // QGlobalSpace::operator*(double, const QSizeF&)
    3608,  // QGlobalSpace::operator*(double, const QSize&)
    3615,  // QGlobalSpace::operator*(double, const QPoint&)
    3691,  // QGlobalSpace::operator*(int, const QPoint&)
    3745,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    3383,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    3421,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    3678,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    3708,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    3741,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    3413,  // QGlobalSpace::operator+(QChar, const QString&)
    3509,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    3619,  // QGlobalSpace::operator+(const QByteArray&, char)
    3647,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    3450,  // QGlobalSpace::operator+(char, const QByteArray&)
    3577,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    3710,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    3748,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    3445,  // QGlobalSpace::operator+(const QString&, const char*)
    3455,  // QGlobalSpace::operator+(const char*, const QString&)
    3513,  // QGlobalSpace::operator+(const QString&, char)
    3565,  // QGlobalSpace::operator+(const QString&, const QString&)
    3596,  // QGlobalSpace::operator+(char, const QString&)
    0,
    3507,  // QGlobalSpace::operator-(const QPointF&)
    3693,  // QGlobalSpace::operator-(const QPoint&)
    0,
    3395,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    3642,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    3700,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    3735,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    3452,  // QGlobalSpace::operator/(const QPoint&, double)
    3497,  // QGlobalSpace::operator/(const QSizeF&, double)
    3621,  // QGlobalSpace::operator/(const QPointF&, double)
    3718,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    3417,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    3471,  // QGlobalSpace::operator<(QChar, QChar)
    3503,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    3546,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    3662,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    3701,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    3525,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    3676,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    3386,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    3387,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    3392,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    3411,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    3416,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    3418,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    3430,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    3440,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    3484,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    3490,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    3517,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    3521,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    3533,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    3557,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    3559,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    3583,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    3591,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    3611,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    3612,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    3617,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    3618,  // QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    3630,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    3636,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    3644,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    3648,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    3668,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    3671,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    3677,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    3679,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    3681,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    3695,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    3702,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    3705,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    3728,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    3752,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    3756,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    3699,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    3717,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    3424,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    3634,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    3669,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    3673,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    0,
    3579,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    3624,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    3628,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    3680,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    3573,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    3650,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    3389,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    3398,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    3403,  // QGlobalSpace::operator==(QBool, QBool)
    3406,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    3422,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    3464,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    3468,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    3482,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    3486,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    3516,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    3540,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    3574,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    3587,  // QGlobalSpace::operator==(QChar, QChar)
    3600,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    3605,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    3606,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    3637,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    3698,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    3743,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    3753,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    3538,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    3660,  // QGlobalSpace::operator==(QString::Null, const QString&)
    3666,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    3706,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    3742,  // QGlobalSpace::operator==(QBool, bool)
    0,
    3375,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    3456,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    3488,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    3502,  // QGlobalSpace::operator==(const QString&, QString::Null)
    3575,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    3654,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    3721,  // QGlobalSpace::operator==(bool, QBool)
    0,
    3500,  // QGlobalSpace::operator>(QChar, QChar)
    3550,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    3572,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    3685,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    3394,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    3631,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    3397,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    3514,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    3539,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    3622,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    3472,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    3501,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    3408,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    3409,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    3412,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    3443,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    3446,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    3448,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    3457,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    3459,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    3461,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    3462,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    3463,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    3477,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    3480,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    3505,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    3518,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    3520,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    3522,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    3528,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    3548,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    3552,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    3580,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    3595,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    3633,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    3646,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    3665,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    3667,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    3684,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    3694,  // QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    3703,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    3712,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    3719,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    3720,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    3730,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    3740,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    3746,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    3754,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    0,
    3586,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    3697,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    3369,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    3370,  // QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    3373,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    3377,  // QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    3378,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    3379,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    3380,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    3381,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    3384,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    3385,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    3388,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    3390,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    3393,  // QGlobalSpace::operator|(QDir::Filter, int)
    3396,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    3399,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    3400,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    3401,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    3404,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    3405,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    3407,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    3414,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    3415,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    3419,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    3420,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    3423,  // QGlobalSpace::operator|(Qt::DropAction, int)
    3425,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    3426,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    3427,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    3428,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    3429,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    3431,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    3435,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    3436,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    3438,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    3439,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    3441,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    3442,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    3444,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    3447,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    3449,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    3451,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    3453,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    3454,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    3458,  // QGlobalSpace::operator|(KShell::Option, KShell::Option)
    3460,  // QGlobalSpace::operator|(KLockFile::LockFlag, int)
    3465,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    3470,  // QGlobalSpace::operator|(QFile::Permission, int)
    3473,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    3474,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    3475,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    3476,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    3479,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    3481,  // QGlobalSpace::operator|(KShell::Option, int)
    3483,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    3485,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    3489,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    3491,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    3492,  // QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    3493,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    3495,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    3496,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    3498,  // QGlobalSpace::operator|(KAutostart::Condition, int)
    3499,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    3504,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    3506,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    3508,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    3510,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    3511,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    3512,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    3515,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    3523,  // QGlobalSpace::operator|(KJob::Capability, int)
    3524,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    3526,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    3527,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    3529,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    3530,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    3532,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    3536,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    3537,  // QGlobalSpace::operator|(Qt::WindowType, int)
    3541,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    3543,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    3545,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    3551,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    3553,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    3554,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    3555,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    3556,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    3558,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    3563,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    3564,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    3570,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    3571,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    3578,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    3581,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    3582,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    3584,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    3585,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    3588,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    3592,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    3593,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    3594,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    3599,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    3601,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    3602,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    3603,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    3604,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    3609,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    3610,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    3613,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    3620,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    3623,  // QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    3625,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    3626,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    3629,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    3632,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    3635,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    3639,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    3641,  // QGlobalSpace::operator|(Qt::WindowState, int)
    3651,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    3653,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    3655,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    3657,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    3658,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    3661,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    3663,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    3664,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    3672,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    3675,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    3682,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    3687,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    3688,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    3690,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    3692,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    3696,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    3704,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    3709,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    3711,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    3713,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    3714,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    3715,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    3722,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    3723,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    3724,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    3725,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    3731,  // QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    3734,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    3736,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    3737,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    3738,  // QGlobalSpace::operator|(Qt::Orientation, int)
    3744,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    3747,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    3750,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    3755,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    2631,  // KSocketFactory::connectToHost(const QUrl&, QObject*)
    2636,  // KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    0,
    3254,  // KWordMacroExpander::KWordMacroExpander(QChar)
    3258,  // KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    0,
    2082,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    2088,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    2092,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    2094,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    0,
    2081,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    2087,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    2091,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    2093,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    0,
    2084,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    2086,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    2090,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    2096,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    0,
    2083,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    2085,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    2089,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    2095,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    0,
    2097,  // KMacroExpanderBase::KMacroExpanderBase(QChar)
    2105,  // KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    0,
    147,  // KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    148,  // KAuth::ActionReply::ActionReply(int)
    0,
    933,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    934,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    0,
    926,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    927,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    0,
    603,  // KConfig::KConfig(KConfigPrivate&)
    607,  // KConfig::KConfig(const KComponentData&)
    0,
    606,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    610,  // KConfig::KConfig(const QString&, const QString&)
    0,
    576,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    578,  // KConfig::KConfig(const QString&, const QString&, const char*)
    0,
    599,  // KConfig::groupImpl(const QByteArray&)
    600,  // KConfig::groupImpl(const QByteArray&) const
    0,
    440,  // KCharMacroExpander::KCharMacroExpander(QChar)
    444,  // KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    0,
    1324,  // KDesktopFile::actionGroup(const QString&)
    1325,  // KDesktopFile::actionGroup(const QString&) const
    0,
    661,  // KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    662,  // KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    663,  // KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    664,  // KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    0,
    665,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    666,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    0,
    677,  // KConfigGroup::changeGroup(const QString&)
    678,  // KConfigGroup::changeGroup(const char*)
    0,
    675,  // KConfigGroup::config()
    676,  // KConfigGroup::config() const
    0,
    771,  // KConfigGroup::deleteEntry(const QString&)
    772,  // KConfigGroup::deleteEntry(const char*)
    0,
    724,  // KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    725,  // KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    684,  // KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    745,  // KConfigGroup::deleteGroup(const QString&)
    746,  // KConfigGroup::deleteGroup(const char*)
    0,
    686,  // KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    687,  // KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    737,  // KConfigGroup::groupImpl(const QByteArray&)
    738,  // KConfigGroup::groupImpl(const QByteArray&) const
    0,
    733,  // KConfigGroup::hasDefault(const QString&) const
    734,  // KConfigGroup::hasDefault(const char*) const
    0,
    726,  // KConfigGroup::hasKey(const QString&) const
    727,  // KConfigGroup::hasKey(const char*) const
    0,
    729,  // KConfigGroup::isEntryImmutable(const QString&) const
    730,  // KConfigGroup::isEntryImmutable(const char*) const
    0,
    747,  // KConfigGroup::readEntry(const QString&) const
    748,  // KConfigGroup::readEntry(const char*) const
    0,
    688,  // KConfigGroup::readEntry(const QString&, const QVariant&) const
    689,  // KConfigGroup::readEntry(const char*, const QVariant&) const
    0,
    690,  // KConfigGroup::readEntry(const QString&, const QString&) const
    691,  // KConfigGroup::readEntry(const char*, const QString&) const
    692,  // KConfigGroup::readEntry(const QString&, const char*) const
    693,  // KConfigGroup::readEntry(const char*, const char*) const
    0,
    694,  // KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    695,  // KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    696,  // KConfigGroup::readEntry(const QString&, const QStringList&) const
    697,  // KConfigGroup::readEntry(const char*, const QStringList&) const
    0,
    751,  // KConfigGroup::readEntryUntranslated(const QString&) const
    752,  // KConfigGroup::readEntryUntranslated(const char*) const
    0,
    704,  // KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    705,  // KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    0,
    700,  // KConfigGroup::readPathEntry(const QString&, const QString&) const
    701,  // KConfigGroup::readPathEntry(const char*, const QString&) const
    0,
    702,  // KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    703,  // KConfigGroup::readPathEntry(const char*, const QStringList&) const
    0,
    749,  // KConfigGroup::readXdgListEntry(const QString&) const
    750,  // KConfigGroup::readXdgListEntry(const char*) const
    0,
    698,  // KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    699,  // KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    0,
    731,  // KConfigGroup::revertToDefault(const QString&)
    732,  // KConfigGroup::revertToDefault(const char*)
    0,
    753,  // KConfigGroup::writeEntry(const QString&, const QVariant&)
    754,  // KConfigGroup::writeEntry(const char*, const QVariant&)
    757,  // KConfigGroup::writeEntry(const QString&, const QByteArray&)
    758,  // KConfigGroup::writeEntry(const char*, const QByteArray&)
    0,
    706,  // KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    707,  // KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    710,  // KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    711,  // KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    755,  // KConfigGroup::writeEntry(const QString&, const QString&)
    756,  // KConfigGroup::writeEntry(const char*, const QString&)
    759,  // KConfigGroup::writeEntry(const QString&, const char*)
    760,  // KConfigGroup::writeEntry(const char*, const char*)
    0,
    708,  // KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    709,  // KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    712,  // KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    713,  // KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    761,  // KConfigGroup::writeEntry(const QString&, const QStringList&)
    762,  // KConfigGroup::writeEntry(const char*, const QStringList&)
    763,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    764,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    0,
    714,  // KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    715,  // KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    716,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    717,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    767,  // KConfigGroup::writePathEntry(const QString&, const QString&)
    768,  // KConfigGroup::writePathEntry(const char*, const QString&)
    0,
    720,  // KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    721,  // KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    769,  // KConfigGroup::writePathEntry(const QString&, const QStringList&)
    770,  // KConfigGroup::writePathEntry(const char*, const QStringList&)
    0,
    722,  // KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    723,  // KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    765,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    766,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    0,
    718,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    719,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    1295,  // KDebug::hasNullOutputQtDebugMsg(int)
    1303,  // KDebug::hasNullOutputQtDebugMsg(bool)
    0,
    3240,  // KUserGroup::KUserGroup(const group*)
    3241,  // KUserGroup::KUserGroup(const KUserGroup&)
    0,
    3236,  // KUserGroup::KUserGroup(const QString&)
    3237,  // KUserGroup::KUserGroup(const char*)
    3238,  // KUserGroup::KUserGroup(KUser::UIDMode)
    0,
    1269,  // KDateTime::Spec::Spec(const KTimeZone&)
    1271,  // KDateTime::Spec::Spec(const KDateTime::Spec&)
    0,
    2306,  // KProcess::execute(int)
    2320,  // KProcess::execute(const QString&)
    0,
    533,  // KComponentData::KComponentData(const KComponentData&)
    548,  // KComponentData::KComponentData(const QByteArray&)
    550,  // KComponentData::KComponentData(const KAboutData&)
    551,  // KComponentData::KComponentData(const KAboutData*)
    0,
    538,  // KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    539,  // KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    0,
    288,  // KCalendarSystem::KCalendarSystem(const KLocale*)
    427,  // KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    0,
    283,  // KCalendarSystem::calendarLabel(const QString&)
    393,  // KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    0,
    389,  // KCalendarSystem::create(const QString&)
    391,  // KCalendarSystem::create(KLocale::CalendarSystem)
    0,
    277,  // KCalendarSystem::create(const QString&, const KLocale*)
    279,  // KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    0,
    390,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    392,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    0,
    278,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    280,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    0,
    365,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    420,  // KCalendarSystem::formatDate(const QDate&, const QString&) const
    422,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    0,
    366,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    421,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    423,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    0,
    367,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    368,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    0,
    369,  // KCalendarSystem::readDate(const QString&, bool*) const
    425,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    426,  // KCalendarSystem::readDate(const QString&, const QString&) const
    0,
    370,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    371,  // KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    0,
    334,  // KCalendarSystem::week(const QDate&, int*) const
    400,  // KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem) const
    0,
    2191,  // KPluginFactory::KPluginFactory(QObject*)
    2208,  // KPluginFactory::KPluginFactory(const KAboutData&)
    2209,  // KPluginFactory::KPluginFactory(const KAboutData*)
    2213,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    0,
    2189,  // KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    2190,  // KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    2195,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 149, 85},	// KAboutData::FullName
    {1, 278, 2},	// KAboutData::KAboutData#
    {1, 279, 59},	// KAboutData::KAboutData####
    {1, 280, 60},	// KAboutData::KAboutData#####
    {1, 281, 61},	// KAboutData::KAboutData#####$
    {1, 282, 62},	// KAboutData::KAboutData#####$#
    {1, 283, 63},	// KAboutData::KAboutData#####$##
    {1, 284, 64},	// KAboutData::KAboutData#####$###
    {1, 285, 1},	// KAboutData::KAboutData#####$####
    {1, 572, 79},	// KAboutData::License_Artistic
    {1, 573, 78},	// KAboutData::License_BSD
    {1, 574, 71},	// KAboutData::License_Custom
    {1, 575, 72},	// KAboutData::License_File
    {1, 576, 74},	// KAboutData::License_GPL
    {1, 577, 75},	// KAboutData::License_GPL_V2
    {1, 578, 82},	// KAboutData::License_GPL_V3
    {1, 579, 76},	// KAboutData::License_LGPL
    {1, 580, 77},	// KAboutData::License_LGPL_V2
    {1, 581, 83},	// KAboutData::License_LGPL_V3
    {1, 582, 80},	// KAboutData::License_QPL
    {1, 583, 81},	// KAboutData::License_QPL_V1_0
    {1, 584, 73},	// KAboutData::License_Unknown
    {1, 740, 84},	// KAboutData::ShortName
    {1, 858, 48},	// KAboutData::aboutTranslationTeam
    {1, 879, 65},	// KAboutData::addAuthor#
    {1, 880, 66},	// KAboutData::addAuthor##
    {1, 881, 67},	// KAboutData::addAuthor###
    {1, 882, 4},	// KAboutData::addAuthor####
    {1, 883, 5},	// KAboutData::addAuthor#####
    {1, 892, 68},	// KAboutData::addCredit#
    {1, 893, 69},	// KAboutData::addCredit##
    {1, 894, 70},	// KAboutData::addCredit###
    {1, 895, 6},	// KAboutData::addCredit####
    {1, 896, 7},	// KAboutData::addCredit#####
    {1, 984, 22},	// KAboutData::addLicense$
    {1, 986, 10},	// KAboutData::addLicenseText#
    {1, 988, 12},	// KAboutData::addLicenseTextFile$
    {1, 1059, 29},	// KAboutData::appName
    {1, 1080, 45},	// KAboutData::authors
    {1, 1112, 43},	// KAboutData::bugAddress
    {1, 1142, 41},	// KAboutData::catalogName
    {1, 1227, 53},	// KAboutData::copyrightStatement
    {1, 1249, 46},	// KAboutData::credits
    {1, 1270, 54},	// KAboutData::customAuthorPlainText
    {1, 1271, 55},	// KAboutData::customAuthorRichText
    {1, 1272, 56},	// KAboutData::customAuthorTextEnabled
    {1, 1738, 42},	// KAboutData::homepage
    {1, 1778, 44},	// KAboutData::internalBugAddress
    {1, 1779, 33},	// KAboutData::internalProgramName
    {1, 1780, 39},	// KAboutData::internalVersion
    {1, 2000, 50},	// KAboutData::license
    {1, 2002, 51},	// KAboutData::licenseName$
    {1, 2003, 52},	// KAboutData::licenses
    {1, 2162, 37},	// KAboutData::ocsProviderUrl
    {1, 2228, 3},	// KAboutData::operator=#
    {1, 2258, 32},	// KAboutData::organizationDomain
    {1, 2259, 49},	// KAboutData::otherText
    {1, 2322, 30},	// KAboutData::productName
    {1, 2324, 35},	// KAboutData::programIconName
    {1, 2325, 36},	// KAboutData::programLogo
    {1, 2326, 31},	// KAboutData::programName
    {1, 2562, 13},	// KAboutData::setAppName#
    {1, 2583, 26},	// KAboutData::setBugAddress#
    {1, 2591, 20},	// KAboutData::setCatalogName#
    {1, 2603, 23},	// KAboutData::setCopyrightStatement#
    {1, 2615, 57},	// KAboutData::setCustomAuthorText##
    {1, 2708, 25},	// KAboutData::setHomepage#
    {1, 2734, 21},	// KAboutData::setLicense$
    {1, 2736, 9},	// KAboutData::setLicenseText#
    {1, 2738, 11},	// KAboutData::setLicenseTextFile$
    {1, 2842, 17},	// KAboutData::setOcsProvider#
    {1, 2844, 27},	// KAboutData::setOrganizationDomain#
    {1, 2848, 24},	// KAboutData::setOtherText#
    {1, 2880, 28},	// KAboutData::setProductName#
    {1, 2886, 15},	// KAboutData::setProgramIconName$
    {1, 2888, 16},	// KAboutData::setProgramLogo#
    {1, 2890, 14},	// KAboutData::setProgramName#
    {1, 2912, 19},	// KAboutData::setShortDescription#
    {1, 2951, 8},	// KAboutData::setTranslator##
    {1, 2961, 18},	// KAboutData::setVersion#
    {1, 2982, 40},	// KAboutData::shortDescription
    {1, 3207, 34},	// KAboutData::translateInternalProgramName
    {1, 3220, 47},	// KAboutData::translators
    {1, 3235, 58},	// KAboutData::unsetCustomAuthorText
    {1, 3282, 38},	// KAboutData::version
    {1, 3402, 86},	// KAboutData::~KAboutData
    {2, 287, 87},	// KAboutLicense::KAboutLicense#
    {2, 1114, 92},	// KAboutLicense::byKeyword$
    {2, 1954, 91},	// KAboutLicense::key
    {2, 2132, 90},	// KAboutLicense::name$
    {2, 2228, 88},	// KAboutLicense::operator=#
    {2, 3139, 89},	// KAboutLicense::text
    {2, 3403, 93},	// KAboutLicense::~KAboutLicense
    {3, 289, -1},	// KAboutPerson::KAboutPerson#
    {3, 290, 104},	// KAboutPerson::KAboutPerson##
    {3, 291, 105},	// KAboutPerson::KAboutPerson###
    {3, 292, 94},	// KAboutPerson::KAboutPerson####
    {3, 293, 95},	// KAboutPerson::KAboutPerson#####
    {3, 1420, 100},	// KAboutPerson::emailAddress
    {3, 2131, 98},	// KAboutPerson::name
    {3, 2163, 102},	// KAboutPerson::ocsUsername
    {3, 2228, 97},	// KAboutPerson::operator=#
    {3, 3133, 99},	// KAboutPerson::task
    {3, 3301, 101},	// KAboutPerson::webAddress
    {3, 3404, 106},	// KAboutPerson::~KAboutPerson
    {4, 4, 107},	// KAuth::Action::Action
    {4, 5, 108},	// KAuth::Action::Action#
    {4, 6, 109},	// KAuth::Action::Action$
    {4, 7, 110},	// KAuth::Action::Action$$
    {4, 27, 143},	// KAuth::Action::AuthRequired
    {4, 30, 142},	// KAuth::Action::Authorized
    {4, 101, 139},	// KAuth::Action::Denied
    {4, 125, 140},	// KAuth::Action::Error
    {4, 177, 141},	// KAuth::Action::Invalid
    {4, 830, 144},	// KAuth::Action::UserCancelled
    {4, 877, 125},	// KAuth::Action::addArgument$#
    {4, 1067, 124},	// KAuth::Action::arguments
    {4, 1070, 126},	// KAuth::Action::authorize
    {4, 1387, 117},	// KAuth::Action::details
    {4, 1418, 127},	// KAuth::Action::earlyAuthorize
    {4, 1480, 129},	// KAuth::Action::execute
    {4, 1481, 130},	// KAuth::Action::execute$
    {4, 1487, 133},	// KAuth::Action::executeActions??$
    {4, 1488, 134},	// KAuth::Action::executeActions??$#
    {4, 1489, 132},	// KAuth::Action::executesAsync
    {4, 1705, 121},	// KAuth::Action::hasHelper
    {4, 1734, 119},	// KAuth::Action::helperID
    {4, 1901, 118},	// KAuth::Action::isValid
    {4, 2131, 114},	// KAuth::Action::name
    {4, 2188, 113},	// KAuth::Action::operator!=#
    {4, 2228, 111},	// KAuth::Action::operator=#
    {4, 2231, 112},	// KAuth::Action::operator==#
    {4, 2271, 138},	// KAuth::Action::parentWidget
    {4, 2564, 123},	// KAuth::Action::setArguments?
    {4, 2656, 116},	// KAuth::Action::setDetails$
    {4, 2685, 131},	// KAuth::Action::setExecutesAsync$
    {4, 2706, 120},	// KAuth::Action::setHelperID$
    {4, 2832, 115},	// KAuth::Action::setName$
    {4, 2856, 137},	// KAuth::Action::setParentWidget#
    {4, 3081, 128},	// KAuth::Action::status
    {4, 3084, 135},	// KAuth::Action::stop
    {4, 3085, 136},	// KAuth::Action::stop$
    {4, 3299, 122},	// KAuth::Action::watcher
    {4, 3375, 145},	// KAuth::Action::~Action
    {5, 8, 146},	// KAuth::ActionReply::ActionReply
    {5, 9, 149},	// KAuth::ActionReply::ActionReply#
    {5, 10, -613},	// KAuth::ActionReply::ActionReply$
    {5, 28, 181},	// KAuth::ActionReply::AuthorizationDenied
    {5, 29, 170},	// KAuth::ActionReply::AuthorizationDeniedReply
    {5, 76, 184},	// KAuth::ActionReply::DBusError
    {5, 77, 173},	// KAuth::ActionReply::DBusErrorReply
    {5, 158, 183},	// KAuth::ActionReply::HelperBusy
    {5, 159, 172},	// KAuth::ActionReply::HelperBusyReply
    {5, 160, 175},	// KAuth::ActionReply::HelperError
    {5, 161, 166},	// KAuth::ActionReply::HelperErrorReply
    {5, 178, 180},	// KAuth::ActionReply::InvalidAction
    {5, 179, 169},	// KAuth::ActionReply::InvalidActionReply
    {5, 294, 174},	// KAuth::ActionReply::KAuthError
    {5, 642, 177},	// KAuth::ActionReply::NoError
    {5, 646, 178},	// KAuth::ActionReply::NoResponder
    {5, 647, 167},	// KAuth::ActionReply::NoResponderReply
    {5, 649, 179},	// KAuth::ActionReply::NoSuchAction
    {5, 650, 168},	// KAuth::ActionReply::NoSuchActionReply
    {5, 769, 176},	// KAuth::ActionReply::Success
    {5, 770, 165},	// KAuth::ActionReply::SuccessReply
    {5, 830, 182},	// KAuth::ActionReply::UserCancelled
    {5, 831, 171},	// KAuth::ActionReply::UserCancelledReply
    {5, 900, 152},	// KAuth::ActionReply::addData$#
    {5, 1275, 151},	// KAuth::ActionReply::data
    {5, 1382, 161},	// KAuth::ActionReply::deserialize#
    {5, 1464, 156},	// KAuth::ActionReply::errorCode
    {5, 1465, 158},	// KAuth::ActionReply::errorDescription
    {5, 1519, 155},	// KAuth::ActionReply::failed
    {5, 2188, 164},	// KAuth::ActionReply::operator!=#
    {5, 2228, 162},	// KAuth::ActionReply::operator=#
    {5, 2231, 163},	// KAuth::ActionReply::operator==#
    {5, 2530, 160},	// KAuth::ActionReply::serialized
    {5, 2621, 150},	// KAuth::ActionReply::setData?
    {5, 2675, 157},	// KAuth::ActionReply::setErrorCode$
    {5, 2677, 159},	// KAuth::ActionReply::setErrorDescription$
    {5, 3107, 154},	// KAuth::ActionReply::succeeded
    {5, 3222, 153},	// KAuth::ActionReply::type
    {5, 3376, 185},	// KAuth::ActionReply::~ActionReply
    {6, 864, 194},	// KAuth::ActionWatcher::action
    {6, 868, 196},	// KAuth::ActionWatcher::actionPerformed#
    {6, 869, 195},	// KAuth::ActionWatcher::actionStarted
    {6, 2090, 186},	// KAuth::ActionWatcher::metaObject
    {6, 2328, 197},	// KAuth::ActionWatcher::progressStep$
    {6, 2329, 198},	// KAuth::ActionWatcher::progressStep?
    {6, 2353, 192},	// KAuth::ActionWatcher::qt_metacall$$?
    {6, 2355, 187},	// KAuth::ActionWatcher::qt_metacast$
    {6, 3078, 202},	// KAuth::ActionWatcher::staticMetaObject
    {6, 3083, 199},	// KAuth::ActionWatcher::statusChanged$
    {6, 3180, 200},	// KAuth::ActionWatcher::tr$
    {6, 3181, 188},	// KAuth::ActionWatcher::tr$$
    {6, 3182, 190},	// KAuth::ActionWatcher::tr$$$
    {6, 3187, 201},	// KAuth::ActionWatcher::trUtf8$
    {6, 3188, 189},	// KAuth::ActionWatcher::trUtf8$$
    {6, 3189, 191},	// KAuth::ActionWatcher::trUtf8$$$
    {6, 3300, 193},	// KAuth::ActionWatcher::watcher$
    {6, 3377, 203},	// KAuth::ActionWatcher::~ActionWatcher
    {7, 1055, 204},	// KAuthorized::allowUrlAction$##
    {7, 1071, 207},	// KAuthorized::authorize$
    {7, 1073, 205},	// KAuthorized::authorizeControlModule$
    {7, 1075, 206},	// KAuthorized::authorizeControlModules?
    {7, 1077, 208},	// KAuthorized::authorizeKAction$
    {7, 1079, 209},	// KAuthorized::authorizeUrlAction$##
    {8, 295, 228},	// KAutoSaveFile::KAutoSaveFile
    {8, 296, -118},	// KAutoSaveFile::KAutoSaveFile#
    {8, 297, 217},	// KAutoSaveFile::KAutoSaveFile##
    {8, 1046, 230},	// KAutoSaveFile::allStaleFiles
    {8, 1047, 224},	// KAutoSaveFile::allStaleFiles$
    {8, 2075, 219},	// KAutoSaveFile::managedFile
    {8, 2090, 210},	// KAutoSaveFile::metaObject
    {8, 2175, 222},	// KAutoSaveFile::open$
    {8, 2353, 216},	// KAutoSaveFile::qt_metacall$$?
    {8, 2355, 211},	// KAutoSaveFile::qt_metacast$
    {8, 2463, 221},	// KAutoSaveFile::releaseLock
    {8, 2804, 220},	// KAutoSaveFile::setManagedFile#
    {8, 3017, 229},	// KAutoSaveFile::staleFiles#
    {8, 3018, 223},	// KAutoSaveFile::staleFiles#$
    {8, 3078, 231},	// KAutoSaveFile::staticMetaObject
    {8, 3180, 225},	// KAutoSaveFile::tr$
    {8, 3181, 212},	// KAutoSaveFile::tr$$
    {8, 3182, 214},	// KAutoSaveFile::tr$$$
    {8, 3187, 226},	// KAutoSaveFile::trUtf8$
    {8, 3188, 213},	// KAutoSaveFile::trUtf8$$
    {8, 3189, 215},	// KAutoSaveFile::trUtf8$$$
    {8, 3405, 232},	// KAutoSaveFile::~KAutoSaveFile
    {9, 21, 275},	// KAutostart::Applications
    {9, 40, 273},	// KAutostart::BaseDesktop
    {9, 50, 272},	// KAutostart::CheckAll
    {9, 51, 270},	// KAutostart::CheckCommand
    {9, 52, 271},	// KAutostart::CheckCondition
    {9, 102, 274},	// KAutostart::DesktopServices
    {9, 298, 264},	// KAutostart::KAutostart
    {9, 299, 265},	// KAutostart::KAutostart$
    {9, 300, 240},	// KAutostart::KAutostart$#
    {9, 640, 269},	// KAutostart::NoConditions
    {9, 1015, 254},	// KAutostart::addToAllowedEnvironments$
    {9, 1017, 258},	// KAutostart::addToExcludedEnvironments$
    {9, 1056, 252},	// KAutostart::allowedEnvironments
    {9, 1088, 266},	// KAutostart::autostarts
    {9, 1089, 267},	// KAutostart::autostarts$
    {9, 1090, 242},	// KAutostart::autostarts$$
    {9, 1155, 261},	// KAutostart::checkAllowedEnvironment$
    {9, 1187, 243},	// KAutostart::command
    {9, 1188, 248},	// KAutostart::commandToCheck
    {9, 1474, 256},	// KAutostart::excludedEnvironments
    {9, 1887, 247},	// KAutostart::isServiceRegistered$
    {9, 2090, 233},	// KAutostart::metaObject
    {9, 2353, 239},	// KAutostart::qt_metacall$$?
    {9, 2355, 234},	// KAutostart::qt_metacast$
    {9, 2474, 255},	// KAutostart::removeFromAllowedEnvironments$
    {9, 2476, 259},	// KAutostart::removeFromExcludedEnvironments$
    {9, 2560, 253},	// KAutostart::setAllowedEnvironments?
    {9, 2579, 241},	// KAutostart::setAutostarts$
    {9, 2593, 244},	// KAutostart::setCommand$
    {9, 2595, 249},	// KAutostart::setCommandToCheck$
    {9, 2683, 257},	// KAutostart::setExcludedEnvironments?
    {9, 2925, 251},	// KAutostart::setStartPhase$
    {9, 2963, 246},	// KAutostart::setVisibleName$
    {9, 3021, 260},	// KAutostart::startAfter
    {9, 3027, 250},	// KAutostart::startPhase
    {9, 3078, 268},	// KAutostart::staticMetaObject
    {9, 3180, 262},	// KAutostart::tr$
    {9, 3181, 235},	// KAutostart::tr$$
    {9, 3182, 237},	// KAutostart::tr$$$
    {9, 3187, 263},	// KAutostart::trUtf8$
    {9, 3188, 236},	// KAutostart::trUtf8$$
    {9, 3189, 238},	// KAutostart::trUtf8$$$
    {9, 3287, 245},	// KAutostart::visibleName
    {9, 3406, 276},	// KAutostart::~KAutostart
    {10, 301, 394},	// KCalendarSystem::KCalendarSystem
    {10, 302, -788},	// KCalendarSystem::KCalendarSystem#
    {10, 303, 428},	// KCalendarSystem::KCalendarSystem#?
    {10, 304, 387},	// KCalendarSystem::KCalendarSystem#?#
    {10, 305, 395},	// KCalendarSystem::KCalendarSystem?
    {10, 306, 289},	// KCalendarSystem::KCalendarSystem?#
    {10, 614, 437},	// KCalendarSystem::LongDayName
    {10, 615, 430},	// KCalendarSystem::LongFormat
    {10, 616, 432},	// KCalendarSystem::LongName
    {10, 617, 434},	// KCalendarSystem::LongNamePossessive
    {10, 633, 438},	// KCalendarSystem::NarrowDayName
    {10, 634, 435},	// KCalendarSystem::NarrowName
    {10, 738, 436},	// KCalendarSystem::ShortDayName
    {10, 739, 429},	// KCalendarSystem::ShortFormat
    {10, 740, 431},	// KCalendarSystem::ShortName
    {10, 741, 433},	// KCalendarSystem::ShortNamePossessive
    {10, 902, 315},	// KCalendarSystem::addDays#$
    {10, 992, 314},	// KCalendarSystem::addMonths#$
    {10, 1029, 313},	// KCalendarSystem::addYears#$
    {10, 1063, 374},	// KCalendarSystem::applyShortYearWindow$
    {10, 1121, 292},	// KCalendarSystem::calendarLabel
    {10, 1122, -791},	// KCalendarSystem::calendarLabel$
    {10, 1123, 284},	// KCalendarSystem::calendarLabel$#
    {10, 1124, 291},	// KCalendarSystem::calendarSystem
    {10, 1125, 286},	// KCalendarSystem::calendarSystem$
    {10, 1127, 285},	// KCalendarSystem::calendarSystemForCalendarType$
    {10, 1128, 281},	// KCalendarSystem::calendarSystems
    {10, 1129, 282},	// KCalendarSystem::calendarSystemsList
    {10, 1130, 290},	// KCalendarSystem::calendarType
    {10, 1131, 287},	// KCalendarSystem::calendarType$
    {10, 1235, 388},	// KCalendarSystem::create
    {10, 1239, -794},	// KCalendarSystem::create$
    {10, 1240, -797},	// KCalendarSystem::create$#
    {10, 1243, -800},	// KCalendarSystem::create$?
    {10, 1244, -803},	// KCalendarSystem::create$?#
    {10, 1285, 316},	// KCalendarSystem::dateDifference##$$$$
    {10, 1294, 382},	// KCalendarSystem::dateToJulianDay$$$$
    {10, 1297, 309},	// KCalendarSystem::day#
    {10, 1299, 332},	// KCalendarSystem::dayOfWeek#
    {10, 1301, 355},	// KCalendarSystem::dayOfWeekString#
    {10, 1303, 331},	// KCalendarSystem::dayOfYear#
    {10, 1305, 413},	// KCalendarSystem::dayOfYearString#
    {10, 1306, 354},	// KCalendarSystem::dayOfYearString#$
    {10, 1311, 411},	// KCalendarSystem::dayString#
    {10, 1312, 352},	// KCalendarSystem::dayString#$
    {10, 1314, 364},	// KCalendarSystem::dayStringToInteger$$
    {10, 1316, 319},	// KCalendarSystem::daysDifference##
    {10, 1318, 328},	// KCalendarSystem::daysInMonth#
    {10, 1319, 329},	// KCalendarSystem::daysInMonth$$
    {10, 1321, 418},	// KCalendarSystem::daysInMonthString#
    {10, 1322, 360},	// KCalendarSystem::daysInMonthString#$
    {10, 1324, 330},	// KCalendarSystem::daysInWeek#
    {10, 1326, 361},	// KCalendarSystem::daysInWeekString#
    {10, 1328, 326},	// KCalendarSystem::daysInYear#
    {10, 1329, 327},	// KCalendarSystem::daysInYear$
    {10, 1331, 417},	// KCalendarSystem::daysInYearString#
    {10, 1332, 359},	// KCalendarSystem::daysInYearString#$
    {10, 1417, 294},	// KCalendarSystem::earliestValidDate
    {10, 1451, 293},	// KCalendarSystem::epoch
    {10, 1458, 396},	// KCalendarSystem::eraName#
    {10, 1459, 310},	// KCalendarSystem::eraName#$
    {10, 1461, 397},	// KCalendarSystem::eraYear#
    {10, 1462, 311},	// KCalendarSystem::eraYear#$
    {10, 1592, 403},	// KCalendarSystem::firstDayOfMonth
    {10, 1593, 344},	// KCalendarSystem::firstDayOfMonth#
    {10, 1594, 342},	// KCalendarSystem::firstDayOfMonth$$
    {10, 1595, 401},	// KCalendarSystem::firstDayOfYear
    {10, 1596, 340},	// KCalendarSystem::firstDayOfYear#
    {10, 1597, 338},	// KCalendarSystem::firstDayOfYear$
    {10, 1609, 419},	// KCalendarSystem::formatDate#
    {10, 1610, -806},	// KCalendarSystem::formatDate#$
    {10, 1611, -810},	// KCalendarSystem::formatDate#$$
    {10, 1612, -814},	// KCalendarSystem::formatDate#$$$
    {10, 1670, 306},	// KCalendarSystem::getDate#$$$
    {10, 1860, 337},	// KCalendarSystem::isLeapYear#
    {10, 1861, 336},	// KCalendarSystem::isLeapYear$
    {10, 1867, 377},	// KCalendarSystem::isLunar
    {10, 1868, 378},	// KCalendarSystem::isLunisolar
    {10, 1877, 380},	// KCalendarSystem::isProleptic
    {10, 1891, 379},	// KCalendarSystem::isSolar
    {10, 1902, 300},	// KCalendarSystem::isValid#
    {10, 1904, 297},	// KCalendarSystem::isValid$$
    {10, 1905, 296},	// KCalendarSystem::isValid$$$
    {10, 1906, 298},	// KCalendarSystem::isValid$$$$
    {10, 1908, 299},	// KCalendarSystem::isValidIsoWeekDate$$$
    {10, 1919, 381},	// KCalendarSystem::julianDayToDate$$$$
    {10, 1983, 404},	// KCalendarSystem::lastDayOfMonth
    {10, 1984, 345},	// KCalendarSystem::lastDayOfMonth#
    {10, 1985, 343},	// KCalendarSystem::lastDayOfMonth$$
    {10, 1986, 402},	// KCalendarSystem::lastDayOfYear
    {10, 1987, 341},	// KCalendarSystem::lastDayOfYear#
    {10, 1988, 339},	// KCalendarSystem::lastDayOfYear$
    {10, 1990, 295},	// KCalendarSystem::latestValidDate
    {10, 2017, 383},	// KCalendarSystem::locale
    {10, 2112, 308},	// KCalendarSystem::month#
    {10, 2114, 406},	// KCalendarSystem::monthName#
    {10, 2115, 347},	// KCalendarSystem::monthName#$
    {10, 2116, 405},	// KCalendarSystem::monthName$$
    {10, 2117, 346},	// KCalendarSystem::monthName$$$
    {10, 2119, 410},	// KCalendarSystem::monthString#
    {10, 2120, 351},	// KCalendarSystem::monthString#$
    {10, 2122, 363},	// KCalendarSystem::monthStringToInteger$$
    {10, 2124, 318},	// KCalendarSystem::monthsDifference##
    {10, 2126, 320},	// KCalendarSystem::monthsInYear#
    {10, 2127, 321},	// KCalendarSystem::monthsInYear$
    {10, 2129, 415},	// KCalendarSystem::monthsInYearString#
    {10, 2130, 357},	// KCalendarSystem::monthsInYearString#$
    {10, 2392, 424},	// KCalendarSystem::readDate$
    {10, 2393, -817},	// KCalendarSystem::readDate$$
    {10, 2394, -821},	// KCalendarSystem::readDate$$$
    {10, 2395, 372},	// KCalendarSystem::readDate$$$$
    {10, 2626, 302},	// KCalendarSystem::setDate#$$
    {10, 2627, 301},	// KCalendarSystem::setDate#$$$
    {10, 2628, 303},	// KCalendarSystem::setDate#$$$$
    {10, 2634, 304},	// KCalendarSystem::setDateIsoWeek#$$$
    {10, 2704, 386},	// KCalendarSystem::setHasYear0$
    {10, 2806, 385},	// KCalendarSystem::setMaxDaysInWeek$
    {10, 2808, 384},	// KCalendarSystem::setMaxMonthsInYear$
    {10, 2977, 305},	// KCalendarSystem::setYMD#$$$
    {10, 2983, 373},	// KCalendarSystem::shortYearWindowStartYear
    {10, 3304, 399},	// KCalendarSystem::week#
    {10, 3305, -824},	// KCalendarSystem::week#$
    {10, 3306, 335},	// KCalendarSystem::week#$$
    {10, 3308, 408},	// KCalendarSystem::weekDayName#
    {10, 3309, 349},	// KCalendarSystem::weekDayName#$
    {10, 3310, 407},	// KCalendarSystem::weekDayName$
    {10, 3311, 348},	// KCalendarSystem::weekDayName$$
    {10, 3312, 376},	// KCalendarSystem::weekDayOfPray
    {10, 3314, 398},	// KCalendarSystem::weekNumber#
    {10, 3315, 333},	// KCalendarSystem::weekNumber#$
    {10, 3317, 414},	// KCalendarSystem::weekNumberString#
    {10, 3318, 356},	// KCalendarSystem::weekNumberString#$
    {10, 3320, 375},	// KCalendarSystem::weekStartDay
    {10, 3322, 322},	// KCalendarSystem::weeksInYear#
    {10, 3323, 323},	// KCalendarSystem::weeksInYear#$
    {10, 3324, 324},	// KCalendarSystem::weeksInYear$
    {10, 3325, 325},	// KCalendarSystem::weeksInYear$$
    {10, 3327, 416},	// KCalendarSystem::weeksInYearString#
    {10, 3328, 358},	// KCalendarSystem::weeksInYearString#$
    {10, 3358, 307},	// KCalendarSystem::year#
    {10, 3360, 312},	// KCalendarSystem::yearInEra#
    {10, 3362, 412},	// KCalendarSystem::yearInEraString#
    {10, 3363, 353},	// KCalendarSystem::yearInEraString#$
    {10, 3365, 409},	// KCalendarSystem::yearString#
    {10, 3366, 350},	// KCalendarSystem::yearString#$
    {10, 3368, 362},	// KCalendarSystem::yearStringToInteger$$
    {10, 3370, 317},	// KCalendarSystem::yearsDifference##
    {10, 3407, 439},	// KCalendarSystem::~KCalendarSystem
    {12, 307, 445},	// KCharMacroExpander::KCharMacroExpander
    {12, 308, -634},	// KCharMacroExpander::KCharMacroExpander#
    {12, 1495, 442},	// KCharMacroExpander::expandEscapedMacro$$?
    {12, 1497, 443},	// KCharMacroExpander::expandMacro#?
    {12, 1509, 441},	// KCharMacroExpander::expandPlainMacro$$?
    {12, 3408, 446},	// KCharMacroExpander::~KCharMacroExpander
    {13, 309, 447},	// KCharsets::KCharsets
    {13, 310, 460},	// KCharsets::KCharsets#
    {13, 1093, 454},	// KCharsets::availableEncodingNames
    {13, 1185, 448},	// KCharsets::codecForName$
    {13, 1186, 449},	// KCharsets::codecForName$$
    {13, 1379, 458},	// KCharsets::descriptionForEncoding$
    {13, 1380, 455},	// KCharsets::descriptiveEncodingNames
    {13, 1438, 459},	// KCharsets::encodingForName$
    {13, 1441, 456},	// KCharsets::encodingsByScript
    {13, 1640, 450},	// KCharsets::fromEntity$
    {13, 1641, 451},	// KCharsets::fromEntity$$
    {13, 1981, 457},	// KCharsets::languageForEncoding$
    {13, 2494, 453},	// KCharsets::resolveEntities$
    {13, 3153, 452},	// KCharsets::toEntity#
    {13, 3409, 461},	// KCharsets::~KCharsets
    {14, 62, 503},	// KCmdLineArgs::CmdLineArgKDE
    {14, 63, 505},	// KCmdLineArgs::CmdLineArgNone
    {14, 64, 502},	// KCmdLineArgs::CmdLineArgQt
    {14, 65, 504},	// KCmdLineArgs::CmdLineArgsMask
    {14, 312, 492},	// KCmdLineArgs::KCmdLineArgs#
    {14, 313, 491},	// KCmdLineArgs::KCmdLineArgs###
    {14, 727, 506},	// KCmdLineArgs::Reserved
    {14, 857, 490},	// KCmdLineArgs::aboutData
    {14, 885, 497},	// KCmdLineArgs::addCmdLineOptions#
    {14, 886, 498},	// KCmdLineArgs::addCmdLineOptions##
    {14, 887, 499},	// KCmdLineArgs::addCmdLineOptions###
    {14, 888, 466},	// KCmdLineArgs::addCmdLineOptions####
    {14, 1009, 496},	// KCmdLineArgs::addStdCmdLineOptions
    {14, 1010, 465},	// KCmdLineArgs::addStdCmdLineOptions$
    {14, 1013, 485},	// KCmdLineArgs::addTempFileOption
    {14, 1033, 489},	// KCmdLineArgs::allArguments
    {14, 1059, 469},	// KCmdLineArgs::appName
    {14, 1066, 477},	// KCmdLineArgs::arg$
    {14, 1174, 481},	// KCmdLineArgs::clear
    {14, 1228, 476},	// KCmdLineArgs::count
    {14, 1274, 468},	// KCmdLineArgs::cwd
    {14, 1426, 472},	// KCmdLineArgs::enable_i18n
    {14, 1677, 473},	// KCmdLineArgs::getOption#
    {14, 1679, 474},	// KCmdLineArgs::getOptionList#
    {14, 1763, 464},	// KCmdLineArgs::init#
    {14, 1765, 495},	// KCmdLineArgs::init$?#
    {14, 1766, 493},	// KCmdLineArgs::init$?####
    {14, 1767, 494},	// KCmdLineArgs::init$?#####
    {14, 1768, 462},	// KCmdLineArgs::init$?#####$
    {14, 1769, 463},	// KCmdLineArgs::init$?#$
    {14, 1889, 475},	// KCmdLineArgs::isSet#
    {14, 1894, 486},	// KCmdLineArgs::isTempFileSet
    {14, 2013, 483},	// KCmdLineArgs::loadAppArgs#
    {14, 2074, 479},	// KCmdLineArgs::makeURL#
    {14, 2274, 500},	// KCmdLineArgs::parsedArgs
    {14, 2275, 467},	// KCmdLineArgs::parsedArgs#
    {14, 2350, 487},	// KCmdLineArgs::qtArgc
    {14, 2351, 488},	// KCmdLineArgs::qtArgv
    {14, 2491, 482},	// KCmdLineArgs::reset
    {14, 2516, 484},	// KCmdLineArgs::saveAppArgs#
    {14, 2617, 480},	// KCmdLineArgs::setCwd#
    {14, 3248, 478},	// KCmdLineArgs::url$
    {14, 3249, 501},	// KCmdLineArgs::usage
    {14, 3250, 470},	// KCmdLineArgs::usage#
    {14, 3252, 471},	// KCmdLineArgs::usageError$
    {14, 3410, 507},	// KCmdLineArgs::~KCmdLineArgs
    {15, 314, 508},	// KCmdLineOptions::KCmdLineOptions
    {15, 315, 509},	// KCmdLineOptions::KCmdLineOptions#
    {15, 873, -29},	// KCmdLineOptions::add#
    {15, 874, 514},	// KCmdLineOptions::add##
    {15, 875, 511},	// KCmdLineOptions::add###
    {15, 2228, 510},	// KCmdLineOptions::operator=#
    {15, 3411, 515},	// KCmdLineOptions::~KCmdLineOptions
    {16, 1100, 526},	// KCodecs::base64Decode#
    {16, 1101, 517},	// KCodecs::base64Decode##
    {16, 1104, 529},	// KCodecs::base64Encode#
    {16, 1105, 525},	// KCodecs::base64Encode##
    {16, 1106, 524},	// KCodecs::base64Encode##$
    {16, 1107, 528},	// KCodecs::base64Encode#$
    {16, 1342, 531},	// KCodecs::decodeRFC2047String$
    {16, 2367, 519},	// KCodecs::quotedPrintableDecode#
    {16, 2368, 518},	// KCodecs::quotedPrintableDecode##
    {16, 2370, 521},	// KCodecs::quotedPrintableEncode#
    {16, 2371, 523},	// KCodecs::quotedPrintableEncode##$
    {16, 2372, 520},	// KCodecs::quotedPrintableEncode#$
    {16, 3272, 530},	// KCodecs::uudecode#
    {16, 3273, 522},	// KCodecs::uudecode##
    {16, 3275, 527},	// KCodecs::uuencode#
    {16, 3276, 516},	// KCodecs::uuencode##
    {17, 316, 532},	// KComponentData::KComponentData
    {17, 317, -780},	// KComponentData::KComponentData#
    {17, 318, 549},	// KComponentData::KComponentData##
    {17, 319, 537},	// KComponentData::KComponentData##$
    {17, 320, -785},	// KComponentData::KComponentData#$
    {17, 722, 552},	// KComponentData::RegisterAsMainComponent
    {17, 746, 553},	// KComponentData::SkipMainComponentRegistration
    {17, 857, 543},	// KComponentData::aboutData
    {17, 1142, 546},	// KComponentData::catalogName
    {17, 1194, 545},	// KComponentData::componentName
    {17, 1198, 542},	// KComponentData::config
    {17, 1406, 541},	// KComponentData::dirs
    {17, 1901, 540},	// KComponentData::isValid
    {17, 2188, 536},	// KComponentData::operator!=#
    {17, 2228, 534},	// KComponentData::operator=#
    {17, 2231, 535},	// KComponentData::operator==#
    {17, 2550, 544},	// KComponentData::setAboutData#
    {17, 2601, 547},	// KComponentData::setConfigName$
    {17, 3412, 554},	// KComponentData::~KComponentData
    {18, 321, 573},	// KCompositeJob::KCompositeJob
    {18, 322, 562},	// KCompositeJob::KCompositeJob#
    {18, 323, 570},	// KCompositeJob::KCompositeJob##
    {18, 1012, 563},	// KCompositeJob::addSubjob#
    {18, 1177, 567},	// KCompositeJob::clearSubjobs
    {18, 1728, 565},	// KCompositeJob::hasSubjobs
    {18, 2090, 555},	// KCompositeJob::metaObject
    {18, 2353, 561},	// KCompositeJob::qt_metacall$$?
    {18, 2355, 556},	// KCompositeJob::qt_metacast$
    {18, 2478, 564},	// KCompositeJob::removeSubjob#
    {18, 2997, 569},	// KCompositeJob::slotInfoMessage#$$
    {18, 2999, 568},	// KCompositeJob::slotResult#
    {18, 3078, 574},	// KCompositeJob::staticMetaObject
    {18, 3092, 566},	// KCompositeJob::subjobs
    {18, 3180, 571},	// KCompositeJob::tr$
    {18, 3181, 557},	// KCompositeJob::tr$$
    {18, 3182, 559},	// KCompositeJob::tr$$$
    {18, 3187, 572},	// KCompositeJob::trUtf8$
    {18, 3188, 558},	// KCompositeJob::trUtf8$$
    {18, 3189, 560},	// KCompositeJob::trUtf8$$$
    {18, 3413, 575},	// KCompositeJob::~KCompositeJob
    {20, 47, 615},	// KConfig::CascadeConfig
    {20, 148, 619},	// KConfig::FullConfig
    {20, 173, 614},	// KConfig::IncludeGlobals
    {20, 324, 604},	// KConfig::KConfig
    {20, 325, -622},	// KConfig::KConfig#
    {20, 326, 608},	// KConfig::KConfig#$
    {20, 327, 609},	// KConfig::KConfig#$$
    {20, 328, 577},	// KConfig::KConfig#$$$
    {20, 329, 605},	// KConfig::KConfig$
    {20, 330, -625},	// KConfig::KConfig$$
    {20, 331, -628},	// KConfig::KConfig$$$
    {20, 639, 617},	// KConfig::NoCascade
    {20, 643, 618},	// KConfig::NoGlobals
    {20, 743, 616},	// KConfig::SimpleConfig
    {20, 863, 583},	// KConfig::accessMode
    {20, 890, 588},	// KConfig::addConfigSources?
    {20, 1161, 586},	// KConfig::checkUpdate$$
    {20, 1193, 579},	// KConfig::componentData
    {20, 1225, 611},	// KConfig::copyTo$
    {20, 1226, 585},	// KConfig::copyTo$#
    {20, 1370, 613},	// KConfig::deleteGroupImpl#
    {20, 1371, 601},	// KConfig::deleteGroupImpl#$
    {20, 1448, 612},	// KConfig::entryMap
    {20, 1449, 597},	// KConfig::entryMap$
    {20, 1602, 595},	// KConfig::forceGlobal
    {20, 1687, -631},	// KConfig::groupImpl#
    {20, 1688, 596},	// KConfig::groupList
    {20, 1703, 598},	// KConfig::hasGroupImpl#
    {20, 1822, 584},	// KConfig::isConfigWritable$
    {20, 1849, 602},	// KConfig::isGroupImmutableImpl#
    {20, 1854, 593},	// KConfig::isImmutable
    {20, 2017, 589},	// KConfig::locale
    {20, 2076, 582},	// KConfig::markAsClean
    {20, 2131, 580},	// KConfig::name
    {20, 2398, 592},	// KConfig::readDefaults
    {20, 2484, 587},	// KConfig::reparseConfiguration
    {20, 2694, 594},	// KConfig::setForceGlobal$
    {20, 2744, 590},	// KConfig::setLocale$
    {20, 2898, 591},	// KConfig::setReadDefaults$
    {20, 3117, 581},	// KConfig::sync
    {20, 3414, 620},	// KConfig::~KConfig
    {21, 150, 653},	// KConfigBase::Global
    {21, 332, 641},	// KConfigBase::KConfigBase
    {21, 333, 647},	// KConfigBase::KConfigBase#
    {21, 608, 654},	// KConfigBase::Localized
    {21, 636, 656},	// KConfigBase::NoAccess
    {21, 653, 655},	// KConfigBase::Normal
    {21, 679, 652},	// KConfigBase::Persistent
    {21, 716, 657},	// KConfigBase::ReadOnly
    {21, 720, 658},	// KConfigBase::ReadWrite
    {21, 863, 636},	// KConfigBase::accessMode
    {21, 1365, 648},	// KConfigBase::deleteGroup#
    {21, 1366, 631},	// KConfigBase::deleteGroup#$
    {21, 1367, -163},	// KConfigBase::deleteGroup$
    {21, 1368, -166},	// KConfigBase::deleteGroup$$
    {21, 1370, 651},	// KConfigBase::deleteGroupImpl#
    {21, 1371, 645},	// KConfigBase::deleteGroupImpl#$
    {21, 1682, -169},	// KConfigBase::group#
    {21, 1683, -172},	// KConfigBase::group$
    {21, 1687, -177},	// KConfigBase::groupImpl#
    {21, 1688, 621},	// KConfigBase::groupList
    {21, 1700, 624},	// KConfigBase::hasGroup#
    {21, 1701, -180},	// KConfigBase::hasGroup$
    {21, 1703, 642},	// KConfigBase::hasGroupImpl#
    {21, 1846, 638},	// KConfigBase::isGroupImmutable#
    {21, 1847, -183},	// KConfigBase::isGroupImmutable$
    {21, 1849, 646},	// KConfigBase::isGroupImmutableImpl#
    {21, 1854, 637},	// KConfigBase::isImmutable
    {21, 2076, 635},	// KConfigBase::markAsClean
    {21, 3117, 634},	// KConfigBase::sync
    {21, 3415, 659},	// KConfigBase::~KConfigBase
    {22, 334, 660},	// KConfigGroup::KConfigGroup
    {22, 335, 667},	// KConfigGroup::KConfigGroup#
    {22, 336, -640},	// KConfigGroup::KConfigGroup#$
    {22, 337, -645},	// KConfigGroup::KConfigGroup?$
    {22, 863, 674},	// KConfigGroup::accessMode
    {22, 1148, -648},	// KConfigGroup::changeGroup$
    {22, 1198, -651},	// KConfigGroup::config
    {22, 1223, 741},	// KConfigGroup::copyTo#
    {22, 1224, 679},	// KConfigGroup::copyTo#$
    {22, 1362, -654},	// KConfigGroup::deleteEntry$
    {22, 1363, -657},	// KConfigGroup::deleteEntry$$
    {22, 1364, 743},	// KConfigGroup::deleteGroup
    {22, 1365, 744},	// KConfigGroup::deleteGroup#
    {22, 1366, 685},	// KConfigGroup::deleteGroup#$
    {22, 1367, -660},	// KConfigGroup::deleteGroup$
    {22, 1368, -664},	// KConfigGroup::deleteGroup$$
    {22, 1371, 739},	// KConfigGroup::deleteGroupImpl#$
    {22, 1448, 735},	// KConfigGroup::entryMap
    {22, 1490, 671},	// KConfigGroup::exists
    {22, 1687, -667},	// KConfigGroup::groupImpl#
    {22, 1688, 682},	// KConfigGroup::groupList
    {22, 1697, -670},	// KConfigGroup::hasDefault$
    {22, 1703, 736},	// KConfigGroup::hasGroupImpl#
    {22, 1708, -673},	// KConfigGroup::hasKey$
    {22, 1839, -676},	// KConfigGroup::isEntryImmutable$
    {22, 1849, 740},	// KConfigGroup::isGroupImmutableImpl#
    {22, 1854, 728},	// KConfigGroup::isImmutable
    {22, 1901, 669},	// KConfigGroup::isValid
    {22, 1955, 683},	// KConfigGroup::keyList
    {22, 2076, 673},	// KConfigGroup::markAsClean
    {22, 2131, 670},	// KConfigGroup::name
    {22, 2228, 668},	// KConfigGroup::operator=#
    {22, 2265, 681},	// KConfigGroup::parent
    {22, 2402, -679},	// KConfigGroup::readEntry$
    {22, 2403, -682},	// KConfigGroup::readEntry$#
    {22, 2404, -685},	// KConfigGroup::readEntry$$
    {22, 2405, -690},	// KConfigGroup::readEntry$?
    {22, 2407, -695},	// KConfigGroup::readEntryUntranslated$
    {22, 2408, -698},	// KConfigGroup::readEntryUntranslated$$
    {22, 2430, -701},	// KConfigGroup::readPathEntry$$
    {22, 2431, -704},	// KConfigGroup::readPathEntry$?
    {22, 2439, -707},	// KConfigGroup::readXdgListEntry$
    {22, 2440, -710},	// KConfigGroup::readXdgListEntry$?
    {22, 2482, 742},	// KConfigGroup::reparent#
    {22, 2483, 680},	// KConfigGroup::reparent#$
    {22, 2508, -713},	// KConfigGroup::revertToDefault$
    {22, 3117, 672},	// KConfigGroup::sync
    {22, 3341, -716},	// KConfigGroup::writeEntry$#
    {22, 3342, -721},	// KConfigGroup::writeEntry$#$
    {22, 3343, -726},	// KConfigGroup::writeEntry$$
    {22, 3344, -731},	// KConfigGroup::writeEntry$$$
    {22, 3345, -736},	// KConfigGroup::writeEntry$?
    {22, 3346, -741},	// KConfigGroup::writeEntry$?$
    {22, 3350, -746},	// KConfigGroup::writePathEntry$$
    {22, 3351, -749},	// KConfigGroup::writePathEntry$$$
    {22, 3352, -752},	// KConfigGroup::writePathEntry$?
    {22, 3353, -755},	// KConfigGroup::writePathEntry$?$
    {22, 3355, -758},	// KConfigGroup::writeXdgListEntry$?
    {22, 3356, -761},	// KConfigGroup::writeXdgListEntry$?$
    {22, 3416, 773},	// KConfigGroup::~KConfigGroup
    {24, 339, 799},	// KConfigSkeletonItem::KConfigSkeletonItem#
    {24, 340, 774},	// KConfigSkeletonItem::KConfigSkeletonItem$$
    {24, 1681, 776},	// KConfigSkeletonItem::group
    {24, 1841, 791},	// KConfigSkeletonItem::isEqual#
    {24, 1854, 797},	// KConfigSkeletonItem::isImmutable
    {24, 1954, 778},	// KConfigSkeletonItem::key
    {24, 1973, 782},	// KConfigSkeletonItem::label
    {24, 2040, 800},	// KConfigSkeletonItem::mGroup
    {24, 2041, 802},	// KConfigSkeletonItem::mKey
    {24, 2042, 804},	// KConfigSkeletonItem::mName
    {24, 2084, 794},	// KConfigSkeletonItem::maxValue
    {24, 2094, 793},	// KConfigSkeletonItem::minValue
    {24, 2131, 780},	// KConfigSkeletonItem::name
    {24, 2330, 792},	// KConfigSkeletonItem::property
    {24, 2388, 787},	// KConfigSkeletonItem::readConfig#
    {24, 2397, 789},	// KConfigSkeletonItem::readDefault#
    {24, 2414, 798},	// KConfigSkeletonItem::readImmutability#
    {24, 2647, 795},	// KConfigSkeletonItem::setDefault
    {24, 2700, 775},	// KConfigSkeletonItem::setGroup$
    {24, 2720, 777},	// KConfigSkeletonItem::setKey$
    {24, 2722, 781},	// KConfigSkeletonItem::setLabel$
    {24, 2746, 801},	// KConfigSkeletonItem::setMGroup$
    {24, 2748, 803},	// KConfigSkeletonItem::setMKey$
    {24, 2750, 805},	// KConfigSkeletonItem::setMName$
    {24, 2832, 779},	// KConfigSkeletonItem::setName$
    {24, 2892, 790},	// KConfigSkeletonItem::setProperty#
    {24, 2945, 783},	// KConfigSkeletonItem::setToolTip$
    {24, 2971, 785},	// KConfigSkeletonItem::setWhatsThis$
    {24, 3114, 796},	// KConfigSkeletonItem::swapDefault
    {24, 3175, 784},	// KConfigSkeletonItem::toolTip
    {24, 3329, 786},	// KConfigSkeletonItem::whatsThis
    {24, 3337, 788},	// KConfigSkeletonItem::writeConfig#
    {24, 3417, 806},	// KConfigSkeletonItem::~KConfigSkeletonItem
    {25, 341, 856},	// KCoreConfigSkeleton::KCoreConfigSkeleton
    {25, 342, 857},	// KCoreConfigSkeleton::KCoreConfigSkeleton$
    {25, 343, 814},	// KCoreConfigSkeleton::KCoreConfigSkeleton$#
    {25, 344, 858},	// KCoreConfigSkeleton::KCoreConfigSkeleton?
    {25, 345, 815},	// KCoreConfigSkeleton::KCoreConfigSkeleton?#
    {25, 909, 859},	// KCoreConfigSkeleton::addItem#
    {25, 910, 821},	// KCoreConfigSkeleton::addItem#$
    {25, 912, 868},	// KCoreConfigSkeleton::addItemBool$$
    {25, 913, 869},	// KCoreConfigSkeleton::addItemBool$$$
    {25, 914, 826},	// KCoreConfigSkeleton::addItemBool$$$$
    {25, 916, 890},	// KCoreConfigSkeleton::addItemDateTime$#
    {25, 917, 891},	// KCoreConfigSkeleton::addItemDateTime$##
    {25, 918, 837},	// KCoreConfigSkeleton::addItemDateTime$##$
    {25, 920, 882},	// KCoreConfigSkeleton::addItemDouble$$
    {25, 921, 883},	// KCoreConfigSkeleton::addItemDouble$$$
    {25, 922, 833},	// KCoreConfigSkeleton::addItemDouble$$$$
    {25, 924, 870},	// KCoreConfigSkeleton::addItemInt$$
    {25, 925, 871},	// KCoreConfigSkeleton::addItemInt$$$
    {25, 926, 827},	// KCoreConfigSkeleton::addItemInt$$$$
    {25, 928, 876},	// KCoreConfigSkeleton::addItemInt64$$
    {25, 929, 877},	// KCoreConfigSkeleton::addItemInt64$$$
    {25, 930, 830},	// KCoreConfigSkeleton::addItemInt64$$$$
    {25, 932, 894},	// KCoreConfigSkeleton::addItemIntList$?
    {25, 933, 895},	// KCoreConfigSkeleton::addItemIntList$??
    {25, 934, 839},	// KCoreConfigSkeleton::addItemIntList$??$
    {25, 936, 874},	// KCoreConfigSkeleton::addItemLongLong$$
    {25, 937, 875},	// KCoreConfigSkeleton::addItemLongLong$$$
    {25, 938, 829},	// KCoreConfigSkeleton::addItemLongLong$$$$
    {25, 940, 862},	// KCoreConfigSkeleton::addItemPassword$$
    {25, 941, 863},	// KCoreConfigSkeleton::addItemPassword$$$
    {25, 942, 823},	// KCoreConfigSkeleton::addItemPassword$$$$
    {25, 944, 864},	// KCoreConfigSkeleton::addItemPath$$
    {25, 945, 865},	// KCoreConfigSkeleton::addItemPath$$$
    {25, 946, 824},	// KCoreConfigSkeleton::addItemPath$$$$
    {25, 948, 886},	// KCoreConfigSkeleton::addItemPoint$#
    {25, 949, 887},	// KCoreConfigSkeleton::addItemPoint$##
    {25, 950, 835},	// KCoreConfigSkeleton::addItemPoint$##$
    {25, 952, 866},	// KCoreConfigSkeleton::addItemProperty$#
    {25, 953, 867},	// KCoreConfigSkeleton::addItemProperty$##
    {25, 954, 825},	// KCoreConfigSkeleton::addItemProperty$##$
    {25, 956, 884},	// KCoreConfigSkeleton::addItemRect$#
    {25, 957, 885},	// KCoreConfigSkeleton::addItemRect$##
    {25, 958, 834},	// KCoreConfigSkeleton::addItemRect$##$
    {25, 960, 888},	// KCoreConfigSkeleton::addItemSize$#
    {25, 961, 889},	// KCoreConfigSkeleton::addItemSize$##
    {25, 962, 836},	// KCoreConfigSkeleton::addItemSize$##$
    {25, 964, 860},	// KCoreConfigSkeleton::addItemString$$
    {25, 965, 861},	// KCoreConfigSkeleton::addItemString$$$
    {25, 966, 822},	// KCoreConfigSkeleton::addItemString$$$$
    {25, 968, 892},	// KCoreConfigSkeleton::addItemStringList$?
    {25, 969, 893},	// KCoreConfigSkeleton::addItemStringList$??
    {25, 970, 838},	// KCoreConfigSkeleton::addItemStringList$??$
    {25, 972, 872},	// KCoreConfigSkeleton::addItemUInt$$
    {25, 973, 873},	// KCoreConfigSkeleton::addItemUInt$$$
    {25, 974, 828},	// KCoreConfigSkeleton::addItemUInt$$$$
    {25, 976, 880},	// KCoreConfigSkeleton::addItemUInt64$$
    {25, 977, 881},	// KCoreConfigSkeleton::addItemUInt64$$$
    {25, 978, 832},	// KCoreConfigSkeleton::addItemUInt64$$$$
    {25, 980, 878},	// KCoreConfigSkeleton::addItemULongLong$$
    {25, 981, 879},	// KCoreConfigSkeleton::addItemULongLong$$$
    {25, 982, 831},	// KCoreConfigSkeleton::addItemULongLong$$$$
    {25, 1198, -20},	// KCoreConfigSkeleton::config
    {25, 1200, 849},	// KCoreConfigSkeleton::configChanged
    {25, 1263, 820},	// KCoreConfigSkeleton::currentGroup
    {25, 1581, -23},	// KCoreConfigSkeleton::findItem$
    {25, 1855, -26},	// KCoreConfigSkeleton::isImmutable$
    {25, 1912, 843},	// KCoreConfigSkeleton::items
    {25, 2090, 807},	// KCoreConfigSkeleton::metaObject
    {25, 2353, 813},	// KCoreConfigSkeleton::qt_metacall$$?
    {25, 2355, 808},	// KCoreConfigSkeleton::qt_metacast$
    {25, 2387, 817},	// KCoreConfigSkeleton::readConfig
    {25, 2613, 819},	// KCoreConfigSkeleton::setCurrentGroup$
    {25, 2652, 816},	// KCoreConfigSkeleton::setDefaults
    {25, 2908, 842},	// KCoreConfigSkeleton::setSharedConfig?
    {25, 3078, 896},	// KCoreConfigSkeleton::staticMetaObject
    {25, 3180, 854},	// KCoreConfigSkeleton::tr$
    {25, 3181, 809},	// KCoreConfigSkeleton::tr$$
    {25, 3182, 811},	// KCoreConfigSkeleton::tr$$$
    {25, 3187, 855},	// KCoreConfigSkeleton::trUtf8$
    {25, 3188, 810},	// KCoreConfigSkeleton::trUtf8$$
    {25, 3189, 812},	// KCoreConfigSkeleton::trUtf8$$$
    {25, 3255, 848},	// KCoreConfigSkeleton::useDefaults$
    {25, 3263, 852},	// KCoreConfigSkeleton::usrReadConfig
    {25, 3264, 851},	// KCoreConfigSkeleton::usrSetDefaults
    {25, 3266, 850},	// KCoreConfigSkeleton::usrUseDefaults$
    {25, 3267, 853},	// KCoreConfigSkeleton::usrWriteConfig
    {25, 3336, 818},	// KCoreConfigSkeleton::writeConfig
    {25, 3418, 897},	// KCoreConfigSkeleton::~KCoreConfigSkeleton
    {26, 191, 903},	// KCoreConfigSkeleton::ItemBool::ItemBool#
    {26, 192, 904},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$
    {26, 193, 898},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$$
    {26, 1841, 901},	// KCoreConfigSkeleton::ItemBool::isEqual#
    {26, 2330, 902},	// KCoreConfigSkeleton::ItemBool::property
    {26, 2388, 899},	// KCoreConfigSkeleton::ItemBool::readConfig#
    {26, 2892, 900},	// KCoreConfigSkeleton::ItemBool::setProperty#
    {26, 3382, 905},	// KCoreConfigSkeleton::ItemBool::~ItemBool
    {27, 195, 911},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime#
    {27, 196, 912},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$#
    {27, 197, 906},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$##
    {27, 1841, 909},	// KCoreConfigSkeleton::ItemDateTime::isEqual#
    {27, 2330, 910},	// KCoreConfigSkeleton::ItemDateTime::property
    {27, 2388, 907},	// KCoreConfigSkeleton::ItemDateTime::readConfig#
    {27, 2892, 908},	// KCoreConfigSkeleton::ItemDateTime::setProperty#
    {27, 3383, 913},	// KCoreConfigSkeleton::ItemDateTime::~ItemDateTime
    {28, 199, 923},	// KCoreConfigSkeleton::ItemDouble::ItemDouble#
    {28, 200, 924},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$
    {28, 201, 914},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$$
    {28, 1841, 917},	// KCoreConfigSkeleton::ItemDouble::isEqual#
    {28, 2084, 920},	// KCoreConfigSkeleton::ItemDouble::maxValue
    {28, 2094, 919},	// KCoreConfigSkeleton::ItemDouble::minValue
    {28, 2330, 918},	// KCoreConfigSkeleton::ItemDouble::property
    {28, 2388, 915},	// KCoreConfigSkeleton::ItemDouble::readConfig#
    {28, 2812, 922},	// KCoreConfigSkeleton::ItemDouble::setMaxValue$
    {28, 2820, 921},	// KCoreConfigSkeleton::ItemDouble::setMinValue$
    {28, 2892, 916},	// KCoreConfigSkeleton::ItemDouble::setProperty#
    {28, 3384, 925},	// KCoreConfigSkeleton::ItemDouble::~ItemDouble
    {29, 203, 932},	// KCoreConfigSkeleton::ItemEnum::ItemEnum#
    {29, 204, -616},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?
    {29, 205, -619},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?$
    {29, 1170, 928},	// KCoreConfigSkeleton::ItemEnum::choices
    {29, 1171, 929},	// KCoreConfigSkeleton::ItemEnum::choices2
    {29, 2388, 930},	// KCoreConfigSkeleton::ItemEnum::readConfig#
    {29, 3337, 931},	// KCoreConfigSkeleton::ItemEnum::writeConfig#
    {29, 3385, 935},	// KCoreConfigSkeleton::ItemEnum::~ItemEnum
    {30, 56, 936},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice
    {30, 57, 937},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice#
    {30, 1973, 940},	// KCoreConfigSkeleton::ItemEnum::Choice::label
    {30, 2131, 938},	// KCoreConfigSkeleton::ItemEnum::Choice::name
    {30, 2722, 941},	// KCoreConfigSkeleton::ItemEnum::Choice::setLabel$
    {30, 2832, 939},	// KCoreConfigSkeleton::ItemEnum::Choice::setName$
    {30, 2971, 943},	// KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis$
    {30, 3329, 942},	// KCoreConfigSkeleton::ItemEnum::Choice::whatsThis
    {30, 3379, 944},	// KCoreConfigSkeleton::ItemEnum::Choice::~Choice
    {31, 58, 945},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2
    {31, 59, 946},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2#
    {31, 1973, 949},	// KCoreConfigSkeleton::ItemEnum::Choice2::label
    {31, 2131, 947},	// KCoreConfigSkeleton::ItemEnum::Choice2::name
    {31, 2722, 950},	// KCoreConfigSkeleton::ItemEnum::Choice2::setLabel$
    {31, 2832, 948},	// KCoreConfigSkeleton::ItemEnum::Choice2::setName$
    {31, 2945, 952},	// KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip$
    {31, 2971, 954},	// KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis$
    {31, 3175, 951},	// KCoreConfigSkeleton::ItemEnum::Choice2::toolTip
    {31, 3329, 953},	// KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis
    {31, 3380, 955},	// KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2
    {32, 207, 965},	// KCoreConfigSkeleton::ItemInt::ItemInt#
    {32, 208, 966},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$
    {32, 209, 956},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$$
    {32, 1841, 959},	// KCoreConfigSkeleton::ItemInt::isEqual#
    {32, 2084, 962},	// KCoreConfigSkeleton::ItemInt::maxValue
    {32, 2094, 961},	// KCoreConfigSkeleton::ItemInt::minValue
    {32, 2330, 960},	// KCoreConfigSkeleton::ItemInt::property
    {32, 2388, 957},	// KCoreConfigSkeleton::ItemInt::readConfig#
    {32, 2812, 964},	// KCoreConfigSkeleton::ItemInt::setMaxValue$
    {32, 2820, 963},	// KCoreConfigSkeleton::ItemInt::setMinValue$
    {32, 2892, 958},	// KCoreConfigSkeleton::ItemInt::setProperty#
    {32, 3386, 967},	// KCoreConfigSkeleton::ItemInt::~ItemInt
    {33, 211, 973},	// KCoreConfigSkeleton::ItemIntList::ItemIntList#
    {33, 212, 974},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$?
    {33, 213, 968},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$??
    {33, 1841, 971},	// KCoreConfigSkeleton::ItemIntList::isEqual#
    {33, 2330, 972},	// KCoreConfigSkeleton::ItemIntList::property
    {33, 2388, 969},	// KCoreConfigSkeleton::ItemIntList::readConfig#
    {33, 2892, 970},	// KCoreConfigSkeleton::ItemIntList::setProperty#
    {33, 3387, 975},	// KCoreConfigSkeleton::ItemIntList::~ItemIntList
    {34, 215, 985},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong#
    {34, 216, 986},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$
    {34, 217, 976},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$$
    {34, 1841, 979},	// KCoreConfigSkeleton::ItemLongLong::isEqual#
    {34, 2084, 982},	// KCoreConfigSkeleton::ItemLongLong::maxValue
    {34, 2094, 981},	// KCoreConfigSkeleton::ItemLongLong::minValue
    {34, 2330, 980},	// KCoreConfigSkeleton::ItemLongLong::property
    {34, 2388, 977},	// KCoreConfigSkeleton::ItemLongLong::readConfig#
    {34, 2812, 984},	// KCoreConfigSkeleton::ItemLongLong::setMaxValue$
    {34, 2820, 983},	// KCoreConfigSkeleton::ItemLongLong::setMinValue$
    {34, 2892, 978},	// KCoreConfigSkeleton::ItemLongLong::setProperty#
    {34, 3388, 987},	// KCoreConfigSkeleton::ItemLongLong::~ItemLongLong
    {35, 219, 989},	// KCoreConfigSkeleton::ItemPassword::ItemPassword#
    {35, 220, 990},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$
    {35, 221, 988},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$$
    {35, 3389, 991},	// KCoreConfigSkeleton::ItemPassword::~ItemPassword
    {36, 223, 993},	// KCoreConfigSkeleton::ItemPath::ItemPath#
    {36, 224, 994},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$
    {36, 225, 992},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$$
    {36, 3390, 995},	// KCoreConfigSkeleton::ItemPath::~ItemPath
    {37, 227, 999},	// KCoreConfigSkeleton::ItemPathList::ItemPathList#
    {37, 228, 1000},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$?
    {37, 229, 996},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$??
    {37, 2388, 997},	// KCoreConfigSkeleton::ItemPathList::readConfig#
    {37, 3337, 998},	// KCoreConfigSkeleton::ItemPathList::writeConfig#
    {37, 3391, 1001},	// KCoreConfigSkeleton::ItemPathList::~ItemPathList
    {38, 231, 1007},	// KCoreConfigSkeleton::ItemPoint::ItemPoint#
    {38, 232, 1008},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$#
    {38, 233, 1002},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$##
    {38, 1841, 1005},	// KCoreConfigSkeleton::ItemPoint::isEqual#
    {38, 2330, 1006},	// KCoreConfigSkeleton::ItemPoint::property
    {38, 2388, 1003},	// KCoreConfigSkeleton::ItemPoint::readConfig#
    {38, 2892, 1004},	// KCoreConfigSkeleton::ItemPoint::setProperty#
    {38, 3392, 1009},	// KCoreConfigSkeleton::ItemPoint::~ItemPoint
    {39, 235, 1015},	// KCoreConfigSkeleton::ItemProperty::ItemProperty#
    {39, 236, 1016},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$#
    {39, 237, 1010},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$##
    {39, 1841, 1013},	// KCoreConfigSkeleton::ItemProperty::isEqual#
    {39, 2330, 1014},	// KCoreConfigSkeleton::ItemProperty::property
    {39, 2388, 1011},	// KCoreConfigSkeleton::ItemProperty::readConfig#
    {39, 2892, 1012},	// KCoreConfigSkeleton::ItemProperty::setProperty#
    {39, 3393, 1017},	// KCoreConfigSkeleton::ItemProperty::~ItemProperty
    {40, 239, 1023},	// KCoreConfigSkeleton::ItemRect::ItemRect#
    {40, 240, 1024},	// KCoreConfigSkeleton::ItemRect::ItemRect$$#
    {40, 241, 1018},	// KCoreConfigSkeleton::ItemRect::ItemRect$$##
    {40, 1841, 1021},	// KCoreConfigSkeleton::ItemRect::isEqual#
    {40, 2330, 1022},	// KCoreConfigSkeleton::ItemRect::property
    {40, 2388, 1019},	// KCoreConfigSkeleton::ItemRect::readConfig#
    {40, 2892, 1020},	// KCoreConfigSkeleton::ItemRect::setProperty#
    {40, 3394, 1025},	// KCoreConfigSkeleton::ItemRect::~ItemRect
    {41, 243, 1031},	// KCoreConfigSkeleton::ItemSize::ItemSize#
    {41, 244, 1032},	// KCoreConfigSkeleton::ItemSize::ItemSize$$#
    {41, 245, 1026},	// KCoreConfigSkeleton::ItemSize::ItemSize$$##
    {41, 1841, 1029},	// KCoreConfigSkeleton::ItemSize::isEqual#
    {41, 2330, 1030},	// KCoreConfigSkeleton::ItemSize::property
    {41, 2388, 1027},	// KCoreConfigSkeleton::ItemSize::readConfig#
    {41, 2892, 1028},	// KCoreConfigSkeleton::ItemSize::setProperty#
    {41, 3395, 1033},	// KCoreConfigSkeleton::ItemSize::~ItemSize
    {42, 247, 1040},	// KCoreConfigSkeleton::ItemString::ItemString#
    {42, 248, 1041},	// KCoreConfigSkeleton::ItemString::ItemString$$$
    {42, 249, 1042},	// KCoreConfigSkeleton::ItemString::ItemString$$$$
    {42, 250, 1034},	// KCoreConfigSkeleton::ItemString::ItemString$$$$$
    {42, 653, 1043},	// KCoreConfigSkeleton::ItemString::Normal
    {42, 675, 1044},	// KCoreConfigSkeleton::ItemString::Password
    {42, 676, 1045},	// KCoreConfigSkeleton::ItemString::Path
    {42, 1841, 1038},	// KCoreConfigSkeleton::ItemString::isEqual#
    {42, 2330, 1039},	// KCoreConfigSkeleton::ItemString::property
    {42, 2388, 1036},	// KCoreConfigSkeleton::ItemString::readConfig#
    {42, 2892, 1037},	// KCoreConfigSkeleton::ItemString::setProperty#
    {42, 3337, 1035},	// KCoreConfigSkeleton::ItemString::writeConfig#
    {42, 3396, 1046},	// KCoreConfigSkeleton::ItemString::~ItemString
    {43, 252, 1052},	// KCoreConfigSkeleton::ItemStringList::ItemStringList#
    {43, 253, 1053},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$?
    {43, 254, 1047},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$??
    {43, 1841, 1050},	// KCoreConfigSkeleton::ItemStringList::isEqual#
    {43, 2330, 1051},	// KCoreConfigSkeleton::ItemStringList::property
    {43, 2388, 1048},	// KCoreConfigSkeleton::ItemStringList::readConfig#
    {43, 2892, 1049},	// KCoreConfigSkeleton::ItemStringList::setProperty#
    {43, 3397, 1054},	// KCoreConfigSkeleton::ItemStringList::~ItemStringList
    {44, 256, 1064},	// KCoreConfigSkeleton::ItemUInt::ItemUInt#
    {44, 257, 1065},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$
    {44, 258, 1055},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$$
    {44, 1841, 1058},	// KCoreConfigSkeleton::ItemUInt::isEqual#
    {44, 2084, 1061},	// KCoreConfigSkeleton::ItemUInt::maxValue
    {44, 2094, 1060},	// KCoreConfigSkeleton::ItemUInt::minValue
    {44, 2330, 1059},	// KCoreConfigSkeleton::ItemUInt::property
    {44, 2388, 1056},	// KCoreConfigSkeleton::ItemUInt::readConfig#
    {44, 2812, 1063},	// KCoreConfigSkeleton::ItemUInt::setMaxValue$
    {44, 2820, 1062},	// KCoreConfigSkeleton::ItemUInt::setMinValue$
    {44, 2892, 1057},	// KCoreConfigSkeleton::ItemUInt::setProperty#
    {44, 3398, 1066},	// KCoreConfigSkeleton::ItemUInt::~ItemUInt
    {45, 260, 1076},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong#
    {45, 261, 1077},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$
    {45, 262, 1067},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$$
    {45, 1841, 1070},	// KCoreConfigSkeleton::ItemULongLong::isEqual#
    {45, 2084, 1073},	// KCoreConfigSkeleton::ItemULongLong::maxValue
    {45, 2094, 1072},	// KCoreConfigSkeleton::ItemULongLong::minValue
    {45, 2330, 1071},	// KCoreConfigSkeleton::ItemULongLong::property
    {45, 2388, 1068},	// KCoreConfigSkeleton::ItemULongLong::readConfig#
    {45, 2812, 1075},	// KCoreConfigSkeleton::ItemULongLong::setMaxValue$
    {45, 2820, 1074},	// KCoreConfigSkeleton::ItemULongLong::setMinValue$
    {45, 2892, 1069},	// KCoreConfigSkeleton::ItemULongLong::setProperty#
    {45, 3399, 1078},	// KCoreConfigSkeleton::ItemULongLong::~ItemULongLong
    {46, 264, 1085},	// KCoreConfigSkeleton::ItemUrl::ItemUrl#
    {46, 265, 1086},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$#
    {46, 266, 1079},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$##
    {46, 1841, 1083},	// KCoreConfigSkeleton::ItemUrl::isEqual#
    {46, 2330, 1084},	// KCoreConfigSkeleton::ItemUrl::property
    {46, 2388, 1081},	// KCoreConfigSkeleton::ItemUrl::readConfig#
    {46, 2892, 1082},	// KCoreConfigSkeleton::ItemUrl::setProperty#
    {46, 3337, 1080},	// KCoreConfigSkeleton::ItemUrl::writeConfig#
    {46, 3400, 1087},	// KCoreConfigSkeleton::ItemUrl::~ItemUrl
    {47, 268, 1094},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList#
    {47, 269, 1095},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$?
    {47, 270, 1088},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$??
    {47, 1841, 1092},	// KCoreConfigSkeleton::ItemUrlList::isEqual#
    {47, 2330, 1093},	// KCoreConfigSkeleton::ItemUrlList::property
    {47, 2388, 1089},	// KCoreConfigSkeleton::ItemUrlList::readConfig#
    {47, 2892, 1091},	// KCoreConfigSkeleton::ItemUrlList::setProperty#
    {47, 3337, 1090},	// KCoreConfigSkeleton::ItemUrlList::writeConfig#
    {47, 3401, 1096},	// KCoreConfigSkeleton::ItemUrlList::~ItemUrlList
    {48, 11, 1127},	// KCurrencyCode::ActiveCurrency
    {48, 347, -192},	// KCurrencyCode::KCurrencyCode#
    {48, 348, 1098},	// KCurrencyCode::KCurrencyCode#$
    {48, 349, 1122},	// KCurrencyCode::KCurrencyCode$
    {48, 350, 1097},	// KCurrencyCode::KCurrencyCode$$
    {48, 661, 1129},	// KCurrencyCode::ObsoleteCurrency
    {48, 772, 1128},	// KCurrencyCode::SuspendedCurrency
    {48, 1035, 1125},	// KCurrencyCode::allCurrencyCodesList
    {48, 1036, 1120},	// KCurrencyCode::allCurrencyCodesList$
    {48, 1229, 1117},	// KCurrencyCode::countriesUsingCurrency
    {48, 1257, 1126},	// KCurrencyCode::currencyCodeToName$
    {48, 1258, 1121},	// KCurrencyCode::currencyCodeToName$$
    {48, 1288, 1106},	// KCurrencyCode::dateIntroduced
    {48, 1290, 1107},	// KCurrencyCode::dateSuspended
    {48, 1295, 1108},	// KCurrencyCode::dateWithdrawn
    {48, 1336, 1116},	// KCurrencyCode::decimalPlaces
    {48, 1359, 1110},	// KCurrencyCode::defaultSymbol
    {48, 1729, 1112},	// KCurrencyCode::hasSubunits
    {48, 1730, 1113},	// KCurrencyCode::hasSubunitsInCirculation
    {48, 1901, 1118},	// KCurrencyCode::isValid
    {48, 1903, 1124},	// KCurrencyCode::isValid$
    {48, 1904, 1119},	// KCurrencyCode::isValid$$
    {48, 1909, 1101},	// KCurrencyCode::isoCurrencyCode
    {48, 1910, 1102},	// KCurrencyCode::isoCurrencyCodeNumeric
    {48, 1911, 1104},	// KCurrencyCode::isoName
    {48, 2131, 1103},	// KCurrencyCode::name
    {48, 2228, 1100},	// KCurrencyCode::operator=#
    {48, 3081, 1105},	// KCurrencyCode::status
    {48, 3105, 1114},	// KCurrencyCode::subunitSymbol
    {48, 3106, 1115},	// KCurrencyCode::subunitsPerUnit
    {48, 3116, 1109},	// KCurrencyCode::symbolList
    {48, 3226, 1111},	// KCurrencyCode::unambiguousSymbol
    {48, 3419, 1130},	// KCurrencyCode::~KCurrencyCode
    {49, 862, 1140},	// KDE::access$$
    {49, 1169, 1134},	// KDE::chmod$?
    {49, 1601, 1131},	// KDE::fopen$$
    {49, 2098, 1141},	// KDE::mkdir$?
    {49, 2176, 1139},	// KDE::open$$
    {49, 2177, 1138},	// KDE::open$$?
    {49, 2480, 1135},	// KDE::rename$$
    {49, 3282, 1137},	// KDE::version
    {49, 3283, 1142},	// KDE::versionMajor
    {49, 3284, 1132},	// KDE::versionMinor
    {49, 3285, 1136},	// KDE::versionRelease
    {49, 3286, 1133},	// KDE::versionString
    {50, 351, 1159},	// KDEDModule::KDEDModule
    {50, 352, 1150},	// KDEDModule::KDEDModule#
    {50, 2090, 1143},	// KDEDModule::metaObject
    {50, 2103, 1153},	// KDEDModule::moduleDeleted#
    {50, 2104, 1152},	// KDEDModule::moduleName
    {50, 2106, 1156},	// KDEDModule::moduleRegistered#
    {50, 2353, 1149},	// KDEDModule::qt_metacall$$?
    {50, 2355, 1144},	// KDEDModule::qt_metacast$
    {50, 2822, 1151},	// KDEDModule::setModuleName$
    {50, 3078, 1160},	// KDEDModule::staticMetaObject
    {50, 3180, 1157},	// KDEDModule::tr$
    {50, 3181, 1145},	// KDEDModule::tr$$
    {50, 3182, 1147},	// KDEDModule::tr$$$
    {50, 3187, 1158},	// KDEDModule::trUtf8$
    {50, 3188, 1146},	// KDEDModule::trUtf8$$
    {50, 3189, 1148},	// KDEDModule::trUtf8$$$
    {50, 3331, 1154},	// KDEDModule::windowRegistered$
    {50, 3333, 1155},	// KDEDModule::windowUnregistered$
    {50, 3420, 1161},	// KDEDModule::~KDEDModule
    {51, 353, 1162},	// KDEPluginVerificationData::KDEPluginVerificationData
    {51, 354, 1163},	// KDEPluginVerificationData::KDEPluginVerificationData#
    {51, 355, 1166},	// KDEPluginVerificationData::KDEVersion
    {51, 356, 1168},	// KDEPluginVerificationData::KDEVersionString
    {51, 686, 1170},	// KDEPluginVerificationData::PluginVerificationDataVersion
    {51, 1277, 1164},	// KDEPluginVerificationData::dataVersion
    {51, 2623, 1165},	// KDEPluginVerificationData::setDataVersion$
    {51, 2716, 1167},	// KDEPluginVerificationData::setKDEVersion$
    {51, 2718, 1169},	// KDEPluginVerificationData::setKDEVersionString$
    {51, 3421, 1171},	// KDEPluginVerificationData::~KDEPluginVerificationData
    {52, 14, 1262},	// KDateTime::After
    {52, 25, 1261},	// KDateTime::AtEnd
    {52, 26, 1259},	// KDateTime::AtStart
    {52, 41, 1258},	// KDateTime::Before
    {52, 60, 1251},	// KDateTime::ClockTime
    {52, 116, 1266},	// KDateTime::EndsAt
    {52, 117, 1263},	// KDateTime::Equal
    {52, 169, 1252},	// KDateTime::ISODate
    {52, 176, 1260},	// KDateTime::Inside
    {52, 177, 1246},	// KDateTime::Invalid
    {52, 357, 1172},	// KDateTime::KDateTime
    {52, 358, -88},	// KDateTime::KDateTime#
    {52, 359, -92},	// KDateTime::KDateTime##
    {52, 360, 1174},	// KDateTime::KDateTime###
    {52, 606, 1256},	// KDateTime::LocalDate
    {52, 607, 1250},	// KDateTime::LocalZone
    {52, 662, 1248},	// KDateTime::OffsetFromUTC
    {52, 673, 1264},	// KDateTime::Outside
    {52, 708, 1255},	// KDateTime::QtTextDate
    {52, 711, 1257},	// KDateTime::RFC3339Date
    {52, 712, 1253},	// KDateTime::RFCDate
    {52, 713, 1254},	// KDateTime::RFCDateDay
    {52, 767, 1265},	// KDateTime::StartsAt
    {52, 791, 1249},	// KDateTime::TimeZone
    {52, 801, 1247},	// KDateTime::UTC
    {52, 903, 1212},	// KDateTime::addDays$
    {52, 990, 1210},	// KDateTime::addMSecs$
    {52, 993, 1213},	// KDateTime::addMonths$
    {52, 1008, 1211},	// KDateTime::addSecs$
    {52, 1030, 1214},	// KDateTime::addYears$
    {52, 1192, 1229},	// KDateTime::compare#
    {52, 1262, 1220},	// KDateTime::currentDateTime#
    {52, 1264, 1221},	// KDateTime::currentLocalDate
    {52, 1265, 1218},	// KDateTime::currentLocalDateTime
    {52, 1266, 1222},	// KDateTime::currentLocalTime
    {52, 1269, 1219},	// KDateTime::currentUtcDateTime
    {52, 1283, 1182},	// KDateTime::date
    {52, 1291, 1184},	// KDateTime::dateTime
    {52, 1334, 1217},	// KDateTime::daysTo#
    {52, 1386, 1236},	// KDateTime::detach
    {52, 1658, 1242},	// KDateTime::fromString$
    {52, 1659, -96},	// KDateTime::fromString$$
    {52, 1660, 1245},	// KDateTime::fromString$$#
    {52, 1661, 1226},	// KDateTime::fromString$$#$
    {52, 1662, 1225},	// KDateTime::fromString$$$
    {52, 1820, 1189},	// KDateTime::isClockTime
    {52, 1825, 1181},	// KDateTime::isDateOnly
    {52, 1865, 1188},	// KDateTime::isLocalZone
    {52, 1871, 1179},	// KDateTime::isNull
    {52, 1872, 1191},	// KDateTime::isOffsetFromUtc
    {52, 1883, 1193},	// KDateTime::isSecondOccurrence
    {52, 1898, 1190},	// KDateTime::isUtc
    {52, 1901, 1180},	// KDateTime::isValid
    {52, 2188, 1231},	// KDateTime::operator!=#
    {52, 2210, 1232},	// KDateTime::operator<#
    {52, 2222, 1233},	// KDateTime::operator<=#
    {52, 2228, 1178},	// KDateTime::operator=#
    {52, 2231, 1230},	// KDateTime::operator==#
    {52, 2238, 1234},	// KDateTime::operator>#
    {52, 2244, 1235},	// KDateTime::operator>=#
    {52, 2262, 1228},	// KDateTime::outOfRange
    {52, 2443, 1238},	// KDateTime::realCurrentLocalDateTime
    {52, 2524, 1215},	// KDateTime::secsTo#
    {52, 2526, 1216},	// KDateTime::secsTo_long#
    {52, 2625, 1205},	// KDateTime::setDate#
    {52, 2638, 1204},	// KDateTime::setDateOnly$
    {52, 2640, 1207},	// KDateTime::setDateTime#
    {52, 2698, 1227},	// KDateTime::setFromStringDefault#
    {52, 2902, 1209},	// KDateTime::setSecondOccurrence$
    {52, 2918, 1237},	// KDateTime::setSimulatedSystemTime#
    {52, 2937, 1206},	// KDateTime::setTime#
    {52, 2941, 1208},	// KDateTime::setTimeSpec#
    {52, 2943, 1203},	// KDateTime::setTime_t$
    {52, 3143, 1183},	// KDateTime::time
    {52, 3145, 1186},	// KDateTime::timeSpec
    {52, 3147, 1187},	// KDateTime::timeType
    {52, 3148, 1185},	// KDateTime::timeZone
    {52, 3151, 1198},	// KDateTime::toClockTime
    {52, 3156, 1197},	// KDateTime::toLocalZone
    {52, 3158, 1195},	// KDateTime::toOffsetFromUtc
    {52, 3159, 1196},	// KDateTime::toOffsetFromUtc$
    {52, 3160, 1241},	// KDateTime::toString
    {52, 3163, -99},	// KDateTime::toString$
    {52, 3165, -102},	// KDateTime::toTimeSpec#
    {52, 3166, 1202},	// KDateTime::toTime_t
    {52, 3168, 1194},	// KDateTime::toUtc
    {52, 3171, 1199},	// KDateTime::toZone#
    {52, 3269, 1192},	// KDateTime::utcOffset
    {52, 3422, 1267},	// KDateTime::~KDateTime
    {53, 60, 1287},	// KDateTime::Spec::ClockTime
    {53, 607, 1289},	// KDateTime::Spec::LocalZone
    {53, 663, 1288},	// KDateTime::Spec::OffsetFromUTC$
    {53, 756, 1268},	// KDateTime::Spec::Spec
    {53, 757, -774},	// KDateTime::Spec::Spec#
    {53, 758, 1290},	// KDateTime::Spec::Spec$
    {53, 759, 1270},	// KDateTime::Spec::Spec$$
    {53, 801, 1286},	// KDateTime::Spec::UTC
    {53, 1456, 1285},	// KDateTime::Spec::equivalentTo#
    {53, 1820, 1277},	// KDateTime::Spec::isClockTime
    {53, 1865, 1276},	// KDateTime::Spec::isLocalZone
    {53, 1872, 1279},	// KDateTime::Spec::isOffsetFromUtc
    {53, 1898, 1278},	// KDateTime::Spec::isUtc
    {53, 1901, 1273},	// KDateTime::Spec::isValid
    {53, 2188, 1284},	// KDateTime::Spec::operator!=#
    {53, 2228, 1272},	// KDateTime::Spec::operator=#
    {53, 2231, 1283},	// KDateTime::Spec::operator==#
    {53, 2953, 1282},	// KDateTime::Spec::setType#
    {53, 2954, 1291},	// KDateTime::Spec::setType$
    {53, 2955, 1281},	// KDateTime::Spec::setType$$
    {53, 3148, 1274},	// KDateTime::Spec::timeZone
    {53, 3222, 1275},	// KDateTime::Spec::type
    {53, 3269, 1280},	// KDateTime::Spec::utcOffset
    {53, 3482, 1292},	// KDateTime::Spec::~Spec
    {54, 362, 1298},	// KDebug::KDebug#
    {54, 363, 1299},	// KDebug::KDebug$
    {54, 364, 1300},	// KDebug::KDebug$$
    {54, 365, 1301},	// KDebug::KDebug$$$
    {54, 366, 1293},	// KDebug::KDebug$$$$
    {54, 1717, 1294},	// KDebug::hasNullOutput$$$$
    {54, 1718, 1302},	// KDebug::hasNullOutputQtDebugMsg
    {54, 1719, -764},	// KDebug::hasNullOutputQtDebugMsg$
    {54, 1720, 1296},	// KDebug::hasNullOutputQtDebugMsg$$
    {54, 2451, 1304},	// KDebug::registerArea#
    {54, 2452, 1297},	// KDebug::registerArea#$
    {54, 3423, 1305},	// KDebug::~KDebug
    {55, 367, 1306},	// KDebugTag::KDebugTag
    {55, 368, 1307},	// KDebugTag::KDebugTag#
    {55, 3424, 1308},	// KDebugTag::~KDebugTag
    {56, 370, 1310},	// KDesktopFile::KDesktopFile$
    {56, 371, 1309},	// KDesktopFile::KDesktopFile$$
    {56, 866, -637},	// KDesktopFile::actionGroup$
    {56, 1225, 1335},	// KDesktopFile::copyTo$
    {56, 1385, 1314},	// KDesktopFile::desktopGroup
    {56, 1529, 1336},	// KDesktopFile::fileName
    {56, 1692, 1326},	// KDesktopFile::hasActionGroup$
    {56, 1693, 1328},	// KDesktopFile::hasApplicationType
    {56, 1698, 1330},	// KDesktopFile::hasDeviceType
    {56, 1709, 1327},	// KDesktopFile::hasLinkType
    {56, 1715, 1329},	// KDesktopFile::hasMimeTypeType
    {56, 1808, 1312},	// KDesktopFile::isAuthorizedDesktopFile$
    {56, 1830, 1311},	// KDesktopFile::isDesktopFile$
    {56, 2027, 1313},	// KDesktopFile::locateLocal$
    {56, 2149, 1334},	// KDesktopFile::noDisplay
    {56, 2385, 1323},	// KDesktopFile::readActions
    {56, 2386, 1318},	// KDesktopFile::readComment
    {56, 2399, 1321},	// KDesktopFile::readDevice
    {56, 2400, 1332},	// KDesktopFile::readDocPath
    {56, 2410, 1319},	// KDesktopFile::readGenericName
    {56, 2412, 1316},	// KDesktopFile::readIcon
    {56, 2424, 1317},	// KDesktopFile::readName
    {56, 2428, 1320},	// KDesktopFile::readPath
    {56, 2436, 1315},	// KDesktopFile::readType
    {56, 2437, 1322},	// KDesktopFile::readUrl
    {56, 2499, 1337},	// KDesktopFile::resource
    {56, 3002, 1333},	// KDesktopFile::sortOrder
    {56, 3221, 1331},	// KDesktopFile::tryExec
    {56, 3425, 1338},	// KDesktopFile::~KDesktopFile
    {57, 22, 1371},	// KEncodingDetector::Arabic
    {57, 32, 1363},	// KEncodingDetector::AutoDetectedEncoding
    {57, 34, 1364},	// KEncodingDetector::BOM
    {57, 39, 1372},	// KEncodingDetector::Baltic
    {57, 49, 1373},	// KEncodingDetector::CentralEuropean
    {57, 54, 1374},	// KEncodingDetector::ChineseSimplified
    {57, 55, 1375},	// KEncodingDetector::ChineseTraditional
    {57, 75, 1376},	// KEncodingDetector::Cyrillic
    {57, 98, 1362},	// KEncodingDetector::DefaultEncoding
    {57, 112, 1367},	// KEncodingDetector::EncodingFromHTTPHeader
    {57, 113, 1366},	// KEncodingDetector::EncodingFromMetaTag
    {57, 114, 1365},	// KEncodingDetector::EncodingFromXMLHeader
    {57, 152, 1377},	// KEncodingDetector::Greek
    {57, 156, 1378},	// KEncodingDetector::Hebrew
    {57, 273, 1379},	// KEncodingDetector::Japanese
    {57, 372, 1339},	// KEncodingDetector::KEncodingDetector
    {57, 373, 1360},	// KEncodingDetector::KEncodingDetector#
    {57, 374, 1361},	// KEncodingDetector::KEncodingDetector#$
    {57, 375, 1340},	// KEncodingDetector::KEncodingDetector#$$
    {57, 564, 1380},	// KEncodingDetector::Korean
    {57, 652, 1369},	// KEncodingDetector::None
    {57, 656, 1381},	// KEncodingDetector::NorthernSaami
    {57, 735, 1370},	// KEncodingDetector::SemiautomaticDetection
    {57, 755, 1382},	// KEncodingDetector::SouthEasternEurope
    {57, 781, 1383},	// KEncodingDetector::Thai
    {57, 799, 1384},	// KEncodingDetector::Turkish
    {57, 806, 1385},	// KEncodingDetector::Unicode
    {57, 832, 1368},	// KEncodingDetector::UserChosenEncoding
    {57, 838, 1386},	// KEncodingDetector::WesternEuropean
    {57, 1058, 1358},	// KEncodingDetector::analyze$$
    {57, 1081, 1345},	// KEncodingDetector::autoDetectLanguage
    {57, 1339, 1348},	// KEncodingDetector::decode#
    {57, 1340, 1347},	// KEncodingDetector::decode$$
    {57, 1344, 1349},	// KEncodingDetector::decodeWithBuffering$$
    {57, 1347, 1350},	// KEncodingDetector::decodedInvalidCharacters
    {57, 1348, 1359},	// KEncodingDetector::decoder
    {57, 1435, 1342},	// KEncodingDetector::encoding
    {57, 1436, 1346},	// KEncodingDetector::encodingChoiceSource
    {57, 1470, 1357},	// KEncodingDetector::errorsIfUtf8$$
    {57, 1599, 1352},	// KEncodingDetector::flush
    {57, 1695, 1355},	// KEncodingDetector::hasAutoDetectionForScript$
    {57, 2136, 1354},	// KEncodingDetector::nameForScript$
    {57, 2318, 1356},	// KEncodingDetector::processNull$$
    {57, 2492, 1351},	// KEncodingDetector::resetDecoder
    {57, 2522, 1353},	// KEncodingDetector::scriptForName$
    {57, 2571, 1344},	// KEncodingDetector::setAutoDetectLanguage$
    {57, 2668, 1341},	// KEncodingDetector::setEncoding$$
    {57, 3288, 1343},	// KEncodingDetector::visuallyOrdered
    {57, 3426, 1387},	// KEncodingDetector::~KEncodingDetector
    {58, 22, 1407},	// KEncodingProber::Arabic
    {58, 39, 1408},	// KEncodingProber::Baltic
    {58, 49, 1409},	// KEncodingProber::CentralEuropean
    {58, 54, 1410},	// KEncodingProber::ChineseSimplified
    {58, 55, 1411},	// KEncodingProber::ChineseTraditional
    {58, 75, 1412},	// KEncodingProber::Cyrillic
    {58, 145, 1402},	// KEncodingProber::FoundIt
    {58, 152, 1413},	// KEncodingProber::Greek
    {58, 156, 1414},	// KEncodingProber::Hebrew
    {58, 273, 1415},	// KEncodingProber::Japanese
    {58, 376, 1401},	// KEncodingProber::KEncodingProber
    {58, 377, 1400},	// KEncodingProber::KEncodingProber#
    {58, 378, 1388},	// KEncodingProber::KEncodingProber$
    {58, 564, 1416},	// KEncodingProber::Korean
    {58, 652, 1405},	// KEncodingProber::None
    {58, 656, 1417},	// KEncodingProber::NorthernSaami
    {58, 657, 1403},	// KEncodingProber::NotMe
    {58, 672, 1418},	// KEncodingProber::Other
    {58, 689, 1404},	// KEncodingProber::Probing
    {58, 755, 1419},	// KEncodingProber::SouthEasternEurope
    {58, 781, 1420},	// KEncodingProber::Thai
    {58, 799, 1421},	// KEncodingProber::Turkish
    {58, 806, 1422},	// KEncodingProber::Unicode
    {58, 818, 1406},	// KEncodingProber::Universal
    {58, 838, 1423},	// KEncodingProber::WesternEuropean
    {58, 1197, 1395},	// KEncodingProber::confidence
    {58, 1435, 1394},	// KEncodingProber::encoding
    {58, 1440, 1393},	// KEncodingProber::encodingName
    {58, 1523, 1390},	// KEncodingProber::feed#
    {58, 1524, 1391},	// KEncodingProber::feed$$
    {58, 2134, 1399},	// KEncodingProber::nameForProberType$
    {58, 2314, 1396},	// KEncodingProber::proberType
    {58, 2316, 1398},	// KEncodingProber::proberTypeForName$
    {58, 2491, 1389},	// KEncodingProber::reset
    {58, 2876, 1397},	// KEncodingProber::setProberType$
    {58, 3076, 1392},	// KEncodingProber::state
    {58, 3427, 1424},	// KEncodingProber::~KEncodingProber
    {59, 115, 1452},	// KFilterBase::End
    {59, 125, 1453},	// KFilterBase::Error
    {59, 379, 1425},	// KFilterBase::KFilterBase
    {59, 644, 1454},	// KFilterBase::NoHeaders
    {59, 664, 1451},	// KFilterBase::Ok
    {59, 839, 1455},	// KFilterBase::WithHeaders
    {59, 1196, 1441},	// KFilterBase::compress$
    {59, 1392, 1427},	// KFilterBase::device
    {59, 1532, 1443},	// KFilterBase::filterFlags
    {59, 1577, 1444},	// KFilterBase::findFilterByFileName$
    {59, 1579, 1445},	// KFilterBase::findFilterByMimeType$
    {59, 1751, 1437},	// KFilterBase::inBufferAvailable
    {59, 1752, 1436},	// KFilterBase::inBufferEmpty
    {59, 1764, 1428},	// KFilterBase::init$
    {59, 2043, 1449},	// KFilterBase::m_bAutoDel
    {59, 2049, 1447},	// KFilterBase::m_dev
    {59, 2099, 1429},	// KFilterBase::mode
    {59, 2260, 1439},	// KFilterBase::outBufferAvailable
    {59, 2261, 1438},	// KFilterBase::outBufferFull
    {59, 2411, 1432},	// KFilterBase::readHeader
    {59, 2491, 1431},	// KFilterBase::reset
    {59, 2658, 1446},	// KFilterBase::setDevice#
    {59, 2659, 1426},	// KFilterBase::setDevice#$
    {59, 2692, 1442},	// KFilterBase::setFilterFlags$
    {59, 2710, 1435},	// KFilterBase::setInBuffer$$
    {59, 2752, 1450},	// KFilterBase::setM_bAutoDel$
    {59, 2764, 1448},	// KFilterBase::setM_dev#
    {59, 2850, 1434},	// KFilterBase::setOutBuffer$$
    {59, 3136, 1430},	// KFilterBase::terminate
    {59, 3227, 1440},	// KFilterBase::uncompress
    {59, 3348, 1433},	// KFilterBase::writeHeader#
    {59, 3428, 1456},	// KFilterBase::~KFilterBase
    {60, 1068, 1462},	// KFilterDev::atEnd
    {60, 1179, 1458},	// KFilterDev::close
    {60, 1393, 1469},	// KFilterDev::device#$
    {60, 1394, 1464},	// KFilterDev::device#$$
    {60, 1396, 1467},	// KFilterDev::deviceForFile$
    {60, 1397, 1468},	// KFilterDev::deviceForFile$$
    {60, 1398, 1463},	// KFilterDev::deviceForFile$$$
    {60, 2175, 1457},	// KFilterDev::open$
    {60, 2390, 1465},	// KFilterDev::readData$$
    {60, 2528, 1461},	// KFilterDev::seek$
    {60, 2846, 1459},	// KFilterDev::setOrigFileName#
    {60, 2919, 1460},	// KFilterDev::setSkipHeaders
    {60, 3339, 1466},	// KFilterDev::writeData$$
    {60, 3429, 1470},	// KFilterDev::~KFilterDev
    {61, 106, 1491},	// KGlobal::DoCopyCatalogs
    {61, 108, 1492},	// KGlobal::DontCopyCatalogs
    {61, 871, 1487},	// KGlobal::activeComponent
    {61, 1138, 1480},	// KGlobal::caption
    {61, 1151, 1473},	// KGlobal::charsets
    {61, 1198, 1483},	// KGlobal::config
    {61, 1373, 1490},	// KGlobal::deref
    {61, 1406, 1478},	// KGlobal::dirs
    {61, 1565, 1486},	// KGlobal::findDirectChild_helper##
    {61, 1710, 1485},	// KGlobal::hasLocale
    {61, 1711, 1489},	// KGlobal::hasMainComponent
    {61, 1774, 1482},	// KGlobal::insertCatalog$
    {61, 2017, 1481},	// KGlobal::locale
    {61, 2068, 1471},	// KGlobal::mainComponent
    {61, 2449, 1475},	// KGlobal::ref
    {61, 2554, 1488},	// KGlobal::setActiveComponent#
    {61, 2558, 1474},	// KGlobal::setAllowQuit$
    {61, 2742, 1477},	// KGlobal::setLocale#
    {61, 2743, 1476},	// KGlobal::setLocale#$
    {61, 3080, -108},	// KGlobal::staticQString$
    {61, 3225, 1479},	// KGlobal::umask
    {62, 46, 1543},	// KJob::Bytes
    {62, 104, 1545},	// KJob::Directories
    {62, 111, 1550},	// KJob::EmitResult
    {62, 140, 1544},	// KJob::Files
    {62, 380, 1536},	// KJob::KJob
    {62, 381, 1500},	// KJob::KJob#
    {62, 382, 1533},	// KJob::KJob##
    {62, 562, 1547},	// KJob::Killable
    {62, 563, 1552},	// KJob::KilledJobError
    {62, 638, 1546},	// KJob::NoCapabilities
    {62, 642, 1551},	// KJob::NoError
    {62, 710, 1549},	// KJob::Quietly
    {62, 771, 1548},	// KJob::Suspendable
    {62, 833, 1553},	// KJob::UserDefinedError
    {62, 1136, 1503},	// KJob::capabilities
    {62, 1375, 1538},	// KJob::description#$
    {62, 1376, 1539},	// KJob::description#$?
    {62, 1377, 1522},	// KJob::description#$??
    {62, 1411, 1509},	// KJob::doKill
    {62, 1412, 1511},	// KJob::doResume
    {62, 1413, 1510},	// KJob::doSuspend
    {62, 1422, 1531},	// KJob::emitPercent$$
    {62, 1423, 1530},	// KJob::emitResult
    {62, 1425, 1532},	// KJob::emitSpeed$
    {62, 1463, 1514},	// KJob::error
    {62, 1466, 1516},	// KJob::errorString
    {62, 1468, 1515},	// KJob::errorText
    {62, 1475, 1513},	// KJob::exec
    {62, 1758, 1540},	// KJob::infoMessage#$
    {62, 1759, 1523},	// KJob::infoMessage#$$
    {62, 1809, 1521},	// KJob::isAutoDelete
    {62, 1893, 1504},	// KJob::isSuspended
    {62, 1968, 1537},	// KJob::kill
    {62, 1969, 1506},	// KJob::kill$
    {62, 2090, 1493},	// KJob::metaObject
    {62, 2283, 1519},	// KJob::percent
    {62, 2321, 1517},	// KJob::processedAmount$
    {62, 2353, 1499},	// KJob::qt_metacall$$?
    {62, 2355, 1494},	// KJob::qt_metacast$
    {62, 2504, 1508},	// KJob::resume
    {62, 2569, 1520},	// KJob::setAutoDelete$
    {62, 2589, 1512},	// KJob::setCapabilities$
    {62, 2673, 1525},	// KJob::setError$
    {62, 2679, 1526},	// KJob::setErrorText$
    {62, 2862, 1529},	// KJob::setPercent$
    {62, 2878, 1527},	// KJob::setProcessedAmount$$
    {62, 2947, 1528},	// KJob::setTotalAmount$$
    {62, 2957, 1501},	// KJob::setUiDelegate#
    {62, 3020, 1505},	// KJob::start
    {62, 3078, 1542},	// KJob::staticMetaObject
    {62, 3111, 1507},	// KJob::suspend
    {62, 3178, 1518},	// KJob::totalAmount$
    {62, 3180, 1534},	// KJob::tr$
    {62, 3181, 1495},	// KJob::tr$$
    {62, 3182, 1497},	// KJob::tr$$$
    {62, 3187, 1535},	// KJob::trUtf8$
    {62, 3188, 1496},	// KJob::trUtf8$$
    {62, 3189, 1498},	// KJob::trUtf8$$$
    {62, 3223, 1502},	// KJob::uiDelegate
    {62, 3297, 1541},	// KJob::warning#$
    {62, 3298, 1524},	// KJob::warning#$$
    {62, 3430, 1554},	// KJob::~KJob
    {64, 383, 1577},	// KJobTrackerInterface::KJobTrackerInterface
    {64, 384, 1562},	// KJobTrackerInterface::KJobTrackerInterface#
    {64, 1377, 1568},	// KJobTrackerInterface::description#$??
    {64, 1590, 1565},	// KJobTrackerInterface::finished#
    {64, 1759, 1569},	// KJobTrackerInterface::infoMessage#$$
    {64, 2090, 1555},	// KJobTrackerInterface::metaObject
    {64, 2284, 1573},	// KJobTrackerInterface::percent#$
    {64, 2320, 1572},	// KJobTrackerInterface::processedAmount#$$
    {64, 2353, 1561},	// KJobTrackerInterface::qt_metacall$$?
    {64, 2355, 1556},	// KJobTrackerInterface::qt_metacast$
    {64, 2454, 1563},	// KJobTrackerInterface::registerJob#
    {64, 2506, 1567},	// KJobTrackerInterface::resumed#
    {64, 3005, 1574},	// KJobTrackerInterface::speed#$
    {64, 3078, 1578},	// KJobTrackerInterface::staticMetaObject
    {64, 3113, 1566},	// KJobTrackerInterface::suspended#
    {64, 3177, 1571},	// KJobTrackerInterface::totalAmount#$$
    {64, 3180, 1575},	// KJobTrackerInterface::tr$
    {64, 3181, 1557},	// KJobTrackerInterface::tr$$
    {64, 3182, 1559},	// KJobTrackerInterface::tr$$$
    {64, 3187, 1576},	// KJobTrackerInterface::trUtf8$
    {64, 3188, 1558},	// KJobTrackerInterface::trUtf8$$
    {64, 3189, 1560},	// KJobTrackerInterface::trUtf8$$$
    {64, 3234, 1564},	// KJobTrackerInterface::unregisterJob#
    {64, 3298, 1570},	// KJobTrackerInterface::warning#$$
    {64, 3431, 1579},	// KJobTrackerInterface::~KJobTrackerInterface
    {65, 385, 1587},	// KJobUiDelegate::KJobUiDelegate
    {65, 1810, 1591},	// KJobUiDelegate::isAutoErrorHandlingEnabled
    {65, 1811, 1593},	// KJobUiDelegate::isAutoWarningHandlingEnabled
    {65, 1913, 1588},	// KJobUiDelegate::job
    {65, 2090, 1580},	// KJobUiDelegate::metaObject
    {65, 2353, 1586},	// KJobUiDelegate::qt_metacall$$?
    {65, 2355, 1581},	// KJobUiDelegate::qt_metacast$
    {65, 2573, 1590},	// KJobUiDelegate::setAutoErrorHandlingEnabled$
    {65, 2577, 1592},	// KJobUiDelegate::setAutoWarningHandlingEnabled$
    {65, 2985, 1589},	// KJobUiDelegate::showErrorMessage
    {65, 3001, 1594},	// KJobUiDelegate::slotWarning#$$
    {65, 3078, 1597},	// KJobUiDelegate::staticMetaObject
    {65, 3180, 1595},	// KJobUiDelegate::tr$
    {65, 3181, 1582},	// KJobUiDelegate::tr$$
    {65, 3182, 1584},	// KJobUiDelegate::tr$$$
    {65, 3187, 1596},	// KJobUiDelegate::trUtf8$
    {65, 3188, 1583},	// KJobUiDelegate::trUtf8$$
    {65, 3189, 1585},	// KJobUiDelegate::trUtf8$$$
    {65, 3432, 1598},	// KJobUiDelegate::~KJobUiDelegate
    {66, 120, 1621},	// KLibLoader::ErrNoComponent
    {66, 121, 1620},	// KLibLoader::ErrNoFactory
    {66, 122, 1619},	// KLibLoader::ErrNoLibrary
    {66, 123, 1623},	// KLibLoader::ErrNoServiceFound
    {66, 124, 1622},	// KLibLoader::ErrServiceProvidesNoLibrary
    {66, 1467, 1612},	// KLibLoader::errorString$
    {66, 1517, 1615},	// KLibLoader::factory$
    {66, 1518, 1606},	// KLibLoader::factory$$
    {66, 1583, 1617},	// KLibLoader::findLibrary$
    {66, 1584, 1611},	// KLibLoader::findLibrary$#
    {66, 1989, 1608},	// KLibLoader::lastErrorMessage
    {66, 1998, 1616},	// KLibLoader::library$
    {66, 1999, 1607},	// KLibLoader::library$$
    {66, 2090, 1599},	// KLibLoader::metaObject
    {66, 2353, 1605},	// KLibLoader::qt_metacall$$?
    {66, 2355, 1600},	// KLibLoader::qt_metacast$
    {66, 2529, 1610},	// KLibLoader::self
    {66, 3078, 1618},	// KLibLoader::staticMetaObject
    {66, 3180, 1613},	// KLibLoader::tr$
    {66, 3181, 1601},	// KLibLoader::tr$$
    {66, 3182, 1603},	// KLibLoader::tr$$$
    {66, 3187, 1614},	// KLibLoader::trUtf8$
    {66, 3188, 1602},	// KLibLoader::trUtf8$$
    {66, 3189, 1604},	// KLibLoader::trUtf8$$$
    {66, 3231, 1609},	// KLibLoader::unloadLibrary$
    {67, 386, 1641},	// KLibrary::KLibrary
    {67, 387, 1631},	// KLibrary::KLibrary#
    {67, 388, 1642},	// KLibrary::KLibrary$
    {67, 389, 1643},	// KLibrary::KLibrary$#
    {67, 390, 1632},	// KLibrary::KLibrary$##
    {67, 391, 1644},	// KLibrary::KLibrary$$
    {67, 392, 1645},	// KLibrary::KLibrary$$#
    {67, 393, 1633},	// KLibrary::KLibrary$$##
    {67, 1516, 1646},	// KLibrary::factory
    {67, 1517, 1634},	// KLibrary::factory$
    {67, 2090, 1624},	// KLibrary::metaObject
    {67, 2353, 1630},	// KLibrary::qt_metacall$$?
    {67, 2355, 1625},	// KLibrary::qt_metacast$
    {67, 2496, 1636},	// KLibrary::resolveFunction$
    {67, 2498, 1635},	// KLibrary::resolveSymbol$
    {67, 2689, 1647},	// KLibrary::setFileName$
    {67, 2690, 1637},	// KLibrary::setFileName$#
    {67, 3078, 1648},	// KLibrary::staticMetaObject
    {67, 3180, 1639},	// KLibrary::tr$
    {67, 3181, 1626},	// KLibrary::tr$$
    {67, 3182, 1628},	// KLibrary::tr$$$
    {67, 3187, 1640},	// KLibrary::trUtf8$
    {67, 3188, 1627},	// KLibrary::trUtf8$$
    {67, 3189, 1629},	// KLibrary::trUtf8$$$
    {67, 3229, 1638},	// KLibrary::unload
    {67, 3433, 1649},	// KLibrary::~KLibrary
    {68, 3, 1673},	// KLocalSocket::AbstractUnixSocket
    {68, 394, 1668},	// KLocalSocket::KLocalSocket
    {68, 395, 1657},	// KLocalSocket::KLocalSocket#
    {68, 819, 1672},	// KLocalSocket::UnixSocket
    {68, 822, 1674},	// KLocalSocket::UnknownLocalSocketType
    {68, 1209, 1664},	// KLocalSocket::connectToHostImplementation$$$
    {68, 1211, 1669},	// KLocalSocket::connectToPath$
    {68, 1212, -105},	// KLocalSocket::connectToPath$$
    {68, 1213, 1659},	// KLocalSocket::connectToPath$$$
    {68, 1408, 1665},	// KLocalSocket::disconnectFromHostImplementation
    {68, 1409, 1660},	// KLocalSocket::disconnectFromPath
    {68, 2015, 1662},	// KLocalSocket::localPath
    {68, 2016, 1661},	// KLocalSocket::localSocketType
    {68, 2090, 1650},	// KLocalSocket::metaObject
    {68, 2282, 1663},	// KLocalSocket::peerPath
    {68, 2353, 1656},	// KLocalSocket::qt_metacall$$?
    {68, 2355, 1651},	// KLocalSocket::qt_metacast$
    {68, 3078, 1671},	// KLocalSocket::staticMetaObject
    {68, 3180, 1666},	// KLocalSocket::tr$
    {68, 3181, 1652},	// KLocalSocket::tr$$
    {68, 3182, 1654},	// KLocalSocket::tr$$$
    {68, 3187, 1667},	// KLocalSocket::trUtf8$
    {68, 3188, 1653},	// KLocalSocket::trUtf8$$
    {68, 3189, 1655},	// KLocalSocket::trUtf8$$$
    {68, 3434, 1675},	// KLocalSocket::~KLocalSocket
    {69, 396, 1700},	// KLocalSocketServer::KLocalSocketServer
    {69, 397, 1683},	// KLocalSocketServer::KLocalSocketServer#
    {69, 1179, 1685},	// KLocalSocketServer::close
    {69, 1466, 1695},	// KLocalSocketServer::errorString
    {69, 1723, 1692},	// KLocalSocketServer::hasPendingConnections
    {69, 1756, 1696},	// KLocalSocketServer::incomingConnection$
    {69, 1862, 1686},	// KLocalSocketServer::isListening
    {69, 2005, 1701},	// KLocalSocketServer::listen$
    {69, 2009, 1684},	// KLocalSocketServer::listen$$
    {69, 2015, 1690},	// KLocalSocketServer::localPath
    {69, 2016, 1689},	// KLocalSocketServer::localSocketType
    {69, 2079, 1688},	// KLocalSocketServer::maxPendingConnections
    {69, 2090, 1676},	// KLocalSocketServer::metaObject
    {69, 2143, 1697},	// KLocalSocketServer::newConnection
    {69, 2148, 1693},	// KLocalSocketServer::nextPendingConnection
    {69, 2353, 1682},	// KLocalSocketServer::qt_metacall$$?
    {69, 2355, 1677},	// KLocalSocketServer::qt_metacast$
    {69, 2531, 1694},	// KLocalSocketServer::serverError
    {69, 2810, 1687},	// KLocalSocketServer::setMaxPendingConnections$
    {69, 3078, 1704},	// KLocalSocketServer::staticMetaObject
    {69, 3180, 1698},	// KLocalSocketServer::tr$
    {69, 3181, 1678},	// KLocalSocketServer::tr$$
    {69, 3182, 1680},	// KLocalSocketServer::tr$$$
    {69, 3187, 1699},	// KLocalSocketServer::trUtf8$
    {69, 3188, 1679},	// KLocalSocketServer::trUtf8$$
    {69, 3189, 1681},	// KLocalSocketServer::trUtf8$$$
    {69, 3290, 1702},	// KLocalSocketServer::waitForNewConnection
    {69, 3291, 1703},	// KLocalSocketServer::waitForNewConnection$
    {69, 3292, 1691},	// KLocalSocketServer::waitForNewConnection$$
    {69, 3435, 1705},	// KLocalSocketServer::~KLocalSocketServer
    {70, 15, 1883},	// KLocale::AfterMoney
    {70, 16, 1881},	// KLocale::AfterQuantityMoney
    {70, 23, 1884},	// KLocale::ArabicDigits
    {70, 24, 1885},	// KLocale::ArabicIndicDigits
    {70, 42, 1882},	// KLocale::BeforeMoney
    {70, 43, 1880},	// KLocale::BeforeQuantityMoney
    {70, 44, 1888},	// KLocale::BengaliDigits
    {70, 71, 1915},	// KLocale::CopticCalendar
    {70, 84, 1939},	// KLocale::Day
    {70, 85, 1940},	// KLocale::DayName
    {70, 86, 1947},	// KLocale::DayOfWeek
    {70, 87, 1948},	// KLocale::DayOfWeekName
    {70, 88, 1945},	// KLocale::DayOfYear
    {70, 89, 1946},	// KLocale::DayOfYearName
    {70, 90, 1960},	// KLocale::DayPeriod
    {70, 91, 1961},	// KLocale::DayPeriodHour
    {70, 92, 1954},	// KLocale::DaysInMonth
    {70, 93, 1955},	// KLocale::DaysInWeek
    {70, 94, 1953},	// KLocale::DaysInYear
    {70, 95, 1909},	// KLocale::DefaultBinaryDialect
    {70, 96, 1898},	// KLocale::DefaultBinaryUnits
    {70, 97, 1965},	// KLocale::DefaultComponentFormat
    {70, 100, 1926},	// KLocale::DefaultWeekNumber
    {70, 103, 1887},	// KLocale::DevenagariDigits
    {70, 110, 1886},	// KLocale::EasternArabicIndicDigits
    {70, 118, 1942},	// KLocale::EraName
    {70, 119, 1943},	// KLocale::EraYear
    {70, 126, 1916},	// KLocale::EthiopianCalendar
    {70, 136, 1974},	// KLocale::FancyLongDate
    {70, 137, 1973},	// KLocale::FancyShortDate
    {70, 141, 1928},	// KLocale::FirstFullWeek
    {70, 142, 1929},	// KLocale::FirstPartialWeek
    {70, 153, 1917},	// KLocale::GregorianCalendar
    {70, 154, 1889},	// KLocale::GujaratiDigits
    {70, 155, 1890},	// KLocale::GurmukhiDigits
    {70, 157, 1918},	// KLocale::HebrewCalendar
    {70, 165, 1956},	// KLocale::Hour
    {70, 166, 1910},	// KLocale::IECBinaryDialect
    {70, 172, 1995},	// KLocale::Imperial
    {70, 174, 1920},	// KLocale::IndianNationalCalendar
    {70, 182, 1919},	// KLocale::IslamicCivilCalendar
    {70, 183, 1975},	// KLocale::IsoDate
    {70, 184, 1987},	// KLocale::IsoFormat
    {70, 185, 1977},	// KLocale::IsoOrdinalDate
    {70, 186, 1989},	// KLocale::IsoOrdinalFormat
    {70, 187, 1976},	// KLocale::IsoWeekDate
    {70, 188, 1988},	// KLocale::IsoWeekFormat
    {70, 189, 1927},	// KLocale::IsoWeekNumber
    {70, 271, 1911},	// KLocale::JEDECBinaryDialect
    {70, 272, 1921},	// KLocale::JalaliCalendar
    {70, 274, 1922},	// KLocale::JapaneseCalendar
    {70, 275, 1923},	// KLocale::JulianCalendar
    {70, 276, 1941},	// KLocale::JulianDay
    {70, 399, 1708},	// KLocale::KLocale#
    {70, 400, 1847},	// KLocale::KLocale$
    {70, 401, 1848},	// KLocale::KLocale$$
    {70, 402, 1849},	// KLocale::KLocale$$$
    {70, 403, 1707},	// KLocale::KLocale$$$#
    {70, 404, 1706},	// KLocale::KLocale$?
    {70, 557, 1891},	// KLocale::KannadaDigits
    {70, 558, 1931},	// KLocale::KdeFormat
    {70, 561, 1892},	// KLocale::KhmerDigits
    {70, 565, 1913},	// KLocale::LastBinaryDialect
    {70, 571, 1934},	// KLocale::LiberalParsing
    {70, 613, 1972},	// KLocale::LongDate
    {70, 616, 1970},	// KLocale::LongName
    {70, 618, 1967},	// KLocale::LongNumber
    {70, 620, 1893},	// KLocale::MalayalamDigits
    {70, 622, 1994},	// KLocale::Metric
    {70, 623, 1912},	// KLocale::MetricBinaryDialect
    {70, 624, 1959},	// KLocale::Millisecond
    {70, 625, 1924},	// KLocale::MinguoCalendar
    {70, 626, 1957},	// KLocale::Minute
    {70, 627, 1937},	// KLocale::Month
    {70, 628, 1938},	// KLocale::MonthName
    {70, 629, 1951},	// KLocale::MonthsInYear
    {70, 634, 1968},	// KLocale::NarrowName
    {70, 655, 1985},	// KLocale::NormalFormat
    {70, 671, 1894},	// KLocale::OriyaDigits
    {70, 674, 1879},	// KLocale::ParensAround
    {70, 688, 1932},	// KLocale::PosixFormat
    {70, 690, 1993},	// KLocale::ProcessNonStrict
    {70, 691, 1992},	// KLocale::ProcessStrict
    {70, 698, 1914},	// KLocale::QDateCalendar
    {70, 733, 1958},	// KLocale::Second
    {70, 734, 1979},	// KLocale::Seconds
    {70, 737, 1971},	// KLocale::ShortDate
    {70, 739, 1986},	// KLocale::ShortFormat
    {70, 740, 1969},	// KLocale::ShortName
    {70, 742, 1966},	// KLocale::ShortNumber
    {70, 744, 1930},	// KLocale::SimpleWeek
    {70, 777, 1895},	// KLocale::TamilDigits
    {70, 779, 1896},	// KLocale::TeluguDigits
    {70, 782, 1925},	// KLocale::ThaiCalendar
    {70, 783, 1897},	// KLocale::ThaiDigits
    {70, 785, 1980},	// KLocale::TimeDefault
    {70, 786, 1983},	// KLocale::TimeDuration
    {70, 787, 1984},	// KLocale::TimeFoldHours
    {70, 789, 1982},	// KLocale::TimeWithoutAmPm
    {70, 790, 1981},	// KLocale::TimeWithoutSeconds
    {70, 791, 1978},	// KLocale::TimeZone
    {70, 793, 1962},	// KLocale::Timezone
    {70, 794, 1963},	// KLocale::TimezoneName
    {70, 807, 1933},	// KLocale::UnicodeFormat
    {70, 808, 1899},	// KLocale::UnitByte
    {70, 809, 1905},	// KLocale::UnitExaByte
    {70, 810, 1902},	// KLocale::UnitGigaByte
    {70, 811, 1900},	// KLocale::UnitKiloByte
    {70, 812, 1908},	// KLocale::UnitLastUnit
    {70, 813, 1901},	// KLocale::UnitMegaByte
    {70, 814, 1904},	// KLocale::UnitPetaByte
    {70, 815, 1903},	// KLocale::UnitTeraByte
    {70, 816, 1907},	// KLocale::UnitYottaByte
    {70, 817, 1906},	// KLocale::UnitZettaByte
    {70, 820, 1964},	// KLocale::UnixTime
    {70, 835, 1949},	// KLocale::Week
    {70, 836, 1950},	// KLocale::WeekYear
    {70, 837, 1952},	// KLocale::WeeksInYear
    {70, 840, 1990},	// KLocale::WithSeconds
    {70, 841, 1991},	// KLocale::WithoutSeconds
    {70, 849, 1935},	// KLocale::Year
    {70, 850, 1944},	// KLocale::YearInEra
    {70, 851, 1936},	// KLocale::YearName
    {70, 1034, 1828},	// KLocale::allCountriesList
    {70, 1037, 1720},	// KLocale::allDigitSetsList
    {70, 1040, 1825},	// KLocale::allLanguagesList
    {70, 1111, 1745},	// KLocale::binaryUnitDialect
    {70, 1120, 1763},	// KLocale::calendar
    {70, 1124, 1765},	// KLocale::calendarSystem
    {70, 1130, 1764},	// KLocale::calendarType
    {70, 1183, 1786},	// KLocale::codecForEncoding
    {70, 1218, 1878},	// KLocale::convertDigits$$
    {70, 1219, 1845},	// KLocale::convertDigits$$$
    {70, 1221, 1838},	// KLocale::copyCatalogsTo#
    {70, 1230, 1780},	// KLocale::country
    {70, 1233, 1829},	// KLocale::countryCodeToName$
    {70, 1234, 1781},	// KLocale::countryDivisionCode
    {70, 1253, 1725},	// KLocale::currency
    {70, 1254, 1724},	// KLocale::currencyCode
    {70, 1255, 1783},	// KLocale::currencyCodeList
    {70, 1259, 1726},	// KLocale::currencySymbol
    {70, 1286, 1797},	// KLocale::dateFormat
    {70, 1287, 1798},	// KLocale::dateFormatShort
    {70, 1289, 1753},	// KLocale::dateMonthNamePossessive
    {70, 1292, 1756},	// KLocale::dateTimeDigitSet
    {70, 1308, 1866},	// KLocale::dayPeriodText#
    {70, 1309, 1758},	// KLocale::dayPeriodText#$
    {70, 1336, 1732},	// KLocale::decimalPlaces
    {70, 1337, 1721},	// KLocale::decimalSymbol
    {70, 1350, 1834},	// KLocale::defaultCountry
    {70, 1351, 1835},	// KLocale::defaultCurrencyCode
    {70, 1352, 1833},	// KLocale::defaultLanguage
    {70, 1399, 1723},	// KLocale::digitSet
    {70, 1401, 1850},	// KLocale::digitSetToName$
    {70, 1402, 1719},	// KLocale::digitSetToName$$
    {70, 1435, 1784},	// KLocale::encoding
    {70, 1439, 1785},	// KLocale::encodingMib
    {70, 1527, 1787},	// KLocale::fileEncodingMib
    {70, 1604, 1743},	// KLocale::formatByteSize$
    {70, 1605, 1856},	// KLocale::formatByteSize$$
    {70, 1606, 1857},	// KLocale::formatByteSize$$$
    {70, 1607, 1744},	// KLocale::formatByteSize$$$$
    {70, 1609, 1858},	// KLocale::formatDate#
    {70, 1610, 1750},	// KLocale::formatDate#$
    {70, 1614, -45},	// KLocale::formatDateTime#
    {70, 1615, -48},	// KLocale::formatDateTime#$
    {70, 1616, -51},	// KLocale::formatDateTime#$$
    {70, 1618, 1747},	// KLocale::formatDuration$
    {70, 1620, 1865},	// KLocale::formatLocaleTime#
    {70, 1621, 1755},	// KLocale::formatLocaleTime#$
    {70, 1623, 1742},	// KLocale::formatLong$
    {70, 1625, 1851},	// KLocale::formatMoney$
    {70, 1626, 1852},	// KLocale::formatMoney$$
    {70, 1627, 1739},	// KLocale::formatMoney$$$
    {70, 1629, -54},	// KLocale::formatNumber$
    {70, 1630, -57},	// KLocale::formatNumber$$
    {70, 1631, 1741},	// KLocale::formatNumber$$$
    {70, 1633, 1863},	// KLocale::formatTime#
    {70, 1634, 1864},	// KLocale::formatTime#$
    {70, 1635, 1754},	// KLocale::formatTime#$$
    {70, 1636, 1731},	// KLocale::fracDigits
    {70, 1774, 1821},	// KLocale::insertCatalog$
    {70, 1777, 1826},	// KLocale::installedLanguages
    {70, 1806, 1837},	// KLocale::isApplicationTranslatedInto$
    {70, 1975, 1877},	// KLocale::langLookup$
    {70, 1976, 1832},	// KLocale::langLookup$$
    {70, 1977, 1779},	// KLocale::language
    {70, 1979, 1827},	// KLocale::languageCodeToName$
    {70, 1982, 1782},	// KLocale::languageList
    {70, 2019, 1843},	// KLocale::localizedFilePath$
    {70, 2085, 1819},	// KLocale::measureSystem
    {70, 2107, 1733},	// KLocale::monetaryDecimalPlaces
    {70, 2108, 1727},	// KLocale::monetaryDecimalSymbol
    {70, 2109, 1738},	// KLocale::monetaryDigitSet
    {70, 2110, 1728},	// KLocale::monetaryThousandsSeparator
    {70, 2140, 1737},	// KLocale::negativeMonetarySignPosition
    {70, 2141, 1735},	// KLocale::negativePrefixCurrencySymbol
    {70, 2142, 1730},	// KLocale::negativeSign
    {70, 2152, 1749},	// KLocale::nounDeclension
    {70, 2228, 1709},	// KLocale::operator=#
    {70, 2264, 1817},	// KLocale::pageSize
    {70, 2301, 1736},	// KLocale::positiveMonetarySignPosition
    {70, 2302, 1734},	// KLocale::positivePrefixCurrencySymbol
    {70, 2303, 1729},	// KLocale::positiveSign
    {70, 2310, 1748},	// KLocale::prettyFormatDuration$
    {70, 2392, 1869},	// KLocale::readDate$
    {70, 2393, -60},	// KLocale::readDate$$
    {70, 2394, -64},	// KLocale::readDate$$$
    {70, 2417, 1874},	// KLocale::readLocaleTime$
    {70, 2418, 1875},	// KLocale::readLocaleTime$$
    {70, 2419, 1876},	// KLocale::readLocaleTime$$$
    {70, 2420, 1778},	// KLocale::readLocaleTime$$$$
    {70, 2422, 1867},	// KLocale::readMoney$
    {70, 2423, 1771},	// KLocale::readMoney$$
    {70, 2426, 1868},	// KLocale::readNumber$
    {70, 2427, 1772},	// KLocale::readNumber$$
    {70, 2433, 1872},	// KLocale::readTime$
    {70, 2434, -67},	// KLocale::readTime$$
    {70, 2435, 1777},	// KLocale::readTime$$$
    {70, 2468, 1844},	// KLocale::removeAcceleratorMarker$
    {70, 2470, 1822},	// KLocale::removeCatalog$
    {70, 2484, 1846},	// KLocale::reparseConfiguration
    {70, 2552, 1823},	// KLocale::setActiveCatalog$
    {70, 2581, 1746},	// KLocale::setBinaryUnitDialect$
    {70, 2585, 1766},	// KLocale::setCalendar$
    {70, 2587, 1767},	// KLocale::setCalendarSystem$
    {70, 2605, 1839},	// KLocale::setCountry$#
    {70, 2607, 1840},	// KLocale::setCountryDivisionCode$
    {70, 2609, 1814},	// KLocale::setCurrencyCode$
    {70, 2611, 1815},	// KLocale::setCurrencySymbol$
    {70, 2630, 1788},	// KLocale::setDateFormat$
    {70, 2632, 1789},	// KLocale::setDateFormatShort$
    {70, 2636, 1790},	// KLocale::setDateMonthNamePossessive$
    {70, 2642, 1792},	// KLocale::setDateTimeDigitSet$
    {70, 2644, 1810},	// KLocale::setDecimalPlaces$
    {70, 2646, 1800},	// KLocale::setDecimalSymbol$
    {70, 2661, 1804},	// KLocale::setDigitSet$
    {70, 2667, 1718},	// KLocale::setEncoding$
    {70, 2696, 1809},	// KLocale::setFracDigits$
    {70, 2725, 1841},	// KLocale::setLanguage$#
    {70, 2726, 1842},	// KLocale::setLanguage?
    {70, 2802, 1831},	// KLocale::setMainCatalog$
    {70, 2814, 1820},	// KLocale::setMeasureSystem$
    {70, 2824, 1811},	// KLocale::setMonetaryDecimalPlaces$
    {70, 2826, 1813},	// KLocale::setMonetaryDecimalSymbol$
    {70, 2828, 1816},	// KLocale::setMonetaryDigitSet$
    {70, 2830, 1812},	// KLocale::setMonetaryThousandsSeparator$
    {70, 2834, 1806},	// KLocale::setNegativeMonetarySignPosition$
    {70, 2836, 1808},	// KLocale::setNegativePrefixCurrencySymbol$
    {70, 2838, 1803},	// KLocale::setNegativeSign$
    {70, 2854, 1818},	// KLocale::setPageSize$
    {70, 2868, 1805},	// KLocale::setPositiveMonetarySignPosition$
    {70, 2870, 1807},	// KLocale::setPositivePrefixCurrencySymbol$
    {70, 2872, 1802},	// KLocale::setPositiveSign$
    {70, 2935, 1801},	// KLocale::setThousandsSeparator$
    {70, 2939, 1791},	// KLocale::setTimeFormat$
    {70, 2965, 1796},	// KLocale::setWeekDayOfPray$
    {70, 2967, 1768},	// KLocale::setWeekNumberSystem$
    {70, 2969, 1793},	// KLocale::setWeekStartDay$
    {70, 2973, 1795},	// KLocale::setWorkingWeekEndDay$
    {70, 2975, 1794},	// KLocale::setWorkingWeekStartDay$
    {70, 3015, 1830},	// KLocale::splitLocale$$$$$
    {70, 3140, 1722},	// KLocale::thousandsSeparator
    {70, 3144, 1799},	// KLocale::timeFormat
    {70, 3209, 1824},	// KLocale::translateQt$$$
    {70, 3211, 1711},	// KLocale::translateRaw$$$
    {70, 3212, 1713},	// KLocale::translateRaw$$$$
    {70, 3213, 1715},	// KLocale::translateRaw$$$$$
    {70, 3214, 1717},	// KLocale::translateRaw$$$$$$
    {70, 3216, 1710},	// KLocale::translateRawFrom$$$$
    {70, 3217, 1712},	// KLocale::translateRawFrom$$$$$
    {70, 3218, 1714},	// KLocale::translateRawFrom$$$$$$
    {70, 3219, 1716},	// KLocale::translateRawFrom$$$$$$$
    {70, 3253, 1757},	// KLocale::use12Clock
    {70, 3256, 1836},	// KLocale::useTranscript
    {70, 3312, 1762},	// KLocale::weekDayOfPray
    {70, 3319, -70},	// KLocale::weekNumberSystem
    {70, 3320, 1759},	// KLocale::weekStartDay
    {70, 3334, 1761},	// KLocale::workingWeekEndDay
    {70, 3335, 1760},	// KLocale::workingWeekStartDay
    {70, 3436, 1996},	// KLocale::~KLocale
    {71, 405, 1997},	// KLocalizedString::KLocalizedString
    {71, 406, 1998},	// KLocalizedString::KLocalizedString#
    {71, 1754, 2014},	// KLocalizedString::inContext$$
    {71, 1837, 2004},	// KLocalizedString::isEmpty
    {71, 2151, 2015},	// KLocalizedString::notifyCatalogsUpdated??
    {71, 2228, 1999},	// KLocalizedString::operator=#
    {71, 3094, 2038},	// KLocalizedString::subs#
    {71, 3095, 2039},	// KLocalizedString::subs#$
    {71, 3096, 2012},	// KLocalizedString::subs#$#
    {71, 3097, -130},	// KLocalizedString::subs$
    {71, 3098, -139},	// KLocalizedString::subs$$
    {71, 3099, 2013},	// KLocalizedString::subs$$#
    {71, 3100, -148},	// KLocalizedString::subs$$$
    {71, 3101, -156},	// KLocalizedString::subs$$$#
    {71, 3102, 2037},	// KLocalizedString::subs$$$$
    {71, 3103, 2011},	// KLocalizedString::subs$$$$#
    {71, 3160, 2000},	// KLocalizedString::toString
    {71, 3161, 2002},	// KLocalizedString::toString#
    {71, 3162, 2003},	// KLocalizedString::toString#$
    {71, 3163, 2001},	// KLocalizedString::toString$
    {71, 3437, 2042},	// KLocalizedString::~KLocalizedString
    {72, 143, 2058},	// KLockFile::ForceFlag
    {72, 408, 2050},	// KLockFile::KLockFile#
    {72, 409, 2051},	// KLockFile::KLockFile$
    {72, 410, 2043},	// KLockFile::KLockFile$#
    {72, 609, 2055},	// KLockFile::LockError
    {72, 610, 2054},	// KLockFile::LockFail
    {72, 611, 2053},	// KLockFile::LockOK
    {72, 612, 2056},	// KLockFile::LockStale
    {72, 637, 2057},	// KLockFile::NoBlockFlag
    {72, 1673, 2049},	// KLockFile::getLockInfo$$$
    {72, 1866, 2045},	// KLockFile::isLocked
    {72, 2033, 2052},	// KLockFile::lock
    {72, 2034, 2044},	// KLockFile::lock$
    {72, 2923, 2048},	// KLockFile::setStaleTime$
    {72, 3019, 2047},	// KLockFile::staleTime
    {72, 3232, 2046},	// KLockFile::unlock
    {72, 3438, 2059},	// KLockFile::~KLockFile
    {73, 411, 2060},	// KMD5::KMD5
    {73, 412, 2062},	// KMD5::KMD5#
    {73, 413, 2077},	// KMD5::KMD5$
    {73, 414, 2061},	// KMD5::KMD5$$
    {73, 1102, 2072},	// KMD5::base64Digest
    {73, 1533, 2076},	// KMD5::finalize
    {73, 1735, 2070},	// KMD5::hexDigest
    {73, 1736, 2071},	// KMD5::hexDigest#
    {73, 2376, 2068},	// KMD5::rawDigest
    {73, 2377, 2069},	// KMD5::rawDigest$
    {73, 2491, 2067},	// KMD5::reset
    {73, 3191, 2075},	// KMD5::transform$
    {73, 3241, -121},	// KMD5::update#
    {73, 3242, -124},	// KMD5::update$
    {73, 3243, -127},	// KMD5::update$$
    {73, 3280, 2074},	// KMD5::verify#
    {73, 3281, 2073},	// KMD5::verify$
    {73, 3439, 2080},	// KMD5::~KMD5
    {74, 1501, -590},	// KMacroExpander::expandMacros$?
    {74, 1502, -595},	// KMacroExpander::expandMacros$?#
    {74, 1506, -600},	// KMacroExpander::expandMacrosShellQuote$?
    {74, 1507, -605},	// KMacroExpander::expandMacrosShellQuote$?#
    {75, 415, 2106},	// KMacroExpanderBase::KMacroExpanderBase
    {75, 416, -610},	// KMacroExpanderBase::KMacroExpanderBase#
    {75, 1471, 2102},	// KMacroExpanderBase::escapeChar
    {75, 1495, 2104},	// KMacroExpanderBase::expandEscapedMacro$$?
    {75, 1500, 2098},	// KMacroExpanderBase::expandMacros$
    {75, 1504, 2100},	// KMacroExpanderBase::expandMacrosShellQuote$
    {75, 1505, 2099},	// KMacroExpanderBase::expandMacrosShellQuote$$
    {75, 1509, 2103},	// KMacroExpanderBase::expandPlainMacro$$?
    {75, 2681, 2101},	// KMacroExpanderBase::setEscapeChar#
    {75, 3440, 2107},	// KMacroExpanderBase::~KMacroExpanderBase
    {76, 125, 2111},	// KMessage::Error
    {76, 138, 2115},	// KMessage::Fatal
    {76, 175, 2112},	// KMessage::Information
    {76, 752, 2114},	// KMessage::Sorry
    {76, 834, 2113},	// KMessage::Warning
    {76, 2088, 2110},	// KMessage::message$$
    {76, 2089, 2109},	// KMessage::message$$$
    {76, 2818, 2108},	// KMessage::setMessageHandler#
    {77, 417, 2117},	// KMessageHandler::KMessageHandler
    {77, 418, 2118},	// KMessageHandler::KMessageHandler#
    {77, 2089, 2116},	// KMessageHandler::message$$$
    {77, 3441, 2119},	// KMessageHandler::~KMessageHandler
    {78, 109, 2170},	// KMimeType::DontResolveAlias
    {78, 420, 2150},	// KMimeType::KMimeType#
    {78, 421, 2148},	// KMimeType::KMimeType#$
    {78, 422, 2151},	// KMimeType::KMimeType#$$
    {78, 423, 2149},	// KMimeType::KMimeType$$$
    {78, 729, 2171},	// KMimeType::ResolveAliases
    {78, 1041, 2135},	// KMimeType::allMimeTypes
    {78, 1042, 2141},	// KMimeType::allParentMimeTypes
    {78, 1189, 2154},	// KMimeType::comment
    {78, 1190, 2123},	// KMimeType::comment#
    {78, 1354, 2136},	// KMimeType::defaultMimeType
    {78, 1355, 2137},	// KMimeType::defaultMimeTypePtr
    {78, 1513, 2145},	// KMimeType::extractKnownExtension$
    {78, 1521, 2122},	// KMimeType::favIconForUrl#
    {78, 1544, -73},	// KMimeType::findByContent#
    {78, 1545, -76},	// KMimeType::findByContent#$
    {78, 1547, 2169},	// KMimeType::findByFileContent$
    {78, 1548, 2132},	// KMimeType::findByFileContent$$
    {78, 1550, -79},	// KMimeType::findByNameAndContent$#
    {78, 1551, -82},	// KMimeType::findByNameAndContent$#?
    {78, 1552, -85},	// KMimeType::findByNameAndContent$#?$
    {78, 1554, 2160},	// KMimeType::findByPath$
    {78, 1555, 2161},	// KMimeType::findByPath$?
    {78, 1556, 2162},	// KMimeType::findByPath$?$
    {78, 1557, 2127},	// KMimeType::findByPath$?$$
    {78, 1559, 2156},	// KMimeType::findByUrl#
    {78, 1560, 2157},	// KMimeType::findByUrl#?
    {78, 1561, 2158},	// KMimeType::findByUrl#?$
    {78, 1562, 2159},	// KMimeType::findByUrl#?$$
    {78, 1563, 2126},	// KMimeType::findByUrl#?$$$
    {78, 1746, 2152},	// KMimeType::iconName
    {78, 1747, 2120},	// KMimeType::iconName#
    {78, 1749, 2153},	// KMimeType::iconNameForUrl#
    {78, 1750, 2121},	// KMimeType::iconNameForUrl#?
    {78, 1803, 2142},	// KMimeType::is$
    {78, 1814, 2133},	// KMimeType::isBinaryData$
    {78, 1816, 2134},	// KMimeType::isBufferBinaryData#
    {78, 1826, 2138},	// KMimeType::isDefault
    {78, 2069, 2144},	// KMimeType::mainExtension
    {78, 2078, 2146},	// KMimeType::matchFileName$$
    {78, 2092, 2155},	// KMimeType::mimeType$
    {78, 2093, 2125},	// KMimeType::mimeType$$
    {78, 2267, 2139},	// KMimeType::parentMimeType
    {78, 2268, 2140},	// KMimeType::parentMimeTypes
    {78, 2281, 2124},	// KMimeType::patterns
    {78, 2980, 2147},	// KMimeType::sharedMimeInfoVersion
    {78, 3260, 2143},	// KMimeType::userSpecifiedIconName
    {78, 3442, 2172},	// KMimeType::~KMimeType
    {80, 425, 2176},	// KMimeTypeTrader::KMimeTypeTrader#
    {80, 2307, 2179},	// KMimeTypeTrader::preferredService$
    {80, 2308, 2174},	// KMimeTypeTrader::preferredService$$
    {80, 2357, 2177},	// KMimeTypeTrader::query$
    {80, 2358, 2178},	// KMimeTypeTrader::query$$
    {80, 2359, 2173},	// KMimeTypeTrader::query$$$
    {80, 2529, 2175},	// KMimeTypeTrader::self
    {80, 3443, 2180},	// KMimeTypeTrader::~KMimeTypeTrader
    {82, 426, 2205},	// KPluginFactory::KPluginFactory
    {82, 427, -827},	// KPluginFactory::KPluginFactory#
    {82, 428, -832},	// KPluginFactory::KPluginFactory##
    {82, 429, 2206},	// KPluginFactory::KPluginFactory$
    {82, 430, 2207},	// KPluginFactory::KPluginFactory$$
    {82, 431, 2188},	// KPluginFactory::KPluginFactory$$#
    {82, 1193, 2192},	// KPluginFactory::componentData
    {82, 1235, 2210},	// KPluginFactory::create
    {82, 1236, 2211},	// KPluginFactory::create#
    {82, 1237, 2212},	// KPluginFactory::create#$
    {82, 1238, 2193},	// KPluginFactory::create#$?
    {82, 1241, 2202},	// KPluginFactory::create$##?$
    {82, 1246, 2199},	// KPluginFactory::createObject#$?
    {82, 1248, 2200},	// KPluginFactory::createPartObject##$?
    {82, 2090, 2181},	// KPluginFactory::metaObject
    {82, 2159, 2194},	// KPluginFactory::objectCreated#
    {82, 2353, 2187},	// KPluginFactory::qt_metacall$$?
    {82, 2355, 2182},	// KPluginFactory::qt_metacast$
    {82, 2597, 2201},	// KPluginFactory::setComponentData#
    {82, 2979, 2198},	// KPluginFactory::setupTranslations
    {82, 3078, 2214},	// KPluginFactory::staticMetaObject
    {82, 3091, 2196},	// KPluginFactory::stringListToVariantList?
    {82, 3180, 2203},	// KPluginFactory::tr$
    {82, 3181, 2183},	// KPluginFactory::tr$$
    {82, 3182, 2185},	// KPluginFactory::tr$$$
    {82, 3187, 2204},	// KPluginFactory::trUtf8$
    {82, 3188, 2184},	// KPluginFactory::trUtf8$$
    {82, 3189, 2186},	// KPluginFactory::trUtf8$$$
    {82, 3278, 2197},	// KPluginFactory::variantListToStringList?
    {82, 3444, 2215},	// KPluginFactory::~KPluginFactory
    {84, 432, 2218},	// KPluginInfo::KPluginInfo
    {84, 433, 2248},	// KPluginInfo::KPluginInfo#
    {84, 434, 2254},	// KPluginInfo::KPluginInfo$
    {84, 435, 2216},	// KPluginInfo::KPluginInfo$$
    {84, 436, 2217},	// KPluginInfo::KPluginInfo?
    {84, 1069, 2231},	// KPluginInfo::author
    {84, 1144, 2233},	// KPluginInfo::category
    {84, 1189, 2228},	// KPluginInfo::comment
    {84, 1198, 2243},	// KPluginInfo::config
    {84, 1360, 2246},	// KPluginInfo::defaults
    {84, 1372, 2239},	// KPluginInfo::dependencies
    {84, 1419, 2232},	// KPluginInfo::email
    {84, 1450, 2230},	// KPluginInfo::entryPath
    {84, 1643, 2256},	// KPluginInfo::fromFiles?
    {84, 1644, 2220},	// KPluginInfo::fromFiles?#
    {84, 1646, 2257},	// KPluginInfo::fromKPartsInstanceName$
    {84, 1647, 2221},	// KPluginInfo::fromKPartsInstanceName$#
    {84, 1655, 2255},	// KPluginInfo::fromServices?
    {84, 1656, 2219},	// KPluginInfo::fromServices?#
    {84, 1665, 2238},	// KPluginInfo::fullLicense
    {84, 1744, 2229},	// KPluginInfo::icon
    {84, 1853, 2222},	// KPluginInfo::isHidden
    {84, 1875, 2224},	// KPluginInfo::isPluginEnabled
    {84, 1876, 2225},	// KPluginInfo::isPluginEnabledByDefault
    {84, 1901, 2247},	// KPluginInfo::isValid
    {84, 1933, 2241},	// KPluginInfo::kcmServices
    {84, 2000, 2237},	// KPluginInfo::license
    {84, 2010, 2259},	// KPluginInfo::load
    {84, 2011, 2245},	// KPluginInfo::load#
    {84, 2131, 2227},	// KPluginInfo::name
    {84, 2188, 2251},	// KPluginInfo::operator!=#
    {84, 2210, 2252},	// KPluginInfo::operator<#
    {84, 2228, 2249},	// KPluginInfo::operator=#
    {84, 2231, 2250},	// KPluginInfo::operator==#
    {84, 2238, 2253},	// KPluginInfo::operator>#
    {84, 2294, 2234},	// KPluginInfo::pluginName
    {84, 2331, 2226},	// KPluginInfo::property$
    {84, 2513, 2258},	// KPluginInfo::save
    {84, 2514, 2244},	// KPluginInfo::save#
    {84, 2532, 2240},	// KPluginInfo::service
    {84, 2599, 2242},	// KPluginInfo::setConfig#
    {84, 2866, 2223},	// KPluginInfo::setPluginEnabled$
    {84, 3282, 2235},	// KPluginInfo::version
    {84, 3302, 2236},	// KPluginInfo::website
    {84, 3445, 2260},	// KPluginInfo::~KPluginInfo
    {85, 438, 2280},	// KPluginLoader::KPluginLoader#
    {85, 439, 2281},	// KPluginLoader::KPluginLoader##
    {85, 440, 2269},	// KPluginLoader::KPluginLoader###
    {85, 441, 2278},	// KPluginLoader::KPluginLoader$
    {85, 442, 2279},	// KPluginLoader::KPluginLoader$#
    {85, 443, 2268},	// KPluginLoader::KPluginLoader$##
    {85, 1466, 2273},	// KPluginLoader::errorString
    {85, 1516, 2270},	// KPluginLoader::factory
    {85, 1863, 2274},	// KPluginLoader::isLoaded
    {85, 2010, 2275},	// KPluginLoader::load
    {85, 2090, 2261},	// KPluginLoader::metaObject
    {85, 2294, 2271},	// KPluginLoader::pluginName
    {85, 2295, 2272},	// KPluginLoader::pluginVersion
    {85, 2353, 2267},	// KPluginLoader::qt_metacall$$?
    {85, 2355, 2262},	// KPluginLoader::qt_metacast$
    {85, 3078, 2282},	// KPluginLoader::staticMetaObject
    {85, 3180, 2276},	// KPluginLoader::tr$
    {85, 3181, 2263},	// KPluginLoader::tr$$
    {85, 3182, 2265},	// KPluginLoader::tr$$$
    {85, 3187, 2277},	// KPluginLoader::trUtf8$
    {85, 3188, 2264},	// KPluginLoader::trUtf8$$
    {85, 3189, 2266},	// KPluginLoader::trUtf8$$$
    {85, 3446, 2283},	// KPluginLoader::~KPluginLoader
    {86, 144, 2327},	// KProcess::ForwardedChannels
    {86, 444, 2316},	// KProcess::KProcess
    {86, 445, 2291},	// KProcess::KProcess#
    {86, 446, 2313},	// KProcess::KProcess##
    {86, 621, 2326},	// KProcess::MergedChannels
    {86, 665, 2329},	// KProcess::OnlyStderrChannel
    {86, 666, 2328},	// KProcess::OnlyStdoutChannel
    {86, 736, 2325},	// KProcess::SeparateChannels
    {86, 1175, 2297},	// KProcess::clearEnvironment
    {86, 1176, 2302},	// KProcess::clearProgram
    {86, 1480, 2319},	// KProcess::execute
    {86, 1481, -777},	// KProcess::execute$
    {86, 1482, 2321},	// KProcess::execute$?
    {86, 1483, 2307},	// KProcess::execute$?$
    {86, 1484, 2322},	// KProcess::execute?
    {86, 1485, 2308},	// KProcess::execute?$
    {86, 2090, 2284},	// KProcess::metaObject
    {86, 2219, 2300},	// KProcess::operator<<$
    {86, 2220, 2301},	// KProcess::operator<<?
    {86, 2263, 2293},	// KProcess::outputChannelMode
    {86, 2292, 2312},	// KProcess::pid
    {86, 2323, 2304},	// KProcess::program
    {86, 2353, 2290},	// KProcess::qt_metacall$$?
    {86, 2355, 2285},	// KProcess::qt_metacast$
    {86, 2670, 2317},	// KProcess::setEnv$$
    {86, 2671, 2295},	// KProcess::setEnv$$$
    {86, 2840, 2294},	// KProcess::setNextOpenMode$
    {86, 2852, 2292},	// KProcess::setOutputChannelMode$
    {86, 2882, 2318},	// KProcess::setProgram$
    {86, 2883, 2298},	// KProcess::setProgram$?
    {86, 2884, 2299},	// KProcess::setProgram?
    {86, 2910, 2303},	// KProcess::setShellCommand$
    {86, 3020, 2305},	// KProcess::start
    {86, 3022, 2309},	// KProcess::startDetached
    {86, 3023, 2323},	// KProcess::startDetached$
    {86, 3024, 2310},	// KProcess::startDetached$?
    {86, 3025, 2311},	// KProcess::startDetached?
    {86, 3078, 2324},	// KProcess::staticMetaObject
    {86, 3180, 2314},	// KProcess::tr$
    {86, 3181, 2286},	// KProcess::tr$$
    {86, 3182, 2288},	// KProcess::tr$$$
    {86, 3187, 2315},	// KProcess::trUtf8$
    {86, 3188, 2287},	// KProcess::trUtf8$$
    {86, 3189, 2289},	// KProcess::trUtf8$$$
    {86, 3237, 2296},	// KProcess::unsetEnv$
    {86, 3447, 2330},	// KProcess::~KProcess
    {88, 105, 2407},	// KProtocolInfo::DisplayName
    {88, 147, 2406},	// KProtocolInfo::FromUrl
    {88, 448, 2350},	// KProtocolInfo::KProtocolInfo#$
    {88, 632, 2405},	// KProtocolInfo::Name
    {88, 773, 2404},	// KProtocolInfo::T_ERROR
    {88, 774, 2402},	// KProtocolInfo::T_FILESYSTEM
    {88, 775, 2403},	// KProtocolInfo::T_NONE
    {88, 776, 2401},	// KProtocolInfo::T_STREAM
    {88, 1064, 2352},	// KProtocolInfo::archiveMimeTypes
    {88, 1132, 2355},	// KProtocolInfo::canDeleteRecursive
    {88, 1134, 2353},	// KProtocolInfo::canRenameFromFile
    {88, 1135, 2354},	// KProtocolInfo::canRenameToFile
    {88, 1137, 2348},	// KProtocolInfo::capabilities$
    {88, 1199, 2341},	// KProtocolInfo::config$
    {88, 1354, 2351},	// KProtocolInfo::defaultMimeType
    {88, 1391, 2344},	// KProtocolInfo::determineMimetypeFromExtension$
    {88, 1415, 2345},	// KProtocolInfo::docPath$
    {88, 1476, 2334},	// KProtocolInfo::exec$
    {88, 1511, 2335},	// KProtocolInfo::extraFields#
    {88, 1531, 2356},	// KProtocolInfo::fileNameUsedForCopying
    {88, 1745, 2340},	// KProtocolInfo::icon$
    {88, 1843, 2338},	// KProtocolInfo::isFilterProtocol#
    {88, 1844, 2339},	// KProtocolInfo::isFilterProtocol$
    {88, 1851, 2336},	// KProtocolInfo::isHelperProtocol#
    {88, 1852, 2337},	// KProtocolInfo::isHelperProtocol$
    {88, 1857, 2332},	// KProtocolInfo::isKnownProtocol#
    {88, 1858, 2333},	// KProtocolInfo::isKnownProtocol$
    {88, 2044, 2393},	// KProtocolInfo::m_canCopyFromFile
    {88, 2045, 2395},	// KProtocolInfo::m_canCopyToFile
    {88, 2046, 2397},	// KProtocolInfo::m_config
    {88, 2047, 2387},	// KProtocolInfo::m_defaultMimetype
    {88, 2048, 2389},	// KProtocolInfo::m_determineMimetypeFromExtension
    {88, 2050, 2359},	// KProtocolInfo::m_exec
    {88, 2051, 2391},	// KProtocolInfo::m_icon
    {88, 2052, 2361},	// KProtocolInfo::m_inputType
    {88, 2053, 2369},	// KProtocolInfo::m_isHelperProtocol
    {88, 2054, 2367},	// KProtocolInfo::m_isSourceProtocol
    {88, 2055, 2365},	// KProtocolInfo::m_listing
    {88, 2056, 2399},	// KProtocolInfo::m_maxSlaves
    {88, 2057, 2357},	// KProtocolInfo::m_name
    {88, 2058, 2363},	// KProtocolInfo::m_outputType
    {88, 2060, 2379},	// KProtocolInfo::m_supportsDeleting
    {88, 2061, 2381},	// KProtocolInfo::m_supportsLinking
    {88, 2062, 2371},	// KProtocolInfo::m_supportsListing
    {88, 2063, 2377},	// KProtocolInfo::m_supportsMakeDir
    {88, 2064, 2383},	// KProtocolInfo::m_supportsMoving
    {88, 2065, 2385},	// KProtocolInfo::m_supportsOpening
    {88, 2066, 2373},	// KProtocolInfo::m_supportsReading
    {88, 2067, 2375},	// KProtocolInfo::m_supportsWriting
    {88, 2081, 2342},	// KProtocolInfo::maxSlaves$
    {88, 2083, 2343},	// KProtocolInfo::maxSlavesPerHost$
    {88, 2340, 2346},	// KProtocolInfo::protocolClass$
    {88, 2341, 2331},	// KProtocolInfo::protocols
    {88, 2343, 2349},	// KProtocolInfo::proxiedBy$
    {88, 2754, 2394},	// KProtocolInfo::setM_canCopyFromFile$
    {88, 2756, 2396},	// KProtocolInfo::setM_canCopyToFile$
    {88, 2758, 2398},	// KProtocolInfo::setM_config$
    {88, 2760, 2388},	// KProtocolInfo::setM_defaultMimetype$
    {88, 2762, 2390},	// KProtocolInfo::setM_determineMimetypeFromExtension$
    {88, 2766, 2360},	// KProtocolInfo::setM_exec$
    {88, 2768, 2392},	// KProtocolInfo::setM_icon$
    {88, 2770, 2362},	// KProtocolInfo::setM_inputType$
    {88, 2772, 2370},	// KProtocolInfo::setM_isHelperProtocol$
    {88, 2774, 2368},	// KProtocolInfo::setM_isSourceProtocol$
    {88, 2776, 2366},	// KProtocolInfo::setM_listing?
    {88, 2778, 2400},	// KProtocolInfo::setM_maxSlaves$
    {88, 2780, 2358},	// KProtocolInfo::setM_name$
    {88, 2782, 2364},	// KProtocolInfo::setM_outputType$
    {88, 2786, 2380},	// KProtocolInfo::setM_supportsDeleting$
    {88, 2788, 2382},	// KProtocolInfo::setM_supportsLinking$
    {88, 2790, 2372},	// KProtocolInfo::setM_supportsListing$
    {88, 2792, 2378},	// KProtocolInfo::setM_supportsMakeDir$
    {88, 2794, 2384},	// KProtocolInfo::setM_supportsMoving$
    {88, 2796, 2386},	// KProtocolInfo::setM_supportsOpening$
    {88, 2798, 2374},	// KProtocolInfo::setM_supportsReading$
    {88, 2800, 2376},	// KProtocolInfo::setM_supportsWriting$
    {88, 2987, 2347},	// KProtocolInfo::showFilePreview$
    {88, 3448, 2408},	// KProtocolInfo::~KProtocolInfo
    {89, 83, 2417},	// KProtocolInfo::ExtraField::DateTime
    {89, 132, 2409},	// KProtocolInfo::ExtraField::ExtraField
    {89, 133, 2411},	// KProtocolInfo::ExtraField::ExtraField#
    {89, 134, 2410},	// KProtocolInfo::ExtraField::ExtraField$$
    {89, 177, 2418},	// KProtocolInfo::ExtraField::Invalid
    {89, 768, 2416},	// KProtocolInfo::ExtraField::String
    {89, 2131, 2412},	// KProtocolInfo::ExtraField::name
    {89, 2832, 2413},	// KProtocolInfo::ExtraField::setName$
    {89, 2954, 2415},	// KProtocolInfo::ExtraField::setType$
    {89, 3222, 2414},	// KProtocolInfo::ExtraField::type
    {89, 3381, 2419},	// KProtocolInfo::ExtraField::~ExtraField
    {90, 2373, 2420},	// KRandom::random
    {90, 2375, 2421},	// KRandom::randomString$
    {91, 449, 2430},	// KRandomSequence::KRandomSequence
    {91, 450, 2423},	// KRandomSequence::KRandomSequence#
    {91, 451, 2422},	// KRandomSequence::KRandomSequence$
    {91, 1668, 2428},	// KRandomSequence::getBool
    {91, 1671, 2426},	// KRandomSequence::getDouble
    {91, 1675, 2427},	// KRandomSequence::getLong$
    {91, 2101, 2429},	// KRandomSequence::modulate$
    {91, 2228, 2424},	// KRandomSequence::operator=#
    {91, 2903, 2431},	// KRandomSequence::setSeed
    {91, 2904, 2425},	// KRandomSequence::setSeed$
    {91, 3449, 2432},	// KRandomSequence::~KRandomSequence
    {92, 471, 2433},	// KSaveFile::KSaveFile
    {92, 472, 2446},	// KSaveFile::KSaveFile$
    {92, 473, 2434},	// KSaveFile::KSaveFile$#
    {92, 856, 2440},	// KSaveFile::abort
    {92, 1097, 2448},	// KSaveFile::backupFile$
    {92, 1098, 2442},	// KSaveFile::backupFile$$
    {92, 1463, 2437},	// KSaveFile::error
    {92, 1466, 2438},	// KSaveFile::errorString
    {92, 1529, 2436},	// KSaveFile::fileName
    {92, 1533, 2441},	// KSaveFile::finalize
    {92, 2154, 2451},	// KSaveFile::numberedBackupFile$
    {92, 2155, 2452},	// KSaveFile::numberedBackupFile$$
    {92, 2156, 2453},	// KSaveFile::numberedBackupFile$$$
    {92, 2157, 2444},	// KSaveFile::numberedBackupFile$$$$
    {92, 2174, 2447},	// KSaveFile::open
    {92, 2175, 2439},	// KSaveFile::open$
    {92, 2379, 2454},	// KSaveFile::rcsBackupFile$
    {92, 2380, 2455},	// KSaveFile::rcsBackupFile$$
    {92, 2381, 2445},	// KSaveFile::rcsBackupFile$$$
    {92, 2689, 2435},	// KSaveFile::setFileName$
    {92, 2991, 2449},	// KSaveFile::simpleBackupFile$
    {92, 2992, 2450},	// KSaveFile::simpleBackupFile$$
    {92, 2993, 2443},	// KSaveFile::simpleBackupFile$$$
    {92, 3450, 2456},	// KSaveFile::~KSaveFile
    {93, 78, 2512},	// KService::DBusMulti
    {93, 79, 2510},	// KService::DBusNone
    {93, 80, 2511},	// KService::DBusUnique
    {93, 81, 2513},	// KService::DBusWait
    {93, 475, 2459},	// KService::KService#
    {93, 476, 2460},	// KService::KService#$
    {93, 477, 2458},	// KService::KService$
    {93, 478, 2457},	// KService::KService$$$
    {93, 852, 2507},	// KService::_k_accessServiceTypes
    {93, 870, 2486},	// KService::actions
    {93, 1045, 2505},	// KService::allServices
    {93, 1051, 2485},	// KService::allowAsDefault
    {93, 1053, 2487},	// KService::allowMultipleFiles
    {93, 1143, 2480},	// KService::categories
    {93, 1189, 2476},	// KService::comment
    {93, 1335, 2474},	// KService::dbusStartupType
    {93, 1383, 2471},	// KService::desktopEntryName
    {93, 1384, 2470},	// KService::desktopEntryPath
    {93, 1414, 2493},	// KService::docPath
    {93, 1475, 2463},	// KService::exec
    {93, 1667, 2477},	// KService::genericName
    {93, 1713, 2483},	// KService::hasMimeType#
    {93, 1714, 2484},	// KService::hasMimeType$
    {93, 1726, 2482},	// KService::hasServiceType$
    {93, 1744, 2465},	// KService::icon
    {93, 1770, 2488},	// KService::initialPreference
    {93, 1804, 2461},	// KService::isApplication
    {93, 1956, 2479},	// KService::keywords
    {93, 1997, 2464},	// KService::library
    {93, 2026, 2496},	// KService::locateLocal
    {93, 2086, 2472},	// KService::menuId
    {93, 2145, 2508},	// KService::newServicePath$$
    {93, 2146, 2509},	// KService::newServicePath$$$
    {93, 2147, 2506},	// KService::newServicePath$$$?
    {93, 2149, 2489},	// KService::noDisplay
    {93, 2266, 2491},	// KService::parentApp
    {93, 2277, 2475},	// KService::path
    {93, 2293, 2492},	// KService::pluginKeyword
    {93, 2331, 2495},	// KService::property$
    {93, 2332, 2494},	// KService::property$$
    {93, 2534, 2502},	// KService::serviceByDesktopName$
    {93, 2536, 2501},	// KService::serviceByDesktopPath$
    {93, 2538, 2503},	// KService::serviceByMenuId$
    {93, 2540, 2500},	// KService::serviceByName$
    {93, 2542, 2504},	// KService::serviceByStorageId$
    {93, 2548, 2481},	// KService::serviceTypes
    {93, 2816, 2497},	// KService::setMenuId$
    {93, 2929, 2498},	// KService::setTerminal$
    {93, 2931, 2499},	// KService::setTerminalOptions$
    {93, 2988, 2490},	// KService::showInKDE
    {93, 3086, 2473},	// KService::storageId
    {93, 3104, 2468},	// KService::substituteUid
    {93, 3134, 2466},	// KService::terminal
    {93, 3135, 2467},	// KService::terminalOptions
    {93, 3222, 2462},	// KService::type
    {93, 3238, 2478},	// KService::untranslatedGenericName
    {93, 3261, 2469},	// KService::username
    {93, 3451, 2514},	// KService::~KService
    {94, 479, 2516},	// KServiceAction::KServiceAction
    {94, 480, 2517},	// KServiceAction::KServiceAction#
    {94, 481, 2527},	// KServiceAction::KServiceAction$$$$
    {94, 482, 2515},	// KServiceAction::KServiceAction$$$$$
    {94, 1275, 2520},	// KServiceAction::data
    {94, 1475, 2524},	// KServiceAction::exec
    {94, 1744, 2523},	// KServiceAction::icon
    {94, 1884, 2526},	// KServiceAction::isSeparator
    {94, 2131, 2521},	// KServiceAction::name
    {94, 2149, 2525},	// KServiceAction::noDisplay
    {94, 2228, 2518},	// KServiceAction::operator=#
    {94, 2619, 2519},	// KServiceAction::setData#
    {94, 3139, 2522},	// KServiceAction::text
    {94, 3452, 2528},	// KServiceAction::~KServiceAction
    {95, 18, 2570},	// KServiceGroup::AllowSeparators
    {95, 127, 2569},	// KServiceGroup::ExcludeNoDisplay
    {95, 484, 2531},	// KServiceGroup::KServiceGroup#$$
    {95, 485, 2529},	// KServiceGroup::KServiceGroup$
    {95, 486, 2530},	// KServiceGroup::KServiceGroup$$
    {95, 645, 2567},	// KServiceGroup::NoOptions
    {95, 753, 2571},	// KServiceGroup::SortByGenericName
    {95, 754, 2568},	// KServiceGroup::SortEntries
    {95, 905, 2562},	// KServiceGroup::addEntry?
    {95, 1052, 2544},	// KServiceGroup::allowInline
    {95, 1109, 2558},	// KServiceGroup::baseGroup$
    {95, 1110, 2556},	// KServiceGroup::baseGroupName
    {95, 1138, 2533},	// KServiceGroup::caption
    {95, 1164, 2536},	// KServiceGroup::childCount
    {95, 1167, 2561},	// KServiceGroup::childGroup$
    {95, 1189, 2535},	// KServiceGroup::comment
    {95, 1405, 2557},	// KServiceGroup::directoryEntryPath
    {95, 1443, 2564},	// KServiceGroup::entries
    {95, 1444, 2553},	// KServiceGroup::entries$
    {95, 1445, 2552},	// KServiceGroup::entries$$
    {95, 1446, 2563},	// KServiceGroup::entries$$$
    {95, 1447, 2551},	// KServiceGroup::entries$$$$
    {95, 1683, 2560},	// KServiceGroup::group$
    {95, 1684, 2565},	// KServiceGroup::groupEntries
    {95, 1685, 2554},	// KServiceGroup::groupEntries$
    {95, 1744, 2534},	// KServiceGroup::icon
    {95, 1771, 2542},	// KServiceGroup::inlineAlias
    {95, 1772, 2546},	// KServiceGroup::inlineValue
    {95, 1992, 2550},	// KServiceGroup::layoutInfo
    {95, 2149, 2537},	// KServiceGroup::noDisplay
    {95, 2455, 2532},	// KServiceGroup::relPath
    {95, 2509, 2559},	// KServiceGroup::root
    {95, 2543, 2566},	// KServiceGroup::serviceEntries
    {95, 2544, 2555},	// KServiceGroup::serviceEntries$
    {95, 2556, 2545},	// KServiceGroup::setAllowInline$
    {95, 2712, 2543},	// KServiceGroup::setInlineAlias$
    {95, 2714, 2547},	// KServiceGroup::setInlineValue$
    {95, 2730, 2549},	// KServiceGroup::setLayoutInfo?
    {95, 2914, 2539},	// KServiceGroup::setShowEmptyMenu$
    {95, 2916, 2541},	// KServiceGroup::setShowInlineHeader$
    {95, 2984, 2538},	// KServiceGroup::showEmptyMenu
    {95, 2989, 2540},	// KServiceGroup::showInlineHeader
    {95, 3110, 2548},	// KServiceGroup::suppressGenericNames
    {95, 3453, 2572},	// KServiceGroup::~KServiceGroup
    {96, 488, -189},	// KServiceType::KServiceType#
    {96, 489, 2574},	// KServiceType::KServiceType#$
    {96, 490, 2589},	// KServiceType::KServiceType#$$
    {96, 1044, 2587},	// KServiceType::allServiceTypes
    {96, 1189, 2575},	// KServiceType::comment
    {96, 1384, 2576},	// KServiceType::desktopEntryPath
    {96, 1761, 2579},	// KServiceType::inherits$
    {96, 1828, 2577},	// KServiceType::isDerived
    {96, 2269, 2578},	// KServiceType::parentServiceType
    {96, 2270, 2583},	// KServiceType::parentType
    {96, 2334, 2580},	// KServiceType::propertyDef$
    {96, 2335, 2581},	// KServiceType::propertyDefNames
    {96, 2336, 2582},	// KServiceType::propertyDefs
    {96, 2545, 2585},	// KServiceType::serviceOffersOffset
    {96, 2547, 2586},	// KServiceType::serviceType$
    {96, 2906, 2584},	// KServiceType::setServiceOffersOffset$
    {96, 3454, 2590},	// KServiceType::~KServiceType
    {98, 1061, 2595},	// KServiceTypeTrader::applyConstraints?$
    {98, 1357, 2597},	// KServiceTypeTrader::defaultOffers$
    {98, 1358, 2592},	// KServiceTypeTrader::defaultOffers$$
    {98, 2307, 2593},	// KServiceTypeTrader::preferredService$
    {98, 2357, 2596},	// KServiceTypeTrader::query$
    {98, 2358, 2591},	// KServiceTypeTrader::query$$
    {98, 2529, 2594},	// KServiceTypeTrader::self
    {98, 3455, 2598},	// KServiceTypeTrader::~KServiceTypeTrader
    {99, 2178, 2601},	// KSharedConfig::openConfig
    {99, 2179, 2604},	// KSharedConfig::openConfig#
    {99, 2180, 2605},	// KSharedConfig::openConfig#$
    {99, 2181, 2606},	// KSharedConfig::openConfig#$$
    {99, 2182, 2600},	// KSharedConfig::openConfig#$$$
    {99, 2183, 2602},	// KSharedConfig::openConfig$
    {99, 2184, 2603},	// KSharedConfig::openConfig$$
    {99, 2185, 2599},	// KSharedConfig::openConfig$$$
    {99, 3456, 2607},	// KSharedConfig::~KSharedConfig
    {100, 2, 2616},	// KShell::AbortOnMeta
    {100, 38, 2618},	// KShell::BadQuoting
    {100, 146, 2619},	// KShell::FoundMeta
    {100, 642, 2617},	// KShell::NoError
    {100, 645, 2614},	// KShell::NoOptions
    {100, 784, 2615},	// KShell::TildeExpand
    {100, 1917, 2608},	// KShell::joinArgs?
    {100, 2365, 2610},	// KShell::quoteArg$
    {100, 3011, 2612},	// KShell::splitArgs$
    {100, 3012, 2613},	// KShell::splitArgs$$
    {100, 3013, 2611},	// KShell::splitArgs$$$
    {100, 3142, 2609},	// KShell::tildeExpand$
    {101, 1203, 2632},	// KSocketFactory::connectToHost#
    {101, 1204, -584},	// KSocketFactory::connectToHost##
    {101, 1205, 2629},	// KSocketFactory::connectToHost#$$$
    {101, 1206, 2621},	// KSocketFactory::connectToHost$$$
    {101, 1207, 2620},	// KSocketFactory::connectToHost$$$#
    {101, 1281, 2638},	// KSocketFactory::datagramSocket$$
    {101, 1282, 2637},	// KSocketFactory::datagramSocket$$#
    {101, 2005, 2626},	// KSocketFactory::listen$
    {101, 2006, 2627},	// KSocketFactory::listen$#
    {101, 2007, 2628},	// KSocketFactory::listen$#$
    {101, 2008, 2625},	// KSocketFactory::listen$#$#
    {101, 2345, 2639},	// KSocketFactory::proxyForConnection$$
    {101, 2347, 2642},	// KSocketFactory::proxyForDatagram$$
    {101, 2349, 2630},	// KSocketFactory::proxyForListening$
    {101, 3119, 2623},	// KSocketFactory::synchronousConnectToHost#
    {101, 3120, 2641},	// KSocketFactory::synchronousConnectToHost##
    {101, 3121, 2640},	// KSocketFactory::synchronousConnectToHost##$
    {101, 3122, 2624},	// KSocketFactory::synchronousConnectToHost#$
    {101, 3123, 2622},	// KSocketFactory::synchronousConnectToHost#$#
    {101, 3124, 2644},	// KSocketFactory::synchronousConnectToHost#$$$
    {101, 3125, 2643},	// KSocketFactory::synchronousConnectToHost#$$$$
    {101, 3126, 2634},	// KSocketFactory::synchronousConnectToHost$$$
    {101, 3127, 2635},	// KSocketFactory::synchronousConnectToHost$$$$
    {101, 3128, 2633},	// KSocketFactory::synchronousConnectToHost$$$$#
    {102, 170, 2707},	// KStandardDirs::IgnoreExecBit
    {102, 491, 2645},	// KStandardDirs::KStandardDirs
    {102, 641, 2706},	// KStandardDirs::NoDuplicates
    {102, 648, 2704},	// KStandardDirs::NoSearchOptions
    {102, 721, 2705},	// KStandardDirs::Recursive
    {102, 898, 2663},	// KStandardDirs::addCustomized#
    {102, 997, 2646},	// KStandardDirs::addPrefix$
    {102, 1001, 2688},	// KStandardDirs::addResourceDir$$
    {102, 1002, 2652},	// KStandardDirs::addResourceDir$$$
    {102, 1004, 2685},	// KStandardDirs::addResourceType$$
    {102, 1005, -111},	// KStandardDirs::addResourceType$$$
    {102, 1006, -115},	// KStandardDirs::addResourceType$$$$
    {102, 1025, 2647},	// KStandardDirs::addXdgConfigPrefix$
    {102, 1027, 2648},	// KStandardDirs::addXdgDataPrefix$
    {102, 1048, 2665},	// KStandardDirs::allTypes
    {102, 1118, 2690},	// KStandardDirs::calcResourceHash$$
    {102, 1119, 2655},	// KStandardDirs::calcResourceHash$$$
    {102, 1153, 2684},	// KStandardDirs::checkAccess$$
    {102, 1491, 2677},	// KStandardDirs::exists$
    {102, 1493, 2678},	// KStandardDirs::exists_ext$$
    {102, 1535, 2696},	// KStandardDirs::findAllExe?$
    {102, 1536, 2697},	// KStandardDirs::findAllExe?$$
    {102, 1537, 2662},	// KStandardDirs::findAllExe?$$$
    {102, 1539, 2691},	// KStandardDirs::findAllResources$
    {102, 1540, 2692},	// KStandardDirs::findAllResources$$
    {102, 1541, 2658},	// KStandardDirs::findAllResources$$$
    {102, 1542, 2659},	// KStandardDirs::findAllResources$$$?
    {102, 1567, 2656},	// KStandardDirs::findDirs$$
    {102, 1571, 2694},	// KStandardDirs::findExe$
    {102, 1572, 2695},	// KStandardDirs::findExe$$
    {102, 1573, 2661},	// KStandardDirs::findExe$$$
    {102, 1586, 2653},	// KStandardDirs::findResource$$
    {102, 1588, 2657},	// KStandardDirs::findResourceDir$$
    {102, 1776, 2676},	// KStandardDirs::installPath$
    {102, 1881, 2689},	// KStandardDirs::isRestrictedResource$
    {102, 1882, 2654},	// KStandardDirs::isRestrictedResource$$
    {102, 1937, 2669},	// KStandardDirs::kde_default$
    {102, 1957, 2670},	// KStandardDirs::kfsstnd_prefixes
    {102, 1958, 2671},	// KStandardDirs::kfsstnd_xdg_conf_prefixes
    {102, 1959, 2672},	// KStandardDirs::kfsstnd_xdg_data_prefixes
    {102, 2020, 2673},	// KStandardDirs::localkdedir
    {102, 2021, 2675},	// KStandardDirs::localxdgconfdir
    {102, 2022, 2674},	// KStandardDirs::localxdgdatadir
    {102, 2024, 2701},	// KStandardDirs::locate$$
    {102, 2025, 2681},	// KStandardDirs::locate$$#
    {102, 2028, 2702},	// KStandardDirs::locateLocal$$
    {102, 2029, 2682},	// KStandardDirs::locateLocal$$#
    {102, 2030, 2703},	// KStandardDirs::locateLocal$$$
    {102, 2031, 2683},	// KStandardDirs::locateLocal$$$#
    {102, 2071, 2700},	// KStandardDirs::makeDir$
    {102, 2072, 2668},	// KStandardDirs::makeDir$$
    {102, 2445, 2680},	// KStandardDirs::realFilePath$
    {102, 2448, 2679},	// KStandardDirs::realPath$
    {102, 2457, 2667},	// KStandardDirs::relativeLocation$$
    {102, 2501, 2664},	// KStandardDirs::resourceDirs$
    {102, 2518, 2698},	// KStandardDirs::saveLocation$
    {102, 2519, 2699},	// KStandardDirs::saveLocation$$
    {102, 2520, 2666},	// KStandardDirs::saveLocation$$$
    {102, 3129, 2693},	// KStandardDirs::systemPaths
    {102, 3130, 2660},	// KStandardDirs::systemPaths$
    {102, 3457, 2708},	// KStandardDirs::~KStandardDirs
    {103, 1140, 2717},	// KStringHandler::capwords$
    {103, 1141, 2726},	// KStringHandler::capwords?
    {103, 1251, 2719},	// KStringHandler::csqueeze$
    {103, 1252, 2718},	// KStringHandler::csqueeze$$
    {103, 1638, 2713},	// KStringHandler::from8Bit$
    {103, 1900, 2714},	// KStringHandler::isUtf8$
    {103, 2038, 2716},	// KStringHandler::lsqueeze$
    {103, 2039, 2715},	// KStringHandler::lsqueeze$$
    {103, 2138, 2712},	// KStringHandler::naturalCompare$$
    {103, 2139, 2711},	// KStringHandler::naturalCompare$$$
    {103, 2161, 2725},	// KStringHandler::obscure$
    {103, 2286, -32},	// KStringHandler::perlSplit#$
    {103, 2287, -35},	// KStringHandler::perlSplit#$$
    {103, 2288, 2710},	// KStringHandler::perlSplit$$
    {103, 2289, 2709},	// KStringHandler::perlSplit$$$
    {103, 2305, 2722},	// KStringHandler::preProcessWrap$
    {103, 2511, 2728},	// KStringHandler::rsqueeze$
    {103, 2512, 2727},	// KStringHandler::rsqueeze$$
    {103, 3132, 2729},	// KStringHandler::tagUrls$
    {104, 151, 2765},	// KSycoca::GlobalDatabase
    {104, 493, 2737},	// KSycoca::KSycoca$
    {104, 605, 2764},	// KSycoca::LocalDatabase
    {104, 859, 2760},	// KSycoca::absoluteFilePath
    {104, 860, 2743},	// KSycoca::absoluteFilePath?
    {104, 907, 2748},	// KSycoca::addFactory#
    {104, 1043, 2747},	// KSycoca::allResourceDirs
    {104, 1278, 2754},	// KSycoca::databaseChanged
    {104, 1279, 2755},	// KSycoca::databaseChanged?
    {104, 1407, 2750},	// KSycoca::disableAutoRebuild
    {104, 1515, 2756},	// KSycoca::factories
    {104, 1569, 2740},	// KSycoca::findEntry$$
    {104, 1575, 2741},	// KSycoca::findFactory$
    {104, 1598, 2752},	// KSycoca::flagError
    {104, 1812, 2739},	// KSycoca::isAvailable
    {104, 1817, 2749},	// KSycoca::isBuilding
    {104, 1819, 2751},	// KSycoca::isChanged$
    {104, 1957, 2742},	// KSycoca::kfsstnd_prefixes
    {104, 1977, 2744},	// KSycoca::language
    {104, 2059, 2762},	// KSycoca::m_str_deprecated
    {104, 2090, 2730},	// KSycoca::metaObject
    {104, 2353, 2736},	// KSycoca::qt_metacall$$?
    {104, 2355, 2731},	// KSycoca::qt_metacast$
    {104, 2409, 2753},	// KSycoca::readError
    {104, 2784, 2763},	// KSycoca::setM_str_deprecated#
    {104, 3078, 2761},	// KSycoca::staticMetaObject
    {104, 3089, 2757},	// KSycoca::stream
    {104, 3146, 2745},	// KSycoca::timeStamp
    {104, 3180, 2758},	// KSycoca::tr$
    {104, 3181, 2732},	// KSycoca::tr$$
    {104, 3182, 2734},	// KSycoca::tr$$$
    {104, 3187, 2759},	// KSycoca::trUtf8$
    {104, 3188, 2733},	// KSycoca::trUtf8$$
    {104, 3189, 2735},	// KSycoca::trUtf8$$$
    {104, 3246, 2746},	// KSycoca::updateSignature
    {104, 3282, 2738},	// KSycoca::version
    {104, 3458, 2766},	// KSycoca::~KSycoca
    {105, 494, 2767},	// KSycocaEntry::KSycocaEntry
    {105, 495, 2783},	// KSycocaEntry::KSycocaEntry#
    {105, 1450, 2773},	// KSycocaEntry::entryPath
    {105, 1827, 2776},	// KSycocaEntry::isDeleted
    {105, 1884, 2780},	// KSycocaEntry::isSeparator
    {105, 1897, 2768},	// KSycocaEntry::isType$
    {105, 1901, 2775},	// KSycocaEntry::isValid
    {105, 2131, 2772},	// KSycocaEntry::name
    {105, 2164, 2781},	// KSycocaEntry::offset
    {105, 2331, 2777},	// KSycocaEntry::property$
    {105, 2337, 2778},	// KSycocaEntry::propertyNames
    {105, 2383, 2770},	// KSycocaEntry::read#$
    {105, 2384, 2771},	// KSycocaEntry::read#?
    {105, 2514, 2782},	// KSycocaEntry::save#
    {105, 2654, 2779},	// KSycocaEntry::setDeleted$
    {105, 3086, 2774},	// KSycocaEntry::storageId
    {105, 3115, 2769},	// KSycocaEntry::sycocaType
    {105, 3459, 2784},	// KSycocaEntry::~KSycocaEntry
    {109, 497, 2786},	// KSystemTimeZone::KSystemTimeZone#
    {109, 498, 2787},	// KSystemTimeZone::KSystemTimeZone#$
    {109, 499, 2788},	// KSystemTimeZone::KSystemTimeZone#$$
    {109, 500, 2789},	// KSystemTimeZone::KSystemTimeZone#$$$
    {109, 501, 2790},	// KSystemTimeZone::KSystemTimeZone#$$$$
    {109, 502, 2785},	// KSystemTimeZone::KSystemTimeZone#$$$$$
    {109, 3460, 2791},	// KSystemTimeZone::~KSystemTimeZone
    {110, 504, 2800},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#
    {110, 505, 2792},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#$$$$$
    {110, 1178, 2793},	// KSystemTimeZoneBackend::clone
    {110, 1832, 2799},	// KSystemTimeZoneBackend::isDst#?
    {110, 1836, 2798},	// KSystemTimeZoneBackend::isDstAtUtc##
    {110, 2165, 2797},	// KSystemTimeZoneBackend::offset#?
    {110, 2169, 2796},	// KSystemTimeZoneBackend::offsetAtUtc##
    {110, 2172, 2795},	// KSystemTimeZoneBackend::offsetAtZoneTime##$
    {110, 3222, 2794},	// KSystemTimeZoneBackend::type
    {110, 3461, 2801},	// KSystemTimeZoneBackend::~KSystemTimeZoneBackend
    {111, 506, 2802},	// KSystemTimeZoneSource::KSystemTimeZoneSource
    {111, 507, 2806},	// KSystemTimeZoneSource::KSystemTimeZoneSource#
    {111, 1442, 2805},	// KSystemTimeZoneSource::endParseBlock
    {111, 2273, 2803},	// KSystemTimeZoneSource::parse#
    {111, 3026, 2804},	// KSystemTimeZoneSource::startParseBlock
    {111, 3462, 2807},	// KSystemTimeZoneSource::~KSystemTimeZoneSource
    {112, 1890, 2822},	// KSystemTimeZones::isSimulated
    {112, 1895, 2824},	// KSystemTimeZones::isTimeZoneDaemonAvailable
    {112, 2014, 2819},	// KSystemTimeZones::local
    {112, 2090, 2808},	// KSystemTimeZones::metaObject
    {112, 2353, 2814},	// KSystemTimeZones::qt_metacall$$?
    {112, 2355, 2809},	// KSystemTimeZones::qt_metacast$
    {112, 2442, 2818},	// KSystemTimeZones::readZone$
    {112, 2446, 2820},	// KSystemTimeZones::realLocalZone
    {112, 2740, 2821},	// KSystemTimeZones::setLocalZone#
    {112, 3078, 2827},	// KSystemTimeZones::staticMetaObject
    {112, 3149, 2815},	// KSystemTimeZones::timeZones
    {112, 3180, 2825},	// KSystemTimeZones::tr$
    {112, 3181, 2810},	// KSystemTimeZones::tr$$
    {112, 3182, 2812},	// KSystemTimeZones::tr$$$
    {112, 3187, 2826},	// KSystemTimeZones::trUtf8$
    {112, 3188, 2811},	// KSystemTimeZones::trUtf8$$
    {112, 3189, 2813},	// KSystemTimeZones::trUtf8$$$
    {112, 3372, 2817},	// KSystemTimeZones::zone$
    {112, 3373, 2823},	// KSystemTimeZones::zoneinfoDir
    {112, 3374, 2816},	// KSystemTimeZones::zones
    {112, 3463, 2828},	// KSystemTimeZones::~KSystemTimeZones
    {113, 508, 2838},	// KTempDir::KTempDir
    {113, 509, 2839},	// KTempDir::KTempDir$
    {113, 510, 2829},	// KTempDir::KTempDir$$
    {113, 1082, 2831},	// KTempDir::autoRemove
    {113, 1242, 2837},	// KTempDir::create$$
    {113, 1490, 2835},	// KTempDir::exists
    {113, 2131, 2833},	// KTempDir::name
    {113, 2472, 2836},	// KTempDir::removeDir$
    {113, 2575, 2830},	// KTempDir::setAutoRemove$
    {113, 3081, 2832},	// KTempDir::status
    {113, 3228, 2834},	// KTempDir::unlink
    {113, 3464, 2840},	// KTempDir::~KTempDir
    {114, 511, 2844},	// KTemporaryFile::KTemporaryFile
    {114, 512, 2841},	// KTemporaryFile::KTemporaryFile#
    {114, 2874, 2842},	// KTemporaryFile::setPrefix$
    {114, 2927, 2843},	// KTemporaryFile::setSuffix$
    {114, 3465, 2845},	// KTemporaryFile::~KTemporaryFile
    {115, 180, 2900},	// KTimeZone::InvalidOffset
    {115, 181, 2901},	// KTimeZone::InvalidTime_t
    {115, 513, 2846},	// KTimeZone::KTimeZone
    {115, 514, -186},	// KTimeZone::KTimeZone#
    {115, 515, 2847},	// KTimeZone::KTimeZone$
    {115, 800, 2902},	// KTimeZone::UNKNOWN
    {115, 854, 2860},	// KTimeZone::abbreviation#
    {115, 855, 2859},	// KTimeZone::abbreviations
    {115, 1189, 2858},	// KTimeZone::comment
    {115, 1216, 2862},	// KTimeZone::convert##
    {115, 1231, 2855},	// KTimeZone::countryCode
    {115, 1267, 2888},	// KTimeZone::currentOffset
    {115, 1268, 2865},	// KTimeZone::currentOffset$
    {115, 1275, 2898},	// KTimeZone::data
    {115, 1276, 2880},	// KTimeZone::data$
    {115, 1664, 2882},	// KTimeZone::fromTime_t?
    {115, 1731, 2872},	// KTimeZone::hasTransitions
    {115, 1833, 2870},	// KTimeZone::isDst?
    {115, 1835, 2869},	// KTimeZone::isDstAtUtc#
    {115, 1901, 2853},	// KTimeZone::isValid
    {115, 1991, 2856},	// KTimeZone::latitude
    {115, 1995, 2877},	// KTimeZone::leapSecondChanges
    {115, 2036, 2857},	// KTimeZone::longitude
    {115, 2131, 2854},	// KTimeZone::name
    {115, 2166, 2868},	// KTimeZone::offset?
    {115, 2168, 2867},	// KTimeZone::offsetAtUtc#
    {115, 2171, 2889},	// KTimeZone::offsetAtZoneTime#
    {115, 2173, 2866},	// KTimeZone::offsetAtZoneTime#$
    {115, 2188, 2851},	// KTimeZone::operator!=#
    {115, 2228, 2849},	// KTimeZone::operator=#
    {115, 2231, 2850},	// KTimeZone::operator==#
    {115, 2272, 2879},	// KTimeZone::parse
    {115, 2291, 2871},	// KTimeZone::phases
    {115, 2619, 2899},	// KTimeZone::setData#
    {115, 2620, 2886},	// KTimeZone::setData##
    {115, 3003, 2878},	// KTimeZone::source
    {115, 3167, 2883},	// KTimeZone::toTime_t#
    {115, 3169, 2863},	// KTimeZone::toUtc#
    {115, 3173, 2887},	// KTimeZone::toZoneTime#
    {115, 3174, 2864},	// KTimeZone::toZoneTime#$
    {115, 3193, 2892},	// KTimeZone::transition#
    {115, 3194, 2893},	// KTimeZone::transition#?
    {115, 3195, 2874},	// KTimeZone::transition#?$
    {115, 3197, 2894},	// KTimeZone::transitionIndex#
    {115, 3198, 2895},	// KTimeZone::transitionIndex#$
    {115, 3199, 2875},	// KTimeZone::transitionIndex#$$
    {115, 3201, 2896},	// KTimeZone::transitionTimes#
    {115, 3202, 2897},	// KTimeZone::transitionTimes##
    {115, 3203, 2876},	// KTimeZone::transitionTimes###
    {115, 3204, 2890},	// KTimeZone::transitions
    {115, 3205, 2891},	// KTimeZone::transitions#
    {115, 3206, 2873},	// KTimeZone::transitions##
    {115, 3222, 2852},	// KTimeZone::type
    {115, 3245, 2881},	// KTimeZone::updateBase#
    {115, 3268, 2884},	// KTimeZone::utc
    {115, 3270, 2861},	// KTimeZone::utcOffsets
    {115, 3466, 2903},	// KTimeZone::~KTimeZone
    {116, 566, 2904},	// KTimeZone::LeapSeconds::LeapSeconds
    {116, 567, 2906},	// KTimeZone::LeapSeconds::LeapSeconds#
    {116, 568, 2913},	// KTimeZone::LeapSeconds::LeapSeconds#$
    {116, 569, 2905},	// KTimeZone::LeapSeconds::LeapSeconds#$$
    {116, 1189, 2912},	// KTimeZone::LeapSeconds::comment
    {116, 1291, 2910},	// KTimeZone::LeapSeconds::dateTime
    {116, 1901, 2909},	// KTimeZone::LeapSeconds::isValid
    {116, 1996, 2911},	// KTimeZone::LeapSeconds::leapSeconds
    {116, 2210, 2908},	// KTimeZone::LeapSeconds::operator<#
    {116, 2228, 2907},	// KTimeZone::LeapSeconds::operator=#
    {116, 3479, 2914},	// KTimeZone::LeapSeconds::~LeapSeconds
    {117, 680, 2915},	// KTimeZone::Phase::Phase
    {117, 681, 2918},	// KTimeZone::Phase::Phase#
    {117, 682, 2926},	// KTimeZone::Phase::Phase$#$
    {117, 683, 2916},	// KTimeZone::Phase::Phase$#$$
    {117, 684, 2927},	// KTimeZone::Phase::Phase$?$
    {117, 685, 2917},	// KTimeZone::Phase::Phase$?$$
    {117, 855, 2923},	// KTimeZone::Phase::abbreviations
    {117, 1189, 2925},	// KTimeZone::Phase::comment
    {117, 1831, 2924},	// KTimeZone::Phase::isDst
    {117, 2188, 2921},	// KTimeZone::Phase::operator!=#
    {117, 2228, 2919},	// KTimeZone::Phase::operator=#
    {117, 2231, 2920},	// KTimeZone::Phase::operator==#
    {117, 3269, 2922},	// KTimeZone::Phase::utcOffset
    {117, 3481, 2928},	// KTimeZone::Phase::~Phase
    {118, 795, 2929},	// KTimeZone::Transition::Transition
    {118, 796, 2931},	// KTimeZone::Transition::Transition#
    {118, 797, 2930},	// KTimeZone::Transition::Transition##
    {118, 2210, 2935},	// KTimeZone::Transition::operator<#
    {118, 2228, 2932},	// KTimeZone::Transition::operator=#
    {118, 2290, 2934},	// KTimeZone::Transition::phase
    {118, 3143, 2933},	// KTimeZone::Transition::time
    {118, 3484, 2936},	// KTimeZone::Transition::~Transition
    {119, 516, 2937},	// KTimeZoneBackend::KTimeZoneBackend
    {119, 517, 2939},	// KTimeZoneBackend::KTimeZoneBackend#
    {119, 518, 2950},	// KTimeZoneBackend::KTimeZoneBackend#$
    {119, 519, 2951},	// KTimeZoneBackend::KTimeZoneBackend#$$
    {119, 520, 2952},	// KTimeZoneBackend::KTimeZoneBackend#$$$
    {119, 521, 2953},	// KTimeZoneBackend::KTimeZoneBackend#$$$$
    {119, 522, 2949},	// KTimeZoneBackend::KTimeZoneBackend#$$$$$
    {119, 523, 2938},	// KTimeZoneBackend::KTimeZoneBackend$
    {119, 1178, 2941},	// KTimeZoneBackend::clone
    {119, 1732, 2948},	// KTimeZoneBackend::hasTransitions#
    {119, 1832, 2947},	// KTimeZoneBackend::isDst#?
    {119, 1836, 2946},	// KTimeZoneBackend::isDstAtUtc##
    {119, 2165, 2945},	// KTimeZoneBackend::offset#?
    {119, 2169, 2944},	// KTimeZoneBackend::offsetAtUtc##
    {119, 2172, 2943},	// KTimeZoneBackend::offsetAtZoneTime##$
    {119, 2228, 2940},	// KTimeZoneBackend::operator=#
    {119, 3222, 2942},	// KTimeZoneBackend::type
    {119, 3467, 2954},	// KTimeZoneBackend::~KTimeZoneBackend
    {120, 524, 2955},	// KTimeZoneData::KTimeZoneData
    {120, 525, 2956},	// KTimeZoneData::KTimeZoneData#
    {120, 854, 2960},	// KTimeZoneData::abbreviation#
    {120, 855, 2959},	// KTimeZoneData::abbreviations
    {120, 1178, 2958},	// KTimeZoneData::clone
    {120, 1731, 2964},	// KTimeZoneData::hasTransitions
    {120, 1994, 2970},	// KTimeZoneData::leapSecondChange#
    {120, 1995, 2969},	// KTimeZoneData::leapSecondChanges
    {120, 2228, 2957},	// KTimeZoneData::operator=#
    {120, 2291, 2963},	// KTimeZoneData::phases
    {120, 2313, 2962},	// KTimeZoneData::previousUtcOffset
    {120, 2732, 2973},	// KTimeZoneData::setLeapSecondChanges?
    {120, 2864, 2971},	// KTimeZoneData::setPhases?$
    {120, 2949, 2972},	// KTimeZoneData::setTransitions?
    {120, 3193, 2976},	// KTimeZoneData::transition#
    {120, 3194, 2977},	// KTimeZoneData::transition#?
    {120, 3195, 2966},	// KTimeZoneData::transition#?$
    {120, 3197, 2978},	// KTimeZoneData::transitionIndex#
    {120, 3198, 2979},	// KTimeZoneData::transitionIndex#$
    {120, 3199, 2967},	// KTimeZoneData::transitionIndex#$$
    {120, 3201, 2980},	// KTimeZoneData::transitionTimes#
    {120, 3202, 2981},	// KTimeZoneData::transitionTimes##
    {120, 3203, 2968},	// KTimeZoneData::transitionTimes###
    {120, 3204, 2974},	// KTimeZoneData::transitions
    {120, 3205, 2975},	// KTimeZoneData::transitions#
    {120, 3206, 2965},	// KTimeZoneData::transitions##
    {120, 3270, 2961},	// KTimeZoneData::utcOffsets
    {120, 3468, 2982},	// KTimeZoneData::~KTimeZoneData
    {121, 526, 2983},	// KTimeZoneSource::KTimeZoneSource
    {121, 527, 2987},	// KTimeZoneSource::KTimeZoneSource#
    {121, 528, 2986},	// KTimeZoneSource::KTimeZoneSource$
    {121, 2273, 2984},	// KTimeZoneSource::parse#
    {121, 3257, 2985},	// KTimeZoneSource::useZoneParse
    {121, 3469, 2988},	// KTimeZoneSource::~KTimeZoneSource
    {122, 529, 2989},	// KTimeZones::KTimeZones
    {122, 873, 2992},	// KTimeZones::add#
    {122, 1174, 2995},	// KTimeZones::clear
    {122, 2465, 2993},	// KTimeZones::remove#
    {122, 2466, 2994},	// KTimeZones::remove$
    {122, 3372, 2990},	// KTimeZones::zone$
    {122, 3374, 2991},	// KTimeZones::zones
    {122, 3470, 2996},	// KTimeZones::~KTimeZones
    {123, 1782, 3032},	// KToolInvocation::invokeBrowser$
    {123, 1783, 3009},	// KToolInvocation::invokeBrowser$#
    {123, 1784, 3023},	// KToolInvocation::invokeHelp
    {123, 1785, 3024},	// KToolInvocation::invokeHelp$
    {123, 1786, 3025},	// KToolInvocation::invokeHelp$$
    {123, 1787, 3005},	// KToolInvocation::invokeHelp$$#
    {123, 1789, 3027},	// KToolInvocation::invokeMailer#
    {123, 1790, 3028},	// KToolInvocation::invokeMailer##
    {123, 1791, 3007},	// KToolInvocation::invokeMailer##$
    {123, 1792, 3026},	// KToolInvocation::invokeMailer$$
    {123, 1793, 3006},	// KToolInvocation::invokeMailer$$#
    {123, 1794, 3029},	// KToolInvocation::invokeMailer$$$$$
    {123, 1795, 3030},	// KToolInvocation::invokeMailer$$$$$$
    {123, 1796, 3031},	// KToolInvocation::invokeMailer$$$$$$?
    {123, 1797, 3008},	// KToolInvocation::invokeMailer$$$$$$?#
    {123, 1799, 3033},	// KToolInvocation::invokeTerminal$
    {123, 1800, 3034},	// KToolInvocation::invokeTerminal$$
    {123, 1801, 3010},	// KToolInvocation::invokeTerminal$$#
    {123, 1930, 3020},	// KToolInvocation::kapplication_hook?#
    {123, 1939, 3068},	// KToolInvocation::kdeinitExec$
    {123, 1940, 3069},	// KToolInvocation::kdeinitExec$?
    {123, 1941, 3070},	// KToolInvocation::kdeinitExec$?$
    {123, 1942, 3071},	// KToolInvocation::kdeinitExec$?$$
    {123, 1943, 3018},	// KToolInvocation::kdeinitExec$?$$#
    {123, 1945, 3072},	// KToolInvocation::kdeinitExecWait$
    {123, 1946, 3073},	// KToolInvocation::kdeinitExecWait$?
    {123, 1947, 3074},	// KToolInvocation::kdeinitExecWait$?$
    {123, 1948, 3075},	// KToolInvocation::kdeinitExecWait$?$$
    {123, 1949, 3019},	// KToolInvocation::kdeinitExecWait$?$$#
    {123, 1970, 3011},	// KToolInvocation::klauncher
    {123, 2090, 2997},	// KToolInvocation::metaObject
    {123, 2353, 3003},	// KToolInvocation::qt_metacall$$?
    {123, 2355, 2998},	// KToolInvocation::qt_metacast$
    {123, 2529, 3004},	// KToolInvocation::self
    {123, 3029, 3062},	// KToolInvocation::startServiceByDesktopName$
    {123, 3030, 3057},	// KToolInvocation::startServiceByDesktopName$$
    {123, 3031, 3058},	// KToolInvocation::startServiceByDesktopName$$$
    {123, 3032, 3059},	// KToolInvocation::startServiceByDesktopName$$$$
    {123, 3033, 3060},	// KToolInvocation::startServiceByDesktopName$$$$$
    {123, 3034, 3061},	// KToolInvocation::startServiceByDesktopName$$$$$#
    {123, 3035, 3016},	// KToolInvocation::startServiceByDesktopName$$$$$#$
    {123, 3036, 3063},	// KToolInvocation::startServiceByDesktopName$?
    {123, 3037, 3064},	// KToolInvocation::startServiceByDesktopName$?$
    {123, 3038, 3065},	// KToolInvocation::startServiceByDesktopName$?$$
    {123, 3039, 3066},	// KToolInvocation::startServiceByDesktopName$?$$$
    {123, 3040, 3067},	// KToolInvocation::startServiceByDesktopName$?$$$#
    {123, 3041, 3017},	// KToolInvocation::startServiceByDesktopName$?$$$#$
    {123, 3043, 3051},	// KToolInvocation::startServiceByDesktopPath$
    {123, 3044, 3046},	// KToolInvocation::startServiceByDesktopPath$$
    {123, 3045, 3047},	// KToolInvocation::startServiceByDesktopPath$$$
    {123, 3046, 3048},	// KToolInvocation::startServiceByDesktopPath$$$$
    {123, 3047, 3049},	// KToolInvocation::startServiceByDesktopPath$$$$$
    {123, 3048, 3050},	// KToolInvocation::startServiceByDesktopPath$$$$$#
    {123, 3049, 3014},	// KToolInvocation::startServiceByDesktopPath$$$$$#$
    {123, 3050, 3052},	// KToolInvocation::startServiceByDesktopPath$?
    {123, 3051, 3053},	// KToolInvocation::startServiceByDesktopPath$?$
    {123, 3052, 3054},	// KToolInvocation::startServiceByDesktopPath$?$$
    {123, 3053, 3055},	// KToolInvocation::startServiceByDesktopPath$?$$$
    {123, 3054, 3056},	// KToolInvocation::startServiceByDesktopPath$?$$$#
    {123, 3055, 3015},	// KToolInvocation::startServiceByDesktopPath$?$$$#$
    {123, 3057, 3040},	// KToolInvocation::startServiceByName$
    {123, 3058, 3035},	// KToolInvocation::startServiceByName$$
    {123, 3059, 3036},	// KToolInvocation::startServiceByName$$$
    {123, 3060, 3037},	// KToolInvocation::startServiceByName$$$$
    {123, 3061, 3038},	// KToolInvocation::startServiceByName$$$$$
    {123, 3062, 3039},	// KToolInvocation::startServiceByName$$$$$#
    {123, 3063, 3012},	// KToolInvocation::startServiceByName$$$$$#$
    {123, 3064, 3041},	// KToolInvocation::startServiceByName$?
    {123, 3065, 3042},	// KToolInvocation::startServiceByName$?$
    {123, 3066, 3043},	// KToolInvocation::startServiceByName$?$$
    {123, 3067, 3044},	// KToolInvocation::startServiceByName$?$$$
    {123, 3068, 3045},	// KToolInvocation::startServiceByName$?$$$#
    {123, 3069, 3013},	// KToolInvocation::startServiceByName$?$$$#$
    {123, 3078, 3076},	// KToolInvocation::staticMetaObject
    {123, 3180, 3021},	// KToolInvocation::tr$
    {123, 3181, 2999},	// KToolInvocation::tr$$
    {123, 3182, 3001},	// KToolInvocation::tr$$$
    {123, 3187, 3022},	// KToolInvocation::trUtf8$
    {123, 3188, 3000},	// KToolInvocation::trUtf8$$
    {123, 3189, 3002},	// KToolInvocation::trUtf8$$$
    {123, 3471, 3077},	// KToolInvocation::~KToolInvocation
    {124, 531, 3079},	// KTzfileTimeZone::KTzfileTimeZone#
    {124, 532, 3080},	// KTzfileTimeZone::KTzfileTimeZone#$
    {124, 533, 3081},	// KTzfileTimeZone::KTzfileTimeZone#$$
    {124, 534, 3082},	// KTzfileTimeZone::KTzfileTimeZone#$$$
    {124, 535, 3083},	// KTzfileTimeZone::KTzfileTimeZone#$$$$
    {124, 536, 3078},	// KTzfileTimeZone::KTzfileTimeZone#$$$$$
    {124, 3472, 3084},	// KTzfileTimeZone::~KTzfileTimeZone
    {125, 538, 3089},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#
    {125, 539, 3085},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#$$$$$
    {125, 1178, 3086},	// KTzfileTimeZoneBackend::clone
    {125, 1732, 3088},	// KTzfileTimeZoneBackend::hasTransitions#
    {125, 3222, 3087},	// KTzfileTimeZoneBackend::type
    {125, 3473, 3090},	// KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend
    {126, 541, 3094},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource#
    {126, 542, 3091},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource$
    {126, 2032, 3092},	// KTzfileTimeZoneSource::location
    {126, 2273, 3093},	// KTzfileTimeZoneSource::parse#
    {126, 3474, 3095},	// KTzfileTimeZoneSource::~KTzfileTimeZoneSource
    {127, 12, 3192},	// KUrl::AddTrailingSlash
    {127, 17, 3203},	// KUrl::AllowEmptyPath
    {127, 20, 3199},	// KUrl::AppendTrailingSlash
    {127, 33, 3196},	// KUrl::AvoidEmptyPath
    {127, 48, 3197},	// KUrl::CaseInsensitiveKeys
    {127, 66, 3202},	// KUrl::CompareWithoutFragment
    {127, 67, 3201},	// KUrl::CompareWithoutTrailingSlash
    {127, 99, 3188},	// KUrl::DefaultMimeDataFlags
    {127, 171, 3200},	// KUrl::IgnoreTrailingSlash
    {127, 543, 3096},	// KUrl::KUrl
    {127, 544, -7},	// KUrl::KUrl#
    {127, 545, 3102},	// KUrl::KUrl#$
    {127, 546, -11},	// KUrl::KUrl$
    {127, 560, 3194},	// KUrl::KeepDirSeparators
    {127, 570, 3191},	// KUrl::LeaveTrailingSlash
    {127, 651, 3189},	// KUrl::NoTextExport
    {127, 660, 3198},	// KUrl::ObeyTrailingSlash
    {127, 678, 3195},	// KUrl::PermitEmptyPath
    {127, 725, 3190},	// KUrl::RemoveTrailingSlash
    {127, 745, 3193},	// KUrl::SimplifyDirSeparators
    {127, 995, 3133},	// KUrl::addPath$
    {127, 999, 3136},	// KUrl::addQueryItem$$
    {127, 1032, 3117},	// KUrl::adjustPath$
    {127, 1146, 3141},	// KUrl::cd$
    {127, 1172, 3175},	// KUrl::cleanPath
    {127, 1173, 3116},	// KUrl::cleanPath$
    {127, 1181, 3183},	// KUrl::cmp#
    {127, 1182, 3157},	// KUrl::cmp#$
    {127, 1346, 3169},	// KUrl::decode_string$
    {127, 1403, 3180},	// KUrl::directory
    {127, 1404, 3139},	// KUrl::directory#
    {127, 1428, 3167},	// KUrl::encode_string$
    {127, 1430, 3168},	// KUrl::encode_string_no_slash$
    {127, 1431, 3126},	// KUrl::encodedHtmlRef
    {127, 1432, 3176},	// KUrl::encodedPathAndQuery
    {127, 1433, 3177},	// KUrl::encodedPathAndQuery$
    {127, 1434, 3119},	// KUrl::encodedPathAndQuery$#
    {127, 1453, 3184},	// KUrl::equals#
    {127, 1454, 3158},	// KUrl::equals##
    {127, 1526, 3131},	// KUrl::fileEncoding
    {127, 1529, 3179},	// KUrl::fileName
    {127, 1530, 3138},	// KUrl::fileName#
    {127, 1649, 3165},	// KUrl::fromMimeDataByteArray#
    {127, 1651, 3163},	// KUrl::fromPath$
    {127, 1653, 3164},	// KUrl::fromPathOrUrl$
    {127, 1704, 3128},	// KUrl::hasHTMLRef
    {127, 1706, 3111},	// KUrl::hasHost
    {127, 1721, 3110},	// KUrl::hasPass
    {127, 1722, 3115},	// KUrl::hasPath
    {127, 1724, 3124},	// KUrl::hasRef
    {127, 1727, 3132},	// KUrl::hasSubUrl
    {127, 1733, 3107},	// KUrl::hasUser
    {127, 1739, 3125},	// KUrl::htmlRef
    {127, 1864, 3129},	// KUrl::isLocalFile
    {127, 1874, 3159},	// KUrl::isParentOf#
    {127, 1879, 3170},	// KUrl::isRelativeUrl$
    {127, 1915, 3162},	// KUrl::join?
    {127, 2186, 3156},	// KUrl::operator QVariant
    {127, 2188, 3154},	// KUrl::operator!=#
    {127, 2191, 3155},	// KUrl::operator!=$
    {127, 2228, -14},	// KUrl::operator=#
    {127, 2229, -17},	// KUrl::operator=$
    {127, 2231, 3152},	// KUrl::operator==#
    {127, 2234, 3153},	// KUrl::operator==$
    {127, 2276, 3108},	// KUrl::pass
    {127, 2277, 3173},	// KUrl::path
    {127, 2278, 3112},	// KUrl::path$
    {127, 2279, 3144},	// KUrl::pathOrUrl
    {127, 2280, 3145},	// KUrl::pathOrUrl$
    {127, 2297, 3185},	// KUrl::populateMimeData#
    {127, 2298, 3186},	// KUrl::populateMimeData#?
    {127, 2299, 3166},	// KUrl::populateMimeData#?$
    {127, 2311, 3182},	// KUrl::prettyUrl
    {127, 2312, 3143},	// KUrl::prettyUrl$
    {127, 2338, 3103},	// KUrl::protocol
    {127, 2356, 3121},	// KUrl::query
    {127, 2361, 3135},	// KUrl::queryItem$
    {127, 2362, 3178},	// KUrl::queryItems
    {127, 2363, 3134},	// KUrl::queryItems#
    {127, 2449, 3122},	// KUrl::ref
    {127, 2459, 3187},	// KUrl::relativePath$$
    {127, 2460, 3172},	// KUrl::relativePath$$$
    {127, 2462, 3171},	// KUrl::relativeUrl##
    {127, 2663, 3140},	// KUrl::setDirectory$
    {127, 2665, 3118},	// KUrl::setEncodedPathAndQuery$
    {127, 2687, 3130},	// KUrl::setFileEncoding$
    {127, 2689, 3137},	// KUrl::setFileName$
    {127, 2702, 3127},	// KUrl::setHTMLRef$
    {127, 2858, 3109},	// KUrl::setPass$
    {127, 2860, 3114},	// KUrl::setPath$
    {127, 2894, 3104},	// KUrl::setProtocol$
    {127, 2896, 3120},	// KUrl::setQuery$
    {127, 2900, 3123},	// KUrl::setRef$
    {127, 2959, 3106},	// KUrl::setUser$
    {127, 3008, 3161},	// KUrl::split#
    {127, 3009, 3160},	// KUrl::split$
    {127, 3154, 3174},	// KUrl::toLocalFile
    {127, 3155, 3113},	// KUrl::toLocalFile$
    {127, 3157, 3146},	// KUrl::toMimeDataString
    {127, 3239, 3147},	// KUrl::upUrl
    {127, 3247, 3181},	// KUrl::url
    {127, 3248, 3142},	// KUrl::url$
    {127, 3258, 3105},	// KUrl::user
    {127, 3475, 3204},	// KUrl::~KUrl
    {128, 149, 3231},	// KUser::FullName
    {128, 162, 3234},	// KUser::HomePhone
    {128, 547, 3228},	// KUser::KUser
    {128, 548, -38},	// KUser::KUser#
    {128, 549, -41},	// KUser::KUser$
    {128, 550, 3206},	// KUser::KUser?
    {128, 731, 3232},	// KUser::RoomNumber
    {128, 828, 3229},	// KUser::UseEffectiveUID
    {128, 829, 3230},	// KUser::UseRealUserID
    {128, 842, 3233},	// KUser::WorkPhone
    {128, 1049, 3227},	// KUser::allUserNames
    {128, 1050, 3226},	// KUser::allUsers
    {128, 1514, 3221},	// KUser::faceIconPath
    {128, 1666, 3219},	// KUser::fullName
    {128, 1680, 3216},	// KUser::gid
    {128, 1689, 3224},	// KUser::groupNames
    {128, 1690, 3223},	// KUser::groups
    {128, 1737, 3220},	// KUser::homeDir
    {128, 1892, 3217},	// KUser::isSuperUser
    {128, 1901, 3214},	// KUser::isValid
    {128, 2035, 3218},	// KUser::loginName
    {128, 2188, 3213},	// KUser::operator!=#
    {128, 2228, 3211},	// KUser::operator=#
    {128, 2231, 3212},	// KUser::operator==#
    {128, 2331, 3225},	// KUser::property$
    {128, 2981, 3222},	// KUser::shell
    {128, 3224, 3215},	// KUser::uid
    {128, 3476, 3235},	// KUser::~KUser
    {129, 551, 3252},	// KUserGroup::KUserGroup
    {129, 552, -767},	// KUserGroup::KUserGroup#
    {129, 553, -770},	// KUserGroup::KUserGroup$
    {129, 554, 3239},	// KUserGroup::KUserGroup?
    {129, 1038, 3251},	// KUserGroup::allGroupNames
    {129, 1039, 3250},	// KUserGroup::allGroups
    {129, 1680, 3246},	// KUserGroup::gid
    {129, 1901, 3245},	// KUserGroup::isValid
    {129, 2131, 3247},	// KUserGroup::name
    {129, 2188, 3244},	// KUserGroup::operator!=#
    {129, 2228, 3242},	// KUserGroup::operator=#
    {129, 2231, 3243},	// KUserGroup::operator==#
    {129, 3259, 3249},	// KUserGroup::userNames
    {129, 3262, 3248},	// KUserGroup::users
    {129, 3477, 3253},	// KUserGroup::~KUserGroup
    {130, 555, 3259},	// KWordMacroExpander::KWordMacroExpander
    {130, 556, -587},	// KWordMacroExpander::KWordMacroExpander#
    {130, 1495, 3256},	// KWordMacroExpander::expandEscapedMacro$$?
    {130, 1498, 3257},	// KWordMacroExpander::expandMacro$?
    {130, 1509, 3255},	// KWordMacroExpander::expandPlainMacro$$?
    {130, 3478, 3260},	// KWordMacroExpander::~KWordMacroExpander
    {131, 669, 3290},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$#
    {131, 670, 3269},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$##
    {131, 1083, 3270},	// OrgKdeKLauncherInterface::autoStart
    {131, 1084, 3271},	// OrgKdeKLauncherInterface::autoStart$
    {131, 1085, 3285},	// OrgKdeKLauncherInterface::autoStart0Done
    {131, 1086, 3286},	// OrgKdeKLauncherInterface::autoStart1Done
    {131, 1087, 3287},	// OrgKdeKLauncherInterface::autoStart2Done
    {131, 1159, 3284},	// OrgKdeKLauncherInterface::checkForHeldSlave$
    {131, 1478, 3273},	// OrgKdeKLauncherInterface::exec_blind$?
    {131, 1479, 3272},	// OrgKdeKLauncherInterface::exec_blind$??$
    {131, 1951, 3274},	// OrgKdeKLauncherInterface::kdeinit_exec$??$$$$
    {131, 1953, 3275},	// OrgKdeKLauncherInterface::kdeinit_exec_wait$??$$$$
    {131, 2090, 3261},	// OrgKdeKLauncherInterface::metaObject
    {131, 2353, 3267},	// OrgKdeKLauncherInterface::qt_metacall$$?
    {131, 2355, 3262},	// OrgKdeKLauncherInterface::qt_metacast$
    {131, 2484, 3276},	// OrgKdeKLauncherInterface::reparseConfiguration
    {131, 2488, 3277},	// OrgKdeKLauncherInterface::requestHoldSlave$$
    {131, 2490, 3278},	// OrgKdeKLauncherInterface::requestSlave$$$$
    {131, 2728, 3279},	// OrgKdeKLauncherInterface::setLaunchEnv$$
    {131, 3071, 3280},	// OrgKdeKLauncherInterface::start_service_by_desktop_name$??$$$$$
    {131, 3073, 3281},	// OrgKdeKLauncherInterface::start_service_by_desktop_path$??$$$$$
    {131, 3075, 3282},	// OrgKdeKLauncherInterface::start_service_by_name$??$$$$$
    {131, 3077, 3268},	// OrgKdeKLauncherInterface::staticInterfaceName
    {131, 3078, 3291},	// OrgKdeKLauncherInterface::staticMetaObject
    {131, 3180, 3288},	// OrgKdeKLauncherInterface::tr$
    {131, 3181, 3263},	// OrgKdeKLauncherInterface::tr$$
    {131, 3182, 3265},	// OrgKdeKLauncherInterface::tr$$$
    {131, 3187, 3289},	// OrgKdeKLauncherInterface::trUtf8$
    {131, 3188, 3264},	// OrgKdeKLauncherInterface::trUtf8$$
    {131, 3189, 3266},	// OrgKdeKLauncherInterface::trUtf8$$$
    {131, 3295, 3283},	// OrgKdeKLauncherInterface::waitForSlave$
    {131, 3480, 3292},	// OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface
    {152, 452, 3792},	// QGlobalSpace::KST_CTimeInfo
    {152, 453, 3784},	// QGlobalSpace::KST_KCustom
    {152, 454, 3778},	// QGlobalSpace::KST_KDEDesktopMimeType
    {152, 455, 3777},	// QGlobalSpace::KST_KFolderMimeType
    {152, 456, 3789},	// QGlobalSpace::KST_KImageIO
    {152, 457, 3781},	// QGlobalSpace::KST_KImageIOFormat
    {152, 458, 3776},	// QGlobalSpace::KST_KMimeType
    {152, 459, 3779},	// QGlobalSpace::KST_KMimeTypeEntry
    {152, 460, 3791},	// QGlobalSpace::KST_KMimeTypeFactory
    {152, 461, 3782},	// QGlobalSpace::KST_KProtocolInfo
    {152, 462, 3790},	// QGlobalSpace::KST_KProtocolInfoFactory
    {152, 463, 3774},	// QGlobalSpace::KST_KService
    {152, 464, 3786},	// QGlobalSpace::KST_KServiceFactory
    {152, 465, 3780},	// QGlobalSpace::KST_KServiceGroup
    {152, 466, 3788},	// QGlobalSpace::KST_KServiceGroupFactory
    {152, 467, 3783},	// QGlobalSpace::KST_KServiceSeparator
    {152, 468, 3775},	// QGlobalSpace::KST_KServiceType
    {152, 469, 3787},	// QGlobalSpace::KST_KServiceTypeFactory
    {152, 470, 3773},	// QGlobalSpace::KST_KSycocaEntry
    {152, 585, 3797},	// QGlobalSpace::LicensedActiveQt
    {152, 586, 3785},	// QGlobalSpace::LicensedCore
    {152, 587, 3798},	// QGlobalSpace::LicensedDBus
    {152, 588, 3796},	// QGlobalSpace::LicensedDeclarative
    {152, 589, 3795},	// QGlobalSpace::LicensedGui
    {152, 590, 3804},	// QGlobalSpace::LicensedHelp
    {152, 591, 3803},	// QGlobalSpace::LicensedMultimedia
    {152, 592, 3771},	// QGlobalSpace::LicensedNetwork
    {152, 593, 3768},	// QGlobalSpace::LicensedOpenGL
    {152, 594, 3770},	// QGlobalSpace::LicensedOpenVG
    {152, 595, 3769},	// QGlobalSpace::LicensedQt3Support
    {152, 596, 3801},	// QGlobalSpace::LicensedQt3SupportLight
    {152, 597, 3802},	// QGlobalSpace::LicensedScript
    {152, 598, 3800},	// QGlobalSpace::LicensedScriptTools
    {152, 599, 3772},	// QGlobalSpace::LicensedSql
    {152, 600, 3793},	// QGlobalSpace::LicensedSvg
    {152, 601, 3799},	// QGlobalSpace::LicensedTest
    {152, 602, 3762},	// QGlobalSpace::LicensedXml
    {152, 603, 3794},	// QGlobalSpace::LicensedXmlPatterns
    {152, 699, 3757},	// QGlobalSpace::Q_COMPLEX_TYPE
    {152, 700, 3761},	// QGlobalSpace::Q_DUMMY_TYPE
    {152, 701, 3760},	// QGlobalSpace::Q_MOVABLE_TYPE
    {152, 702, 3758},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {152, 703, 3759},	// QGlobalSpace::Q_STATIC_TYPE
    {152, 704, 3765},	// QGlobalSpace::QtCriticalMsg
    {152, 705, 3763},	// QGlobalSpace::QtDebugMsg
    {152, 706, 3766},	// QGlobalSpace::QtFatalMsg
    {152, 707, 3767},	// QGlobalSpace::QtSystemMsg
    {152, 709, 3764},	// QGlobalSpace::QtWarningMsg
    {152, 1741, 3410},	// QGlobalSpace::i18n$
    {152, 1743, 3437},	// QGlobalSpace::i18nc$$
    {152, 1921, 3616},	// QGlobalSpace::kAsciiToLower$
    {152, 1923, 3487},	// QGlobalSpace::kAsciiToUpper$
    {152, 1924, 3367},	// QGlobalSpace::kBacktrace
    {152, 1925, 3366},	// QGlobalSpace::kBacktrace$
    {152, 1926, 3726},	// QGlobalSpace::kClearDebugConfig
    {152, 1928, 3686},	// QGlobalSpace::kRealBacktrace$
    {152, 1932, 3544},	// QGlobalSpace::kasciistricmp$$
    {152, 1934, 3562},	// QGlobalSpace::kdBacktrace
    {152, 1935, 3561},	// QGlobalSpace::kdBacktrace$
    {152, 1961, 3652},	// QGlobalSpace::ki18n$
    {152, 1963, 3467},	// QGlobalSpace::ki18nc$$
    {152, 1965, 3519},	// QGlobalSpace::ki18ncp$$$
    {152, 1967, 3729},	// QGlobalSpace::ki18np$$
    {152, 2189, -195},	// QGlobalSpace::operator!=##
    {152, 2190, -214},	// QGlobalSpace::operator!=#$
    {152, 2192, -220},	// QGlobalSpace::operator!=$#
    {152, 2193, 3567},	// QGlobalSpace::operator!=$$
    {152, 2195, 3368},	// QGlobalSpace::operator&##
    {152, 2197, -227},	// QGlobalSpace::operator*#$
    {152, 2198, -234},	// QGlobalSpace::operator*$#
    {152, 2200, -241},	// QGlobalSpace::operator+##
    {152, 2201, -247},	// QGlobalSpace::operator+#$
    {152, 2202, -252},	// QGlobalSpace::operator+$#
    {152, 2203, -257},	// QGlobalSpace::operator+$$
    {152, 2205, -263},	// QGlobalSpace::operator-#
    {152, 2206, -266},	// QGlobalSpace::operator-##
    {152, 2208, -271},	// QGlobalSpace::operator/#$
    {152, 2211, -276},	// QGlobalSpace::operator<##
    {152, 2212, 3432},	// QGlobalSpace::operator<#$
    {152, 2213, -283},	// QGlobalSpace::operator<$#
    {152, 2214, 3566},	// QGlobalSpace::operator<$$
    {152, 2216, -286},	// QGlobalSpace::operator<<##
    {152, 2217, -323},	// QGlobalSpace::operator<<#$
    {152, 2218, -326},	// QGlobalSpace::operator<<#?
    {152, 2223, -331},	// QGlobalSpace::operator<=##
    {152, 2224, 3534},	// QGlobalSpace::operator<=#$
    {152, 2225, -336},	// QGlobalSpace::operator<=$#
    {152, 2226, 3466},	// QGlobalSpace::operator<=$$
    {152, 2232, -339},	// QGlobalSpace::operator==##
    {152, 2233, -360},	// QGlobalSpace::operator==#$
    {152, 2235, -366},	// QGlobalSpace::operator==$#
    {152, 2236, 3716},	// QGlobalSpace::operator==$$
    {152, 2239, -374},	// QGlobalSpace::operator>##
    {152, 2240, 3674},	// QGlobalSpace::operator>#$
    {152, 2241, -379},	// QGlobalSpace::operator>$#
    {152, 2242, 3670},	// QGlobalSpace::operator>$$
    {152, 2245, -382},	// QGlobalSpace::operator>=##
    {152, 2246, 3614},	// QGlobalSpace::operator>=#$
    {152, 2247, -387},	// QGlobalSpace::operator>=$#
    {152, 2248, 3727},	// QGlobalSpace::operator>=$$
    {152, 2250, -390},	// QGlobalSpace::operator>>##
    {152, 2251, -427},	// QGlobalSpace::operator>>#$
    {152, 2252, 3645},	// QGlobalSpace::operator>>#?
    {152, 2254, 3542},	// QGlobalSpace::operator^##
    {152, 2256, 3576},	// QGlobalSpace::operator|##
    {152, 2257, -430},	// QGlobalSpace::operator|$$
    {152, 3184, 3434},	// QGlobalSpace::tr2i18n$
    {152, 3185, 3433},	// QGlobalSpace::tr2i18n$$
    {194, 1353, 3848},	// Sonnet::defaultLanguageName
    {194, 1389, 3847},	// Sonnet::detectLanguage$
    {195, 35, 3879},	// Sonnet::BackgroundChecker::BackgroundChecker
    {195, 36, -4},	// Sonnet::BackgroundChecker::BackgroundChecker#
    {195, 37, 3857},	// Sonnet::BackgroundChecker::BackgroundChecker##
    {195, 1023, 3865},	// Sonnet::BackgroundChecker::addWordToPersonal$
    {195, 1150, 3870},	// Sonnet::BackgroundChecker::changeLanguage$
    {195, 1163, 3863},	// Sonnet::BackgroundChecker::checkWord$
    {195, 1214, 3871},	// Sonnet::BackgroundChecker::continueChecking
    {195, 1260, 3860},	// Sonnet::BackgroundChecker::currentContext
    {195, 1416, 3873},	// Sonnet::BackgroundChecker::done
    {195, 1525, 3874},	// Sonnet::BackgroundChecker::fetchMoreText
    {195, 1591, 3875},	// Sonnet::BackgroundChecker::finishedCurrentFeed
    {195, 2090, 3849},	// Sonnet::BackgroundChecker::metaObject
    {195, 2096, 3872},	// Sonnet::BackgroundChecker::misspelling$$
    {195, 2353, 3855},	// Sonnet::BackgroundChecker::qt_metacall$$?
    {195, 2355, 3850},	// Sonnet::BackgroundChecker::qt_metacast$
    {195, 2486, 3869},	// Sonnet::BackgroundChecker::replace$$$
    {195, 2503, 3866},	// Sonnet::BackgroundChecker::restore#
    {195, 2921, 3862},	// Sonnet::BackgroundChecker::setSpeller#
    {195, 2933, 3858},	// Sonnet::BackgroundChecker::setText$
    {195, 2995, 3876},	// Sonnet::BackgroundChecker::slotEngineDone
    {195, 3006, 3861},	// Sonnet::BackgroundChecker::speller
    {195, 3020, 3867},	// Sonnet::BackgroundChecker::start
    {195, 3078, 3881},	// Sonnet::BackgroundChecker::staticMetaObject
    {195, 3084, 3868},	// Sonnet::BackgroundChecker::stop
    {195, 3109, 3864},	// Sonnet::BackgroundChecker::suggest$
    {195, 3139, 3859},	// Sonnet::BackgroundChecker::text
    {195, 3180, 3877},	// Sonnet::BackgroundChecker::tr$
    {195, 3181, 3851},	// Sonnet::BackgroundChecker::tr$$
    {195, 3182, 3853},	// Sonnet::BackgroundChecker::tr$$$
    {195, 3187, 3878},	// Sonnet::BackgroundChecker::trUtf8$
    {195, 3188, 3852},	// Sonnet::BackgroundChecker::trUtf8$$
    {195, 3189, 3854},	// Sonnet::BackgroundChecker::trUtf8$$$
    {195, 3378, 3882},	// Sonnet::BackgroundChecker::~BackgroundChecker
    {196, 53, 3910},	// Sonnet::Speller::CheckUppercase
    {196, 747, 3911},	// Sonnet::Speller::SkipRunTogether
    {196, 760, 3908},	// Sonnet::Speller::Speller
    {196, 761, 3884},	// Sonnet::Speller::Speller#
    {196, 762, 3883},	// Sonnet::Speller::Speller$
    {196, 1019, 3894},	// Sonnet::Speller::addToPersonal$
    {196, 1021, 3895},	// Sonnet::Speller::addToSession$
    {196, 1091, 3898},	// Sonnet::Speller::availableBackends
    {196, 1092, 3901},	// Sonnet::Speller::availableDictionaries
    {196, 1094, 3900},	// Sonnet::Speller::availableLanguageNames
    {196, 1095, 3899},	// Sonnet::Speller::availableLanguages
    {196, 1157, 3892},	// Sonnet::Speller::checkAndSuggest$?
    {196, 1349, 3905},	// Sonnet::Speller::defaultClient
    {196, 1352, 3903},	// Sonnet::Speller::defaultLanguage
    {196, 1824, 3889},	// Sonnet::Speller::isCorrect$
    {196, 1870, 3890},	// Sonnet::Speller::isMisspelled$
    {196, 1901, 3886},	// Sonnet::Speller::isValid
    {196, 1977, 3888},	// Sonnet::Speller::language
    {196, 2228, 3885},	// Sonnet::Speller::operator=#
    {196, 2503, 3897},	// Sonnet::Speller::restore#
    {196, 2514, 3896},	// Sonnet::Speller::save#
    {196, 2566, 3909},	// Sonnet::Speller::setAttribute$
    {196, 2567, 3906},	// Sonnet::Speller::setAttribute$$
    {196, 2649, 3904},	// Sonnet::Speller::setDefaultClient$
    {196, 2651, 3902},	// Sonnet::Speller::setDefaultLanguage$
    {196, 2724, 3887},	// Sonnet::Speller::setLanguage$
    {196, 3088, 3893},	// Sonnet::Speller::storeReplacement$$
    {196, 3109, 3891},	// Sonnet::Speller::suggest$
    {196, 3138, 3907},	// Sonnet::Speller::testAttribute$
    {196, 3483, 3912},	// Sonnet::Speller::~Speller
    {198, 1971, 3913},	// kndbgstream::kndbgstream
    {198, 1972, 3914},	// kndbgstream::kndbgstream#
    {198, 3485, 3915},	// kndbgstream::~kndbgstream
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();
SMOKE_IMPORT void init_qtdbus_Smoke();

static bool initialized = false;
Smoke *kdecore_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kdecore_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    init_qtdbus_Smoke();
    if (initialized) return;
    kdecore_Smoke = new Smoke(
        "kdecore",
        __smokekdecore::classes, 201,
        __smokekdecore::methods, 3916,
        __smokekdecore::methodMaps, 3278,
        __smokekdecore::methodNames, 3485,
        __smokekdecore::types, 731,
        __smokekdecore::inheritanceList,
        __smokekdecore::argumentList,
        __smokekdecore::ambiguousMethodList,
        __smokekdecore::cast );
    initialized = true;
}

void delete_kdecore_Smoke() { delete kdecore_Smoke; }

}
